package netscape.javascript;

import java.applet.Applet;
import java.applet.AppletContext;
import sun.plugin.javascript.JSContext;

public abstract class JSObject {
   protected JSObject() {
   }

   public abstract Object call(String var1, Object[] var2) throws JSException;

   public abstract Object eval(String var1) throws JSException;

   public abstract Object getMember(String var1) throws JSException;

   public abstract void setMember(String var1, Object var2) throws JSException;

   public abstract void removeMember(String var1) throws JSException;

   public abstract Object getSlot(int var1) throws JSException;

   public abstract void setSlot(int var1, Object var2) throws JSException;

   public static JSObject getWindow(Applet var0) throws JSException {
      try {
         if (var0 != null) {
            String var1 = var0.getParameter("MAYSCRIPT");
            AppletContext var2 = var0.getAppletContext();
            JSObject var3 = null;
            if (var2 instanceof JSContext) {
               JSContext var4 = (JSContext)var2;
               var3 = var4.getJSObject();
            }

            if (var3 != null) {
               return var3;
            }
         }
      } catch (Throwable var5) {
         throw new JSException(6, var5);
      }

      throw new JSException();
   }
}
