package sun.applet;

import java.applet.AudioClip;

class PluginAudioClip implements AudioClip {
   private AudioClip clip = null;

   public PluginAudioClip(AudioClip var1) {
      this.clip = var1;
   }

   public void loop() {
      if (this.clip != null) {
         this.clip.loop();
      }
   }

   public void play() {
      if (this.clip != null) {
         this.clip.play();
      }
   }

   public void stop() {
      if (this.clip != null) {
         this.clip.stop();
      }
   }

   public void finalize() {
      this.stop();
      this.clip = null;
   }
}
