package sun.beans.ole;

import sun.plugin.AppletViewer;
import sun.plugin.viewer.IExplorerPluginObject;

class OleAppletViewerInterface extends OleBeanInterface {
   private IExplorerPluginObject pluginObj;

   protected OleAppletViewerInterface(IExplorerPluginObject var1, int var2) {
      super(var1.getJavaObject(), var2);
      this.pluginObj = var1;
   }

   public boolean addCustomEventListeners(String var1, int var2, int var3) {
      return true;
   }

   public boolean addPropertyEventListener(String var1, int var2, int var3) {
      return true;
   }

   public synchronized boolean setEventListenersActive(boolean var1) {
      return true;
   }

   public IExplorerPluginObject getPluginObject() {
      return this.pluginObj;
   }

   public AppletViewer getViewerObject() {
      return this.pluginObj.getPanel();
   }

   public Object getInterfacedObject() {
      return this.pluginObj.getJavaObject();
   }

   public void release() {
      this.pluginObj = null;
      super.release();
   }
}
