package sun.beans.ole;

import java.net.URL;
import java.security.AccessController;
import java.util.Hashtable;
import sun.plugin.AppletViewer;

public class TypeLibManager {
   private static Hashtable typeLibs;
   private static TypeLibManager tlm;

   public static TypeLibManager getDefaultTypeLibManager() {
      if (tlm == null) {
         tlm = new TypeLibManager();
      }

      return tlm;
   }

   private TypeLibManager() {
   }

   private static synchronized void setTypeLib(URL var0, Class var1, String var2) {
      if (typeLibs == null) {
         typeLibs = new Hashtable();
      }

      typeLibs.put(var0.toString() + var1.getName(), var2);
   }

   private String getTypeLib(URL var1, Class var2) {
      if (typeLibs == null) {
         typeLibs = new Hashtable();
      }

      String var3 = var1.toString() + var2.getName();
      String var4 = (String)typeLibs.get(var3);
      if (null == var4) {
         var4 = AccessController.doPrivileged(new TypeLibManager$1(this, var2));
         if (null != var4) {
            setTypeLib(var1, var2, var4);
         }
      }

      return var4;
   }

   private static String getTypeLib(AppletViewer var0) {
      Object var1 = var0.getViewedObject();
      return null != var1 ? getDefaultTypeLibManager().getTypeLib(var0.getCodeBase(), var1.getClass()) : null;
   }

   static {
      getDefaultTypeLibManager();
   }
}
