package sun.beans.ole.event;

public class EncapsulatedEventException extends RuntimeException {
   protected Exception exception;

   public EncapsulatedEventException(Exception var1) {
      this(var1, null);
   }

   public EncapsulatedEventException(Exception var1, String var2) {
      super(var2);
      if (var1 == null) {
         throw new IllegalArgumentException("null exception param");
      } else {
         this.exception = var1;
      }
   }

   public Exception getException() {
      return this.exception;
   }

   public Class getExceptionClass() {
      return this.exception.getClass();
   }

   public String getExceptionClassName() {
      return this.exception.getClass().getName();
   }
}
