package sun.plugin;

import java.io.ByteArrayOutputStream;

public class DebugOutputStream extends ByteArrayOutputStream {
   private MainConsoleWriter mainConsoleWriter;

   DebugOutputStream(MainConsoleWriter var1) {
      this.mainConsoleWriter = var1;
   }

   private void enQueueData() {
      byte[] var1 = this.toByteArray();
      this.reset();
      this.mainConsoleWriter.enQueue(var1);
   }

   public synchronized void write(int var1) {
      super.write(var1);
      if (var1 == 10 || var1 == 13) {
         this.enQueueData();
      }
   }

   public synchronized void write(byte[] var1, int var2, int var3) {
      super.write(var1, var2, var3);
      if (var1[var3 - 1] == 10 || var1[var3 - 1] == 13) {
         this.enQueueData();
      }
   }

   protected void printDebug(String var1) {
   }
}
