package sun.plugin.cache;

import sun.plugin.resources.ResourceHandler;

public class FileType {
   public static final int UNKNOWN = 0;
   public static final int JAR = 1;
   public static final int JARJAR = 2;
   public static final int NONJAR = 3;
   public static final int CLASS = 17;
   public static final int GIF_IMAGE = 33;
   public static final int JPEG_IMAGE = 34;
   public static final int AU_SOUND = 65;
   public static final int WAV_SOUND = 66;

   public static int getType(String var0) {
      byte var1 = 0;
      if (var0 != null) {
         if (var0.equalsIgnoreCase(".jar")) {
            var1 = 1;
         } else if (var0.equalsIgnoreCase(".class")) {
            var1 = 17;
         } else if (var0.equalsIgnoreCase(".gif")) {
            var1 = 33;
         } else if (var0.equalsIgnoreCase(".jpg")) {
            var1 = 34;
         } else if (var0.equalsIgnoreCase(".au")) {
            var1 = 65;
         } else if (var0.equalsIgnoreCase(".wav")) {
            var1 = 66;
         }
      }

      return var1;
   }

   public static String getFileDescription(String var0) {
      String var1 = "unknown";
      if (var0 != null) {
         String var2 = "cache_viewer.type";
         var2 = var2 + var0.toLowerCase();
         var1 = ResourceHandler.getMessage(var2);
      }

      return var1;
   }
}
