package sun.plugin.cache;

import javax.swing.table.TableColumn;

public class JarCacheTableColumn extends TableColumn {
   private int fieldSize = 0;
   private boolean leftAligned = true;
   private boolean visible = true;
   private String toolTipText = null;
   private boolean ascending = true;

   public JarCacheTableColumn(String var1, String var2, int var3, int var4, boolean var5, boolean var6, boolean var7) {
      this.setHeaderValue(var1);
      this.setToolTipText("<html><body bgcolor=yellow><font face=Helvetica size=2>" + var2 + "</font></body></html>");
      this.setMinWidth(var3);
      this.setMaxWidth(var3);
      this.setFieldSize(var4);
      this.setResizable(false);
      this.setLeftAligned(var5);
      this.setVisible(var6);
   }

   public JarCacheTableColumn(String var1, String var2, boolean var3) {
      this.setHeaderValue(var1);
      this.setToolTipText("<html><body bgcolor=yellow><font face=Helvetica size=2>" + var2 + "</font></body></html>");
      this.setResizable(var3);
      this.setLeftAligned(true);
      this.setVisible(true);
      int var4 = JarCacheEntry.getTextWidth(JarCacheTable.tableFont, var1);
      this.setMinWidth(var4);
      this.setMaxWidth(var4);
      this.setPreferredWidth(var4);
   }

   public boolean isVisible() {
      return this.visible;
   }

   public void setVisible(boolean var1) {
      this.visible = var1;
   }

   public int getFieldSize() {
      return this.fieldSize;
   }

   public void setFieldSize(int var1) {
      this.fieldSize = var1;
   }

   public boolean isLeftAligned() {
      return this.leftAligned;
   }

   public void setLeftAligned(boolean var1) {
      this.leftAligned = var1;
   }

   public String getToolTipText() {
      return this.toolTipText;
   }

   public void setToolTipText(String var1) {
      this.toolTipText = var1;
   }
}
