package sun.plugin.cachescheme;

import java.text.MessageFormat;
import sun.plugin.resources.ResourceHandler;
import sun.plugin.usability.Trace;

public class BookmarkManager {
   public void addBookmark(String var1, String var2) {
      MessageFormat var3 = new MessageFormat(ResourceHandler.getMessage("bookmarkmgr.add"));
      Object[] var4 = new Object[]{var1, var2};
      Trace.println(var3.format(var4), 2);
      this.nativeAddBookmark(var1, var2);
   }

   public void removeBookmark(String var1, String var2) {
      MessageFormat var3 = new MessageFormat(ResourceHandler.getMessage("bookmarkmgr.remove"));
      Object[] var4 = new Object[]{var1, var2};
      Trace.println(var3.format(var4), 2);
   }

   public static void removeAllBookmark() {
      Trace.println(ResourceHandler.getMessage("bookmarkmgr.remove.all"), 2);
      nativeRemoveAllBookmark();
   }

   private native void nativeAddBookmark(String var1, String var2);

   private static native void nativeRemoveAllBookmark();
}
