package sun.plugin.dom.css;

import org.w3c.dom.DOMException;
import sun.plugin.dom.DOMObject;
import sun.plugin.dom.DOMObjectHelper;

public class CSSRule implements org.w3c.dom.css.CSSRule {
   private int type;
   protected DOMObject obj;
   protected org.w3c.dom.css.CSSStyleSheet parentStyleSheet;
   protected org.w3c.dom.css.CSSRule parentRule;

   public CSSRule(int var1, DOMObject var2, org.w3c.dom.css.CSSStyleSheet var3, org.w3c.dom.css.CSSRule var4) {
      this.type = var1;
      this.obj = var2;
      this.parentStyleSheet = var3;
      this.parentRule = var4;
   }

   public short getType() {
      return (short)this.type;
   }

   public String getCssText() {
      return DOMObjectHelper.getStringMemberNoEx(this.obj, "cssText");
   }

   public void setCssText(String var1) throws DOMException {
      DOMObjectHelper.setStringMember(this.obj, "cssText", var1);
   }

   public org.w3c.dom.css.CSSStyleSheet getParentStyleSheet() {
      return this.parentStyleSheet;
   }

   public org.w3c.dom.css.CSSRule getParentRule() {
      return this.parentRule;
   }
}
