package sun.plugin.dom.css;

import org.w3c.dom.DOMException;
import sun.plugin.dom.DOMObject;
import sun.plugin.dom.DOMObjectHelper;

public class CSSRuleList implements org.w3c.dom.css.CSSRuleList {
   private DOMObject obj;
   private org.w3c.dom.css.CSSStyleSheet parentStyleSheet;
   private org.w3c.dom.css.CSSRule parentRule;

   public CSSRuleList(DOMObject var1, org.w3c.dom.css.CSSStyleSheet var2, org.w3c.dom.css.CSSRule var3) {
      this.obj = var1;
      this.parentStyleSheet = var2;
      this.parentRule = var3;
   }

   public int getLength() {
      return DOMObjectHelper.getIntMemberNoEx(this.obj, "length");
   }

   public org.w3c.dom.css.CSSRule item(int var1) {
      try {
         Object var2 = this.obj.getSlot(var1);
         if (var2 != null && var2 instanceof DOMObject) {
            return new CSSStyleRule((DOMObject)var2, this.parentStyleSheet, this.parentRule);
         }
      } catch (DOMException var3) {
      }

      return null;
   }
}
