package sun.plugin.dom.css;

import org.w3c.dom.DOMException;
import sun.plugin.dom.DOMObject;
import sun.plugin.dom.DOMObjectHelper;

public class CSSStyleRule extends CSSRule implements org.w3c.dom.css.CSSStyleRule {
   public CSSStyleRule(DOMObject var1, org.w3c.dom.css.CSSStyleSheet var2, org.w3c.dom.css.CSSRule var3) {
      super(1, var1, var2, var3);
   }

   public String getSelectorText() {
      return DOMObjectHelper.getStringMemberNoEx(this.obj, "selectorText");
   }

   public void setSelectorText(String var1) throws DOMException {
      DOMObjectHelper.setStringMember(this.obj, "selectorText", var1);
   }

   public org.w3c.dom.css.CSSStyleDeclaration getStyle() {
      try {
         Object var1 = this.obj.getMember("style");
         if (var1 != null && var1 instanceof DOMObject) {
            return new CSSStyleDeclaration((DOMObject)var1, this.parentStyleSheet, this.parentRule);
         }
      } catch (Throwable var2) {
      }

      return null;
   }
}
