package sun.plugin.dom.html;

import sun.plugin.dom.DOMObject;
import sun.plugin.dom.DOMObjectHelper;

public class HTMLFormElement extends HTMLElement implements org.w3c.dom.html.HTMLFormElement {
   public HTMLFormElement(DOMObject var1, org.w3c.dom.html.HTMLDocument var2) {
      super(36, var1, var2);
   }

   public org.w3c.dom.html.HTMLCollection getElements() {
      Object var1 = this.obj.getMember("elements");
      return var1 != null && var1 instanceof DOMObject ? new HTMLCollection(33, (DOMObject)var1, (org.w3c.dom.html.HTMLDocument)this.getOwnerDocument()) : null;
   }

   public int getLength() {
      return DOMObjectHelper.getIntMemberNoEx(this.obj, "length");
   }

   public String getName() {
      return this.getAttribute("name");
   }

   public void setName(String var1) {
      this.setAttribute("name", var1);
   }

   public String getAcceptCharset() {
      return this.getAttribute("acceptCharset");
   }

   public void setAcceptCharset(String var1) {
      this.setAttribute("acceptCharset", var1);
   }

   public String getAction() {
      return this.getAttribute("action");
   }

   public void setAction(String var1) {
      this.setAttribute("action", var1);
   }

   public String getEnctype() {
      return this.getAttribute("enctype");
   }

   public void setEnctype(String var1) {
      this.setAttribute("enctype", var1);
   }

   public String getMethod() {
      return this.getAttribute("method");
   }

   public void setMethod(String var1) {
      this.setAttribute("method", var1);
   }

   public String getTarget() {
      return this.getAttribute("target");
   }

   public void setTarget(String var1) {
      this.setAttribute("target", var1);
   }

   public void submit() {
      this.obj.call("submit", new Object[0]);
   }

   public void reset() {
      this.obj.call("reset", new Object[0]);
   }
}
