package sun.plugin.dom.html;

import sun.plugin.dom.DOMObject;
import sun.plugin.dom.DOMObjectHelper;

public class HTMLImageElement extends HTMLElement implements org.w3c.dom.html.HTMLImageElement {
   public HTMLImageElement(DOMObject var1, org.w3c.dom.html.HTMLDocument var2) {
      super(44, var1, var2);
   }

   public String getLowSrc() {
      return this.getAttribute("lowSrc");
   }

   public void setLowSrc(String var1) {
      this.setAttribute("lowSrc", var1);
   }

   public String getName() {
      return this.getAttribute("name");
   }

   public void setName(String var1) {
      this.setAttribute("name", var1);
   }

   public String getAlign() {
      return this.getAttribute("align");
   }

   public void setAlign(String var1) {
      this.setAttribute("align", var1);
   }

   public String getAlt() {
      return this.getAttribute("alt");
   }

   public void setAlt(String var1) {
      this.setAttribute("alt", var1);
   }

   public String getBorder() {
      return this.getAttribute("border");
   }

   public void setBorder(String var1) {
      this.setAttribute("border", var1);
   }

   public String getHeight() {
      return this.getAttribute("height");
   }

   public void setHeight(String var1) {
      this.setAttribute("height", var1);
   }

   public String getHspace() {
      return this.getAttribute("hspace");
   }

   public void setHspace(String var1) {
      this.setAttribute("hspace", var1);
   }

   public boolean getIsMap() {
      return DOMObjectHelper.getBooleanMemberNoEx(this.obj, "isMap");
   }

   public void setIsMap(boolean var1) {
      DOMObjectHelper.setBooleanMemberNoEx(this.obj, "isMap", var1);
   }

   public String getLongDesc() {
      return this.getAttribute("longDesc");
   }

   public void setLongDesc(String var1) {
      this.setAttribute("longDesc", var1);
   }

   public String getSrc() {
      return this.getAttribute("src");
   }

   public void setSrc(String var1) {
      this.setAttribute("src", var1);
   }

   public String getUseMap() {
      return this.getAttribute("useMap");
   }

   public void setUseMap(String var1) {
      this.setAttribute("useMap", var1);
   }

   public String getVspace() {
      return this.getAttribute("vspace");
   }

   public void setVspace(String var1) {
      this.setAttribute("vspace", var1);
   }

   public String getWidth() {
      return this.getAttribute("width");
   }

   public void setWidth(String var1) {
      this.setAttribute("width", var1);
   }
}
