package sun.plugin.extension;

import java.io.File;
import java.io.IOException;
import sun.plugin.resources.ResourceHandler;
import sun.plugin.usability.DialogFactory;
import sun.plugin.usability.Trace;

public class JavaExtensionInstaller implements ExtensionInstaller {
   public boolean install(String var1, String var2, String var3) throws IOException {
      Trace.extPrintln(ResourceHandler.getMessage("optpkg.install.java.launch"), 6);
      String var4 = System.getProperty("java.home");
      String var5 = var4 + File.separator + "bin" + File.separator + "java -jar " + var2;
      String[] var6 = new String[]{var4 + File.separator + "bin" + File.separator + "java", "-jar", var2};
      Trace.extPrintln(ResourceHandler.getMessage("optpkg.install.java.launch.command") + "'" + var5 + "'", 2);
      Process var7 = Runtime.getRuntime().exec(var6);
      DialogFactory.showMessageDialog(ResourceHandler.getMessage("optpkg.wait_for_installer"), ResourceHandler.getMessage("optpkg.launch_installer"));
      return true;
   }
}
