package sun.plugin.extension;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.text.MessageFormat;
import sun.plugin.resources.ResourceHandler;
import sun.plugin.usability.Trace;

public class RawExtensionInstaller implements ExtensionInstaller {
   public boolean install(String var1, String var2, String var3) throws IOException {
      Trace.extPrintln(ResourceHandler.getMessage("optpkg.install.raw.launch"), 6);
      File var4 = new File(var2);
      File var5 = new File(var3 + File.separatorChar + var4.getName());
      MessageFormat var6 = new MessageFormat(ResourceHandler.getMessage("optpkg.install.raw.copy"));
      Object[] var7 = new Object[]{var4, var5};
      Trace.extPrintln(var6.format(var7), 2);
      FileInputStream var8 = new FileInputStream(var4);
      BufferedInputStream var9 = new BufferedInputStream(var8);
      FileOutputStream var10 = new FileOutputStream(var5);
      BufferedOutputStream var11 = new BufferedOutputStream(var10);
      ExtensionUtils.copy(var9, var11);
      var9.close();
      var8.close();
      var11.close();
      var10.close();
      return true;
   }
}
