package sun.plugin.net.protocol.gopher;

import java.io.IOException;
import java.net.URL;
import java.net.URLConnection;
import sun.plugin.net.protocol.http.HttpURLConnection;
import sun.plugin.net.proxy.PluginProxyManager;
import sun.plugin.net.proxy.ProxyInfo;

public class Handler extends sun.net.www.protocol.gopher.Handler {
   public URLConnection openConnection(URL var1) throws IOException {
      ProxyInfo var2 = PluginProxyManager.getProxyInfo(var1);

      try {
         return (URLConnection)(var2 != null && var2.isProxyUsed() ? new HttpURLConnection(var1, var2.getProxy(), var2.getPort()) : super.openConnection(var1));
      } catch (IOException var4) {
         return super.openConnection(var1);
      }
   }
}
