package sun.plugin.net.protocol.http;

import java.io.IOException;
import java.net.URL;
import java.net.URLConnection;
import java.security.AccessController;

public class HttpUtils {
   public static java.net.HttpURLConnection followRedirects(URLConnection var0) throws IOException {
      int var2 = 0;
      Object var3 = null;

      boolean var1;
      do {
         if (var0 instanceof java.net.HttpURLConnection) {
            ((java.net.HttpURLConnection)var0).setInstanceFollowRedirects(false);
         }

         var3 = var0.getInputStream();
         var1 = false;
         if (var0 instanceof java.net.HttpURLConnection) {
            java.net.HttpURLConnection var4 = (java.net.HttpURLConnection)var0;
            int var5 = var4.getResponseCode();
            if (var5 >= 300 && var5 <= 305 && var5 != 304) {
               URL var6 = var4.getURL();
               String var7 = var4.getHeaderField("Location");
               URL var8 = null;
               if (var7 != null) {
                  var8 = new URL(var6, var7);
               }

               var4.disconnect();
               if (var8 == null || !var6.getProtocol().equals(var8.getProtocol()) || var2 >= 5) {
                  throw new SecurityException("illegal URL redirect");
               }

               var1 = true;
               var0 = var8.openConnection();
               var2++;
            }
         }
      } while (var1);

      if (!(var0 instanceof java.net.HttpURLConnection)) {
         throw new IOException(var0.getURL() + " redirected to non-http URL");
      } else {
         return (java.net.HttpURLConnection)var0;
      }
   }

   public static final boolean hostsEqual(URL var0, URL var1) {
      String var2 = var0.getHost();
      String var3 = var1.getHost();
      if (var2 == null) {
         return var3 == null;
      } else if (var3 == null) {
         return false;
      } else if (var2.equalsIgnoreCase(var3)) {
         return true;
      } else {
         boolean[] var4 = new boolean[]{false};
         AccessController.doPrivileged(new HttpUtils$1(var2, var3, var4));
         return var4[0];
      }
   }
}
