package sun.plugin.panel;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Toolkit;
import javax.swing.JApplet;
import javax.swing.JFrame;

public class ControlPanel extends JApplet {
   private static ControlPanel panel = null;
   public static ActivatorPanel apanel = null;
   private static MessageHandler mh = new MessageHandler("main");

   public void init() {
      ConfigurationInfo var1 = new ConfigurationInfo();
      apanel = new ActivatorPanel(var1);
      this.getContentPane().add(apanel);
      this.validate();
   }

   public static ControlPanel getJavaControlPanel() {
      if (panel != null) {
         return panel;
      } else {
         panel = new ControlPanel();
         panel.init();
         return panel;
      }
   }

   public static boolean isJavaControlPanelVisible() {
      if (panel == null) {
         return false;
      } else {
         ControlPanel var0 = getJavaControlPanel();
         return var0 != null ? var0.isVisible() : false;
      }
   }

   public static void showJavaControlPanel(boolean var0) {
      if (var0 != isJavaControlPanelVisible()) {
         ControlPanel var1 = getJavaControlPanel();
         if (var1 != null) {
            var1.setVisible(var0);
         }
      }
   }

   public static void main(String[] var0) {
      ControlPanel var1 = new ControlPanel();
      var1.init();
      JFrame var2 = new JFrame(mh.getMessage("control_panel_caption"));
      var2.getContentPane().setLayout(new BorderLayout());
      var2.getContentPane().add(var1, "Center");
      var2.pack();
      var2.setResizable(false);
      var2.addWindowListener(new ControlPanel$1());
      Dimension var3 = var2.getSize();
      Dimension var4 = Toolkit.getDefaultToolkit().getScreenSize();
      var3.width += 30;
      var2.setSize(var3);
      var2.setLocation((var4.width - var3.width) / 2, (var4.height - var3.height) / 2);
      var1.start();
      apanel.setBasicPanelText();
      apanel.setCertificatePanelText();
      apanel.setAdvancedPanel((int)(var3.getWidth() * 0.8));
      var2.setVisible(true);
   }
}
