package sun.plugin.resources;

import java.util.ListResourceBundle;

public class Activator_de extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"welcome_message", "Java(TM) Plug-in Bedienungsfeld"},
      {"product_name", "Java(TM) Plug-in"},
      {"version", "Version"},
      {"default_vm_version", "Standardversion der virtuellen Maschine "},
      {"using_jre_version", "Verwendung der JRE-Version"},
      {"user_home_dir", "Home-Verzeichnis des Benutzers"},
      {"user_overriden_browser", "Proxy-Einstellungen des Browsers wurden vom Benutzer überschrieben."},
      {"proxy_configuration", "Proxy-Konfiguration:"},
      {"browser_config", "Proxy-Konfiguration des Browsers"},
      {"auto_config", "Automatische Proxy-Konfiguration"},
      {"manual_config", "Manuelle Konfiguration"},
      {"no_proxy", "Kein Proxy"},
      {"proxy_is", "Proxy:"},
      {"proxy_override_is", "Proxy-Überschreibungen:"},
      {"loading", "Ladevorgang läuft "},
      {"java_applet", "Java-Applet"},
      {"java_bean", "JavaBeans"},
      {"java_not_enabled", "Java ist nicht aktiviert"},
      {"java_cache_enabled", "JAR-Cache aktiviert"},
      {"java_cache_disabled", "JAR-Cache deaktiviert"},
      {"proxy_equals", "Proxy="},
      {"net.connect.no_proxy", "Verbindung {0} ohne Proxy"},
      {"net.connect.proxy_is", "Verbindung {0} mit Proxy={1}"},
      {"bean_code_and_ser", "Für Bean kann nicht CODE und JAVA_OBJECT definiert sein "},
      {"status", ""},
      {"status_applet", "Applet "},
      {"status_bean", "JavaBeans "},
      {"status_exception", "Ausnahme: "},
      {"ok.label", "Ok"},
      {"print.title", "Warnung"},
      {"print.message", new String[]{"Ein Applet möchte einen Druckvorgang ausführen.", "Sind Sie einverstanden?"}},
      {"print.yes", "Ja"},
      {"print.no", "Nein"},
      {"https_dialog.caption", "Java Sicherheitshinweis"},
      {
            "https_dialog.text",
            "Das Sicherheitszertifikat des Servers entspricht nicht der Seite, die Sie anzeigen möchten.\n\nRechnername der URL: {0}\nRechnername des Zertifikats: {1}\n\nMöchten Sie fortfahren?"
      },
      {"https_dialog.unknown.host", "Unbekannter Rechner"},
      {"security_dialog.caption", "Java Sicherheitshinweis"},
      {
            "security_dialog.text0",
            "Möchten Sie das signierte Applet installieren und ausführen, das übertragen wird durch \"{0}\"?\n\nAuthentizität des Herausgebers überprüft durch \"{1}\""
      },
      {
            "security_dialog_https.text0",
            "Möchten Sie dieses Zertifikat von der Website \"{0}\" zum Austausch von verschlüsselten Informationen annehmen?\n\nAuthentizität des Herausgebers überprüft durch \"{1}\""
      },
      {
            "security_dialog.text1",
            "\nCaution: \"{0}\" Gibt an, dass dieser Inhalt sicher ist. Sie sollten diesen Inhalt nur installieren/anzeigen, wenn Sie Vertrauen haben,\"{1}\" diese Versicherung zu geben.\n\n"
      },
      {"security_dialog.unknown.issuer", "Unbekannter Aussteller"},
      {"security_dialog.unknown.subject", "Unbekanntes Betreff"},
      {"security_dialog.rootCANotValid", "Das Sicherheitszertifikat stammt von einem Unternehmen, dass nicht als vertrauenswürdig eingestuft ist."},
      {"security_dialog.rootCAValid", "Das Sicherheitszertifikat stammt von einem Unternehmen, dass als vertrauenswürdig eingestuft ist."},
      {"security_dialog.timeNotValid", "Das Sicherheitszertifikat ist abgelaufen oder noch nicht gültig."},
      {"security_dialog.timeValid", "The security certificate has not expired and is still valid."},
      {"security_dialog.buttonAlways", "Immer gewähren"},
      {"security_dialog.buttonYes", "Für diese Sitzung gewähren"},
      {"security_dialog.buttonNo", "Verweigern"},
      {"security_dialog.buttonInfo", "Weitere Informationen"},
      {"security_dialog.buttonViewCert", "Zertifikat anzeigen"},
      {"cert_dialog.caption", "Zertifikateigenschaften"},
      {"cert_dialog.title", "Zertifikat"},
      {"cert_dialog.field.Version", "Version"},
      {"cert_dialog.field.SerialNumber", "Seriennummer"},
      {"cert_dialog.field.SignatureAlg", "Unterschriftalgorithmus"},
      {"cert_dialog.field.Issuer", "Aussteller"},
      {"cert_dialog.field.EffectiveDate", "Tag des Inkrafttretens"},
      {"cert_dialog.field.ExpirationDate", "Ablaufdatum"},
      {"cert_dialog.field.Validity", "Gültigkeit"},
      {"cert_dialog.field.Subject", "Betreff"},
      {"cert_dialog.field.Signature", "Unterschrift"},
      {"cert_dialog.field", "Feld"},
      {"cert_dialog.value", "Wert"},
      {"cert_dialog.issuerButton", "Aussteller"},
      {"cert_dialog.viewIssuerButton", "Aussteller anzeigen"},
      {"cert_dialog.okButton", "OK"},
      {"import_format_dialog.title", "Fehler"},
      {"import_format_dialog.caption", "Die ausgewählte Datei hat ein falsches Format und kann nicht importiert werden."},
      {"import_password_dialog.title", "Fehler"},
      {"import_password_dialog.caption", "Das eingegebene Passwort ist falsch."},
      {"cert_password_dialog.title", "Passwort"},
      {"cert_password_dialog.caption", "Geben Sie ein Passwort für den Zugriff auf diese Datei ein:"},
      {"cert_export_dialog.title", "Fehler"},
      {"cert_export_dialog.caption", "Es wird kein Zertifikat exportiert."},
      {"net.authenticate.title", "Geben Sie das Netzwerkpasswort ein."},
      {"net.authenticate.label", "Geben Sie Ihren Benutzernamen und Ihr Passwort ein."},
      {"net.authenticate.resource", "Ressource:"},
      {"net.authenticate.username", "Benutzername:"},
      {"net.authenticate.password", "Passwort:"},
      {"net.authenticate.firewall", "Firewall:"},
      {"net.authenticate.realm", "Bereich:"},
      {"net.authenticate.scheme", "Schema:"},
      {"console.caption", "Java-Konsole"},
      {"console.clear", "Löschen"},
      {"console.close", "Schließen"},
      {"console.copy", "Kopieren"},
      {"html.wrong_param", "Es konnten nicht alle erforderlichen HTML-Parameter bestimmt werden - die HTML-Installation wird abgebrochen.\n"},
      {"html.cache_error", "Kein Zugriff auf Versionstabelle des HTML-Cache - die HTML-Installation wird abgebrochen.\n"},
      {"html.general_error", "Die HTML-Installation konnte nicht abgeschlossen werden.\n"},
      {"html.caption", "Warnung Java Plug-in HTML-Installation"},
      {
            "html.prompt_user",
            "Dieses Applet verlangt die Installation der HTML-Seite auf Ihrem Rechner und die Erstellung einer Verknüpfung auf Ihrem Desktop. Möchten Sie fortfahren?"
      },
      {"html.install.ok", "HTML-Installation abgeschlossen"},
      {"html.install.fail", "HTML-Installation fehlgeschlagen"},
      {"optpkg.cert_expired", "Das Zertifikat ist abgelaufen - die Installation des optionalen Pakets wird abgebrochen.\n"},
      {"optpkg.cert_notyieldvalid", "Das Zertifikat ist noch nicht gültig - die Installation des optionalen Pakets wird abgebrochen.\n"},
      {"optpkg.cert_notverify", "Das Zertifikat konnte nicht verifiziert werden - die Installation des optionalen Pakets wird abgebrochen.\n"},
      {"optpkg.general_error", "Das optionale Paket konnte nicht installiert werden.\n"},
      {"optpkg.caption", "Warnung Java Installation optionales Paket"},
      {
            "optpkg.wait_for_installer",
            "Bitte klicken Sie auf OK, um mit dem Laden des Applets fortzufahren, nachdem das Installationsprogramm für das optionale Paket beendet wurde."
      },
      {"optpkg.launch_installer", "Das Installationsprogramm für das optionale Paket wird gestartet"},
      {"optpkg.prompt_user.new_spec.text", "Das Applet erfordert eine aktuellere Version (Angabe {0}) des optionalen Pakets \"{1}\" von {2}"},
      {"optpkg.prompt_user.new_impl.text", "Das Applet erfordert eine aktuellere Version (Implementierung {0}) des optionalen Pakets \"{1}\" von {2}"},
      {"optpkg.prompt_user.new_vendor.text", "Das Applet erfordert die ({0}) des optionalen Pakets \"{1}\" {2} von {3}"},
      {"optpkg.prompt_user.default.text", "Das Applet erfordert die Installation des optionalen Pakets \"{0}\" von {1}"},
      {"rsa.cert_expired", "Das Zertifikat ist abgelaufen - der Code wird als nicht unterschrieben angesehen.\n"},
      {"rsa.cert_notyieldvalid", "Das Zertifikat ist noch nicht gültig - der Code wird als nicht unterschrieben angesehen.\n"},
      {"rsa.general_error", "Das Zertifikat konnte nicht verifiziert werden - der Code wird als nicht unterschrieben angesehen.\n"},
      {"rsa.cert_expired_prompt_user", "Das Zertifikat ist abgelaufen. Möchten Sie diese Warnung ignorieren und fortfahren?\n"},
      {"rsa.cert_notyieldvalid_prompt_user", "Das Zertifikat ist noch nicht gültig. Möchten Sie diese Warnung ignorieren und fortfahren?\n"},
      {"rsa.cert_invalid_prompt_user", "Der Root-CA dieses Zertifikats kann nicht überprüft werden. Diese Warnung ignorieren und fortfahren?\n"},
      {"usability.confirmDialogTitle", "Java Plug-in Bestätigungsdialog"},
      {"usability.inputDialogTitle", "Java Plug-in Eingabedialog"},
      {"usability.messageDialogTitle", "Java Plug-in Meldungsdialog"},
      {"usability.exceptionDialogTitle", "Java Plug-in Ausnahmedialog"},
      {"usability.optionDialogTitle", "Java Plug-in Optionsdialog"},
      {"usability.aboutDialogTitle", "Anwendungsinfo Java Plug-in"},
      {"usability.confirm.yes", "Ja"},
      {"usability.confirm.no", "Nein"},
      {"usability.general_error", "Allgemeine Ausnahme\n"},
      {"usability.net_error", "Netzwerkausnahme\n"},
      {"usability.security_error", "Sicherheitsausnahme\n"},
      {"usability.ext_error", "Ausnahme bei der Installation des optionalen Pakets\n"},
      {"usability.menu.show_console", "Java-Konsole anzeigen"},
      {"usability.menu.hide_console", "Java-Konsole verbergen"},
      {"usability.menu.about", "Anwendungsinfo Java Plug-in"},
      {"usability.menu.copy", "Kopieren"},
      {"proxy.auto_config.download_error", "Die Datei für die automatische Proxy-Konfiguration konnte nicht heruntergeladen werden - Programmwiederaufnahme.\n"},
      {"proxy.error_caption", "Proxy-Konfigurationsfehler"},
      {"proxy.prefsfile.nsreg_error", "Die Proxy-Konfigurationseinstellungen konnten nicht gefunden werden - Programmwiederaufnahme.\n"},
      {"applet_install.wrong_param", "Ungültige Applet-Parameter - die Applet-Installation wird abgebrochen.\n"},
      {"applet_install.mutex_error", "Die Sperren für die Cache-Tabelle konnten nicht gefunden werden - die Applet-Installation wird abgebrochen.\n"},
      {"applet_install.io_error", "I/O-Ausnahme - die Applet-Installation wird abgebrochen.\n"},
      {"applet_install.jar_cache_error", "Ausnahme Applet-Installation\n"},
      {"applet_install.general_error", "Die Applet-Installation konnte nicht beendet werden.\n"},
      {"applet_install.caption", "Warnung Java Plug-in Applet-Installation"},
      {"cache.error", "Ausnahme wegen Java-Plug-in-Cache"},
      {"cache.caption", "Warnung wegen Java-Plug-in-Cache"},
      {"cache.version_format_error", " ist nicht in der Form xxxx.xxxx.xxxx.xxxx, mit x als eine Hexadezimalziffer"},
      {"cache.version_attrib_error", "Anzahl der in 'cache_archive' angegebenen Attribute entspricht nicht der Anzahl in 'cache_version'"},
      {"applet.progress.load", "Applet wird geladen..."},
      {"applet.progress.init", "Applet wird initialisiert..."},
      {"applet.progress.start", "Applet wird gestartet..."},
      {"applet.progress.stop", "Applet wird angehalten..."},
      {"applet.progress.destroy", "Applet wird zerstört..."},
      {"applet.progress.dispose", "Applet wird verworfen..."},
      {"applet.progress.quit", "Applet wird beendet..."},
      {"applet.progress.stoploading", "Ladevorgang abgebrochen..."},
      {"applet.progress.interrupted", "Thread unterbrochen..."},
      {"applet.progress.joining", "Join für Applet-Thread wird ausgeführt..."},
      {"applet.progress.joined", "Join für Applet-Thread ausgeführt..."},
      {"applet.progress.loadClass", "Klasse wird geladen "},
      {"applet.progress.loadResource", "Ressource wird geladen "},
      {"applet.progress.loadImage", "Bild wird geladen "},
      {"applet.progress.loadAudio", "Audiodatei wird geladen "},
      {"applet.progress.findinfo.0", "Informationen werden gesucht..."},
      {"applet.progress.findinfo.1", "Fertig..."},
      {"applet.progress.timeout.wait", "Warten auf Timeout..."},
      {"applet.progress.timeout.jointing", "Join wird ausgeführt..."},
      {"applet.progress.timeout.jointed", "Join abgeschlossen..."},
      {"console.menu.text.top", "----------------------------------------------------\n"},
      {"console.menu.text.c", "c:   Konsolenfenster löschen\n"},
      {"console.menu.text.f", "f:   Objekte in Finalisierungswarteschlange finalisieren\n"},
      {"console.menu.text.g", "g:   Speicherbereinigung\n"},
      {"console.menu.text.h", "h:   Diese Hilfemeldung anzeigen\n"},
      {"console.menu.text.l", "l:   ClassLoader-Liste ausgeben\n"},
      {"console.menu.text.m", "m:   Speicherbelegung drucken\n"},
      {"console.menu.text.o", "o:   Protokollieren auslösen\n"},
      {"console.menu.text.p", "p:   Proxy-Konfiguration neu laden\n"},
      {"console.menu.text.q", "q:   Konsole ausblenden\n"},
      {"console.menu.text.r", "r:   Richtlinien-Konfiguration neu laden\n"},
      {"console.menu.text.s", "s:   Systemeigenschaften ausgeben\n"},
      {"console.menu.text.t", "t:   Threadliste ausgeben\n"},
      {"console.menu.text.x", "x:   ClassLoader-Cache löschen\n"},
      {"console.menu.text.0", "0-5: Trace-Stufe auf <n> setzen\n"},
      {"console.menu.text.tail", "----------------------------------------------------\n"},
      {"console.done", "Fertig."},
      {"console.trace.level.0", "Trace-Stufe auf 0 (kein) setzen ... abgeschlossen."},
      {"console.trace.level.1", "Trace-Stufe auf 1 (einfach) setzen ... abgeschlossen."},
      {"console.trace.level.2", "Trace-Stufe auf 2 (einfach, Netz) setzen ... abgeschlossen."},
      {"console.trace.level.3", "Trace-Stufe auf 3 (einfach, Netz, Sicherheit) setzen ... abgeschlossen."},
      {"console.trace.level.4", "Trace-Stufe auf 4 (einfach, Netz, Sicherheit, erweitert) setzen ... abgeschlossen."},
      {"console.trace.level.5", "Trace-Stufe auf 5 (einfach, Netz, Sicherheit, erweitert, Live-Connect) setzen ... abgeschlossen."},
      {"console.log", "Protokollieren : "},
      {"console.completed", " .... abgeschlossen."},
      {"console.dump.thread", "Threadliste ausgeben...\n"},
      {"console.dump.properties", "Systemeigenschaften ausgeben...\n"},
      {"console.clear.classloader", "ClassLoader-Cache löschen... abgeschlossen."},
      {"console.reload.policy", "Richtlinien-Konfiguration neu laden"},
      {"console.reload.proxy", "Proxy-Konfiguration neu laden..."},
      {"console.gc", "Speicherbereinigung"},
      {"console.finalize", "Objekte in Finalisierungswarteschlange finalisieren"},
      {"console.memory", "Speicher: {0}K  Frei: {1}K  ({2}%)"},
      {"modality.register", "Registrierter Modality-Listener"},
      {"modality.unregister", "Nicht registrierter Modality-Listener"},
      {"modality.pushed", "Modality-Push durchgeführt"},
      {"modality.popped", "Modality-Pop durchgeführt"},
      {"progress.listener.added", "Fortschritts-Listener hinzugefügt: "},
      {"progress.listener.removed", "Fortschritts-Listener entfernt: "},
      {"liveconnect.UniversalBrowserRead.enabled", "JavaScript: UniversalBrowserRead aktiviert"},
      {"liveconnect.java.system", "JavaScript: Java-Systemcode wird aufgerufen"},
      {"liveconnect.same.origin", "JavaScript: Aufrufer und Aufgerufener haben denselben Ursprung"},
      {"liveconnect.default.policy", "JavaScript: Standard-Sicherheitsrichtlinie = "},
      {"liveconnect.UniversalJavaPermission.enabled", "JavaScript: UniversalJavaPermission aktiviert"},
      {"liveconnect.wrong.securitymodel", "Netscape-Sicherheitsmodell wird nicht mehr unterstützt.\nBitte stellen Sie auf das Java 2-Sicherheitsmodell um.\n"},
      {"jpicertstore.cert.loading", "JPI-Zertifikate werden geladen aus "},
      {"jpicertstore.cert.loaded", "JPI-Zertifikate wurden geladen aus "},
      {"jpicertstore.cert.saving", "JPI-Zertifikate werden gespeichert in "},
      {"jpicertstore.cert.saved", "JPI-Zertifikate wurden gespeichert in "},
      {"jpicertstore.cert.adding", "Zertifikat wird permanentem JPI-Zertifikatspeicher hinzugefügt"},
      {"jpicertstore.cert.added", "Zertifikat wurde permanentem JPI-Zertifikatspeicher hinzugefügt als Alias "},
      {"jpicertstore.cert.removing", "Zertifikat wird aus permanentem JPI-Zertifikatspeicher entfernt"},
      {"jpicertstore.cert.removed", "Zertifikat wurde aus permanentem JPI-Zertifikatspeicher entfernt als Alias "},
      {"jpicertstore.cert.instore", "Zertifikat wird im permanenten JPI-Zertifikatspeicher gesucht"},
      {"jpicertstore.cert.canverify", "Überprüfung, ob Zertifikat über Zertifikate im permanenten JPI-Zertifikatspeicher verifiziert werden kann"},
      {"jpicertstore.cert.iterator", "Zertifikat-Iterator aus permanentem JPI-Zertifikatspeicher abrufen"},
      {"jpihttpscertstore.cert.loading", "JPI-Https-Zertifikate werden geladen aus "},
      {"jpihttpscertstore.cert.loaded", "JPI-Https-Zertifikate wurden geladen aus  "},
      {"jpihttpscertstore.cert.saving", "JPI-Https-Zertifikate werden gespeichert in "},
      {"jpihttpscertstore.cert.saved", "JPI-Https-Zertifikate wurden gespeichert in "},
      {"jpihttpscertstore.cert.adding", "Https-Zertifikat wird permanentem JPI-Zertifikatspeicher hinzugefügt"},
      {"jpihttpscertstore.cert.added", "Https-Zertifikat wurde permanentem JPI-Zertifikatspeicher hinzugefügt als Alias "},
      {"jpihttpscertstore.cert.removing", "Https-Zertifikat wird aus permanentem JPI-Zertifikatspeicher entfernt"},
      {"jpihttpscertstore.cert.removed", "Https-Zertifikat wurde aus permanentem JPI-Zertifikatspeicher entfernt als Alias "},
      {"jpihttpscertstore.cert.instore", "Https-Zertifikat wird im permanenten JPI-Zertifikatspeicher gesucht"},
      {"jpihttpscertstore.cert.canverify", "Überprüfung, ob Zertifikat über Https-Zertifikate im permanenten JPI-Zertifikatspeicher verifiziert werden kann"},
      {"jpihttpscertstore.cert.iterator", "Https-Zertifikat-Iterator aus permanentem JPI-Zertifikatspeicher abrufen"},
      {"rootcertstore.cert.loading", "Zertifizierungsstellen-Stammzertifikate werden geladen aus "},
      {"rootcertstore.cert.loaded", "Zertifizierungsstellen-Stammzertifikate wurden geladen aus "},
      {"rootcertstore.cert.noload", "Datei für Zertifizierungsstellen-Stammzertifikat wurde nicht gefunden: "},
      {"rootcertstore.cert.saving", "Zertifizierungsstellen-Stammzertifikate werden gespeichert in "},
      {"rootcertstore.cert.saved", "Zertifizierungsstellen-Stammzertifikate wurden gespeichert in "},
      {"rootcertstore.cert.adding", "Zertifikat wird Zertifizierungsstellen-Stammzertifikatspeicher hinzugefügt"},
      {"rootcertstore.cert.added", "Zertifikat wurde Zertifizierungsstellen-Stammzertifikatspeicher hinzugefügt als Alias "},
      {"rootcertstore.cert.removing", "Zertifikat wird aus Zertifizierungsstellen-Stammzertifikatspeicher entfernt"},
      {"rootcertstore.cert.removed", "Zertifikat wurde aus Zertifizierungsstellen-Stammzertifikatspeicher entfernt als Alias "},
      {"rootcertstore.cert.instore", "Zertifikat wird in Zertifizierungsstellen-Stammzertifikatspeicher gesucht"},
      {"rootcertstore.cert.canverify", "Überprüfung, ob Zertifikat über Zertifikate in Zertifizierungsstellen-Stammzertifikatspeicher verifiziert werden kann"},
      {"rootcertstore.cert.iterator", "Zertifikat-Iterator aus Zertifizierungsstellen-Stammzertifikatspeicher abrufen"},
      {"rootcertstore.cert.verify.ok", "Zertifikat wurde erfolgreich über Zertifizierungsstellen-Stammzertifikate verifiziert"},
      {"rootcertstore.cert.verify.fail", "Zertifikat konnte nicht über Zertifizierungsstellen-Stammzertifikate verifiziert werden"},
      {"roothttpscertstore.cert.loading", "Zertifizierungsstellen-Https-Stammzertifikate werden geladen aus "},
      {"roothttpscertstore.cert.loaded", "Zertifizierungsstellen-Https-Stammzertifikate wurden geladen aus "},
      {"roothttpscertstore.cert.noload", "Datei für Zertifizierungsstellen-Https-Stammzertifikat wurde nicht gefunden: "},
      {"roothttpscertstore.cert.saving", "Zertifizierungsstellen-Https-Stammzertifikate werden gespeichert in "},
      {"roothttpscertstore.cert.saved", "Zertifizierungsstellen-Https-Stammzertifikate wurden gespeichert in "},
      {"roothttpscertstore.cert.adding", "Zertifikat wird Zertifizierungsstellen-Https-Stammzertifikatspeicher hinzugefügt"},
      {"roothttpscertstore.cert.added", "Zertifikat wurde Zertifizierungsstellen-Https-Stammzertifikatspeicher hinzugefügt als Alias "},
      {"roothttpscertstore.cert.removing", "Zertifikat wird aus Zertifizierungsstellen-Https-Stammzertifikatspeicher entfernt"},
      {"roothttpscertstore.cert.removed", "Zertifikat wurde aus Zertifizierungsstellen-Https-Stammzertifikatspeicher entfernt als Alias "},
      {"roothttpscertstore.cert.instore", "Zertifikat wird in Zertifizierungsstellen-Https-Stammzertifikatspeicher gesucht"},
      {
            "roothttpscertstore.cert.canverify",
            "Überprüfung, ob Zertifikat über Zertifikate in Zertifizierungsstellen-Https-Stammzertifikatspeicher verifiziert werden kann"
      },
      {"roothttpscertstore.cert.iterator", "Zertifikat-Iterator aus Zertifizierungsstellen-Https-Stammzertifikatspeicher abrufen"},
      {"roothttpscertstore.cert.verify.ok", "Zertifikat wurde erfolgreich über Zertifizierungsstellen-Https-Stammzertifikate verifiziert"},
      {"roothttpscertstore.cert.verify.fail", "Zertifikat konnte nicht über Zertifizierungsstellen-Https-Stammzertifikate verifiziert werden"},
      {"sessioncertstore.cert.loading", "Zertifikate werden aus JPI-Sitzungs-Zertifikatspeicher geladen"},
      {"sessioncertstore.cert.loaded", "Zertifikate wurden aus JPI-Sitzungs-Zertifikatspeicher geladen"},
      {"sessioncertstore.cert.saving", "Zertifikate werden in JPI-Sitzungs-Zertifikatspeicher gespeichert"},
      {"sessioncertstore.cert.saved", "Zertifikate wurden in JPI-Sitzungs-Zertifikatspeicher gespeichert"},
      {"sessioncertstore.cert.adding", "Zertifikat wird JPI-Sitzungs-Zertifikatspeicher hinzugefügt"},
      {"sessioncertstore.cert.added", "Zertifikat wurde JPI-Sitzungs-Zertifikatspeicher hinzugefügt"},
      {"sessioncertstore.cert.removing", "Zertifikat wird aus JPI-Sitzungs-Zertifikatspeicher entfernt"},
      {"sessioncertstore.cert.removed", "Zertifikat wurde aus JPI-Sitzungs-Zertifikatspeicher entfernt"},
      {"sessioncertstore.cert.instore", "Zertifikat wird in JPI-Sitzungs-Zertifikatspeicher gesucht"},
      {"sessioncertstore.cert.canverify", "Überprüfung, ob Zertifikat über Zertifikate in JPI-Sitzungs-Zertifikatspeicher verifiziert werden kann"},
      {"sessioncertstore.cert.iterator", "Zertifikat-Iterator aus JPI-Sitzungs-Zertifikatspeicher abrufen"},
      {"hostnameverifier.automation.ignoremismatch", "Automatisierung: Hostname-Konflikt ignorieren"},
      {"pluginclassloader.deleting_files", "JAR-Dateien werden aus Cache gelöscht."},
      {"pluginclassloader.file", "   Löschen aus Cache "},
      {"pluginclassloader.empty_file", " ist leer und wird aus Cache gelöscht."},
      {"trustdecider.user.grant.session", "Berechtigungen für den Code wurden vom Benutzer nur für diese Sitzung gewährt"},
      {"trustdecider.user.grant.forever", "Berechtigungen für den Code wurden vom Benutzer unbegrenzt gewährt"},
      {"trustdecider.user.deny", "Berechtigungen für den Code wurden vom Benutzer nicht gewährt"},
      {"trustdecider.automation.trustcert", "Automatisierung: RSA-Zertifikat zum Signieren vertrauen"},
      {"x509trustmgr.automation.ignoreclientcert", "Automatisierung: Nicht als vertrauenswürdig eingestuftes Client-Zertifikat ignorieren"},
      {"x509trustmgr.automation.ignoreservercert", "Automatisierung: Nicht als vertrauenswürdig eingestuftes Server-Zertifikat ignorieren"},
      {"appletcontext.audio.loaded", "Audio-Clip geladen: "},
      {"appletcontext.image.loaded", "Bild geladen: "},
      {"securitymgr.automation.printing", "Automatisierung: Drucken akzeptieren"},
      {"classloaderinfo.referencing", "ClassLoader wird referenziert: {0}, refcount={1}"},
      {"classloaderinfo.releasing", "ClassLoader wird freigegeben: {0}, refcount={1}"},
      {"classloaderinfo.caching", "ClassLoader wird im Cache abgelegt: "},
      {"classloaderinfo.cachesize", "Aktuelle Größe des ClassLoader-Cache: "},
      {"classloaderinfo.num", "Anzahl der ClassLoader im Cache größer als {0}, Referenz aufheben {1}"},
      {"cachehandler.filename", "Cache-Dateiname: "},
      {"trace.listener.added", "Trace-Listener hinzugefügt: "},
      {"trace.listener.removed", "Trace-Listener entfernt: "},
      {"cookiehandler.cache", "Cookie-Cache: "},
      {"cookiehandler.server", "Server {0} sendet Anfrage nach Set-Cookie mit \"{1}\""},
      {"cookiehandler.connect", "Verbindung {0} mit Cookie \"{1}\""},
      {"cookiehandler.ignore.setcookie", "Cookie-Service nicht verfügbar - ignorieren \"Set-Cookie\""},
      {"cookiehandler.noservice", "Cookie-Service nicht verfügbar - Cache verwenden zum Ermitteln von \"Cookie\""},
      {"jsobject.eval", "Bewerten {0} = {1}"},
      {"jsobject.call", "JSObject::call: Name={0}, URL={1}, Erlaubnis={2}"},
      {"jsobject.eval.url.permission", "JSObject::eval({0}), URL={1}, Erlaubnis={2}"},
      {"jsobject.getMember", "JSObject::getMember: Name={0}, URL={1}, Erlaubnis={2}"},
      {"jsobject.setMember", "JSObject::setMember: Name={0}, URL={1}, Erlaubnis={2}"},
      {"jsobject.removeMember", "JSObject::removeMember: Name={0}, URL={1}, Erlaubnis={2}"},
      {"jsobject.getSlot", "JSObject::getSlot: {0}, URL={1}, Erlaubnis={2}"},
      {"jsobject.setSlot", "JSObject::setSlot: Slot={0}, URL={1}, Erlaubnis={2}"},
      {"applet_install.ok", "Applet-Installation abgeschlossen"},
      {"applet_install.fail", "Applet-Installation fehlgeschlagen"},
      {"optpkg.install.info", "Optionales Paket wird installiert "},
      {"optpkg.install.fail", "Installation von optionalem Paket fehlgeschlagen."},
      {"optpkg.install.ok", "Installation von optionalem Paket erfolgreich."},
      {"optpkg.install.automation", "Automatisierung: Installation von optionalem Paket akzeptieren"},
      {"optpkg.install.granted", "Download von optionalem Paket vom Benutzer gewährt, Download von "},
      {"optpkg.install.deny", "Download von optionalem Paket vom Benutzer nicht gewährt"},
      {"optpkg.install.begin", "Installieren "},
      {"optpkg.install.java.launch", "Java-Installationsprogramm wird gestartet"},
      {"optpkg.install.java.launch.command", "Java-Installationsprogramm wird gestartet durch "},
      {"optpkg.install.native.launch", "Natives Installationsprogramm wird gestartet"},
      {"optpkg.install.native.launch.fail.0", "Ausführen von {0} nicht möglich"},
      {"optpkg.install.native.launch.fail.1", "Zugriff auf {0} fehlgeschlagen"},
      {"optpkg.install.raw.launch", "Optionales Raw-Paket wird installiert"},
      {"optpkg.install.raw.copy", "Optionales Raw-Paket wird kopiert von {0} nach {1}"},
      {
            "optpkg.install.error.nomethod",
            "Dependent Extension Provider nicht installiert : Methode  addExtensionInstallationProvider kann nicht abgerufen werden"
      },
      {"optpkg.install.error.noclass", "Dependent Extension Provider nicht installiert : Klasse sun.misc.ExtensionDependency kann nicht abgerufen werden"},
      {"bookmarkmgr.add", "Lesezeichen \"{0}\" hinzufügen als {1}"},
      {"bookmarkmgr.remove", "Lesezeichen \"{0}\" entfernen als {1}"},
      {"bookmarkmgr.remove.all", "Alle Lesezeichen entfernen"},
      {"dialogfactory.user.selected", "Benutzerauswahl: "},
      {"dialogfactory.user.typed", "Benutzereingabe: "},
      {"html.install.check", "HTML-Installation wird überprüft"},
      {"html.install.version.checklocal", "Lokale Version der HTML-Seite wird überprüft"},
      {"html.install.version.remote.local", "Remote-Version der HTML-Seite={0}, lokale Version der HTML-Seite={1}"},
      {"html.install.local.uptodated", "Lokale HTML-Seite ist aktueller - Installation abschließen"},
      {"html.install.local.outdated", "Lokale HMTL-Seite existiert nicht mehr - Neu generieren"},
      {"html.install.remote.uptodated", "Lokale HTML-Seite ist aktueller - Benutzer fragen"},
      {"html.install.info.missing", "Informationen über lokale HTML-Seite nicht in Versionstabelle enthalten - Erneut installieren"},
      {"html.install.user.deny", "Installation der HTML-Seite vom Benutzer verweigert - HTML-Installation abbrechen"},
      {"html.install.html.generate", "Lokale HTML-Seite wird generiert"},
      {"html.install.version.update", "Versionsinformationen über lokale HTML-Seite werden aktualisiert"},
      {"html.install.bookmark.add", "Lesezeichen wird dem Desktop hinzugefügt"},
      {"html.install.automation", "Automatisierung: HTML-Installation akzeptieren"},
      {"progress_dialog.downloading", "Plug-in: Download-Vorgang läuft..."},
      {"progress_dialog.dismiss_button", "Verwerfen"},
      {"progress_dialog.from", "aus"},
      {"applet_viewer.color_tag", "Falsche Anzahl von Komponenten in "},
      {"progress_info.downloading", "Download von JAR-Dateien"},
      {"progress_bar.overflow", "Es wurde versucht, die Fortschrittsanzeige über den gültigen Bereich hinaus zu zeichnen"},
      {"progress_bar.preload", "JAR-Dateien werden geladen: "},
      {"cache.size", "Cache-Größe: {0}"},
      {"cache.cleanup", "Größe des Cache ist: {0} Byte, Bereinigung erforderlich"},
      {"cache.full", "Cache ist voll: Datei {0} wird gelöscht"},
      {"cache.inuse", "Datei {0} kann nicht gelöscht werden, da sie von dieser Anwendung verwendet wird"},
      {"cache.notdeleted", "Datei {0} kann nicht gelöscht werden, da sie möglicherweise von dieser und/oder anderen Anwendungen verwendet wird"},
      {"cache.out_of_date", "Kopie von {0} im Cache ist nicht aktuell\n  Kopie im Cache: {1}\n  Kopie auf dem Server: {2}"},
      {"cache.loading", "{0} wird aus dem Cache geladen"},
      {"cache.cache_warning", "ACHTUNG: {0} kann nicht im Cache gespeichert werden"},
      {"cache.downloading", "Download von {0} in Cache"},
      {"cache.cached_name", "Name der Datei im Cache: {0}"},
      {"cache.load_warning", "ACHTUNG: Fehler beim Lesen von {0} aus Cache."},
      {"cache.disabled", "Cache vom Benutzer deaktiviert"},
      {"cache.minSize", "Cache ist deaktiviert, Cache-Grenze auf {0} gesetzt, mindestens 5 MB sollten angegeben werden"},
      {"cache.directory_warning", "ACHTUNG: {0} ist kein Verzeichnis. Cache wird deaktiviert."},
      {"cache.response_warning", "ACHTUNG: Unerwartete Antwort {0} für {1}.  Datei wird erneut heruntergeladen."},
      {"cache.enabled", "Cache ist aktiviert"},
      {"cache.location", "Standort: {0}"},
      {"cache.maxSize", "Maximale Größe: {0}"},
      {"cache.create_warning", "ACHTUNG: Cache-Verzeichnis {0} konnte nicht erstellt werden.  Caching wird deaktiviert."},
      {"cache.read_warning", "ACHTUNG: Cache-Verzeichnis {0} kann nicht gelesen werden.  Caching wird deaktiviert."},
      {"cache.write_warning", "ACHTUNG: In Cache-Verzeichnis {0} kann nicht geschrieben werden.  Caching wird deaktiviert."},
      {"cache.compression", "Kompressionsstufe: {0}"},
      {"cache.cert_load", "Zertifikat für {0} wird aus JAR-Cache gelesen"},
      {"cache.jarjar.invalid_file", "Datei .jarjar enthält eine Datei, die keine .jar-Datei ist"},
      {"cache.jarjar.multiple_jar", "Datei .jarjar enthält mehr als eine .jar-Datei"},
      {"cache.version_checking", "Version wird überprüft für {0}, angegebene Version ist {1}"},
      {"cache.preloading", "Datei {0} wird geladen"},
      {"cache_viewer.title", "Java Plug-in Cache-Anzeige"},
      {"cache_viewer.refresh", "Aktualisieren"},
      {"cache_viewer.remove", "Löschen"},
      {"cache_viewer.close", "Schließen"},
      {"cache_viewer.name", "Name"},
      {"cache_viewer.type", "Typ"},
      {"cache_viewer.size", "Größe"},
      {"cache_viewer.modify_date", "Letzte Änderung"},
      {"cache_viewer.expiry_date", "Ablaufdatum"},
      {"cache_viewer.url", "URL"},
      {"cache_viewer.version", "Version"},
      {"cache_viewer.help.name", "Name der Datei im Cache"},
      {"cache_viewer.help.type", "Typ der Datei im Cache"},
      {"cache_viewer.help.size", "Größe der Datei im Cache"},
      {"cache_viewer.help.modify_date", "Datum der letzten Änderung der Datei im Cache"},
      {"cache_viewer.help.expiry_date", "Ablaufdatum der Datei im Cache"},
      {"cache_viewer.help.url", "URL für Download der Datei im Cache"},
      {"cache_viewer.help.version", "Version der Datei im Cache"},
      {"cache_viewer.delete", "{0} kann nicht gelöscht werden, wird möglicherweise verwendet"},
      {"cache_viewer.type.zip", "Jar"},
      {"cache_viewer.type.class", "Klasse"},
      {"cache_viewer.type.wav", "Wav-Sound"},
      {"cache_viewer.type.au", "Au-Sound"},
      {"cache_viewer.type.gif", "Gif-Bild"},
      {"cache_viewer.type.jpg", "Jpeg-Bild"},
      {"net.proxy.loading.ie", "Proxy-Konfiguration wird aus Internet Explorer geladen..."},
      {"net.proxy.loading.ns", "Proxy-Konfiguration wird aus Netscape Navigator geladen..."},
      {"net.proxy.loading.userdef", "Benutzerdefinierte Proxy-Konfiguration wird geladen..."},
      {"net.proxy.loading.direct", "Direkte Proxy-Konfiguration wird geladen..."},
      {"net.proxy.loading.manual", "Manuelle Proxy-Konfiguration wird geladen..."},
      {"net.proxy.loading.auto", "Automatische Proxy-Konfiguration wird geladen..."},
      {"net.proxy.loading.browser", "Browser-Proxy-Konfiguration wird geladen..."},
      {"net.proxy.loading.manual.error", "Manuelle Proxy-Konfiguration kann nicht verwendet werden - Rückgriff auf DIREKTE"},
      {"net.proxy.loading.auto.error", "Automatische Proxy-Konfiguration kann nicht verwendet werden - Rückgriff auf MANUELLE"},
      {"net.proxy.loading.done", "Fertig."},
      {"net.proxy.browser.pref.read", "Datei mit Benutzereinstellungen wird geladen von "},
      {"net.proxy.browser.proxyEnable", "    Proxy aktivieren: "},
      {"net.proxy.browser.proxyList", "    Proxy-Liste: "},
      {"net.proxy.browser.proxyOverride", "    Proxy-Überschreibungen: "},
      {"net.proxy.browser.autoConfigURL", "    Autokonfigurations-URL: "},
      {"net.proxy.pattern.convert", "Umwandeln von Proxy-Umgehungsliste in regulären Ausdruck: "},
      {"net.proxy.pattern.convert.error", "Proxy-Umgehungsliste konnte nicht in regulären Ausdruck umgewandelt werden - Ignorieren"},
      {"net.proxy.auto.download.ins", "INS-Datei wird heruntergeladen von "},
      {"net.proxy.auto.download.js", "Automatische Proxy-Datei wird heruntergeladen von "},
      {"net.proxy.auto.result.error", "Proxy-Einstellungen konnten nicht durch Auswertung bestimmt werden - Rückgriff auf DIREKTE"},
      {"net.proxy.service.not_available", "Proxy-Dienst nicht verfügbar für {0} - Rückgriff auf DIREKTE"},
      {"lifecycle.applet.found", "Zuvor angehaltenes Applet aus dem Lebenszyklus-Cache wurde gefunden"},
      {"lifecycle.applet.support", "Applet unterstützt Legacy-Lebenszyklusmodell - Applet dem Lebenszyklus-Cache hinzufügen"},
      {"lifecycle.applet.cachefull", "Lebenszyklus-Cache ist voll - die am längsten nicht verwendeten Applets entfernen"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
