package sun.plugin.resources;

import java.util.ListResourceBundle;

public class Activator_es extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"welcome_message", "Panel de control de Java(TM) Plug-in"},
      {"product_name", "Java (TM) Plug-in"},
      {"version", "Versión"},
      {"default_vm_version", "Versión de la máquina virtual predeterminada"},
      {"using_jre_version", "Usar versión JRE"},
      {"user_home_dir", "Directorio local del usuario"},
      {"user_overriden_browser", "El usuario ha alterado los valores de delegado del explorador."},
      {"proxy_configuration", "Configuración del delegado: "},
      {"browser_config", "Configuración del delegado del navegador"},
      {"auto_config", "Configuración automática del delegado"},
      {"manual_config", "Configuración manual"},
      {"no_proxy", "Sin delegado"},
      {"proxy_is", "Delegado: "},
      {"proxy_override_is", "Alteraciones del delegado: "},
      {"loading", "Cargando "},
      {"java_applet", "Subprograma de Java"},
      {"java_bean", "JavaBeans"},
      {"java_not_enabled", "Java no habilitado"},
      {"java_cache_enabled", "Caché de JAR habilitada."},
      {"java_cache_disabled", "Caché de JAR inhabilitada."},
      {"proxy_equals", "delegado="},
      {"net.connect.no_proxy", "Conectando {0} sin delegado"},
      {"net.connect.proxy_is", "Conectando {0} con delegado={1}"},
      {"bean_code_and_ser", "Bean no puede tener definido CODE y JAVA_OBJECT "},
      {"status", ""},
      {"status_applet", "Subprograma "},
      {"status_bean", "JavaBeans "},
      {"status_exception", "Excepción: "},
      {"ok.label", "Aceptar"},
      {"print.title", "Aviso"},
      {"print.message", new String[]{"Una subprograma desea imprimir.", "¿Es correcto?"}},
      {"print.yes", "Sí"},
      {"print.no", "No"},
      {"https_dialog.caption", "Advertencia de seguridad del Java"},
      {
            "https_dialog.text",
            "El certificado de seguridad del servidor no coincide con el nombre de la página que está intentando visualizar.\n\nNombre de sistema del URL: {0}\nNombre de sistema en el certificado: {1}\n\n¿Desea proseguir?"
      },
      {"https_dialog.unknown.host", "Sistema desconocido"},
      {"security_dialog.caption", "Advertencia de seguridad del Java"},
      {"security_dialog.text0", "¿Desea instalar y ejecutar el subprograma firmado distribuido por \"{0}\"?\n\nAutenticidad del editor verificada por: \"{1}\""},
      {
            "security_dialog_https.text0",
            "¿Desea aceptar este certificado del sitio web \"{0}\" para el intercambio de información cifrada?\n\nAutenticidad del editor verificada por: \"{1}\""
      },
      {
            "security_dialog.text1",
            "\nPrecaución: \"{0}\" afirma que este contenido es seguro. Sólo debe instalar/visualizar el contenido si confía en \"{1}\" \n\n"
      },
      {"security_dialog.unknown.issuer", "Emisor desconocido"},
      {"security_dialog.unknown.subject", "Asunto desconocido"},
      {"security_dialog.rootCANotValid", "El certificado de seguridad lo emitió una compañía que no es de confianza."},
      {"security_dialog.rootCAValid", "El certificado de seguridad lo emitió una compañía de confianza."},
      {"security_dialog.timeNotValid", "El certificado de seguridad ha caducado o aún no es válido."},
      {"security_dialog.timeValid", "El certificado de seguridad no ha caducado y aún es válido."},
      {"security_dialog.buttonAlways", "Conceder siempre"},
      {"security_dialog.buttonYes", "Conceder esta sesión"},
      {"security_dialog.buttonNo", "Denegar"},
      {"security_dialog.buttonInfo", "Más Información"},
      {"security_dialog.buttonViewCert", "Ver certificado"},
      {"cert_dialog.caption", "Propiedades del certificado"},
      {"cert_dialog.title", "Certificar"},
      {"cert_dialog.field.Version", "Versión"},
      {"cert_dialog.field.SerialNumber", "Número de serie"},
      {"cert_dialog.field.SignatureAlg", "Algoritmo de firma"},
      {"cert_dialog.field.Issuer", "Emisor"},
      {"cert_dialog.field.EffectiveDate", "Fecha efectiva"},
      {"cert_dialog.field.ExpirationDate", "Fecha de caducidad"},
      {"cert_dialog.field.Validity", "Validez"},
      {"cert_dialog.field.Subject", "Asunto"},
      {"cert_dialog.field.Signature", "Firma"},
      {"cert_dialog.field", "Campo"},
      {"cert_dialog.value", "Valor"},
      {"cert_dialog.issuerButton", "Emisor"},
      {"cert_dialog.viewIssuerButton", "Ver emisor"},
      {"cert_dialog.okButton", "Aceptar"},
      {"import_format_dialog.title", "Error"},
      {"import_format_dialog.caption", "El formato del archivo seleccionado no es correcto, no puede importarse."},
      {"import_password_dialog.title", "Error"},
      {"import_password_dialog.caption", "La contraseña que ha introducido es incorrecta."},
      {"cert_password_dialog.title", "Contraseña"},
      {"cert_password_dialog.caption", "Escriba la contraseña para tener acceso a este archivo:"},
      {"cert_export_dialog.title", "Error"},
      {"cert_export_dialog.caption", "No se exportará ningún Certificado."},
      {"net.authenticate.title", "Escriba la contraseña de red"},
      {"net.authenticate.label", "Escriba el nombre de usuario y la contraseña."},
      {"net.authenticate.resource", "Recurso:"},
      {"net.authenticate.username", "Nombre de usuario:"},
      {"net.authenticate.password", "Contraseña:"},
      {"net.authenticate.firewall", "Cortafuegos:"},
      {"net.authenticate.realm", "Ámbito:"},
      {"net.authenticate.scheme", "Esquema:"},
      {"console.caption", "Consola de Java"},
      {"console.clear", "Borrar"},
      {"console.close", "Cerrar"},
      {"console.copy", "Copiar"},
      {"html.wrong_param", "Imposible determinar todos los parámetros HTML necesarios; cancele instalación HTML.\n"},
      {"html.cache_error", "Imposible acceder a la tabla de versiones de antememoria HTML; cancele instalación HTML.\n"},
      {"html.general_error", "Imposible finalizar instalación HTML.\n"},
      {"html.caption", "Advertencia de instalación HTML de Java Plug-in"},
      {
            "html.prompt_user",
            "Este subprograma solicita la instalación de la página HTML en su máquina local, y crear un acceso directo en su escritorio. ¿Desea continuar?"
      },
      {"html.install.ok", "Instalación de HTML terminada."},
      {"html.install.fail", "Instalación de HTML no satisfactoria."},
      {"optpkg.cert_expired", "El certificado ha caducado; cancele la instalación del paquete opcional.\n"},
      {"optpkg.cert_notyieldvalid", "El certificado aún no es válido; cancele la instalación del paquete opcional.\n"},
      {"optpkg.cert_notverify", "Imposible verificar el certificado; cancele la instalación del paquete opcional.\n"},
      {"optpkg.general_error", "Imposible instalar el paquete opcional.\n"},
      {"optpkg.caption", "Advertencia de instalación de paquete opcional de Java"},
      {"optpkg.wait_for_installer", "Haga clic en Aceptar para proseguir con la carga del subprogramauna vez haya acabado el instalador del paquete opcional."},
      {"optpkg.launch_installer", "Ejecutando instalador de paquete opcional"},
      {"optpkg.prompt_user.new_spec.text", "El subprograma requiere una versión más moderna (especificación {0}} del paquete opcional \"{1}\" de {2}"},
      {"optpkg.prompt_user.new_impl.text", "El subprograma requiere una versión más moderna (implementación {0}} del paquete opcional \"{1}\" de {2}"},
      {"optpkg.prompt_user.new_vendor.text", "El subprograma requiere la ({0}) del paquete opcional \"{1}\" {2} de {3}"},
      {"optpkg.prompt_user.default.text", "El subprograma requiere la instalación del paquete opcional \"{0}\" de {1}"},
      {"rsa.cert_expired", "El certificado ha caducado; el código se tratará como sin firma.\n"},
      {"rsa.cert_notyieldvalid", "El certificado aún no es válido; el código se tratará como sin firma.\n"},
      {"rsa.general_error", "Imposible verificar el certificado; el código se tratará como sin firma.\n"},
      {"rsa.cert_expired_prompt_user", "El certificado ha caducado. ¿Desea hacer caso omiso de la advertencia y continuar?\n"},
      {"rsa.cert_notyieldvalid_prompt_user", "El certificado aún no es válido. ¿Desea hacer caso omiso de la advertencia y continuar?\n"},
      {"rsa.cert_invalid_prompt_user", "La CA raíz de este certificado no puede verificarse. ¿Desea hacer caso omiso de la advertencia y proseguir?\n"},
      {"usability.confirmDialogTitle", "Cuadro de diálogo de confirmación de Java Plug-in"},
      {"usability.inputDialogTitle", "Cuadro de diálogo de entrada de Java Plug-in"},
      {"usability.messageDialogTitle", "Cuadro de diálogo de mensaje de Java Plug-in"},
      {"usability.exceptionDialogTitle", "Cuadro de diálogo de excepción de Java Plug-in"},
      {"usability.optionDialogTitle", "Cuadro de diálogo de opciones de Java Plug-in"},
      {"usability.aboutDialogTitle", "Acerca del Java Plug-in"},
      {"usability.confirm.yes", "Sí"},
      {"usability.confirm.no", "No"},
      {"usability.general_error", "Excepción general.\n"},
      {"usability.net_error", "Excepción de conexión en red.\n"},
      {"usability.security_error", "Excepción de seguridad.\n"},
      {"usability.ext_error", "Excepción de instalación del paquete opcional.\n"},
      {"usability.menu.show_console", "Mostrar consola Java"},
      {"usability.menu.hide_console", "Ocultar consola Java"},
      {"usability.menu.about", "Acerca del Java Plug-in"},
      {"usability.menu.copy", "Copiar"},
      {"proxy.auto_config.download_error", "Imposible descargar archivo de configuración automática del delegado; retrocediendo.\n"},
      {"proxy.error_caption", "Error de configuración del delegado"},
      {"proxy.prefsfile.nsreg_error", "Imposible obtener valores de configuración del delegado; retrocediendo.\n"},
      {"applet_install.wrong_param", "Parámetros de subprograma no validos; cancele instalación de subprograma.\n"},
      {"applet_install.mutex_error", "Imposible obtener bloqueos en tabla de antememoria; cancele instalación de subprograma.\n"},
      {"applet_install.io_error", "Excepción de E/S; cancele instalación de subprograma.\n"},
      {"applet_install.jar_cache_error", "Excepción de instalación de subprograma.\n"},
      {"applet_install.general_error", "Imposible finalizar la instalación del subprograma.\n"},
      {"applet_install.caption", "Advertencia de instalación del subprograma de Java Plug-in"},
      {"cache.error", "Excepción de antememoria en Java Plug-in"},
      {"cache.caption", "Advertencia de antememoria en Java Plug-in"},
      {"cache.version_format_error", " no tiene el formato xxxx.xxxx.xxxx.xxxx, donde x es un dígito hexadecimal"},
      {"cache.version_attrib_error", "El número de atributos especificados en 'cache_archive' no coincide con los de 'cache_version'"},
      {"applet.progress.load", "Cargando miniaplicación..."},
      {"applet.progress.init", "Inicializando miniaplicación..."},
      {"applet.progress.start", "Iniciando miniaplicación..."},
      {"applet.progress.stop", "Deteniendo miniaplicación..."},
      {"applet.progress.destroy", "Destruyendo miniaplicación..."},
      {"applet.progress.dispose", "Desechando miniaplicación..."},
      {"applet.progress.quit", "Saliendo de miniaplicación..."},
      {"applet.progress.stoploading", "Se detuvo la carga..."},
      {"applet.progress.interrupted", "Se interrumpió el subproceso..."},
      {"applet.progress.joining", "Uniendo el subproceso de la miniaplicación..."},
      {"applet.progress.joined", "Unido el subproceso de la miniaplicación..."},
      {"applet.progress.loadClass", "Carga de clase "},
      {"applet.progress.loadResource", "Carga de recurso "},
      {"applet.progress.loadImage", "Carga de imagen "},
      {"applet.progress.loadAudio", "Carga de audio "},
      {"applet.progress.findinfo.0", "Buscando información..."},
      {"applet.progress.findinfo.1", "Terminado..."},
      {"applet.progress.timeout.wait", "Tiempo de espera..."},
      {"applet.progress.timeout.jointing", "Uniendo..."},
      {"applet.progress.timeout.jointed", "Unión terminada..."},
      {"console.menu.text.top", "----------------------------------------------------\n"},
      {"console.menu.text.c", "c:   borrar ventana de consola\n"},
      {"console.menu.text.f", "f:   finalizar objetos en la cola de finalización\n"},
      {"console.menu.text.g", "g:   liberación de recursos\n"},
      {"console.menu.text.h", "h:   presentar este mensaje de ayuda\n"},
      {"console.menu.text.l", "l:   volcar lista del cargador de clases\n"},
      {"console.menu.text.m", "m:   imprimir sintaxis de memoria\n"},
      {"console.menu.text.o", "o:   activar registro\n"},
      {"console.menu.text.p", "p:   recargar configuración delegada\n"},
      {"console.menu.text.q", "q:   ocultar consola\n"},
      {"console.menu.text.r", "r:   recargar configuración de norma\n"},
      {"console.menu.text.s", "s:   volcar propiedades del sistema\n"},
      {"console.menu.text.t", "t:   volcar lista de subproceso\n"},
      {"console.menu.text.x", "x:   borrar antememoria del cargador de clases\n"},
      {"console.menu.text.0", "0-5: establecer nivel de rastreo a <n>\n"},
      {"console.menu.text.tail", "----------------------------------------------------\n"},
      {"console.done", "Terminado."},
      {"console.trace.level.0", "Nivel de rastreo establecido a 0: ninguno ... terminado."},
      {"console.trace.level.1", "Nivel de rastreo establecido a 1: básico ... terminado."},
      {"console.trace.level.2", "Nivel de rastreo establecido a 2: básico, red ... terminado."},
      {"console.trace.level.3", "Nivel de rastreo establecido a 3: básico, red, seguridad ... terminado."},
      {"console.trace.level.4", "Nivel de rastreo establecido a 4: básico, red, seguridad, ext ... terminado."},
      {"console.trace.level.5", "Nivel de rastreo establecido a 5: básico, red, seguridad, ext, Liveconnect ... terminado."},
      {"console.log", "Registro establecido a : "},
      {"console.completed", " .... terminado."},
      {"console.dump.thread", "Volcar lista de subproceso ...\n"},
      {"console.dump.properties", "Volcar propiedades del sistema ...\n"},
      {"console.clear.classloader", "Borrar antememoria del cargador de clases .... terminado."},
      {"console.reload.policy", "Recargar configuración de norma"},
      {"console.reload.proxy", "Recargar configuración delegada ...."},
      {"console.gc", "Liberación de recursos"},
      {"console.finalize", "Finalizar objetos en la cola de finalización"},
      {"console.memory", "Memoria: {0}K  Libre: {1}K  ({2}%)"},
      {"modality.register", "Modalidad de receptor registrada"},
      {"modality.unregister", "Modalidad de receptor no registrada"},
      {"modality.pushed", "Modalidad impuesta"},
      {"modality.popped", "Modalidad extraída"},
      {"progress.listener.added", "Receptor de progreso agregado: "},
      {"progress.listener.removed", "Receptor de progreso eliminado: "},
      {"liveconnect.UniversalBrowserRead.enabled", "JavaScript: UniversalBrowserRead habilitado"},
      {"liveconnect.java.system", "JavaScript: llamada de código del sistema Java"},
      {"liveconnect.same.origin", "JavaScript: el llamante y el destinatario de la llamada tienen el mismo origen"},
      {"liveconnect.default.policy", "JavaScript: norma de seguridad predeterminada = "},
      {"liveconnect.UniversalJavaPermission.enabled", "JavaScript: UniversalJavaPermission habilitado"},
      {"liveconnect.wrong.securitymodel", "Ya no se admite el modelo de seguridad de Netscape.\nEn su lugar, migre al modelo de seguridad de Java 2.\n"},
      {"jpicertstore.cert.loading", "Carga de certificados JPI desde "},
      {"jpicertstore.cert.loaded", "Certificados JPI cargados desde "},
      {"jpicertstore.cert.saving", "Guardar certificados JPI en "},
      {"jpicertstore.cert.saved", "Certificados JPI guardados en "},
      {"jpicertstore.cert.adding", "Adición de certificado al almacén permanente de certificados JPI"},
      {"jpicertstore.cert.added", "Certificado agregado como alias al almacén permanente de certificados JPI "},
      {"jpicertstore.cert.removing", "Eliminación de certificado del almacén permanente de certificados JPI"},
      {"jpicertstore.cert.removed", "Certificado eliminado como alias del almacén permanente de certificados JPI "},
      {"jpicertstore.cert.instore", "Comprobar si el certificado está en el almacén permanente de certificados JPI"},
      {"jpicertstore.cert.canverify", "Comprobar si se puede verificar el certificado por medio del almacén permanente de certificados JPI"},
      {"jpicertstore.cert.iterator", "Obtener iterador de certificados en el almacén permanente de certificados JPI"},
      {"jpihttpscertstore.cert.loading", "Carga de certificados JPI Https desde "},
      {"jpihttpscertstore.cert.loaded", "Certificados JPI Https cargados desde "},
      {"jpihttpscertstore.cert.saving", "Guardar certificados JPI Https en "},
      {"jpihttpscertstore.cert.saved", "Certificados JPI Https guardados en "},
      {"jpihttpscertstore.cert.adding", "Adición de certificado Https al almacén permanente de certificados JPI"},
      {"jpihttpscertstore.cert.added", "Certificado Https agregado como alias del almacén permanente de certificados JPI "},
      {"jpihttpscertstore.cert.removing", "Eliminación de certificado Https del almacén permanente de certificados JPI"},
      {"jpihttpscertstore.cert.removed", "Certificado Https eliminado como alias del almacén permanente de certificados JPI "},
      {"jpihttpscertstore.cert.instore", "Comprobar si el certificado Https está en el almacén permanente de certificados JPI"},
      {"jpihttpscertstore.cert.canverify", "Comprobar si se puede verificar el certificado Https por medio del almacén permanente de certificados JPI"},
      {"jpihttpscertstore.cert.iterator", "Obtener iterador de certificados Https en el almacén permanente de certificados JPI"},
      {"rootcertstore.cert.loading", "Carga de certificados CA raíz desde "},
      {"rootcertstore.cert.loaded", "Certificados CA raíz cargados desde "},
      {"rootcertstore.cert.noload", "No se ha encontrado el archivo de los certificados CA raíz: "},
      {"rootcertstore.cert.saving", "Guardar certificados CA raíz en "},
      {"rootcertstore.cert.saved", "Certificados CA raíz guardados en "},
      {"rootcertstore.cert.adding", "Adición de certificado en el almacén de certificados CA raíz"},
      {"rootcertstore.cert.added", "Certificado agregado como alias en el almacén de certificados CA raíz "},
      {"rootcertstore.cert.removing", "Eliminación de certificado del almacén de certificados CA raíz"},
      {"rootcertstore.cert.removed", "Certificado eliminado como alias en el almacén de certificados CA raíz "},
      {"rootcertstore.cert.instore", "Comprobar si el certificado está en el almacén de certificados CA raíz"},
      {"rootcertstore.cert.canverify", "Comprobar si se puede verificar el certificado por medio de los certificados del almacén de certificados CA raíz"},
      {"rootcertstore.cert.iterator", "Obtener iterador de certificados en el almacén de certificados CA raíz"},
      {"rootcertstore.cert.verify.ok", "El certificado se ha verificado correctamente con certificados CA raíz"},
      {"rootcertstore.cert.verify.fail", "El certificado no se ha verificado satisfactoriamente con los certificados CA raíz"},
      {"roothttpscertstore.cert.loading", "Carga de certificados Https CA raíz desde "},
      {"roothttpscertstore.cert.loaded", "Certificados Https CA raíz cargados desde "},
      {"roothttpscertstore.cert.noload", "No se ha encontrado el archivo de los certificados Https CA raíz: "},
      {"roothttpscertstore.cert.saving", "Guardar certificados Https CA raíz en  "},
      {"roothttpscertstore.cert.saved", "Certificados Https CA raíz guardados en  "},
      {"roothttpscertstore.cert.adding", "Adición de certificado en el almacén de certificados Https CA raíz"},
      {"roothttpscertstore.cert.added", "Certificado agregado como alias en el almacén de certificados Https CA raíz"},
      {"roothttpscertstore.cert.removing", "Eliminación de certificado del almacén de certificados Https CA raíz"},
      {"roothttpscertstore.cert.removed", "Certificado eliminado como alias en el almacén de certificados Https CA raíz"},
      {"roothttpscertstore.cert.instore", "Comprobar si el certificado está en el almacén de certificados Https CA raíz"},
      {
            "roothttpscertstore.cert.canverify",
            "Comprobar si se puede verificar el certificado por medio de los certificados del almacén de certificados Https CA raíz"
      },
      {"roothttpscertstore.cert.iterator", "Obtener iterador de certificados en el almacén de certificados Https CA raíz"},
      {"roothttpscertstore.cert.verify.ok", "El certificado se ha verificado correctamente con certificados Https CA raíz"},
      {"roothttpscertstore.cert.verify.fail", "El certificado no se ha verificado satisfactoriamente con los certificados Https CA raíz"},
      {"sessioncertstore.cert.loading", "Carga de certificados del almacén de certificados de la sesión JPI"},
      {"sessioncertstore.cert.loaded", "Certificados cargados del almacén de certificados de la sesión JPI"},
      {"sessioncertstore.cert.saving", "Guardar certificados en el almacén de certificados de la sesión JPI"},
      {"sessioncertstore.cert.saved", "Certificados guardados en el almacén de certificados de la sesión JPI"},
      {"sessioncertstore.cert.adding", "Adición de certificados en el almacén de certificados de la sesión JPI"},
      {"sessioncertstore.cert.added", "Certificados agregados en el almacén de certificados de la sesión JPI"},
      {"sessioncertstore.cert.removing", "Eliminación de certificado en el almacén de certificados de la sesión JPI"},
      {"sessioncertstore.cert.removed", "Certificado eliminado en el almacén de certificados de la sesión JPI"},
      {"sessioncertstore.cert.instore", "Comprobar si el certificado está en el almacén de certificados de la sesión JPI"},
      {
            "sessioncertstore.cert.canverify",
            "Comprobar si se puede verificar el certificado por medio de los certificados del almacén de certificados de la sesión JPI"
      },
      {"sessioncertstore.cert.iterator", "Obtener iterador de certificados en el almacén de certificados de la sesión JPI"},
      {"hostnameverifier.automation.ignoremismatch", "Automatización: Ignorar discrepancia en nombre del sistema"},
      {"pluginclassloader.deleting_files", "Supresión de archivos JAR de la antememoria."},
      {"pluginclassloader.file", "   supresión desde la antememoria "},
      {"pluginclassloader.empty_file", " está vacío, suprimir de la antememoria."},
      {"trustdecider.user.grant.session", "El usuario ha concedido privilegios de código sólo para esta sesión"},
      {"trustdecider.user.grant.forever", "El usuario ha concedido privilegios permanentes de código"},
      {"trustdecider.user.deny", "El usuario ha denegado los privilegios de código"},
      {"trustdecider.automation.trustcert", "Automatización: Confiar en el certificado RSA para la firma"},
      {"x509trustmgr.automation.ignoreclientcert", "Automatización: Ignorar certificado de cliente que no sea de confianza"},
      {"x509trustmgr.automation.ignoreservercert", "Automatización: Ignorar certificado de servidor que no sea de confianza"},
      {"appletcontext.audio.loaded", "Clip de audio cargado: "},
      {"appletcontext.image.loaded", "Imagen cargada: "},
      {"securitymgr.automation.printing", "Automatización: Aceptar impresión"},
      {"classloaderinfo.referencing", "Referencia a cargador de clases: {0}, contador de referencia={1}"},
      {"classloaderinfo.releasing", "Liberación de cargador de clases: {0}, contador de referencia={1}"},
      {"classloaderinfo.caching", "Colocación del cargador de clases en antememoria: "},
      {"classloaderinfo.cachesize", "Tamaño de la antememoria del cargador de clases actual: "},
      {"classloaderinfo.num", "El número de cargadores de clases colocados en antememoria es superior a {0}, sin referencia {1}"},
      {"cachehandler.filename", "Nombre de archivo de antememoria: "},
      {"trace.listener.added", "Receptor de rastreo agregado: "},
      {"trace.listener.removed", "Receptor de rastreo eliminado: "},
      {"cookiehandler.cache", "Antememoria de cookie: "},
      {"cookiehandler.server", "Servidor {0} solicitar definición de cookie con \"{1}\""},
      {"cookiehandler.connect", "Conectar {0} con cookie \"{1}\""},
      {"cookiehandler.ignore.setcookie", "Cookie no está disponible - omitir \"Definición de cookie\""},
      {"cookiehandler.noservice", "Cookie no está disponible - utilice la antememoria para determinar \"Cookie\""},
      {"jsobject.eval", "Evaluar {0} = {1}"},
      {"jsobject.call", "JSObject::llamar: nombre={0}, url={1}, permiso={2}"},
      {"jsobject.eval.url.permission", "JSObject::eval({0}), url={1}, permiso={2}"},
      {"jsobject.getMember", "JSObject::getMember: nombre={0}, url={1}, permiso={2}"},
      {"jsobject.setMember", "JSObject::setMember: nombre={0}, url={1}, permiso={2}"},
      {"jsobject.removeMember", "JSObject::removeMember: nombre={0}, url={1}, permiso={2}"},
      {"jsobject.getSlot", "JSObject::getSlot: {0}, url={1}, permiso={2}"},
      {"jsobject.setSlot", "JSObject::setSlot: ranura={0}, url={1}, permiso={2}"},
      {"applet_install.ok", "Instalación de miniaplicación terminada."},
      {"applet_install.fail", "Instalación de miniaplicación no satisfactoria."},
      {"optpkg.install.info", "Instalación de paquete opcional "},
      {"optpkg.install.fail", "Instalación del paquete opcional no satisfactoria."},
      {"optpkg.install.ok", "Instalación del paquete opcional realizada."},
      {"optpkg.install.automation", "Automatización: Aceptar instalación del paquete opcional"},
      {"optpkg.install.granted", "El usuario ha concedido la descarga del paquete opcional, descargar desde "},
      {"optpkg.install.deny", "El usuario no ha concedido la descarga del paquete opcional"},
      {"optpkg.install.begin", "Instalación "},
      {"optpkg.install.java.launch", "Lanzar el instalador de Java"},
      {"optpkg.install.java.launch.command", "Lanzar el instalador de Java a través de "},
      {"optpkg.install.native.launch", "Lanzar instalador nativo"},
      {"optpkg.install.native.launch.fail.0", "Imposible ejecutar {0}"},
      {"optpkg.install.native.launch.fail.1", "Acceso a {0} no satisfactorio"},
      {"optpkg.install.raw.launch", "Instalación del paquete opcional básico"},
      {"optpkg.install.raw.copy", "Copiar el paquete opcional básico desde {0} en {1}"},
      {
            "optpkg.install.error.nomethod",
            "No se ha instalado el proveedor de ampliación dependiente : no se puede obtener el  método addExtensionInstallationProvider"
      },
      {"optpkg.install.error.noclass", "No se ha instalado el proveedor de ampliación dependiente : no se puede obtener la clase sun.misc.ExtensionDependency"},
      {"bookmarkmgr.add", "Agregar marcador \"{0}\" como {1}"},
      {"bookmarkmgr.remove", "Eliminar marcador \"{0}\" como {1}"},
      {"bookmarkmgr.remove.all", "Eliminar todos los marcadores"},
      {"dialogfactory.user.selected", "Usuario seleccionado: "},
      {"dialogfactory.user.typed", "Usuario escrito: "},
      {"html.install.check", "Comprobar la instalación de HTML"},
      {"html.install.version.checklocal", "Comprobar la versión local de la página HTML"},
      {"html.install.version.remote.local", "Versión de página HTML remota={0}, versión local de la página HTML={1}"},
      {"html.install.local.uptodated", "La página HTML local es más actual - terminar de instalar"},
      {"html.install.local.outdated", "La página HTML local ya no existe - generar de nuevo"},
      {"html.install.remote.uptodated", "La página HTML remota es más actual - indicar al usuario"},
      {"html.install.info.missing", "Falta la información de la página HTML local en la tabla de versión - instalar de nuevo"},
      {"html.install.user.deny", "El usuario ha denegado la instalación de la página HTML - cancelar la instalación de HTML"},
      {"html.install.html.generate", "Generar página HTML local"},
      {"html.install.version.update", "Actualizar información de versión sobre la página HTML local"},
      {"html.install.bookmark.add", "Agregar marcador al escritorio"},
      {"html.install.automation", "Automatización: Aceptar la instalación de HTML"},
      {"progress_dialog.downloading", "Módulo: descargando..."},
      {"progress_dialog.dismiss_button", "Descartar"},
      {"progress_dialog.from", "desde"},
      {"applet_viewer.color_tag", "Número de componentes incorrecto en "},
      {"progress_info.downloading", "Descarga de archivos JAR"},
      {"progress_bar.overflow", "Intento de arrastrar el progreso mas allá del área válida"},
      {"progress_bar.preload", "Carga previa de archivos JAR: "},
      {"cache.size", "Tamaño de la antememoria: {0}"},
      {"cache.cleanup", "El tamaño de la antememoria es: {0} bytes, es necesario limpiarla"},
      {"cache.full", "La antememoria está completa: supresión del archivo {0}"},
      {"cache.inuse", "No se puede suprimir el archivo {0} porque se está utilizando en esta aplicación"},
      {"cache.notdeleted", "No se puede suprimir el archivo {0}, puede que se utilice en esta y/o otras aplicaciones"},
      {"cache.out_of_date", "La copia de {0} guardada en antememoria está caducada\n  Copia guardada en antememoria: {1}\n  Copia del servidor: {2}"},
      {"cache.loading", "Carga de {0} desde la antememoria"},
      {"cache.cache_warning", "ADVERTENCIA: no se puede guardar {0} en la antememoria"},
      {"cache.downloading", "Descarga de {0} a la antememoria"},
      {"cache.cached_name", "Nombre de archivo guardado en antememoria: {0}"},
      {"cache.load_warning", "ADVERTENCIA: error al leer {0} de la antememoria."},
      {"cache.disabled", "Antememoria inhabilitada por usuario"},
      {"cache.minSize", "Antememoria inhabilitada, el límite de la antememoria es {0}, debe especificarse al menos 5 MB "},
      {"cache.directory_warning", "ADVERTENCIA: {0} no es un directorio. Se inhabilitará la antememoria."},
      {"cache.response_warning", "ADVERTENCIA: respuesta no esperada {0} de {1}. Se volverá a descargar el archivo."},
      {"cache.enabled", "Antememoria habilitada"},
      {"cache.location", "Ubicación: {0}"},
      {"cache.maxSize", "Tamaño máximo: {0}"},
      {"cache.create_warning", "ADVERTENCIA: no ha sido posible crear el directorio {0} de la antememoria. se inhabilitará la colocación en antememoria."},
      {"cache.read_warning", "ADVERTENCIA: no se puede leer el directorio {0} de la antememoria. se inhabilitará la colocación en antememoria."},
      {"cache.write_warning", "ADVERTENCIA: no se puede escribir en el directorio {0} de la antememoria. se inhabilitará la colocación en antememoria."},
      {"cache.compression", "Nivel de compresión: {0}"},
      {"cache.cert_load", "Los certificados para {0} se leen desde la antememoria JAR"},
      {"cache.jarjar.invalid_file", "el archivo .jarjar contiene un archivo distinto del .jar"},
      {"cache.jarjar.multiple_jar", "el archivo .jarjar contiene más de un archivo .jar"},
      {"cache.version_checking", "Comprobación de la versión de {0}, la versión especificada es {1}"},
      {"cache.preloading", "Carga previa del archivo {0}"},
      {"cache_viewer.title", "Visor de antememoria del módulo Java"},
      {"cache_viewer.refresh", "Renovar"},
      {"cache_viewer.remove", "Borrar"},
      {"cache_viewer.close", "Cerrar"},
      {"cache_viewer.name", "Nombre"},
      {"cache_viewer.type", "Tipo"},
      {"cache_viewer.size", "Tamaño"},
      {"cache_viewer.modify_date", "Última modificación"},
      {"cache_viewer.expiry_date", "Fecha de caducidad"},
      {"cache_viewer.url", "URL"},
      {"cache_viewer.version", "Versión"},
      {"cache_viewer.help.name", "Nombre de archivo guardado en antememoria"},
      {"cache_viewer.help.type", "Tipo de archivo guardado en antememoria"},
      {"cache_viewer.help.size", "Tamaño de archivo guardado en antememoria"},
      {"cache_viewer.help.modify_date", "Fecha de la última modificación de archivo"},
      {"cache_viewer.help.expiry_date", "Fecha de caducidad de archivo"},
      {"cache_viewer.help.url", "Descarga de URL de archivo"},
      {"cache_viewer.help.version", "Versiones de antememoria de archivo"},
      {"cache_viewer.delete", "{0} no se puede suprimir, puede que esté en uso"},
      {"cache_viewer.type.zip", "Jar"},
      {"cache_viewer.type.class", "Clase"},
      {"cache_viewer.type.wav", "Sonido Wav"},
      {"cache_viewer.type.au", "Sonido Au"},
      {"cache_viewer.type.gif", "Imagen Gif"},
      {"cache_viewer.type.jpg", "Imagen Jpeg"},
      {"net.proxy.loading.ie", "Cargando configuración delegada desde Internet Explorer ..."},
      {"net.proxy.loading.ns", "Cargando configuración delegada desde Netscape Navigator ..."},
      {"net.proxy.loading.userdef", "Cargando configuración delegada definida por el usuario ..."},
      {"net.proxy.loading.direct", "Cargando configuración delegada directa ..."},
      {"net.proxy.loading.manual", "Cargando configuración delegada manual ..."},
      {"net.proxy.loading.auto", "Cargando configuración delegada automática ..."},
      {"net.proxy.loading.browser", "Cargando configuración delegada del navegador ..."},
      {"net.proxy.loading.manual.error", "Imposible utilizar la configuración delegada manual - retroceder a DIRECTA"},
      {"net.proxy.loading.auto.error", "Imposible utilizar la configuración delegada automática - retroceder a MANUAL"},
      {"net.proxy.loading.done", "Terminado."},
      {"net.proxy.browser.pref.read", "Leer archivo de preferencia de usuario en "},
      {"net.proxy.browser.proxyEnable", "    Habilitar delegado: "},
      {"net.proxy.browser.proxyList", "    Lista de delegado: "},
      {"net.proxy.browser.proxyOverride", "    Anular delegado: "},
      {"net.proxy.browser.autoConfigURL", "    Configuración de URL automática: "},
      {"net.proxy.pattern.convert", "Convertir lista de delegados omitidos a expresión regular: "},
      {"net.proxy.pattern.convert.error", "Imposible convertir lista de delegados omitidos a expresión regular - ignorar"},
      {"net.proxy.auto.download.ins", "Descargar archivo INS desde "},
      {"net.proxy.auto.download.js", "Descargar archivo delegado automáticamente desde "},
      {"net.proxy.auto.result.error", "Imposible determinar valor de delegado desde evaluación - retroceder a DIRECTA"},
      {"net.proxy.service.not_available", "Delegado no disponible para {0} - el delegado es DIRECT por omisión"},
      {"lifecycle.applet.found", "Se ha encontrado la miniaplicación previa detenida desde la antememoria del ciclo de vida útil"},
      {
            "lifecycle.applet.support",
            "La miniaplicación soporta el modelo de ciclo de vida útil heredado \u0096 añadir miniaplicación a la antememoria de ciclo de vida útil"
      },
      {"lifecycle.applet.cachefull", "La antememoria de ciclo de vida útil está completa \u0096 reducir las miniaplicaciones de uso menos reciente"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
