package sun.plugin.resources;

import java.util.ListResourceBundle;

public class Activator_fr extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"welcome_message", "Panneau de configuration du plug-in Java(TM)"},
      {"product_name", "Plug-in Java(TM)"},
      {"version", "Version"},
      {"default_vm_version", "Version implicite de la machine virtuelle"},
      {"using_jre_version", "Utilisation de la version JRE"},
      {"user_home_dir", "Répertoire d'accueil de l'utilisateur"},
      {"user_overriden_browser", "L'utilisateur a écrasé les paramètres de proxy du navigateur."},
      {"proxy_configuration", "Configuration du proxy : "},
      {"browser_config", "Configuration du proxy du navigateur"},
      {"auto_config", "Configuration automatique du proxy"},
      {"manual_config", "Configuration manuelle"},
      {"no_proxy", "Aucun proxy"},
      {"proxy_is", "Proxy : "},
      {"proxy_override_is", "Remplacement du proxy : "},
      {"loading", "Chargement de "},
      {"java_applet", "Applet Java"},
      {"java_bean", "JavaBeans"},
      {"java_not_enabled", "Java n'est pas activé"},
      {"java_cache_enabled", "Cache JAR activé."},
      {"java_cache_disabled", "Cache JAR désactivé."},
      {"proxy_equals", "proxy = "},
      {"net.connect.no_proxy", "Connexion {0} sans proxy"},
      {"net.connect.proxy_is", "Connexion {0} avec proxy={1}"},
      {"bean_code_and_ser", "CODE et JAVA_OBJECT ne peuvent pas être définis à la fois pour Bean "},
      {"status", ""},
      {"status_applet", "Applet "},
      {"status_bean", "JavaBeans "},
      {"status_exception", "Exception : "},
      {"ok.label", "OK"},
      {"print.title", "Avertissement"},
      {"print.message", new String[]{"Un applet souhaite imprimer.", "Etes-vous d'accord?"}},
      {"print.yes", "Oui"},
      {"print.no", "Non"},
      {"https_dialog.caption", "Avertissement de sécurité Java"},
      {
            "https_dialog.text",
            "Le certificat de sécurité du serveur ne correspond pas au nom de la page que vous tentez de consulter.\n\nNom d'hôte de l'URL : {0}\nNom d'hôte du certificat : {1}\n\nVoulez-vous continuer ?"
      },
      {"https_dialog.unknown.host", "Hôte inconnu"},
      {"security_dialog.caption", "Avertissement de sécurité de Java"},
      {"security_dialog.text0", "Voulez-vous installer et exécuter l'applet signé distribué par \"{0}\"?\n\nAuthenticité de l'éditeur vérifiée par \"{1}\""},
      {
            "security_dialog_https.text0",
            "Acceptez-vous le certificat du site Web \"{0}\" en vue d'un échange d'informations cryptées ?\n\nAuthenticité de l'éditeur vérifiée par \"{1}\""
      },
      {
            "security_dialog.text1",
            "\nAttention : \"{0}\" atteste que ce contenu est \nsûr. Vous ne devriez installer/afficher ce contenu que si vous estimez que \"{1}\" est digne de confiance.\n\n"
      },
      {"security_dialog.unknown.issuer", "Emetteur inconnu"},
      {"security_dialog.unknown.subject", "Sujet inconnu"},
      {"security_dialog.rootCANotValid", "Le certificat de sécurité a été émis par une société qui n'est pas digne de confiance."},
      {"security_dialog.rootCAValid", "Le certificat de sécurité a été émis par une société qui est digne de confiance."},
      {"security_dialog.timeNotValid", "Le certificat de sécurité a expiré ou n'est pas encore valide."},
      {"security_dialog.timeValid", "Le certificat de sécurité n'a pas expiré et est encore valide."},
      {"security_dialog.buttonAlways", "Autoriser tout le temps"},
      {"security_dialog.buttonYes", "Autoriser cette session"},
      {"security_dialog.buttonNo", "Refuser"},
      {"security_dialog.buttonInfo", "Plus d'informations"},
      {"security_dialog.buttonViewCert", "Afficher les certificats"},
      {"cert_dialog.caption", "Propriétés du certificat"},
      {"cert_dialog.title", "Certificat"},
      {"cert_dialog.field.Version", "Version"},
      {"cert_dialog.field.SerialNumber", "Numéro de série"},
      {"cert_dialog.field.SignatureAlg", "Algorithme de signature"},
      {"cert_dialog.field.Issuer", "Emetteur"},
      {"cert_dialog.field.EffectiveDate", "Date effective"},
      {"cert_dialog.field.ExpirationDate", "Date d'expiration"},
      {"cert_dialog.field.Validity", "Validité"},
      {"cert_dialog.field.Subject", "Sujet"},
      {"cert_dialog.field.Signature", "Signature"},
      {"cert_dialog.field", "Champ"},
      {"cert_dialog.value", "Valeur"},
      {"cert_dialog.issuerButton", "Emetteur"},
      {"cert_dialog.viewIssuerButton", "Afficher l'émetteur"},
      {"cert_dialog.okButton", "Ok"},
      {"import_format_dialog.title", "Erreur"},
      {"import_format_dialog.caption", "Le format du fichier sélectionné n'est pas au format correct et ne peut pas être importé."},
      {"import_password_dialog.title", "Erreur"},
      {"import_password_dialog.caption", "Le mot de passe saisi n'est pas valide."},
      {"cert_password_dialog.title", "Mot de passe"},
      {"cert_password_dialog.caption", "Veuillez entrer un mot de passe pour accéder à ce fichier :"},
      {"cert_export_dialog.title", "Erreur"},
      {"cert_export_dialog.caption", "Aucun certificat ne sera exporté."},
      {"net.authenticate.title", "Entrez le mot de passe du réseau"},
      {"net.authenticate.label", "Veuillez entrer votre nom d'utilisateur et votre mot de passe."},
      {"net.authenticate.resource", "Ressource :"},
      {"net.authenticate.username", "Nom d'utilisateur :"},
      {"net.authenticate.password", "Mot de passe :"},
      {"net.authenticate.firewall", "Pare-feu :"},
      {"net.authenticate.realm", "Domaine :"},
      {"net.authenticate.scheme", "Plan :"},
      {"console.caption", "Console Java"},
      {"console.clear", "Effacer"},
      {"console.close", "Fermer"},
      {"console.copy", "Copier"},
      {"html.wrong_param", "Impossible de déterminer tous les paramètres HTML nécessaires - abandon de l'installation HTML.\n"},
      {"html.cache_error", "Impossible d'accéder à la table de versions du cache HTML - abandon de l'installation HTML.\n"},
      {"html.general_error", "Impossible de terminer l'installation HTML.\n"},
      {"html.caption", "Avertissement concernant l'installation HTML de Java Plug-in"},
      {
            "html.prompt_user",
            "Cet applet demande l'installation de la page HTML sur votre ordinateur local, et crée un raccourci sur votre bureau. Voulez-vous continuer ?"
      },
      {"html.install.ok", "Installation HTML terminée."},
      {"html.install.fail", "Echec de l'installation HTML."},
      {"optpkg.cert_expired", "Le certificat a expiré - abandon de l'installation du module facultatif.\n"},
      {"optpkg.cert_notyieldvalid", "Le certificat n'est pas encore valide - abandon de l'installation du module facultatif.\n"},
      {"optpkg.cert_notverify", "Impossble de vérifier le certificat - abandon de l'installation du module facultatif.\n"},
      {"optpkg.general_error", "Impossible d'installer le module facultatif.\n"},
      {"optpkg.caption", "Avertissement concernant l'installation du module facultatif Java"},
      {
            "optpkg.wait_for_installer",
            "Veuillez cliquer sur OK pour continuer le chargement de l'applet après la fermeture du programme d'installation du module facultatif."
      },
      {"optpkg.launch_installer", "Lancement du programme d'installation du module facultatif"},
      {"optpkg.prompt_user.new_spec.text", "L'applet nécessite une version plus récente (spécification {0} du module facultatif \"{1}\" de {2})"},
      {"optpkg.prompt_user.new_impl.text", "L'applet nécessite une version plus récente (mise en oeuvre {0})du module facultatif \"{1}\" de {2})"},
      {"optpkg.prompt_user.new_vendor.text", "L'applet nécessite ({0}) du module facultatif \"{1}\" {2} de {3}"},
      {"optpkg.prompt_user.default.text", "L'applet nécessite l'installation du module facultatif \"{0}\" de {1}"},
      {"rsa.cert_expired", "Le certificat a expiré - traitement du code comme étant non signé.\n"},
      {"rsa.cert_notyieldvalid", "Le certificat n'est pas encore valide - traitement du code comme étant non signé.\n"},
      {"rsa.general_error", "Impossible de vérifier le certificat - traitement du code comme étant non signé.\n"},
      {"rsa.cert_expired_prompt_user", "Le certificat a expiré. Voulez-vous ignorer cet avertissement et continuer?\n"},
      {"rsa.cert_notyieldvalid_prompt_user", "Le certificat n'est pas encore valide. Voulez-vous ignorer cet avertissement et continuer?\n"},
      {"rsa.cert_invalid_prompt_user", "L'émetteur racine de ce certificat ne peut être vérifié. Voulez-vous ignorer cet avertissement et continuer?\n"},
      {"usability.confirmDialogTitle", "Boîte de dialogue de confirmation du plug-in Java"},
      {"usability.inputDialogTitle", "Boîte de dialogue d'entrée du plug-in Java"},
      {"usability.messageDialogTitle", "Boîte de dialogue de message du plug-in Java"},
      {"usability.exceptionDialogTitle", "Boîte de dialogue d'exception du plug-in Java"},
      {"usability.optionDialogTitle", "Boîte de dialogue d'option du plug-in Java"},
      {"usability.aboutDialogTitle", "A propos du plug-in Java"},
      {"usability.confirm.yes", "Oui"},
      {"usability.confirm.no", "Non"},
      {"usability.general_error", "Exception générale.\n"},
      {"usability.net_error", "Exception relative à la gestion de réseaux.\n"},
      {"usability.security_error", "Exception relative à la sécurité.\n"},
      {"usability.ext_error", "Exception relative à l'installation du module facultatif.\n"},
      {"usability.menu.show_console", "Afficher la console Java"},
      {"usability.menu.hide_console", "Masquer la console Java"},
      {"usability.menu.about", "A propos du plug-in Java"},
      {"usability.menu.copy", "Copier"},
      {"proxy.auto_config.download_error", "Impossible de télécharger le fichier de configuration automatique du proxy - traitement de secours.\n"},
      {"proxy.error_caption", "Erreur de configuration du proxy"},
      {"proxy.prefsfile.nsreg_error", "Impossible d'obtenir les paramètres de configuration du proxy - traitement de secours\n"},
      {"applet_install.wrong_param", "Paramètres d'applet incorrects - abandon de l'installation de l'applet.\n"},
      {"applet_install.mutex_error", "Impossible d'obtenir le verrouillage de la table du cache - abandon de l'installation de l'applet.\n"},
      {"applet_install.io_error", "Exception relative aux E/S - abandon de l'installation de l'applet.\n"},
      {"applet_install.jar_cache_error", "Exception relative à l'installation de l'applet.\n"},
      {"applet_install.general_error", "Impossible de mener l'installation de l'applet à terme.\n"},
      {"applet_install.caption", "Avertissement au sujet de l'installation du plug-in Java"},
      {"cache.error", "Exception de cache Java Plug-in"},
      {"cache.caption", "Avertissement de cache Java Plug-in"},
      {"cache.version_format_error", " n'est pas sous la forme xxxx.xxxx.xxxx.xxxx, où x est une valeur héxadecimale"},
      {"cache.version_attrib_error", "Le nombre d'attributs spécifié dans 'cache_archive' ne correspond pas à celui de 'cache_version'"},
      {"applet.progress.load", "Chargement de l'applet..."},
      {"applet.progress.init", "Initialisation de l'applet..."},
      {"applet.progress.start", "Démarrage de l'applet..."},
      {"applet.progress.stop", "Arrêt de l'applet..."},
      {"applet.progress.destroy", "Destruction de l'applet..."},
      {"applet.progress.dispose", "Elimination de l'applet..."},
      {"applet.progress.quit", "Sortie de l'applet..."},
      {"applet.progress.stoploading", "Chargement arrêté..."},
      {"applet.progress.interrupted", "Thread interrompu..."},
      {"applet.progress.joining", "Jointure du thread d'applet..."},
      {"applet.progress.joined", "Thread d'applet joint..."},
      {"applet.progress.loadClass", "Chargement de classe "},
      {"applet.progress.loadResource", "Chargement de ressource "},
      {"applet.progress.loadImage", "Chargement d'image "},
      {"applet.progress.loadAudio", "Chargement audio "},
      {"applet.progress.findinfo.0", "Recherche d'informations..."},
      {"applet.progress.findinfo.1", "Terminé..."},
      {"applet.progress.timeout.wait", "Attente de fin de délai..."},
      {"applet.progress.timeout.jointing", "Jointure en cours..."},
      {"applet.progress.timeout.jointed", "Jointure terminée..."},
      {"console.menu.text.top", "----------------------------------------------------\n"},
      {"console.menu.text.c", "c:   effacer la fenêtre de la console\n"},
      {"console.menu.text.f", "f:   finaliser les objets de la file d'attente de finalisation\n"},
      {"console.menu.text.g", "g:   libérer la mémoire\n"},
      {"console.menu.text.h", "h:   afficher ce message d'aide\n"},
      {"console.menu.text.l", "l:   vider la liste de chargeurs de classes\n"},
      {"console.menu.text.m", "m:   imprimer le relevé d'utilisation de la mémoire\n"},
      {"console.menu.text.o", "o:   déclencher la consignation\n"},
      {"console.menu.text.p", "p:   recharger la configuration du proxy\n"},
      {"console.menu.text.q", "q:   masquer la console\n"},
      {"console.menu.text.r", "r:   recharger la configuration des politiques\n"},
      {"console.menu.text.s", "s:   vider les propriétés système\n"},
      {"console.menu.text.t", "t:   vider la liste des threads\n"},
      {"console.menu.text.x", "x:   effacer le cache de chargeurs de classes\n"},
      {"console.menu.text.0", "0-5: fixer le niveau de traçage à <n>\n"},
      {"console.menu.text.tail", "----------------------------------------------------\n"},
      {"console.done", "Terminé."},
      {"console.trace.level.0", "Niveau de traçage fixé à 0 : aucun ... terminé."},
      {"console.trace.level.1", "Niveau de traçage fixé à 1 : base ... terminé."},
      {"console.trace.level.2", "Niveau de traçage fixé à 2 : base, réseau ... terminé."},
      {"console.trace.level.3", "Niveau de traçage fixé à 3 : base, réseau, sécurité ... terminé."},
      {"console.trace.level.4", "Niveau de traçage fixé à 4 : base, réseau, sécurité, ext ... terminé."},
      {"console.trace.level.5", "Niveau de traçage fixé à 5 : base, réseau, sécurité, ext, connexion ... terminé."},
      {"console.log", "Consignation : "},
      {"console.completed", " .... terminé."},
      {"console.dump.thread", "Vider la liste des threads...\n"},
      {"console.dump.properties", "Vider les propriétés système...\n"},
      {"console.clear.classloader", "Effacer le cache de chargeur de classes .... terminé."},
      {"console.reload.policy", "Recharger la configuration des politiques"},
      {"console.reload.proxy", "Recharger la configuration du proxy ...."},
      {"console.gc", "Libérer la mémoire"},
      {"console.finalize", "Finaliser les objets de la file d'attente de finalisation"},
      {"console.memory", "Mémoire : {0}K  Libre : {1}K  ({2}%)"},
      {"modality.register", "Récepteur de modalités enregistré"},
      {"modality.unregister", "Récepteur de modalités non enregistré"},
      {"modality.pushed", "Modalité empilée"},
      {"modality.popped", "Modalité désempilée"},
      {"progress.listener.added", "Récepteur de progression ajouté : "},
      {"progress.listener.removed", "Récepteur de progression supprimé : "},
      {"liveconnect.UniversalBrowserRead.enabled", "JavaScript : UniversalBrowserRead activé"},
      {"liveconnect.java.system", "JavaScript : appel du code système Java"},
      {"liveconnect.same.origin", "JavaScript : appelant et appelé ont la même origine"},
      {"liveconnect.default.policy", "JavaScript : politique de sécurité par défaut = "},
      {"liveconnect.UniversalJavaPermission.enabled", "JavaScript : UniversalJavaPermission activé"},
      {"liveconnect.wrong.securitymodel", "Le modèle de sécurité de Netscape n'est plus pris en charge.\nMigrez vers le modèle de sécurité Java 2.\n"},
      {"jpicertstore.cert.loading", "Chargement des certificats JPI depuis "},
      {"jpicertstore.cert.loaded", "Certificats JPI chargés depuis "},
      {"jpicertstore.cert.saving", "Enregistrement des certificats JPI dans "},
      {"jpicertstore.cert.saved", "Certificats JPI enregistrés dans "},
      {"jpicertstore.cert.adding", "Ajout du certificat dans la zone de stockage des certificats permanents JPI"},
      {"jpicertstore.cert.added", "Certificat ajouté comme alias dans la zone de stockage des certificats permanents JPI "},
      {"jpicertstore.cert.removing", "Suppression du certificat dans la zone de stockage des certificats permanents JPI"},
      {"jpicertstore.cert.removed", "Certificat supprimé comme alias dans la zone de stockage des certificats permanents JPI "},
      {"jpicertstore.cert.instore", "Recherche du certificat dans la zone de stockage des certificats permanents JPI"},
      {
            "jpicertstore.cert.canverify",
            "Déterminer si le certificat peut être vérifié à l'aide des certificats de la zone de stockage des certificats permanents JPI"
      },
      {"jpicertstore.cert.iterator", "Obtenir le caractère itératif du certificat dans la zone de stockage des certificats permanents JPI"},
      {"jpihttpscertstore.cert.loading", "Chargement des certificats Https JPI depuis "},
      {"jpihttpscertstore.cert.loaded", "Certificats Https JPI chargés depuis "},
      {"jpihttpscertstore.cert.saving", "Enregistrement des certificats Https JPI dans "},
      {"jpihttpscertstore.cert.saved", "Certificats Https JPI enregistrés dans "},
      {"jpihttpscertstore.cert.adding", "Ajout du certificat Https dans la zone de stockage des certificats permanents JPI"},
      {"jpihttpscertstore.cert.added", "Certificat Https ajouté comme alias dans la zone de stockage des certificats permanents JPI "},
      {"jpihttpscertstore.cert.removing", "Suppression du certificat Https dans la zone de stockage des certificats permanents JPI"},
      {"jpihttpscertstore.cert.removed", "Certificat Https supprimé comme alias dans la zone de stockage des certificats permanents JPI "},
      {"jpihttpscertstore.cert.instore", "Recherche du certificat Https dans la zone de stockage des certificats permanents JPI"},
      {
            "jpihttpscertstore.cert.canverify",
            "Déterminer si le certificat Https peut être vérifié à l'aide des certificats de la zone de stockage des certificats permanents JPI"
      },
      {"jpihttpscertstore.cert.iterator", "Obtenir le caractère itératif du certificat Https dans la zone de stockage des certificats permanents JPI"},
      {"rootcertstore.cert.loading", "Chargement des certificats CA root depuis "},
      {"rootcertstore.cert.loaded", "Certificats CA root chargés depuis "},
      {"rootcertstore.cert.noload", "Fichier de certificats CA root introuvable : "},
      {"rootcertstore.cert.saving", "Enregistrement des certificats CA root dans "},
      {"rootcertstore.cert.saved", "Certificats CA root enregistrés dans "},
      {"rootcertstore.cert.adding", "Ajout du certificat dans la zone de stockage des certificats CA root"},
      {"rootcertstore.cert.added", "Certificat ajouté comme alias dans la zone de stockage des certificats CA root "},
      {"rootcertstore.cert.removing", "Suppression du certificat de la zone de stockage des certificats CA root"},
      {"rootcertstore.cert.removed", "Certificat supprimé comme alias dans la zone de stockage des certificats CA root "},
      {"rootcertstore.cert.instore", "Recherche du certificat dans la zone de stockage des certificats CA root"},
      {"rootcertstore.cert.canverify", "Déterminer si le certificat peut être vérifié à l'aide des certificats de la zone de stockage des certificats CA root"},
      {"rootcertstore.cert.iterator", "Obtenir le caractère itératif du certificat dans la zone de stockage des certificats CA root"},
      {"rootcertstore.cert.verify.ok", "La vérification du certificat à l'aide des certificats CA root a réussi"},
      {"rootcertstore.cert.verify.fail", "La vérification du certificat à l'aide des certificats CA root a échoué"},
      {"roothttpscertstore.cert.loading", "Chargement des certificats Https CA root depuis "},
      {"roothttpscertstore.cert.loaded", "Certificats Https CA root chargés depuis "},
      {"roothttpscertstore.cert.noload", "Fichier de certificats Https CA root introuvable: "},
      {"roothttpscertstore.cert.saving", "Enregistrement des certificats Https CA root dans "},
      {"roothttpscertstore.cert.saved", "Certificats Https CA root enregistrés dans "},
      {"roothttpscertstore.cert.adding", "Ajout du certificat dans la zone de stockage des certificats Https CA root"},
      {"roothttpscertstore.cert.added", "Certificat ajouté comme alias dans la zone de stockage des certificats Https CA root "},
      {"roothttpscertstore.cert.removing", "Suppression du certificat de la zone de stockage des certificats Https CA root"},
      {"roothttpscertstore.cert.removed", "Certificat supprimé comme alias dans la zone de stockage des certificats Https CA root "},
      {"roothttpscertstore.cert.instore", "Recherche du certificat dans la zone de stockage des certificats Https CA root"},
      {
            "roothttpscertstore.cert.canverify",
            "Déterminer si le certificat peut être vérifié à l'aide des certificats de la zone de stockage des certificats Https CA root"
      },
      {"roothttpscertstore.cert.iterator", "Obtenir le caractère itératif du certificat dans la zone de stockage des certificats Https CA root"},
      {"roothttpscertstore.cert.verify.ok", "La vérification du certificat à l'aide des certificats Https CA root a réussi"},
      {"roothttpscertstore.cert.verify.fail", "La vérification du certificat à l'aide des certificats Https CA root a échoué"},
      {"sessioncertstore.cert.loading", "Chargement des certificats depuis la zone de stockage des certificats de session JPI"},
      {"sessioncertstore.cert.loaded", "Certificats chargés depuis la zone de stockage des certificats de session JPI"},
      {"sessioncertstore.cert.saving", "Enregistrement des certificats dans la zone de stockage des certificats de session JPI"},
      {"sessioncertstore.cert.saved", "Certificats enregistrés dans la zone de stockage des certificats de session JPI"},
      {"sessioncertstore.cert.adding", "Ajout du certificat dans la zone de stockage des certificats de session JPI"},
      {"sessioncertstore.cert.added", "Certificat ajouté dans la zone de stockage des certificats de session JPI"},
      {"sessioncertstore.cert.removing", "Suppression du certificat de la zone de stockage des certificats de session JPI"},
      {"sessioncertstore.cert.removed", "Certificat supprimé de la zone de stockage des certificats de session JPI"},
      {"sessioncertstore.cert.instore", "Recherche du certificat dans la zone de stockage des certificats de session JPI"},
      {
            "sessioncertstore.cert.canverify",
            "Déterminer si le certificat peut être vérifié à l'aide des certificats de la zone de stockage des certificats de session JPI"
      },
      {"sessioncertstore.cert.iterator", "Obtenir le caractère itératif du certificat dans la zone de stockage des certificats de session JPI"},
      {"hostnameverifier.automation.ignoremismatch", "Automatisation : Ignorer la non-concordance de nom d'hôte"},
      {"pluginclassloader.deleting_files", "Suppression des fichiers JAR du cache."},
      {"pluginclassloader.file", "   suppression du cache "},
      {"pluginclassloader.empty_file", " est vide, suppression du cache."},
      {"trustdecider.user.grant.session", "L'utilisateur a accordé les droits d'accès au code pour cette session seulement"},
      {"trustdecider.user.grant.forever", "L'utilisateur a accordé les droits d'accès au code pour toujours"},
      {"trustdecider.user.deny", "L'utilisateur a refusé les droits d'accès au code"},
      {"trustdecider.automation.trustcert", "Automatisation : Autoriser le certificat RSA pour la signature"},
      {"x509trustmgr.automation.ignoreclientcert", "Automatisation : Ignorer le certificat de client non autorisé"},
      {"x509trustmgr.automation.ignoreservercert", "Automatisation : Ignorer le certificat de serveur non autorisé"},
      {"appletcontext.audio.loaded", "Clip audio chargé : "},
      {"appletcontext.image.loaded", "Image chargée : "},
      {"securitymgr.automation.printing", "Automatisation : Accepter l'impression"},
      {"classloaderinfo.referencing", "Référence au chargeur de classes : {0}, refcount={1}"},
      {"classloaderinfo.releasing", "Libération du chargeur de classes : {0}, refcount={1}"},
      {"classloaderinfo.caching", "Mise en cache du chargeur de classes : "},
      {"classloaderinfo.cachesize", "Taille de cache du chargeur de classes courant : "},
      {"classloaderinfo.num", "Nombre de chargeurs de classes mis en cache sur {0}, unreference {1}"},
      {"cachehandler.filename", "Nom de fichier du cache : "},
      {"trace.listener.added", "Récepteur de traçage ajouté : "},
      {"trace.listener.removed", "Récepteur de traçage supprimé : "},
      {"cookiehandler.cache", "Cache de cookies : "},
      {"cookiehandler.server", "Serveur {0} demandant de définir un cookie avec \"{1}\""},
      {"cookiehandler.connect", "Connexion {0} avec cookie \"{1}\""},
      {"cookiehandler.ignore.setcookie", "Impossible de traiter les cookies - ignorer la fonction de \"définition d'un cookie\""},
      {"cookiehandler.noservice", "Impossible de traiter les cookies - utilisez le cache pour déterminer le \"cookie\""},
      {"jsobject.eval", "Evaluer {0} = {1}"},
      {"jsobject.call", "JSObject::call: name={0}, url={1}, permission={2}"},
      {"jsobject.eval.url.permission", "JSObject::eval({0}), url={1}, permission={2}"},
      {"jsobject.getMember", "JSObject::getMember: name={0}, url={1}, permission={2}"},
      {"jsobject.setMember", "JSObject::setMember: name={0}, url={1}, permission={2}"},
      {"jsobject.removeMember", "JSObject::removeMember: name={0}, url={1}, permission={2}"},
      {"jsobject.getSlot", "JSObject::getSlot: {0}, url={1}, permission={2}"},
      {"jsobject.setSlot", "JSObject::setSlot: slot={0}, url={1}, permission={2}"},
      {"applet_install.ok", "L'installation de l'applet est terminée."},
      {"applet_install.fail", "L'installation de l'applet a échoué."},
      {"optpkg.install.info", "Installation du module optionnel "},
      {"optpkg.install.fail", "L'installation du module optionnel a échoué."},
      {"optpkg.install.ok", "L'installation du module optionnel a réussi."},
      {"optpkg.install.automation", "Automatisation : Accepter l'installation de modules Java optionnels"},
      {"optpkg.install.granted", "Téléchargement du module optionnel autorisé par l'utilisateur, télécharger à partir de "},
      {"optpkg.install.deny", "Téléchargement du module optionnel non autorisé par l'utilisateur"},
      {"optpkg.install.begin", "Installation "},
      {"optpkg.install.java.launch", "Démarrage du programme d'installation Java"},
      {"optpkg.install.java.launch.command", "Démarrage du programme d'installation Java par "},
      {"optpkg.install.native.launch", "Démarrage du programme d'installation natif"},
      {"optpkg.install.native.launch.fail.0", "Impossible d'exécuter {0}"},
      {"optpkg.install.native.launch.fail.1", "L'accès à {0} a échoué"},
      {"optpkg.install.raw.launch", "Installation du module optionnel brut"},
      {"optpkg.install.raw.copy", "Copie du module optionnel brut à partir de {0} vers {1}"},
      {"optpkg.install.error.nomethod", "Fournisseur d'extension dépendant non installé : Impossible d'obtenir la méthode  addExtensionInstallationProvider"},
      {"optpkg.install.error.noclass", "Fournisseur d'extension dépendant non installé : Impossible d'obtenir la classe sun.misc.ExtensionDependency"},
      {"bookmarkmgr.add", "Ajouter un signet \"{0}\" en tant que {1}"},
      {"bookmarkmgr.remove", "Supprimer le signet \"{0}\" en tant que {1}"},
      {"bookmarkmgr.remove.all", "Supprimer tous les signets"},
      {"dialogfactory.user.selected", "Utilisateur sélectionné : "},
      {"dialogfactory.user.typed", "Utilisateur indiqué : "},
      {"html.install.check", "Vérification de l'installation HTML"},
      {"html.install.version.checklocal", "Vérification de la version locale de la page HTML"},
      {"html.install.version.remote.local", "Version de la page HTML distante={0}, Version de la page HTML locale={1}"},
      {"html.install.local.uptodated", "La page HTML locale est plus actuelle - terminer l'installation"},
      {"html.install.local.outdated", "La page HTML locale n'existe plus - générer de nouveau"},
      {"html.install.remote.uptodated", "La page HTML distante est plus actuelle - interroger l'utilisateur"},
      {"html.install.info.missing", "Infos manquantes sur la page HTML locale dans la table de version - réinstaller"},
      {"html.install.user.deny", "L'utilisateur a refusé d'installer la page HTML - annuler l'installation HTML"},
      {"html.install.html.generate", "Génération de la page HTML locale"},
      {"html.install.version.update", "Mise à jour des infos de version relatives à la page HTML locale"},
      {"html.install.bookmark.add", "Ajout du signet au bureau"},
      {"html.install.automation", "Automatisation : Accepter l'installation HTML"},
      {"progress_dialog.downloading", "Plug-in : Téléchargement..."},
      {"progress_dialog.dismiss_button", "Abandonner"},
      {"progress_dialog.from", "à partir de"},
      {"applet_viewer.color_tag", "Nombre de composants incorrect dans "},
      {"progress_info.downloading", "Téléchargement de fichiers JAR"},
      {"progress_bar.overflow", "Tentative d'étendre la progression au-delà de la zone valide"},
      {"progress_bar.preload", "Pré-chargement des fichiers JAR : "},
      {"cache.size", "Taille du cache : {0}"},
      {"cache.cleanup", "La taille du cache est : {0} octets. Vous devez libérer de l'espace"},
      {"cache.full", "Le cache est plein : suppression du fichier {0}"},
      {"cache.inuse", "Impossible de supprimer le fichier {0} parce qu'il est utilisé par cette application"},
      {"cache.notdeleted", "Impossible de supprimer le fichier {0} car il peut être en cours d'utilisation par cette et/ou une autre application"},
      {"cache.out_of_date", "La copie du cache de {0} n'est pas actualisée\n  Copie du cache : {1}\n  Copie Serveur : {2}"},
      {"cache.loading", "Chargement de {0} à partir du cache"},
      {"cache.cache_warning", "ATTENTION : Impossible de mettre {0} en cache"},
      {"cache.downloading", "Téléchargement de {0} dans le cache"},
      {"cache.cached_name", "Nom du fichier mis en cache : {0}"},
      {"cache.load_warning", "ATTENTION : erreur de lecture de {0} à partir du cache."},
      {"cache.disabled", "Le cache est désactivé par l'utilisateur"},
      {"cache.minSize", "Le cache est désactivé, la limite du cache est définie à {0}, au moins 5 Mo doivent être spécifiés"},
      {"cache.directory_warning", "ATTENTION : {0} n'est pas un répertoire. La fonction de cache sera désactivée."},
      {"cache.response_warning", "ATTENTION : Réponse inattendue {0} pour {1}. Le fichier sera de nouveau téléchargé."},
      {"cache.enabled", "Le cache est activé"},
      {"cache.location", "Emplacement : {0}"},
      {"cache.maxSize", "Taille maximale : {0}"},
      {"cache.create_warning", "ATTENTION : Impossible de créer le répertoire du cache {0}.  La mise en cache sera désactivée."},
      {"cache.read_warning", "ATTENTION : Impossible de lire le répertoire du cache {0}.  La mise en cache sera désactivée."},
      {"cache.write_warning", "ATTENTION : Impossible d'écrire dans le répertoire du cache {0}.  La mise en cache sera désactivée."},
      {"cache.compression", "Niveau de compression : {0}"},
      {"cache.cert_load", "Les certificats pour {0} sont lus à partir du cache JAR"},
      {"cache.jarjar.invalid_file", "Le fichier .jarjar contient un fichier qui n'est pas au format .jar"},
      {"cache.jarjar.multiple_jar", "Le fichier .jarjar contient plusieurs fichiers au format .jar"},
      {"cache.version_checking", "Vérification de version pour {0}. La version spécifiée est {1}"},
      {"cache.preloading", "Pré-chargement du fichier {0}"},
      {"cache_viewer.title", "Java Plug-in Cache Viewer"},
      {"cache_viewer.refresh", "Actualiser"},
      {"cache_viewer.remove", "Supprimer"},
      {"cache_viewer.close", "Fermer"},
      {"cache_viewer.name", "Nom"},
      {"cache_viewer.type", "Type"},
      {"cache_viewer.size", "Taille"},
      {"cache_viewer.modify_date", "Dernière modification"},
      {"cache_viewer.expiry_date", "Date d'expiration"},
      {"cache_viewer.url", "URL"},
      {"cache_viewer.version", "Version"},
      {"cache_viewer.help.name", "Nom du fichier mis en cache"},
      {"cache_viewer.help.type", "Type du fichier mis en cache"},
      {"cache_viewer.help.size", "Taille du fichier mis en cache"},
      {"cache_viewer.help.modify_date", "Dernière modification du fichier mis en cache"},
      {"cache_viewer.help.expiry_date", "Date d'expiration du fichier mis en cache"},
      {"cache_viewer.help.url", "URL de téléchargement du fichier mis en cache"},
      {"cache_viewer.help.version", "Version du fichier mis en cache"},
      {"cache_viewer.delete", "{0} ne peut pas être supprimé. Il est peut être en cours d'utilisation"},
      {"cache_viewer.type.zip", "Jar"},
      {"cache_viewer.type.class", "Classe"},
      {"cache_viewer.type.wav", "Son Wav"},
      {"cache_viewer.type.au", "Son Au"},
      {"cache_viewer.type.gif", "Image Gif"},
      {"cache_viewer.type.jpg", "Image Jpeg"},
      {"net.proxy.loading.ie", "Chargement de la configuration du proxy à partir d'Internet Explorer ..."},
      {"net.proxy.loading.ns", "Chargement de la configuration du proxy à partir de Netscape Navigator ..."},
      {"net.proxy.loading.userdef", "Chargement de la configuration du proxy définie par l'utilisateur ..."},
      {"net.proxy.loading.direct", "Chargement de la configuration directe du proxy ..."},
      {"net.proxy.loading.manual", "Chargement de la configuration manuelle du proxy ..."},
      {"net.proxy.loading.auto", "Chargement de la configuration auto du proxy ..."},
      {"net.proxy.loading.browser", "Chargement de la configuration du proxy du navigateur ..."},
      {"net.proxy.loading.manual.error", "Impossible d'utiliser la configuration du proxy manuelle - repli sur DIRECTE"},
      {"net.proxy.loading.auto.error", "Impossible d'utiliser la configuration du proxy auto - repli sur MANUELLE"},
      {"net.proxy.loading.done", "Terminé."},
      {"net.proxy.browser.pref.read", "Lecture du fichier de préférences utilisateur à partir de "},
      {"net.proxy.browser.proxyEnable", "    Activation proxy : "},
      {"net.proxy.browser.proxyList", "    Liste proxy : "},
      {"net.proxy.browser.proxyOverride", "    Priorité proxy : "},
      {"net.proxy.browser.autoConfigURL", "    URL config. auto : "},
      {"net.proxy.pattern.convert", "Convertir la liste de contournement de proxy en expression régulière : "},
      {"net.proxy.pattern.convert.error", "Impossible de convertir la liste de contournement de proxy en expression régulière - ignorer"},
      {"net.proxy.auto.download.ins", "Téléchargement du fichier INS à partir de "},
      {"net.proxy.auto.download.js", "Téléchargement du fichier de proxy auto à partir de "},
      {"net.proxy.auto.result.error", "Impossible de déterminer le réglage proxy de l'évaluation - repli sur DIRECTE"},
      {"net.proxy.service.not_available", "Service de proxy non disponible pour {0} - configuration DIRECT définie par défaut"},
      {"lifecycle.applet.found", "Le précédent applet interrompu a été trouvé dans le cache de cycle de vie"},
      {"lifecycle.applet.support", "L'applet prend en charge les modèles de cycle de vie hérités - ajout de l'applet au cache de cycle de vie"},
      {"lifecycle.applet.cachefull", "Le cache de cycle de vie est plein - veuillez supprimer au moins les applets utilisés récemment"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
