package sun.plugin.resources;

import java.util.ListResourceBundle;

public class Activator_it extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"welcome_message", "Pannello di controllo di Java(TM) Plug-in"},
      {"product_name", "Java(TM) Plug-in"},
      {"version", "Versione"},
      {"default_vm_version", "Versione predefinita di Virtual Machine"},
      {"using_jre_version", "Uso della versione JRE"},
      {"user_home_dir", "Directory principale utente"},
      {"user_overriden_browser", "Le impostazioni proxy del browser sono state sostituite dall'utente."},
      {"proxy_configuration", "Configurazione proxy: "},
      {"browser_config", "Configurazione del proxy del browser"},
      {"auto_config", "Configurazione automatica proxy"},
      {"manual_config", "Configurazione manuale"},
      {"no_proxy", "Nessun proxy"},
      {"proxy_is", "Proxy: "},
      {"proxy_override_is", "Sostituzioni proxy: "},
      {"loading", "Caricamento di "},
      {"java_applet", "Applet Java"},
      {"java_bean", "JavaBeans"},
      {"java_not_enabled", "Java non abilitato"},
      {"java_cache_enabled", "Cache JAR abilitata."},
      {"java_cache_disabled", "Cache JAR disabilitata."},
      {"proxy_equals", "proxy="},
      {"net.connect.no_proxy", "Connessione {0} senza proxy"},
      {"net.connect.proxy_is", "Connessione {0} con proxy={1}"},
      {"bean_code_and_ser", "Impossibile definire sia CODE che JAVA_OBJECT per il Bean"},
      {"status", ""},
      {"status_applet", "Applet "},
      {"status_bean", "JavaBeans "},
      {"status_exception", "Eccezione: "},
      {"ok.label", "OK"},
      {"print.title", "Attenzione"},
      {"print.message", new String[]{"Richiesta di stampa da parte di un applet.", "Stampare?"}},
      {"print.yes", "Sì"},
      {"print.no", "No"},
      {"https_dialog.caption", "Avviso di sicurezza di Java "},
      {
            "https_dialog.text",
            "Il certificato di sicurezza del server non corrisponde al nome della pagina che si sta\ntentando di visualizzare.\n\nNome host dell'URL: {0}\n\nNome host dal certificato: {1}\n\nContinuare?"
      },
      {"https_dialog.unknown.host", "Host sconosciuto"},
      {"security_dialog.caption", "Avviso sulla sicurezza di Java"},
      {
            "security_dialog.text0",
            "Si desidera installare ed eseguire un applet firmato e distribuito da \"{0}\"?\n\nAutenticità dell'autore verificata da: \"{1}\""
      },
      {
            "security_dialog_https.text0",
            "Si desidera accettare il certificato del sito Web \"{0}\" per effettuare lo scambio di informazioni codificate?\n\nAutenticità dell'autore verificata da: \"{1}\""
      },
      {
            "security_dialog.text1",
            "\nAttenzione: \"{0}\" dichiara che il contenuto è\nsicuro. Installare o visualizzare il contenuto solo se \"{1}\" è considerato attendibile.\n\n"
      },
      {"security_dialog.unknown.issuer", "Autorità emittente sconosciuta"},
      {"security_dialog.unknown.subject", "Soggetto sconosciuto"},
      {"security_dialog.rootCANotValid", "Il certificato di protezione è stato rilasciato da una società non attendibile."},
      {"security_dialog.rootCAValid", "Il certificato di protezione è stato rilasciato da una società attendibile."},
      {"security_dialog.timeNotValid", "Il certificato di protezione è scaduto oppure non è ancora valido."},
      {"security_dialog.timeValid", " Il certificato di protezione non è scaduto ed è ancora valido."},
      {"security_dialog.buttonAlways", "Concedi sempre"},
      {"security_dialog.buttonYes", "Concedi per questa sessione"},
      {"security_dialog.buttonNo", "Rifiuta"},
      {"security_dialog.buttonInfo", "Ulteriori informazioni"},
      {"security_dialog.buttonViewCert", "Visualizza certificato"},
      {"cert_dialog.caption", "Proprietà del certificato"},
      {"cert_dialog.title", "Certificato"},
      {"cert_dialog.field.Version", "Versione"},
      {"cert_dialog.field.SerialNumber", "Numero di serie"},
      {"cert_dialog.field.SignatureAlg", "Algoritmo della firma"},
      {"cert_dialog.field.Issuer", "Emesso da"},
      {"cert_dialog.field.EffectiveDate", "Data effettiva"},
      {"cert_dialog.field.ExpirationDate", "Data di scadenza"},
      {"cert_dialog.field.Validity", "Validità"},
      {"cert_dialog.field.Subject", "Soggetto"},
      {"cert_dialog.field.Signature", "Firma"},
      {"cert_dialog.field", "Campo"},
      {"cert_dialog.value", "Valore"},
      {"cert_dialog.issuerButton", "Emesso da"},
      {"cert_dialog.viewIssuerButton", "Visualizza autorità emittente"},
      {"cert_dialog.okButton", "Ok"},
      {"import_format_dialog.title", "Errore"},
      {"import_format_dialog.caption", "Il formato del file selezionato non è corretto. Impossibile eseguire l'importazione."},
      {"import_password_dialog.title", "Errore"},
      {"import_password_dialog.caption", "La password immessa non è corretta."},
      {"cert_password_dialog.title", "Password"},
      {"cert_password_dialog.caption", "Immettere la password per accedere questo file:"},
      {"cert_export_dialog.title", "Errore"},
      {"cert_export_dialog.caption", "Impossibile esportare il certificato."},
      {"net.authenticate.title", "Inserire password di rete"},
      {"net.authenticate.label", "Digitare nome utente e password."},
      {"net.authenticate.resource", "Risorsa:"},
      {"net.authenticate.username", "Nome utente:"},
      {"net.authenticate.password", "Password:"},
      {"net.authenticate.firewall", "Firewall:"},
      {"net.authenticate.realm", "Dominio:"},
      {"net.authenticate.scheme", "Schema:"},
      {"console.caption", "Console Java"},
      {"console.clear", "Cancella"},
      {"console.close", "Chiudi"},
      {"console.copy", "Copia"},
      {"html.wrong_param", "Impossibile determinare tutti i parametri HTML necessari - installazione HTML interrotta.\n"},
      {"html.cache_error", "Impossibile accedere alla tabella versioni della cache HTML - installazione HTML interrotta.\n"},
      {"html.general_error", "Impossibile terminare l'installazione HTML.\n"},
      {"html.caption", "Avviso di installazione HTML di Java Plug-in"},
      {
            "html.prompt_user",
            "Questo applet richiede l'installazione della pagina HTML sul computer locale  e la creazione di un collegamento sul desktop. Continuare?"
      },
      {"html.install.ok", "Installazione HTML terminata."},
      {"html.install.fail", "Installazione HTML non riuscita."},
      {"optpkg.cert_expired", "Il certificato è scaduto - installazione del pacchetto opzionale interrotta.\n"},
      {"optpkg.cert_notyieldvalid", "Il certificato non è ancora valido - installazione del pacchetto opzionale interrotta.\n"},
      {"optpkg.cert_notverify", "Impossibile verificare il certificato - installazione del pacchetto opzionale interrotta.\n"},
      {"optpkg.general_error", "Impossibile installare il pacchetto opzionale.\n"},
      {"optpkg.caption", "Avviso di installazione del pacchetto opzionale Java Plug-in"},
      {
            "optpkg.wait_for_installer",
            "Fare clic su OK per proseguire il caricamento dell'applet dopo la chiusura del programma di installazione del pacchetto opzionale."
      },
      {"optpkg.launch_installer", "Avvio del programma di installazione del pacchetto opzionale"},
      {"optpkg.prompt_user.new_spec.text", "L'applet richiede una versione più recente (specifica {0}) del pacchetto opzionale \"{1}\" da {2}"},
      {"optpkg.prompt_user.new_impl.text", "L'applet richiede una versione più recente (implementazione {0}) del pacchetto opzionale \"{1}\" da {2}"},
      {"optpkg.prompt_user.new_vendor.text", "L'applet richiede il  {0}) del pacchetto opzionale \"{1}\" {2} da {3}"},
      {"optpkg.prompt_user.default.text", "L'applet richiede l'installazione del pacchetto opzionale \"{0}\" da {1}"},
      {"rsa.cert_expired", "Il certificato è scaduto - il codice sarà considerato privo di firma.\n"},
      {"rsa.cert_notyieldvalid", "Il certificato non è ancora valido - il codice sarà considerato privo di firma.\n"},
      {"rsa.general_error", "Impossibile verificare il certificato - il codice sarà considerato privo di firma.\n"},
      {"rsa.cert_expired_prompt_user", "Il certificato è scaduto. Ignorare l'avviso e proseguire?\n"},
      {"rsa.cert_notyieldvalid_prompt_user", "Il certificato non è ancora valido. Ignorare l'avviso e proseguire?\n"},
      {"rsa.cert_invalid_prompt_user", "Impossibile verificare la CA principale del certificato. Ignorare l'avviso e proseguire?\n"},
      {"usability.confirmDialogTitle", "Finestra Conferma di Java Plug-in"},
      {"usability.inputDialogTitle", "Finestra Input di Java Plug-in"},
      {"usability.messageDialogTitle", "Finestra Messaggi di Java Plug-in"},
      {"usability.exceptionDialogTitle", "Finestra Eccezioni di Java Plug-in"},
      {"usability.optionDialogTitle", "Finestra Opzioni di Java Plug-in"},
      {"usability.aboutDialogTitle", "Informazioni su Java Plug-in"},
      {"usability.confirm.yes", "Sì"},
      {"usability.confirm.no", "No"},
      {"usability.general_error", "Eccezione generale.\n"},
      {"usability.net_error", "Eccezione di rete.\n"},
      {"usability.security_error", "Eccezione di sicurezza.\n"},
      {"usability.ext_error", "Eccezione nell'installazione del pacchetto opzionale.\n"},
      {"usability.menu.show_console", "Mostra Console Java"},
      {"usability.menu.hide_console", "Nascondi Console Java"},
      {"usability.menu.about", "Informazioni su Java Plug-in"},
      {"usability.menu.copy", "Copia"},
      {"proxy.auto_config.download_error", "Impossibile scaricare il file di configurazione automatica proxy - fallback.\n"},
      {"proxy.error_caption", "Errore di configurazione proxy"},
      {"proxy.prefsfile.nsreg_error", "Impossibile ottenere le impostazioni di configurazione del proxy - fallback.\n"},
      {"applet_install.wrong_param", "Parametri applet non validi - installazione dell'applet interrotta.\n"},
      {"applet_install.mutex_error", "Impossibile bloccare la tabella cache - installazione dell'applet interrotta.\n"},
      {"applet_install.io_error", "Eccezione I/O - installazione dell'applet interrotta.\n"},
      {"applet_install.jar_cache_error", "Eccezione nell'installazione dell'applet.\n"},
      {"applet_install.general_error", "Impossibile terminare l'installazione dell'applet.\n"},
      {"applet_install.caption", "Avviso di installazione dell'applet di Java Plug-in"},
      {"cache.error", "Eccezione della cache di Java Plug-in"},
      {"cache.caption", "Avviso della cache di Java Plug-in"},
      {"cache.version_format_error", " non è nella forma xxxx.xxxx.xxxx.xxxx, dove x rappresenta una cifra esadecimale"},
      {"cache.version_attrib_error", "Il numero di attributi specificati in 'cache_archive' non corrisponde a quelli presenti in 'cache_version'"},
      {"applet.progress.load", "Caricamento applet..."},
      {"applet.progress.init", "Inizializzazione applet..."},
      {"applet.progress.start", "Avvio applet..."},
      {"applet.progress.stop", "Interruzione applet..."},
      {"applet.progress.destroy", "Distruzione applet..."},
      {"applet.progress.dispose", "Eliminazione applet..."},
      {"applet.progress.quit", "Chiusura applet..."},
      {"applet.progress.stoploading", "Caricamento interrotto..."},
      {"applet.progress.interrupted", "Thread interrotto..."},
      {"applet.progress.joining", "Esecuzione join thread..."},
      {"applet.progress.joined", "Join thread eseguito..."},
      {"applet.progress.loadClass", "Caricamento classe "},
      {"applet.progress.loadResource", "Caricamento risorsa"},
      {"applet.progress.loadImage", "Caricamento immagine"},
      {"applet.progress.loadAudio", "Caricamento audio"},
      {"applet.progress.findinfo.0", "Ricerca informazioni..."},
      {"applet.progress.findinfo.1", "Fine..."},
      {"applet.progress.timeout.wait", "Attesa timeout..."},
      {"applet.progress.timeout.jointing", "Esecuzione join..."},
      {"applet.progress.timeout.jointed", "Join eseguito..."},
      {"console.menu.text.top", "----------------------------------------------------\n"},
      {"console.menu.text.c", "c:   cancella finestra console\n"},
      {"console.menu.text.f", "f:   finalizza oggetti nella coda di finalizzazione\n"},
      {"console.menu.text.g", "g:   recupera spazio\n"},
      {"console.menu.text.h", "h:   visualizza questo messaggio di aiuto\n"},
      {"console.menu.text.l", "l:   esegui dump dell'elenco classloader\n"},
      {"console.menu.text.m", "m:   stampa utilizzo memoria\n"},
      {"console.menu.text.o", "o:   attiva registrazione eventi\n"},
      {"console.menu.text.p", "p:   ricarica configurazione proxy\n"},
      {"console.menu.text.q", "q:   nascondi console\n"},
      {"console.menu.text.r", "r:   ricarica configurazione policy\n"},
      {"console.menu.text.s", "s:   esegui dump delle proprietà del sistema\n"},
      {"console.menu.text.t", "t:   esegui dump dell'elenco thread\n"},
      {"console.menu.text.x", "x:   cancella cache classloader\n"},
      {"console.menu.text.0", "0-5: imposta livello di traccia su <n>\n"},
      {"console.menu.text.tail", "----------------------------------------------------\n"},
      {"console.done", "Fine."},
      {"console.trace.level.0", "Livello di traccia impostato su 0: nessuno ... completato."},
      {"console.trace.level.1", "Livello di traccia impostato su 1: base ... completato."},
      {"console.trace.level.2", "Livello di traccia impostato su 2: base, rete ... completato."},
      {"console.trace.level.3", "Livello di traccia impostato su 3: base, rete, protezione ... completato."},
      {"console.trace.level.4", "Livello di traccia impostato su 4: base, rete, protezione, est ... completato."},
      {"console.trace.level.5", "Livello di traccia impostato su 5: base, rete, protezione, est, liveconnect ... completato."},
      {"console.log", "Registrazione eventi impostata su : "},
      {"console.completed", " .... completato."},
      {"console.dump.thread", "Esegui dump dell'elenco thread ...\n"},
      {"console.dump.properties", "Esegui dump delle proprietà del sistema ...\n"},
      {"console.clear.classloader", "Cancella cache classloader .... completato."},
      {"console.reload.policy", "Ricarica configurazione policy"},
      {"console.reload.proxy", "Ricarica configurazione proxy...."},
      {"console.gc", "Recupera spazio"},
      {"console.finalize", "Finalizza oggetti nella coda di finalizzazione"},
      {"console.memory", "Memoria:  {0}K  liberi: {1}K  ({2}%)"},
      {"modality.register", "Ascoltatore in modalità registrata"},
      {"modality.unregister", "Ascoltatore in modalità non registrata"},
      {"modality.pushed", "Eseguito push della modalità"},
      {"modality.popped", "Eseguito pop della modalità"},
      {"progress.listener.added", "Aggiunto ascoltatore avanzamento: "},
      {"progress.listener.removed", "Rimosso ascoltatore avanzamento: "},
      {"liveconnect.UniversalBrowserRead.enabled", "JavaScript: UniversalBrowserRead attivato"},
      {"liveconnect.java.system", "JavaScript: chiamata codice di sistema Java"},
      {"liveconnect.same.origin", "JavaScript: stessa origine per chiamante e destinatario"},
      {"liveconnect.default.policy", "JavaScript: policy di protezione predefinita = "},
      {"liveconnect.UniversalJavaPermission.enabled", "JavaScript: UniversalJavaPermission attivato"},
      {"liveconnect.wrong.securitymodel", "Il modello di protezione Netscape non è più supportato.\nEseguire la migrazione al modello di protezione Java 2.\n"},
      {"jpicertstore.cert.loading", "Caricamento certificati JPI da "},
      {"jpicertstore.cert.loaded", "Certificati JPI caricati da "},
      {"jpicertstore.cert.saving", "Salvataggio certificati JPI in "},
      {"jpicertstore.cert.saved", "Certificati JPI salvati in "},
      {"jpicertstore.cert.adding", "Aggiunta del certificato nell'archivio certificati permanenti JPI"},
      {"jpicertstore.cert.added", "Aggiunto alias certificato nell'archivio certificati permanenti JPI "},
      {"jpicertstore.cert.removing", "Rimozione del certificato nell'archivio certificati permanenti JPI"},
      {"jpicertstore.cert.removed", "Rimosso alias certificato nell'archivio certificati permanenti JPI "},
      {"jpicertstore.cert.instore", "Controllo del certificato nell'archivio certificati permanenti JPI"},
      {"jpicertstore.cert.canverify", "Controllare se è possibile verificare il certificato utilizzando i certificati nell'archivio certificati permanenti JPI"},
      {"jpicertstore.cert.iterator", "Ottenere l'iteratore certificati nell'archivio certificati permanenti JPI"},
      {"jpihttpscertstore.cert.loading", "Caricamento dei certificati JPI Https da "},
      {"jpihttpscertstore.cert.loaded", "Certificati JPI Https caricati da "},
      {"jpihttpscertstore.cert.saving", "Salvataggio certificati JPI Https in "},
      {"jpihttpscertstore.cert.saved", "Certificati JPI Https salvati in "},
      {"jpihttpscertstore.cert.adding", "Aggiunta certificato Https nell'archivio certificati permanenti JPI"},
      {"jpihttpscertstore.cert.added", "Aggiunto alias certificato Https nell'archivio certificati permanenti JPI "},
      {"jpihttpscertstore.cert.removing", "Rimozione certificato Https nell'archivio certificati permanenti JPI"},
      {"jpihttpscertstore.cert.removed", "Rimosso alias certificato Https nell'archivio certificati permanenti JPI "},
      {"jpihttpscertstore.cert.instore", "Controllo del certificato Https nell'archivio certificati permanenti JPI"},
      {
            "jpihttpscertstore.cert.canverify",
            "Controllare se è possibile verificare il certificato Https utilizzando i certificati nell'archivio certificati permanenti JPI"
      },
      {"jpihttpscertstore.cert.iterator", "Ottenere l'iteratore certificati Https nell'archivio certificati permanenti JPI"},
      {"rootcertstore.cert.loading", "Caricamento certificati CA principali da "},
      {"rootcertstore.cert.loaded", "Certificati CA principali caricati da "},
      {"rootcertstore.cert.noload", "Impossibile trovare il file dei certificati CA principali: "},
      {"rootcertstore.cert.saving", "Salvataggio certificati CA principali in "},
      {"rootcertstore.cert.saved", "Certificati CA principali salvati in "},
      {"rootcertstore.cert.adding", "Aggiunta certificato nell'archivio certificati CA principali"},
      {"rootcertstore.cert.added", "Aggiunto alias certificato nell'archivio certificati CA principali "},
      {"rootcertstore.cert.removing", "Rimozione certificato nell'archivio certificati CA principali"},
      {"rootcertstore.cert.removed", "Rimosso alias certificato nell'archivio certificati CA principali "},
      {"rootcertstore.cert.instore", "Controllo del certificato nell'archivio certificati CA principali"},
      {"rootcertstore.cert.canverify", "Controllare se è possibile verificare il certificato utilizzando i certificati nell'archivio certificati CA principali"},
      {"rootcertstore.cert.iterator", "Ottenere l'iteratore certificati nell'archivio certificati CA principali"},
      {"rootcertstore.cert.verify.ok", "Il certificato è stato verificato con i certificati CA principali"},
      {"rootcertstore.cert.verify.fail", "Impossibile verificare il certificato con i certificati CA principali"},
      {"roothttpscertstore.cert.loading", "Caricamento dei certificati CA principali Https da "},
      {"roothttpscertstore.cert.loaded", "Certificati CA principali Https caricati da"},
      {"roothttpscertstore.cert.noload", "Impossibile trovare il file dei certificati CA principali Https: "},
      {"roothttpscertstore.cert.saving", "Salvataggio certificati CA principali Https in "},
      {"roothttpscertstore.cert.saved", "Certificati CA principali Https salvati in "},
      {"roothttpscertstore.cert.adding", "Aggiunta certificato nell'archivio dei certificati CA principali Https"},
      {"roothttpscertstore.cert.added", "Aggiunto alias certificato nell'archivio certificati CA principali Https "},
      {"roothttpscertstore.cert.removing", "Rimozione certificato nell'archivio certificati CA principali Https"},
      {"roothttpscertstore.cert.removed", "Rimosso alias certificato nell'archivio certificati CA principali Https "},
      {"roothttpscertstore.cert.instore", "Controllo del certificato nell'archivio certificati CA principali"},
      {
            "roothttpscertstore.cert.canverify",
            "Controllare se è possibile verificare il certificato utilizzando i certificati nell'archivio certificati CA principali Https"
      },
      {"roothttpscertstore.cert.iterator", "Ottenere l'iteratore certificati nell'archivio certificati CA principali Https"},
      {"roothttpscertstore.cert.verify.ok", "Il certificato è stato verificato con i certificati CA principali Https"},
      {"roothttpscertstore.cert.verify.fail", "Impossibile verificare il certificato con i certificati CA principali Https"},
      {"sessioncertstore.cert.loading", "Caricamento certificati dall'archivio certificati della sessione JPI"},
      {"sessioncertstore.cert.loaded", "Certificati caricati dall'archivio certificati della sessione JPI"},
      {"sessioncertstore.cert.saving", "Salvataggio certificati nell'archivio certificati della sessione JPI"},
      {"sessioncertstore.cert.saved", "Certificati salvati nell'archivio certificati della sessione JPI"},
      {"sessioncertstore.cert.adding", "Aggiunta del certificato nell'archivio certificati della sessione JPI"},
      {"sessioncertstore.cert.added", "Certificato aggiunto nell'archivio certificati della sessione JPI"},
      {"sessioncertstore.cert.removing", "Rimozione del certificato nell'archivio certificati della sessione JPI"},
      {"sessioncertstore.cert.removed", "Certificato rimosso nell'archivio certificati della sessione JPI"},
      {"sessioncertstore.cert.instore", "Controllo del certificato nell'archivio certificati della sessione JPI"},
      {
            "sessioncertstore.cert.canverify",
            "Controllare se è possibile verificare il certificato utilizzando i certificati nell'archivio certificati della sessione JPI"
      },
      {"sessioncertstore.cert.iterator", "Ottenere l'iteratore certificati nell'archivio certificati della sessione JPI"},
      {"hostnameverifier.automation.ignoremismatch", "Automazione: ignora mancata corrispondenza nome host"},
      {"pluginclassloader.deleting_files", "Eliminazione file JAR dalla cache."},
      {"pluginclassloader.file", "   eliminazione dalla cache "},
      {"pluginclassloader.empty_file", " non ha dati, eliminazione dalla cache."},
      {"trustdecider.user.grant.session", "L'utente ha garantito i privilegi al codice solo per questa sessione"},
      {"trustdecider.user.grant.forever", "L'utente ha garantito i privilegi al codice senza limitazioni di tempo"},
      {"trustdecider.user.deny", "L'utente ha negato i privilegi al codice"},
      {"trustdecider.automation.trustcert", "Automazione: certificato RSA attendibile per la firma"},
      {"x509trustmgr.automation.ignoreclientcert", "Automazione: ignora certificato client non attendibile"},
      {"x509trustmgr.automation.ignoreservercert", "Automazione: ignora certificato server non attendibile"},
      {"appletcontext.audio.loaded", "Caricato clip audio: "},
      {"appletcontext.image.loaded", "Caricata immagine: "},
      {"securitymgr.automation.printing", "Automazione: accetta la stampa"},
      {"classloaderinfo.referencing", "Referenziazione classloader: {0}, refcount={1}"},
      {"classloaderinfo.releasing", "Rilascio classloader: {0}, refcount={1}"},
      {"classloaderinfo.caching", "Caching classloader: "},
      {"classloaderinfo.cachesize", "Dimensioni cache classloader attuale: "},
      {"classloaderinfo.num", "Numero di classloader memorizzati su {0}, senza referenziazione {1}"},
      {"cachehandler.filename", "Nome file cache: "},
      {"trace.listener.added", "Aggiunto ascoltatore traccia: "},
      {"trace.listener.removed", "Rimosso ascoltatore traccia: "},
      {"cookiehandler.cache", "Cache cookie: "},
      {"cookiehandler.server", "Richiesta del server {0} di impostare i cookie con \"{1}\""},
      {"cookiehandler.connect", "Connessione {0} con cookie \"{1}\""},
      {"cookiehandler.ignore.setcookie", "Servizio cookie non disponibile - ignora \"Set-Cookie\""},
      {"cookiehandler.noservice", " Servizio cookie non disponibile - utilizza cache per determinare \"Cookie\""},
      {"jsobject.eval", "Valuta {0} = {1}"},
      {"jsobject.call", "JSObject::call: name={0}, url={1}, permission={2}"},
      {"jsobject.eval.url.permission", "JSObject::eval({0}), url={1}, permission={2}"},
      {"jsobject.getMember", "JSObject::getMember: name={0}, url={1}, permission={2}"},
      {"jsobject.setMember", "JSObject::setMember: name={0}, url={1}, permission={2}"},
      {"jsobject.removeMember", "JSObject::removeMember: name={0}, url={1}, permission={2}"},
      {"jsobject.getSlot", "JSObject::getSlot: {0}, url={1}, permission={2}"},
      {"jsobject.setSlot", "JSObject::setSlot: slot={0}, url={1}, permission={2}"},
      {"applet_install.ok", "Installazione applet terminata."},
      {"applet_install.fail", "Installazione applet non riuscita."},
      {"optpkg.install.info", "Installazione pacchetto opzionale "},
      {"optpkg.install.fail", "Installazione pacchetto opzionale non riuscita."},
      {"optpkg.install.ok", "Installazione pacchetto opzionale eseguita."},
      {"optpkg.install.automation", "Automazione: accetta installazione pacchetto opzionale"},
      {"optpkg.install.granted", "Download pacchetto opzionale garantito dall'utente, scarica da "},
      {"optpkg.install.deny", "Download pacchetto opzionale non garantito dall'utente"},
      {"optpkg.install.begin", "Installazione "},
      {"optpkg.install.java.launch", "Avvio programma di installazione Java"},
      {"optpkg.install.java.launch.command", "Avvio programma di installazione Java attraverso "},
      {"optpkg.install.native.launch", "Avvio programma di installazione nativo"},
      {"optpkg.install.native.launch.fail.0", "Impossibile eseguire {0}"},
      {"optpkg.install.native.launch.fail.1", "Accesso a {0} non riuscito"},
      {"optpkg.install.raw.launch", "Installazione package opzionale grezzo"},
      {"optpkg.install.raw.copy", "Copia pacchetto opzionale grezzo da {0} a {1}"},
      {"optpkg.install.error.nomethod", "Dependent Extension Provider non installato: impossibile ottenere  il metodo addExtensionInstallationProvider"},
      {"optpkg.install.error.noclass", "Dependent Extension Provider non installato: impossibile ottenere la classe sun.misc.ExtensionDependency"},
      {"bookmarkmgr.add", "Aggiungi segnalibro \"{0}\" con nome {1}"},
      {"bookmarkmgr.remove", "Rimuovi segnalibro \"{0}\" con nome {1}"},
      {"bookmarkmgr.remove.all", "Rimuovi tutti i segnalibri"},
      {"dialogfactory.user.selected", "Utente selezionato: "},
      {"dialogfactory.user.typed", "Utente immesso: "},
      {"html.install.check", "Controllo installazione HTML"},
      {"html.install.version.checklocal", "Controllo versione locale pagina HTML"},
      {"html.install.version.remote.local", "Versione remota pagina HTML={0}, versione locale pagina HTML={1} "},
      {"html.install.local.uptodated", "La pagina HTML locale è più aggiornata - terminare l'installazione"},
      {"html.install.local.outdated", "La pagina HTML locale non è più esistente - ricreare"},
      {"html.install.remote.uptodated", "La pagina HTML remota è più aggiornata - richiedere conferma"},
      {"html.install.info.missing", "Non sono presenti informazioni sulla pagina HTML locale nella tabella versione - reinstallare"},
      {"html.install.user.deny", "L'utente ha negato l'installazione della pagina HTML - terminare installazione HTML"},
      {"html.install.html.generate", "Creazione pagina HTML locale"},
      {"html.install.version.update", "Aggiornamento informazioni di versione relative alla pagina HTML locale"},
      {"html.install.bookmark.add", "Aggiunta segnalibro al desktop"},
      {"html.install.automation", "Automazione: accetta installazione HTML"},
      {"progress_dialog.downloading", "Plug-in: download in corso..."},
      {"progress_dialog.dismiss_button", "Interrompi"},
      {"progress_dialog.from", "da"},
      {"applet_viewer.color_tag", "Numero di componenti non corretto in "},
      {"progress_info.downloading", "Download file JAR addizionali"},
      {"progress_bar.overflow", "Tentativo di registrare l'avanzamento oltre un'area valida"},
      {"progress_bar.preload", "Precaricamento file JAR: "},
      {"cache.size", "Dimensioni cache: {0}"},
      {"cache.cleanup", " Dimensioni cache: {0} byte, è necessario eliminare file"},
      {"cache.full", "Cache piena: eliminazione del file {0}"},
      {"cache.inuse", "Impossibile eliminare il file {0} perché utilizzato da questa applicazione"},
      {"cache.notdeleted", "Impossibile eliminare il file {0}, il file potrebbe essere utilizzato da questa e/o altre applicazioni"},
      {"cache.out_of_date", "La copia di {0} nella cache non è aggiornata\n  Copia nella cache: {1}\n  Copia nel server: {2}"},
      {"cache.loading", "Caricamento di {0} dalla cache"},
      {"cache.cache_warning", "AVVISO: Impossibile eseguire il caching di {0}"},
      {"cache.downloading", "Download  di {0} nella cache"},
      {"cache.cached_name", "Nome file nella cache: {0}"},
      {"cache.load_warning", "AVVISO: errore durante la lettura di {0} dalla cache."},
      {"cache.disabled", "Cache disabilitata dall'utente"},
      {"cache.minSize", "Cache disabilitata, limite cache impostato a {0}, specificare almeno 5 MB"},
      {"cache.directory_warning", "AVVISO: {0} non è una directory.  Il caching verrà disattivato."},
      {"cache.response_warning", "AVVISO: risposta imprevista {0} per {1}.  Verrà eseguito un nuovo download del file."},
      {"cache.enabled", "Cache abilitata"},
      {"cache.location", "Posizione: {0}"},
      {"cache.maxSize", "Dimensione massima: {0}"},
      {"cache.create_warning", "AVVISO: impossibile creare la directory cache {0}. Il caching verrà disabilitato."},
      {"cache.read_warning", " AVVISO: impossibile leggere la directory cache {0}.  Il caching verrà disabilitato."},
      {"cache.write_warning", " AVVISO: impossibile scrivere sulla directory cache {0}.  Il caching verrà disabilitato."},
      {"cache.compression", "Livello di compressione: {0}"},
      {"cache.cert_load", "I certificati per {0} sono letti dalla cache"},
      {"cache.jarjar.invalid_file", "Il file .jarjar contiene un file non .jar"},
      {"cache.jarjar.multiple_jar", "Il file .jarjar contiene più di un file .jar"},
      {"cache.version_checking", "Controllo versione per {0}, la versione specificata è {1}"},
      {"cache.preloading", "Precaricamento file {0}"},
      {"cache_viewer.title", "Visualizzatore cache per Java Plug-in"},
      {"cache_viewer.refresh", "Aggiorna"},
      {"cache_viewer.remove", "Elimina"},
      {"cache_viewer.close", "Chiudi"},
      {"cache_viewer.name", "Nome"},
      {"cache_viewer.type", "Tipo"},
      {"cache_viewer.size", "Dimensioni"},
      {"cache_viewer.modify_date", "Ultima modifica"},
      {"cache_viewer.expiry_date", "Data scadenza"},
      {"cache_viewer.url", "URL"},
      {"cache_viewer.version", "Versione"},
      {"cache_viewer.help.name", "Nome file nella cache"},
      {"cache_viewer.help.type", "Tipo file nella cache"},
      {"cache_viewer.help.size", "Dimensioni file nella cache"},
      {"cache_viewer.help.modify_date", "Data ultima modifica del file"},
      {"cache_viewer.help.expiry_date", "Data scadenza del file"},
      {"cache_viewer.help.url", "URL di scaricamento del file nella cache"},
      {"cache_viewer.help.version", "Versione cache del file"},
      {"cache_viewer.delete", "Impossibile eliminare {0}, potrebbe essere in uso"},
      {"cache_viewer.type.zip", "Jar"},
      {"cache_viewer.type.class", "Classe"},
      {"cache_viewer.type.wav", "File audio Wav"},
      {"cache_viewer.type.au", " File audio Au "},
      {"cache_viewer.type.gif", "Immagine Gif"},
      {"cache_viewer.type.jpg", " Immagine Jpeg"},
      {"net.proxy.loading.ie", "Caricamento della configurazione proxy da Internet Explorer ..."},
      {"net.proxy.loading.ns", "Caricamento della configurazione proxy da Netscape Navigator ..."},
      {"net.proxy.loading.userdef", "Caricamento della configurazione proxy definita dall'utente ..."},
      {"net.proxy.loading.direct", "Caricamento della configurazione proxy diretta ..."},
      {"net.proxy.loading.manual", "Caricamento della configurazione proxy manuale ..."},
      {"net.proxy.loading.auto", "Caricamento della configurazione proxy automatica ..."},
      {"net.proxy.loading.browser", "Caricamento della configurazione proxy del browser ..."},
      {"net.proxy.loading.manual.error", "Impossibile utilizzare la configurazione proxy manuale - fallback su DIRECT"},
      {"net.proxy.loading.auto.error", "Impossibile utilizzare la configurazione proxy automatica - fallback su MANUAL"},
      {"net.proxy.loading.done", "Fine."},
      {"net.proxy.browser.pref.read", "Lettura del file preferenze utente da "},
      {"net.proxy.browser.proxyEnable", "    Abilita proxy: "},
      {"net.proxy.browser.proxyList", "    Elenco proxy: "},
      {"net.proxy.browser.proxyOverride", "    Ignora proxy: "},
      {"net.proxy.browser.autoConfigURL", "    URL configurazione automatica: "},
      {"net.proxy.pattern.convert", "Conversione dell'elenco bypass proxy in espressione regolare: "},
      {"net.proxy.pattern.convert.error", "Impossibile convertire l'elenco bypass proxy in espressione regolare - ignorare"},
      {"net.proxy.auto.download.ins", "Download file INS da "},
      {"net.proxy.auto.download.js", "Download file proxy automatico da "},
      {"net.proxy.auto.result.error", "Impossibile determinare le impostazioni proxy dalla valutazione - fallback su DIRECT"},
      {"net.proxy.service.not_available", "Servizio proxy non disponibile per {0} - predefinito su DIRECT"},
      {"lifecycle.applet.found", "È stato trovato un applet precedente interrotto dalla cache del ciclo di vita"},
      {"lifecycle.applet.support", "L'applet supporta il modello di ciclo di vita precedente. Aggiungere l'applet alla cache del ciclo di vita."},
      {"lifecycle.applet.cachefull", "La cache del ciclo di vita è piena. Eliminare gli applet meno recenti."}
   };

   public Object[][] getContents() {
      return contents;
   }
}
