package sun.plugin.resources;

import java.util.ListResourceBundle;

public class Activator_zh_CN extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"welcome_message", "Java(TM) Plug-in 控制面板"},
      {"product_name", "Java(TM) Plug-in"},
      {"version", "版本"},
      {"default_vm_version", "缺省虚拟机版本"},
      {"using_jre_version", "使用 JRE 版本"},
      {"user_home_dir", "用户主目录"},
      {"user_overriden_browser", "用户已覆盖浏览器的代理设置。"},
      {"proxy_configuration", "代理配置："},
      {"browser_config", "浏览器代理配置"},
      {"auto_config", "自动代理配置"},
      {"manual_config", "手动配置"},
      {"no_proxy", "没有代理"},
      {"proxy_is", "代理："},
      {"proxy_override_is", "代理覆盖："},
      {"loading", "正在载入"},
      {"java_applet", "Java 小应用程序"},
      {"java_bean", "JavaBeans"},
      {"java_not_enabled", "Java 没有启用"},
      {"java_cache_enabled", "JAR 高速缓存已启用。"},
      {"java_cache_disabled", "JAR 高速缓存已禁用。"},
      {"proxy_equals", "代理="},
      {"net.connect.no_proxy", "正在无代理连接 {0}"},
      {"net.connect.proxy_is", "正在使用代理 {1} 连接 {0}"},
      {"bean_code_and_ser", "Bean 不能同时定义 CODE 和 JAVA_OBJECT "},
      {"status", ""},
      {"status_applet", "小应用程序"},
      {"status_bean", "JavaBeans "},
      {"status_exception", "异常："},
      {"ok.label", "确定"},
      {"print.title", "警告"},
      {"print.message", new String[]{"某个小应用程序希望进行打印。", "是否确定？"}},
      {"print.yes", "是"},
      {"print.no", "否"},
      {"https_dialog.caption", "Java 安全警告"},
      {"https_dialog.text", "安全证书和您试图查看的页名称不匹配。\n\n\nURL 的主机名：{0}\n证书上的主机名： {1}\n\n是否要继续？"},
      {"https_dialog.unknown.host", "未知主机"},
      {"security_dialog.caption", "Java 安全警告"},
      {"security_dialog.text0", "您是否要安装并运行由 \"{0}\" 分发且带有签名的小应用程序？\n\n出版商的真实性已验证由： \"{1}\""},
      {"security_dialog_https.text0", "为了交换加密信息，您是否要通过网站\"{0}\"接受此证书？\n\n出版商的真实性已验证由： \"{1}\""},
      {"security_dialog.text1", "\n注意： \"{0}\" 声明本内容安全。只有当您认可了 \"{1}\" 声明后才可安装/查看此内容。\n\n"},
      {"security_dialog.unknown.issuer", "未知签发人"},
      {"security_dialog.unknown.subject", "未知主题"},
      {"security_dialog.rootCANotValid", "此安全证书是由不可信的公司签发的。"},
      {"security_dialog.rootCAValid", "此安全证书是由可信赖的公司签发的。"},
      {"security_dialog.timeNotValid", "安全证书已到期或尚未生效。"},
      {"security_dialog.timeValid", "安全证书尚未到期，依然有效。"},
      {"security_dialog.buttonAlways", "总是授权"},
      {"security_dialog.buttonYes", "授予该会话"},
      {"security_dialog.buttonNo", "拒绝"},
      {"security_dialog.buttonInfo", "详细信息"},
      {"security_dialog.buttonViewCert", "查看证书"},
      {"cert_dialog.caption", "证书属性"},
      {"cert_dialog.title", "证书"},
      {"cert_dialog.field.Version", "版本"},
      {"cert_dialog.field.SerialNumber", "序列号"},
      {"cert_dialog.field.SignatureAlg", "签名算法"},
      {"cert_dialog.field.Issuer", "签发人"},
      {"cert_dialog.field.EffectiveDate", "生效日期"},
      {"cert_dialog.field.ExpirationDate", "到期日期"},
      {"cert_dialog.field.Validity", "有效性"},
      {"cert_dialog.field.Subject", "主题"},
      {"cert_dialog.field.Signature", "签字"},
      {"cert_dialog.field", "字段"},
      {"cert_dialog.value", "值"},
      {"cert_dialog.issuerButton", "签发人"},
      {"cert_dialog.viewIssuerButton", "查看签发人"},
      {"cert_dialog.okButton", "确定"},
      {"import_format_dialog.title", "错误"},
      {"import_format_dialog.caption", "所选文件的格式不正确，不能导入。"},
      {"import_password_dialog.title", "错误"},
      {"import_password_dialog.caption", "输入的口令不正确。"},
      {"cert_password_dialog.title", "口令"},
      {"cert_password_dialog.caption", "请输入口令以访问此文件："},
      {"cert_export_dialog.title", "错误"},
      {"cert_export_dialog.caption", "不会导出任何证书。"},
      {"net.authenticate.title", "输入网络口令"},
      {"net.authenticate.label", "请键入您的用户名和口令。"},
      {"net.authenticate.resource", "资源:"},
      {"net.authenticate.username", "用户名:"},
      {"net.authenticate.password", "口令:"},
      {"net.authenticate.firewall", "防火墙:"},
      {"net.authenticate.realm", "领域："},
      {"net.authenticate.scheme", "方案:"},
      {"console.caption", "Java 控制台"},
      {"console.clear", "清除"},
      {"console.close", "关闭"},
      {"console.copy", "复制"},
      {"html.wrong_param", "无法确定所有必要的 HTML 参数 ― 终止 HTML 安装。\n"},
      {"html.cache_error", "无法访问 HTML 高速缓存的版本表 ― 终止 HTML 安装。\n"},
      {"html.general_error", "无法完成 HTML 安装。\n"},
      {"html.caption", "Java Plug-in HTML 安装警告"},
      {"html.prompt_user", "此小应用程序请求在本地机上安装 HTML 页, 和在桌面上创建快捷方式。是否要继续？"},
      {"html.install.ok", "HTML 安装已经完成。”"},
      {"html.install.fail", "HTML 安装失败。"},
      {"optpkg.cert_expired", "证书已到期 ― 终止可选软件包安装。\n"},
      {"optpkg.cert_notyieldvalid", "证书尚未生效 ― 终止可选软件包安装。\n"},
      {"optpkg.cert_notverify", "无法验证证书 ― 终止可选软件包安装。\n"},
      {"optpkg.general_error", "无法安装可选软件包。\n"},
      {"optpkg.caption", "Java 可选软件包安装警告"},
      {"optpkg.wait_for_installer", "在可选软件包安装程序退出后，请单击确定以继续载入小应用程序。"},
      {"optpkg.launch_installer", "启动可选软件包安装程序"},
      {"optpkg.prompt_user.new_spec.text", "小应用程序需要 {2} 处可选软件包 \"{1}\" 的更新版本（规范{0}）"},
      {"optpkg.prompt_user.new_impl.text", "小应用程序需要 {2} 处可选软件包 \"{1}\" 的更新版本（实现{0}）"},
      {"optpkg.prompt_user.new_vendor.text", "小应用程序需要 {3} 处可选软件包 \"{1}\" {2} 的 ({0})"},
      {"optpkg.prompt_user.default.text", "小应用程序需要从 {1} 安装可选软件包 \"{0}\""},
      {"rsa.cert_expired", "证书已到期 ― 将作为未认证代码对待。\n"},
      {"rsa.cert_notyieldvalid", "证书尚未生效 ― 将作为未认证代码对待。\n"},
      {"rsa.general_error", "无法验证证书 ― 将作为未认证代码对待。\n"},
      {"rsa.cert_expired_prompt_user", "证书已到期 ― 是否忽略此警告然后继续？\n"},
      {"rsa.cert_notyieldvalid_prompt_user", "证书尚未生效。是否忽略此警告，然后继续？\n"},
      {"rsa.cert_invalid_prompt_user", "无法验证此证书的根 CA。是否忽略此警告，然后继续？\n"},
      {"usability.confirmDialogTitle", "Java Plug-in 确认对话框"},
      {"usability.inputDialogTitle", "Java Plug-in 输入对话框"},
      {"usability.messageDialogTitle", "Java Plug-in 消息对话框"},
      {"usability.exceptionDialogTitle", "Java Plug-in 异常对话框"},
      {"usability.optionDialogTitle", "Java Plug-in 选项对话框"},
      {"usability.aboutDialogTitle", "关于 Java Plug-in"},
      {"usability.confirm.yes", "是"},
      {"usability.confirm.no", "否"},
      {"usability.general_error", "一般异常。\n"},
      {"usability.net_error", "联网异常。\n"},
      {"usability.security_error", "安全异常。\n"},
      {"usability.ext_error", "可选软件包安装异常。\n"},
      {"usability.menu.show_console", "显示 Java 控制台"},
      {"usability.menu.hide_console", "隐藏 Java 控制台"},
      {"usability.menu.about", "关于 Java Plug-in"},
      {"usability.menu.copy", "复制"},
      {"proxy.auto_config.download_error", "无法自动下载代理配置文件 ― 后退。\n"},
      {"proxy.error_caption", "代理配置错误"},
      {"proxy.prefsfile.nsreg_error", "无法获得代理配置设置 ― 后退\n"},
      {"applet_install.wrong_param", "小应用程序参数无效 ― 终止小应用程序的安装。\n"},
      {"applet_install.mutex_error", "无法获得高速缓存表上的锁 ― 终止小应用程序的安装。\n"},
      {"applet_install.io_error", "I/O 异常 ― 终止小应用程序的安装。\n"},
      {"applet_install.jar_cache_error", "小应用程序安装异常。\n"},
      {"applet_install.general_error", "无法完成小应用程序的安装。\n"},
      {"applet_install.caption", "Java Plug-in 小应用程序安装警告"},
      {"cache.error", "Java Plug-in 高速缓存异常"},
      {"cache.caption", "Java Plug-in 高速缓存警告"},
      {"cache.version_format_error", " 不是 xxxx.xxxx.xxxx.xxxx 的格式，其中 X 代表十六进制数"},
      {"cache.version_attrib_error", "在 'cache_archive' 中指定的属性数与在 'cache_version' 中的属性数不匹配"},
      {"applet.progress.load", "正在载入小应用程序..."},
      {"applet.progress.init", "正在初始化小应用程序..."},
      {"applet.progress.start", "正在启动小应用程序..."},
      {"applet.progress.stop", "停止小应用程序..."},
      {"applet.progress.destroy", "正在销毁小应用程序..."},
      {"applet.progress.dispose", "正在处置小应用程序..."},
      {"applet.progress.quit", "正在退出小应用程序..."},
      {"applet.progress.stoploading", "已停止的载入..."},
      {"applet.progress.interrupted", "已中断的线程..."},
      {"applet.progress.joining", "正在连接小应用程序线程 ..."},
      {"applet.progress.joined", "已连接小应用程序线程 ..."},
      {"applet.progress.loadClass", "正在载入类 "},
      {"applet.progress.loadResource", "正在载入资源 "},
      {"applet.progress.loadImage", "正在载入图象 "},
      {"applet.progress.loadAudio", "正在载入音频 "},
      {"applet.progress.findinfo.0", "正在查找信息..."},
      {"applet.progress.findinfo.1", "完成..."},
      {"applet.progress.timeout.wait", "等待超时..."},
      {"applet.progress.timeout.jointing", "正在进行联合..."},
      {"applet.progress.timeout.jointed", "完成联合 ..."},
      {"console.menu.text.top", "----------------------------------------------------\n"},
      {"console.menu.text.c", "c:   清除控制台窗口\n"},
      {"console.menu.text.f", "f:   finalization 队列中的 finalize 对象\n"},
      {"console.menu.text.g", "g:   垃圾收集\n"},
      {"console.menu.text.h", "h:   显示此帮助消息\n"},
      {"console.menu.text.l", "l:   转储类载入程序列表\n"},
      {"console.menu.text.m", "m:   打印内存使用\n"},
      {"console.menu.text.o", "o:   触发日志记录\n"},
      {"console.menu.text.p", "p:   重新载入策略配置\n"},
      {"console.menu.text.q", "q:   隐藏控制台\n"},
      {"console.menu.text.r", "r:   重新载入策略配置\n"},
      {"console.menu.text.s", "s:   转储系统属性\n"},
      {"console.menu.text.t", "t:   转储线程列表\n"},
      {"console.menu.text.x", "x:   清除类载入程序高速缓存\n"},
      {"console.menu.text.0", "0-5: 设置跟踪级别为<n>\n"},
      {"console.menu.text.tail", "----------------------------------------------------\n"},
      {"console.done", "完成。"},
      {"console.trace.level.0", "跟踪级别设置为 0： 没有任何 ... 完成。"},
      {"console.trace.level.1", "跟踪级别设置为 1： 初级 ... 完成。"},
      {"console.trace.level.2", "跟踪级别设置为 2： 初级，网络 ... 完成。"},
      {"console.trace.level.3", "跟踪级别设置为 3： 初级，网络，安全 ... 完成。"},
      {"console.trace.level.4", "跟踪级别设置为 4： 初级，网络，安全，扩展 ... 完成。"},
      {"console.trace.level.5", "跟踪级别设置为 5： 初级，网络，安全，扩展，活连接 ... 完成。"},
      {"console.log", "记录设置为： "},
      {"console.completed", " .... 完成。"},
      {"console.dump.thread", "转储线程列表 ...\n"},
      {"console.dump.properties", "转储系统属性 ...\n"},
      {"console.clear.classloader", "清除类载入程序高速缓存 .... 完成。"},
      {"console.reload.policy", "重新载入策略配置"},
      {"console.reload.proxy", "重新载入代理配置 ...."},
      {"console.gc", "垃圾收集"},
      {"console.finalize", " finalization 队列中的 finalize 对象"},
      {"console.memory", "内存：{0}K  空闲：{1}K  ({2}%)"},
      {"modality.register", "已注册原型监听程序"},
      {"modality.unregister", "未注册原型监听程序"},
      {"modality.pushed", "模态已推进"},
      {"modality.popped", "模态已弹出"},
      {"progress.listener.added", "已添加进度监听程序： "},
      {"progress.listener.removed", "已删除进度监听程序： "},
      {"liveconnect.UniversalBrowserRead.enabled", "JavaScript: UniversalBrowserRead 已启用"},
      {"liveconnect.java.system", "JavaScript: 调用 Java 系统代码"},
      {"liveconnect.same.origin", "JavaScript: 调用程序和被调用程序有相同的源"},
      {"liveconnect.default.policy", "JavaScript: 缺省安全策略 = "},
      {"liveconnect.UniversalJavaPermission.enabled", "JavaScript: UniversalJavaPermission 已启用"},
      {"liveconnect.wrong.securitymodel", "不再支持 Netscape 安全模式。\n请移植到 Java 2 安全模式。\n"},
      {"jpicertstore.cert.loading", "正在从此处载入 JPI 证书 "},
      {"jpicertstore.cert.loaded", "已从此处载入 JPI 证书 "},
      {"jpicertstore.cert.saving", "正在将 JPI 证书保存在 "},
      {"jpicertstore.cert.saved", "已将 JPI 证书保存在 "},
      {"jpicertstore.cert.adding", "正在 JPI 永久证书存储中添加证书"},
      {"jpicertstore.cert.added", "已在 JPI 永久证书存储中以别名的形式添加证书 "},
      {"jpicertstore.cert.removing", "正在 JPI 永久证书存储中删除证书"},
      {"jpicertstore.cert.removed", "已在 JPI 永久证书存储中删除以别名形式出现的证书 "},
      {"jpicertstore.cert.instore", "正在检查证书是否在 JPI 永久证书存储中"},
      {"jpicertstore.cert.canverify", "检查证书是否可以使用 JPI 永久证书存储中的证书来验证。"},
      {"jpicertstore.cert.iterator", "在 JPI 永久证书存储中获取证书迭代程序"},
      {"jpihttpscertstore.cert.loading", "正在从此处装入 JPI Http 证书"},
      {"jpihttpscertstore.cert.loaded", "已从此处装入 JPI Http 证书"},
      {"jpihttpscertstore.cert.saving", "正在将 JPI Http 证书保存至此处"},
      {"jpihttpscertstore.cert.saved", "已将 JPI Http 证书保存至此处 "},
      {"jpihttpscertstore.cert.adding", "正在将 Http 证书添加到 JPI 永久证书库"},
      {"jpihttpscertstore.cert.added", "已将 Http 证书按别名添加到 JPI 永久证书库"},
      {"jpihttpscertstore.cert.removing", "正在删除 JPI 永久证书库中的 Http 证书"},
      {"jpihttpscertstore.cert.removed", "已按别名删除 JPI 永久证书库中的 Http 证书"},
      {"jpihttpscertstore.cert.instore", "正在检查 Http 证书是否在 JPI 永久证书库中"},
      {"jpihttpscertstore.cert.canverify", "已检查 Http 证书是否可使用 JPI 永久证书库验证"},
      {"jpihttpscertstore.cert.iterator", "获取 JPI 永久证书库中的 Http 证书迭代器"},
      {"rootcertstore.cert.loading", "正在从此处载入根 CA 证书 "},
      {"rootcertstore.cert.loaded", "已从此处载入根 CA 证书 "},
      {"rootcertstore.cert.noload", "未找到根 CA 证书文件："},
      {"rootcertstore.cert.saving", "正在将根 CA 证书保存在 "},
      {"rootcertstore.cert.saved", "已将根 CA 证书保存在 "},
      {"rootcertstore.cert.adding", "正在根 CA 证书存储中添加证书"},
      {"rootcertstore.cert.added", "已在根 CA 证书存储中以别名形式保存证书 "},
      {"rootcertstore.cert.removing", "正在根 CA 证书存储中删除证书"},
      {"rootcertstore.cert.removed", "已在根 CA 证书存储中删除以别名形式出现的证书 "},
      {"rootcertstore.cert.instore", "正在检查证书是否在根 CA 证书存储中"},
      {"rootcertstore.cert.canverify", "检查证书是否可以使用根 CA 证书存储中的证书来验证"},
      {"rootcertstore.cert.iterator", "在根 CA 证书存储中获取证书迭代程序"},
      {"rootcertstore.cert.verify.ok", "证书已成功地提供根 CA 证书的验证"},
      {"rootcertstore.cert.verify.fail", "证书没有通过根 CA 证书的验证"},
      {"roothttpscertstore.cert.loading", "正在从此处装入 Http 根 CA 证书"},
      {"roothttpscertstore.cert.loaded", "已从此处装入 Http 根 CA 证书"},
      {"roothttpscertstore.cert.noload", "未找到 Http 根 CA 证书： "},
      {"roothttpscertstore.cert.saving", "正在将 Http 根 CA 证书保存到此处 "},
      {"roothttpscertstore.cert.saved", "已将 Http 根 CA 证书保存到此处 "},
      {"roothttpscertstore.cert.adding", "正在向 Http 根 CA 证书库中添加证书"},
      {"roothttpscertstore.cert.added", "以别名向 Http 根 CA 证书库中添加证书 "},
      {"roothttpscertstore.cert.removing", "正在从 Http 根 CA 证书库中删除证书"},
      {"roothttpscertstore.cert.removed", "已从 Http 根 CA 证书库中删除以别名存在的证书 "},
      {"roothttpscertstore.cert.instore", "正在检查证书是否存在于 Http 根 CA 证书库中"},
      {"roothttpscertstore.cert.canverify", "检查是否可用 Http 根 CA 证书库中的证书验证证书"},
      {"roothttpscertstore.cert.iterator", "获取 Http 根 CA 证书库中的证书迭代"},
      {"roothttpscertstore.cert.verify.ok", "证书已成功通过 Http 根 CA 证书库验证"},
      {"roothttpscertstore.cert.verify.fail", "通过 Http 根 CA 证书库验证的证书已失败"},
      {"sessioncertstore.cert.loading", "正在从 JPI 会话证书存储中载入证书"},
      {"sessioncertstore.cert.loaded", "已从 JPI 会话证书存储中载入证书"},
      {"sessioncertstore.cert.saving", "正在 JPI 会话证书存储中保存证书"},
      {"sessioncertstore.cert.saved", "已在 JPI 会话存储中保存保存证书"},
      {"sessioncertstore.cert.adding", "正在 JPI 会话证书存储中添加证书"},
      {"sessioncertstore.cert.added", "已在 JPI 会话证书存储中添加证书"},
      {"sessioncertstore.cert.removing", "正在 JPI 会话证书存储中删除证书"},
      {"sessioncertstore.cert.removed", "已在 JPI 会话证书存储中删除证书"},
      {"sessioncertstore.cert.instore", "正在检查证书是否在 JPI 会话证书存储中"},
      {"sessioncertstore.cert.canverify", "检查证书是否可以使用 JPI 会话证书存储中的证书来验证"},
      {"sessioncertstore.cert.iterator", "在 JPI 会话证书存储中获取证书迭代程序"},
      {"hostnameverifier.automation.ignoremismatch", "自动：忽略主机名的不匹配"},
      {"pluginclassloader.deleting_files", "正在从高速缓存中删除 JAR 文件。"},
      {"pluginclassloader.file", "   从高速缓存中删除 "},
      {"pluginclassloader.empty_file", " 为空，从高速缓存中删除。"},
      {"trustdecider.user.grant.session", "用户只对此会话的代码授予权限"},
      {"trustdecider.user.grant.forever", "用户对代码授予永久权限"},
      {"trustdecider.user.deny", "用户拒绝对代码授予权限"},
      {"trustdecider.automation.trustcert", "自动： 委托 RSA 证书进行签名"},
      {"x509trustmgr.automation.ignoreclientcert", "自动： 忽略不可信的客户证书"},
      {"x509trustmgr.automation.ignoreservercert", "自动： 忽略不可信的服务器证书"},
      {"appletcontext.audio.loaded", "已载入音频剪辑： "},
      {"appletcontext.image.loaded", "已载入图象： "},
      {"securitymgr.automation.printing", "自动： 接受打印"},
      {"classloaderinfo.referencing", "正在引用类载入程序： {0}, refcount={1}"},
      {"classloaderinfo.releasing", "正在释放类载入程序：{0}, refcount={1}"},
      {"classloaderinfo.caching", "正在高速缓存类载入程序： "},
      {"classloaderinfo.cachesize", "当前类载入程序高速缓存的大小： "},
      {"classloaderinfo.num", "已高速缓存的类载入程序的数量超过 {0}，未引用 {1}"},
      {"cachehandler.filename", "高速缓存文件名： "},
      {"trace.listener.added", "已添加跟踪监听程序： "},
      {"trace.listener.removed", "已删除跟踪监听程序： "},
      {"cookiehandler.cache", "Cookie 高速缓存： "},
      {"cookiehandler.server", "服务器 {0} 正对 \"{1}\" 请求 set-cookie"},
      {"cookiehandler.connect", "正在连接 {0} 与 cookie \"{1}\""},
      {"cookiehandler.ignore.setcookie", "Cookie 服务不可用 ― 忽略 \"Set-Cookie\""},
      {"cookiehandler.noservice", "Cookie 服务不可用 ― 使用高速缓存确定 \"Cookie\""},
      {"jsobject.eval", "评估 {0} = {1}"},
      {"jsobject.call", "JSObject::call: name={0}, url={1}, 权限={2}"},
      {"jsobject.eval.url.permission", "JSObject::eval({0}), url={1}, 权限={2}"},
      {"jsobject.getMember", "JSObject::getMember: name={0}, url={1}, 权限={2}"},
      {"jsobject.setMember", "JSObject::setMember: name={0}, url={1}, 权限={2}"},
      {"jsobject.removeMember", "JSObject::removeMember: name={0}, url={1}, 权限={2}"},
      {"jsobject.getSlot", "JSObject::getSlot: {0}, url={1}, 权限={2}"},
      {"jsobject.setSlot", "JSObject::setSlot: slot={0}, url={1}, 权限={2}"},
      {"applet_install.ok", "小应用程序安装完成。"},
      {"applet_install.fail", "小应用程序安装失败。"},
      {"optpkg.install.info", "正在安装可选软件包 "},
      {"optpkg.install.fail", "可选软件包安装失败。"},
      {"optpkg.install.ok", "可选软件包安装成功。"},
      {"optpkg.install.automation", "自动： 接受可选软件包安装"},
      {"optpkg.install.granted", "可选软件包下载已获得用户的授权，下载从 "},
      {"optpkg.install.deny", "可选软件包下载未获得用户的授权"},
      {"optpkg.install.begin", "正在安装 "},
      {"optpkg.install.java.launch", "正在启动 Java 安装程序"},
      {"optpkg.install.java.launch.command", "正在启动 Java 安装程序，通过 "},
      {"optpkg.install.native.launch", "正在启动本地安装程序"},
      {"optpkg.install.native.launch.fail.0", "无法执行 {0}"},
      {"optpkg.install.native.launch.fail.1", "对 {0} 的访问失败"},
      {"optpkg.install.raw.launch", "正在安装原可选软件包"},
      {"optpkg.install.raw.copy", "正在将原可选软件包从 {0} 复制到 {1}"},
      {"optpkg.install.error.nomethod", "未安装独立的扩展提供程序： 无法获取  addExtensionInstallationProvider 方法"},
      {"optpkg.install.error.noclass", "未安装独立的扩展提供程序： 无法获得 sun.misc.ExtensionDependency 类"},
      {"bookmarkmgr.add", "将书签 \"{0}\" 添加为 {1} "},
      {"bookmarkmgr.remove", "删除作为 {1} 的书签 \"{0}\""},
      {"bookmarkmgr.remove.all", "删除所有书签"},
      {"dialogfactory.user.selected", "用户所选的： "},
      {"dialogfactory.user.typed", "用户键入的： "},
      {"html.install.check", "正在检查 HTML 安装"},
      {"html.install.version.checklocal", "正在检查 HTML 页的本地版本"},
      {"html.install.version.remote.local", "远程 HTML 页版本={0}, 本地 HTML 页版本={1}"},
      {"html.install.local.uptodated", "本地 HTML 页是最新的 - 完成安装"},
      {"html.install.local.outdated", "本地 HTML 页不再存在 - 重新生成"},
      {"html.install.remote.uptodated", "远程 HTML 页是最新的 - 提示用户"},
      {"html.install.info.missing", "版本表中缺少本地 HTML 页信息 - 重新安装"},
      {"html.install.user.deny", "用户拒绝安装 HTML 页 - 终止 HTML 安装"},
      {"html.install.html.generate", "正在生成本地 HTML 页"},
      {"html.install.version.update", "正在更新关于本地 HTML 页的版本信息"},
      {"html.install.bookmark.add", "正在将书签添加到桌面"},
      {"html.install.automation", "自动： 接受 HTML 安装"},
      {"progress_dialog.downloading", "Plug-in:正在下载..."},
      {"progress_dialog.dismiss_button", "关闭"},
      {"progress_dialog.from", "从"},
      {"applet_viewer.color_tag", "不正确的组件号"},
      {"progress_info.downloading", "正在下载 JAR 文件"},
      {"progress_bar.overflow", "试图在有效区域之外绘制进度表"},
      {"progress_bar.preload", "正在预载 JAR 文件："},
      {"cache.size", "高速缓存大小：{0}"},
      {"cache.cleanup", "高速缓存大小为：{0} 字节，有必要清理"},
      {"cache.full", "高速缓存已满：正在删除文件 {0}"},
      {"cache.inuse", "不能删除文件 {0}，因为此应用程序正在使用该文件"},
      {"cache.notdeleted", "不能删除文件 {0}，因为此应用程序和/或其他应用程序可能正在使用"},
      {"cache.out_of_date", "0} 的高速缓存副本已过期\n  高速缓存副本：{1}\n  服务器副本：{2}"},
      {"cache.loading", "正在从高速缓存加载 {0}"},
      {"cache.cache_warning", "警告：不能高速缓存{0}"},
      {"cache.downloading", "正在将{0}下载到高速缓存"},
      {"cache.cached_name", "已高速缓存的文件名称：{0}"},
      {"cache.load_warning", "警告：正从高速缓存错误读取 {0}。"},
      {"cache.disabled", "高速缓存已被用户禁用"},
      {"cache.minSize", "高速缓存被禁用。高速缓存限额设置为 {0}，已指定至少应为 5 MB"},
      {"cache.directory_warning", "警告：{0} 不是一个目录。高速缓存将被禁用。"},
      {"cache.response_warning", "警告：{0} 异常响应 {1}。将重新下载文件。"},
      {"cache.enabled", "高速缓存被启用"},
      {"cache.location", "位置：{0}"},
      {"cache.maxSize", "最大：{0}"},
      {"cache.create_warning", "警告：不能创建高速缓存目录 {0}。高速缓存将被禁用。"},
      {"cache.read_warning", "警告：不能读取高速缓存目录 {0}。高速缓存将被禁用。"},
      {"cache.write_warning", "警告：不能写入高速缓存目录 {0}。高速缓存将被禁用。"},
      {"cache.compression", "压缩级别：{0}"},
      {"cache.cert_load", "{0} 的证书从 JAR 高速缓存中读取"},
      {"cache.jarjar.invalid_file", ".jarjar 文件包含一个非 .jar 文件"},
      {"cache.jarjar.multiple_jar", ".jarjar 文件包含多个非 .jar 文件"},
      {"cache.version_checking", "正在检查 {0} 的版本，指定版本为 {1}"},
      {"cache.preloading", "正在预载文件 {0}"},
      {"cache_viewer.title", "Java Plug-in 高速缓存查看器"},
      {"cache_viewer.refresh", "刷新"},
      {"cache_viewer.remove", "删除"},
      {"cache_viewer.close", "关闭"},
      {"cache_viewer.name", "名称"},
      {"cache_viewer.type", "类型"},
      {"cache_viewer.size", "大小"},
      {"cache_viewer.modify_date", "最新修正版"},
      {"cache_viewer.expiry_date", "到期日期"},
      {"cache_viewer.url", "URL"},
      {"cache_viewer.version", "版本"},
      {"cache_viewer.help.name", "高速缓存的文件名"},
      {"cache_viewer.help.type", "高速缓存的文件类型"},
      {"cache_viewer.help.size", "高速缓存的文件大小"},
      {"cache_viewer.help.modify_date", "高速缓存文件的最后修改日期"},
      {"cache_viewer.help.expiry_date", "高速缓存文件的到期日"},
      {"cache_viewer.help.url", "高速缓存文件下载 URL"},
      {"cache_viewer.help.version", "高速缓存文件版本"},
      {"cache_viewer.delete", "{0} 不能被删除，可能在使用中"},
      {"cache_viewer.type.zip", "Jar"},
      {"cache_viewer.type.class", "类"},
      {"cache_viewer.type.wav", "Wav 音频"},
      {"cache_viewer.type.au", "Au 音频"},
      {"cache_viewer.type.gif", "Gif 图像"},
      {"cache_viewer.type.jpg", "Jpeg 图像"},
      {"net.proxy.loading.ie", "正在从 Internet Explorer 中载入代理配置 ..."},
      {"net.proxy.loading.ns", "正在从 Netscape Navigator 中载入代理配置 ..."},
      {"net.proxy.loading.userdef", "正在载入用户定义的代理配置 ..."},
      {"net.proxy.loading.direct", "正在载入直接代理配置 ..."},
      {"net.proxy.loading.manual", "正在载入手动代理配置 ..."},
      {"net.proxy.loading.auto", "正在载入自动代理配置 ..."},
      {"net.proxy.loading.browser", "正在载入浏览器代理配置 ..."},
      {"net.proxy.loading.manual.error", "无法使用手动代理配置 - 后退到 DIRECT"},
      {"net.proxy.loading.auto.error", "无法使用自动代理配置 ― 后退到 MANUAL"},
      {"net.proxy.loading.done", "完成。"},
      {"net.proxy.browser.pref.read", "正在从此处读取用户首选项文件 "},
      {"net.proxy.browser.proxyEnable", "    代理启用： "},
      {"net.proxy.browser.proxyList", "   代理列表： "},
      {"net.proxy.browser.proxyOverride", "    代理覆盖： "},
      {"net.proxy.browser.autoConfigURL", "    自动配置 URL： "},
      {"net.proxy.pattern.convert", "将代理旁路列表转换为正则表达式： "},
      {"net.proxy.pattern.convert.error", "无法将代理旁路列表转换为正则表达式 ― 忽略"},
      {"net.proxy.auto.download.ins", "正在从此处下载 INS 文件 "},
      {"net.proxy.auto.download.js", "正在从此处下载自动代理文件 "},
      {"net.proxy.auto.result.error", "无法从评估中确定代理设置 ― 后退到 DIRECT"},
      {"net.proxy.service.not_available", "{0} 的代理服务不可用 ― 缺省为 DIRECT"},
      {"lifecycle.applet.found", "从运行周期高速缓存中找到以前停止运行的小程序"},
      {"lifecycle.applet.support", "小程序支持继承运行周期模式 - 将小程序添加到运行周期高速缓存"},
      {"lifecycle.applet.cachefull", "运行周期高速缓存已满 - 请卸掉最近用的最少的小程序"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
