package sun.plugin.resources;

import java.util.ListResourceBundle;

public class ControlPanel_ja extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"advanced.jre_format", "{1} の JRE {0}"},
      {"advanced.jdk_format", "{1} の JDK {0}"},
      {"panel.about", "Java Plug-in について"},
      {"panel.basic", "基本"},
      {"panel.advanced", "詳細"},
      {"panel.browser", "ブラウザ"},
      {"panel.proxies", "プロキシ"},
      {"panel.cert", "証明書"},
      {"panel.apply", "適用"},
      {"panel.cancel", "リセット"},
      {"panel.apply_failed", "プロパティファイルへの書き込みに失敗しました"},
      {"panel.apply_failed_title", "適用に失敗"},
      {"basic.enable_java", "Java Plug-in の有効化"},
      {"basic.cache_jars", "JAR をメモリにキャッシュ"},
      {"basic.show_exception", "例外ダイアログボックスの表示"},
      {"basic.recycle_classloader", "クラスローダの再利用"},
      {"basic.java_console", "Java コンソール"},
      {"basic.show_console", "コンソールを表示"},
      {"basic.hide_console", "コンソールを非表示"},
      {"basic.no_console", "コンソールを開始しない"},
      {"advanced.jre_name", "Java Runtime Environment"},
      {"advanced.path", "他の JDK/JRE"},
      {"advanced.enable_jit", "Just In Time Compiler の有効化"},
      {"advanced.jit_path", "JIT のパス"},
      {"advanced.enable_debug", "デバッグを有効にする"},
      {"advanced.debug_settings", "デバッグの設定"},
      {"advanced.debug_port", "接続アドレス :"},
      {"advanced.other_jdk", "その他..."},
      {"advanced.default_jdk", "Java Plug-in をデフォルトで使用"},
      {"advanced.jre_selection_warning.info", "\"デフォルト\"以外の Java Runtime を選択することは推奨されていません。"},
      {"advanced.file_message", "無効なディレクトリが選択されました。選択した項目は、ファイルではないか、または存在しないディレクトリです。"},
      {"advanced.java_parms", "Java 実行時のパラメータ"},
      {"browser.settings", "設定"},
      {"browser.desc.text", "Java(TM) Plug-in は、以下のブラウザでデフォルトの Java 実行環境として使用されます:"},
      {"browser.ie.text", "Microsoft Internet Explorer"},
      {"browser.ns6.text", "Netscape 6"},
      {"browser.settings.success.caption", "成功です"},
      {"browser.settings.fail.caption", "警告"},
      {"browser.settings.success.text", "ブラウザ設定の変更に成功しました。ブラウザを再起動すると変更が適用されます。"},
      {"browser.settings.fail.ie.text", "Internet Explorer で設定を変更できません。システム設定の変更が可能なアクセス権を持ったユーザでログインしたか確認してください。"},
      {"browser.settings.fail.ns6.text", "Netscape 6 で設定を変更できません。このシステムに Netscape 6 がインストールされているか確認してください。 または、システム設定を変更する権限を持つユーザとしてログインしているか確認してください。"},
      {"browser.settings.alert.text", "Internet Explorer はすでに新しいバージョンの Java 実行環境を使用しています。環境を置き換えますか?"},
      {"proxy.use_browser", "ブラウザの設定を使用"},
      {"proxy.proxy_settings", "プロキシの設定"},
      {"proxy.protocol_type", "型"},
      {"proxy.proxy_protocol", "プロトコル"},
      {"proxy.proxy_address", "アドレス"},
      {"proxy.proxy_port", "ポート"},
      {"proxy.http", "HTTP"},
      {"proxy.ftp", "FTP"},
      {"proxy.gopher", "Gopher"},
      {"proxy.https", "Secure"},
      {"proxy.socks", "Socks"},
      {"proxy.same_for_all_protocols", "すべてのプロトコルに同じプロキシサーバを使用する"},
      {"proxy.bypass", "プロキシホストなし (複数のホスト名を区切る場合は、カンマを使用してください)"},
      {"proxy.autourl", "自動プロキシ構成 URL"},
      {"cert.netscape_object_signing", "Netscape オブジェクト署名証明書"},
      {"cert.description", "以下の証明書は Java Plug-in により信頼されています:"},
      {"cert.remove_button", "削除"},
      {"cert.import_button", "インポート"},
      {"cert.export_button", "エクスポート"},
      {"cert.details_button", "詳細"},
      {"cert.viewcert_button", "証明書を表示"},
      {"cert.rbutton_signed_applet", "署名済みアプレット"},
      {"cert.rbutton_secure_site", "セキュリティ保護されたサイト"},
      {"cert.rbutton_signer_ca", "署名者の CA"},
      {"cert.rbutton_secure_site_ca", "セキュリティ保護されたサイトの CA"},
      {"cert.SignedApplet_value", "SignedApplet"},
      {"cert.SecureSite_value", "SecureSite"},
      {"cert.SignerCA_value", "SignerCA"},
      {"cert.SecureSiteCA_value", "SecureSiteCA"},
      {"cert.settings", "証明書"},
      {"main.control_panel_title", "Java(TM) Plug-in プロパティ"},
      {"main.control_panel_caption", "Java(TM) Plug-in コントロールパネル"},
      {"config.property_file_header", "# Java(TM) Plug-in プロパティ\n# このファイルを変更しないでください。このファイルは機械的に生成されたものです。\n# プロパティ情報の編集は Activator のコントロールパネルで行なってください。"},
      {"panel.cache", "キャッシュ"},
      {"cache.html_cache", "HTML キャッシュ"},
      {"cache.jar_cache", " JAR キャッシュ"},
      {"cache.clear_html_cache", "HTML キャッシュをクリア"},
      {"cache.clear_jar_cache", "JAR キャッシュをクリア"},
      {"cache.clear_html_cache_from", "HTML キャッシュをクリアしました: "},
      {"cache.clear_jar_cache_from", "JAR キャッシュをクリアしました: "},
      {"cache.caption", "キャッシュのクリア"},
      {"jarcache.location", "ディレクトリ"},
      {"jarcache.select", "選択"},
      {"jarcache.kb", "K バイト"},
      {"jarcache.bytes", "バイト"},
      {"jarcache.clear", "キャッシュをクリア"},
      {"jarcache.view", "キャッシュ内のファイルを表示"},
      {"jarcache.no_compression", "なし"},
      {"jarcache.select_tooltip", "選択した位置を使用"},
      {"jarcache.select_mnemonic", "S"},
      {"jarcache.maximum", "最大"},
      {"jarcache.unlimited", "無限"},
      {"jarcache.high_compression", "高"},
      {"jarcache.compression", "Jar 圧縮"},
      {"jarcache.mb", "M バイト"},
      {"jarcache.size", "サイズ"},
      {"jarcache.settings", "キャッシュ設定"},
      {"jarcache.confirm", "{0} にあるすべてのファイルを消去しますか?"},
      {"jarcache.select_title", "キャッシュの位置"},
      {"jarcache.enabled", "キャッシュを有効"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
