package sun.plugin.security;

import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.security.KeyStore;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.PrivilegedExceptionAction;
import java.security.cert.CertificateException;
import sun.plugin.resources.ResourceHandler;
import sun.plugin.usability.Trace;

class RootCACertificateStore$1 implements PrivilegedExceptionAction {
   RootCACertificateStore$1(RootCACertificateStore var1) throws CertificateException, NoSuchAlgorithmException, IOException, KeyStoreException {
      this.this$0 = var1;
   }

   public Object run() throws IOException, CertificateException, KeyStoreException, NoSuchAlgorithmException {
      if (RootCACertificateStore.access$000(this.this$0) == null) {
         RootCACertificateStore.access$002(this.this$0, KeyStore.getInstance("JKS"));
         RootCACertificateStore.access$000(this.this$0).load(null, null);
      }

      File var1 = new File(RootCACertificateStore.access$100());
      if (var1.exists()) {
         FileInputStream var2 = new FileInputStream(var1);
         BufferedInputStream var3 = new BufferedInputStream(var2);
         RootCACertificateStore.access$000(this.this$0).load(var3, null);
         var3.close();
         var2.close();
      } else {
         Trace.securityPrintln(ResourceHandler.getMessage("rootcertstore.cert.noload") + RootCACertificateStore.access$100(), 2);
      }

      return null;
   }
}
