package sun.plugin.services;

import java.security.SecureRandom;
import sun.plugin.net.cookie.CookieHandler;
import sun.plugin.net.proxy.BrowserProxyConfig;
import sun.plugin.viewer.context.PluginAppletContext;
import sun.plugin.viewer.context.PluginBeansContext;

public interface BrowserService {
   CookieHandler getCookieHandler();

   BrowserProxyConfig getProxyConfig();

   PluginAppletContext getAppletContext();

   PluginBeansContext getBeansContext();

   boolean isIExplorer();

   boolean isNetscape();

   float getBrowserVersion();

   SecureRandom getSecureRandom();
}
