package sun.plugin.services;

import java.security.SecureRandom;
import sun.plugin.net.cookie.CookieHandler;
import sun.plugin.net.cookie.Netscape4CookieHandler;
import sun.plugin.net.proxy.BrowserProxyConfig;
import sun.plugin.viewer.context.PluginAppletContext;
import sun.plugin.viewer.context.PluginBeansContext;

public class DefaultBrowserService implements BrowserService {
   public CookieHandler getCookieHandler() {
      return new Netscape4CookieHandler();
   }

   public BrowserProxyConfig getProxyConfig() {
      return null;
   }

   public PluginAppletContext getAppletContext() {
      return null;
   }

   public PluginBeansContext getBeansContext() {
      return null;
   }

   public boolean isIExplorer() {
      return false;
   }

   public boolean isNetscape() {
      return true;
   }

   public float getBrowserVersion() {
      return 4.0F;
   }

   public SecureRandom getSecureRandom() {
      return new SecureRandom();
   }
}
