package amp.powerboard.clientapi.command;

import amp.powerboard.clientapi.common.exception.CConnectionException;
import amp.powerboard.clientapi.common.exception.CDataFormatException;
import amp.powerboard.clientapi.common.exception.CNotLoggedException;
import amp.powerboard.clientapi.common.exception.CParamMissingException;
import amp.powerboard.clientapi.common.exception.CSecurityException;

public interface ISendInterface {
   void sendCommand(CCommand var1) throws CParamMissingException, CConnectionException, CSecurityException, CNotLoggedException, CDataFormatException;

   void save(boolean var1) throws CConnectionException, CSecurityException;

   void commit(boolean var1) throws CConnectionException, CSecurityException;
}
