package amp.powerboard.clientapi.event;

public class CGetCertificateEvent extends CDataEvent {
   private int certType;
   private String cert;

   public CGetCertificateEvent(int var1, String var2, boolean var3, String var4) {
      super(44, var3);
      this.certType = var1;
      this.cert = var2;
      super.lockerName = var4;
   }

   public CGetCertificateEvent(boolean var1, String var2) {
      super(44, var1);
      super.lockerName = var2;
   }

   public int getCertType() {
      return this.certType;
   }

   public String getCert() {
      return this.cert;
   }

   public void setCertificateData(CInternalCertificateEvent var1) {
      this.certType = var1.getCertType();
      this.cert = var1.getCert();
   }
}
