package amp.powerboard.clientapi.event;

public class CGetIPACLListEvent extends CDataEvent {
   private int enabled;
   private int numEntries;
   private int[] ipAddresses;
   private int[] subnets;

   public CGetIPACLListEvent(int var1, int var2, int[] var3, int[] var4, boolean var5, String var6) {
      super(25, var5);
      this.enabled = var1;
      this.numEntries = var2;
      this.ipAddresses = var3;
      this.subnets = var4;
      super.lockerName = var6;
   }

   public CGetIPACLListEvent(boolean var1, String var2) {
      super(25, var1);
      super.lockerName = var2;
   }

   public int getenabled() {
      return this.enabled;
   }

   public int getnumEntries() {
      return this.numEntries;
   }

   public int[] getipAddresses() {
      return this.ipAddresses;
   }

   public int[] getsubnets() {
      return this.subnets;
   }

   public void setIPACLListData(CInternalIPACLListEvent var1) {
      this.enabled = var1.getenabled();
      this.numEntries = var1.getnumEntries();
      this.ipAddresses = var1.getipAddresses();
      this.subnets = var1.getsubnets();
   }
}
