package amp.powerboard.clientapi.event;

public class CInternalStatusEvent extends CStatusEvent {
   private int msgOpcode = 0;
   private int status;
   private int reqOperation = 0;

   public CInternalStatusEvent(int var1, int var2, int var3) {
      super(var1, var2, var3, false, null, 0);
      this.msgOpcode = var1;
      this.status = var2;
      this.reqOperation = var3;
   }

   public int getOpcode() {
      return 44;
   }

   public int getStatus() {
      return this.status;
   }

   public int getReqOperation() {
      return this.reqOperation;
   }

   public int getRealOpcode() {
      return this.msgOpcode;
   }
}
