package amp.powerboard.clientapi.event;

public class CUserInfoEvent extends CDataEvent {
   private int replyStatus;
   private int userId;
   private int capability;
   private String loginName;
   private String userName;
   private String information;
   private int numPorts;
   private int[] ports;

   public CUserInfoEvent(int var1, String var2, String var3, int var4, int var5, String var6, int var7, int[] var8, boolean var9, String var10) {
      super(1, var9);
      this.capability = var1;
      this.userName = var2;
      this.information = var3;
      this.replyStatus = var4;
      this.userId = var5;
      this.loginName = var6;
      this.numPorts = var7;
      this.ports = var8;
      super.lockerName = var10;
   }

   public CUserInfoEvent(boolean var1, String var2) {
      super(1, var1);
      super.lockerName = var2;
   }

   public int getreplyStatus() {
      return this.replyStatus;
   }

   public String getuserName() {
      return this.userName;
   }

   public String getinformation() {
      return this.information;
   }

   public int getuserId() {
      return this.userId;
   }

   public int getcapability() {
      return this.capability;
   }

   public String getloginName() {
      return this.loginName;
   }

   public int getnumPorts() {
      return this.numPorts;
   }

   public int[] getports() {
      return this.ports;
   }

   public String getLockerName() {
      return super.lockerName;
   }

   public void setUserInfoData(CInternalUserInfoEvent var1) {
      this.capability = var1.getcapability();
      this.userName = var1.getuserName();
      this.information = var1.getinformation();
      this.replyStatus = var1.getreplyStatus();
      this.userId = var1.getuserId();
      this.loginName = var1.getloginName();
      this.numPorts = var1.getnumPorts();
      this.ports = var1.getports();
   }
}
