package amp.powerboard.clientapi.security;

import java.io.OutputStream;

public abstract class CSecureOutputStream extends OutputStream {
   protected OutputStream out;
   protected CCryptoKey key;
   protected boolean encrypt;

   public CSecureOutputStream(OutputStream var1, CCryptoKey var2) {
      this.out = var1;
      this.key = var2;
      this.encrypt = false;
   }

   public void StartEncryption() {
      this.encrypt = true;
   }

   public void StopEncryption() {
      this.encrypt = false;
   }
}
