package amp.powerboard.clientapi.security;

import java.io.IOException;
import java.io.OutputStream;

public final class CXorOutputStream extends CSecureOutputStream {
   public CXorOutputStream(OutputStream var1, CCryptoKey var2) {
      super(var1, var2);
   }

   public void write(byte[] var1, int var2, int var3) throws IOException {
      byte var4 = ((CXorKey)super.key).xor_key;
      byte[] var5 = new byte[var3];

      for (int var6 = 0; var6 < var3; var6++) {
         var5[var6] = (byte)(var1[var2++] ^ var4);
      }

      super.out.write(var5);
   }

   public void write(int var1) throws IOException {
      byte var2 = ((CXorKey)super.key).xor_key;
      super.out.write(var1 ^ var2);
   }
}
