package com.raritan.plaf;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import javax.swing.JComponent;
import javax.swing.plaf.ComponentUI;
import javax.swing.plaf.basic.BasicToolBarSeparatorUI;

public class RaritanToolBarSeparatorUI extends BasicToolBarSeparatorUI {
   protected Color colorLeft = new Color(147, 145, 130);
   protected Color colorRight = new Color(255, 254, 251);

   public static ComponentUI createUI(JComponent var0) {
      return new RaritanToolBarSeparatorUI();
   }

   @Override
   public void installUI(JComponent var1) {
      super.installUI(var1);
   }

   @Override
   public void uninstallUI(JComponent var1) {
      super.uninstallUI(var1);
   }

   @Override
   public void paint(Graphics var1, JComponent var2) {
      var1.setColor(this.colorLeft);
      var1.drawLine(0, 0, 0, var2.getHeight() - 2);
      var1.setColor(this.colorRight);
      var1.drawLine(1, 1, 1, var2.getHeight() - 1);
   }

   @Override
   public Dimension getMaximumSize(JComponent var1) {
      return super.getMinimumSize(var1);
   }

   @Override
   public Dimension getMinimumSize(JComponent var1) {
      return super.getMaximumSize(var1);
   }

   @Override
   public Dimension getPreferredSize(JComponent var1) {
      return new Dimension(18, 2);
   }
}
