package com.raritan.rrc.data;

import com.raritan.rrc.ui.RRCScreenContext;
import com.raritan.rrc.ui.commands.ShowUpdateDeviceCommand;

public class KX2DeviceHandlerImpl extends G2DeviceHandlerImpl {
   public KX2DeviceHandlerImpl(Device var1) {
      super(var1);
   }

   @Override
   public boolean isAbsoluteMouseSupported() {
      return ((RRCScreenContext)this.device.scrContext).getSelectView() != null
         ? ((RRCScreenContext)this.device.scrContext).getSelectView().getAbsoluteMouseSupported()
         : false;
   }

   @Override
   public boolean isIntelligentMouseSupported() {
      return ((RRCScreenContext)this.device.scrContext).getSelectView() != null
         ? ((RRCScreenContext)this.device.scrContext).getSelectView().getIntelligentMouseSupported()
         : false;
   }

   @Override
   public boolean isStandardMouseSupported() {
      return ((RRCScreenContext)this.device.scrContext).getSelectView() != null
         ? ((RRCScreenContext)this.device.scrContext).getSelectView().getStandardMouseSupported()
         : false;
   }

   @Override
   public void doShowDeviceUpdateCommand(ShowUpdateDeviceCommand var1) {
      int var2 = 1200;
      Object[] var3 = this.device.getChildren().values().toArray();
      int var4 = 0;

      try {
         var4 = Integer.parseInt(
            this.device
               .getDeviceConnector()
               .databaseRequest("<Database><Count><Select>/System/Device/Port[@Type=\"PowerStrip\"]</Select></Count></Database>")
               .replaceFirst("<Database><Count>", "")
               .replaceFirst("</Count></Database>", "")
         );
      } catch (NumberFormatException var6) {
         var4 = 0;
      }

      var2 += 120 * var4;

      for (int var5 = 0; var5 < var3.length; var5++) {
         if (var3[var5] instanceof Port && ((Port)var3[var5]).getPortType().equals("VM")) {
            var2 += 40;
         }
      }

      var2 += var2 % 60 > 0 ? 60 : 0;
      this.upgradeDuration = var2 / 60;
      this.device.setUpgradeDuration(this.upgradeDuration);
      var1.setText(true, this.upgradeDuration);
   }
}
