package com.raritan.rrc.data;

import javaclientlib.clientlib.TRSerialStream;

public class SerialStream extends TRSerialStream implements Stream {
   private SerialPort serialPort;

   public SerialStream(SerialPort var1) {
      super(var1.getDeviceConnector());
      this.serialPort = var1;
   }

   @Override
   public void serialIn(int var1, byte[] var2) {
      if (this.serialPort != null) {
         this.serialPort.serialIn(var1, var2);
      }
   }
}
