package com.raritan.rrc.data;

public final class USBProfile {
   private final int profileID;
   private final String profileName;
   private final boolean probable;

   public USBProfile(int var1, String var2, boolean var3) {
      this.profileID = var1;
      this.profileName = var2;
      this.probable = var3;
   }

   public USBProfile(int var1, String var2) {
      this(var1, var2, false);
   }

   public int getProfileID() {
      return this.profileID;
   }

   public String getProfileName() {
      return this.profileName;
   }

   @Override
   public boolean equals(Object var1) {
      if (var1 instanceof USBProfile) {
         USBProfile var2 = (USBProfile)var1;
         boolean var3 = this.profileID == var2.profileID;

         assert !var3 || this.profileName.equals(var2.profileName);

         return var3;
      } else {
         return false;
      }
   }

   public boolean isProbable() {
      return this.probable;
   }
}
