package com.raritan.rrc.data;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class USBProfilesInfo {
   private final ArrayList listOfUSBProfiles;
   private final USBProfile activeProfile;
   private final USBProfile preferred;

   public USBProfilesInfo(ArrayList var1, USBProfile var2, USBProfile var3) {
      this.listOfUSBProfiles = var1;

      assert var1.contains(var2);

      assert var1.contains(var3);

      this.activeProfile = var2;
      this.preferred = var3;
   }

   public List getUSBProfiles() {
      return Collections.unmodifiableList(this.listOfUSBProfiles);
   }

   public USBProfile getActiveUSBProfile() {
      return this.activeProfile;
   }

   public USBProfile getPreferredUSBProfile() {
      return this.preferred;
   }
}
