package com.raritan.rrc.ui.commands;

import com.raritan.tools.commands.AbstractCommand;
import com.raritan.tools.commands.CommandResult;
import com.raritan.tools.ui.ScreenContext;
import com.util.kbd.KeyboardMappings;
import nn.pp.common.CommonFunctions;
import nn.pp.common.ui.helpers.IMacroCreatorDialog;

public class DoMacroTextInterpreterCommand extends AbstractCommand {
   public static final String COMMAND_KEY = "doMacroTextInterpreterCommand";

   public DoMacroTextInterpreterCommand(ScreenContext var1) {
      super(var1);
   }

   @Override
   public String getKey() {
      return "doMacroTextInterpreterCommand";
   }

   @Override
   public CommandResult execute() {
      KeyboardMappings var1 = (KeyboardMappings)this.getContext().getCommandParameter("macroTextInterpreter");
      IMacroCreatorDialog var2 = (IMacroCreatorDialog)this.getContext().getCommandParameter("macroTextInterpreterParent");
      String var3 = (String)this.getContext().getCommandParameter("macroTextInterpreterText");
      int var4 = (Integer)this.getContext().getCommandParameter("macroTextInterpreterLang");
      CommonFunctions.constructMacroFromText(var4, var3, var1, var2);
      return new CommandResult(true, "");
   }

   @Override
   public boolean isExecutable() {
      return true;
   }
}
