package com.raritan.rrc.ui.commands;

import com.raritan.rrc.data.Device;
import com.raritan.rrc.ui.RRCScreenContext;
import com.raritan.rrc.ui.controller.DeviceTreeController;
import com.raritan.tools.commands.AbstractCommand;
import com.raritan.tools.commands.CommandResult;
import com.raritan.tools.ui.ScreenContext;

public class DoSortCommand extends AbstractCommand {
   public static final String COMMAND_KEY = "sortCommand";

   public DoSortCommand(ScreenContext var1) {
      super(var1);
   }

   @Override
   public String getKey() {
      return "sortCommand";
   }

   @Override
   public CommandResult execute() {
      Device var1 = (Device)this.getContext().getCommandParameter("sortMode");
      DeviceTreeController var2 = DeviceTreeController.getInstance((RRCScreenContext)this.scrContext);
      var2.sort(var1);
      return new CommandResult();
   }

   @Override
   public boolean isExecutable() {
      return this.scrContext.getApplicationProperty("connection") == null;
   }

   public static void main(String[] var0) {
   }
}
