package com.raritan.rrc.ui.commands;

import com.raritan.rrc.data.Port;
import com.raritan.rrc.ui.RRCScreenContext;
import com.raritan.tools.commands.AbstractCommand;
import com.raritan.tools.commands.CommandResult;
import com.raritan.tools.resources.RaritanPropertyResourceBundle;
import com.raritan.tools.resources.RaritanResourceBundle;
import com.raritan.tools.ui.ScreenContext;
import java.util.ArrayList;

public class ShowHtmlPortCommand extends AbstractCommand {
   public static final String COMMAND_KEY = "showHtmlPortCommand";
   private RaritanPropertyResourceBundle bundle = RaritanResourceBundle.getResourceBundle(this.scrContext.getLocale());

   public ShowHtmlPortCommand(ScreenContext var1) {
      super(var1);
   }

   @Override
   public String getKey() {
      return "showHtmlPortCommand";
   }

   @Override
   public CommandResult execute() {
      CommandResult var1 = new CommandResult();
      long var2 = Runtime.getRuntime().maxMemory() - Runtime.getRuntime().totalMemory() + Runtime.getRuntime().freeMemory();
      if (3145728L >= var2) {
         var1.setStatusMessage(this.bundle.getString("outOfMemory.error"));
         var1.setIsSuccess(false);
         return var1;
      } else {
         var1.setIsSuccess(true);
         return var1;
      }
   }

   @Override
   public boolean isExecutable() {
      Port var1 = (Port)((ArrayList)((RRCScreenContext)this.scrContext).getSelectedDevicesObservable().getComponent()).get(0);
      return var1.getDevice().getHandler().isShowHtmlPortExecutable();
   }
}
