package com.raritan.rrc.ui.commands;

import com.raritan.tools.commands.AbstractCommand;
import com.raritan.tools.commands.CommandResult;
import com.raritan.tools.resources.RaritanPropertyResourceBundle;
import com.raritan.tools.resources.RaritanResourceBundle;
import com.raritan.tools.ui.ScreenContext;

public class ShowSendTextToTargetCommand extends AbstractCommand {
   private static RaritanPropertyResourceBundle bundle;
   public static final String COMMAND_KEY = "showSendtextToTargetCommand";

   public ShowSendTextToTargetCommand(ScreenContext var1) {
      super(var1);
      bundle = RaritanResourceBundle.getResourceBundle(this.scrContext.getLocale());
   }

   @Override
   public String getKey() {
      return "showSendtextToTargetCommand";
   }

   @Override
   public CommandResult execute() {
      this.scrContext.getLogger().logTextDebug(" Started ");
      this.scrContext.getLogger().logTextDebug(" Finished ");
      return new CommandResult(true, "");
   }

   @Override
   public boolean isExecutable() {
      return true;
   }
}
