package com.raritan.rrc.ui.commands;

import com.raritan.rrc.ui.RRCScreenContext;
import com.raritan.tools.commands.AbstractCommand;
import com.raritan.tools.commands.CommandResult;
import com.raritan.tools.ui.ScreenContext;

public class ShowToolbarCommand extends AbstractCommand {
   public static final String COMMAND_KEY = "showToolbarCommand";

   public ShowToolbarCommand(ScreenContext var1) {
      super(var1);
   }

   @Override
   public String getKey() {
      return "showToolbarCommand";
   }

   @Override
   public CommandResult execute() {
      this.scrContext.getLogger().logTextDebug(" Started ");
      Boolean var1 = (Boolean)this.getContext().getCommandParameter("showToolbarMode");
      boolean var2 = var1;
      ((RRCScreenContext)this.scrContext).getMainScreenMediator().selectToolBarView(var2);
      this.scrContext.getLogger().logTextDebug(" Finished ");
      return new CommandResult();
   }

   @Override
   public boolean isExecutable() {
      return true;
   }
}
