package com.raritan.rrc.ui;

import com.raritan.rrc.ui.panes.ErrorHandlerImpl;
import com.raritan.rrc.ui.panes.KvmMenuPopupKey;
import com.raritan.tools.resources.RaritanPropertyResourceBundle;
import com.raritan.tools.ui.ScreenContext;
import javaclientlib.tr.Constants;
import javaclientlib.utils.RRCLogger;
import nn.pp.core.JVMVersionInfo;

public final class commonInits {
   public static void initializePseudoConstants(RaritanPropertyResourceBundle var0, filterPrintStream var1, RRCScreenContext var2) {
      var1.setChangeTo(var0.getString("main.replacementPackageName"));
      System.setErr(var1);
      System.setOut(var1);
      Constants.setShortCoName(var0.getString("company.name.short"));
      Constants.setNospaceCoName(var0.getString("company.name.nospace"));
      Constants.setDefaultPassword(var0.getString("Default.password"));
      String var3 = var0.getString("Default.port.broadcast");
      int var4 = Integer.parseInt(var3);
      com.raritan.tools.util.Constants.setPort(var3, var4);
      Constants.setPort(var4);
      Constants.setAdminAppletJarFile(var0.getString("admin.applet.jarfile"));
      Constants.setAdminAppletClass(var0.getString("admin.applet.classname"));
      ErrorHandlerImpl.init(var0, var2);
      ScreenContext.BUILD = var0.getString("about.label.build");
   }

   public static void initializeCommonItems(RRCScreenContext var0) {
      new KvmMenuPopupKey(var0);
   }

   static {
      RRCLogger.log(300, JVMVersionInfo.getSystemProperties().toString());
   }
}
