package com.raritan.rrc.ui.components;

import java.awt.event.KeyEvent;

class IPMaskTextField extends MaskTextField {
   public IPMaskTextField(int var1, String var2) {
      super(var1, var2);
   }

   @Override
   protected boolean isAlwaysValid(KeyEvent var1) {
      boolean var2 = false;
      if (var1.getKeyCode() > 0) {
         switch (var1.getKeyCode()) {
            case 46:
            case 110:
               var1.consume();
            case 8:
            case 9:
            case 27:
            case 127:
               var2 = true;
         }
      } else {
         switch (var1.getKeyChar()) {
            case '\b':
               var2 = true;
         }
      }

      return var2;
   }
}
