package com.raritan.rrc.ui.components;

import java.awt.Component;
import java.awt.Container;
import java.awt.FocusTraversalPolicy;
import java.util.List;

class MyFocusTraversalPolicy extends FocusTraversalPolicy {
   private JIPTextField IPTextField = null;

   public MyFocusTraversalPolicy(JIPTextField var1) {
      this.IPTextField = var1;
   }

   @Override
   public Component getComponentAfter(Container var1, Component var2) {
      Container var3 = var1.getParent();
      Component[] var4 = var3.getComponents();
      int var5 = 0;

      while (var5 < var4.length && var1 != var4[var5]) {
         var5++;
      }

      if (++var5 >= var4.length) {
         var5 = 0;
      }

      return var4[var5];
   }

   @Override
   public Component getComponentBefore(Container var1, Component var2) {
      Container var3 = var1.getParent();
      Component[] var4 = var3.getComponents();
      int var5 = 0;

      while (var5 < var4.length && var1 != var4[var5]) {
         var5++;
      }

      if (--var5 < 0) {
         var5 = var4.length - 1;
      }

      return var4[var5];
   }

   @Override
   public Component getDefaultComponent(Container var1) {
      return (Component)this.IPTextField.maskTextFields.get(0);
   }

   @Override
   public Component getLastComponent(Container var1) {
      List var2 = this.IPTextField.maskTextFields;
      return var2.size() < 2 ? (Component)this.IPTextField.maskTextFields.get(0) : (Component)var2.get(var2.size() - 1);
   }

   @Override
   public Component getFirstComponent(Container var1) {
      return (Component)this.IPTextField.maskTextFields.get(0);
   }
}
