package com.raritan.rrc.ui.models;

import java.util.EventObject;
import javaclientlib.tr.TRLIB_UPDATEINFO;
import javaclientlib.tr.TRRSP_NEW_VIDEO_MODE_DATA;

public class NewVideoModeEvent extends EventObject {
   private static final long serialVersionUID = -4984923697440351859L;
   private TRRSP_NEW_VIDEO_MODE_DATA newVideoModeData = null;
   private TRLIB_UPDATEINFO updateDisplayData = null;

   public NewVideoModeEvent(Object var1, TRRSP_NEW_VIDEO_MODE_DATA var2) {
      super(var1);
      this.newVideoModeData = var2;
   }

   public NewVideoModeEvent(Object var1, TRLIB_UPDATEINFO var2) {
      super(var1);
      this.updateDisplayData = var2;
   }

   public TRRSP_NEW_VIDEO_MODE_DATA getVideoMode() {
      return this.newVideoModeData;
   }

   public void setVideoMode(TRRSP_NEW_VIDEO_MODE_DATA var1) {
      this.newVideoModeData = var1;
   }

   public TRLIB_UPDATEINFO getUpdateData() {
      return this.updateDisplayData;
   }

   public void setUpdateData(TRLIB_UPDATEINFO var1) {
      this.updateDisplayData = var1;
   }
}
