package com.raritan.rrc.ui.panes;

import com.raritan.rrc.ui.commands.DoImportSelectedMacrosCommand;
import com.raritan.tools.commands.CommandContext;
import com.raritan.tools.ui.ScreenContext;
import javax.swing.JPanel;

public class MacroImportSelectionPanel extends MacroSelectionPanel {
   private static final long serialVersionUID = 2028595561540428643L;

   public MacroImportSelectionPanel(boolean var1, ScreenContext var2) {
      super(var1, var2);
   }

   @Override
   public JPanel doButtonWidget() {
      JPanel var1 = super.doButtonWidget();
      this.ok.setCommand(new DoImportSelectedMacrosCommand(this.scrContext));
      return var1;
   }

   @Override
   public void fillComponents(CommandContext var1) {
      super.fillComponents(var1);
      this.setShell(this.bundle.getString("macro.import.selection.title"));
   }
}
