package com.raritan.rrc.ui.rfbbridge;

import nn.pp.rccore.IVideoSettings;
import nn.pp.rccore.RCAdapter;

public class VideoSettingsRCAdapter extends RCAdapter {
   RFBView owner;

   public VideoSettingsRCAdapter(RFBView var1) {
      this.owner = var1;
   }

   @Override
   public void videoSettingsUpdated(IVideoSettings var1) {
      this.owner.setVideoSettings(var1);
   }

   @Override
   public void videoSettingsSupportChanged(boolean var1) {
      this.owner.setVideoSettingsSupported(var1);
   }

   @Override
   public void colorCalibrationSupportChanged(boolean var1) {
      this.owner.setColorCalibrationSupported(var1);
   }
}
