package com.raritan.rrc.util;

import java.net.InetAddress;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;

public class IPAddrComparator implements Comparator {
   @Override
   public int compare(Object var1, Object var2) {
      InetAddress var3 = (InetAddress)var1;
      InetAddress var4 = (InetAddress)var2;
      byte[] var5 = var3.getAddress();
      byte[] var6 = var4.getAddress();

      for (int var7 = 0; var7 < var5.length; var7++) {
         int var8 = (255 & var5[var7]) - (255 & var6[var7]);
         if (var8 != 0) {
            return var8;
         }
      }

      return 0;
   }

   public static void main(String[] var0) throws Exception {
      ArrayList var1 = new ArrayList();
      var1.add(InetAddress.getByName("fd00:a:b:2400::21"));
      var1.add(InetAddress.getByName("fd00:a:b:2400::20"));
      var1.add(InetAddress.getByName("ad00:a:b:2400::20"));
      var1.add(InetAddress.getByName("ad00:c:0b:2400::20"));
      var1.add(InetAddress.getByName("ad00:c:a:2400::20"));
      var1.add(InetAddress.getByName("ad00:c:1b:2400::20"));
      Collections.sort(var1, new IPAddrComparator());
      System.out.println(var1);
   }
}
