package com.raritan.rrc.util;

import java.util.StringTokenizer;

public class StringUtils {
   public static String formatString(String var0) {
      String var1 = var0;
      if (var0 == null || var0.trim().length() == 0) {
         var1 = "";
      }

      return var1;
   }

   public static boolean nullOrEmpty(String var0) {
      return var0 == null || var0.trim().length() == 0;
   }

   public static boolean nullOrEmpty(String[] var0) {
      return var0 == null || var0.length == 0;
   }

   public static boolean notNullOrEmpty(String var0) {
      return !nullOrEmpty(var0);
   }

   public static boolean notNullOrEmpty(String[] var0) {
      return !nullOrEmpty(var0);
   }

   public static String[] parseStringsToStringArray(String var0) {
      return parseStringsToStringArray(var0, " ");
   }

   public static String[] parseStringsToStringArray(String var0, String var1) {
      String var2 = " ";
      if (nullOrEmpty(var0)) {
         return null;
      } else {
         if (!nullOrEmpty(var1)) {
            var2 = var1;
         }

         StringTokenizer var3 = new StringTokenizer(var0, var2);
         String[] var4 = new String[var3.countTokens()];
         int var5 = 0;

         while (var3.hasMoreTokens()) {
            var4[var5++] = var3.nextToken();
         }

         return var4;
      }
   }

   public static boolean isChar(String var0) {
      String var1 = var0.trim();
      return var1.length() == 1 && Character.isLetter(var1.charAt(0));
   }

   public static boolean findInStringArray(String var0, String[] var1) {
      boolean var2 = false;
      if (notNullOrEmpty(var0) && notNullOrEmpty(var1)) {
         for (int var3 = 0; var3 < var1.length; var3++) {
            if (var0.equalsIgnoreCase(var1[var3])) {
               var2 = true;
               break;
            }
         }
      }

      return var2;
   }

   public static String trim(String var0) {
      int var1 = var0.length();
      int var2 = 0;
      byte var3 = 0;
      char[] var4 = var0.toCharArray();

      while (var2 < var1 && var4[var3 + var2] == 0) {
         var2++;
      }

      while (var2 < var1 && var4[var3 + var1 - 1] == 0) {
         var1--;
      }

      return var2 <= 0 && var1 >= var0.length() ? var0 : var0.substring(var2, var1);
   }
}
