package com.raritan.smartcard.impl;

import com.raritan.smartcard.CardAccessErrorsListener;
import nn.pp.core.impl.ListenerAction;
import nn.pp.core.impl.ListenerList;

public class CardAccessErrorsListenerList extends ListenerList<CardAccessErrorsListener> {
   public void fireNoProtocolSupported(final String var1) {
      this.fire(new ListenerAction<CardAccessErrorsListener>() {
         @Override
         public void run() {
            this.listener.noProtocolSupported(var1);
         }
      });
   }

   public void fireErrorOnAccessingCard(final String var1) {
      this.fire(new ListenerAction<CardAccessErrorsListener>() {
         @Override
         public void run() {
            this.listener.errorOnAccessingCard(var1);
         }
      });
   }
}
