package com.raritan.smartcard.impl;

import com.raritan.smartcard.SmartCardReaderStatus;

public class CardEventsStateMachine {
   private SmartCardReaderStatus cardState = SmartCardReaderStatus.UNKNOWN;

   public boolean setCardStatus(SmartCardReaderStatus var1) {
      if (SmartCardReaderStatus.PRESENT.equals(var1)) {
         if (this.cardState.equals(SmartCardReaderStatus.UNKNOWN) || this.cardState.equals(SmartCardReaderStatus.ABSENT)) {
            this.cardState = var1;
            return true;
         }
      } else if (SmartCardReaderStatus.ABSENT.equals(var1)) {
         if (this.cardState.equals(SmartCardReaderStatus.PRESENT)) {
            this.cardState = var1;
            return true;
         }
      } else {
         assert false : "Non supported State " + var1;
      }

      return false;
   }

   public SmartCardReaderStatus getCardState() {
      return this.cardState;
   }
}
