package com.raritan.smartcard.impl.commands;

import com.raritan.smartcard.SmartCardException;
import java.io.IOException;

public class AuthHttpIDGetChallenge implements SupportsVisitor<CommandVisitorV01_00> {
   private final String httpSessionID;

   public AuthHttpIDGetChallenge(String var1) {
      this.httpSessionID = var1;
   }

   public void accept(CommandVisitorV01_00 var1) throws IOException, SmartCardException {
      var1.handleHttpIDGetChallenge(this);
   }

   public String getHttpSessionID() {
      return this.httpSessionID;
   }
}
