package com.raritan.smartcard.impl.commands;

import com.raritan.smartcard.SmartCardException;
import java.io.IOException;

public class AuthRDMRequest implements SupportsVisitor<CommandVisitorV01_00> {
   private final String rdmID;

   public AuthRDMRequest(String var1) {
      this.rdmID = var1;
   }

   public void accept(CommandVisitorV01_00 var1) throws IOException, SmartCardException {
      var1.handleAuthRDMRequest(this);
   }

   public String getRdmID() {
      return this.rdmID;
   }
}
