package com.raritan.smartcard.impl.commands;

import com.raritan.smartcard.SmartCardException;
import java.io.IOException;

public interface CommandVisitorV01_00 {
   void handleAuthRDMRequest(AuthRDMRequest var1) throws IOException, SmartCardException;

   void handleHttpIDGetChallenge(AuthHttpIDGetChallenge var1) throws IOException, SmartCardException;

   void handleHttpIDChallengeResponse(AuthHttpIDChallResponse var1) throws IOException, SmartCardException;

   void handleMountCardReaderRequest(MountCardReaderRequest var1) throws IOException, SmartCardException;

   void handleQuitMessageFromClient(QuitMessageFromClient var1) throws IOException, SmartCardException;

   void handleCardInsertedMessage(CardInsertedMessage var1) throws IOException, SmartCardException;

   void handleCardRemovedMessage(CardRemovedMessage var1) throws IOException, SmartCardException;

   void handlePongResponse(PongResponse var1) throws IOException, SmartCardException;

   void handleRAPDU(ResponseAPDU var1) throws IOException, SmartCardException;
}
