package com.raritan.smartcard.impl.commands;

import com.raritan.smartcard.SmartCardException;
import java.io.IOException;

public class MountCardReaderRequest implements SupportsVisitor<CommandVisitorV01_00> {
   private final int rfbSessionID;
   private final int msindex;

   public MountCardReaderRequest(int var1, int var2) {
      this.rfbSessionID = var1;
      this.msindex = var2;
   }

   public void accept(CommandVisitorV01_00 var1) throws IOException, SmartCardException {
      var1.handleMountCardReaderRequest(this);
   }

   public int getRfbSessionID() {
      return this.rfbSessionID;
   }

   public int getMsindex() {
      return this.msindex;
   }
}
