package com.raritan.smartcard.impl.commands;

import com.raritan.smartcard.SmartCardException;
import java.io.IOException;

public class ResponseAPDU implements SupportsVisitor<CommandVisitorV01_00> {
   private final byte[] data;
   private int sequenceNum;

   public ResponseAPDU(byte[] var1) {
      this.data = var1;
   }

   public void accept(CommandVisitorV01_00 var1) throws IOException, SmartCardException {
      var1.handleRAPDU(this);
   }

   public byte[] getData() {
      return this.data;
   }

   public synchronized int getSequenceNum() {
      return this.sequenceNum;
   }

   public synchronized void setSequenceNum(int var1) {
      this.sequenceNum = var1;
   }
}
