package com.raritan.smartcard.impl.crp;

import com.raritan.smartcard.SmartCardException;
import com.raritan.smartcard.impl.EventsListenerManager;
import com.raritan.smartcard.impl.commands.ClientCommandsExecutor;
import com.raritan.smartcard.impl.commands.SupportsVisitor;
import java.io.IOException;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.MonitoringDataOutputStream;

public interface CRPProtoHandler<V> {
   MessageToCommandProducer<V> getMessageToCommandProducer(int var1);

   void executeCommand(MessageToCommandProducer<V> var1);

   <T> void executeClientCommands(MonitoringDataOutputStream var1, MonitoringDataInputStream var2, SupportsVisitor<T> var3) throws IOException, SmartCardException;

   void setClientCommandsExecutor(ClientCommandsExecutor var1);

   void setEventsListenerManager(EventsListenerManager var1);

   void handleDisconnection();
}
