package com.raritan.tools.commands;

import com.raritan.tools.ui.ScreenContext;

public class CancelButtonCommand extends AbstractCommand {
   public static final String COMMAND_KEY = "cancelButtonCommand";

   public CancelButtonCommand(ScreenContext var1) {
      super(var1);
   }

   @Override
   public CommandResult execute() {
      this.scrContext.getLogger().logTextDebug("CancelButton Command executed ");
      return new CommandResult();
   }

   @Override
   public boolean isExecutable() {
      return true;
   }

   @Override
   public String getKey() {
      return "cancelButtonCommand";
   }
}
