package com.raritan.tools.ui.panes;

import com.raritan.tools.commands.CommandContext;
import com.raritan.tools.ui.ScreenContext;
import com.raritan.tools.ui.panes.displays.AbstractDisplay;
import java.awt.GridLayout;
import javax.swing.BorderFactory;
import javax.swing.JLabel;

public class RaritanStatusBarPanel extends AbstractDisplay {
   private static final long serialVersionUID = 2928428417269155017L;
   protected JLabel label;

   public RaritanStatusBarPanel(boolean var1, ScreenContext var2) {
      super(var2);
      this.isDialog = var1;
      this.makeLayout();
   }

   @Override
   public void makeLayout() {
      this.label = new JLabel();
      this.setLayout(new GridLayout(1, 1));
      this.setBorder(BorderFactory.createBevelBorder(1));
      this.add(this.label);
   }

   @Override
   public void setCommandContext(CommandContext var1) {
   }

   @Override
   public void fillComponents(CommandContext var1) {
      String var2 = var1.getCommandResult("logtext").toString();
      if (var2 != null && !var2.equals("")) {
         this.label.setText(var2);
      }
   }

   @Override
   protected void feedCommandContext(CommandContext var1) {
   }
}
