package javaclientlib.tr;

public interface HIDtoSun {
   byte[][] sunEmulationRemap = new byte[][]{
      {3, -125},
      {25, -103},
      {26, -102},
      {49, -79},
      {51, -77},
      {72, -56},
      {73, -55},
      {95, -33},
      {97, -31},
      {118, -10},
      {45, -83},
      {67, -61},
      {2, -126},
      {4, -124}
   };
   byte[] sunStopASequence = new byte[]{1, 77, -51, -127};
   byte[][][] sunCodes = new byte[][][]{
      {
            null,
            null,
            null,
            null,
            {77, -51, -51},
            {104, -24, -24},
            {102, -26, -26},
            {79, -49, -49},
            {56, -72, -72},
            {80, -48, -48},
            {81, -47, -47},
            {82, -46, -46},
            {61, -67, -67},
            {83, -45, -45},
            {84, -44, -44},
            {85, -43, -43},
            {106, -22, -22},
            {105, -23, -23},
            {62, -66, -66},
            {63, -65, -65},
            {54, -74, -74},
            {57, -71, -71},
            {78, -50, -50},
            {58, -70, -70},
            {60, -68, -68},
            {103, -25, -25},
            {55, -73, -73},
            {101, -27, -27},
            {59, -69, -69},
            {100, -28, -28},
            {30, -98, -98},
            {31, -97, -97},
            {32, -96, -96},
            {33, -95, -95},
            {34, -94, -94},
            {35, -93, -93},
            {36, -92, -92},
            {37, -91, -91},
            {38, -90, -90},
            {39, -89, -89},
            {89, -39, -39},
            {29, -99, -99},
            {43, -85, -85},
            {53, -75, -75},
            {121, -7, -7},
            {40, -88, -88},
            {41, -87, -87},
            {64, -64, -64},
            {65, -63, -63},
            {88, -40, -40},
            {88, -40, -40},
            {86, -42, -42},
            {87, -41, -41},
            {42, -86, -86},
            {107, -21, -21},
            {108, -20, -20},
            {109, -19, -19},
            {119, -9, -9},
            {5, -123, -123},
            {6, -122, -122},
            {8, -120, -120},
            {10, -118, -118},
            {12, -116, -116},
            {14, -114, -114},
            {16, -112, -112},
            {17, -111, -111},
            {18, -110, -110},
            {7, -121, -121},
            {9, -119, -119},
            {11, -117, -117},
            null,
            {23},
            {21},
            {44, -84, -84},
            {52, -76, -76},
            {96, -32, -32},
            {66, -62, -62},
            {74, -54, -54},
            {123, -5, -5},
            {28, -100, -100},
            {24, -104, -104},
            {27, -101, -101},
            {20, -108, -108},
            {98, -30, -30},
            {46, -82, -82},
            {47, -81, -81},
            {71, -57, -57},
            {125, -3, -3},
            {89, -39, -39},
            {112, -16, -16},
            {113, -15, -15},
            {114, -14, -14},
            {91, -37, -37},
            {92, -36, -36},
            {93, -35, -35},
            {68, -60, -60},
            {69, -59, -59},
            {70, -58, -58},
            {94, -34, -34},
            {50, -78, -78},
            {124, -4, -4},
            {67, -61, -61},
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            {118, -10, -10},
            null,
            null,
            {1, -127, -127},
            {3, -125, -125},
            {26, -102, -102},
            {97, -31, -31},
            {51, -77, -77},
            {73, -55, -55},
            {95, -33, -33},
            {45, -83, -83},
            {4, -124, -124},
            {2, -126, -126},
            null,
            null,
            null,
            null,
            null,
            {111, -17, -17},
            {117, -11, -11},
            {42, -86, -86},
            {116, -12, -12},
            {115, -13, -13},
            null,
            null,
            null,
            null,
            {13, -115},
            {67, -61},
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            {22, -106, -106},
            null,
            null,
            {96, -32, -32},
            {89, -39, -39},
            null,
            null,
            null,
            null,
            {25},
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            {76},
            {99},
            {19},
            null,
            {76},
            {110},
            {13},
            null,
            null,
            null,
            {49, -79, -79},
            {72, -56, -56},
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null
      },
      {
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            {-105},
            {-107},
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            {-103},
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            {-52},
            {-29},
            {-109},
            null,
            {-52},
            {-18},
            {-115},
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null
      }
   };
}
