package javaclientlib.tr;

public interface PS2KBConstants {
   int CNTRL_KB = 1;
   int CNTRL_MS = 2;
   int CNTRL_ALL = 3;
   int PCK_TYPE_KBD = 16384;
   int PCK_TYPE_MSD = 20480;
   int PCK_TYPE_SVM = 57344;
   int PCK_TYPE_RDW = 53248;
   int CMD_PCK_MASK = 3840;
   int CMD_DATA_MASK = 255;
   int CMD_PCK_TYPE_LED = 0;
   int CMD_LED_SCR_MASK = 16;
   int CMD_LED_NUM_MASK = 32;
   int CMD_LED_CAP_MASK = 64;
   int CMD_LED_SC_MASK = 12;
   int CMD_LED_SC_SHIFT = 2;
   int CMD_LED_MASK = 112;
   int KBEventBufSize = 10;
   int MsEventBufSize = 64;
   int SpecialCodeLShift = 240;
   int SpecialCodeRShift = 241;
   int SpecialCodeLCtrl = 242;
   int SpecialCodeRCtrl = 243;
   int SpecialCodeLAlt = 244;
   int SpecialCodeRAlt = 245;
   int SpecialCodePadEnter = 246;
   int SpecialCodePrntScn = 247;
   int SpecialCodePause = 248;
   int DIKeySwitch = 31;
   int DIKeySetVideo = 47;
   int RetModeSwitch = -1;
   int RetModeSetVideo = -2;
   int RetModeCaqHack = -3;
   int KBTMaxSC3KeyCode = 141;
   byte SC3_Typematic = -9;
   byte SC3_MakeBreak = -8;
   byte SC3_MakeOnly = -7;
   byte SC3_MakeBreakTypematic = -6;
   byte SC3_Typematic_One = -5;
   byte SC3_MakeBreak_One = -4;
   byte SC3_MakeOnly_One = -3;
   int LeftMask = 1;
   int RightMask = 2;
   int CenterMask = 4;
}
