package javaclientlib.tr;

public class RGBQuad extends TRDATASTRUCTURE {
   protected static final TRDATASTRUCTURE_DEF definition = new TRDATASTRUCTURE_DEF(
      RGBQuad.class,
      new String[]{"RGBBlue", "RGBGreen", "RGBRed", "RGBReserved"},
      new Class[]{byte.class, byte.class, byte.class, byte.class},
      new int[]{0, 0, 0, 0}
   );
   private byte RGBBlue;
   private byte RGBGreen;
   private byte RGBRed;
   private byte RGBReserved;
   public static final short CMD_LEN = 4;

   @Override
   public TRDATASTRUCTURE_DEF getDefinition() {
      return definition;
   }

   @Override
   public short getLength() {
      return 4;
   }

   public byte getRGBBlue() {
      return this.RGBBlue;
   }

   public void setRGBBlue(byte var1) {
      this.RGBBlue = var1;
   }

   public byte getRGBGreen() {
      return this.RGBGreen;
   }

   public void setRGBGreen(byte var1) {
      this.RGBGreen = var1;
   }

   public byte getRGBRed() {
      return this.RGBRed;
   }

   public void setRGBRed(byte var1) {
      this.RGBRed = var1;
   }

   public byte getRGBReserved() {
      return this.RGBReserved;
   }

   public void setRGBReserved(byte var1) {
      this.RGBReserved = var1;
   }
}
