package javaclientlib.tr;

public class TRCMD_HANDSHAKE_ACK_DATA extends TRCOMMAND {
   private int signature_OFFSET = 4;
   private int clientIp_OFFSET = this.signature_OFFSET + 4;
   private int timeStamp_OFFSET = this.clientIp_OFFSET + 4;
   private int index_OFFSET = this.timeStamp_OFFSET + 4;
   private int random_OFFSET = this.index_OFFSET + 4;
   private int connCount_OFFSET = this.random_OFFSET + 4;
   private int checksum_OFFSET = this.connCount_OFFSET + 4;
   private int clientPort_OFFSET = this.checksum_OFFSET + 4;
   public static final short CMD_LEN = 34;

   public TRCMD_HANDSHAKE_ACK_DATA(byte[] var1) {
      super(var1);
   }

   public TRCMD_HANDSHAKE_ACK_DATA() {
      super((short)34);
   }

   public int getSignature() {
      return this.getInt(this.signature_OFFSET);
   }

   public void setSignature(int var1) {
      this.setInt(var1, this.signature_OFFSET);
   }

   public int getClientIp() {
      return this.getInt(this.clientIp_OFFSET);
   }

   public void setClientIp(int var1) {
      this.setInt(var1, this.clientIp_OFFSET);
   }

   public int getTimeStamp() {
      return this.getInt(this.timeStamp_OFFSET);
   }

   public void setTimeStamp(int var1) {
      this.setInt(var1, this.timeStamp_OFFSET);
   }

   public int getIndex() {
      return this.getInt(this.index_OFFSET);
   }

   public void setIndex(int var1) {
      this.setInt(var1, this.index_OFFSET);
   }

   public int getRandom() {
      return this.getInt(this.random_OFFSET);
   }

   public void setRandom(int var1) {
      this.setInt(var1, this.random_OFFSET);
   }

   public int getConnCount() {
      return this.getInt(this.connCount_OFFSET);
   }

   public void setConnCount(int var1) {
      this.setInt(var1, this.connCount_OFFSET);
   }

   public int getChecksum() {
      return this.getInt(this.checksum_OFFSET);
   }

   public void setChecksum(int var1) {
      this.setInt(var1, this.checksum_OFFSET);
   }

   public short getClientPort() {
      return this.getShort(this.clientPort_OFFSET);
   }

   public void setClientPort(short var1) {
      this.setShort(var1, this.clientPort_OFFSET);
   }

   public void setHandshakeAckData(TRCMD_HANDSHAKE_ACK_DATA var1) {
      this.setSignature(var1.getSignature());
      this.setClientIp(var1.getClientIp());
      this.setTimeStamp(var1.getTimeStamp());
      this.setIndex(var1.getIndex());
      this.setRandom(var1.getRandom());
      this.setConnCount(var1.getConnCount());
      this.setChecksum(var1.getChecksum());
      this.setClientPort(var1.getClientPort());
   }
}
