package javaclientlib.tr;

public class TRCMD_IDENTIFY_REMOTE_DATA extends TRCOMMAND {
   private int protocolVersion_OFFSET = 4;
   private int osType_OFFSET = this.protocolVersion_OFFSET + 4;
   private int flags_OFFSET = this.osType_OFFSET + 4;
   private int extraData_OFFSET = this.flags_OFFSET + 4;
   private int reserved_OFFSET = this.extraData_OFFSET + 4;
   public static final short CMD_LEN = 36;

   public TRCMD_IDENTIFY_REMOTE_DATA(byte[] var1) {
      super(var1);
   }

   public TRCMD_IDENTIFY_REMOTE_DATA() {
      super((short)36);
   }

   public int getProtocolVersion() {
      return this.getInt(this.protocolVersion_OFFSET);
   }

   public void setProtocolVersion(int var1) {
      this.setInt(var1, this.protocolVersion_OFFSET);
   }

   public int getOSType() {
      return this.getInt(this.osType_OFFSET);
   }

   public void setOSType(int var1) {
      this.setInt(var1, this.osType_OFFSET);
   }

   public int getFlags() {
      return this.getInt(this.flags_OFFSET);
   }

   public void setFlags(int var1) {
      this.setInt(var1, this.flags_OFFSET);
   }

   public int getExtraData() {
      return this.getInt(this.extraData_OFFSET);
   }

   public void setExtraData(int var1) {
      this.setInt(var1, this.extraData_OFFSET);
   }

   public int[] getReserved() {
      return this.getIntArray(this.reserved_OFFSET, 4);
   }

   public void setReserved(int[] var1) {
      for (int var2 = 0; var2 < var1.length; var2++) {
         this.setReserved(var1[var2], this.reserved_OFFSET + var2 * 4);
      }
   }

   public int getReserved(int var1) {
      return this.getInt(this.reserved_OFFSET + var1 * 4);
   }

   public void setReserved(int var1, int var2) {
      this.setInt(var1, var2);
   }
}
