package javaclientlib.tr;

public class TRCMD_SET_SERIAL_PARAMS_DATA extends TRCOMMAND {
   private int serialParams_OFFSET = 4;
   private int name_OFFSET = this.serialParams_OFFSET + 16;
   private int deviceID_OFFSET = this.name_OFFSET + 32;
   public static final short CMD_LEN = 53;

   public TRCMD_SET_SERIAL_PARAMS_DATA(byte[] var1) {
      super(var1);
   }

   public TRCMD_SET_SERIAL_PARAMS_DATA() {
      super((short)53);
   }

   public TRSRVR_SERIAL_PARAMS getSerialParams() throws Exception {
      byte[] var1 = this.getBytes(this.serialParams_OFFSET, 16);
      TRSRVR_SERIAL_PARAMS var2 = new TRSRVR_SERIAL_PARAMS();
      var2.populate(var1);
      return var2;
   }

   public void setSerialParams(TRSRVR_SERIAL_PARAMS var1) throws Exception {
      this.setBytes(var1.getDataBytes(), this.serialParams_OFFSET);
   }

   public byte[] getName() {
      return this.getBytes(this.name_OFFSET, 32);
   }

   public void setName(byte[] var1) {
      this.setBytes(var1, this.name_OFFSET);
   }

   public byte getDeviceID() {
      return this.getByte(this.deviceID_OFFSET);
   }

   public void setDeviceID(byte var1) {
      this.setByte(var1, this.deviceID_OFFSET);
   }
}
