package javaclientlib.tr;

public interface TRLIB_NOTIFY {
   int BASE = 1000;
   int CONNECTING = 1001;
   int CALLING = 1002;
   int BUSY = 1003;
   int CALLBACK = 1004;
   int CALLBACK_COMPLETE = 1005;
   int CONNECTED = 1006;
   int AUTHENTICATED = 1007;
   int AUTHENTICATION_FAILED = 1008;
   int LOGIN_FAILED = 1009;
   int CONNECTION_LOST = 1010;
   int SERVER_NOT_FOUND = 1011;
   int SERVER_BUSY = 1012;
   int SERVER_TOO_NEW = 1013;
   int SERVER_TOO_OLD = 1014;
   int SSL_FAILURE = 1015;
   int BAD_DATA = 1016;
   int IO_ERROR = 1017;
   int INTERNAL_ERROR = 1018;
   int INVALID_SERVER = 1019;
   int DISCONNECTED = 1020;
   int MEMORY_ERROR = 1021;
   int NO_RAS_DLL = 1022;
   int RAS_ERROR = 1023;
   int RAS_CONNECT = 1024;
   int RAS_DEVICE = 1025;
   int CHANGE_USER_PASSWORD = 1026;
   int CHANGE_PASSWORD_CANCEL = 1027;
   int AUTOSENSE = 1028;
   int PUBLICVIEW = 1029;
   int NOVIDEO = 1030;
   int LEDSTATUS = 1031;
   int USERACCOUNTCHANGED = 1032;
   int VIDEOPARAMSCHANGED = 1033;
   int SERVERPARAMSCHANGED = 1034;
   int SERIALPARAMSCHANGED = 1035;
   int SERVERSHUTDOWN = 1036;
   int SERVERERROR = 1037;
   int SPEEDCHANGE = 1038;
   int MAX_NOTIFY = 1039;
   int UPGRADE_IN_PROGRESS = 1040;
   int SINGLE_LOGIN_LIMITATION = 1041;
   int SECURITY_ACCOUNT_DEACTIVATED = 1042;
   int GROUP_NON_EMPTY = 1043;
   int USER_LOGGED_IN = 1044;
   int SECURITY_LOGIN_EXPIRED = 1045;
   int SECURITY_PASSWORD_EXPIRED = 1046;
   int POWERSTRIP_STATISTICS_DISABLED = 1047;
   int SECURITY_ACCOUNT_LOCKEDOUT = 1048;
   int DEVICE_UNDER_CC = 1049;
   int NO_RESPONSE_FROM_IPADDR = 1050;
   int REMOTE_AUTH_INVALID_SERVER_TIMEOUT = 1051;
   int LOCAL_AUTHENTICATION_FAILED = 1052;
   int LOCAL_AUTHENTICATION_MODE_DEACTIVATED = 1053;
}
