package javaclientlib.tr;

public interface TRRSP {
   int NOP = 0;
   int HANDSHAKE = 1;
   int ACK = 2;
   int NACK = 3;
   int NOTIFY_250 = 4;
   int PONG = 5;
   int ID = 6;
   int SERVER_CHALLENGE = 7;
   int SERVER_RESPONSE_200 = 8;
   int ACCESS_RESPONSE = 9;
   int VIDEO_PARAMS_200 = 10;
   int COMP_PARAMS = 11;
   int NEW_VIDEO_MODE_200 = 12;
   int CACHE_250 = 13;
   int COMPRESSED_250 = 14;
   int BITPLANE_250 = 15;
   int PACKED = 16;
   int VIDEO_MARKER_200 = 17;
   int KB_STATUS_200 = 18;
   int SERIAL_PARAMS = 19;
   int RECEIVE_SERIAL = 20;
   int SERVER_PARAMS = 21;
   int USER_ACCOUNT = 22;
   int LOG = 23;
   int TIME_DATE_200 = 24;
   int DATA_ITEM_200 = 25;
   int VIDEO_DEVICE = 26;
   int SERIAL_DEVICE = 27;
   int SERVER_RESPONSE = 28;
   int VIDEO_PARAMS = 29;
   int NEW_VIDEO_MODE_250 = 30;
   int VIDEO_MARKER = 31;
   int KB_STATUS = 32;
   int TIME_DATE = 33;
   int DATA_ITEM = 34;
   int RFP_MESSAGE = 35;
   int DATABASE_RESPONSE = 36;
   int VIDEO_CONNECTED = 37;
   int SERIAL_CONNECTED = 38;
   int NEW_VIDEO_MODE = 39;
   int CACHE = 40;
   int COMPRESSED = 41;
   int BITPLANE = 42;
   int NOTIFY = 43;
   int ID_RSP_NO_HEADER = 44;
   int CELL_DATA = 45;
   int RDM_EVENT = 46;
   int TARGET_PARAMS = 47;
   int MAX = 48;
   int CONNECT_TIMEOUT = 20000;
   int POWER_TIMEOUT = 60000;
}
