package javaclientlib.tr;

public class TRRSP_COMPRESSED_DATA extends TRCOMMAND {
   private int area_OFFSET = 4;
   private int plane_OFFSET = this.area_OFFSET + 8;
   private int L0_OFFSET = this.plane_OFFSET + 1;
   private int deviceID_OFFSET = this.L0_OFFSET + 1;
   public static final int CMD_LEN = 15;

   public TRRSP_COMPRESSED_DATA(byte[] var1) {
      super(var1);
   }

   public TRRSP_COMPRESSED_DATA() {
      super(15);
   }

   public TRRSP_COMPRESSED_DATA(short var1) {
      super(var1);
   }

   public TRRECT getArea() throws Exception {
      byte[] var1 = this.getBytes(this.area_OFFSET, 8);
      return new TRRECT(var1);
   }

   public void setArea(TRRECT var1) throws Exception {
      this.setBytes(var1.getDataBytes(), this.area_OFFSET);
   }

   public byte getPlane() {
      return this.getByte(this.plane_OFFSET);
   }

   public void setPlane(byte var1) {
      this.setByte(var1, this.plane_OFFSET);
   }

   public byte getL0() {
      return this.getByte(this.L0_OFFSET);
   }

   public void setL0(byte var1) {
      this.setByte(var1, this.L0_OFFSET);
   }

   public byte getDeviceID() {
      return this.getByte(this.deviceID_OFFSET);
   }

   public void setDeviceID(byte var1) {
      this.setByte(var1, this.deviceID_OFFSET);
   }
}
