package javaclientlib.tr;

public class TRRSP_NEW_VIDEO_MODE_DATA extends TRCOMMAND {
   private final int compParams_OFFSET = 4;
   private final int flags_OFFSET = 44;
   private final int cct_OFFSET = 46;
   private final int refresh_OFFSET = 48;
   private final int cellHSize_OFFSET = 50;
   private final int cellVSize_OFFSET = 52;
   private final int cellCount_OFFSET = 54;
   private final int actualHSize_OFFSET = 56;
   private final int actualVSize_OFFSET = 58;
   private final int logicalHSize_OFFSET = 60;
   private final int logicalVSize_OFFSET = 62;
   private final int deviceID_OFFSET = 64;
   public static final short CMD_LEN = 65;

   public TRRSP_NEW_VIDEO_MODE_DATA(byte[] var1) {
      super(var1);
   }

   public TRRSP_NEW_VIDEO_MODE_DATA() {
      super((short)65);
   }

   public void setNewVideoMode(TRRSP_NEW_VIDEO_MODE_DATA var1) throws Exception {
      this.setCompParams(var1.getCompParams());
      this.setFlags(var1.getFlags());
      this.setCCT(var1.getCCT());
      this.setRefresh(var1.getRefresh());
      this.setCellHSize(var1.getCellHSize());
      this.setCellVSize(var1.getCellVSize());
      this.setCellCount(var1.getCellCount());
      this.setActualHSize(var1.getActualHSize());
      this.setActualVSize(var1.getActualVSize());
      this.setLogicalHSize(var1.getLogicalHSize());
      this.setLogicalVSize(var1.getLogicalVSize());
      this.setDeviceID(var1.getDeviceID());
   }

   public TRSRVR_COMP_PARAMS getCompParams() throws Exception {
      byte[] var1 = this.getBytes(4, 40);
      TRSRVR_COMP_PARAMS var2 = new TRSRVR_COMP_PARAMS();
      var2.populate(var1);
      return var2;
   }

   public void setCompParams(TRSRVR_COMP_PARAMS var1) throws Exception {
      this.setBytes(var1.getDataBytes(), 4);
   }

   public short getFlags() {
      return this.getShort(44);
   }

   public void setFlags(short var1) {
      this.setShort(var1, 44);
   }

   public short getCCT() {
      return this.getShort(46);
   }

   public void setCCT(short var1) {
      this.setShort(var1, 46);
   }

   public short getRefresh() {
      return this.getShort(48);
   }

   public void setRefresh(short var1) {
      this.setShort(var1, 48);
   }

   public short getCellHSize() {
      return this.getShort(50);
   }

   public void setCellHSize(short var1) {
      this.setShort(var1, 50);
   }

   public short getCellVSize() {
      return this.getShort(52);
   }

   public void setCellVSize(short var1) {
      this.setShort(var1, 52);
   }

   public short getCellCount() {
      return this.getShort(54);
   }

   public void setCellCount(short var1) {
      this.setShort(var1, 54);
   }

   public short getActualHSize() {
      return this.getShort(56);
   }

   public void setActualHSize(short var1) {
      this.setShort(var1, 56);
   }

   public short getActualVSize() {
      return this.getShort(58);
   }

   public void setActualVSize(short var1) {
      this.setShort(var1, 58);
   }

   public short getLogicalHSize() {
      return this.getShort(60);
   }

   public void setLogicalHSize(short var1) {
      this.setShort(var1, 60);
   }

   public short getLogicalVSize() {
      return this.getShort(62);
   }

   public void setLogicalVSize(short var1) {
      this.setShort(var1, 62);
   }

   public byte getDeviceID() {
      return this.getByte(64);
   }

   public void setDeviceID(byte var1) {
      this.setByte(var1, 64);
   }

   @Override
   public String toString() {
      try {
         StringBuffer var1 = new StringBuffer();
         TRSRVR_COMP_PARAMS var2 = this.getCompParams();
         var1.append("\n\t TRRSP_NEW_VIDEO_MODE_DATA ---------");
         var1.append("\nCompParams.flags=" + var2.getFlags());
         var1.append("\nCompParams.CCT=" + var2.getCCT());
         var1.append("\nCompParams.cacheDepth=" + var2.getCacheDepth());
         var1.append("\nCompParams.compressMode=" + var2.getCompressMode());
         var1.append("\nCompParams.speed=" + var2.getSpeed());
         var1.append("\nCompParams.minFrameTime=" + var2.getMinFrameTime());
         var1.append("\nCompParams.maxFrameTime=" + var2.getMaxFrameTime());
         var1.append("\nCompParams.smoothing=" + var2.getSmoothing());
         var1.append("\nCompParams.reserved=" + var2.getReserved());
         var1.append("\nflags=" + this.getFlags());
         var1.append("\ncct=" + this.getCCT());
         var1.append("\nrefresh=" + this.getRefresh());
         var1.append("\ncellHSize=" + this.getCellHSize());
         var1.append("\ncellVSize=" + this.getCellVSize());
         var1.append("\ncellCount=" + this.getCellCount());
         var1.append("\nactualHSize=" + this.getActualHSize());
         var1.append("\nactualVSize=" + this.getActualVSize());
         var1.append("\nlogicalHSize=" + this.getLogicalHSize());
         var1.append("\nlogicalVSize=" + this.getLogicalVSize());
         var1.append("\ndeviceID=" + this.getDeviceID());
         return var1.toString();
      } catch (Exception var3) {
         var3.printStackTrace();
         return var3.getMessage();
      }
   }
}
