package javaclientlib.tr;

public class TRRSP_VIDEO_DEVICE_DATA extends TRCOMMAND {
   private int deviceID_OFFSET = 4;
   private int flags_OFFSET = this.deviceID_OFFSET + 1;
   private int channelData_OFFSET = this.flags_OFFSET + 4;
   public static final short CMD_LEN = 121;

   public TRRSP_VIDEO_DEVICE_DATA(byte[] var1) {
      super(var1);
   }

   public TRRSP_VIDEO_DEVICE_DATA() {
      super((short)121);
   }

   public byte getDeviceID() {
      return this.getByte(this.deviceID_OFFSET);
   }

   public void setDeviceID(byte var1) {
      this.setByte(var1, this.deviceID_OFFSET);
   }

   public int getFlags() {
      return this.getInt(this.flags_OFFSET);
   }

   public void setFlags(int var1) {
      this.setInt(var1, this.flags_OFFSET);
   }

   public TRSRVR_CHANNEL_DATA getChannelData() throws Exception {
      byte[] var1 = this.getBytes(this.channelData_OFFSET, 112);
      TRSRVR_CHANNEL_DATA var2 = new TRSRVR_CHANNEL_DATA();
      var2.populate(var1);
      return var2;
   }

   public void setChannelData(TRSRVR_CHANNEL_DATA var1) throws Exception {
      this.setBytes(var1.getDataBytes(), this.channelData_OFFSET);
   }
}
