package javaclientlib.tr;

public class TRSRVR_CHANNEL_DATA extends TRDATASTRUCTURE {
   protected static final TRDATASTRUCTURE_DEF definition = new TRDATASTRUCTURE_DEF(
      TRSRVR_CHANNEL_DATA.class, new String[]{"channelName", "kvmPortMap"}, new Class[]{byte.class, int.class}, new int[]{32, 16}
   );
   private byte[] channelName = new byte[32];
   private int kvmPortType;
   private int kvmPortCount;
   private int[] kvmPortMap = new int[16];
   private int flags;
   public static final short CMD_LEN = 112;

   @Override
   public TRDATASTRUCTURE_DEF getDefinition() {
      return definition;
   }

   @Override
   public short getLength() {
      return 112;
   }

   public byte[] getChannelName() {
      return this.channelName;
   }

   public void setChannelName(byte[] var1) {
      this.channelName = var1;
   }

   public byte getChannelName(int var1) {
      return this.channelName[var1];
   }

   public void setChannelName(int var1, byte var2) {
      this.channelName[var1] = var2;
   }

   public int getKvmPortType() {
      return this.kvmPortType;
   }

   public void setKvmPortType(int var1) {
      this.kvmPortType = var1;
   }

   public int getKvmPortCount() {
      return this.kvmPortCount;
   }

   public void setKvmPortCount(int var1) {
      this.kvmPortCount = var1;
   }

   public int[] getKvmPortMap() {
      return this.kvmPortMap;
   }

   public void setKvmPortMap(int[] var1) {
      this.kvmPortMap = var1;
   }

   public int getKvmPortMap(int var1) {
      return this.kvmPortMap[var1];
   }

   public void setKvmPortMap(int var1, int var2) {
      this.kvmPortMap[var1] = var2;
   }

   public int getFlags() {
      return this.flags;
   }

   public void setFlags(int var1) {
      this.flags = var1;
   }
}
