package javaclientlib.tr;

import java.util.Arrays;

public class TRSRVR_TARGET_PARAMS extends TRDATASTRUCTURE {
   private byte[] iType = new byte[64];
   private byte[] iConnection = new byte[64];
   private int iStatus;
   private int iCaps;
   private int iSettings;
   public static final short CMD_LEN = 140;
   protected static final TRDATASTRUCTURE_DEF definition = new TRDATASTRUCTURE_DEF(
      TRSRVR_TARGET_PARAMS.class,
      new String[]{"iType", "iConnection", "iStatus", "iCaps", "iSettings"},
      new Class[]{byte.class, byte.class, int.class, int.class, int.class},
      new int[]{64, 64, 0, 0, 0}
   );

   public TRSRVR_TARGET_PARAMS() {
      Arrays.fill(this.iType, (byte)0);
      Arrays.fill(this.iConnection, (byte)0);
   }

   @Override
   public TRDATASTRUCTURE_DEF getDefinition() {
      return definition;
   }

   @Override
   public short getLength() {
      return 140;
   }

   public void setTargetParams(TRSRVR_TARGET_PARAMS var1) {
      this.iType = var1.getIType();
      this.iConnection = var1.getIConnection();
      this.iStatus = var1.getIStatus();
      this.iCaps = var1.getICaps();
      this.iSettings = var1.getISettings();
   }

   public byte[] getIType() {
      return this.iType;
   }

   public void setIType(byte[] var1) {
      System.arraycopy(var1, 0, this.iType, 0, var1.length);
   }

   public byte getIType(int var1) {
      return this.iType[var1];
   }

   public void setIType(int var1, byte var2) {
      this.iType[var1] = var2;
   }

   public byte[] getIConnection() {
      return this.iConnection;
   }

   public void setIConnection(byte[] var1) {
      System.arraycopy(var1, 0, this.iConnection, 0, var1.length);
   }

   public byte getIConnection(int var1) {
      return this.iConnection[var1];
   }

   public void setIConnection(int var1, byte var2) {
      this.iConnection[var1] = var2;
   }

   public int getIStatus() {
      return this.iStatus;
   }

   public void setIStatus(int var1) {
      this.iStatus = var1 & 65535;
   }

   public int getICaps() {
      return this.iCaps;
   }

   public void setICaps(int var1) {
      this.iCaps = var1 & 65535;
   }

   public int getISettings() {
      return this.iSettings;
   }

   public void setISettings(int var1) {
      this.iSettings = var1 & 65535;
   }
}
