package javaclientlib.utils;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class MD5 {
   private MessageDigest objMessageDigest = MessageDigest.getInstance("MD5");

   public MD5() throws NoSuchAlgorithmException {
   }

   public String encode(String var1) {
      this.objMessageDigest.update(var1.getBytes());
      return new String(this.objMessageDigest.digest());
   }

   public String encode(byte[] var1) {
      this.objMessageDigest.update(var1);
      return new String(this.objMessageDigest.digest());
   }

   public void update(String var1) {
      this.objMessageDigest.update(var1.getBytes());
   }

   public void update(byte[] var1) {
      this.objMessageDigest.update(var1);
   }

   public void update(byte[] var1, int var2) {
      this.objMessageDigest.update(var1, 0, var2);
   }

   public void update(byte[] var1, int var2, int var3) {
      this.objMessageDigest.update(var1, var2, var3);
   }

   public byte[] encode() {
      return this.objMessageDigest.digest();
   }
}
