package javaclientlib.utils;

public class Monitor {
   private boolean boolNotified = false;
   private boolean boolWaitTimedOut = true;

   public synchronized boolean waiting(int var1) {
      try {
         if (this.boolNotified) {
            this.boolNotified = false;
            return false;
         }

         this.boolWaitTimedOut = true;
         this.wait(var1);
         this.boolNotified = false;
      } catch (InterruptedException var3) {
         System.out.println("RFPMonitor -- Monitor: InterruptedException");
      }

      return this.boolWaitTimedOut;
   }

   public synchronized void notifying() {
      this.boolNotified = true;
      this.boolWaitTimedOut = false;
      this.notifyAll();
   }

   public synchronized boolean isNotified() {
      return this.boolNotified;
   }

   public synchronized boolean isExpired() {
      return this.boolWaitTimedOut;
   }
}
