package javaclientlib.utils;

import java.io.IOException;
import java.io.StringReader;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

public class XMLParser {
   public Document getDocument(String var1) throws ParserConfigurationException, SAXException, IOException {
      Object var2 = null;
      DocumentBuilder var3 = DocumentBuilderFactory.newInstance().newDocumentBuilder();
      InputSource var4 = new InputSource(new StringReader(var1));
      return var3.parse(var4);
   }

   public static Document getXMLDocument(String var0) throws SAXException {
      assert var0 != null;

      Document var1 = null;
      DocumentBuilder var2 = null;

      try {
         var2 = DocumentBuilderFactory.newInstance().newDocumentBuilder();
      } catch (ParserConfigurationException var6) {
         var6.printStackTrace();
      }

      if (var2 != null) {
         InputSource var3 = new InputSource(new StringReader(var0));

         try {
            var1 = var2.parse(var3);
         } catch (IOException var5) {
            var5.printStackTrace();
         }
      }

      return var1;
   }

   public static String getTextContent(Node var0) {
      NodeList var1 = var0.getChildNodes();
      if (var1.getLength() == 1) {
         Node var2 = var1.item(0);
         if (var2.getNodeType() == 3) {
            return var2.getNodeValue();
         }
      }

      return null;
   }
}
