package nn.pp.audiocore.impl.rap.V02_00;

import java.io.IOException;
import java.util.Map;
import java.util.Map.Entry;
import nn.pp.audiocore.AudioFormat;
import nn.pp.core.impl.MonitoringDataOutputStream;
import nn.pp.core.impl.ProtocolMessage;

public class RapRequestConnectionMsgV02_00 extends ProtocolMessage {
   private RapAudioFormatV02_00 fmtMsg = new RapAudioFormatV02_00();

   public void write(MonitoringDataOutputStream var1, Map<Integer, AudioFormat> var2, int var3, int var4) throws IOException {
      this.write(7);
      this.write(var2.size());
      this.write(var4);
      this.write(0);
      this.writeInt(var3);

      for (Entry var6 : var2.entrySet()) {
         this.fmtMsg.write(this, (Integer)var6.getKey(), (AudioFormat)var6.getValue());
      }

      var1.write(this);
   }
}
