package nn.pp.common;

import nn.pp.core.JVMVersionInfo;
import nn.pp.core.Platform;

public class Util {
   private Util() {
   }

   public static boolean isJavaWithFocusProblem() {
      JVMVersionInfo var0 = JVMVersionInfo.getJVMVersionInfo();
      if (Platform.isWindows()) {
         if (!var0.isJava16()) {
            if (var0.getMinorBuildVersion() >= 14) {
               return true;
            }
         } else if (var0.getMinorBuildVersion() >= 10) {
            return true;
         }
      }

      return false;
   }

   public static int[] getPortNumber(String var0) {
      int var1 = -1;
      int var2 = -1;
      String[] var3 = var0.split("[.]");
      var1 = Integer.parseInt(var3[0]);
      var2 = Integer.parseInt(var3[1]) + 1;
      return new int[]{var1, var2};
   }
}
