package nn.pp.common;

public class VMFeatures implements Comparable<VMFeatures> {
   private final int index;
   private final int featureCount;

   public VMFeatures(int var1, int var2) {
      this.index = var1;
      int var3 = 0;

      for (int var4 = 0; var4 < 8; var4++) {
         var3 += var2 >> var4 & 1;
      }

      this.featureCount = var3;
   }

   public int compareTo(VMFeatures var1) {
      return this.featureCount - var1.featureCount;
   }

   public int getIndex() {
      return this.index;
   }
}
