package nn.pp.common.audio;

import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.Window;
import java.awt.Dialog.ModalityType;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;
import nn.pp.core.T;

public class AudioConnInProgressDialog extends JDialog {
   public AudioConnInProgressDialog(final Window var1, boolean var2) {
      super(var1, ModalityType.APPLICATION_MODAL);
      SwingUtilities.invokeLater(new Runnable() {
         @Override
         public void run() {
            AudioConnInProgressDialog.this.setSize(440, 110);
            AudioConnInProgressDialog.this.setTitle(T._("Connection in progress"));
            AudioConnInProgressDialog.this.setResizable(false);
            AudioConnInProgressDialog.this.setDefaultCloseOperation(0);
            AudioConnInProgressDialog.this.getContentPane().setLayout(new BorderLayout());
            JPanel var1x = new JPanel(new FlowLayout(1));
            var1x.add(new JLabel(AudioMessages.audioConnectionInProgressMessage));
            AudioConnInProgressDialog.this.getContentPane().add(new JLabel(" "), "North");
            AudioConnInProgressDialog.this.getContentPane().add(var1x);
            AudioConnInProgressDialog.this.setLocationRelativeTo(var1);
            AudioConnInProgressDialog.this.setVisible(true);
         }
      });
   }
}
