package nn.pp.common.scan;

import java.awt.Image;
import javax.swing.JComponent;
import nn.pp.core.INotificationEvent;

public interface ScanEventListener {
   void videoComponentAvailable(String var1, JComponent var2);

   void displayVideoStart(String var1, boolean var2);

   void displayVideoEnd(String var1, Image var2);

   void displayVideoError(String var1, int var2);

   void displayVideoCommunicationError(String var1);

   void scanAborted(INotificationEvent var1);

   void scanAbortedOnConnectError();

   void osdMessageReceived(String var1, String var2);
}
