package nn.pp.rccore;

public class UsbProfile implements IUsbProfile {
   private int id;
   private String name;
   private String description;
   private boolean selected;

   public UsbProfile(int var1, String var2, String var3, boolean var4) {
      this.id = var1;
      this.name = var2;
      this.description = var3;
      this.selected = var4;
   }

   @Override
   public int getId() {
      return this.id;
   }

   public void setId(int var1) {
      this.id = var1;
   }

   @Override
   public String getName() {
      return this.name;
   }

   public void setName(String var1) {
      this.name = var1;
   }

   @Override
   public String getDescription() {
      return this.description;
   }

   public void setDescription(String var1) {
      this.description = var1;
   }

   @Override
   public boolean isSelected() {
      return this.selected;
   }

   public void setSelected(boolean var1) {
      this.selected = var1;
   }

   @Override
   public boolean equals(Object var1) {
      if (var1 == null) {
         return false;
      } else if (var1 == this) {
         return true;
      } else if (var1 instanceof UsbProfile) {
         UsbProfile var2 = (UsbProfile)var1;
         boolean var3 = var2.id == this.id;
         boolean var4;
         return (var4 = var3 && this.strEquals(var2.name, this.name)) && (var4 = var4 && this.strEquals(var2.description, this.description))
            ? var4 && var2.selected == this.selected
            : var4;
      } else {
         return false;
      }
   }

   private boolean strEquals(String var1, String var2) {
      if (var1 == null && var2 == null) {
         return true;
      } else {
         return var2 != null ? var2.equals(var1) : var1.equals(var2);
      }
   }

   @Override
   public String toString() {
      return new String(this.id + ":" + this.name + ":" + (this.selected ? " (selected)" : " (not selected)"));
   }
}
