package nn.pp.rccore.impl;

import nn.pp.core.impl.ListenerList;
import nn.pp.rccore.MouseEventListener;

public class MouseEventListenerList extends ListenerList<MouseEventListener> {
   public void fireAbsoluteMouseEvent(final int var1, final int var2, final int var3) {
      this.fire(new MouseEventListenerAction() {
         @Override
         public void run() {
            this.listener.absoluteMouseEvent(var1, var2, var3);
         }
      }, 1);
   }

   public void fireRelativeMouseEvent(final int var1, final int var2, final int var3) {
      this.fire(new MouseEventListenerAction() {
         @Override
         public void run() {
            this.listener.relativeMouseEvent(var1, var2, var3);
         }
      }, 2);
   }

   public void fireMouseWheelEvent(final int var1, final int var2) {
      this.fire(new MouseEventListenerAction() {
         @Override
         public void run() {
            this.listener.mouseWheelEvent(var1, var2);
         }
      }, 4);
   }
}
