package nn.pp.rccore.impl;

import java.util.logging.Level;
import java.util.logging.Logger;
import nn.pp.core.T;

public class RCCoreImplGraphical extends RCCoreImpl {
   private boolean useVolatileImage;

   public RCCoreImplGraphical(Logger var1, boolean var2) {
      super(var1);
      this.useVolatileImage = var2;
   }

   @Override
   protected void loadRenderer() {
      this.renderer = (RemoteConsoleRenderer)(this.useVolatileImage
         ? new RemoteConsoleRendererGraphicalVolatileImage(this.logger, this.listeners)
         : new RemoteConsoleRendererGraphical(this.logger, this.listeners));
      this.logger.log(Level.INFO, T._("Using for rendering:") + " " + this.renderer.toString());
   }
}
