package nn.pp.rccore.impl;

import java.util.Locale;
import java.util.StringTokenizer;

public class StringLocale {
   private static Locale localeFromString(String var0) {
      StringTokenizer var1 = new StringTokenizer(var0, "_", true);
      int var2 = 0;
      String var3 = "";
      String var4 = "";
      String var5 = "";

      while (var1.hasMoreTokens()) {
         String var6 = var1.nextToken();
         if (var6.equals("_")) {
            var2++;
         } else {
            switch (var2) {
               case 0:
                  var3 = var6;
                  break;
               case 1:
                  var4 = var6;
                  break;
               case 2:
                  var5 = var6;
            }
         }
      }

      return new Locale(var3, var4, var5);
   }

   public static Locale loadLocale(String var0) {
      return localeFromString(var0);
   }

   public static Locale loadLocale(Locale var0) {
      return localeFromString(var0.toString());
   }
}
