package nn.pp.rccore.impl.keyboard;

import nn.pp.core.kbd.EricVKConstants;

public class CharTranslatorMapping_us_intl extends CharTranslatorMappingBase implements CharTranslatorConstants, EricVKConstants {
   @Override
   public void addMappings() {
      super.addMappings();
      this.addMapping('^', new int[]{131072, 1048576, 54, 65590, 32, 65568});
      this.addMapping('¡', new int[]{262144, 524288, 49, 65585});
      this.addMapping('²', new int[]{262144, 524288, 50, 65586});
      this.addMapping('³', new int[]{262144, 524288, 51, 65587});
      this.addMapping('¤', new int[]{262144, 524288, 52, 65588});
      this.addMapping('€', new int[]{262144, 524288, 53, 65589});
      this.addMapping('¼', new int[]{262144, 524288, 54, 65590});
      this.addMapping('½', new int[]{262144, 524288, 55, 65591});
      this.addMapping('¾', new int[]{262144, 524288, 56, 65592});
      this.addMapping('‘', new int[]{262144, 524288, 57, 65593});
      this.addMapping('’', new int[]{262144, 524288, 48, 65584});
      this.addMapping('¹', new int[]{131072, 524288, 49, 65585});
      this.addMapping('£', new int[]{131072, 524288, 52, 65588});
      this.addMapping('ä', new int[]{524288, 81, 65617});
      this.addMapping('Ä', new int[]{524288, 81, 65617});
      this.addMapping('å', new int[]{524288, 87, 65623});
      this.addMapping('Å', new int[]{524288, 87, 65623});
      this.addMapping('é', new int[]{524288, 69, 65605});
      this.addMapping('É', new int[]{524288, 69, 65605});
      this.addMapping('®', new int[]{262144, 524288, 82, 65618});
      this.addMapping('þ', new int[]{524288, 84, 65620});
      this.addMapping('Þ', new int[]{524288, 84, 65620});
      this.addMapping('ü', new int[]{524288, 89, 65625});
      this.addMapping('Ü', new int[]{524288, 89, 65625});
      this.addMapping('ú', new int[]{524288, 85, 65621});
      this.addMapping('Ú', new int[]{524288, 85, 65621});
      this.addMapping('í', new int[]{524288, 73, 65609});
      this.addMapping('Í', new int[]{524288, 73, 65609});
      this.addMapping('ó', new int[]{524288, 79, 65615});
      this.addMapping('Ó', new int[]{524288, 79, 65615});
      this.addMapping('ö', new int[]{524288, 80, 65616});
      this.addMapping('Ö', new int[]{524288, 80, 65616});
      this.addMapping('á', new int[]{524288, 65, 65601});
      this.addMapping('Á', new int[]{524288, 65, 65601});
      this.addMapping('ß', new int[]{262144, 524288, 83, 65619});
      this.addMapping('§', new int[]{131072, 524288, 83, 65619});
      this.addMapping('ð', new int[]{524288, 68, 65604});
      this.addMapping('Ð', new int[]{524288, 68, 65604});
      this.addMapping('ø', new int[]{524288, 76, 65612});
      this.addMapping('Ø', new int[]{524288, 76, 65612});
      this.addMapping('æ', new int[]{524288, 90, 65626});
      this.addMapping('Æ', new int[]{524288, 90, 65626});
      this.addMapping('©', new int[]{262144, 524288, 67, 65603});
      this.addMapping('¢', new int[]{131072, 524288, 67, 65603});
      this.addMapping('ñ', new int[]{524288, 78, 65614});
      this.addMapping('Ñ', new int[]{524288, 78, 65614});
      this.addMapping('µ', new int[]{262144, 524288, 77, 65613});
      this.addMapping('~', new int[]{131072, 1048576, 192, 65728, 32, 65568});
      this.addMapping('\'', new int[]{262144, 1048576, 222, 65758, 32, 65568});
      this.addMapping('`', new int[]{262144, 1048576, 192, 65728, 32, 65568});
      this.addMapping('"', new int[]{131072, 1048576, 222, 65758, 32, 65568});
      this.addMapping('¥', new int[]{262144, 524288, 45, 65581});
      this.addMapping('×', new int[]{262144, 524288, 61, 65597});
      this.addMapping('«', new int[]{262144, 524288, 91, 65627});
      this.addMapping('»', new int[]{262144, 524288, 93, 65629});
      this.addMapping('¬', new int[]{262144, 524288, 92, 65628});
      this.addMapping('¶', new int[]{262144, 524288, 59, 65595});
      this.addMapping('´', new int[]{262144, 524288, 222, 65758});
      this.addMapping('ç', new int[]{524288, 44, 65580});
      this.addMapping('¿', new int[]{262144, 524288, 47, 65583});
      this.addMapping('÷', new int[]{131072, 524288, 61, 65597});
      this.addMapping('¦', new int[]{131072, 524288, 92, 65628});
      this.addMapping('°', new int[]{131072, 524288, 59, 65595});
      this.addMapping('¨', new int[]{131072, 524288, 222, 65758});
      this.addMapping('Ç', new int[]{524288, 44, 65580});
      this.addMapping('à', new int[]{262144, 192, 65728, 1966080, 65, 65601});
      this.addMapping('À', new int[]{262144, 192, 65728, 1966080, 65, 65601});
      this.addMapping('â', new int[]{131072, 54, 65590, 1966080, 65, 65601});
      this.addMapping('Â', new int[]{131072, 54, 65590, 1966080, 65, 65601});
      this.addMapping('ã', new int[]{131072, 192, 65728, 1966080, 65, 65601});
      this.addMapping('Ã', new int[]{131072, 192, 65728, 1966080, 65, 65601});
      this.addMapping('è', new int[]{262144, 192, 65728, 1966080, 69, 65605});
      this.addMapping('È', new int[]{262144, 192, 65728, 1966080, 69, 65605});
      this.addMapping('ê', new int[]{131072, 54, 65590, 1966080, 69, 65605});
      this.addMapping('Ê', new int[]{131072, 54, 65590, 1966080, 69, 65605});
      this.addMapping('ë', new int[]{131072, 222, 65758, 1966080, 69, 65605});
      this.addMapping('Ë', new int[]{131072, 222, 65758, 1966080, 69, 65605});
      this.addMapping('ÿ', new int[]{131072, 222, 65758, 1966080, 89, 65625});
      this.addMapping('ý', new int[]{222, 65758, 89, 65625});
      this.addMapping('Ý', new int[]{222, 65758, 131072, 89, 65625});
      this.addMapping('ù', new int[]{262144, 192, 65728, 1966080, 85, 65621});
      this.addMapping('Ù', new int[]{262144, 192, 65728, 1966080, 85, 65621});
      this.addMapping('û', new int[]{131072, 54, 65590, 1966080, 85, 65621});
      this.addMapping('Û', new int[]{131072, 54, 65590, 1966080, 85, 65621});
      this.addMapping('ì', new int[]{262144, 192, 65728, 1966080, 73, 65609});
      this.addMapping('Ì', new int[]{262144, 192, 65728, 1966080, 73, 65609});
      this.addMapping('î', new int[]{131072, 54, 65590, 1966080, 73, 65609});
      this.addMapping('Î', new int[]{131072, 54, 65590, 1966080, 73, 65609});
      this.addMapping('ï', new int[]{131072, 222, 65758, 1966080, 73, 65609});
      this.addMapping('Ï', new int[]{131072, 222, 65758, 1966080, 73, 65609});
      this.addMapping('ò', new int[]{262144, 192, 65728, 1966080, 79, 65615});
      this.addMapping('Ò', new int[]{262144, 192, 65728, 1966080, 79, 65615});
      this.addMapping('ô', new int[]{131072, 54, 65590, 1966080, 79, 65615});
      this.addMapping('Ô', new int[]{131072, 54, 65590, 1966080, 79, 65615});
      this.addMapping('õ', new int[]{131072, 192, 65728, 1966080, 79, 65615});
      this.addMapping('Õ', new int[]{131072, 192, 65728, 1966080, 79, 65615});
      this.addMapping('¯', new int[]{131072, 524288, 51, 65587, 32, 65568});
      this.addMapping('ā', new int[]{131072, 524288, 51, 65587, 1966080, 65, 65601});
      this.addMapping('Ā', new int[]{131072, 524288, 51, 65587, 1966080, 65, 65601});
      this.addMapping('ē', new int[]{131072, 524288, 51, 65587, 1966080, 69, 65605});
      this.addMapping('Ē', new int[]{131072, 524288, 51, 65587, 1966080, 69, 65605});
      this.addMapping('ī', new int[]{131072, 524288, 51, 65587, 1966080, 73, 65609});
      this.addMapping('Ī', new int[]{131072, 524288, 51, 65587, 1966080, 73, 65609});
      this.addMapping('ō', new int[]{131072, 524288, 51, 65587, 1966080, 79, 65615});
      this.addMapping('Ō', new int[]{131072, 524288, 51, 65587, 1966080, 79, 65615});
      this.addMapping('ū', new int[]{131072, 524288, 51, 65587, 1966080, 85, 65621});
      this.addMapping('Ū', new int[]{131072, 524288, 51, 65587, 1966080, 85, 65621});
      this.addMapping('˘', new int[]{131072, 524288, 57, 65593, 32, 65568});
      this.addMapping('ă', new int[]{131072, 524288, 57, 65593, 1966080, 65, 65601});
      this.addMapping('Ă', new int[]{131072, 524288, 57, 65593, 1966080, 65, 65601});
      this.addMapping('ĕ', new int[]{131072, 524288, 57, 65593, 1966080, 69, 65605});
      this.addMapping('Ĕ', new int[]{131072, 524288, 57, 65593, 1966080, 69, 65605});
      this.addMapping('ĭ', new int[]{131072, 524288, 57, 65593, 1966080, 73, 65609});
      this.addMapping('Ĭ', new int[]{131072, 524288, 57, 65593, 1966080, 73, 65609});
      this.addMapping('ŏ', new int[]{131072, 524288, 57, 65593, 1966080, 79, 65615});
      this.addMapping('Ŏ', new int[]{131072, 524288, 57, 65593, 1966080, 79, 65615});
      this.addMapping('ŭ', new int[]{131072, 524288, 57, 65593, 1966080, 85, 65621});
      this.addMapping('Ŭ', new int[]{131072, 524288, 57, 65593, 1966080, 85, 65621});
      this.addMapping('ğ', new int[]{131072, 524288, 57, 65593, 1966080, 71, 65607});
      this.addMapping('Ğ', new int[]{131072, 524288, 57, 65593, 1966080, 71, 65607});
      this.addMapping('˛', new int[]{131072, 524288, 56, 65592, 56, 65592});
      this.addMapping('ą', new int[]{131072, 524288, 56, 65592, 1966080, 65, 65601});
      this.addMapping('Ą', new int[]{131072, 524288, 56, 65592, 1966080, 65, 65601});
      this.addMapping('ę', new int[]{131072, 524288, 56, 65592, 1966080, 69, 65605});
      this.addMapping('Ę', new int[]{131072, 524288, 56, 65592, 1966080, 69, 65605});
      this.addMapping('į', new int[]{131072, 524288, 56, 65592, 1966080, 73, 65609});
      this.addMapping('Į', new int[]{131072, 524288, 56, 65592, 1966080, 73, 65609});
      this.addMapping('ų', new int[]{131072, 524288, 56, 65592, 1966080, 85, 65621});
      this.addMapping('Ų', new int[]{131072, 524288, 56, 65592, 1966080, 85, 65621});
      this.addMapping('˝', new int[]{131072, 524288, 50, 65586, 32, 65568});
      this.addMapping('ő', new int[]{131072, 524288, 50, 65586, 1966080, 79, 65615});
      this.addMapping('Ő', new int[]{131072, 524288, 50, 65586, 1966080, 79, 65615});
      this.addMapping('ű', new int[]{131072, 524288, 50, 65586, 1966080, 85, 65621});
      this.addMapping('Ű', new int[]{131072, 524288, 50, 65586, 1966080, 85, 65621});
      this.addMapping('å', new int[]{524288, 87, 65623});
      this.addMapping('Å', new int[]{524288, 87, 65623});
      this.addMapping('ů', new int[]{131072, 524288, 48, 65584, 1966080, 85, 65621});
      this.addMapping('Ů', new int[]{131072, 524288, 48, 65584, 1966080, 85, 65621});
   }
}
