package nn.pp.rccore.impl.rfb.V01_21;

import java.io.IOException;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.MonitoringDataOutputStream;
import nn.pp.core.impl.ProtocolMessage;

public class RfbUtf8StringMsgV01_21 extends ProtocolMessage {
   public String string;

   public void read(MonitoringDataInputStream var1, boolean var2) throws IOException {
      if (!var2) {
         var1.readUnsignedByte();
      }

      var1.readUnsignedByte();
      this.string = var1.readUTF();
   }

   public void write(MonitoringDataOutputStream var1, String var2) throws IOException {
      this.write(7);
      this.write(0);
      this.writeUTF(var2);
      var1.write(this);
   }
}
