package nn.pp.rccore.impl.rfb.V01_22;

import java.io.IOException;
import java.util.List;
import java.util.Vector;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.ProtocolMessage;
import nn.pp.rccore.impl.KeyValuePair;

public class RfbConnectionParameterListMsgV01_22 extends ProtocolMessage {
   public List<KeyValuePair<String, String>> parameters;

   public void read(MonitoringDataInputStream var1, boolean var2) throws IOException {
      if (!var2) {
         var1.readUnsignedByte();
      }

      this.parameters = new Vector<>();
      int var3 = var1.readUnsignedByte();

      for (int var4 = 0; var4 < var3; var4++) {
         int var5 = var1.readUnsignedByte();
         int var6 = var1.readUnsignedByte();
         byte[] var7 = new byte[var5];
         byte[] var8 = new byte[var6];
         var1.readFully(var7, 0, var5);
         var1.readFully(var8, 0, var6);
         this.parameters.add(new KeyValuePair<>(new String(var7), new String(var8)));
      }
   }
}
