package nn.pp.rccore.impl.rfb.V01_26;

import java.io.IOException;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.ProtocolMessage;
import nn.pp.rccore.UsbProfile;
import nn.pp.rccore.UsbProfileList;

public class RfbUsbProfileListMsgV01_26 extends ProtocolMessage {
   UsbProfileList usbProfileList;

   public void read(MonitoringDataInputStream var1, boolean var2) throws IOException {
      if (!var2) {
         var1.readUnsignedByte();
      }

      int var3 = var1.readUnsignedShort();
      this.usbProfileList = new UsbProfileList();

      for (int var4 = 0; var4 < var3; var4++) {
         int var5 = var1.readUnsignedByte();
         int var6 = var1.readUnsignedShort();
         byte var7 = (byte)var1.readUnsignedByte();
         boolean var8 = (var7 & 1) != 0;
         boolean var9 = (var7 & 2) != 0;
         boolean var10 = (var7 & 4) != 0;
         int var11 = var1.readUnsignedShort();
         byte[] var12 = new byte[var5];
         var1.readFully(var12, 0, var5);
         String var13 = new String(var12);
         var12 = new byte[var6];
         var1.readFully(var12, 0, var6);
         String var14 = new String(var12);
         UsbProfile var15 = new UsbProfile(var11, var13, var14, var8);
         this.usbProfileList.addProfile(var15, var10, var9);
      }
   }

   public UsbProfileList getUsbProfileList() {
      return this.usbProfileList;
   }
}
