package nn.pp.rccore.impl.rfb.V01_26;

import java.io.IOException;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.ProtocolMessage;
import nn.pp.rccore.VMConfigInfo;

public class RfbVirtualMediaConfigMsgV01_26 extends ProtocolMessage {
   VMConfigInfo vmConfig;

   public void read(MonitoringDataInputStream var1, boolean var2) throws IOException {
      if (!var2) {
         var1.readUnsignedByte();
      }

      int var3 = var1.readUnsignedByte();
      int[] var4 = new int[var3];

      for (int var5 = 0; var5 < var3; var5++) {
         var4[var5] = var1.readUnsignedByte();
      }

      this.vmConfig = new VMConfigInfo(var4);
   }

   public VMConfigInfo getVMConfigInfo() {
      return this.vmConfig;
   }
}
