package nn.pp.rccore.impl.rfb.V01_27;

import java.io.IOException;
import java.util.List;
import java.util.Vector;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.ProtocolMessage;
import nn.pp.rccore.VMMountRequestResponse;

public class RfbVMShareTableMsgV01_27 extends ProtocolMessage {
   public List<VMMountRequestResponse> vmShareList;

   public void read(MonitoringDataInputStream var1, boolean var2) throws IOException {
      if (!var2) {
         var1.readUnsignedByte();
      }

      int var3 = var1.readUnsignedByte();
      this.vmShareList = new Vector<>(var3);

      for (int var4 = 0; var4 < var3; var4++) {
         int var5 = var1.readUnsignedByte();
         int var6 = var1.readUnsignedByte();
         byte[] var7 = new byte[var5];
         var1.readFully(var7, 0, var5);
         String var8 = new String(var7);
         var7 = new byte[var6];
         var1.readFully(var7, 0, var6);
         String var9 = new String(var7);
         this.vmShareList.add(new VMMountRequestResponse(var8, var9));
      }
   }
}
