package nn.pp.rccore.impl.rfb.V01_29;

import java.io.IOException;
import java.util.Map;
import nn.pp.core.impl.MonitoringDataOutputStream;
import nn.pp.core.impl.ProtocolMessage;
import nn.pp.rccore.IMultiMonitorTargetSupport;

public class RfbClientInitMsgV01_29 extends ProtocolMessage {
   private Map<IMultiMonitorTargetSupport.ClientSessionInitProperties, String> clientSessionInitProps;

   public void setClientSessionInitProps(Map<IMultiMonitorTargetSupport.ClientSessionInitProperties, String> var1) {
      this.clientSessionInitProps = var1;
   }

   public void write(MonitoringDataOutputStream var1, String var2) throws IOException {
      short var3 = 0;
      if (this.clientSessionInitProps != null) {
         if (this.clientSessionInitProps.containsKey(IMultiMonitorTargetSupport.ClientSessionInitProperties.SCAN_REFEENCE_ID)) {
            var3 = (short)(var3 | 2);
         }

         if (this.clientSessionInitProps.containsKey(IMultiMonitorTargetSupport.ClientSessionInitProperties.MULTI_MONITOR_ASSOCIATION_ID)) {
            var3 = (short)(var3 | 4);
         }
      }

      this.writeByte(7);
      this.write(0);
      this.writeShort(var3);
      var1.write(this);
   }
}
