package nn.pp.rccore.scan.impl;

import nn.pp.core.impl.ListenerAction;
import nn.pp.core.impl.ListenerList;
import nn.pp.rccore.scan.ScanSessionEventsListener;

public class ScanSessionEventsListenerList extends ListenerList<ScanSessionEventsListener> {
   public void fireDisconnected(final Exception var1) {
      this.fire(new ListenerAction<ScanSessionEventsListener>() {
         @Override
         public void run() {
            this.listener.disconnected(var1);
         }
      });
   }

   public void firescanSessionCreated(final int var1) {
      this.fire(new ListenerAction<ScanSessionEventsListener>() {
         @Override
         public void run() {
            this.listener.scanSessionCreated(var1);
         }
      });
   }
}
