package nn.pp.rccore.scan.impl.commands;

import java.io.IOException;
import nn.pp.rccore.scan.ScanCoreException;

public interface CommandVisitorV01_00 {
   void handleAuthNamePassRequest(AuthNamePassRequest var1) throws IOException, ScanCoreException;

   void handleAuthRDMRequest(AuthRDMRequest var1) throws IOException, ScanCoreException;

   void handleHttpIDGetChallenge(AuthHttpIDGetChallenge var1) throws IOException, ScanCoreException;

   void handleHttpIDChallengeResponse(AuthHttpIDChallResponse var1) throws IOException, ScanCoreException;

   void handleQuitMessageFromClient(QuitMessageFromClient var1) throws IOException, ScanCoreException;

   void handlePongResponse(PongResponse var1) throws IOException, ScanCoreException;

   void handleScanSessionRequest(ScanSessionRequest var1) throws IOException, ScanCoreException;
}
