package nn.pp.rccore.scan.impl.commands;

import java.io.IOException;
import nn.pp.rccore.scan.ScanCoreException;
import nn.pp.rccore.scan.impl.rsp.SupportsVisitor;

public class ScanSessionRequest implements SupportsVisitor<CommandVisitorV01_00> {
   private final String[] portIds;

   public ScanSessionRequest(String[] var1) {
      this.portIds = var1;
   }

   public void accept(CommandVisitorV01_00 var1) throws IOException, ScanCoreException {
      var1.handleScanSessionRequest(this);
   }

   public String[] getPortIds() {
      return this.portIds;
   }
}
