package nn.pp.rccore.scan.impl.rsp;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import nn.pp.core.impl.MonitoringDataOutputStream;
import nn.pp.rccore.scan.ScanCoreException;

public class RSPHelloMessage implements CommandToMessageWriter {
   @Override
   public void writeMessage(MonitoringDataOutputStream var1) throws ScanCoreException, IOException {
      try {
         var1.write("e-RIC RSP P".getBytes("ISO-8859-1"));
         var1.write(0);
         var1.flush();
      } catch (UnsupportedEncodingException var3) {
         throw new ScanCoreException(var3);
      }
   }
}
