package nn.pp.rccore.scan.impl.rsp;

import java.io.IOException;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.MonitoringDataOutputStream;
import nn.pp.rccore.scan.ScanCoreException;

public interface RSPProtoHandler<V> {
   MessageToCommandProducer<V> getMessageToCommandProducer(int var1);

   void executeCommand(MessageToCommandProducer<V> var1);

   <T> void executeClientCommands(MonitoringDataOutputStream var1, MonitoringDataInputStream var2, SupportsVisitor<T> var3) throws IOException, ScanCoreException;

   void setClientCommandsExecutor(ClientCommandsExecutor var1);

   void setEventsListenerManager(EventsListenerManager var1);

   void handleDisconnection();
}
