package nn.pp.rccore.scan.impl.rsp;

import nn.pp.core.NotificationEvent;

public class ScanCoreNotificationEvent extends NotificationEvent {
   private String errorMessage;

   public ScanCoreNotificationEvent(int var1) {
      super(0, var1);
   }

   public ScanCoreNotificationEvent(int var1, int var2) {
      super(1, var2);
   }

   public ScanCoreNotificationEvent(int var1, int var2, boolean var3, String var4) {
      super(var1, var2, var3, var4);
      this.errorMessage = var4;
   }

   public NotificationEvent clone() {
      return new ScanCoreNotificationEvent(this.flags, this.errorCode, this.clientGeneratedError, this.errorMessage);
   }

   @Override
   public String getMessage() {
      return this.errorMessage;
   }
}
