package nn.pp.rccore.scan.impl.rsp.V01_00;

import java.io.IOException;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.rccore.scan.ScanCoreException;
import nn.pp.rccore.scan.impl.rsp.MessageToCommandProducer;

public class QuitRequestFromServer implements MessageToCommandProducer<RSPMessageHandlerV01_00> {
   private final int reason;

   public QuitRequestFromServer() {
      this(-1);
   }

   private QuitRequestFromServer(int var1) {
      this.reason = var1;
   }

   public QuitRequestFromServer readMessage(MonitoringDataInputStream var1) throws IOException, ScanCoreException {
      var1.readShort();
      var1.read();
      int var2 = var1.readInt();
      return new QuitRequestFromServer(var2);
   }

   public void visit(RSPMessageHandlerV01_00 var1) {
      var1.handleQuitRequestFromServer(this);
   }

   public int getReason() {
      return this.reason;
   }
}
