package nn.pp.vmcore;

public interface VirtualMediaEventListener {
   int DRIVE_LOCKING = 1;
   int DRIVE_CONNECTED = 2;
   int DRIVE_DISCONNECTED_BY_USER = 4;
   int ALL = 7;

   void driveConnected(boolean var1);

   void driveDisconnectedByUser(boolean var1);

   void disconnected(Exception var1);

   VirtualMediaEventListener.LockFailAction driveLockingFailed();

   public static enum LockFailAction {
      RETRY,
      IGNORE,
      CANCEL;
   }
}
