package nn.pp.vmcore;

import nn.pp.core.Platform;
import nn.pp.core.WorkstationUnlockDetector;
import nn.pp.vmcore.impl.WorkstationUnlockDetectorImpl;

public class WorkstationUnlockDetectorFactory {
   public static WorkstationUnlockDetector getWorkstationUnlockDetector() {
      return Platform.isWindows() ? new WorkstationUnlockDetectorImpl() : null;
   }
}
