package nn.pp.vmcore.impl;

import java.io.File;
import java.io.IOException;
import java.util.logging.Logger;
import nn.pp.core.T;
import nn.pp.vmcore.RedirectableObject;
import nn.pp.vmcore.VMCore;
import nn.pp.vmcore.VMException;

public class Folder extends RedirectableObject {
   private File folder;

   public Folder(File var1) {
      this.folder = var1;
   }

   public File getFolder() {
      return this.folder;
   }

   @Override
   public String getLongName() {
      return this.folder.getName();
   }

   @Override
   public String getRedirectionType() {
      return T._("Local Folder");
   }

   @Override
   public String getShortName() {
      return this.folder.getName();
   }

   @Override
   public VMCore.DriveType getDriveType(Logger var1) throws IOException, VMException {
      return VMCore.DriveType.REMOVABLE;
   }
}
