package nn.pp.vmcore.impl;

import java.io.File;
import java.util.logging.Logger;

public class RedirectedDriveLinux extends RedirectedDriveDev {
   public RedirectedDriveLinux(File var1, boolean var2, Logger var3) {
      super(var1, var2, var3);
   }

   @Override
   protected boolean devNameIndicatesHarddisk() {
      if (this.filenameEndsWithNumber()) {
         return false;
      } else {
         File var1 = new File("/dev");
         File[] var2 = var1.listFiles();

         for (int var3 = 0; var2 != null && var3 < var2.length; var3++) {
            File var4 = var2[var3];
            if (!var4.isDirectory()) {
               String var5 = var4.getAbsolutePath();
               if (var5.startsWith(this.imageFileName) && !var5.equals(this.imageFileName)) {
                  return true;
               }
            }
         }

         return false;
      }
   }

   private boolean filenameEndsWithNumber() {
      char var1 = this.imageFileName.charAt(this.imageFileName.length() - 1);
      return var1 == '0' || var1 == '1' || var1 == '2' || var1 == '3' || var1 == '4' || var1 == '5' || var1 == '6' || var1 == '7' || var1 == '8' || var1 == '9';
   }
}
