package nn.pp.vmcore.impl;

import nn.pp.core.impl.ListenerList;
import nn.pp.vmcore.VirtualMediaEventListener;

public class VirtualMediaEventListenerList extends ListenerList<VirtualMediaEventListener> {
   public void fireDisconnected(final Exception var1) {
      this.fire(new VirtualMediaEventListenerAction() {
         @Override
         public void run() {
            this.listener.disconnected(var1);
         }
      });
   }

   public VirtualMediaEventListener.LockFailAction fireDriveLockingFailed() {
      VirtualMediaEventListener.LockFailAction var1 = new ListenerList.FireResult<VirtualMediaEventListener.LockFailAction>()
         .fire(new VirtualMediaEventListenerActionLockFail() {
            @Override
            public void run() {
               this.result = this.listener.driveLockingFailed();
            }
         }, 1);
      return var1 != null ? var1 : VirtualMediaEventListener.LockFailAction.CANCEL;
   }

   public void fireVirtualMediaDriveConnected(final boolean var1) {
      this.fire(new VirtualMediaEventListenerAction() {
         @Override
         public void run() {
            this.listener.driveConnected(var1);
         }
      }, 2);
   }

   public void fireVirtualMediaDriveDisConnected(final boolean var1) {
      this.fire(new VirtualMediaEventListenerAction() {
         @Override
         public void run() {
            this.listener.driveDisconnectedByUser(var1);
         }
      }, 4);
   }
}
