package nn.pp.vmcore.impl.msp.V01_02;

import java.io.IOException;
import nn.pp.core.T;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.ProtocolMessage;
import nn.pp.vmcore.VMException;

public class MspAuthChallengeMsgV01_02 extends ProtocolMessage {
   public byte[] challenge;

   public void read(MonitoringDataInputStream var1) throws IOException, VMException {
      byte[] var2 = new byte[73];
      this.challenge = new byte[64];
      var1.readFully(var2);
      if (!new String(var2).substring(0, 9).equals("MSP CHAL=")) {
         throw new VMException(T._("Device doesn't have valid authentication challenge format"));
      } else {
         System.arraycopy(var2, 9, this.challenge, 0, this.challenge.length);
      }
   }
}
