package nn.pp.vmcore.impl.msp.V01_02;

import java.io.IOException;
import nn.pp.core.T;
import nn.pp.core.impl.MonitoringDataOutputStream;
import nn.pp.core.impl.ProtocolMessage;
import nn.pp.vmcore.VMException;

public class MspAuthResponseMsgV01_02 extends ProtocolMessage {
   public void write(MonitoringDataOutputStream var1, String var2) throws IOException, VMException {
      int var3 = var2.length();
      if (var3 != 32 && var3 != 64) {
         throw new VMException(T._("Response has invalid length"));
      } else {
         byte[] var4 = new byte[var3 + 9];
         System.arraycopy("MSP RESP=".getBytes("ISO-8859-1"), 0, var4, 0, 9);
         System.arraycopy(var2.getBytes("ISO-8859-1"), 0, var4, 9, var3);
         this.write(var4);
         var1.write(this);
      }
   }
}
