package nn.pp.vmcore.impl.msp.V01_02;

import java.io.IOException;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.MonitoringDataOutputStream;
import nn.pp.core.impl.ProtocolMessage;

public class MspQuitMsgV01_02 extends ProtocolMessage {
   public int reason;

   public void read(MonitoringDataInputStream var1, boolean var2) throws IOException {
      if (!var2) {
         var1.readUnsignedByte();
      }

      this.reason = var1.readByte() & 255;
   }

   public void write(MonitoringDataOutputStream var1, int var2) throws IOException {
      this.write(3);
      this.write(var2);
      var1.write(this);
   }
}
