package nn.pp.vmcore.impl.msp.V01_02;

import java.io.IOException;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.ProtocolMessage;

public class MspRequestDataMsgV01_02 extends ProtocolMessage {
   public int sectorCount;
   public long startSector;

   public void read(MonitoringDataInputStream var1, boolean var2) throws IOException {
      if (!var2) {
         var1.readUnsignedByte();
      }

      var1.read();
      this.sectorCount = var1.readShort() & '\uffff';
      this.startSector = var1.readInt() & -1;
   }
}
