package nn.pp.vmcore.impl.msp.V01_04;

import java.io.IOException;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.MonitoringDataOutputStream;
import nn.pp.core.impl.ProtocolMessage;

public class MspQuitMsgV01_04 extends ProtocolMessage {
   public int reason;

   public void read(MonitoringDataInputStream var1, boolean var2) throws IOException {
      if (!var2) {
         var1.readUnsignedByte();
      }

      var1.readUnsignedByte();
      var1.readUnsignedShort();
      this.reason = var1.readInt();
   }

   public void write(MonitoringDataOutputStream var1, int var2) throws IOException {
      this.write(3);
      this.write(0);
      this.writeUnsignedShort(0);
      this.writeInt(var2);
      var1.write(this);
   }
}
