package nn.pp.rccore;

public interface IKeyboardMacro {
   int KEYDELI_ADD = 240;
   int KEYDELI_SEPERATE = 241;
   int KEYDELI_PAUSE = 242;
   int KEYDELI_RELEASE_LAST = 243;

   String getName();

   String getCode();

   String getCodeWithConfirm();

   String getNameOrCode();

   IKeyboardMacro.IKeyCode[] getKeycodes();

   boolean getConfirm();

   String getKeycodesAsString();

   public interface IKeyCode {
      int getCode();

      boolean isPress();

      boolean isDelay();
   }
}
