package nn.pp.rccore;

import java.util.List;
import java.util.Locale;

public interface KeyboardInfoListener {
   int KEYBOARD_MACROS = 1;
   int SOFT_KEYBOARD = 2;
   int LOCAL_KEYBOARD = 4;
   int KEYBOARD_LEDS = 8;
   int SUN_KEYBOARD = 16;
   int ALL = 23;

   void keyboardMacroListChanged(List<IKeyboardMacro> var1);

   void softKeyboardMappingChanged(Locale var1);

   void localKeyboardMappingChanged(Locale var1);

   void keyboardLedStateChanged(List<RCCore.KeyboardLed> var1);

   void sunKeyboardSupported(boolean var1);
}
