package nn.pp.rccore;

import java.util.List;

public interface VirtualMediaInfoListener {
   int VM_GENERAL = 1;
   int REMOTE_ISO = 2;
   int USB_PROFILE = 4;
   int ALL = 7;

   void virtualMediaSupportChanged(boolean var1);

   void virtualMediaReadOnlyChanged(boolean var1);

   void virtualMediaDriveCountChanged(int var1);

   void remoteIsoSupportChanged(boolean var1);

   void remoteIsoListChanged(List<IVMMountRequestResponse> var1);

   void remoteIsoMountFinished(IVMMountRequestResponse var1);

   void UsbProfileListChanged(IUsbProfileList var1);

   void virtualMediaConfigChanged(IVMConfigInfo var1);
}
