package com.sun.deploy.association;

public class Action {
   private String description;
   private String verb;
   private String command;
   private int hashcode = 0;

   public Action(String var1, String var2) {
      this.verb = var1;
      this.command = var2;
   }

   public Action(String var1, String var2, String var3) {
      this.verb = var1;
      this.command = var2;
      this.description = var3;
   }

   public String getDescription() {
      return this.description;
   }

   public void setDescription(String var1) {
      this.description = var1;
   }

   public String getVerb() {
      return this.verb;
   }

   public void setVerb(String var1) {
      this.verb = var1;
   }

   public String getCommand() {
      return this.command;
   }

   public void setCommand(String var1) {
      this.command = var1;
   }

   public boolean equals(Object var1) {
      if (var1 instanceof Action) {
         Action var2 = (Action)var1;
         String var3 = var2.getDescription();
         String var4 = var2.getVerb();
         String var5 = var2.getCommand();
         if ((this.description == null ? var3 == null : this.description.equals(var3))
            && (this.verb == null ? var4 == null : this.verb.equals(var4))
            && (this.command == null ? var5 == null : this.command.equals(var5))) {
            return true;
         }
      }

      return false;
   }

   public int hashCode() {
      if (this.hashcode != 0) {
         int var1 = 17;
         if (this.description != null) {
            var1 = 37 * var1 + this.description.hashCode();
         }

         if (this.verb != null) {
            var1 = 37 * var1 + this.verb.hashCode();
         }

         if (this.command != null) {
            var1 = 37 * var1 + this.command.hashCode();
         }

         this.hashcode = var1;
      }

      return this.hashcode;
   }

   public String toString() {
      String var1 = "\r\n";
      String var2 = "";
      String var3 = "\t";
      var2 = var2.concat(var3);
      var2 = var2.concat("Description: ");
      if (this.description != null) {
         var2 = var2.concat(this.description);
      }

      var2 = var2.concat(var1);
      var2 = var2.concat(var3);
      var2 = var2.concat("Verb: ");
      if (this.verb != null) {
         var2 = var2.concat(this.verb);
      }

      var2 = var2.concat(var1);
      var2 = var2.concat(var3);
      var2 = var2.concat("Command: ");
      if (this.command != null) {
         var2 = var2.concat(this.command);
      }

      return var2.concat(var1);
   }
}
