package com.sun.deploy.association.utility;

import java.net.URL;
import java.util.List;

public interface AppAssociationReader {
   String getDescriptionByMimeType(String var1);

   String getDescriptionByFileExt(String var1);

   String getMimeTypeByURL(URL var1);

   List getFileExtListByMimeType(String var1);

   String getMimeTypeByFileExt(String var1);

   String getIconFileNameByMimeType(String var1);

   String getIconFileNameByFileExt(String var1);

   List getActionListByFileExt(String var1);

   List getActionListByMimeType(String var1);

   boolean isMimeTypeExist(String var1);

   boolean isFileExtExist(String var1);
}
