package com.sun.deploy.association.utility;

import java.net.URL;

public class AppUtility {
   private AppUtility() {
   }

   public static String getFileExtensionByURL(URL var0) {
      String var1 = var0.getFile().trim();
      if (var1 != null && var1 != "" && var1 != "/") {
         int var2 = var1.lastIndexOf("/");
         String var3 = var1.substring(var2 + 1, var1.length());
         var2 = var3.lastIndexOf(".");
         return var2 != -1 && var2 != var3.length() - 1 ? var3.substring(var2, var3.length()) : null;
      } else {
         return null;
      }
   }

   public static String removeDotFromFileExtension(String var0) {
      String var1 = var0;
      if (var0.charAt(0) == '.') {
         var1 = var0.substring(1, var0.length());
      }

      return var1;
   }

   public static String addDotToFileExtension(String var0) {
      String var1 = var0;
      if (var0.charAt(0) != '.') {
         String var2 = ".";
         var1 = var2.concat(var0);
      }

      return var1;
   }
}
