package com.sun.deploy.association.utility;

import com.sun.deploy.config.UnixConfig;

public class GnomeVfsWrapper {
   public static final String GNOME_VFS_MIME_KEY_DESCRIPTION = "description";
   public static final String GNOME_VFS_MIME_DEFAULT_KEY_ICON_FILENAME = "icon_filename";

   private GnomeVfsWrapper() {
   }

   public static native boolean openGNOMELibrary();

   public static native void closeGNOMELibrary();

   public static native boolean initGNOMELibrary();

   public static native String gnome_vfs_get_mime_type(String var0);

   public static native String gnome_vfs_mime_get_description(String var0);

   public static native String gnome_vfs_mime_get_icon(String var0);

   public static native String[] gnome_vfs_mime_get_key_list(String var0);

   public static native String gnome_vfs_mime_get_value(String var0, String var1);

   public static native String gnome_vfs_mime_get_default_application_command(String var0);

   public static native String[] gnome_vfs_get_registered_mime_types();

   public static native String[] gnome_vfs_mime_get_extensions_list(String var0);

   public static native String getenv(String var0);

   static {
      UnixConfig.loadLibDeploy();
   }
}
