package com.sun.deploy.net.proxy;

import com.sun.deploy.util.Trace;
import java.net.URL;
import java.util.StringTokenizer;

public final class DummyAutoProxyHandler extends AbstractAutoProxyHandler {
   protected boolean isIExplorer() {
      return true;
   }

   public ProxyInfo[] getProxyInfo(URL var1) {
      try {
         String var2 = null;
         if (this.jsPacScript != null) {
            StringTokenizer var3 = new StringTokenizer(this.jsPacScript, ";", false);

            while (var3.hasMoreTokens()) {
               String var4 = var3.nextToken();
               int var5 = var4.indexOf("DIRECT");
               int var6 = var4.indexOf("PROXY");
               int var7 = var4.indexOf("SOCKS");
               int var8 = this.positiveMin(var5, this.positiveMin(var6, var7));
               int var9 = var4.lastIndexOf("\"");
               if (var8 != -1) {
                  if (var9 <= var8) {
                     var2 = var4.substring(var8);
                  } else {
                     var2 = var4.substring(var8, var9);
                  }
                  break;
               }
            }
         }

         return this.extractAutoProxySetting(var2);
      } catch (Throwable var10) {
         Trace.msgNetPrintln("net.proxy.auto.result.error");
         return new ProxyInfo[]{new ProxyInfo(null)};
      }
   }

   private int positiveMin(int var1, int var2) {
      if (var1 < 0) {
         return var2;
      } else if (var2 < 0) {
         return var1;
      } else {
         return var1 > var2 ? var2 : var1;
      }
   }
}
