package com.sun.deploy.net.proxy;

public class MDefaultBrowserProxyConfig implements BrowserProxyConfig {
   private static String PROXY_PRO_HTTP = "http";
   private static String PROXY_PRO_FTP = "ftp";
   private static String PROXY_PRO_SOCKS = "socks";
   private static String PROXY_PRO_HTTPS = "https";
   private static String PROXY_EMPTY_URL = "";

   public BrowserProxyInfo getBrowserProxyInfo() {
      BrowserProxyInfo var1 = null;
      MNetscape6ProxyConfig var2 = new MNetscape6ProxyConfig();
      var1 = var2.getBrowserProxyInfo();
      if (var1.getType() == -1) {
         MNetscape4ProxyConfig var3 = new MNetscape4ProxyConfig();
         var1 = var3.getBrowserProxyInfo();
      }

      return var1;
   }

   public void getSystemProxy(BrowserProxyInfo var1) {
      MSystemProxyHandler var3 = new MSystemProxyHandler();
      if (MSystemProxyHandler.hasSystemProxies) {
         String var2 = var3.getSystemProxy(PROXY_PRO_HTTP, PROXY_EMPTY_URL);
         if (var2 != null) {
            var1.setHttpHost(this.getHost(var2));
            var1.setHttpPort(this.getPort(var2));
         }

         var2 = var3.getSystemProxy(PROXY_PRO_FTP, PROXY_EMPTY_URL);
         if (var2 != null) {
            var1.setFtpHost(this.getHost(var2));
            var1.setFtpPort(this.getPort(var2));
         }

         var2 = var3.getSystemProxy(PROXY_PRO_HTTPS, PROXY_EMPTY_URL);
         if (var2 != null) {
            var1.setHttpsHost(this.getHost(var2));
            var1.setHttpsPort(this.getPort(var2));
         }

         var2 = var3.getSystemProxy(PROXY_PRO_SOCKS, PROXY_EMPTY_URL);
         if (var2 != null) {
            var1.setSocksHost(this.getHost(var2));
            var1.setSocksPort(this.getPort(var2));
         }
      }
   }

   private String getHost(String var1) {
      return var1.substring(0, var1.indexOf(58));
   }

   private int getPort(String var1) {
      String var2 = var1.substring(var1.lastIndexOf(58) + 1);
      return Integer.parseInt(var2);
   }
}
