package com.sun.deploy.net.proxy;

import com.sun.deploy.util.Trace;
import java.io.File;
import java.io.IOException;
import java.security.AccessController;
import sun.security.action.GetPropertyAction;

public final class MNetscape6ProxyConfig implements BrowserProxyConfig {
   public BrowserProxyInfo getBrowserProxyInfo() {
      Trace.msgNetPrintln("net.proxy.loading.ns");
      BrowserProxyInfo var1 = new BrowserProxyInfo();

      try {
         String var2 = System.getProperty("user.home");
         File var3 = new File(var2 + "/.mozilla/appreg");
         Object var4 = null;

         try {
            var4 = NSPreferences.getNS6PrefsFile(var3);
            Trace.msgNetPrintln("net.proxy.browser.pref.read", new Object[]{var4.getPath()});
            NSPreferences.parseFile((File)var4, var1, 6.0F);
         } catch (IOException var6) {
            Trace.msgNetPrintln("net.proxy.ns6.regs.exception", new Object[]{var3.getPath()});
            var1.setType(-1);
         }
      } catch (SecurityException var7) {
         Trace.netPrintException(var7);
         var1.setType(-1);
      }

      if (AccessController.doPrivileged(new GetPropertyAction("javaplugin.version")) != null) {
         var1.setType(3);
      }

      Trace.msgNetPrintln("net.proxy.loading.done");
      return var1;
   }

   public void getSystemProxy(BrowserProxyInfo var1) {
   }
}
