package com.sun.deploy.panel;

import com.sun.deploy.resources.ResourceManager;
import java.util.ArrayList;
import java.util.List;

class SimpleTreeNode implements ITreeNode {
   private String desc;
   private List lChildNodes = new ArrayList();
   private List lProperties = new ArrayList();

   SimpleTreeNode(String var1) {
      String var2 = ResourceManager.getMessage(var1);
      this.desc = var2;
   }

   public String getDescription() {
      return this.desc;
   }

   public int getChildNodeCount() {
      return this.lChildNodes.size();
   }

   public ITreeNode getChildNode(int var1) {
      return (ITreeNode)this.lChildNodes.get(var1);
   }

   public void addChildNode(ITreeNode var1) {
      this.lChildNodes.add(var1);
   }

   public int getPropertyCount() {
      return this.lProperties.size();
   }

   public IProperty getProperty(int var1) {
      return (IProperty)this.lProperties.get(var1);
   }

   public void addProperty(IProperty var1) {
      this.lProperties.add(var1);
   }

   public String toString() {
      return this.desc;
   }
}
