package com.sun.deploy.panel;

import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import javax.swing.JTree;
import javax.swing.tree.TreePath;

public class SpecialTreeListener extends KeyAdapter {
   public void keyPressed(KeyEvent var1) {
      if (var1.getSource() instanceof JTree) {
         JTree var2 = (JTree)var1.getSource();
         TreePath var3 = var2.getSelectionPath();
         switch (var1.getKeyCode()) {
            case 32:
               if (var3 != null && var3.getLastPathComponent() instanceof IProperty) {
                  IProperty var4 = (IProperty)var3.getLastPathComponent();
                  if (var4 instanceof ToggleProperty) {
                     ((ToggleProperty)var4).setValue("true".equalsIgnoreCase(var4.getValue()) ? "false" : "true");
                  }

                  if (var4 instanceof RadioProperty) {
                     ((RadioProperty)var4).setValue(var4.getValue());
                  }

                  var2.repaint();
               }
         }
      }
   }

   public void keyReleased(KeyEvent var1) {
      if (var1.getSource() instanceof JTree) {
         JTree var2 = (JTree)var1.getSource();
         TreePath var3 = var2.getSelectionPath();
         switch (var1.getKeyCode()) {
            case 39:
               if (var3 != null && var3.getLastPathComponent() instanceof TextFieldProperty) {
                  var2.startEditingAtPath(var3);
               }
               break;
            case 40:
               if (var3 != null && var3.getLastPathComponent() instanceof TextFieldProperty) {
                  var2.startEditingAtPath(var3);
               }
         }
      }
   }
}
