package com.sun.deploy.panel;

import com.sun.deploy.config.Config;

final class ToggleProperty extends BasicProperty {
   public ToggleProperty(String var1, String var2) {
      super(var1, var2);
      String var3 = Config.getProperty(var1);
      if (var3 != null) {
         this.setValue(var3);
      }
   }

   public boolean isSelected() {
      return "true".equalsIgnoreCase(this.getValue());
   }
}
