package com.sun.deploy.security;

import java.net.PasswordAuthentication;
import java.util.Arrays;

public abstract class AbstractBrowserAuthenticator implements BrowserAuthenticator {
   protected PasswordAuthentication getPAFromCharArray(char[] var1) {
      if (var1 == null) {
         return null;
      } else {
         int var2 = 0;

         while (var2 < var1.length && ':' != var1[var2]) {
            var2++;
         }

         PasswordAuthentication var3 = null;
         if (var2 < var1.length) {
            String var4 = new String(var1, 0, var2);
            char[] var5 = this.extractArray(var1, var2 + 1);
            var3 = new PasswordAuthentication(var4, var5);
            this.resetArray(var5);
         }

         this.resetArray(var1);
         return var3;
      }
   }

   private void resetArray(char[] var1) {
      Arrays.fill(var1, ' ');
   }

   private char[] extractArray(char[] var1, int var2) {
      char[] var3 = new char[var1.length - var2];

      for (int var4 = 0; var4 < var3.length; var4++) {
         var3[var4] = var1[var4 + var2];
      }

      return var3;
   }
}
