package com.sun.deploy.security;

import java.io.IOException;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.cert.Certificate;
import java.security.cert.CertificateException;
import java.util.Iterator;

public interface CertStore {
   int USER = 0;
   int SYSTEM = 1;

   void load() throws IOException, CertificateException, KeyStoreException, NoSuchAlgorithmException;

   void save() throws IOException, CertificateException, KeyStoreException, NoSuchAlgorithmException;

   void add(Certificate var1) throws KeyStoreException;

   boolean remove(Certificate var1) throws IOException, KeyStoreException;

   boolean contains(Certificate var1) throws KeyStoreException;

   boolean verify(Certificate var1) throws KeyStoreException;

   Iterator iterator(int var1) throws KeyStoreException;
}
