package com.sun.deploy.security;

import java.io.IOException;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.cert.Certificate;
import java.security.cert.CertificateException;
import java.util.Collection;
import java.util.HashSet;
import java.util.Iterator;

final class DeniedCertStore implements CertStore {
   private Collection _certs = new HashSet();

   public void load() throws IOException, CertificateException, KeyStoreException, NoSuchAlgorithmException {
   }

   public void save() throws IOException, CertificateException, KeyStoreException, NoSuchAlgorithmException {
   }

   public void add(Certificate var1) throws KeyStoreException {
      this._certs.add(var1);
   }

   public boolean remove(Certificate var1) throws IOException, KeyStoreException {
      this._certs.remove(var1);
      return true;
   }

   public boolean contains(Certificate var1) throws KeyStoreException {
      return this._certs.contains(var1);
   }

   public boolean verify(Certificate var1) throws KeyStoreException {
      return false;
   }

   public Iterator iterator(int var1) throws KeyStoreException {
      return var1 == 0 ? this._certs.iterator() : null;
   }
}
