package com.sun.deploy.ui;

import java.net.URL;
import sun.awt.AppContext;

public class AppInfo {
   public static final int TYPE_UNKNOWN = 0;
   public static final int TYPE_APPLICATION = 1;
   public static final int TYPE_APPLET = 2;
   public static final int TYPE_LIBRARY = 3;
   public static final int TYPE_INSTALLER = 4;
   private int type = 0;
   private String title = null;
   private String vendor = null;
   private URL from = null;
   private URL iconRef = null;
   private String iconVersion = null;

   public AppInfo() {
      this.type = 2;
      AppContext var1 = AppContext.getAppContext();
      Object var2 = var1.get("deploy.trust.decider.app.name");
      if (var2 != null) {
         this.title = var2.toString();
      }
   }

   public AppInfo(int var1, String var2, String var3, URL var4, URL var5, String var6) {
      this.type = var1;
      this.title = var2;
      this.vendor = var3;
      this.from = var4;
      this.iconRef = var5;
      this.iconVersion = var6;
   }

   public int getType() {
      return this.type;
   }

   public String getTitle() {
      return this.title;
   }

   public String getVendor() {
      return this.vendor;
   }

   public URL getFrom() {
      return this.from;
   }

   public URL getIconRef() {
      return this.iconRef;
   }

   public String getIconVersion() {
      return this.iconVersion;
   }

   public void setType(int var1) {
      this.type = var1;
   }

   public void setTitle(String var1) {
      this.title = var1;
   }

   public void setVendor(String var1) {
      this.vendor = var1;
   }

   public void setFrom(URL var1) {
      this.from = var1;
   }

   public void setIconRef(URL var1) {
      this.iconRef = var1;
   }

   public void setIconVersion(String var1) {
      this.iconVersion = var1;
   }
}
