package com.sun.deploy.util;

import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.PrintStream;

public final class FileTraceListener implements TraceListener {
   private File logFile;
   private PrintStream fileTraceStream;

   public FileTraceListener(File var1, boolean var2) {
      this.logFile = var1;
      this.init(var2);
   }

   private void init(boolean var1) {
      try {
         this.fileTraceStream = new PrintStream(new BufferedOutputStream(new FileOutputStream(this.logFile.getPath(), var1)));
      } catch (IOException var3) {
         var3.printStackTrace();
      }
   }

   public void print(String var1) {
      this.fileTraceStream.print(var1);
      this.fileTraceStream.flush();
   }
}
