package com.sun.deploy.util;

import java.awt.Color;
import java.awt.Cursor;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import javax.swing.JLabel;

public class LinkMouseListener implements MouseListener {
   private Cursor handCursor = new Cursor(12);
   private Color txtColor = null;
   private Cursor lblCursor = null;
   private JLabel label;

   private native void launchLink(String var1);

   public LinkMouseListener(JLabel var1) {
      this.label = var1;
   }

   public void mouseClicked(MouseEvent var1) {
      String var2 = this.label.getText();
      Thread var3 = new Thread(new LinkMouseListener$1(this, var2));
      var3.start();
   }

   public void mouseEntered(MouseEvent var1) {
      this.txtColor = this.label.getForeground();
      this.lblCursor = this.label.getCursor();
      this.label.setForeground(Color.RED);
      this.label.setCursor(this.handCursor);
   }

   public void mouseExited(MouseEvent var1) {
      if (this.txtColor != null) {
         this.label.setForeground(this.txtColor);
      }

      if (this.lblCursor != null) {
         this.label.setCursor(this.lblCursor);
      }
   }

   public void mousePressed(MouseEvent var1) {
   }

   public void mouseReleased(MouseEvent var1) {
   }
}
