package com.sun.deploy.util;

import java.io.File;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.StringTokenizer;

public class SearchPath {
   private String _path;

   public SearchPath(String var1) {
      this._path = var1;
   }

   public File find(String var1) {
      String[] var2 = new String[]{var1};
      return this.findOne(var2);
   }

   public File findOne(String[] var1) {
      return this.find(var1, null);
   }

   public File[] findAll(String[] var1) {
      ArrayList var2 = new ArrayList(var1.length * 4);
      File var3 = null;
      boolean var4 = true;

      do {
         var3 = this.find(var1, var3);
         if (var3 != null) {
            var2.add(var3);
         }
      } while (var3 != null);

      return var2.toArray(new File[var2.size()]);
   }

   private File find(String[] var1, File var2) {
      StringTokenizer var3 = new StringTokenizer(this._path, File.pathSeparator);
      List var4 = Arrays.asList(var1);
      int var5 = var1.length;
      File var6 = null;
      File var7 = null;
      if (var2 != null) {
         var5 = var4.indexOf(var2.getName()) + 1;

         while (var3.hasMoreTokens()) {
            var6 = new File(var3.nextToken());
            if (var6.equals(var2.getParentFile())) {
               break;
            }
         }
      }

      do {
         if (var5 >= var1.length) {
            var5 = 0;
            if (var3.hasMoreTokens()) {
               var6 = new File(var3.nextToken());
            } else {
               var6 = null;
            }
         }

         if (var6 != null) {
            File var8 = new File(var6, (String)var4.get(var5++));
            if (var8.exists()) {
               var7 = var8;
            }
         }
      } while (var7 == null && var6 != null);

      return var7;
   }
}
