package sun.plugin;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.net.URL;
import java.net.URLConnection;
import java.security.PrivilegedExceptionAction;
import java.util.Enumeration;
import java.util.zip.ZipEntry;
import sun.net.www.protocol.jar.URLJarFile;

class PluginURLJarFileCallBack$1 implements PrivilegedExceptionAction {
   private final URLConnection val$conn;
   private final URL val$url;
   private final PluginURLJarFileCallBack this$0;

   public Object run() throws IOException {
      BufferedInputStream var1 = null;
      BufferedOutputStream var2 = null;

      URLJarFile var28;
      try {
         var1 = new BufferedInputStream(this.val$conn.getInputStream());
         File var3 = File.createTempFile("jar_cache", null);
         var2 = new BufferedOutputStream(new FileOutputStream(var3));
         int var4 = 0;
         byte[] var5 = new byte[PluginURLJarFileCallBack.access$000()];

         while ((var4 = var1.read(var5)) != -1) {
            var2.write(var5, 0, var4);
         }

         var2.close();
         var2 = null;
         if (!this.val$url.toString().toUpperCase().endsWith(".JARJAR")) {
            return new URLJarFile(var3);
         }

         URLJarFile var6 = new URLJarFile(var3);
         Enumeration var7 = var6.entries();
         ZipEntry var8 = null;
         int var9 = 0;

         while (var7.hasMoreElements()) {
            var8 = (ZipEntry)var7.nextElement();
            if (!var8.getName().toUpperCase().startsWith("META-INF")) {
               if (!var8.toString().toUpperCase().endsWith(".JAR")) {
                  throw new IOException("Invalid entry in jarjar file");
               }

               if (++var9 > 1) {
                  break;
               }
            }
         }

         if (var9 > 1) {
            throw new IOException("Multiple JAR files inside JARJAR file");
         }

         BufferedInputStream var10 = null;
         BufferedOutputStream var11 = null;

         try {
            File var12 = File.createTempFile("jar_cache", null);
            var10 = new BufferedInputStream(var6.getInputStream(var8));
            var11 = new BufferedOutputStream(new FileOutputStream(var12));
            int var24 = 0;

            while ((var24 = var10.read(var5)) != -1) {
               var11.write(var5, 0, var24);
            }

            var11.close();
            var11 = null;
            var6 = new URLJarFile(var12);
         } finally {
            if (var10 != null) {
               var10.close();
            }

            if (var11 != null) {
               var11.close();
            }
         }

         var28 = var6;
      } finally {
         if (var1 != null) {
            var1.close();
         }

         if (var2 != null) {
            var2.close();
         }
      }

      return var28;
   }

   PluginURLJarFileCallBack$1(PluginURLJarFileCallBack var1, URLConnection var2, URL var3) throws IOException {
      this.this$0 = var1;
      this.val$conn = var2;
      this.val$url = var3;
   }
}
