package sun.plugin.cache;

import java.awt.Color;
import java.awt.Component;
import java.awt.Font;
import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;

class JarCacheTableCellRenderer extends DefaultTableCellRenderer {
   private Font tableFont = null;
   private Color shadeColor = null;

   public JarCacheTableCellRenderer(Font var1, Color var2) {
      this.tableFont = var1;
      this.shadeColor = var2;
   }

   public Component getTableCellRendererComponent(JTable var1, Object var2, boolean var3, boolean var4, int var5, int var6) {
      this.setText(var2 == null ? "" : " " + var2.toString());
      this.setForeground(Color.black);
      if (var3) {
         this.setBackground(var1.getSelectionBackground());
      } else {
         this.setBackground(Color.white);
      }

      this.setHorizontalAlignment(2);
      this.setFont(this.tableFont);
      return this;
   }
}
