package sun.plugin.dom;

import org.w3c.dom.DOMException;

public class DOMObjectHelper {
   public static int getIntMember(DOMObject var0, String var1) throws DOMException {
      Object var2 = var0.getMember(var1);
      return var2 != null ? new Float(var2.toString()).intValue() : 0;
   }

   public static int getIntMemberNoEx(DOMObject var0, String var1) {
      try {
         return getIntMember(var0, var1);
      } catch (DOMException var3) {
         return 0;
      }
   }

   public static boolean getBooleanMember(DOMObject var0, String var1) throws DOMException {
      Object var2 = var0.getMember(var1);
      return var2 != null ? new Boolean(var2.toString()) : false;
   }

   public static boolean getBooleanMemberNoEx(DOMObject var0, String var1) {
      try {
         return getBooleanMember(var0, var1);
      } catch (DOMException var3) {
         return false;
      }
   }

   public static void setIntMember(DOMObject var0, String var1, int var2) throws DOMException {
      var0.setMember(var1, var2 + "");
   }

   public static void setIntMemberNoEx(DOMObject var0, String var1, int var2) {
      try {
         setIntMember(var0, var1, var2);
      } catch (DOMException var4) {
      }
   }

   public static void setBooleanMember(DOMObject var0, String var1, boolean var2) throws DOMException {
      var0.setMember(var1, var2 + "");
   }

   public static void setBooleanMemberNoEx(DOMObject var0, String var1, boolean var2) {
      try {
         setBooleanMember(var0, var1, var2);
      } catch (DOMException var4) {
      }
   }

   public static String getStringMember(DOMObject var0, String var1) throws DOMException {
      Object var2 = var0.getMember(var1);
      return var2 != null ? var2.toString() : null;
   }

   public static String getStringMemberNoEx(DOMObject var0, String var1) {
      try {
         return getStringMember(var0, var1);
      } catch (DOMException var3) {
         return null;
      }
   }

   public static void setStringMember(DOMObject var0, String var1, String var2) throws DOMException {
      var0.setMember(var1, var2);
   }

   public static void setStringMemberNoEx(DOMObject var0, String var1, String var2) {
      try {
         setStringMember(var0, var1, var2);
      } catch (DOMException var4) {
      }
   }

   public static String callStringMethod(DOMObject var0, String var1, Object[] var2) {
      Object var3 = var0.call(var1, var2);
      return var3 != null ? var3.toString() : null;
   }
}
