package sun.plugin.dom;

public interface DOMObjectType {
   int Attr = 1;
   int CDATASection = 2;
   int CharacterData = 3;
   int Comment = 4;
   int Document = 5;
   int DocumentFragment = 6;
   int DocumentType = 7;
   int DOMException = 8;
   int DOMImplementation = 9;
   int Element = 10;
   int Entity = 11;
   int EntityReference = 12;
   int NamedNodeMap = 13;
   int Node = 14;
   int NodeList = 15;
   int Notation = 16;
   int ProcessingInstruction = 17;
   int Text = 18;
   int HTMLAnchorElement = 19;
   int HTMLAppletElement = 20;
   int HTMLAreaElement = 21;
   int HTMLBaseElement = 22;
   int HTMLBaseFontElement = 23;
   int HTMLBodyElement = 24;
   int HTMLBRElement = 25;
   int HTMLButtonElement = 26;
   int HTMLCollection = 27;
   int HTMLDirectoryElement = 28;
   int HTMLDivElement = 29;
   int HTMLDListElement = 30;
   int HTMLDocument = 31;
   int HTMLDOMImplementation = 32;
   int HTMLElement = 33;
   int HTMLFieldSetElement = 34;
   int HTMLFontElement = 35;
   int HTMLFormElement = 36;
   int HTMLFrameElement = 37;
   int HTMLFrameSetElement = 38;
   int HTMLHeadElement = 39;
   int HTMLHeadingElement = 40;
   int HTMLHRElement = 41;
   int HTMLHtmlElement = 42;
   int HTMLIFrameElement = 43;
   int HTMLImageElement = 44;
   int HTMLInputElement = 45;
   int HTMLIsIndexElement = 46;
   int HTMLLabelElement = 47;
   int HTMLLegendElement = 48;
   int HTMLLIElement = 49;
   int HTMLLinkElement = 50;
   int HTMLMapElement = 51;
   int HTMLMenuElement = 52;
   int HTMLMetaElement = 53;
   int HTMLModElement = 54;
   int HTMLObjectElement = 55;
   int HTMLOListElement = 56;
   int HTMLOptGroupElement = 57;
   int HTMLOptionElement = 58;
   int HTMLParagraphElement = 59;
   int HTMLParamElement = 60;
   int HTMLPreElement = 61;
   int HTMLQuoteElement = 62;
   int HTMLScriptElement = 63;
   int HTMLSelectElement = 64;
   int HTMLStyleElement = 65;
   int HTMLTableCaptionElement = 66;
   int HTMLTableCellElement = 67;
   int HTMLTableColElement = 68;
   int HTMLTableElement = 69;
   int HTMLTableSectionElement = 70;
   int HTMLTableRowElement = 71;
   int HTMLTextAreaElement = 72;
   int HTMLTitleElement = 73;
   int HTMLUListElement = 74;
   int AbstractView = 75;
   int DocumentView = 76;
   int DocumentStyle = 77;
   int LinkStyle = 78;
   int MediaList = 79;
   int StyleSheet = 80;
   int StyleSheetList = 81;
   int DocumentEvent = 82;
   int Event = 83;
   int EventException = 84;
   int EventListener = 85;
   int EventTarget = 86;
   int MouseEvent = 87;
   int MutationEvent = 88;
   int UIEvent = 89;
   int Counter = 90;
   int CSS2Azimuth = 91;
   int CSS2BackgroundPosition = 92;
   int CSS2BorderSpacing = 93;
   int CSS2CounterIncrement = 94;
   int CSS2CounterReset = 95;
   int CSS2Cursor = 96;
   int CSS2FontFaceSrc = 97;
   int CSS2FontFaceWidths = 98;
   int CSS2PageSize = 99;
   int CSS2PlayDuring = 100;
   int CSS2Properties = 101;
   int CSS2TextShadow = 102;
   int CSSCharsetRule = 103;
   int CSSFontFaceRule = 104;
   int CSSImportRule = 105;
   int CSSMediaRule = 106;
   int CSSPageRule = 107;
   int CSSPrimitiveValue = 108;
   int CSSRule = 109;
   int CSSRuleList = 110;
   int CSSStyleDeclaration = 111;
   int CSSStyleRule = 112;
   int CSSStyleSheet = 113;
   int CSSUnknownRule = 114;
   int CSSValue = 115;
   int CSSValueList = 116;
   int DocumentCSS = 117;
   int DOMImplementationCSS = 118;
   int ElementCSSInlineStyle = 119;
   int Rect = 120;
   int RGBColor = 121;
   int ViewCSS = 122;
}
