package sun.plugin.dom.css;

import org.w3c.dom.DOMException;
import org.w3c.dom.Node;
import sun.plugin.dom.DOMObject;
import sun.plugin.dom.DOMObjectHelper;
import sun.plugin.dom.stylesheets.StyleSheet;

public class CSSStyleSheet extends StyleSheet implements org.w3c.dom.css.CSSStyleSheet {
   public void deleteRule(int var1) throws DOMException {
      Object[] var2 = new Object[]{new Integer(var1)};
      DOMObjectHelper.callStringMethod(this.obj, "deleteRule", var2);
   }

   public int insertRule(String var1, int var2) throws DOMException {
      Object[] var3 = new Object[]{var1, new Integer(var2)};
      String var4 = DOMObjectHelper.callStringMethod(this.obj, "insertRule", var3);
      return var4 != null ? new Integer(var4) : 0;
   }

   public org.w3c.dom.css.CSSRule getOwnerRule() {
      return null;
   }

   public org.w3c.dom.css.CSSRuleList getCssRules() {
      try {
         Object var1 = null;

         try {
            var1 = this.obj.getMember("cssRules");
         } catch (Throwable var4) {
         }

         if (var1 == null) {
            try {
               var1 = this.obj.getMember("rules");
            } catch (Throwable var3) {
            }
         }

         if (var1 != null && var1 instanceof DOMObject) {
            return new CSSRuleList((DOMObject)var1, this, null);
         }
      } catch (DOMException var5) {
         var5.printStackTrace();
      }

      return null;
   }

   public CSSStyleSheet(DOMObject var1, Node var2) {
      super(var1, var2);
   }
}
