package sun.plugin.dom.html;

import org.w3c.dom.Document;
import sun.plugin.dom.DOMObject;
import sun.plugin.dom.DOMObjectHelper;

public class HTMLObjectElement extends HTMLElement implements org.w3c.dom.html.HTMLObjectElement {
   public int getTabIndex() {
      return DOMObjectHelper.getIntMemberNoEx(this.obj, "tabIndex");
   }

   public boolean getDeclare() {
      return DOMObjectHelper.getBooleanMemberNoEx(this.obj, "declare");
   }

   public void setTabIndex(int var1) {
      DOMObjectHelper.setIntMemberNoEx(this.obj, "tabIndex", var1);
   }

   public void setDeclare(boolean var1) {
      DOMObjectHelper.setBooleanMemberNoEx(this.obj, "declare", var1);
   }

   public String getAlign() {
      return this.getAttribute("align");
   }

   public String getArchive() {
      return this.getAttribute("archive");
   }

   public String getBorder() {
      return this.getAttribute("border");
   }

   public String getCode() {
      return this.getAttribute("code");
   }

   public String getCodeBase() {
      return this.getAttribute("codeBase");
   }

   public String getCodeType() {
      return this.getAttribute("codeType");
   }

   public String getData() {
      return this.getAttribute("data");
   }

   public String getHeight() {
      return this.getAttribute("height");
   }

   public String getHspace() {
      return this.getAttribute("hspace");
   }

   public String getName() {
      return this.getAttribute("name");
   }

   public String getStandby() {
      return this.getAttribute("standby");
   }

   public String getType() {
      return this.getAttribute("type");
   }

   public String getUseMap() {
      return this.getAttribute("useMap");
   }

   public String getVspace() {
      return this.getAttribute("vspace");
   }

   public String getWidth() {
      return this.getAttribute("width");
   }

   public void setAlign(String var1) {
      this.setAttribute("align", var1);
   }

   public void setArchive(String var1) {
      this.setAttribute("archive", var1);
   }

   public void setBorder(String var1) {
      this.setAttribute("border", var1);
   }

   public void setCode(String var1) {
      this.setAttribute("code", var1);
   }

   public void setCodeBase(String var1) {
      this.setAttribute("codeBase", var1);
   }

   public void setCodeType(String var1) {
      this.setAttribute("codeType", var1);
   }

   public void setData(String var1) {
      this.setAttribute("data", var1);
   }

   public void setHeight(String var1) {
      this.setAttribute("height", var1);
   }

   public void setHspace(String var1) {
      this.setAttribute("hspace", var1);
   }

   public void setName(String var1) {
      this.setAttribute("name", var1);
   }

   public void setStandby(String var1) {
      this.setAttribute("standby", var1);
   }

   public void setType(String var1) {
      this.setAttribute("type", var1);
   }

   public void setUseMap(String var1) {
      this.setAttribute("useMap", var1);
   }

   public void setVspace(String var1) {
      this.setAttribute("vspace", var1);
   }

   public void setWidth(String var1) {
      this.setAttribute("width", var1);
   }

   public Document getContentDocument() {
      return this.getOwnerDocument();
   }

   public org.w3c.dom.html.HTMLFormElement getForm() {
      return null;
   }

   public HTMLObjectElement(DOMObject var1, org.w3c.dom.html.HTMLDocument var2) {
      super(55, var1, var2);
   }
}
