package sun.plugin.dom.html;

import sun.plugin.dom.DOMObject;
import sun.plugin.dom.DOMObjectHelper;

public class HTMLTextAreaElement extends HTMLElement implements org.w3c.dom.html.HTMLTextAreaElement {
   public int getCols() {
      return DOMObjectHelper.getIntMemberNoEx(this.obj, "cols");
   }

   public int getRows() {
      return DOMObjectHelper.getIntMemberNoEx(this.obj, "rows");
   }

   public int getTabIndex() {
      return DOMObjectHelper.getIntMemberNoEx(this.obj, "tabIndex");
   }

   public void blur() {
      this.obj.call("blur", null);
   }

   public void focus() {
      this.obj.call("focus", null);
   }

   public void select() {
      this.obj.call("select", null);
   }

   public boolean getDisabled() {
      return DOMObjectHelper.getBooleanMemberNoEx(this.obj, "disabled");
   }

   public boolean getReadOnly() {
      return DOMObjectHelper.getBooleanMemberNoEx(this.obj, "readOnly");
   }

   public void setCols(int var1) {
      DOMObjectHelper.setIntMemberNoEx(this.obj, "cols", var1);
   }

   public void setRows(int var1) {
      DOMObjectHelper.setIntMemberNoEx(this.obj, "rows", var1);
   }

   public void setTabIndex(int var1) {
      DOMObjectHelper.setIntMemberNoEx(this.obj, "tabIndex", var1);
   }

   public void setDisabled(boolean var1) {
      DOMObjectHelper.setBooleanMemberNoEx(this.obj, "disabled", var1);
   }

   public void setReadOnly(boolean var1) {
      DOMObjectHelper.setBooleanMemberNoEx(this.obj, "readOnly", var1);
   }

   public String getAccessKey() {
      return this.getAttribute("accessKey");
   }

   public String getDefaultValue() {
      return this.getAttribute("defaultValue");
   }

   public String getName() {
      return this.getAttribute("name");
   }

   public String getType() {
      return "textarea";
   }

   public String getValue() {
      return this.getAttribute("value");
   }

   public void setAccessKey(String var1) {
      this.setAttribute("accessKey", var1);
   }

   public void setDefaultValue(String var1) {
      this.setAttribute("defaultValue", var1);
   }

   public void setName(String var1) {
      this.setAttribute("name", var1);
   }

   public void setValue(String var1) {
      this.setAttribute("value", var1);
   }

   public org.w3c.dom.html.HTMLFormElement getForm() {
      return (org.w3c.dom.html.HTMLFormElement)this.owner;
   }

   public HTMLTextAreaElement(DOMObject var1, org.w3c.dom.html.HTMLDocument var2, org.w3c.dom.html.HTMLFormElement var3) {
      super(72, var1, var2, var3);
   }
}
