package sun.plugin.dom.stylesheets;

import org.w3c.dom.DOMException;
import org.w3c.dom.Node;
import sun.plugin.dom.DOMObject;
import sun.plugin.dom.DOMObjectHelper;

public class StyleSheet implements org.w3c.dom.stylesheets.StyleSheet {
   protected DOMObject obj;
   protected Node owner;

   public boolean getDisabled() {
      return DOMObjectHelper.getBooleanMemberNoEx(this.obj, "disabled");
   }

   public void setDisabled(boolean var1) {
      DOMObjectHelper.setStringMemberNoEx(this.obj, "disabled", new Boolean(var1).toString());
   }

   public String getHref() {
      return DOMObjectHelper.getStringMemberNoEx(this.obj, "href");
   }

   public String getTitle() {
      return DOMObjectHelper.getStringMemberNoEx(this.obj, "title");
   }

   public String getType() {
      return DOMObjectHelper.getStringMemberNoEx(this.obj, "type");
   }

   public Node getOwnerNode() {
      return this.owner;
   }

   public org.w3c.dom.stylesheets.MediaList getMedia() {
      try {
         Object var1 = this.obj.getMember("media");
         if (var1 != null && var1 instanceof DOMObject) {
            return new MediaList((DOMObject)var1);
         }
      } catch (DOMException var2) {
      }

      return null;
   }

   public org.w3c.dom.stylesheets.StyleSheet getParentStyleSheet() {
      return null;
   }

   public StyleSheet(DOMObject var1, Node var2) {
      this.obj = var1;
      this.owner = var2;
   }
}
