package sun.plugin.liveconnect;

import java.lang.reflect.Field;
import java.security.PrivilegedExceptionAction;
import sun.plugin.javascript.JSClassLoader;

class PrivilegedSetFieldAction implements PrivilegedExceptionAction {
   Field field;
   Object obj;
   Object val;

   public Object run() throws Exception {
      JSClassLoader.checkPackageAccess(this.field.getDeclaringClass());
      this.field.set(this.obj, this.val);
      return null;
   }

   PrivilegedSetFieldAction(Field var1, Object var2, Object var3) {
      this.field = var1;
      this.obj = var2;
      this.val = var3;
   }
}
