package sun.plugin.net.cookie;

import sun.plugin.navig.motif.Worker;
import sun.plugin.services.ServiceUnavailableException;
import sun.plugin.viewer.AppletPanelCache;

public final class MNetscape6CookieHandler implements CookieHandler {
   public String getCookieInfo(String var1) throws ServiceUnavailableException {
      if (!AppletPanelCache.hasValidInstance()) {
         throw new ServiceUnavailableException("Cookie service is not available for " + var1);
      } else {
         return Worker.findCookieForURL(var1);
      }
   }

   public void setCookieInfo(String var1, String var2) throws ServiceUnavailableException {
      if (!AppletPanelCache.hasValidInstance()) {
         throw new ServiceUnavailableException("Cookie service is not available for " + var1);
      } else {
         Worker.setCookieForURL(var1, var2);
      }
   }
}
