package sun.plugin.net.proxy;

import java.net.URL;
import sun.plugin.util.Trace;

final class DirectProxyHandler implements ProxyHandler {
   public boolean isProxyCacheSupported() {
      return true;
   }

   public boolean isSupported(int var1) {
      return var1 == 0;
   }

   public void init(BrowserProxyInfo var1) throws ProxyConfigException {
      Trace.msgNetPrintln("net.proxy.loading.direct");
      if (!this.isSupported(var1.getType())) {
         throw new ProxyConfigException("Unable to support proxy type: " + var1.getType());
      } else {
         Trace.msgNetPrintln("net.proxy.loading.done");
      }
   }

   public ProxyInfo[] getProxyInfo(URL var1) {
      return new ProxyInfo[]{new ProxyInfo(null)};
   }
}
