package sun.plugin.net.proxy;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.StringTokenizer;

public class ProxyUtils {
   static final boolean $assertionsDisabled = !(ProxyUtils.class$sun$plugin$net$proxy$ProxyUtils == null
         ? (ProxyUtils.class$sun$plugin$net$proxy$ProxyUtils = class$("sun.plugin.net.proxy.ProxyUtils"))
         : ProxyUtils.class$sun$plugin$net$proxy$ProxyUtils)
      .desiredAssertionStatus();
   static Class class$sun$plugin$net$proxy$ProxyUtils;

   static Class class$(String var0) {
      try {
         return Class.forName(var0);
      } catch (ClassNotFoundException var2) {
         throw new NoClassDefFoundError().initCause(var2);
      }
   }

   private static void parseProxyAddress(int var0, String var1, BrowserProxyInfo var2) {
      Object var4 = null;

      try {
         URL var3 = new URL(var1);
         var4 = new String(var3.getHost() + ":" + var3.getPort());
      } catch (MalformedURLException var10) {
         var4 = new String(var1);
      }

      StringTokenizer var5 = new StringTokenizer((String)var4, ":");
      if (var5.hasMoreTokens()) {
         String var6 = var5.nextToken();
         int var7 = -1;
         if (var5.hasMoreTokens()) {
            try {
               var7 = Integer.parseInt(var5.nextToken());
            } catch (NumberFormatException var9) {
            }
         }

         switch (var0) {
            case 1:
               var2.setHttpHost(var6);
               var2.setHttpPort(var7);
               break;
            case 2:
               var2.setHttpsHost(var6);
               var2.setHttpsPort(var7);
               break;
            case 4:
               var2.setFtpHost(var6);
               var2.setFtpPort(var7);
               break;
            case 8:
               var2.setGopherHost(var6);
               var2.setGopherPort(var7);
               break;
            case 16:
               var2.setSocksHost(var6);
               var2.setSocksPort(var7);
               break;
            default:
               if (!$assertionsDisabled) {
                  throw new AssertionError();
               }
         }
      }
   }

   public static void parseProxyServer(String var0, BrowserProxyInfo var1) {
      if (var0.indexOf("=") != -1) {
         StringTokenizer var2 = new StringTokenizer(var0, ";");

         while (var2.hasMoreTokens()) {
            String var3 = var2.nextToken();
            if (var3.startsWith("http=")) {
               parseProxyAddress(1, var3.substring(5, var3.length()), var1);
            } else if (var3.startsWith("https=")) {
               parseProxyAddress(2, var3.substring(6, var3.length()), var1);
            } else if (var3.startsWith("ftp=")) {
               parseProxyAddress(4, var3.substring(4, var3.length()), var1);
            } else if (var3.startsWith("gopher=")) {
               parseProxyAddress(8, var3.substring(7, var3.length()), var1);
            } else if (var3.startsWith("socks=")) {
               parseProxyAddress(16, var3.substring(6, var3.length()), var1);
            }
         }
      } else {
         parseProxyAddress(1, var0, var1);
         parseProxyAddress(2, var0, var1);
         parseProxyAddress(4, var0, var1);
         parseProxyAddress(8, var0, var1);
      }
   }
}
