package sun.plugin.panel;

import java.awt.Color;
import java.awt.Dimension;
import java.util.ResourceBundle;
import javax.swing.BorderFactory;
import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JPanel;
import sun.plugin.util.DialogFactory;

public class DefaultPanel extends ActivatorSubPanel {
   private MessageHandler mh = new MessageHandler("sun.plugin.resources.Activator");

   DefaultPanel(ConfigurationInfo var1) {
      super(var1);
      ResourceBundle var2 = ResourceBundle.getBundle("sun.plugin.resources.Activator");
      this.setBorder(BorderFactory.createEmptyBorder(4, 30, 4, 30));
      this.setLayout(new BoxLayout(this, 1));
      this.add(Box.createGlue());
      Dimension var3 = new Dimension(1, 5);
      this.add(Box.createRigidArea(var3));
      JPanel var4 = new JPanel();
      JLabel var5 = new JLabel(var2.getString("panel.caption"));
      var5.setForeground(Color.black);
      var5.setIcon(DialogFactory.loadIcon());
      var4.add(var5);
      this.add(var4);
      this.add(Box.createRigidArea(var3));
      this.add(Box.createRigidArea(var3));
      JPanel var6 = new JPanel();
      JLabel var7 = new JLabel(System.getProperty("java.runtime.name") + " " + System.getProperty("java.version"));
      var6.add(var7);
      this.add(var6);
      this.add(Box.createRigidArea(var3));
      JPanel var8 = new JPanel();
      JLabel var9 = new JLabel(var2.getString("default_vm_version") + System.getProperty("java.vm.version"), 0);
      var8.add(var9);
      this.add(var8);
      this.add(Box.createRigidArea(var3));
      JPanel var10 = new JPanel();
      JLabel var11 = new JLabel(var2.getString("product_name") + " " + System.getProperty("javaplugin.version"), 0);
      var10.add(var11);
      this.add(var10);
      this.add(Box.createRigidArea(new Dimension(1, 10)));
      this.add(Box.createGlue());
      this.add(Box.createGlue());
   }
}
