package sun.plugin.resources;

import java.util.ListResourceBundle;

public class Activator_es extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"panel.caption", "Panel de control de Java(TM) Plug-in"},
      {"product_name", "Java (TM) Plug-in"},
      {"version", "Versión"},
      {"default_vm_version", "Versión de la máquina virtual predeterminada"},
      {"using_jre_version", "Usar versión JRE"},
      {"user_home_dir", "Directorio local del usuario"},
      {"user_overriden_browser", "El usuario ha alterado los valores de delegado del navegador."},
      {"proxy_configuration", "Configuración del delegado: "},
      {"browser_config", "Configuración del delegado del navegador"},
      {"auto_config", "Configuración automática del delegado"},
      {"manual_config", "Configuración manual"},
      {"no_proxy", "Sin delegado"},
      {"proxy_is", "Delegado: "},
      {"proxy_override_is", "Alteraciones del delegado: "},
      {"loading", "Cargando {0}"},
      {"java_applet", "Subprograma de Java"},
      {"failed", "Ha fallado la carga del applet de Java..."},
      {"image_failed", "No se ha podido crear la imagen definida por el usuario.  Comprobar nombre del archivo de imagen."},
      {"java_bean", "JavaBeans"},
      {"java_not_enabled", "Java no habilitado"},
      {"exception", "Excepción: {0}"},
      {"net.connect.no_proxy", "Conectando {0} sin delegado"},
      {"net.connect.proxy_is", "Conectando {0} con delegado={1}"},
      {"bean_code_and_ser", "Bean no puede tener definido CODE y JAVA_OBJECT "},
      {"status_applet", "Subprograma {0} {1}"},
      {"print.caption", "Se necesita confirmación - Imprimir"},
      {"print.message", new String[]{"<html><b>Solicitud de impresión</b></html>El subprograma va a iniciar la impresión. ¿Desea proseguir?"}},
      {"print.checkBox", "No mostrar de nuevo este cuadro de diálogo"},
      {"print.buttonYes", "Sí"},
      {"print.buttonYes.acceleratorKey", new Integer(83)},
      {"print.buttonNo", "No"},
      {"print.buttonNo.acceleratorKey", new Integer(78)},
      {"https_dialog.caption", "Advertencia - HTTPS"},
      {
            "https_dialog.text",
            "<html><b>Discordancia de nombres de sistema</b></html>El nombre de sistema en el certificado de seguridad del servidor no coincide con el nombre del servidor.\n\nNombre de sistema del URL: {0}\nNombre de sistema en el certificado: {1}\n\n¿Desea proseguir?"
      },
      {"https_dialog.unknown.host", "Sistema desconocido"},
      {"security_dialog.caption", "Advertencia - Seguridad"},
      {"security_dialog.text0", "¿Desea instalar y ejecutar el subprograma firmado distribuido por \"{0}\"?\n\nAutenticidad del editor verificada por: \"{1}\""},
      {
            "security_dialog_https.text0",
            "¿Desea aceptar este certificado del sitio web \"{0}\" para el intercambio de información cifrada?\n\nAutenticidad del editor verificada por: \"{1}\""
      },
      {
            "security_dialog.text1",
            "\nPrecaución: \"{0}\" afirma que este contenido es seguro. Sólo debe instalar/visualizar el contenido si confía en \"{1}\" \n\n"
      },
      {"security_dialog.unknown.issuer", "Emisor desconocido"},
      {"security_dialog.unknown.subject", "Asunto desconocido"},
      {"security_dialog.certShowName", "{0}({1})"},
      {"security_dialog.rootCANotValid", "El certificado de seguridad lo emitió una compañía que no es de confianza."},
      {"security_dialog.rootCAValid", "El certificado de seguridad lo emitió una compañía de confianza."},
      {"security_dialog.timeNotValid", "El certificado de seguridad ha caducado o aún no es válido."},
      {"security_dialog.timeValid", "El certificado de seguridad no ha caducado y aún es válido."},
      {"security_dialog.buttonAlways", "Siempre"},
      {"security_dialog.buttonAlways.acceleratorKey", new Integer(73)},
      {"security_dialog.buttonYes", "Sí"},
      {"security_dialog.buttonYes.acceleratorKey", new Integer(83)},
      {"security_dialog.buttonNo", "No"},
      {"security_dialog.buttonNo.acceleratorKey", new Integer(78)},
      {"security_dialog.buttonViewCert", "Más detalles"},
      {"security_dialog.buttonViewCert.acceleratorKey", new Integer(77)},
      {"cert_dialog.caption", "Detalles - Certificado"},
      {"cert_dialog.certpath", "Ruta del certificado"},
      {"cert_dialog.field.Version", "Versión"},
      {"cert_dialog.field.SerialNumber", "Número de serie"},
      {"cert_dialog.field.SignatureAlg", "Algoritmo de firma"},
      {"cert_dialog.field.Issuer", "Emisor"},
      {"cert_dialog.field.EffectiveDate", "Fecha efectiva"},
      {"cert_dialog.field.ExpirationDate", "Fecha de caducidad"},
      {"cert_dialog.field.Validity", "Validez"},
      {"cert_dialog.field.Subject", "Asunto"},
      {"cert_dialog.field.Signature", "Firma"},
      {"cert_dialog.field", "Campo"},
      {"cert_dialog.value", "Valor"},
      {"cert_dialog.close", "Cerrar"},
      {"cert_dialog.close.acceleratorKey", new Integer(67)},
      {"net.authenticate.caption", "Se necesita contraseña - Conexión en red"},
      {"net.authenticate.label", "<html><b>Introduzca su nombre de usuario y su contraseña:</b></html>"},
      {"net.authenticate.resource", "Recurso:"},
      {"net.authenticate.username", "Nombre de usuario:"},
      {"net.authenticate.password", "Contraseña:"},
      {"net.authenticate.firewall", "Cortafuegos:"},
      {"net.authenticate.realm", "Ámbito:"},
      {"net.authenticate.scheme", "Esquema:"},
      {"net.authenticate.unknownSite", "Sitio desconocido"},
      {"console.caption", "Consola de Java"},
      {"console.clear", "Borrar"},
      {"console.clear.acceleratorKey", new Integer(66)},
      {"console.close", "Cerrar"},
      {"console.close.acceleratorKey", new Integer(67)},
      {"console.copy", "Copiar"},
      {"console.copy.acceleratorKey", new Integer(79)},
      {"optpkg.cert_expired", "<html><b>El certificado ha caducado</b></html>Se ha cancelado la instalación del paquete opcional.\n"},
      {"optpkg.cert_notyieldvalid", "<html><b>El certificado no es válido</b></html>Se ha cancelado la instalación del paquete opcional.\n"},
      {"optpkg.cert_notverify", "<html><b>El certificado no se ha verificado</b></html>Se ha cancelado la instalación del paquete opcional.\n"},
      {"optpkg.general_error", "<html><b>Excepción general</b></html>Se ha cancelado la instalación del paquete opcional.\n"},
      {"optpkg.caption", "Advertencia - Paquete opcional"},
      {
            "optpkg.installer.launch.wait",
            "<html><b>Instalación del paquete opcional</b></html>Haga clic en Aceptar para continuar la carga del subprograma cuando se haya instalado el instalador del paquete opcional.\n"
      },
      {"optpkg.installer.launch.caption", "Instalación en curso - Paquete opcional"},
      {
            "optpkg.prompt_user.new_spec.text",
            "<html><b>Solicitud de descarga</b></html>El subprograma necesita una versión más reciente (especificación {0}) del paquete opcional \"{1}\" de {2}\n\nDesea proseguir?"
      },
      {
            "optpkg.prompt_user.new_impl.text",
            "<html><b>Solicitud de descarga</b></html>El subprograma necesita una versión más reciente (implementación {0}) del paquete opcional \"{1}\" de {2}\n\n¿Desea proseguir?"
      },
      {
            "optpkg.prompt_user.new_vendor.text",
            "<html><b>Solicitud de descarga</b></html>El subprograma necesita el ({0}) de paquete opcional \"{1}\" {2} de {3}\n\n¿Desea proseguir?"
      },
      {
            "optpkg.prompt_user.default.text",
            "<html><b>Solicitud de descarga</b></html>El subprograma necesita que se instale el paquete opcional \"{0}\" de {1}\n\n¿Desea proseguir?"
      },
      {"rsa.cert_expired", "<html><b>El certificado ha caducado</b></html>El código se tratará como no firmado.\n"},
      {"rsa.cert_notyieldvalid", "<html><b>El certificado no es válido</b></html>El código se tratará como no firmado.\n"},
      {"rsa.general_error", "<html><b>El certificado no se ha verificado</b></html>El código se tratará como no firmado.\n"},
      {"usability.confirmDialogTitle", "Se necesita confirmación - Java"},
      {"usability.inputDialogTitle", "Se necesita información - Java"},
      {"usability.messageDialogTitle", "Mensaje - Java"},
      {"usability.exceptionDialogTitle", "Error - Java"},
      {"usability.optionDialogTitle", "Opción - Java"},
      {"usability.aboutDialogTitle", "Acerca de - Java"},
      {"usability.confirm.yes", "Sí"},
      {"usability.confirm.yes.acceleratorKey", new Integer(83)},
      {"usability.confirm.no", "No"},
      {"usability.confirm.no.acceleratorKey", new Integer(78)},
      {"usability.moreInfo", "Más detalles"},
      {"usability.moreInfo.acceleratorKey", new Integer(77)},
      {"usability.lessInfo", "Menos detalles"},
      {"usability.lessInfo.acceleratorKey", new Integer(69)},
      {"usability.java.home.link", "http://www.java.com"},
      {"usability.general_error", "<html><b>Excepción general</b></html>"},
      {"usability.net_error", "<html><b>Excepción de conexión en red</b></html>"},
      {"usability.security_error", "<html><b>Excepción de seguridad</b></html>"},
      {"usability.ext_error", "<html><b>Excepción de paquete opcional</b></html>"},
      {"usability.menu.show_console", "Mostrar consola Java"},
      {"usability.menu.hide_console", "Ocultar consola Java"},
      {"usability.menu.about", "Acerca del Java Plug-in"},
      {"usability.menu.copy", "Copiar"},
      {"usability.menu.open_console", "Abrir consola de Java"},
      {"usability.menu.about_java", "Acerca de Java(TM)"},
      {"proxy.error_caption", "Error - Configuración del proxy"},
      {"proxy.prefsfile.nsreg_error", "<html><b>No se puede recuperar los valores del proxy</b></html>Retroceder a otra configuración del proxy.\n"},
      {"cache.error.text", "<html><b>Error de antememoria</b></html>No se puede guardar ni actualizar archivos en la antememoria"},
      {"cache.error.caption", "Error - Antememoria"},
      {"cache.version_format_error", "{0} no está en el formato xxxx.xxxx.xxxx.xxxx, donde x es un dígito hexadecimal"},
      {"cache.version_attrib_error", "El número de atributos especificados en 'cache_archive' no coincide con los de 'cache_version'"},
      {"cache.header_fields_missing", "No se conoce la hora de modificación ni/o el valor de caducidad.  El archivo JAR no se colocará en la antememoria."},
      {"applet.progress.load", "Cargando miniaplicación..."},
      {"applet.progress.init", "Inicializando miniaplicación..."},
      {"applet.progress.start", "Iniciando miniaplicación..."},
      {"applet.progress.stop", "Deteniendo miniaplicación..."},
      {"applet.progress.destroy", "Destruyendo miniaplicación..."},
      {"applet.progress.dispose", "Desechando miniaplicación..."},
      {"applet.progress.quit", "Saliendo de miniaplicación..."},
      {"applet.progress.stoploading", "Se detuvo la carga..."},
      {"applet.progress.interrupted", "Se interrumpió el subproceso..."},
      {"applet.progress.joining", "Uniendo el subproceso de la miniaplicación..."},
      {"applet.progress.joined", "Unido el subproceso de la miniaplicación..."},
      {"applet.progress.loadImage", "Carga de imagen "},
      {"applet.progress.loadAudio", "Carga de audio "},
      {"applet.progress.findinfo.0", "Buscando información..."},
      {"applet.progress.findinfo.1", "Terminado..."},
      {"applet.progress.timeout.wait", "Tiempo de espera..."},
      {"applet.progress.timeout.jointing", "Uniendo..."},
      {"applet.progress.timeout.jointed", "Unión terminada..."},
      {"console.menu.text.top", "----------------------------------------------------\n"},
      {"console.menu.text.c", "c:   borrar ventana de consola\n"},
      {"console.menu.text.f", "f:   finalizar objetos en la cola de finalización\n"},
      {"console.menu.text.g", "g:   liberación de recursos\n"},
      {"console.menu.text.h", "h:   presentar este mensaje de ayuda\n"},
      {"console.menu.text.j", "j:   volcar datos jcov\n"},
      {"console.menu.text.l", "l:   volcar lista del cargador de clases\n"},
      {"console.menu.text.m", "m:   imprimir sintaxis de memoria\n"},
      {"console.menu.text.o", "o:   activar registro\n"},
      {"console.menu.text.p", "p:   recargar configuración delegada\n"},
      {"console.menu.text.q", "q:   ocultar consola\n"},
      {"console.menu.text.r", "r:   recargar configuración de norma\n"},
      {"console.menu.text.s", "s:   volcar propiedades del sistema\n"},
      {"console.menu.text.t", "t:   volcar lista de subproceso\n"},
      {"console.menu.text.v", "v:   volcar pila de subprocesos\n"},
      {"console.menu.text.x", "x:   borrar antememoria del cargador de clases\n"},
      {"console.menu.text.0", "0-5: establecer nivel de rastreo a <n>\n"},
      {"console.menu.text.tail", "----------------------------------------------------\n"},
      {"console.done", "Terminado."},
      {"console.trace.level.0", "Nivel de rastreo establecido a 0: ninguno ... terminado."},
      {"console.trace.level.1", "Nivel de rastreo establecido a 1: básico ... terminado."},
      {"console.trace.level.2", "Nivel de rastreo establecido a 2: básico, red ... terminado."},
      {"console.trace.level.3", "Nivel de rastreo establecido a 3: básico, red, seguridad ... terminado."},
      {"console.trace.level.4", "Nivel de rastreo establecido a 4: básico, red, seguridad, ext ... terminado."},
      {"console.trace.level.5", "Nivel de rastreo establecido a 5: básico, red, seguridad, ext, Liveconnect ... terminado."},
      {"console.log", "Registro establecido a : "},
      {"console.completed", " .... terminado."},
      {"console.dump.thread", "Volcar lista de subproceso ...\n"},
      {"console.dump.stack", "Volcar pila de subprocesos ...\n"},
      {"console.dump.properties", "Volcar propiedades del sistema ...\n"},
      {"console.clear.classloader", "Borrar antememoria del cargador de clases .... terminado."},
      {"console.reload.policy", "Recargar configuración de norma"},
      {"console.reload.proxy", "Recargar configuración delegada ...."},
      {"console.gc", "Liberación de recursos"},
      {"console.finalize", "Finalizar objetos en la cola de finalización"},
      {"console.memory", "Memoria: {0}K  Libre: {1}K  ({2}%)"},
      {"console.jcov.error", "Error de runtime de Jcov: compruebe si ha especificado la opción jcov adecuada\n"},
      {"console.jcov.info", "Datos jcov volcados con éxito\n"},
      {"modality.register", "Modalidad de receptor registrada"},
      {"modality.unregister", "Modalidad de receptor no registrada"},
      {"modality.pushed", "Modalidad impuesta"},
      {"modality.popped", "Modalidad extraída"},
      {"progress.listener.added", "Receptor de progreso agregado: {0}"},
      {"progress.listener.removed", "Receptor de progreso eliminado: {0}"},
      {"liveconnect.UniversalBrowserRead.enabled", "JavaScript: UniversalBrowserRead habilitado"},
      {"liveconnect.java.system", "JavaScript: llamada de código del sistema Java"},
      {"liveconnect.same.origin", "JavaScript: el llamante y el destinatario de la llamada tienen el mismo origen"},
      {"liveconnect.default.policy", "JavaScript: norma de seguridad predeterminada = {0}"},
      {"liveconnect.UniversalJavaPermission.enabled", "JavaScript: UniversalJavaPermission habilitado"},
      {"liveconnect.wrong.securitymodel", "Ya no se admite el modelo de seguridad de Netscape.\nEn su lugar, migre al modelo de seguridad de Java 2.\n"},
      {"jpicertstore.cert.loading", "Carga de certificados JPI desde {0}"},
      {"jpicertstore.cert.loaded", "Certificados JPI cargados desde {0}"},
      {"jpicertstore.cert.saving", "Guardar certificados JPI en {0}"},
      {"jpicertstore.cert.saved", "Certificados JPI guardados en {0}"},
      {"jpicertstore.cert.adding", "Adición de certificado al almacén permanente de certificados JPI"},
      {"jpicertstore.cert.added", "Certificado agregado como alias {0} al almacén permanente de certificados JPI "},
      {"jpicertstore.cert.removing", "Eliminación de certificado del almacén permanente de certificados JPI"},
      {"jpicertstore.cert.removed", "Certificado eliminado como alias {0} del almacén permanente de certificados JPI "},
      {"jpicertstore.cert.instore", "Comprobar si el certificado está en el almacén permanente de certificados JPI"},
      {"jpicertstore.cert.canverify", "Comprobar si se puede verificar el certificado por medio del almacén permanente de certificados JPI"},
      {"jpicertstore.cert.iterator", "Obtener iterador de certificados en el almacén permanente de certificados JPI"},
      {"jpicertstore.cert.getkeystore", "Obtener objeto de almacén clave del almacén de certificados JPI"},
      {"jpihttpscertstore.cert.loading", "Carga de certificados JPI Https desde {0}"},
      {"jpihttpscertstore.cert.loaded", "Certificados JPI Https cargados desde {0}"},
      {"jpihttpscertstore.cert.saving", "Guardar certificados JPI Https en {0}"},
      {"jpihttpscertstore.cert.saved", "Certificados JPI Https guardados en {0}"},
      {"jpihttpscertstore.cert.adding", "Adición de certificado Https al almacén permanente de certificados JPI"},
      {"jpihttpscertstore.cert.added", "Certificado Https agregado como alias {0} del almacén permanente de certificados JPI "},
      {"jpihttpscertstore.cert.removing", "Eliminación de certificado Https del almacén permanente de certificados JPI"},
      {"jpihttpscertstore.cert.removed", "Certificado Https eliminado como alias{0}  del almacén permanente de certificados JPI "},
      {"jpihttpscertstore.cert.instore", "Comprobar si el certificado Https está en el almacén permanente de certificados JPI"},
      {"jpihttpscertstore.cert.canverify", "Comprobar si se puede verificar el certificado Https por medio del almacén permanente de certificados JPI"},
      {"jpihttpscertstore.cert.iterator", "Obtener iterador de certificados Https en el almacén permanente de certificados JPI"},
      {"jpihttpscertstore.cert.getkeystore", "Obtener objeto de almacén clave del almacén de certificados Https"},
      {"rootcertstore.cert.loading", "Carga de certificados CA raíz desde {0}"},
      {"rootcertstore.cert.loaded", "Certificados CA raíz cargados desde {0}"},
      {"rootcertstore.cert.noload", "No se ha encontrado el archivo de los certificados CA raíz: {0}"},
      {"rootcertstore.cert.saving", "Guardar certificados CA raíz en {0}"},
      {"rootcertstore.cert.saved", "Certificados CA raíz guardados en {0}"},
      {"rootcertstore.cert.adding", "Adición de certificado en el almacén de certificados CA raíz"},
      {"rootcertstore.cert.added", "Certificado agregado como alias {0} en el almacén de certificados CA raíz "},
      {"rootcertstore.cert.removing", "Eliminación de certificado del almacén de certificados CA raíz"},
      {"rootcertstore.cert.removed", "Certificado eliminado como alias {0} en el almacén de certificados CA raíz "},
      {"rootcertstore.cert.instore", "Comprobar si el certificado está en el almacén de certificados CA raíz"},
      {"rootcertstore.cert.canverify", "Comprobar si se puede verificar el certificado por medio de los certificados del almacén de certificados CA raíz"},
      {"rootcertstore.cert.iterator", "Obtener iterador de certificados en el almacén de certificados CA raíz"},
      {"rootcertstore.cert.getkeystore", "Obtener objeto de almacén clave del almacén de certificados CA raíz"},
      {"roothttpscertstore.cert.getkeystore", "Obtener objeto de almacén clave del almacén de certificados CA raíz Https"},
      {"rootcertstore.cert.verify.ok", "El certificado se ha verificado correctamente con certificados CA raíz"},
      {"rootcertstore.cert.verify.fail", "El certificado no se ha verificado satisfactoriamente con los certificados CA raíz"},
      {"rootcertstore.cert.tobeverified", "Certificado que debe verificarse:\n{0}"},
      {"rootcertstore.cert.tobecompared", "Comparando certificado con el certificado CA raíz:\n{0}"},
      {"roothttpscertstore.cert.loading", "Carga de certificados Https CA raíz desde {0}"},
      {"roothttpscertstore.cert.loaded", "Certificados Https CA raíz cargados desde {0}"},
      {"roothttpscertstore.cert.noload", "No se ha encontrado el archivo de los certificados Https CA raíz: "},
      {"roothttpscertstore.cert.saving", "Guardar certificados Https CA raíz en  {0}"},
      {"roothttpscertstore.cert.saved", "Certificados Https CA raíz guardados en  "},
      {"roothttpscertstore.cert.adding", "Adición de certificado en el almacén de certificados Https CA raíz"},
      {"roothttpscertstore.cert.added", "Certificado agregado como alias en el almacén de certificados Https CA raíz"},
      {"roothttpscertstore.cert.removing", "Eliminación de certificado del almacén de certificados Https CA raíz"},
      {"roothttpscertstore.cert.removed", "Certificado eliminado como alias en el almacén de certificados Https CA raíz"},
      {"roothttpscertstore.cert.instore", "Comprobar si el certificado está en el almacén de certificados Https CA raíz"},
      {
            "roothttpscertstore.cert.canverify",
            "Comprobar si se puede verificar el certificado por medio de los certificados del almacén de certificados Https CA raíz"
      },
      {"roothttpscertstore.cert.iterator", "Obtener iterador de certificados en el almacén de certificados Https CA raíz"},
      {"roothttpscertstore.cert.verify.ok", "El certificado se ha verificado correctamente con certificados Https CA raíz"},
      {"roothttpscertstore.cert.verify.fail", "El certificado no se ha verificado satisfactoriamente con los certificados Https CA raíz"},
      {"roothttpscertstore.cert.tobeverified", "Certificado que debe verificarse:\n{0}"},
      {"roothttpscertstore.cert.tobecompared", "Comparando certificado con el certificado Https CA raíz:\n{0}"},
      {"sessioncertstore.cert.loading", "Carga de certificados del almacén de certificados de la sesión JPI"},
      {"sessioncertstore.cert.loaded", "Certificados cargados del almacén de certificados de la sesión JPI"},
      {"sessioncertstore.cert.saving", "Guardar certificados en el almacén de certificados de la sesión JPI"},
      {"sessioncertstore.cert.saved", "Certificados guardados en el almacén de certificados de la sesión JPI"},
      {"sessioncertstore.cert.adding", "Adición de certificados en el almacén de certificados de la sesión JPI"},
      {"sessioncertstore.cert.added", "Certificados agregados en el almacén de certificados de la sesión JPI"},
      {"sessioncertstore.cert.removing", "Eliminación de certificado en el almacén de certificados de la sesión JPI"},
      {"sessioncertstore.cert.removed", "Certificado eliminado en el almacén de certificados de la sesión JPI"},
      {"sessioncertstore.cert.instore", "Comprobar si el certificado está en el almacén de certificados de la sesión JPI"},
      {
            "sessioncertstore.cert.canverify",
            "Comprobar si se puede verificar el certificado por medio de los certificados del almacén de certificados de la sesión JPI"
      },
      {"sessioncertstore.cert.iterator", "Obtener iterador de certificados en el almacén de certificados de la sesión JPI"},
      {"sessioncertstore.cert.getkeystore", "Obtener objeto de almacén clave del almacén de certificados de sesión JPI"},
      {"hostnameverifier.automation.ignoremismatch", "Automatización: Ignorar discrepancia en nombre del sistema"},
      {"pluginclassloader.created_files", "Creado (0) en la antememoria."},
      {"pluginclassloader.deleting_files", "Supresión de archivos JAR de la antememoria."},
      {"pluginclassloader.file", "   supresión desde la antememoria {0}"},
      {"pluginclassloader.empty_file", "{0} está vacío, suprimir de la antememoria."},
      {"trustdecider.check.basicconstraints", "La comprobación de restricciones básicas ha fallado en el certificado"},
      {"trustdecider.check.leafkeyusage", "La comprobación del uso de la clave de hoja ha fallado en el certificado"},
      {"trustdecider.check.signerkeyusage", "La comprobación del uso de la clave del firmante ha fallado en el certificado"},
      {"trustdecider.check.extensions", "La comprobación de extensiones críticas ha fallado en el certificado"},
      {"trustdecider.check.signature", "La comprobación de firma ha fallado en el certificado"},
      {"trustdecider.check.basicconstraints.certtypebit", "La comprobación de bits de tipo netscape ha fallado en el certificado"},
      {"trustdecider.check.basicconstraints.extensionvalue", "La comprobación del valor de la extensión de netscape ha fallado en el certificado"},
      {"trustdecider.check.basicconstraints.bitvalue", "La comprobación del valor de los bits 5,6,7 de netscape ha fallado en el certificado"},
      {"trustdecider.check.basicconstraints.enduser", "La comprobación del usuario final como CA ha fallado en el certificado"},
      {"trustdecider.check.basicconstraints.pathlength", "La comprobación de restricciones de longitud de ruta ha fallado en el certificado"},
      {"trustdecider.check.leafkeyusage.length", "La comprobación del uso de la longitud de clave ha fallado en el certificado"},
      {"trustdecider.check.leafkeyusage.digitalsignature", "La comprobación de la firma digital ha fallado en el certificado"},
      {"trustdecider.check.leafkeyusage.extkeyusageinfo", "La comprobación de información sobre el uso de la clave de extensión ha fallado en el certificado"},
      {"trustdecider.check.leafkeyusage.certtypebit", "La comprobación de bits de tipo netscape ha fallado en el certificado"},
      {"trustdecider.check.signerkeyusage.lengthandbit", "La comprobación de longitud y bit ha fallado en el certificado"},
      {"trustdecider.check.signerkeyusage.keyusage", "La comprobación del uso de claves ha fallado en el certificado"},
      {"trustdecider.check.canonicalize.updatecert", "Actualizar certificado raíz con certificado del archivo de certificados CA"},
      {"trustdecider.check.canonicalize.missing", "Agregar certificado raíz que falta"},
      {"trustdecider.check.gettrustedcert.find", "Buscar el CA de raíz válida en el archivo de certificados CA"},
      {"trustdecider.check.gettrustedissuercert.find", "Buscar el CA de raíz válida que falta en el archivo de certificados CA"},
      {"trustdecider.user.grant.session", "El usuario ha concedido privilegios de código sólo para esta sesión"},
      {"trustdecider.user.grant.forever", "El usuario ha concedido privilegios permanentes de código"},
      {"trustdecider.user.deny", "El usuario ha denegado los privilegios de código"},
      {"trustdecider.automation.trustcert", "Automatización: Confiar en el certificado RSA para la firma"},
      {"x509trustmgr.automation.ignoreclientcert", "Automatización: Ignorar certificado de cliente que no sea de confianza"},
      {"x509trustmgr.automation.ignoreservercert", "Automatización: Ignorar certificado de servidor que no sea de confianza"},
      {"appletcontext.audio.loaded", "Clip de audio cargado: {0}"},
      {"appletcontext.image.loaded", "Imagen cargada:{0} "},
      {"securitymgr.automation.printing", "Automatización: Aceptar impresión"},
      {"classloaderinfo.referencing", "Referencia a cargador de clases: {0}, contador de referencia={1}"},
      {"classloaderinfo.releasing", "Liberación de cargador de clases: {0}, contador de referencia={1}"},
      {"classloaderinfo.caching", "Colocación del cargador de clases en antememoria: {0}"},
      {"classloaderinfo.cachesize", "Tamaño de la antememoria del cargador de clases actual: {0}"},
      {"classloaderinfo.num", "El número de cargadores de clases colocados en antememoria es superior a {0}, sin referencia {1}"},
      {"trace.listener.added", "Receptor de rastreo agregado: {0}"},
      {"trace.listener.removed", "Receptor de rastreo eliminado: {0}"},
      {"cookiehandler.cache", "Antememoria de cookie: "},
      {"cookiehandler.server", "Servidor {0} solicitar definición de cookie con \"{1}\""},
      {"cookiehandler.connect", "Conectar {0} con cookie \"{1}\""},
      {"cookiehandler.ignore.setcookie", "Cookie no está disponible - omitir \"Definición de cookie\""},
      {"cookiehandler.noservice", "Cookie no está disponible - utilice la antememoria para determinar \"Cookie\""},
      {"jsobject.eval", "Evaluar {0} = {1}"},
      {"jsobject.call", "JSObject::llamar: nombre={0}, url={1}, permiso={2}"},
      {"jsobject.eval.url.permission", "JSObject::eval({0}), url={1}, permiso={2}"},
      {"jsobject.getMember", "JSObject::getMember: nombre={0}, url={1}, permiso={2}"},
      {"jsobject.setMember", "JSObject::setMember: nombre={0}, url={1}, permiso={2}"},
      {"jsobject.removeMember", "JSObject::removeMember: nombre={0}, url={1}, permiso={2}"},
      {"jsobject.getSlot", "JSObject::getSlot: {0}, url={1}, permiso={2}"},
      {"jsobject.setSlot", "JSObject::setSlot: ranura={0}, url={1}, permiso={2}"},
      {"applet_install.ok", "Instalación de miniaplicación terminada."},
      {"applet_install.fail", "Instalación de miniaplicación no satisfactoria."},
      {"optpkg.install.info", "Instalación de paquete opcional {0}"},
      {"optpkg.install.fail", "Instalación del paquete opcional no satisfactoria."},
      {"optpkg.install.ok", "Instalación del paquete opcional realizada."},
      {"optpkg.install.automation", "Automatización: Aceptar instalación del paquete opcional"},
      {"optpkg.install.granted", "El usuario ha concedido la descarga del paquete opcional, descargar desde {0}"},
      {"optpkg.install.deny", "El usuario no ha concedido la descarga del paquete opcional"},
      {"optpkg.install.begin", "Instalación {0}"},
      {"optpkg.install.java.launch", "Lanzar el instalador de Java"},
      {"optpkg.install.java.launch.command", "Lanzar el instalador de Java a través de {0}"},
      {"optpkg.install.native.launch", "Lanzar instalador nativo"},
      {"optpkg.install.native.launch.fail.0", "Imposible ejecutar {0}"},
      {"optpkg.install.native.launch.fail.1", "Acceso a {0} no satisfactorio"},
      {"optpkg.install.raw.launch", "Instalación del paquete opcional básico"},
      {"optpkg.install.raw.copy", "Copiar el paquete opcional básico desde {0} en {1}"},
      {
            "optpkg.install.error.nomethod",
            "No se ha instalado el proveedor de ampliación dependiente : no se puede obtener el  método addExtensionInstallationProvider"
      },
      {"optpkg.install.error.noclass", "No se ha instalado el proveedor de ampliación dependiente : no se puede obtener la clase sun.misc.ExtensionDependency"},
      {"dialogfactory.user.selected", "Usuario seleccionado: {0}"},
      {"dialogfactory.user.typed", "Usuario escrito: {0}"},
      {"progress_dialog.downloading", "Módulo: descargando..."},
      {"progress_dialog.dismiss_button", "Descartar"},
      {"progress_dialog.dismiss_button.acceleratorKey", new Integer(68)},
      {"progress_dialog.from", "desde"},
      {"applet_viewer.color_tag", "Número de componentes incorrecto en {0}"},
      {"progress_info.downloading", "Descarga de archivos JAR"},
      {"progress_bar.preload", "Carga previa de archivos JAR: {0}"},
      {"cache.size", "Tamaño de la antememoria: {0}"},
      {"cache.cleanup", "El tamaño de la antememoria es: {0} bytes, es necesario limpiarla"},
      {"cache.full", "La antememoria está completa: supresión del archivo {0}"},
      {"cache.inuse", "No se puede suprimir el archivo {0} porque se está utilizando en esta aplicación"},
      {"cache.notdeleted", "No se puede suprimir el archivo {0}, puede que se utilice en esta y/o otras aplicaciones"},
      {"cache.out_of_date", "La copia de {0} guardada en antememoria está caducada\n  Copia guardada en antememoria: {1}\n  Copia del servidor: {2}"},
      {"cache.loading", "Carga de {0} desde la antememoria"},
      {"cache.cache_warning", "ADVERTENCIA: no se puede guardar {0} en la antememoria"},
      {"cache.downloading", "Descarga de {0} a la antememoria"},
      {"cache.cached_name", "Nombre de archivo guardado en antememoria: {0}"},
      {"cache.load_warning", "ADVERTENCIA: error al leer {0} de la antememoria."},
      {"cache.disabled", "Antememoria inhabilitada por usuario"},
      {"cache.minSize", "Antememoria inhabilitada, el límite de la antememoria es {0}, debe especificarse al menos 5 MB "},
      {"cache.directory_warning", "ADVERTENCIA: {0} no es un directorio. Se inhabilitará la antememoria."},
      {"cache.response_warning", "ADVERTENCIA: Respuesta inesperada {0} para {1}.  El archivo se descargará de nuevo."},
      {"cache.enabled", "Antememoria habilitada"},
      {"cache.location", "Ubicación: {0}"},
      {"cache.maxSize", "Tamaño máximo: {0}"},
      {"cache.create_warning", "ADVERTENCIA: no ha sido posible crear el directorio {0} de la antememoria. se inhabilitará la colocación en antememoria."},
      {"cache.read_warning", "ADVERTENCIA: no se puede leer el directorio {0} de la antememoria. se inhabilitará la colocación en antememoria."},
      {"cache.write_warning", "ADVERTENCIA: no se puede escribir en el directorio {0} de la antememoria. se inhabilitará la colocación en antememoria."},
      {"cache.compression", "Nivel de compresión: {0}"},
      {"cache.cert_load", "Los certificados para {0} se leen desde la antememoria JAR"},
      {"cache.jarjar.invalid_file", "el archivo .jarjar contiene un archivo distinto del .jar"},
      {"cache.jarjar.multiple_jar", "el archivo .jarjar contiene más de un archivo .jar"},
      {"cache.version_checking", "Comprobación de la versión de {0}, la versión especificada es {1}"},
      {"cache.preloading", "Carga previa del archivo {0}"},
      {"cache_viewer.caption", "Detalles - Antememoria"},
      {"cache_viewer.refresh", "Renovar"},
      {"cache_viewer.refresh.acceleratorKey", new Integer(82)},
      {"cache_viewer.remove", "Borrar"},
      {"cache_viewer.remove.acceleratorKey", new Integer(66)},
      {"cache_viewer.close", "Cerrar"},
      {"cache_viewer.close.acceleratorKey", new Integer(67)},
      {"cache_viewer.name", "Nombre"},
      {"cache_viewer.type", "Tipo"},
      {"cache_viewer.size", "Tamaño"},
      {"cache_viewer.modify_date", "Última modificación"},
      {"cache_viewer.expiry_date", "Fecha de caducidad"},
      {"cache_viewer.url", "URL"},
      {"cache_viewer.version", "Versión"},
      {"cache_viewer.help.name", "Nombre de archivo guardado en antememoria"},
      {"cache_viewer.help.type", "Tipo de archivo guardado en antememoria"},
      {"cache_viewer.help.size", "Tamaño de archivo guardado en antememoria"},
      {"cache_viewer.help.modify_date", "Fecha de la última modificación de archivo"},
      {"cache_viewer.help.expiry_date", "Fecha de caducidad de archivo"},
      {"cache_viewer.help.url", "Descarga de URL de archivo"},
      {"cache_viewer.help.version", "Versiones de antememoria de archivo"},
      {"cache_viewer.delete.text", "<html><b>El archivo se ha borrado</b></html>{0} tal vez esté en uso.\n"},
      {"cache_viewer.delete.caption", "Error - Antememoria"},
      {"cache_viewer.type.zip", "Jar"},
      {"cache_viewer.type.class", "Clase"},
      {"cache_viewer.type.wav", "Sonido Wav"},
      {"cache_viewer.type.au", "Sonido Au"},
      {"cache_viewer.type.gif", "Imagen Gif"},
      {"cache_viewer.type.jpg", "Imagen Jpeg"},
      {"net.proxy.loading.ie", "Cargando configuración delegada desde Internet Explorer ..."},
      {"net.proxy.loading.ns", "Cargando configuración delegada desde Netscape Navigator ..."},
      {"net.proxy.loading.userdef", "Cargando configuración delegada definida por el usuario ..."},
      {"net.proxy.loading.direct", "Cargando configuración delegada directa ..."},
      {"net.proxy.loading.manual", "Cargando configuración delegada manual ..."},
      {"net.proxy.loading.auto", "Cargando configuración delegada automática ..."},
      {"net.proxy.loading.browser", "Cargando configuración delegada del navegador ..."},
      {"net.proxy.loading.manual.error", "Imposible utilizar la configuración delegada manual - retroceder a DIRECTA"},
      {"net.proxy.loading.auto.error", "Imposible utilizar la configuración delegada automática - retroceder a MANUAL"},
      {"net.proxy.loading.done", "Terminado."},
      {"net.proxy.browser.pref.read", "Leer archivo de preferencia de usuario en {0}"},
      {"net.proxy.browser.proxyEnable", "    Habilitar delegado: {0}"},
      {"net.proxy.browser.proxyList", "    Lista de delegado: {0}"},
      {"net.proxy.browser.proxyOverride", "    Anular delegado: {0}"},
      {"net.proxy.browser.autoConfigURL", "    Configuración de URL automática: {0}"},
      {"net.proxy.browser.smartConfig", "Hacer un ping al servidor del proxy {0} en el puerto {1}"},
      {"net.proxy.browser.connectionException", "No se puede acceder al servidor del proxy {0} desde el puerto {1}"},
      {"net.proxy.ns6.regs.exception", "Error al leer el archivo de registro: {0}"},
      {"net.proxy.pattern.convert", "Convertir lista de delegados omitidos a expresión regular: "},
      {"net.proxy.pattern.convert.error", "Imposible convertir lista de delegados omitidos a expresión regular - ignorar"},
      {"net.proxy.auto.download.ins", "Descargar archivo INS desde {0}"},
      {"net.proxy.auto.download.js", "Descargar archivo delegado automáticamente desde {0}"},
      {"net.proxy.auto.result.error", "Imposible determinar valor de delegado desde evaluación - retroceder a DIRECTA"},
      {"net.proxy.service.not_available", "Delegado no disponible para {0} - el delegado es DIRECT por omisión"},
      {"lifecycle.applet.found", "Se ha encontrado la miniaplicación previa detenida desde la antememoria del ciclo de vida útil"},
      {
            "lifecycle.applet.support",
            "La miniaplicación soporta el modelo de ciclo de vida útil heredado - añadir miniaplicación a la antememoria de ciclo de vida útil"
      },
      {"lifecycle.applet.cachefull", "La antememoria de ciclo de vida útil está completa - reducir las miniaplicaciones de uso menos reciente"},
      {"com.method.ambiguous", "Imposible seleccionar un método, parámetros ambiguos."},
      {"com.method.notexists", "{0} :no existe ese método"},
      {"com.notexists", "{0} :no existe ese método/esa propiedad"},
      {"com.method.invoke", "Invocando método: {0}"},
      {"com.method.jsinvoke", "Invocando método JS: {0}"},
      {"com.method.argsTypeInvalid", "Los parámetros no pueden convertirse en los tipos requeridos"},
      {"com.method.argCountInvalid", "El número de argumentos no es correcto"},
      {"com.field.needsConversion", "Se requiere conversión: {0} --> {1}"},
      {"com.field.typeInvalid", " no puede convertirse al tipo: {0}"},
      {"com.field.get", "Obteniendo propiedad: {0}"},
      {"com.field.set", "Definiendo propiedad: {0}"},
      {"about.java.version", "Versión {0} (build {1})"},
      {"about.prompt.info", "Si desea más información sobre la tecnología de Java y conocer otras aplicaciones de Java, visite la página"},
      {"about.home.link", "http://www.java.com"},
      {"about.option.close", "Cerrar"},
      {"about.option.close.acceleratorKey", new Integer(67)},
      {"about.legal.note", "Copyright 2006 Sun Microsystems, Inc. Todos los derechos reservados. El uso está sujeto a los términos de la licencia."},
      {"autoupdatecheck.buttonYes", "Sí"},
      {"autoupdatecheck.buttonYes.acceleratorKey", new Integer(83)},
      {"autoupdatecheck.buttonNo", "No"},
      {"autoupdatecheck.buttonNo.acceleratorKey", new Integer(78)},
      {"autoupdatecheck.buttonAskLater", "Preguntar más adelante"},
      {"autoupdatecheck.buttonAskLater.acceleratorKey", new Integer(80)},
      {"autoupdatecheck.caption", "Comprobar las actualizaciones automáticamente"},
      {
            "autoupdatecheck.message",
            "Java Update puede actualizar automáticamente el software de Java cuando se publican nuevas versiones. ¿Quiere activar este servicio?"
      }
   };

   public Object[][] getContents() {
      return contents;
   }
}
