package sun.plugin.resources;

import java.util.ListResourceBundle;

public class Activator_it extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"panel.caption", "Pannello di controllo di Java(TM) Plug-in"},
      {"product_name", "Java(TM) Plug-in"},
      {"version", "Versione"},
      {"default_vm_version", "Versione predefinita di Virtual Machine"},
      {"using_jre_version", "Uso della versione JRE"},
      {"user_home_dir", "Directory principale utente"},
      {"user_overriden_browser", "Le impostazioni proxy del browser sono state sostituite dall'utente."},
      {"proxy_configuration", "Configurazione proxy: "},
      {"browser_config", "Configurazione del proxy del browser"},
      {"auto_config", "Configurazione automatica proxy"},
      {"manual_config", "Configurazione manuale"},
      {"no_proxy", "Nessun proxy"},
      {"proxy_is", "Proxy: "},
      {"proxy_override_is", "Sostituzioni proxy: "},
      {"loading", "Caricamento di {0}"},
      {"java_applet", "Applet Java"},
      {"failed", "Caricamento Applet Java non riuscito..."},
      {"image_failed", "Impossibile creare immagine definita dall'utente. Controllare nome file immagine."},
      {"java_bean", "JavaBeans"},
      {"java_not_enabled", "Java non abilitato"},
      {"exception", "Eccezione: {0}"},
      {"net.connect.no_proxy", "Connessione {0} senza proxy"},
      {"net.connect.proxy_is", "Connessione {0} con proxy={1}"},
      {"bean_code_and_ser", "Impossibile definire sia CODE che JAVA_OBJECT per il Bean"},
      {"status_applet", "Applet {0} {1}"},
      {"print.caption", "Conferma necessaria - Stampa"},
      {"print.message", new String[]{"<html><b>Richiesta di stampa</b></html>L'applet sta tentando di stampare. Continuare?"}},
      {"print.checkBox", "Non visualizzare più questa finestra"},
      {"print.buttonYes", "Sì"},
      {"print.buttonYes.acceleratorKey", new Integer(83)},
      {"print.buttonNo", "No"},
      {"print.buttonNo.acceleratorKey", new Integer(78)},
      {"https_dialog.caption", "Attenzione - HTTPS"},
      {
            "https_dialog.text",
            "<html><b a>Nome host non corrispondente</b></html>Il nome host nel certificato di sicurezza del server non corrisponde al nome del server.\n\nNome host dell''URL: {0}\n\nNome host dal certificato: {1}\n\nContinuare?"
      },
      {"https_dialog.unknown.host", "Host sconosciuto"},
      {"security_dialog.caption", "Attenzione - Sicurezza"},
      {
            "security_dialog.text0",
            "Si desidera installare ed eseguire un applet firmato e distribuito da \"{0}\"?\n\nAutenticità dell''autore verificata da: \"{1}\""
      },
      {
            "security_dialog_https.text0",
            "Si desidera accettare il certificato del sito Web \"{0}\" per effettuare lo scambio di informazioni codificate?\n\nAutenticità dell''autore verificata da: \"{1}\""
      },
      {
            "security_dialog.text1",
            "\nAttenzione: \"{0}\" dichiara che il contenuto è\nsicuro. Installare o visualizzare il contenuto solo se \"{1}\" è considerato attendibile.\n\n"
      },
      {"security_dialog.unknown.issuer", "Autorità emittente sconosciuta"},
      {"security_dialog.unknown.subject", "Soggetto sconosciuto"},
      {"security_dialog.certShowName", "{0}({1})"},
      {"security_dialog.rootCANotValid", "Il certificato di protezione è stato rilasciato da una società non attendibile."},
      {"security_dialog.rootCAValid", "Il certificato di protezione è stato rilasciato da una società attendibile."},
      {"security_dialog.timeNotValid", "Il certificato di protezione è scaduto oppure non è ancora valido."},
      {"security_dialog.timeValid", " Il certificato di protezione non è scaduto ed è ancora valido."},
      {"security_dialog.buttonAlways", "Sempre"},
      {"security_dialog.buttonAlways.acceleratorKey", new Integer(69)},
      {"security_dialog.buttonYes", "Sì"},
      {"security_dialog.buttonYes.acceleratorKey", new Integer(83)},
      {"security_dialog.buttonNo", "No"},
      {"security_dialog.buttonNo.acceleratorKey", new Integer(78)},
      {"security_dialog.buttonViewCert", "Più dettagli"},
      {"security_dialog.buttonViewCert.acceleratorKey", new Integer(80)},
      {"cert_dialog.caption", "Dettagli - Certificato"},
      {"cert_dialog.certpath", "Percorso certificato"},
      {"cert_dialog.field.Version", "Versione"},
      {"cert_dialog.field.SerialNumber", "Numero di serie"},
      {"cert_dialog.field.SignatureAlg", "Algoritmo della firma"},
      {"cert_dialog.field.Issuer", "Emesso da"},
      {"cert_dialog.field.EffectiveDate", "Data effettiva"},
      {"cert_dialog.field.ExpirationDate", "Data di scadenza"},
      {"cert_dialog.field.Validity", "Validità"},
      {"cert_dialog.field.Subject", "Soggetto"},
      {"cert_dialog.field.Signature", "Firma"},
      {"cert_dialog.field", "Campo"},
      {"cert_dialog.value", "Valore"},
      {"cert_dialog.close", "Chiudi"},
      {"cert_dialog.close.acceleratorKey", new Integer(67)},
      {"net.authenticate.caption", "Password necessaria - Rete"},
      {"net.authenticate.label", "<html><b>Digitare nome utente e password:</b></html>"},
      {"net.authenticate.resource", "Risorsa:"},
      {"net.authenticate.username", "Nome utente:"},
      {"net.authenticate.password", "Password:"},
      {"net.authenticate.firewall", "Firewall:"},
      {"net.authenticate.realm", "Dominio:"},
      {"net.authenticate.scheme", "Schema:"},
      {"net.authenticate.unknownSite", "Sito sconosciuto"},
      {"console.caption", "Console Java"},
      {"console.clear", "Cancella"},
      {"console.clear.acceleratorKey", new Integer(67)},
      {"console.close", "Chiudi"},
      {"console.close.acceleratorKey", new Integer(72)},
      {"console.copy", "Copia"},
      {"console.copy.acceleratorKey", new Integer(80)},
      {"optpkg.cert_expired", "<html><b>Certificato scaduto</b></html>Installazione del pacchetto opzionale interrotta.\n"},
      {"optpkg.cert_notyieldvalid", "<html><b>Certificato non valido</b></html>Installazione del pacchetto opzionale interrotta.\n"},
      {"optpkg.cert_notverify", "<html><b>Certificato non verificato</b></html>Installazione del pacchetto opzionale interrotta.\n"},
      {"optpkg.general_error", "<html><b>Eccezione generale</b></html>Installazione del pacchetto opzionale interrotta.\n"},
      {"optpkg.caption", "Attenzione - Pacchetto opzionale"},
      {
            "optpkg.installer.launch.wait",
            "<html><b>Installazione del pacchetto opzionale</b></html>Fare clic su OK per continuare il caricamento dell'applet dopo la chiusura del programma di installazione del pacchetto opzionale.\n"
      },
      {"optpkg.installer.launch.caption", "Installazione in corso - Pacchetto opzionale"},
      {
            "optpkg.prompt_user.new_spec.text",
            "<html><b>Richiesta di download</b></html>Per questo applet è necessaria una versione più recente (specifica {0}) del pacchetto opzionale \"{1}\" da {2}\n\nContinuare?"
      },
      {
            "optpkg.prompt_user.new_impl.text",
            "<html><b>Richiesta di download</b></html>Per questo applet è necessaria versione più recente (implementazione {0}) del pacchetto opzionale \"{1}\" da {2}\n\nContinuare?"
      },
      {
            "optpkg.prompt_user.new_vendor.text",
            "<html><b>Richiesta di download</b></html>Per questo applet è necessaria la ({0}) del pacchetto opzionale \"{1}\"  {2} da {3}\n\nContinuare?"
      },
      {
            "optpkg.prompt_user.default.text",
            "<html><b>Richiesta di download</b></html>Per questo applet è necessaria l''installazione del pacchetto opzionale \"{0}\" da {1}\n\nContinuare?"
      },
      {"rsa.cert_expired", "<html><b>Certificato scaduto</b></html>Il codice verrà trattato come non firmato.\n"},
      {"rsa.cert_notyieldvalid", "<html><b>Certificato non valido</b></html>Il codice verrà trattato come non firmato.\n"},
      {"rsa.general_error", "<html><b>Certificato non verificato</b></html>Il codice verrà trattato come non firmato.\n"},
      {"usability.confirmDialogTitle", "Conferma necessaria- Java"},
      {"usability.inputDialogTitle", "Informazione necessaria - Java"},
      {"usability.messageDialogTitle", "Messaggio - Java"},
      {"usability.exceptionDialogTitle", "Errore - Java"},
      {"usability.optionDialogTitle", "Opzione - Java"},
      {"usability.aboutDialogTitle", "Informazioni su - Java"},
      {"usability.confirm.yes", "Sì"},
      {"usability.confirm.yes.acceleratorKey", new Integer(83)},
      {"usability.confirm.no", "No"},
      {"usability.confirm.no.acceleratorKey", new Integer(78)},
      {"usability.moreInfo", "Più dettagli"},
      {"usability.moreInfo.acceleratorKey", new Integer(80)},
      {"usability.lessInfo", "Meno dettagli"},
      {"usability.lessInfo.acceleratorKey", new Integer(77)},
      {"usability.java.home.link", "http://www.java.com"},
      {"usability.general_error", "<html><b>Eccezione generale</b></html>"},
      {"usability.net_error", "<html><b>Eccezione di rete</b></html>"},
      {"usability.security_error", "<html><b>Eccezione di sicurezza</b></html>"},
      {"usability.ext_error", "<html><b>Eccezione del pacchetto opzionale</b></html>"},
      {"usability.menu.show_console", "Mostra Console Java"},
      {"usability.menu.hide_console", "Nascondi Console Java"},
      {"usability.menu.about", "Informazioni su Java Plug-in"},
      {"usability.menu.copy", "Copia"},
      {"usability.menu.open_console", "Apri Console Java"},
      {"usability.menu.about_java", "Informazioni su Java(TM)"},
      {"proxy.error_caption", "Errore - Configurazione proxy"},
      {"proxy.prefsfile.nsreg_error", "<html><b>Impossibile recuperare le impostazioni proxy</b></html>Fallback sull'altra configurazione proxy.\n"},
      {"cache.error.text", "<html><b>Errore nella cache</b></html>Impossibile memorizzare o aggiornare i file nella cache."},
      {"cache.error.caption", "Errore - Cache"},
      {"cache.version_format_error", "{0} non è nella forma xxxx.xxxx.xxxx.xxxx, dove x è una cifra esadecimale"},
      {"cache.version_attrib_error", "Il numero di attributi specificati in 'cache_archive' non corrisponde a quelli presenti in 'cache_version'"},
      {"cache.header_fields_missing", "Ora ultima modifica e/o valore scadenza non disponibili. Il file Jar non verrà inserito nella cache."},
      {"applet.progress.load", "Caricamento applet..."},
      {"applet.progress.init", "Inizializzazione applet..."},
      {"applet.progress.start", "Avvio applet..."},
      {"applet.progress.stop", "Interruzione applet..."},
      {"applet.progress.destroy", "Distruzione applet..."},
      {"applet.progress.dispose", "Eliminazione applet..."},
      {"applet.progress.quit", "Chiusura applet..."},
      {"applet.progress.stoploading", "Caricamento interrotto..."},
      {"applet.progress.interrupted", "Thread interrotto..."},
      {"applet.progress.joining", "Esecuzione join thread..."},
      {"applet.progress.joined", "Join thread eseguito..."},
      {"applet.progress.loadImage", "Caricamento immagine"},
      {"applet.progress.loadAudio", "Caricamento audio"},
      {"applet.progress.findinfo.0", "Ricerca informazioni..."},
      {"applet.progress.findinfo.1", "Fine..."},
      {"applet.progress.timeout.wait", "Attesa timeout..."},
      {"applet.progress.timeout.jointing", "Esecuzione join..."},
      {"applet.progress.timeout.jointed", "Join eseguito..."},
      {"console.menu.text.top", "----------------------------------------------------\n"},
      {"console.menu.text.c", "c:   cancella finestra console\n"},
      {"console.menu.text.f", "f:   finalizza oggetti nella coda di finalizzazione\n"},
      {"console.menu.text.g", "g:   recupera spazio\n"},
      {"console.menu.text.h", "h:   visualizza questo messaggio di aiuto\n"},
      {"console.menu.text.j", "j:   esegui dump dei dati jcov\n"},
      {"console.menu.text.l", "l:   esegui dump dell'elenco classloader\n"},
      {"console.menu.text.m", "m:   stampa utilizzo memoria\n"},
      {"console.menu.text.o", "o:   attiva registrazione eventi\n"},
      {"console.menu.text.p", "p:   ricarica configurazione proxy\n"},
      {"console.menu.text.q", "q:   nascondi console\n"},
      {"console.menu.text.r", "r:   ricarica configurazione policy\n"},
      {"console.menu.text.s", "s:   esegui dump delle proprietà del sistema\n"},
      {"console.menu.text.t", "t:   esegui dump dell'elenco thread\n"},
      {"console.menu.text.v", "v:   esegui dump dello stack del thread\n"},
      {"console.menu.text.x", "x:   cancella cache classloader\n"},
      {"console.menu.text.0", "0-5: imposta livello di traccia su <n>\n"},
      {"console.menu.text.tail", "----------------------------------------------------\n"},
      {"console.done", "Fine."},
      {"console.trace.level.0", "Livello di traccia impostato su 0: nessuno ... completato."},
      {"console.trace.level.1", "Livello di traccia impostato su 1: base ... completato."},
      {"console.trace.level.2", "Livello di traccia impostato su 2: base, rete ... completato."},
      {"console.trace.level.3", "Livello di traccia impostato su 3: base, rete, protezione ... completato."},
      {"console.trace.level.4", "Livello di traccia impostato su 4: base, rete, protezione, est ... completato."},
      {"console.trace.level.5", "Livello di traccia impostato su 5: base, rete, protezione, est, liveconnect ... completato."},
      {"console.log", "Registrazione eventi impostata su : "},
      {"console.completed", " .... completato."},
      {"console.dump.thread", "Esegui dump dell'elenco thread ...\n"},
      {"console.dump.stack", "Esegui dump dello stack del thread...\n"},
      {"console.dump.properties", "Esegui dump delle proprietà del sistema ...\n"},
      {"console.clear.classloader", "Cancella cache classloader .... completato."},
      {"console.reload.policy", "Ricarica configurazione policy"},
      {"console.reload.proxy", "Ricarica configurazione proxy...."},
      {"console.gc", "Recupera spazio"},
      {"console.finalize", "Finalizza oggetti nella coda di finalizzazione"},
      {"console.memory", "Memoria:  {0}K  liberi: {1}K  ({2}%)"},
      {"console.jcov.error", "Errore runtime jcov: assicurarsi di aver specificato la corretta opzione jcov\n"},
      {"console.jcov.info", "Esecuzione dump dei dati jcov corretta\n"},
      {"modality.register", "Ascoltatore in modalità registrata"},
      {"modality.unregister", "Ascoltatore in modalità non registrata"},
      {"modality.pushed", "Eseguito push della modalità"},
      {"modality.popped", "Eseguito pop della modalità"},
      {"progress.listener.added", "Aggiunto ascoltatore avanzamento: {0}"},
      {"progress.listener.removed", "Rimosso ascoltatore avanzamento: {0}"},
      {"liveconnect.UniversalBrowserRead.enabled", "JavaScript: UniversalBrowserRead attivato"},
      {"liveconnect.java.system", "JavaScript: chiamata codice di sistema Java"},
      {"liveconnect.same.origin", "JavaScript: stessa origine per chiamante e destinatario"},
      {"liveconnect.default.policy", "JavaScript: policy di protezione predefinita = {0}"},
      {"liveconnect.UniversalJavaPermission.enabled", "JavaScript: UniversalJavaPermission attivato"},
      {"liveconnect.wrong.securitymodel", "Il modello di protezione Netscape non è più supportato.\nEseguire la migrazione al modello di protezione Java 2.\n"},
      {"jpicertstore.cert.loading", "Caricamento certificati JPI da {0}"},
      {"jpicertstore.cert.loaded", "Certificati JPI caricati da {0}"},
      {"jpicertstore.cert.saving", "Salvataggio certificati JPI in {0}"},
      {"jpicertstore.cert.saved", "Certificati JPI salvati in {0}"},
      {"jpicertstore.cert.adding", "Aggiunta del certificato nell'archivio certificati permanenti JPI"},
      {"jpicertstore.cert.added", "Aggiunto alias {0} certificato nell''archivio certificati permanenti JPI "},
      {"jpicertstore.cert.removing", "Rimozione del certificato nell'archivio certificati permanenti JPI"},
      {"jpicertstore.cert.removed", "Rimosso alias {0} certificato nell''archivio certificati permanenti JPI "},
      {"jpicertstore.cert.instore", "Controllo del certificato nell'archivio certificati permanenti JPI"},
      {"jpicertstore.cert.canverify", "Controllare se è possibile verificare il certificato utilizzando i certificati nell'archivio certificati permanenti JPI"},
      {"jpicertstore.cert.iterator", "Ottenere l'iteratore certificati nell'archivio certificati permanenti JPI"},
      {"jpicertstore.cert.getkeystore", "Ottenere l'oggetto archivio chiavi dell'archivio certificati JPI"},
      {"jpihttpscertstore.cert.loading", "Caricamento dei certificati JPI Https da {0}"},
      {"jpihttpscertstore.cert.loaded", "Certificati JPI Https caricati da {0}"},
      {"jpihttpscertstore.cert.saving", "Salvataggio certificati JPI Https in {0}"},
      {"jpihttpscertstore.cert.saved", "Certificati JPI Https salvati in {0}"},
      {"jpihttpscertstore.cert.adding", "Aggiunta certificato Https nell'archivio certificati permanenti JPI"},
      {"jpihttpscertstore.cert.added", "Aggiunto alias {0} certificato Https nell''archivio certificati permanenti JPI "},
      {"jpihttpscertstore.cert.removing", "Rimozione certificato Https nell'archivio certificati permanenti JPI"},
      {"jpihttpscertstore.cert.removed", "Rimosso alias {0} certificato Https nell''archivio certificati permanenti JPI "},
      {"jpihttpscertstore.cert.instore", "Controllo del certificato Https nell'archivio certificati permanenti JPI"},
      {
            "jpihttpscertstore.cert.canverify",
            "Controllare se è possibile verificare il certificato Https utilizzando i certificati nell'archivio certificati permanenti JPI"
      },
      {"jpihttpscertstore.cert.iterator", "Ottenere l'iteratore certificati Https nell'archivio certificati permanenti JPI"},
      {"jpihttpscertstore.cert.getkeystore", "Ottenere l'oggetto archivio chiavi dell'archivio certificati Https"},
      {"rootcertstore.cert.loading", "Caricamento certificati CA principali da {0}"},
      {"rootcertstore.cert.loaded", "Certificati CA principali caricati da {0}"},
      {"rootcertstore.cert.noload", "Impossibile trovare il file dei certificati CA principali: {0}"},
      {"rootcertstore.cert.saving", "Salvataggio certificati CA principali in {0}"},
      {"rootcertstore.cert.saved", "Certificati CA principali salvati in {0}"},
      {"rootcertstore.cert.adding", "Aggiunta certificato nell'archivio certificati CA principali"},
      {"rootcertstore.cert.added", "Aggiunto alias {0} certificato nell''archivio certificati CA principali "},
      {"rootcertstore.cert.removing", "Rimozione certificato nell'archivio certificati CA principali"},
      {"rootcertstore.cert.removed", "Rimosso alias {0} certificato nell''archivio certificati CA principali "},
      {"rootcertstore.cert.instore", "Controllo del certificato nell'archivio certificati CA principali"},
      {"rootcertstore.cert.canverify", "Controllare se è possibile verificare il certificato utilizzando i certificati nell'archivio certificati CA principali"},
      {"rootcertstore.cert.iterator", "Ottenere l'iteratore certificati nell'archivio certificati CA principali"},
      {"rootcertstore.cert.getkeystore", "Ottenere l'oggetto archivio chiavi dell'archivio certificati principali CA"},
      {"rootcertstore.cert.verify.ok", "Il certificato è stato verificato con i certificati CA principali"},
      {"rootcertstore.cert.verify.fail", "Impossibile verificare il certificato con i certificati CA principali"},
      {"rootcertstore.cert.tobeverified", "Certificato da verificare:\n{0}"},
      {"rootcertstore.cert.tobecompared", "Confronto certificato con certificato CA principale:\n{0}"},
      {"roothttpscertstore.cert.loading", "Caricamento dei certificati CA principali Https da {0}"},
      {"roothttpscertstore.cert.loaded", "Certificati CA principali Https caricati da {0}"},
      {"roothttpscertstore.cert.noload", "Impossibile trovare il file dei certificati CA principali Https: "},
      {"roothttpscertstore.cert.saving", "Salvataggio certificati CA principali Https in {0}"},
      {"roothttpscertstore.cert.saved", "Certificati CA principali Https salvati in "},
      {"roothttpscertstore.cert.adding", "Aggiunta certificato nell'archivio dei certificati CA principali Https"},
      {"roothttpscertstore.cert.added", "Aggiunto alias certificato nell'archivio certificati CA principali Https "},
      {"roothttpscertstore.cert.removing", "Rimozione certificato nell'archivio certificati CA principali Https"},
      {"roothttpscertstore.cert.removed", "Rimosso alias certificato nell'archivio certificati CA principali Https "},
      {"roothttpscertstore.cert.instore", "Controllo del certificato nell'archivio certificati CA principali"},
      {
            "roothttpscertstore.cert.canverify",
            "Controllare se è possibile verificare il certificato utilizzando i certificati nell'archivio certificati CA principali Https"
      },
      {"roothttpscertstore.cert.iterator", "Ottenere l'iteratore certificati nell'archivio certificati CA principali Https"},
      {"roothttpscertstore.cert.getkeystore", "Ottenere l'oggetto archivio chiavi dell'archivio certificati CA principali Https"},
      {"roothttpscertstore.cert.verify.ok", "Il certificato è stato verificato con i certificati CA principali Https"},
      {"roothttpscertstore.cert.verify.fail", "Impossibile verificare il certificato con i certificati CA principali Https"},
      {"roothttpscertstore.cert.tobeverified", "Certificato da verificare:\n{0}"},
      {"roothttpscertstore.cert.tobecompared", "Confronto certificato con certificato CA principale Https:\n{0}"},
      {"sessioncertstore.cert.loading", "Caricamento certificati dall'archivio certificati della sessione JPI"},
      {"sessioncertstore.cert.loaded", "Certificati caricati dall'archivio certificati della sessione JPI"},
      {"sessioncertstore.cert.saving", "Salvataggio certificati nell'archivio certificati della sessione JPI"},
      {"sessioncertstore.cert.saved", "Certificati salvati nell'archivio certificati della sessione JPI"},
      {"sessioncertstore.cert.adding", "Aggiunta del certificato nell'archivio certificati della sessione JPI"},
      {"sessioncertstore.cert.added", "Certificato aggiunto nell'archivio certificati della sessione JPI"},
      {"sessioncertstore.cert.removing", "Rimozione del certificato nell'archivio certificati della sessione JPI"},
      {"sessioncertstore.cert.removed", "Certificato rimosso nell'archivio certificati della sessione JPI"},
      {"sessioncertstore.cert.instore", "Controllo del certificato nell'archivio certificati della sessione JPI"},
      {
            "sessioncertstore.cert.canverify",
            "Controllare se è possibile verificare il certificato utilizzando i certificati nell'archivio certificati della sessione JPI"
      },
      {"sessioncertstore.cert.iterator", "Ottenere l'iteratore certificati nell'archivio certificati della sessione JPI"},
      {"sessioncertstore.cert.getkeystore", "Ottenere l'oggetto archivio chiavi dell'archivio certificati della sessione JPI"},
      {"hostnameverifier.automation.ignoremismatch", "Automazione: ignora mancata corrispondenza nome host"},
      {"pluginclassloader.created_files", "Creato {0} nella cache."},
      {"pluginclassloader.deleting_files", "Eliminazione file JAR dalla cache."},
      {"pluginclassloader.file", "   eliminazione dalla cache {0}"},
      {"pluginclassloader.empty_file", "{0} non ha dati, eliminazione dalla cache."},
      {"trustdecider.check.basicconstraints", "Controllo limitazioni di base non riuscito nel certificato"},
      {"trustdecider.check.leafkeyusage", "Controllo utilizzo chiave foglia non riuscito nel certificato"},
      {"trustdecider.check.signerkeyusage", "Controllo uso chiave firmatario non riuscito nel certificato"},
      {"trustdecider.check.extensions", "Controllo estensioni critiche non riuscito nel certificato"},
      {"trustdecider.check.signature", "Controllo firma non riuscito nel certificato"},
      {"trustdecider.check.basicconstraints.certtypebit", "Controllo bit tipo Netscape non riuscito nel certificato"},
      {"trustdecider.check.basicconstraints.extensionvalue", "Controllo valore estensione Netscape non riuscito nel certificato"},
      {"trustdecider.check.basicconstraints.bitvalue", "Controllo valore 5,6,7 bit Nescape non riuscito nel certificato"},
      {"trustdecider.check.basicconstraints.enduser", "Controllo azione utente finale come CA non riuscito nel certificato"},
      {"trustdecider.check.basicconstraints.pathlength", "Controllo limitazioni lunghezza percorso non riuscito nel certificato"},
      {"trustdecider.check.leafkeyusage.length", "Controllo lunghezza uso chiave non riuscito nel certificato"},
      {"trustdecider.check.leafkeyusage.digitalsignature", "Controllo firma digitale non riuscito nel certificato"},
      {"trustdecider.check.leafkeyusage.extkeyusageinfo", "Controllo info uso chiave estensione non riuscito nel certificato"},
      {"trustdecider.check.leafkeyusage.certtypebit", "Controllo bit tipo Netscape non riuscito nel certificato"},
      {"trustdecider.check.signerkeyusage.lengthandbit", "Controllo lunghezza e bit non riuscito nel certificato"},
      {"trustdecider.check.signerkeyusage.keyusage", "Controllo uso chiave non riuscito nel certificato"},
      {"trustdecider.check.canonicalize.updatecert", "Aggiornare il certificato principale con il certificato nel file cacerts"},
      {"trustdecider.check.canonicalize.missing", "Aggiungere il certificato principale mancante"},
      {"trustdecider.check.gettrustedcert.find", "Individuare il CA principale valido nel file cacerts"},
      {"trustdecider.check.gettrustedissuercert.find", "Individuare il CA principale valido mancante nel file cacerts"},
      {"trustdecider.user.grant.session", "L'utente ha garantito i privilegi al codice solo per questa sessione"},
      {"trustdecider.user.grant.forever", "L'utente ha garantito i privilegi al codice senza limitazioni di tempo"},
      {"trustdecider.user.deny", "L'utente ha negato i privilegi al codice"},
      {"trustdecider.automation.trustcert", "Automazione: certificato RSA attendibile per la firma"},
      {"x509trustmgr.automation.ignoreclientcert", "Automazione: ignora certificato client non attendibile"},
      {"x509trustmgr.automation.ignoreservercert", "Automazione: ignora certificato server non attendibile"},
      {"appletcontext.audio.loaded", "Caricato clip audio: "},
      {"appletcontext.image.loaded", "Caricata immagine: "},
      {"securitymgr.automation.printing", "Automazione: accetta la stampa"},
      {"classloaderinfo.referencing", "Referenziazione classloader: {0}, refcount={1}"},
      {"classloaderinfo.releasing", "Rilascio classloader: {0}, refcount={1}"},
      {"classloaderinfo.caching", "Caching classloader: "},
      {"classloaderinfo.cachesize", "Dimensioni cache classloader attuale: "},
      {"classloaderinfo.num", "Numero di classloader memorizzati su {0}, senza referenziazione {1}"},
      {"trace.listener.added", "Aggiunto ascoltatore traccia: {0}"},
      {"trace.listener.removed", "Rimosso ascoltatore traccia: {0}"},
      {"cookiehandler.cache", "Cache cookie: "},
      {"cookiehandler.server", "Richiesta del server {0} di impostare i cookie con \"{1}\""},
      {"cookiehandler.connect", "Connessione {0} con cookie \"{1}\""},
      {"cookiehandler.ignore.setcookie", "Servizio cookie non disponibile - ignora \"Set-Cookie\""},
      {"cookiehandler.noservice", " Servizio cookie non disponibile - utilizza cache per determinare \"Cookie\""},
      {"jsobject.eval", "Valuta {0} = {1}"},
      {"jsobject.call", "JSObject::call: name={0}, url={1}, permission={2}"},
      {"jsobject.eval.url.permission", "JSObject::eval({0}), url={1}, permission={2}"},
      {"jsobject.getMember", "JSObject::getMember: name={0}, url={1}, permission={2}"},
      {"jsobject.setMember", "JSObject::setMember: name={0}, url={1}, permission={2}"},
      {"jsobject.removeMember", "JSObject::removeMember: name={0}, url={1}, permission={2}"},
      {"jsobject.getSlot", "JSObject::getSlot: {0}, url={1}, permission={2}"},
      {"jsobject.setSlot", "JSObject::setSlot: slot={0}, url={1}, permission={2}"},
      {"applet_install.ok", "Installazione applet terminata."},
      {"applet_install.fail", "Installazione applet non riuscita."},
      {"optpkg.install.info", "Installazione pacchetto opzionale {0}"},
      {"optpkg.install.fail", "Installazione pacchetto opzionale non riuscita."},
      {"optpkg.install.ok", "Installazione pacchetto opzionale eseguita."},
      {"optpkg.install.automation", "Automazione: accetta installazione pacchetto opzionale"},
      {"optpkg.install.granted", "Download pacchetto opzionale garantito dall''utente, scarica da {0}"},
      {"optpkg.install.deny", "Download pacchetto opzionale non garantito dall'utente"},
      {"optpkg.install.begin", "Installazione {0}"},
      {"optpkg.install.java.launch", "Avvio programma di installazione Java"},
      {"optpkg.install.java.launch.command", "Avvio programma di installazione Java attraverso {0}"},
      {"optpkg.install.native.launch", "Avvio programma di installazione nativo"},
      {"optpkg.install.native.launch.fail.0", "Impossibile eseguire {0}"},
      {"optpkg.install.native.launch.fail.1", "Accesso a {0} non riuscito"},
      {"optpkg.install.raw.launch", "Installazione package opzionale grezzo"},
      {"optpkg.install.raw.copy", "Copia pacchetto opzionale grezzo da {0} a {1}"},
      {"optpkg.install.error.nomethod", "Dependent Extension Provider non installato: impossibile ottenere  il metodo addExtensionInstallationProvider"},
      {"optpkg.install.error.noclass", "Dependent Extension Provider non installato: impossibile ottenere la classe sun.misc.ExtensionDependency"},
      {"dialogfactory.user.selected", "Utente selezionato: {0}"},
      {"dialogfactory.user.typed", "Utente immesso: {0}"},
      {"progress_dialog.downloading", "Plug-in: download in corso..."},
      {"progress_dialog.dismiss_button", "Interrompi"},
      {"progress_dialog.dismiss_button.acceleratorKey", new Integer(73)},
      {"progress_dialog.from", "da"},
      {"applet_viewer.color_tag", "Numero di componenti non corretto in {0}"},
      {"progress_info.downloading", "Download file JAR addizionali"},
      {"progress_bar.preload", "Precaricamento file JAR: {0}"},
      {"cache.size", "Dimensioni cache: {0}"},
      {"cache.cleanup", " Dimensioni cache: {0} byte, è necessario eliminare file"},
      {"cache.full", "Cache piena: eliminazione del file {0}"},
      {"cache.inuse", "Impossibile eliminare il file {0} perché utilizzato da questa applicazione"},
      {"cache.notdeleted", "Impossibile eliminare il file {0}, il file potrebbe essere utilizzato da questa e/o altre applicazioni"},
      {"cache.out_of_date", "La copia di {0} nella cache non è aggiornata\n  Copia nella cache: {1}\n  Copia nel server: {2}"},
      {"cache.loading", "Caricamento di {0} dalla cache"},
      {"cache.cache_warning", "AVVISO: Impossibile eseguire il caching di {0}"},
      {"cache.downloading", "Download  di {0} nella cache"},
      {"cache.cached_name", "Nome file nella cache: {0}"},
      {"cache.load_warning", "AVVISO: errore durante la lettura di {0} dalla cache."},
      {"cache.disabled", "Cache disabilitata dall'utente"},
      {"cache.minSize", "Cache disabilitata, limite cache impostato a {0}, specificare almeno 5 MB"},
      {"cache.directory_warning", "AVVISO: {0} non è una directory.  Il caching verrà disattivato."},
      {"cache.response_warning", "AVVISO: risposta inattesa {0} per {1}. Il file verrà di nuovo scaricato."},
      {"cache.enabled", "Cache abilitata"},
      {"cache.location", "Posizione: {0}"},
      {"cache.maxSize", "Dimensione massima: {0}"},
      {"cache.create_warning", "AVVISO: impossibile creare la directory cache {0}. Il caching verrà disabilitato."},
      {"cache.read_warning", " AVVISO: impossibile leggere la directory cache {0}.  Il caching verrà disabilitato."},
      {"cache.write_warning", " AVVISO: impossibile scrivere sulla directory cache {0}.  Il caching verrà disabilitato."},
      {"cache.compression", "Livello di compressione: {0}"},
      {"cache.cert_load", "I certificati per {0} sono letti dalla cache"},
      {"cache.jarjar.invalid_file", "Il file .jarjar contiene un file non .jar"},
      {"cache.jarjar.multiple_jar", "Il file .jarjar contiene più di un file .jar"},
      {"cache.version_checking", "Controllo versione per {0}, la versione specificata è {1}"},
      {"cache.preloading", "Precaricamento file {0}"},
      {"cache_viewer.caption", "Dettagli - Cache"},
      {"cache_viewer.refresh", "Aggiorna"},
      {"cache_viewer.refresh.acceleratorKey", new Integer(65)},
      {"cache_viewer.remove", "Elimina"},
      {"cache_viewer.remove.acceleratorKey", new Integer(69)},
      {"cache_viewer.close", "Chiudi"},
      {"cache_viewer.close.acceleratorKey", new Integer(67)},
      {"cache_viewer.name", "Nome"},
      {"cache_viewer.type", "Tipo"},
      {"cache_viewer.size", "Dimensioni"},
      {"cache_viewer.modify_date", "Ultima modifica"},
      {"cache_viewer.expiry_date", "Data scadenza"},
      {"cache_viewer.url", "URL"},
      {"cache_viewer.version", "Versione"},
      {"cache_viewer.help.name", "Nome file nella cache"},
      {"cache_viewer.help.type", "Tipo file nella cache"},
      {"cache_viewer.help.size", "Dimensioni file nella cache"},
      {"cache_viewer.help.modify_date", "Data ultima modifica del file"},
      {"cache_viewer.help.expiry_date", "Data scadenza del file"},
      {"cache_viewer.help.url", "URL di scaricamento del file nella cache"},
      {"cache_viewer.help.version", "Versione cache del file"},
      {"cache_viewer.delete.text", "<html><b>File non eliminato</b></html>{0} potrebbe essere in uso.\n"},
      {"cache_viewer.delete.caption", "Errore - Cache"},
      {"cache_viewer.type.zip", "Jar"},
      {"cache_viewer.type.class", "Classe"},
      {"cache_viewer.type.wav", "File audio Wav"},
      {"cache_viewer.type.au", " File audio Au "},
      {"cache_viewer.type.gif", "Immagine Gif"},
      {"cache_viewer.type.jpg", " Immagine Jpeg"},
      {"net.proxy.loading.ie", "Caricamento della configurazione proxy da Internet Explorer ..."},
      {"net.proxy.loading.ns", "Caricamento della configurazione proxy da Netscape Navigator ..."},
      {"net.proxy.loading.userdef", "Caricamento della configurazione proxy definita dall'utente ..."},
      {"net.proxy.loading.direct", "Caricamento della configurazione proxy diretta ..."},
      {"net.proxy.loading.manual", "Caricamento della configurazione proxy manuale ..."},
      {"net.proxy.loading.auto", "Caricamento della configurazione proxy automatica ..."},
      {"net.proxy.loading.browser", "Caricamento della configurazione proxy del browser ..."},
      {"net.proxy.loading.manual.error", "Impossibile utilizzare la configurazione proxy manuale - fallback su DIRECT"},
      {"net.proxy.loading.auto.error", "Impossibile utilizzare la configurazione proxy automatica - fallback su MANUAL"},
      {"net.proxy.loading.done", "Fine."},
      {"net.proxy.browser.pref.read", "Lettura del file preferenze utente da {0}"},
      {"net.proxy.browser.proxyEnable", "    Abilita proxy: {0}"},
      {"net.proxy.browser.proxyList", "    Elenco proxy: {0}"},
      {"net.proxy.browser.proxyOverride", "    Ignora proxy: {0}"},
      {"net.proxy.browser.autoConfigURL", "    URL configurazione automatica: {0}"},
      {"net.proxy.browser.smartConfig", "Eseguire il ping sul server proxy {0} sulla porta {1}"},
      {"net.proxy.browser.connectionException", "Impossibile collegarsi al server proxy {0} sulla porta {1} "},
      {"net.proxy.ns6.regs.exception", "Errore durante la lettura del file di registro: {0}"},
      {"net.proxy.pattern.convert", "Conversione dell'elenco bypass proxy in espressione regolare: "},
      {"net.proxy.pattern.convert.error", "Impossibile convertire l'elenco bypass proxy in espressione regolare - ignorare"},
      {"net.proxy.auto.download.ins", "Download file INS da {0}"},
      {"net.proxy.auto.download.js", "Download file proxy automatico da {0}"},
      {"net.proxy.auto.result.error", "Impossibile determinare le impostazioni proxy dalla valutazione - fallback su DIRECT"},
      {"net.proxy.service.not_available", "Servizio proxy non disponibile per {0} - predefinito su DIRECT"},
      {"lifecycle.applet.found", "È stato trovato un applet precedente interrotto dalla cache del ciclo di vita"},
      {"lifecycle.applet.support", "L'applet supporta il modello di ciclo di vita precedente. Aggiungere l'applet alla cache del ciclo di vita."},
      {"lifecycle.applet.cachefull", "La cache del ciclo di vita è piena. Eliminare gli applet meno recenti."},
      {"com.method.ambiguous", "Impossibile selezionare un metodo, parametri non chiari"},
      {"com.method.notexists", "{0}: metodo inesistente"},
      {"com.notexists", "{0}: metodo/proprietà inesistente"},
      {"com.method.invoke", "Chiamata metodo: {0}"},
      {"com.method.jsinvoke", "Chiamata metodo JS: {0}"},
      {"com.method.argsTypeInvalid", "Impossibile convertire i parametri nei tipi richiesti"},
      {"com.method.argCountInvalid", "Numero argomenti incorretto"},
      {"com.field.needsConversion", "Richiesta conversione: {0} --> {1}"},
      {"com.field.typeInvalid", " Impossibile convertire in tipo: {0}"},
      {"com.field.get", "Recupero proprietà: {0}"},
      {"com.field.set", "Impostazione proprietà: {0}"},
      {"about.java.version", "Versione {0} (build {1})"},
      {"about.prompt.info", "Informazioni dettagliate sulla tecnologia e le applicazioni Java sono contenute alla pagina"},
      {"about.home.link", "http://www.java.com"},
      {"about.option.close", "Chiudi"},
      {"about.option.close.acceleratorKey", new Integer(67)},
      {"about.legal.note", "Copyright 2006 Sun Microsystems, Inc. Tutti i diritti riservati.  Uso soggetto ai termini di licenza."},
      {"autoupdatecheck.buttonYes", "Sì"},
      {"autoupdatecheck.buttonYes.acceleratorKey", new Integer(83)},
      {"autoupdatecheck.buttonNo", "No"},
      {"autoupdatecheck.buttonNo.acceleratorKey", new Integer(78)},
      {"autoupdatecheck.buttonAskLater", "Richiedi in seguito"},
      {"autoupdatecheck.buttonAskLater.acceleratorKey", new Integer(82)},
      {"autoupdatecheck.caption", "Controlla automaticamente gli aggiornamenti"},
      {
            "autoupdatecheck.message",
            "L'Aggiornamento Java può aggiornare automaticamente Java quando si rende disponibile una nuova versione. Abilitare questo servizio?"
      }
   };

   public Object[][] getContents() {
      return contents;
   }
}
