package sun.plugin.resources;

import java.util.ListResourceBundle;

public class Activator_ja extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"panel.caption", "Java(TM) Plug-in コントロールパネル"},
      {"product_name", "Java(TM) Plug-in"},
      {"version", "バージョン"},
      {"default_vm_version", "デフォルトの仮想マシンのバージョン "},
      {"using_jre_version", "使用中の JRE のバージョン"},
      {"user_home_dir", "ユーザのホームディレクトリ"},
      {"user_overriden_browser", "ユーザによってブラウザのプロキシ設定が上書きされました。"},
      {"proxy_configuration", "プロキシの設定: "},
      {"browser_config", "ブラウザプロキシの設定"},
      {"auto_config", "プロキシの自動設定"},
      {"manual_config", "手動設定"},
      {"no_proxy", "プロキシなし"},
      {"proxy_is", "プロキシ: "},
      {"proxy_override_is", "無効にするプロキシ: "},
      {"loading", "{0} を読み込んでいます ..."},
      {"java_applet", "Java アプレット"},
      {"failed", "Java アプレットの読み込みに失敗しました ..."},
      {"image_failed", "ユーザ定義イメージの作成に失敗しました。イメージファイル名を確認してください。"},
      {"java_bean", "JavaBeans"},
      {"java_not_enabled", "Java が利用可能になっていません"},
      {"exception", "例外: {0}"},
      {"net.connect.no_proxy", "プロキシなしで {0} に接続中"},
      {"net.connect.proxy_is", "プロキシ={1} で {0} に接続中"},
      {"bean_code_and_ser", "Bean は CODE と JAVA_OBJECT の定義を同時に持てません。"},
      {"status_applet", "アプレット {0} {1}"},
      {"print.caption", "確認 - 印刷"},
      {"print.message", new String[]{"<html><b>印刷要求</b></html>アプレットからの印刷要求があります。続行しますか?"}},
      {"print.checkBox", "今後この警告を表示しない"},
      {"print.buttonYes", "はい(Y)"},
      {"print.buttonYes.acceleratorKey", new Integer(89)},
      {"print.buttonNo", "いいえ(N)"},
      {"print.buttonNo.acceleratorKey", new Integer(78)},
      {"https_dialog.caption", "警告 - HTTPS"},
      {"https_dialog.text", "<html><b>ホスト名の不一致</b></html>サーバセキュリティ証明書のホスト名がサーバ名と一致しません。\n\nURL のホスト名: {0}\n証明書に示されているホスト名: {1}\n\n続行しますか?"},
      {"https_dialog.unknown.host", "未知のホスト"},
      {"security_dialog.caption", "警告 - セキュリティ"},
      {"security_dialog.text0", "\"{0}\" から渡された署名付きアプレットを信頼しますか?\n\n\"{1}\" によって発行者の信頼性が検証されました。"},
      {"security_dialog_https.text0", "Web サイト \"{0}\" から送られたこの証明書を受け入れて暗号化された情報を交換しますか?\n\n\"{1}\" により発行者の信頼性が検証されました。"},
      {"security_dialog.text1", "\n注意: \"{0}\" はこの内容が安全であることを表明します。この表明を行なっている \"{1}\" を信頼する場合にのみこの内容を承認してください。"},
      {"security_dialog.unknown.issuer", "未知の発行者"},
      {"security_dialog.unknown.subject", "未知の被認証者"},
      {"security_dialog.certShowName", "{0} ({1})"},
      {"security_dialog.rootCANotValid", "このセキュリティ証明書は信頼できない団体によって発行されています。"},
      {"security_dialog.rootCAValid", "このセキュリティ証明書は、信頼できる団体によって発行されています。"},
      {"security_dialog.timeNotValid", "このセキュリティ証明書が期限が切れているか、まだ有効になっていません。"},
      {"security_dialog.timeValid", "このセキュリティ証明書は期限が切れておらず、依然として有効です。"},
      {"security_dialog.buttonAlways", "常に(A)"},
      {"security_dialog.buttonAlways.acceleratorKey", new Integer(65)},
      {"security_dialog.buttonYes", "はい(Y)"},
      {"security_dialog.buttonYes.acceleratorKey", new Integer(89)},
      {"security_dialog.buttonNo", "いいえ(N)"},
      {"security_dialog.buttonNo.acceleratorKey", new Integer(78)},
      {"security_dialog.buttonViewCert", "詳細(M)"},
      {"security_dialog.buttonViewCert.acceleratorKey", new Integer(77)},
      {"cert_dialog.caption", "詳細 - 証明書"},
      {"cert_dialog.certpath", "証明書のパス"},
      {"cert_dialog.field.Version", "バージョン"},
      {"cert_dialog.field.SerialNumber", "シリアル番号"},
      {"cert_dialog.field.SignatureAlg", "署名アルゴリズム"},
      {"cert_dialog.field.Issuer", "発行者"},
      {"cert_dialog.field.EffectiveDate", "実効日"},
      {"cert_dialog.field.ExpirationDate", "有効期限"},
      {"cert_dialog.field.Validity", "有効性"},
      {"cert_dialog.field.Subject", "被認証者"},
      {"cert_dialog.field.Signature", "署名"},
      {"cert_dialog.field", "フィールド"},
      {"cert_dialog.value", "値"},
      {"cert_dialog.close", "閉じる(C)"},
      {"cert_dialog.close.acceleratorKey", new Integer(67)},
      {"net.authenticate.caption", "パスワードの要求 - ネットワーク"},
      {"net.authenticate.label", "<html><b>ユーザ名とパスワードを入力してください:</b></html>"},
      {"net.authenticate.resource", "リソース:"},
      {"net.authenticate.username", "ユーザ名:"},
      {"net.authenticate.password", "パスワード:"},
      {"net.authenticate.firewall", "ファイアウォール:"},
      {"net.authenticate.realm", "レルム:"},
      {"net.authenticate.scheme", "スキーマ:"},
      {"net.authenticate.unknownSite", "未知のサイト"},
      {"console.caption", "Java コンソール"},
      {"console.clear", "消去(C)"},
      {"console.clear.acceleratorKey", new Integer(67)},
      {"console.close", "閉じる(E)"},
      {"console.close.acceleratorKey", new Integer(69)},
      {"console.copy", "コピー(Y)"},
      {"console.copy.acceleratorKey", new Integer(89)},
      {"optpkg.cert_expired", "<html><b>有効期限切れの証明書</b></html>オプションパッケージのインストールが中止されました。\n"},
      {"optpkg.cert_notyieldvalid", "<html><b>無効の証明書</b></html>オプションパッケージのインストールが中止されました。\n"},
      {"optpkg.cert_notverify", "<html><b>未証明の証明書</b></html>オプションパッケージのインストールが中止されました。\n"},
      {"optpkg.general_error", "<html><b>一般的な例外</b></html>オプションパッケージのインストールが中止されました。\n"},
      {"optpkg.caption", "警告 - オプションパッケージ"},
      {"optpkg.installer.launch.wait", "<html><b>オプションパッケージのインストール</b></html>オプションパッケージインストーラの終了後に「了解」をクリックしてアプレットのロードを継続します。\n"},
      {"optpkg.installer.launch.caption", "インストール中 - オプションパッケージ"},
      {"optpkg.prompt_user.new_spec.text", "<html><b>ダウンロードの要求</b></html>アプレットには、{2} のオプションパッケージ \"{1}\" の新しいバージョン (仕様 {0}) が必要です\n\n続行しますか?"},
      {"optpkg.prompt_user.new_impl.text", "<html><b>ダウンロード要求</b></html>アプレットには、{2} のオプションパッケージ \"{1}\" の新しいバージョン (実装 {0}) が必要です\n\n続行しますか?"},
      {"optpkg.prompt_user.new_vendor.text", "<html><b>ダウンロード要求</b></html>アプレットには、{3} のオプションパッケージ \"{1}\" {2} の ({0}) が必要です\n\n続行しますか?"},
      {"optpkg.prompt_user.default.text", "<html><b>ダウンロード要求</b></html>アプレットには、{1} からオプションパッケージ \"{0}\" をインストールする必要があります\n\n続行しますか?"},
      {"rsa.cert_expired", "<html><b>有効期限切れの証明書</b></html>コードは署名のないものとして処理されます。\n"},
      {"rsa.cert_notyieldvalid", "<html><b>無効の証明書</b></html>コードは署名のないものとして処理されます。\n"},
      {"rsa.general_error", "<html><b>未証明の証明書</b></html>コードは署名のないものとして処理されます。\n"},
      {"usability.confirmDialogTitle", "確認 - Java"},
      {"usability.inputDialogTitle", "入力 - Java"},
      {"usability.messageDialogTitle", "メッセージ - Java"},
      {"usability.exceptionDialogTitle", "エラー - Java"},
      {"usability.optionDialogTitle", "オプション - Java"},
      {"usability.aboutDialogTitle", "情報 - Java"},
      {"usability.confirm.yes", "はい(Y)"},
      {"usability.confirm.yes.acceleratorKey", new Integer(89)},
      {"usability.confirm.no", "いいえ(N)"},
      {"usability.confirm.no.acceleratorKey", new Integer(78)},
      {"usability.moreInfo", "詳細情報(M)"},
      {"usability.moreInfo.acceleratorKey", new Integer(77)},
      {"usability.lessInfo", "簡易情報(L)"},
      {"usability.lessInfo.acceleratorKey", new Integer(76)},
      {"usability.java.home.link", "http://www.java.com"},
      {"usability.general_error", "<html><b>一般例外</b></html>"},
      {"usability.net_error", "<html><b>ネットワーク例外</b></html>"},
      {"usability.security_error", "<html><b>セキュリティ例外</b></html>"},
      {"usability.ext_error", "<html><b>オプションパッケージ例外</b></html>"},
      {"usability.menu.show_console", "Java コンソールを表示"},
      {"usability.menu.hide_console", "Java コンソールを隠す"},
      {"usability.menu.about", "Java Plug-in について"},
      {"usability.menu.copy", "コピー"},
      {"usability.menu.open_console", "Java コンソールを開く"},
      {"usability.menu.about_java", "Java(TM) について"},
      {"proxy.error_caption", "エラー - プロキシ構成"},
      {"proxy.prefsfile.nsreg_error", "<html><b>プロキシ設定の取得不可</b></html>他のプロキシ構成に戻します。\n"},
      {"cache.error.text", "<html><b>キャッシュエラー</b></html>キャッシュ内のファイルを格納または更新できません。"},
      {"cache.error.caption", "エラー - キャッシュ"},
      {"cache.version_format_error", "{0} は xxxx.xxxx.xxxx.xxxx 形式ではありません。(x は 16 進数字)"},
      {"cache.version_attrib_error", "'cache_archive' で指定された属性の数が、'cache_version' の数と一致しません"},
      {"cache.header_fields_missing", "最終更新日時および有効期限の値が入手できません。Jar ファイルはキャッシュされません。"},
      {"applet.progress.load", "アプレットをロードしています..."},
      {"applet.progress.init", "アプレットを初期化しています..."},
      {"applet.progress.start", "アプレットを開始しています..."},
      {"applet.progress.stop", "アプレットを停止しています..."},
      {"applet.progress.destroy", "アプレットを破棄しています..."},
      {"applet.progress.dispose", "アプレットを破棄しています..."},
      {"applet.progress.quit", "アプレットを終了しています..."},
      {"applet.progress.stoploading", "ロードを停止しました..."},
      {"applet.progress.interrupted", "スレッドを中断しました..."},
      {"applet.progress.joining", "アプレットスレッドを結合しています..."},
      {"applet.progress.joined", "アプレットスレッドを結合しました..."},
      {"applet.progress.loadImage", "イメージをロードしています "},
      {"applet.progress.loadAudio", "オーディオをロードしています "},
      {"applet.progress.findinfo.0", "情報を検索しています..."},
      {"applet.progress.findinfo.1", "完了..."},
      {"applet.progress.timeout.wait", "タイムアウトを待機しています..."},
      {"applet.progress.timeout.jointing", "結合を行なっています ..."},
      {"applet.progress.timeout.jointed", "結合を完了しました ..."},
      {"console.menu.text.top", "----------------------------------------------------\n"},
      {"console.menu.text.c", "c:   コンソールウィンドウをクリア\n"},
      {"console.menu.text.f", "f:   ファイナライズキューのオブジェクトをファイナライズ\n"},
      {"console.menu.text.g", "g:   ガベージコレクト\n"},
      {"console.menu.text.h", "h:   このヘルプメッセージを表示\n"},
      {"console.menu.text.j", "j:   jcov データをダンプ\n"},
      {"console.menu.text.l", "l:   クラスローダリストをダンプ\n"},
      {"console.menu.text.m", "m:   メモリ使用率を表示\n"},
      {"console.menu.text.o", "o:   トリガログ\n"},
      {"console.menu.text.p", "p:   プロキシ設定を再ロード\n"},
      {"console.menu.text.q", "q:   コンソールを非表示\n"},
      {"console.menu.text.r", "r:   ポリシー設定を再ロード\n"},
      {"console.menu.text.s", "s:   システムプロパティをダンプ\n"},
      {"console.menu.text.t", "t:   スレッドリストをダンプ\n"},
      {"console.menu.text.v", "v:   スレッドスタックをダンプ\n"},
      {"console.menu.text.x", "x:   クラスローダキャッシュをクリア\n"},
      {"console.menu.text.0", "0-5: トレースレベルを <n> に設定\n"},
      {"console.menu.text.tail", "----------------------------------------------------\n"},
      {"console.done", "完了しました。"},
      {"console.trace.level.0", "トレースレベルを 0 に設定: なし ... 完了。"},
      {"console.trace.level.1", "トレースレベルを 1 に設定: 基本 ... 完了。"},
      {"console.trace.level.2", "トレースレベルを 2 に設定: 基本、ネットワーク ... 完了。"},
      {"console.trace.level.3", "トレースレベルを 3 に設定: 基本、ネットワーク、セキュリティ ... 完了。"},
      {"console.trace.level.4", "トレースレベルを 4 に設定: 基本、ネットワーク、セキュリティ、拡張機能 ... 完了。"},
      {"console.trace.level.5", "トレースレベルを 5 に設定: 基本、ネットワーク、セキュリティ、拡張機能、liveconnect ... 完了。"},
      {"console.log", "ログを設定します : "},
      {"console.completed", " ... 完了。"},
      {"console.dump.thread", "スレッドリストのダンプ ...\n"},
      {"console.dump.stack", "スレッドスタックのダンプ ...\n"},
      {"console.dump.properties", "システムプロパティのダンプ ...\n"},
      {"console.clear.classloader", "クラスローダキャッシュの消去 ... 完了。"},
      {"console.reload.policy", "ポリシー設定の再ロード"},
      {"console.reload.proxy", "プロキシ設定の再ロード ..."},
      {"console.gc", "ガベージコレクト"},
      {"console.finalize", "ファイナライズキューのオブジェクトをファイナライズ"},
      {"console.memory", "メモリ: {0}K  空き容量: {1}K  ({2}%)"},
      {"console.jcov.error", "Jcov の実行時エラー。jcov オプションが正しく指定されているかどうかをチェックしてください\n"},
      {"console.jcov.info", "Jcov データが正常にダンプされました\n"},
      {"modality.register", "登録済みのモーダリティリスナー"},
      {"modality.unregister", "未登録のモーダリティリスナー"},
      {"modality.pushed", "モーダリティがプッシュされました"},
      {"modality.popped", "モーダリティがポップされました"},
      {"progress.listener.added", "追加されたプログレスリスナー: {0}"},
      {"progress.listener.removed", "削除されたプログレスリスナー: {0}"},
      {"liveconnect.UniversalBrowserRead.enabled", "JavaScript: UniversalBrowserRead が有効です"},
      {"liveconnect.java.system", "JavaScript: Java システムコードを呼び出しています"},
      {"liveconnect.same.origin", "JavaScript: 呼び出し元および呼び出し先の起点が同じです"},
      {"liveconnect.default.policy", "JavaScript: デフォルトセキュリティポリシー = {0}"},
      {"liveconnect.UniversalJavaPermission.enabled", "JavaScript: UniversalJavaPermission が有効です"},
      {"liveconnect.wrong.securitymodel", "Netscape セキュリティモデルは、現在サポートされていません。\nJava 2 セキュリティモデルに移行してください。\n"},
      {"jpicertstore.cert.loading", "JPI 証明書を {0} からロードしています"},
      {"jpicertstore.cert.loaded", "JPI 証明書を {0} からロードしました"},
      {"jpicertstore.cert.saving", "JPI 証明書を {0} に保存しています"},
      {"jpicertstore.cert.saved", "JPI 証明書を {0} に保存しました"},
      {"jpicertstore.cert.adding", "JPI 永久証明書ストアに証明書を追加しています"},
      {"jpicertstore.cert.added", "JPI 永久証明書ストアに証明書を別名 {0} として追加しました"},
      {"jpicertstore.cert.removing", "JPI 永久証明書ストアの証明書を削除しています"},
      {"jpicertstore.cert.removed", "JPI 永久証明書ストアの証明書を別名 {0} として削除しました"},
      {"jpicertstore.cert.instore", "証明書が JPI 永久証明書ストアにあるかどうかをチェックしています"},
      {"jpicertstore.cert.canverify", "JPI 永久証明書ストアの証明書を使って、証明書を検証できるかどうかをチェックしてください"},
      {"jpicertstore.cert.iterator", "JPI 永久証明書ストアにある証明書反復子を取得します"},
      {"jpicertstore.cert.getkeystore", "JPI 証明書ストアのキーストアオブジェクトを取得します"},
      {"jpihttpscertstore.cert.loading", "JPI Https 証明書を {0} からロードしています"},
      {"jpihttpscertstore.cert.loaded", "JPI Https 証明書を {0} からロードしました"},
      {"jpihttpscertstore.cert.saving", "JPI Https 証明書を {0} に保存しています"},
      {"jpihttpscertstore.cert.saved", "JPI Https 証明書を {0} に保存しました"},
      {"jpihttpscertstore.cert.adding", "JPI 永久証明書ストアに Https 証明書を追加しています"},
      {"jpihttpscertstore.cert.added", "JPI 永久証明書ストアに Https 証明書を別名 {0} として追加しました"},
      {"jpihttpscertstore.cert.removing", "JPI 永久証明書ストアの Https 証明書を削除しています"},
      {"jpihttpscertstore.cert.removed", "JPI 永久証明書ストアの Https 証明書を別名 {0} として削除しました"},
      {"jpihttpscertstore.cert.instore", "Https 証明書が JPI 永久証明書ストアにあるかどうかチェックしています"},
      {"jpihttpscertstore.cert.canverify", "JPI 永久証明書ストアの証明書を使って、Https 証明書を検証できるかどうかをチェックしてください"},
      {"jpihttpscertstore.cert.iterator", "JPI 永久証明書ストアにある Https 証明書反復子を取得します"},
      {"jpihttpscertstore.cert.getkeystore", "Https 証明書ストアのキーストアオブジェクトを取得します"},
      {"rootcertstore.cert.loading", "Root CA 証明書を {0} からロードしています"},
      {"rootcertstore.cert.loaded", "Root CA 証明書を {0} からロードしました"},
      {"rootcertstore.cert.noload", "Root CA 証明書ファイルが見つかりません: {0}"},
      {"rootcertstore.cert.saving", "Root CA 証明書を {0} に保存しています"},
      {"rootcertstore.cert.saved", "Root CA 証明書を {0} に保存しました"},
      {"rootcertstore.cert.adding", "Root CA 証明書ストアに証明書を追加しています"},
      {"rootcertstore.cert.added", "Root CA 証明書ストアに証明書を別名 {0} として追加しました"},
      {"rootcertstore.cert.removing", "Root CA 証明書ストアの証明書を削除しています"},
      {"rootcertstore.cert.removed", "Root CA 証明書ストアの証明書を別名 {0} として削除しました"},
      {"rootcertstore.cert.instore", "証明書が Root CA 証明書ストアにあるかどうかをチェックしています"},
      {"rootcertstore.cert.canverify", "Root CA 証明書ストアの証明書を使って、証明書を検証できるかどうかをチェックしてください"},
      {"rootcertstore.cert.iterator", "Root CA 証明書ストアにある証明書反復子を取得します"},
      {"rootcertstore.cert.getkeystore", "Root CA 証明書ストアのキーストアオブジェクトを取得します"},
      {"rootcertstore.cert.verify.ok", "Root CA 証明書を使用して、証明書は正常に検証されました"},
      {"rootcertstore.cert.verify.fail", "Root CA 証明書を使用した証明書の検証に失敗しました"},
      {"rootcertstore.cert.tobeverified", "検証される証明書:\n{0}"},
      {"rootcertstore.cert.tobecompared", "Root CA 証明書と証明書を比較:\n{0}"},
      {"roothttpscertstore.cert.loading", "Https Root CA 証明書を {0} からロードしています"},
      {"roothttpscertstore.cert.loaded", "Https Root CA 証明書を {0} からロードしました"},
      {"roothttpscertstore.cert.noload", "Https Root CA 証明書ファイルが見つかりません: {0}"},
      {"roothttpscertstore.cert.saving", "Https Root CA 証明書を {0} に保存しています"},
      {"roothttpscertstore.cert.saved", "Https Root CA 証明書をに保存しました"},
      {"roothttpscertstore.cert.adding", "Https Root CA 証明書ストアに証明書を追加しています"},
      {"roothttpscertstore.cert.added", "Https Root CA 証明書ストアに証明書を以下のエイリアスとして追加しました: "},
      {"roothttpscertstore.cert.removing", "Https Root CA 証明書ストアの証明書を削除しています"},
      {"roothttpscertstore.cert.removed", "Https Root CA 証明書ストアの証明書を以下の別名として削除しました: "},
      {"roothttpscertstore.cert.instore", "証明書が Https Root CA 証明書ストアにあるかどうかをチェックしています"},
      {"roothttpscertstore.cert.canverify", "Https Root CA 証明書ストアの証明書を使って、証明書を検証できるかどうかをチェックしてください"},
      {"roothttpscertstore.cert.iterator", "Https Root CA 証明書ストアにある証明書反復子を取得します"},
      {"roothttpscertstore.cert.verify.ok", "Https Root CA 証明書を使用して、証明書は正常に検証されました"},
      {"roothttpscertstore.cert.getkeystore", "Https Root CA 証明書ストアのキーストアオブジェクトを取得します"},
      {"roothttpscertstore.cert.verify.fail", "Https Root CA 証明書を使用した証明書の検証に失敗しました"},
      {"roothttpscertstore.cert.tobeverified", "検証される証明書:\n{0}"},
      {"roothttpscertstore.cert.tobecompared", "Https Root CA 証明書と証明書を比較:\n{0}"},
      {"sessioncertstore.cert.loading", "JPI セッション証明書ストアから証明書をロードしています"},
      {"sessioncertstore.cert.loaded", "JPI セッション証明書ストアから証明書をロードしました"},
      {"sessioncertstore.cert.saving", "JPI セッション証明書ストアに証明書を保存しています"},
      {"sessioncertstore.cert.saved", "JPI セッション証明書ストアに証明書を保存しました"},
      {"sessioncertstore.cert.adding", "JPI セッション証明書ストアに証明書を追加しています"},
      {"sessioncertstore.cert.added", "JPI セッション証明書ストアに証明書を追加しました"},
      {"sessioncertstore.cert.removing", "JPI セッション証明書ストアの証明書を削除しています"},
      {"sessioncertstore.cert.removed", "JPI セッション証明書ストアの証明書を削除しました"},
      {"sessioncertstore.cert.instore", "証明書が JPI セッション証明書ストアにあるかどうかをチェックしています"},
      {"sessioncertstore.cert.canverify", "JPI セッション証明書ストアの証明書を使って、証明書を検証できるかどうかをチェックしてください"},
      {"sessioncertstore.cert.iterator", "JPI セッション証明書ストアの証明書反復子を取得します"},
      {"sessioncertstore.cert.getkeystore", "JPI セッション証明書ストアのキーストアオブジェクトを取得します"},
      {"hostnameverifier.automation.ignoremismatch", "自動化: ホスト名の不一致を無視"},
      {"pluginclassloader.created_files", "キャッシュに {0} を作成しました。"},
      {"pluginclassloader.deleting_files", "JAR ファイルをキャッシュから削除しています。"},
      {"pluginclassloader.file", "   キャッシュ {0} から削除"},
      {"pluginclassloader.empty_file", "{0} が空です。キャッシュから削除します。"},
      {"trustdecider.check.basicconstraints", "証明書の基本制約が不正でないかチェックします"},
      {"trustdecider.check.leafkeyusage", "証明書のリーフキー使用法が不正でないかチェックします"},
      {"trustdecider.check.signerkeyusage", "証明書の署名者キー使用法が不正でないかチェックします"},
      {"trustdecider.check.extensions", "証明書のクリティカル拡張が不正でないかチェックします"},
      {"trustdecider.check.signature", "証明書の署名が不正でないかチェックします"},
      {"trustdecider.check.basicconstraints.certtypebit", "証明書の Netscape 型のビットが不正でないかチェックします"},
      {"trustdecider.check.basicconstraints.extensionvalue", "証明書の Netscape 拡張値が不正でないかチェックします"},
      {"trustdecider.check.basicconstraints.bitvalue", "証明書の Netscape 型のビット 5、6、7 の値が不正でないかチェックします"},
      {"trustdecider.check.basicconstraints.enduser", "証明書の CA として機能するエンドユーザが不正でないかチェックします"},
      {"trustdecider.check.basicconstraints.pathlength", "証明書のパスの長さ制約が不正でないかチェックします"},
      {"trustdecider.check.leafkeyusage.length", "証明書のキー使用法の長さが不正でないかチェックします"},
      {"trustdecider.check.leafkeyusage.digitalsignature", "証明書のデジタル署名が不正でないかチェックします"},
      {"trustdecider.check.leafkeyusage.extkeyusageinfo", "証明書の拡張キー使用法が不正でないかチェックします"},
      {"trustdecider.check.leafkeyusage.certtypebit", "証明書の Netscape 型のビットが不正でないかチェックします"},
      {"trustdecider.check.signerkeyusage.lengthandbit", "証明書の長さとビットが不正でないかチェックします"},
      {"trustdecider.check.signerkeyusage.keyusage", "証明書のキー使用法が不正でないかチェックします"},
      {"trustdecider.check.canonicalize.updatecert", "cacerts ファイル中の証明書を使用して Root 証明書を更新します"},
      {"trustdecider.check.canonicalize.missing", "足りない Root 証明書を追加します"},
      {"trustdecider.check.gettrustedcert.find", "cacerts ファイル中で有効な Root CA を検索します"},
      {"trustdecider.check.gettrustedissuercert.find", "cacerts ファイル中で有効な Root CA を見つけます"},
      {"trustdecider.user.grant.session", "ユーザには、このセッションでのみ、コードへの権限が付与されています"},
      {"trustdecider.user.grant.forever", "ユーザには、永続的にコードへの権限が付与されています"},
      {"trustdecider.user.deny", "ユーザは、コードへの権限を拒否しています"},
      {"trustdecider.automation.trustcert", "自動化: 署名用の RSA 証明書を信頼する"},
      {"x509trustmgr.automation.ignoreclientcert", "自動化: 信頼されていないクライアント証明書を無視する"},
      {"x509trustmgr.automation.ignoreservercert", "自動化: 信頼されていないサーバ証明書を無視する"},
      {"appletcontext.audio.loaded", "ロードされたオーディオクリップ: {0}"},
      {"appletcontext.image.loaded", "ロードされたイメージ: {0}"},
      {"securitymgr.automation.printing", "自動化: 印刷を受け入れる"},
      {"classloaderinfo.referencing", "参照するクラスローダ: {0}, 参照数={1}"},
      {"classloaderinfo.releasing", "解放するクラスローダ: {0}, 参照数={1}"},
      {"classloaderinfo.caching", "キャッシュするクラスローダ: {0}"},
      {"classloaderinfo.cachesize", "現在のクラスローダキャッシュサイズ: {0}"},
      {"classloaderinfo.num", "キャッシュされたクラスローダ数が {0} を超え、{1} を参照しません"},
      {"trace.listener.added", "追加されたトレースリスナー: {0}"},
      {"trace.listener.removed", "削除されたトレースリスナー: {0}"},
      {"cookiehandler.cache", "クッキーキャッシュ: "},
      {"cookiehandler.server", "サーバ {0} が \"{1}\" でクッキー設定を要求しています"},
      {"cookiehandler.connect", "クッキー \"{1}\" で {0} に接続しています"},
      {"cookiehandler.ignore.setcookie", "クッキーサービスは現在利用できません - \"Set-Cookie\" は無視します。"},
      {"cookiehandler.noservice", "クッキーサービスは現在利用できません - キャッシュを使って \"クッキー\" の有無を判別します"},
      {"jsobject.eval", "{0} = {1} であるどうかを評価します。"},
      {"jsobject.call", "JSObject::call: 名前={0}, url={1}, アクセス権={2}"},
      {"jsobject.eval.url.permission", "JSObject::eval({0}), url={1}, アクセス権={2}"},
      {"jsobject.getMember", "JSObject::getMember: 名前={0}, url={1}, アクセス権={2}"},
      {"jsobject.setMember", "JSObject::setMember: 名前={0}, url={1}, アクセス権={2}"},
      {"jsobject.removeMember", "JSObject::removeMember: 名前={0}, url={1}, アクセス権={2}"},
      {"jsobject.getSlot", "JSObject::getSlot: {0}, url={1}, アクセス権={2}"},
      {"jsobject.setSlot", "JSObject::setSlot: スロット={0}, url={1}, アクセス権={2}"},
      {"applet_install.ok", "アプレットのインストールが終了しました。"},
      {"applet_install.fail", "アプレットのインストールに失敗しました。"},
      {"optpkg.install.info", "オプションパッケージ {0} をインストールしています"},
      {"optpkg.install.fail", "オプションパッケージのインストールに失敗しました。"},
      {"optpkg.install.ok", "オプションパッケージのインストールは正常に実行されました。"},
      {"optpkg.install.automation", "自動化: オプションパッケージのインストールを受け入れる"},
      {"optpkg.install.granted", "ユーザによって許可されたオプションパッケージを {0} からダウンロードします"},
      {"optpkg.install.deny", "オプションパッケージのダウンロードがユーザによって許可されませんでした"},
      {"optpkg.install.begin", "{0} をインストールしています"},
      {"optpkg.install.java.launch", "Java インストーラを起動しています"},
      {"optpkg.install.java.launch.command", "''{0}'' によって Java インストーラを起動します"},
      {"optpkg.install.native.launch", "ネイティブインストーラを起動しています"},
      {"optpkg.install.native.launch.fail.0", "{0} を実行できません"},
      {"optpkg.install.native.launch.fail.1", "{0} にアクセスできませんでした"},
      {"optpkg.install.raw.launch", "Raw オプションパッケージをインストールしています"},
      {"optpkg.install.raw.copy", "Raw オプションパッケージを {0} から {1} にコピーしています"},
      {"optpkg.install.error.nomethod", "Dependent Extension Provider がインストールされていません : addExtensionInstallationProvider メソッドを取得できません"},
      {"optpkg.install.error.noclass", "Dependent Extension Provider がインストールされていません : sun.misc.ExtensionDependency クラスを取得できません"},
      {"dialogfactory.user.selected", "選択されたユーザ: {0}"},
      {"dialogfactory.user.typed", "ユーザタイプ: {0}"},
      {"progress_dialog.downloading", "Plug-in: ダウンロードしています ..."},
      {"progress_dialog.dismiss_button", "取消し(D)"},
      {"progress_dialog.dismiss_button.acceleratorKey", new Integer(68)},
      {"progress_dialog.from", "のダウンロード元"},
      {"applet_viewer.color_tag", "{0} のコンポーネント数が不正です"},
      {"progress_info.downloading", "JAR ファイルをダウンロードしています"},
      {"progress_bar.preload", "JAR ファイルをプリロードしています: {0}"},
      {"cache.size", "キャッシュサイズ: {0}"},
      {"cache.cleanup", "キャッシュサイズが {0} バイトになりました。クリーンアップが必要です"},
      {"cache.full", "キャッシュがフルです。ファイル {0} を削除しています"},
      {"cache.inuse", "ファイル {0} は、このアプリケーションで使用中のため削除できません"},
      {"cache.notdeleted", "ファイル {0} を削除できません。このアプリケーションおよび (または) ほかのアプリケーションで使用されている可能性があります"},
      {"cache.out_of_date", "キャッシュされた {0} のコピーは期限切れです\n  キャッシュされたコピー: {1}\n  サーバコピー: {2}"},
      {"cache.loading", "キャッシュから {0} をロードしています"},
      {"cache.cache_warning", "警告: {0} をキャッシュできません"},
      {"cache.downloading", "{0} をキャッシュにダウンロードしています"},
      {"cache.cached_name", "キャッシュされたファイル名: {0}"},
      {"cache.load_warning", "警告: キャッシュから {0} を読み込み中にエラーが発生しました。"},
      {"cache.disabled", "キャッシュはユーザによって無効にされました"},
      {"cache.minSize", "キャッシュは無効で、キャッシュ制限が {0} に設定されています。少なくとも 5M バイト以上のサイズを指定する必要があります。"},
      {"cache.directory_warning", "警告: {0} はディレクトリではありません。キャッシュは無効になります。"},
      {"cache.response_warning", "警告: {1} に対する予期しない応答 {0} です。ファイルは再度ダウンロードされます。"},
      {"cache.enabled", "キャッシュが有効になりました"},
      {"cache.location", "場所: {0}"},
      {"cache.maxSize", "最大サイズ: {0}"},
      {"cache.create_warning", "警告: キャッシュディレクトリ {0} を作成できません。キャッシングは無効になります。"},
      {"cache.read_warning", "警告: キャッシュディレクトリ {0} を読み込むことができません。キャッシングは無効になります。"},
      {"cache.write_warning", "警告: キャッシュディレクトリ {0} に書き込めません。キャッシングは無効になります。"},
      {"cache.compression", "圧縮レベル: {0}"},
      {"cache.cert_load", "{0} の証明書は JAR キャッシュから読み込まれます"},
      {"cache.jarjar.invalid_file", ".jarjar ファイルは .jar ファイル以外を含んでいます"},
      {"cache.jarjar.multiple_jar", ".jarjar ファイルは複数の .jar ファイルを含んでいます"},
      {"cache.version_checking", "{0} のバージョンを検査しています。指定バージョンは {1} です"},
      {"cache.preloading", "ファイル {0} をプリロードしています"},
      {"cache_viewer.caption", "詳細 - キャッシュ"},
      {"cache_viewer.refresh", "再表示(R)"},
      {"cache_viewer.refresh.acceleratorKey", new Integer(82)},
      {"cache_viewer.remove", "削除(D)"},
      {"cache_viewer.remove.acceleratorKey", new Integer(68)},
      {"cache_viewer.close", "閉じる(C)"},
      {"cache_viewer.close.acceleratorKey", new Integer(67)},
      {"cache_viewer.name", "名前"},
      {"cache_viewer.type", "種類"},
      {"cache_viewer.size", "サイズ"},
      {"cache_viewer.modify_date", "最終更新日"},
      {"cache_viewer.expiry_date", "有効期限"},
      {"cache_viewer.url", "URL"},
      {"cache_viewer.version", "バージョン"},
      {"cache_viewer.help.name", "キャッシュされたファイル名"},
      {"cache_viewer.help.type", "キャッシュされたファイルの種類"},
      {"cache_viewer.help.size", "キャッシュされたファイルのサイズ"},
      {"cache_viewer.help.modify_date", "キャッシュされたファイルの最終更新日"},
      {"cache_viewer.help.expiry_date", "キャッシュされたファイルの有効期限"},
      {"cache_viewer.help.url", "キャッシュされたファイルのダウンロード URL"},
      {"cache_viewer.help.version", "キャッシュされたファイルのバージョン"},
      {"cache_viewer.delete.text", "<html><b>ファイルの削除不可</b></html>{0} は使用中の可能性があります。\n"},
      {"cache_viewer.delete.caption", "エラー - キャッシュ"},
      {"cache_viewer.type.zip", "Jar"},
      {"cache_viewer.type.class", "クラス"},
      {"cache_viewer.type.wav", "WAV サウンド"},
      {"cache_viewer.type.au", "AU サウンド"},
      {"cache_viewer.type.gif", "GIF イメージ"},
      {"cache_viewer.type.jpg", "JPEG イメージ"},
      {"net.proxy.loading.ie", "Internet Explorer からプロキシ設定をロードしています ..."},
      {"net.proxy.loading.ns", "Netscape Navigator からプロキシ設定をロードしています ..."},
      {"net.proxy.loading.userdef", "プロキシのユーザ定義設定をロードしています ..."},
      {"net.proxy.loading.direct", "プロキシのダイレクト設定をロードしています ..."},
      {"net.proxy.loading.manual", "プロキシの手動設定をロードしています ..."},
      {"net.proxy.loading.auto", "プロキシの自動設定をロードしています ..."},
      {"net.proxy.loading.browser", "プロキシのブラウザ設定をロードしています ..."},
      {"net.proxy.loading.manual.error", "プロキシの手動設定を使用できません - DIRECT に代替"},
      {"net.proxy.loading.auto.error", "プロキシの自動設定を使用できません - MANUAL に代替"},
      {"net.proxy.loading.done", "完了。"},
      {"net.proxy.browser.pref.read", "ユーザ設定ファイルを {0} から読み取っています"},
      {"net.proxy.browser.proxyEnable", "    有効なプロキシ: {0}"},
      {"net.proxy.browser.proxyList", "    プロキシリスト: {0}"},
      {"net.proxy.browser.proxyOverride", "    オーバーライドするプロキシ: {0}"},
      {"net.proxy.browser.autoConfigURL", "    自動構成 URL: {0}"},
      {"net.proxy.browser.smartConfig", "ポート {1} 上のプロキシサーバ {0} に Ping を実行"},
      {"net.proxy.browser.connectionException", "ポート {1} 上のプロキシサーバ {0} に到達できません "},
      {"net.proxy.ns6.regs.exception", "レジストリファイルの読み取りエラーです: {0}"},
      {"net.proxy.pattern.convert", "プロキシバイパスリストを正規表現に変換: "},
      {"net.proxy.pattern.convert.error", "プロキシバイパスリストを正規表現に変換できません - 無視"},
      {"net.proxy.auto.download.ins", "INS ファイルを {0} からダウンロードしています"},
      {"net.proxy.auto.download.js", "自動プロキシファイルを {0} からダウンロードしています"},
      {"net.proxy.auto.result.error", "評価からプロキシ設定を判定できません - DIRECT に代替"},
      {"net.proxy.service.not_available", "{0} に対してプロキシサービスは使用できません - デフォルトは DIRECT"},
      {"lifecycle.applet.found", "ライフサイクルキャッシュから、以前停止したままのアプレットが見つかりました"},
      {"lifecycle.applet.support", "アプレットは旧式のライフサイクルモデルをサポートするので、ライフサイクルキャッシュに追加します"},
      {"lifecycle.applet.cachefull", "ライフサイクルキャッシュがいっぱいなので、一番古いアプレットを削除します"},
      {"com.method.ambiguous", "不正なパラメータがあるため、メソッドを選択できません"},
      {"com.method.notexists", "{0} : 存在しないメソッド"},
      {"com.notexists", "{0} : 存在しないメソッド/プロパティ"},
      {"com.method.invoke", "メソッドを起動しています: {0}"},
      {"com.method.jsinvoke", "JS メソッドを起動しています: {0}"},
      {"com.method.argsTypeInvalid", "パラメータは要求された型へ変換することができません"},
      {"com.method.argCountInvalid", "引数の数が正しくありません"},
      {"com.field.needsConversion", "要変換: {0} --> {1}"},
      {"com.field.typeInvalid", " は型 {0} へ変換することができません"},
      {"com.field.get", "プロパティを取得しています: {0}"},
      {"com.field.set", "プロパティを設定しています: {0}"},
      {"about.java.version", "バージョン {0} (ビルド {1})"},
      {"about.prompt.info", "Java テクノロジに関する詳細と優れた Java アプリケーションを探すには次のサイトを参照: "},
      {"about.home.link", "http://www.java.com"},
      {"about.option.close", "閉じる(C)"},
      {"about.legal.note", "Copyright 2006 Sun Microsystems, Inc. All rights reserved.  Use is subject to license terms."},
      {"autoupdatecheck.buttonYes", "はい(Y)"},
      {"autoupdatecheck.buttonYes.acceleratorKey", new Integer(89)},
      {"autoupdatecheck.buttonNo", "いいえ(N)"},
      {"autoupdatecheck.buttonNo.acceleratorKey", new Integer(78)},
      {"autoupdatecheck.buttonAskLater", "後で確認する(A)"},
      {"autoupdatecheck.buttonAskLater.acceleratorKey", new Integer(65)},
      {"autoupdatecheck.caption", "自動的にアップデートを確認"},
      {"autoupdatecheck.message", "Java Update は、最新版が利用可能になるとお使いの Java ソフトウェアを自動的に更新します。このサービスを有効にしますか?"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
