package sun.plugin.resources;

import java.util.ListResourceBundle;

public class Activator_zh_CN extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"panel.caption", "Java(TM) Plug-in 控制面板"},
      {"product_name", "Java(TM) Plug-in"},
      {"version", "版本"},
      {"default_vm_version", "缺省虚拟机版本"},
      {"using_jre_version", "使用 JRE 版本"},
      {"user_home_dir", "用户主目录"},
      {"user_overriden_browser", "用户已覆盖浏览器的代理设置。"},
      {"proxy_configuration", "代理配置："},
      {"browser_config", "浏览器代理配置"},
      {"auto_config", "自动代理配置"},
      {"manual_config", "手动配置"},
      {"no_proxy", "没有代理"},
      {"proxy_is", "代理："},
      {"proxy_override_is", "代理覆盖："},
      {"loading", "正在载入 {0}... "},
      {"java_applet", "Java 小应用程序"},
      {"failed", "载入 Java 小应用程序失败..."},
      {"image_failed", "创建用户定义的图象失败。请检查图象的文件名。"},
      {"java_bean", "JavaBeans"},
      {"java_not_enabled", "Java 没有启用"},
      {"exception", "异常：{0}"},
      {"net.connect.no_proxy", "正在无代理连接 {0}"},
      {"net.connect.proxy_is", "正在使用代理 {1} 连接 {0}"},
      {"bean_code_and_ser", "Bean 不能同时定义 CODE 和 JAVA_OBJECT "},
      {"status_applet", "小应用程序 {0} {1}"},
      {"print.caption", "需要确认 - 打印"},
      {"print.message", new String[]{"<html><b>打印请求</b></html>小应用程序需要打印。要继续吗？"}},
      {"print.checkBox", "不再显示此对话框"},
      {"print.buttonYes", "是(Y)"},
      {"print.buttonYes.acceleratorKey", new Integer(89)},
      {"print.buttonNo", "否(N)"},
      {"print.buttonNo.acceleratorKey", new Integer(78)},
      {"https_dialog.caption", "警告 - HTTPS"},
      {"https_dialog.text", "<html><b>主机名不匹配</b></html>在服务器安全证书中的主机名与服务器名不匹配。\n\nURL 的主机名：{0}\n证书上的主机名： {1}\n\n是否要继续？"},
      {"https_dialog.unknown.host", "未知主机"},
      {"security_dialog.caption", "警告 - 安全"},
      {"security_dialog.text0", "要信任由 \"{0}\"分发签署的小应用程序吗？\n\n出版商的真实性已由\"{1}\"验证"},
      {"security_dialog_https.text0", "为了交换加密信息，您是否要通过网站\"{0}\"接受此证书？\n\n出版商的真实性已由\"{1}\"验证"},
      {"security_dialog.text1", "\n注意： \"{0}\" 声明本内容安全。只有当您信任 \"{1}\" 作出此声明后才可接受此内容。\n\n"},
      {"security_dialog.unknown.issuer", "未知签发人"},
      {"security_dialog.unknown.subject", "未知主题"},
      {"security_dialog.certShowName", "{0}({1})"},
      {"security_dialog.rootCANotValid", "此安全证书是由不可信的公司签发的。"},
      {"security_dialog.rootCAValid", "此安全证书是由可信赖的公司签发的。"},
      {"security_dialog.timeNotValid", "安全证书已到期或尚未生效。"},
      {"security_dialog.timeValid", "安全证书尚未到期，依然有效。"},
      {"security_dialog.buttonAlways", "总是有效(A)"},
      {"security_dialog.buttonAlways.acceleratorKey", new Integer(65)},
      {"security_dialog.buttonYes", "是(Y)"},
      {"security_dialog.buttonYes.acceleratorKey", new Integer(89)},
      {"security_dialog.buttonNo", "否(N)"},
      {"security_dialog.buttonNo.acceleratorKey", new Integer(78)},
      {"security_dialog.buttonViewCert", "更详细信息(M)"},
      {"security_dialog.buttonViewCert.acceleratorKey", new Integer(77)},
      {"cert_dialog.caption", "详细信息 - 证书"},
      {"cert_dialog.certpath", "证书路径"},
      {"cert_dialog.field.Version", "版本"},
      {"cert_dialog.field.SerialNumber", "序列号"},
      {"cert_dialog.field.SignatureAlg", "签名算法"},
      {"cert_dialog.field.Issuer", "签发人"},
      {"cert_dialog.field.EffectiveDate", "生效日期"},
      {"cert_dialog.field.ExpirationDate", "到期日期"},
      {"cert_dialog.field.Validity", "有效性"},
      {"cert_dialog.field.Subject", "主题"},
      {"cert_dialog.field.Signature", "签字"},
      {"cert_dialog.field", "字段"},
      {"cert_dialog.value", "值"},
      {"cert_dialog.close", "关闭(C)"},
      {"cert_dialog.close.acceleratorKey", new Integer(67)},
      {"net.authenticate.caption", "需要口令 - 网络"},
      {"net.authenticate.label", "<html><b>请输入用户名和口令:</b></html>"},
      {"net.authenticate.resource", "资源:"},
      {"net.authenticate.username", "用户名:"},
      {"net.authenticate.password", "口令:"},
      {"net.authenticate.firewall", "防火墙:"},
      {"net.authenticate.realm", "领域："},
      {"net.authenticate.scheme", "方案:"},
      {"net.authenticate.unknownSite", "未知站点"},
      {"console.caption", "Java 控制台"},
      {"console.clear", "清除(C)"},
      {"console.clear.acceleratorKey", new Integer(67)},
      {"console.close", "关闭(E)"},
      {"console.close.acceleratorKey", new Integer(69)},
      {"console.copy", "复制(Y)"},
      {"console.copy.acceleratorKey", new Integer(89)},
      {"optpkg.cert_expired", "<html><b>证书过期</b></html>可选的软件包安装中止。\n"},
      {"optpkg.cert_notyieldvalid", "<html><b>证书无效</b></html>可选软件包安装中止。\n"},
      {"optpkg.cert_notverify", "<html><b>证书未经校验</b></html>可选软件包安装中止。\n"},
      {"optpkg.general_error", "<html><b>一般异常</b></html>可选软件包安装中止。\n"},
      {"optpkg.caption", "警告 - 可选软件包"},
      {"optpkg.installer.launch.wait", "<html><b>安装可选软件包</b></html>退出可选软件包安装程序后，单击“确定”以继续小应用程序载入。\n"},
      {"optpkg.installer.launch.caption", "安装进行中 - 可选软件包"},
      {"optpkg.prompt_user.new_spec.text", "<html><b>下载请求</b></html>小应用程序要求 {2} 的较新版本 (规格 {0}) 的可选软件包 \"{1}\" \n\n要继续吗？"},
      {"optpkg.prompt_user.new_impl.text", "<html><b>下载请求</b></html>小应用程序要求 {2} 的较新版本(实现 {0}) 的可选软件包 \"{1}\" \n\n要继续吗？"},
      {"optpkg.prompt_user.new_vendor.text", "<html><b>下载请求</b></html>小应用程序要求 {3} 的可选软件包 \"{1}\" {2} 的 ({0})\n\n要继续吗？"},
      {"optpkg.prompt_user.default.text", "<html><b>下载请求</b></html>小应用程序要求安装 {1} 的可选软件包 \"{0}\"\n\n要继续吗？"},
      {"rsa.cert_expired", "<html><b>证书过期</b></html>代码将按未签名处理 。\n"},
      {"rsa.cert_notyieldvalid", "<html><b>证书无效</b></html>代码将按未签名处理 。\n"},
      {"rsa.general_error", "<html><b>证书未经校验</b></html>代码将按未签名处理。\n"},
      {"usability.confirmDialogTitle", "需要确认 - Java"},
      {"usability.inputDialogTitle", "需要信息 - Java"},
      {"usability.messageDialogTitle", "信息 - Java"},
      {"usability.exceptionDialogTitle", "错误 - Java"},
      {"usability.optionDialogTitle", "选项 - Java"},
      {"usability.aboutDialogTitle", "关于 - Java"},
      {"usability.confirm.yes", "是(Y)"},
      {"usability.confirm.yes.acceleratorKey", new Integer(89)},
      {"usability.confirm.no", "否(N)"},
      {"usability.confirm.no.acceleratorKey", new Integer(78)},
      {"usability.moreInfo", "更多详细信息(M)"},
      {"usability.moreInfo.acceleratorKey", new Integer(77)},
      {"usability.lessInfo", "较少详细信息(L)"},
      {"usability.lessInfo.acceleratorKey", new Integer(76)},
      {"usability.java.home.link", "http://www.java.com"},
      {"usability.general_error", "<html><b>一般异常</b></html>"},
      {"usability.net_error", "<html><b>网络异常</b></html>"},
      {"usability.security_error", "<html><b>安全异常</b></html>"},
      {"usability.ext_error", "<html><b>可选软件包异常</b></html>"},
      {"usability.menu.show_console", "显示 Java 控制台"},
      {"usability.menu.hide_console", "隐藏 Java 控制台"},
      {"usability.menu.about", "关于 Java Plug-in"},
      {"usability.menu.copy", "复制"},
      {"usability.menu.open_console", "打开 Java 控制台"},
      {"usability.menu.about_java", "关于 Java(TM)"},
      {"proxy.error_caption", "错误 - 代理配置"},
      {"proxy.prefsfile.nsreg_error", "<html><b>不能检索代理设置 </b></html>退回其它代理配置。\n"},
      {"cache.error.text", "<html><b>高速缓存错误</b></html>不能存储或更新高速缓存中的文件。"},
      {"cache.error.caption", "错误 - 高速缓存"},
      {"cache.version_format_error", "{0} 的格式不是 xxxx.xxxx.xxxx.xxxx, 此处 x 是十六进制数字"},
      {"cache.version_attrib_error", "在 'cache_archive' 中指定的属性个数与在 'cache_version' 中的属性个数不匹配"},
      {"cache.header_fields_missing", "不能得到上次修改时间和/或有效期。Jar 文件不会放入高速缓存。"},
      {"applet.progress.load", "正在载入小应用程序..."},
      {"applet.progress.init", "正在初始化小应用程序..."},
      {"applet.progress.start", "正在启动小应用程序..."},
      {"applet.progress.stop", "停止小应用程序..."},
      {"applet.progress.destroy", "正在销毁小应用程序..."},
      {"applet.progress.dispose", "正在处置小应用程序..."},
      {"applet.progress.quit", "正在退出小应用程序..."},
      {"applet.progress.stoploading", "已停止载入..."},
      {"applet.progress.interrupted", "已中断的线程..."},
      {"applet.progress.joining", "正在连接小应用程序线程 ..."},
      {"applet.progress.joined", "已连接小应用程序线程 ..."},
      {"applet.progress.loadImage", "正在载入图象 "},
      {"applet.progress.loadAudio", "正在载入音频 "},
      {"applet.progress.findinfo.0", "正在查找信息..."},
      {"applet.progress.findinfo.1", "完成..."},
      {"applet.progress.timeout.wait", "等待超时..."},
      {"applet.progress.timeout.jointing", "正在进行联合..."},
      {"applet.progress.timeout.jointed", "完成联合 ..."},
      {"console.menu.text.top", "----------------------------------------------------\n"},
      {"console.menu.text.c", "c:   清除控制台窗口\n"},
      {"console.menu.text.f", "f:   终结在结束队列上的物件\n"},
      {"console.menu.text.g", "g:   垃圾收集\n"},
      {"console.menu.text.h", "h:   显示此帮助消息\n"},
      {"console.menu.text.j", "j:   转储 jcov 数据\n"},
      {"console.menu.text.l", "l:   转储类载入程序列表\n"},
      {"console.menu.text.m", "m:   打印内存使用\n"},
      {"console.menu.text.o", "o:   触发日志记录\n"},
      {"console.menu.text.p", "p:   重新载入代理配置\n"},
      {"console.menu.text.q", "q:   隐藏控制台\n"},
      {"console.menu.text.r", "r:   重新载入策略配置\n"},
      {"console.menu.text.s", "s:   转储系统属性\n"},
      {"console.menu.text.t", "t:   转储线程列表\n"},
      {"console.menu.text.v", "v:   转储线程堆栈\n"},
      {"console.menu.text.x", "x:   清除类载入程序高速缓存\n"},
      {"console.menu.text.0", "0-5: 设置跟踪级别为<n>\n"},
      {"console.menu.text.tail", "----------------------------------------------------\n"},
      {"console.done", "完成。"},
      {"console.trace.level.0", "跟踪级别设置为 0： 无 ... 完成。"},
      {"console.trace.level.1", "跟踪级别设置为 1： 初级 ... 完成。"},
      {"console.trace.level.2", "跟踪级别设置为 2： 初级，网络 ... 完成。"},
      {"console.trace.level.3", "跟踪级别设置为 3： 初级，网络，安全 ... 完成。"},
      {"console.trace.level.4", "跟踪级别设置为 4： 初级，网络，安全，扩展 ... 完成。"},
      {"console.trace.level.5", "跟踪级别设置为 5： 初级，网络，安全，扩展，活连接 ... 完成。"},
      {"console.log", "记录设置为： "},
      {"console.completed", " .... 完成。"},
      {"console.dump.thread", "转储线程列表 ...\n"},
      {"console.dump.stack", "转储线程堆栈 ...\n"},
      {"console.dump.properties", "转储系统属性 ...\n"},
      {"console.clear.classloader", "清除类载入程序高速缓存 .... 完成。"},
      {"console.reload.policy", "重新载入策略配置"},
      {"console.reload.proxy", "重新载入代理配置 ..."},
      {"console.gc", "垃圾收集"},
      {"console.finalize", " 终结在结束队列上的物件"},
      {"console.memory", "内存：{0}K  空闲：{1}K  ({2}%)"},
      {"console.jcov.error", "Jcov 运行时错误：请检查是否指定了正确的 jcov 选项\n"},
      {"console.jcov.info", "Jcov 数据转储成功\n"},
      {"modality.register", "已注册原型监听程序"},
      {"modality.unregister", "未注册原型监听程序"},
      {"modality.pushed", "模态已推进"},
      {"modality.popped", "模态已弹出"},
      {"progress.listener.added", "已添加进度监听程序：{0} "},
      {"progress.listener.removed", "已删除进度监听程序：{0} "},
      {"liveconnect.UniversalBrowserRead.enabled", "JavaScript: UniversalBrowserRead 已启用"},
      {"liveconnect.java.system", "JavaScript: 调用 Java 系统代码"},
      {"liveconnect.same.origin", "JavaScript: 调用程序和被调用程序有相同的源"},
      {"liveconnect.default.policy", "JavaScript: 缺省安全策略 = {0} "},
      {"liveconnect.UniversalJavaPermission.enabled", "JavaScript: UniversalJavaPermission 已启用"},
      {"liveconnect.wrong.securitymodel", "不再支持 Netscape 安全模式。\n请移植到 Java 2 安全模式。\n"},
      {"jpicertstore.cert.loading", "正在从 {0} 载入 JPI 证书 "},
      {"jpicertstore.cert.loaded", "已从 {0} 载入 JPI 证书 "},
      {"jpicertstore.cert.saving", "正在将 JPI 证书保存在 {0} "},
      {"jpicertstore.cert.saved", "已将 JPI 证书保存在 {0} "},
      {"jpicertstore.cert.adding", "正在 JPI 永久证书存储中添加证书"},
      {"jpicertstore.cert.added", "已在 JPI 永久证书存储中以别名 {0} 的形式添加证书 "},
      {"jpicertstore.cert.removing", "正在 JPI 永久证书存储中删除证书"},
      {"jpicertstore.cert.removed", "已在 JPI 永久证书存储中删除以别名 {0} 形式出现的证书 "},
      {"jpicertstore.cert.instore", "正在检查证书是否在 JPI 永久证书存储中"},
      {"jpicertstore.cert.canverify", "检查证书是否可以使用 JPI 永久证书存储中的证书来验证。"},
      {"jpicertstore.cert.iterator", "在 JPI 永久证书存储中获取证书迭代程序"},
      {"jpicertstore.cert.getkeystore", "获取 JPI 证书存储的关键存储对象"},
      {"jpihttpscertstore.cert.loading", "正在从 {0} 载入 JPI Http 证书"},
      {"jpihttpscertstore.cert.loaded", "已从 {0} 载入 JPI Http 证书"},
      {"jpihttpscertstore.cert.saving", "正在将 JPI Http 证书保存至 {0}"},
      {"jpihttpscertstore.cert.saved", "已将 JPI Http 证书保存至 {0} "},
      {"jpihttpscertstore.cert.adding", "正在将 Http 证书添加到 JPI 永久证书库"},
      {"jpihttpscertstore.cert.added", "已将 Http 证书按别名 {0} 添加到 JPI 永久证书库"},
      {"jpihttpscertstore.cert.removing", "正在删除 JPI 永久证书库中的 Http 证书"},
      {"jpihttpscertstore.cert.removed", "已按别名 {0} 删除 JPI 永久证书库中的 Http 证书"},
      {"jpihttpscertstore.cert.instore", "正在检查 Http 证书是否在 JPI 永久证书库中"},
      {"jpihttpscertstore.cert.canverify", "检查是否可使用 JPI 永久证书库验证 Http 证书"},
      {"jpihttpscertstore.cert.iterator", "获取 JPI 永久证书库中的 Http 证书迭代器"},
      {"jpihttpscertstore.cert.getkeystore", "获取 Https 证书存储的关键存储对象"},
      {"rootcertstore.cert.loading", "正在从 {0} 载入根 CA 证书 "},
      {"rootcertstore.cert.loaded", "已从 {0} 载入根 CA 证书 "},
      {"rootcertstore.cert.noload", "未找到根 CA 证书文件：{0}"},
      {"rootcertstore.cert.saving", "正在将根 CA 证书保存在 {0}"},
      {"rootcertstore.cert.saved", "已将根 CA 证书保存在 {0}"},
      {"rootcertstore.cert.adding", "正在根 CA 证书存储中添加证书"},
      {"rootcertstore.cert.added", "已在根 CA 证书存储中以别名 {0} 形式保存证书 "},
      {"rootcertstore.cert.removing", "正在根 CA 证书存储中删除证书"},
      {"rootcertstore.cert.removed", "已在根 CA 证书存储中删除以别名 {0} 形式出现的证书 "},
      {"rootcertstore.cert.instore", "正在检查证书是否在根 CA 证书存储中"},
      {"rootcertstore.cert.canverify", "检查证书是否可以使用根 CA 证书进行验证"},
      {"rootcertstore.cert.iterator", "在根 CA 证书存储中获取证书迭代程序"},
      {"rootcertstore.cert.getkeystore", "获取根 CA 证书存储的关键存储对象"},
      {"rootcertstore.cert.verify.ok", "证书已成功地提供根 CA 证书的验证"},
      {"rootcertstore.cert.verify.fail", "证书没有通过根 CA 证书的验证"},
      {"rootcertstore.cert.tobeverified", "将要验证以下证书：\n {0}"},
      {"rootcertstore.cert.tobecompared", "将证书与以下根 CA 证书比较：\n {0} "},
      {"roothttpscertstore.cert.loading", "正在从 {0} 载入 Http 根 CA 证书"},
      {"roothttpscertstore.cert.loaded", "已从 {0} 载入 Http 根 CA 证书"},
      {"roothttpscertstore.cert.noload", "未找到 Http 根 CA 证书： "},
      {"roothttpscertstore.cert.saving", "正在将 Http 根 CA 证书保存到 {0} "},
      {"roothttpscertstore.cert.saved", "已将 Http 根 CA 证书保存到此处 "},
      {"roothttpscertstore.cert.adding", "正在向 Http 根 CA 证书库中添加证书"},
      {"roothttpscertstore.cert.added", "以别名向 Http 根 CA 证书库中添加证书 "},
      {"roothttpscertstore.cert.removing", "正在从 Http 根 CA 证书库中删除证书"},
      {"roothttpscertstore.cert.removed", "已从 Http 根 CA 证书库中删除以别名存在的证书 "},
      {"roothttpscertstore.cert.instore", "正在检查证书是否存在于 Http 根 CA 证书库中"},
      {"roothttpscertstore.cert.canverify", "检查是否可用 Http 根 CA 证书库中的证书验证证书"},
      {"roothttpscertstore.cert.iterator", "获取 Http 根 CA 证书库中的证书迭代"},
      {"roothttpscertstore.cert.getkeystore", "获取 Https 根 CA 证书存储的关键存储对象"},
      {"roothttpscertstore.cert.verify.ok", "证书已成功通过 Http 根 CA 证书库验证"},
      {"roothttpscertstore.cert.verify.fail", "通过 Http 根 CA 证书库验证的证书已失败"},
      {"roothttpscertstore.cert.tobeverified", "将要验证以下证书：\n {0}"},
      {"roothttpscertstore.cert.tobecompared", "将证书与以下 Http 根 CA 证书比较：\n {0}"},
      {"sessioncertstore.cert.loading", "正在从 JPI 会话证书存储中载入证书"},
      {"sessioncertstore.cert.loaded", "已从 JPI 会话证书存储中载入证书"},
      {"sessioncertstore.cert.saving", "正在 JPI 会话证书存储中保存证书"},
      {"sessioncertstore.cert.saved", "已在 JPI 会话存储中保存证书"},
      {"sessioncertstore.cert.adding", "正在 JPI 会话证书存储中添加证书"},
      {"sessioncertstore.cert.added", "已在 JPI 会话证书存储中添加证书"},
      {"sessioncertstore.cert.removing", "正在 JPI 会话证书存储中删除证书"},
      {"sessioncertstore.cert.removed", "已在 JPI 会话证书存储中删除证书"},
      {"sessioncertstore.cert.instore", "正在检查证书是否在 JPI 会话证书存储中"},
      {"sessioncertstore.cert.canverify", "检查证书是否可以使用 JPI 会话证书存储中的证书来验证"},
      {"sessioncertstore.cert.iterator", "在 JPI 会话证书存储中获取证书迭代程序"},
      {"sessioncertstore.cert.getkeystore", "获取 JPI 会话证书存储的关键存储对象"},
      {"hostnameverifier.automation.ignoremismatch", "自动：忽略主机名的不匹配"},
      {"pluginclassloader.created_files", "已在高速缓存中创建 {0}。"},
      {"pluginclassloader.deleting_files", "正在从高速缓存中删除 JAR 文件。"},
      {"pluginclassloader.file", "   从高速缓存 {0} 中删除"},
      {"pluginclassloader.empty_file", " {0} 为空，从高速缓存中删除。"},
      {"trustdecider.check.basicconstraints", "认证过程中验证基本约束失败"},
      {"trustdecider.check.leafkeyusage", "认证过程中验证叶密钥使用失败"},
      {"trustdecider.check.signerkeyusage", "认证过程中验证签名者密钥使用失败"},
      {"trustdecider.check.extensions", "认证过程中验证关键扩展失败"},
      {"trustdecider.check.signature", "认证过程中验证签名失败"},
      {"trustdecider.check.basicconstraints.certtypebit", "认证过程中验证 netscape 类型位失败"},
      {"trustdecider.check.basicconstraints.extensionvalue", "认证过程中验证 netscape 扩展值失败"},
      {"trustdecider.check.basicconstraints.bitvalue", "认证过程中验证 netscape 位 5、6、7 值失败"},
      {"trustdecider.check.basicconstraints.enduser", "认证过程中验证作为 CA 的最终用户失败"},
      {"trustdecider.check.basicconstraints.pathlength", "认证过程中验证路径长度约束失败"},
      {"trustdecider.check.leafkeyusage.length", "认证过程中验证密钥使用长度失败"},
      {"trustdecider.check.leafkeyusage.digitalsignature", "认证过程中验证数字签名失败"},
      {"trustdecider.check.leafkeyusage.extkeyusageinfo", "认证过程中验证扩展密钥使用信息失败"},
      {"trustdecider.check.leafkeyusage.certtypebit", "认证过程中验证 netscape 类型位失败"},
      {"trustdecider.check.signerkeyusage.lengthandbit", "认证过程中验证长度和位失败"},
      {"trustdecider.check.signerkeyusage.keyusage", "认证过程中验证密钥使用失败"},
      {"trustdecider.check.canonicalize.updatecert", "用 cacerts 文件中的证书来更新根证书"},
      {"trustdecider.check.canonicalize.missing", "添加缺少的根证书"},
      {"trustdecider.check.gettrustedcert.find", "在 cacerts 文件中查找有效的根 CA"},
      {"trustdecider.check.gettrustedissuercert.find", "在 cacerts 文件中查找缺少的有效根 CA"},
      {"trustdecider.user.grant.session", "用户只对此会话的代码授予权限"},
      {"trustdecider.user.grant.forever", "用户对代码授予永久权限"},
      {"trustdecider.user.deny", "用户拒绝对代码授予权限"},
      {"trustdecider.automation.trustcert", "自动： 信任 RSA 证书进行签名"},
      {"x509trustmgr.automation.ignoreclientcert", "自动： 忽略不可信的客户证书"},
      {"x509trustmgr.automation.ignoreservercert", "自动： 忽略不可信的服务器证书"},
      {"appletcontext.audio.loaded", "已载入音频剪辑：{0} "},
      {"appletcontext.image.loaded", "已载入图象：{0} "},
      {"securitymgr.automation.printing", "自动： 接受打印"},
      {"classloaderinfo.referencing", "正在引用类载入程序： {0}, refcount={1}"},
      {"classloaderinfo.releasing", "正在释放类载入程序：{0}, refcount={1}"},
      {"classloaderinfo.caching", "正在将类载入程序放入高速缓存：{0} "},
      {"classloaderinfo.cachesize", "当前类载入程序高速缓存的大小：{0} "},
      {"classloaderinfo.num", "已高速缓存的类载入程序的数量超过 {0}，未引用 {1}"},
      {"trace.listener.added", "已添加跟踪监听程序：{0}  "},
      {"trace.listener.removed", "已删除跟踪监听程序：{0} "},
      {"cookiehandler.cache", "Cookie 高速缓存： "},
      {"cookiehandler.server", "服务器 {0} 请求用 \"{1}\" 进行 set-cookie"},
      {"cookiehandler.connect", "正在连接 {0} 与 cookie \"{1}\""},
      {"cookiehandler.ignore.setcookie", "Cookie 服务不可用 ― 忽略 \"Set-Cookie\""},
      {"cookiehandler.noservice", "Cookie 服务不可用 ― 使用高速缓存确定 \"Cookie\""},
      {"jsobject.eval", "评估 {0} = {1}"},
      {"jsobject.call", "JSObject::call: name={0}, url={1}, 权限={2}"},
      {"jsobject.eval.url.permission", "JSObject::eval({0}), url={1}, 权限={2}"},
      {"jsobject.getMember", "JSObject::getMember: name={0}, url={1}, 权限={2}"},
      {"jsobject.setMember", "JSObject::setMember: name={0}, url={1}, 权限={2}"},
      {"jsobject.removeMember", "JSObject::removeMember: name={0}, url={1}, 权限={2}"},
      {"jsobject.getSlot", "JSObject::getSlot: {0}, url={1}, 权限={2}"},
      {"jsobject.setSlot", "JSObject::setSlot: slot={0}, url={1}, 权限={2}"},
      {"applet_install.ok", "小应用程序安装完成。"},
      {"applet_install.fail", "小应用程序安装失败。"},
      {"optpkg.install.info", "正在安装可选软件包 {0}"},
      {"optpkg.install.fail", "可选软件包安装失败。"},
      {"optpkg.install.ok", "可选软件包安装成功。"},
      {"optpkg.install.automation", "自动： 接受可选软件包安装"},
      {"optpkg.install.granted", "可选软件包下载已获得用户的授权，从 {0} 下载 "},
      {"optpkg.install.deny", "可选软件包下载未获得用户的授权"},
      {"optpkg.install.begin", "正在安装 {0}"},
      {"optpkg.install.java.launch", "正在启动 Java 安装程序"},
      {"optpkg.install.java.launch.command", "正在通过 ''{0}'' 启动 Java 安装程序"},
      {"optpkg.install.native.launch", "正在启动本地安装程序"},
      {"optpkg.install.native.launch.fail.0", "无法执行 {0}"},
      {"optpkg.install.native.launch.fail.1", "对 {0} 的访问失败"},
      {"optpkg.install.raw.launch", "正在安装原可选软件包"},
      {"optpkg.install.raw.copy", "正在将原可选软件包从 {0} 复制到 {1}"},
      {"optpkg.install.error.nomethod", "未安装独立的扩展提供程序： 无法获取  addExtensionInstallationProvider 方法"},
      {"optpkg.install.error.noclass", "未安装独立的扩展提供程序： 无法获得 sun.misc.ExtensionDependency 类"},
      {"dialogfactory.user.selected", "用户所选的：{0} "},
      {"dialogfactory.user.typed", "用户键入的：{0} "},
      {"progress_dialog.downloading", "Plug-in:正在下载..."},
      {"progress_dialog.dismiss_button", "关闭(D)"},
      {"progress_dialog.dismiss_button.acceleratorKey", new Integer(68)},
      {"progress_dialog.from", "从"},
      {"applet_viewer.color_tag", "{0} 中不正确的组件号"},
      {"progress_info.downloading", "正在下载 JAR 文件"},
      {"progress_bar.preload", "正在预载 JAR 文件：{0}"},
      {"cache.size", "高速缓存大小：{0}"},
      {"cache.cleanup", "高速缓存大小为：{0} 字节，有必要清理"},
      {"cache.full", "高速缓存已满：正在删除文件 {0}"},
      {"cache.inuse", "不能删除文件 {0}，因为此应用程序正在使用该文件"},
      {"cache.notdeleted", "不能删除文件 {0}，因为此应用程序和/或其他应用程序可能正在使用"},
      {"cache.out_of_date", "{0} 的高速缓存副本已过期\n  高速缓存副本：{1}\n  服务器副本：{2}"},
      {"cache.loading", "正在从高速缓存加载 {0}"},
      {"cache.cache_warning", "警告：不能高速缓存{0}"},
      {"cache.downloading", "正在将{0}下载到高速缓存"},
      {"cache.cached_name", "已高速缓存的文件名称：{0}"},
      {"cache.load_warning", "警告：正从高速缓存错误读取 {0}。"},
      {"cache.disabled", "高速缓存已被用户禁用"},
      {"cache.minSize", "高速缓存被禁用。高速缓存限额设置为 {0}，已指定至少应为 5 MB"},
      {"cache.directory_warning", "警告：{0} 不是一个目录。高速缓存将被禁用。"},
      {"cache.response_warning", "警告：{1} 异常响应 {0}。将重新下载文件。"},
      {"cache.enabled", "高速缓存被启用"},
      {"cache.location", "位置：{0}"},
      {"cache.maxSize", "最大：{0}"},
      {"cache.create_warning", "警告：不能创建高速缓存目录 {0}。高速缓存将被禁用。"},
      {"cache.read_warning", "警告：不能读取高速缓存目录 {0}。高速缓存将被禁用。"},
      {"cache.write_warning", "警告：不能写入高速缓存目录 {0}。高速缓存将被禁用。"},
      {"cache.compression", "压缩级别：{0}"},
      {"cache.cert_load", "{0} 的证书从 JAR 高速缓存中读取"},
      {"cache.jarjar.invalid_file", ".jarjar 文件包含一个非 .jar 文件"},
      {"cache.jarjar.multiple_jar", ".jarjar 文件包含多个 .jar 文件"},
      {"cache.version_checking", "正在检查 {0} 的版本，指定版本为 {1}"},
      {"cache.preloading", "正在预载文件 {0}"},
      {"cache_viewer.caption", "详细信息 - 高速缓存"},
      {"cache_viewer.refresh", "刷新(R)"},
      {"cache_viewer.refresh.acceleratorKey", new Integer(82)},
      {"cache_viewer.remove", "删除(D)"},
      {"cache_viewer.remove.acceleratorKey", new Integer(68)},
      {"cache_viewer.close", "关闭(C)"},
      {"cache_viewer.close.acceleratorKey", new Integer(67)},
      {"cache_viewer.name", "名称"},
      {"cache_viewer.type", "类型"},
      {"cache_viewer.size", "大小"},
      {"cache_viewer.modify_date", "最新修正版"},
      {"cache_viewer.expiry_date", "到期日期"},
      {"cache_viewer.url", "URL"},
      {"cache_viewer.version", "版本"},
      {"cache_viewer.help.name", "高速缓存的文件名"},
      {"cache_viewer.help.type", "高速缓存的文件类型"},
      {"cache_viewer.help.size", "高速缓存的文件大小"},
      {"cache_viewer.help.modify_date", "高速缓存文件的最后修改日期"},
      {"cache_viewer.help.expiry_date", "高速缓存文件的到期日期"},
      {"cache_viewer.help.url", "高速缓存文件下载 URL"},
      {"cache_viewer.help.version", "高速缓存文件版本"},
      {"cache_viewer.delete.text", "<html><b>文件未删除</b></html>{0} 可能在使用中。\n"},
      {"cache_viewer.delete.caption", "错误 - 高速缓存"},
      {"cache_viewer.type.zip", "Jar"},
      {"cache_viewer.type.class", "类"},
      {"cache_viewer.type.wav", "Wav 音频"},
      {"cache_viewer.type.au", "Au 音频"},
      {"cache_viewer.type.gif", "Gif 图像"},
      {"cache_viewer.type.jpg", "Jpeg 图像"},
      {"net.proxy.loading.ie", "正在从 Internet Explorer 中载入代理配置 ..."},
      {"net.proxy.loading.ns", "正在从 Netscape Navigator 中载入代理配置 ..."},
      {"net.proxy.loading.userdef", "正在载入用户定义的代理配置 ..."},
      {"net.proxy.loading.direct", "正在载入直接代理配置 ..."},
      {"net.proxy.loading.manual", "正在载入手动代理配置 ..."},
      {"net.proxy.loading.auto", "正在载入自动代理配置 ..."},
      {"net.proxy.loading.browser", "正在载入浏览器代理配置 ..."},
      {"net.proxy.loading.manual.error", "无法使用手动代理配置 - 后退到 DIRECT"},
      {"net.proxy.loading.auto.error", "无法使用自动代理配置 ― 后退到 MANUAL"},
      {"net.proxy.loading.done", "完成。"},
      {"net.proxy.browser.pref.read", "正在从 {0} 读取用户首选设置文件 "},
      {"net.proxy.browser.proxyEnable", "    代理启用：{0} "},
      {"net.proxy.browser.proxyList", "   代理列表： {0}"},
      {"net.proxy.browser.proxyOverride", "    代理覆盖：{0} "},
      {"net.proxy.browser.autoConfigURL", "    自动配置 URL：{0} "},
      {"net.proxy.browser.smartConfig", "用端口 {1} Ping 代理服务器 {0}"},
      {"net.proxy.browser.connectionException", "无法访问端口 {1} 上的代理服务器 {0}"},
      {"net.proxy.ns6.regs.exception", "读取注册文件时出错：{0}"},
      {"net.proxy.pattern.convert", "将代理旁路列表转换为正则表达式： "},
      {"net.proxy.pattern.convert.error", "无法将代理旁路列表转换为正则表达式 ― 忽略"},
      {"net.proxy.auto.download.ins", "正在从 {0} 下载 INS 文件"},
      {"net.proxy.auto.download.js", "正在从 {0} 下载自动代理文件"},
      {"net.proxy.auto.result.error", "无法从评估中确定代理设置 ― 后退到 DIRECT"},
      {"net.proxy.service.not_available", "{0} 的代理服务不可用 ― 缺省为 DIRECT"},
      {"lifecycle.applet.found", "从运行周期高速缓存中找到以前停止运行的小程序"},
      {"lifecycle.applet.support", "小程序支持继承运行周期模式 - 将小程序添加到运行周期高速缓存"},
      {"lifecycle.applet.cachefull", "运行周期高速缓存已满 - 请卸掉最近用的最少的小程序"},
      {"com.method.ambiguous", "不能选择方法，参数定义不明确"},
      {"com.method.notexists", "{0}: 此方法不存在"},
      {"com.notexists", "{0}: 此方法/属性不存在"},
      {"com.method.invoke", "调用方法：{0}"},
      {"com.method.jsinvoke", "调用 JS 方法： {0}"},
      {"com.method.argsTypeInvalid", "参数不能转换成所需类型"},
      {"com.method.argCountInvalid", "参数数目不正确"},
      {"com.field.needsConversion", "需要转换：{0} --> {1} "},
      {"com.field.typeInvalid", "不能转换为类型：{0}"},
      {"com.field.get", "获取特性：{0}"},
      {"com.field.set", "设置特性：{0}"},
      {"about.java.version", "版本{0} (build {1})"},
      {"about.prompt.info", "有关 Java 技术的详细信息以及重大的 Java 应用程序，请访问"},
      {"about.home.link", "http://www.java.com"},
      {"about.option.close", "关闭(C)"},
      {"about.option.close.acceleratorKey", new Integer(67)},
      {"about.legal.note", "版权所有 2006 Sun Microsystems, Inc. 保留一切权力。请遵照许可条款使用该软件。"},
      {"about.legal.note", "版权所有 2006 Sun Microsystems, Inc. 保留一切权力。请遵照许可条款使用该软件。"},
      {"autoupdatecheck.buttonYes", "是(Y)"},
      {"autoupdatecheck.buttonYes.acceleratorKey", new Integer(89)},
      {"autoupdatecheck.buttonNo", "否(N)"},
      {"autoupdatecheck.buttonNo.acceleratorKey", new Integer(78)},
      {"autoupdatecheck.buttonAskLater", "稍后再问(A)"},
      {"autoupdatecheck.buttonAskLater.acceleratorKey", new Integer(65)},
      {"autoupdatecheck.caption", "自动检查更新"},
      {"autoupdatecheck.message", "当有新版本的 Java 软件可用时，Java Update 可以自动对您的 Java 软件进行更新。是否要启用此服务？"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
