package sun.plugin.resources;

import java.util.ListResourceBundle;

public class ControlPanelHelp_de extends ListResourceBundle {
   private static String newline = "\n";
   static final Object[][] contents = new Object[][]{
      {
            "help.file",
            newline
               + "Java Plug-in Bedienungsfeld-Hilfe"
               + newline
               + newline
               + newline
               + "Folgende Themen werden in dieser Hilfe behandelt:"
               + newline
               + "      Überblick"
               + newline
               + "      Speichern von Optionen"
               + newline
               + "      Einstellen der Bedienungsfeld-Optionen"
               + newline
               + "      Bedienungsfeld \"Standard\""
               + newline
               + "      Bedienungsfeld \"Erweitert\""
               + newline
               + "      Bedienungsfeld \"Browser\""
               + newline
               + "      Bedienungsfeld \"Proxies\""
               + newline
               + "      Bedienungsfeld \"Cache\""
               + newline
               + "      Bedienungsfeld \"Zertifikate\""
               + newline
               + "      Bedienungsfeld \"Update\""
               + newline
               + newline
               + "Überblick"
               + newline
               + newline
               + "Mit dem Java Plug-in Bedienungsfeld können Sie die Standardeinstellungen ändern, die von Java Plug-in beim Start verwendet werden."
               + newline
               + "Alle Applets, die in einer aktiven Instanz von Java Plug-in laufen, verwenden diese Einstellungen."
               + newline
               + "Das in diesem Dokument erwähnte Java Plug-in-Entwicklerhandbuch finden Sie unter (Änderung der URL vorbehalten): "
               + newline
               + "http://java.sun.com/j2se/1.4/docs/guide/plugin/developer_guide/contents.html"
               + newline
               + newline
               + "Speichern von Optionen"
               + newline
               + newline
               + "Wenn Sie alle Änderungen an den Bedienungsfeld-Optionen vorgenommen haben, klicken Sie auf \"Übernehmen\", um die Änderungen zu speichern."
               + newline
               + "Klicken Sie auf \"Zurücksetzen\", wenn Sie die Änderungen verwerfen und die zuletzt eingegebenen und übernommenen Werte erneut laden möchten."
               + newline
               + "Beachten Sie, dass es sich hierbei nicht um dieselben Standardwerte handelt, die ursprünglich beim Installieren von Java Plug-in eingestellt waren."
               + newline
               + newline
               + "Einstellen der Bedienungsfeld-Optionen"
               + newline
               + newline
               + "Sie können die verschiedenen Optionen auf sechs Feldern im Java Plug-in Bedienungsfeld festlegen."
               + newline
               + "Diese Felder werden folgendermaßen bezeichnet: "
               + newline
               + "      Standard"
               + newline
               + "      Erweitert"
               + newline
               + "      Browser"
               + newline
               + "      Proxies"
               + newline
               + "      Cache"
               + newline
               + "      Zertifikate"
               + newline
               + "      Update"
               + newline
               + newline
               + "Jedes Bedienungsfeld wird im Folgenden beschrieben."
               + newline
               + newline
               + newline
               + " Standard"
               + newline
               + "Java-Konsole einblenden"
               + newline
               + newline
               + "      Zeigt während der Ausführung von Applets die Java-Konsole an. Auf der Konsole werden die von \"System.out\" und \"System.err\" ausgegebenen Mitteilungen angezeigt."
               + newline
               + "      Dies ist bei der Fehlersuche hilfreich."
               + newline
               + newline
               + "Konsole ausblenden"
               + newline
               + newline
               + "      Die Java-Konsole wird ausgeführt, ist aber ausgeblendet. Dieses ist die Standardeinstellung (aktiviert)."
               + newline
               + newline
               + "Konsole nicht starten"
               + newline
               + newline
               + "      Die Java-Konsole wird nicht gestartet."
               + newline
               + newline
               + "Ausnahmedialogfeld anzeigen"
               + newline
               + newline
               + "      Beim Auftreten einer Ausnahme wird ein Ausnahmedialogfeld angezeigt. In der Standardeinstellung wird das Ausnahmedialogfeld nicht angezeigt (deaktiviert)."
               + newline
               + newline
               + "Java im System Tray anzeigen (nur Windows)"
               + newline
               + newline
               + "      Wenn diese Option aktiviert ist, wird das Symbol mit der Java-Kaffeetasse beim Start von Java Plug-in im System Tray eingeblendet."
               + newline
               + "      Beim Beenden von Java Plug-in wird das Symbol aus dem System Tray entfernt."
               + newline
               + "      Das Symbol mit der Java-Kaffeetasse zeigt dem Benutzer an, dass eine Java-VM ausgeführt wird. Außerdem ermöglicht es den Zugriff auf Informationen über die"
               + newline
               + "      Java-Version und auf die Java-Konsole."
               + newline
               + "      In der Standardeinstellung ist diese Option aktiviert."
               + newline
               + newline
               + "      Funktionen des Java-Symbols im System Tray:"
               + newline
               + newline
               + "      Wenn Sie mit dem Mauszeiger auf das Symbol der Java-Kaffeetasse zeigen, wird das Wort \"Java\" angezeigt."
               + newline
               + newline
               + "      Wenn Sie mit der linken Maustaste auf das Java-Symbol im System Tray doppelklicken, wird die Java-Konsole eingeblendet."
               + newline
               + newline
               + "      Wenn Sie mit der rechten Maustaste auf das Java-Symbol im System Tray klicken, wird ein Popupmenü mit den folgenden Befehlen angezeigt:"
               + newline
               + newline
               + "            Konsole öffnen/schließen"
               + newline
               + "            Info über Java"
               + newline
               + "            Deaktivieren"
               + newline
               + "            Beenden"
               + newline
               + newline
               + "      Mit \"Konsole öffnen\" bzw. \"Konsole schließen\" wird das Fenster der Java-Konsole geöffnet bzw. geschlossen. Wenn die Java-Konsole ausgeblendet ist, wird der Befehl \"Konsole öffnen\" angezeigt,"
               + newline
               + "      wenn sie eingeblendet ist, der Befehl \"Konsole schließen\"."
               + newline
               + newline
               + "      Mit dem Befehl \"Info über Java\" öffnen Sie das Dialogfeld \"Info - Java\" für Java 2 Standard Edition."
               + newline
               + newline
               + "      Mit dem Befehl \"Deaktivieren\" wird das Java-Symbol für die aktuelle und zukünftige Sitzungen aus dem System Tray entfernt. Bei einem erneutem Start von Java Plug-in"
               + newline
               + "      wird das Java-Symbol nicht im System Tray angezeigt."
               + newline
               + "      Im folgenden Hinweis wird erläutert, wie Sie festlegen, dass das Java-Symbol wieder im System Tray angezeigt wird, nachdem Sie es deaktiviert haben."
               + newline
               + newline
               + "      Mit dem Befehl \"Beenden\" wird das Java-Symbol nur für die aktuelle Sitzung aus dem System Tray entfernt. Bei einem erneutem Start von Java Plug-in wird das"
               + newline
               + "      Java-Symbol erneut im System Tray angezeigt."
               + newline
               + newline
               + newline
               + "                Hinweise"
               + newline
               + newline
               + "                1. Wenn \"Java im System Tray anzeigen\" aktiviert ist, wird das Java-Symbol im System Tray angezeigt, auch wenn \"Konsole nicht"
               + newline
               + "                starten\" aktiviert ist."
               + newline
               + newline
               + "                2. Um das Java-Symbol zu aktivieren, nachdem Sie es deaktiviert haben, starten Sie das Java Plug-in Bedienungsfeld, aktivieren Sie \"Java im"
               + newline
               + "                System Tray anzeigen\", und klicken Sie auf \"Übernehmen\"."
               + newline
               + newline
               + "                3. Wenn bereits andere Java-VMs ausgeführt werden und dem System Tray andere Java-Symbole hinzugefügt wurden, hat"
               + newline
               + "                eine Änderung der Einstellung im Java Plug-in Bedienungsfeld keine Auswirkungen auf diese Symbole."
               + newline
               + "                Die Einstellung wirkt sich nur auf das Verhalten des Java-Symbols aus, wenn die Java-VM nach dem Einstellen gestartet wird."
               + newline
               + newline
               + newline
               + " Erweitert"
               + newline
               + newline
               + newline
               + "Java Run Time Environment"
               + newline
               + newline
               + "      Ermöglicht die Ausführung von Java Plug-in mit jeder Java 2 JRE bzw. jedem SDK, Standard Edition V. 1.3 oder 1.4, die bzw. das auf Ihrem Rechner installiert ist."
               + newline
               + "      Java Plug-in 1.3/1.4 wird mit einer Standard-JRE ausgeliefert."
               + newline
               + "      Sie können jedoch die Standard-JRE übergehen und eine ältere oder neuere Version verwenden. Das Bedienungsfeld erkennt automatisch"
               + newline
               + "      alle auf dem Rechner installierten Java 2 SDK- oder JRE-Versionen. Im Listenfeld werden alle Versionen aufgeführt,"
               + newline
               + "      die Sie verwenden können."
               + newline
               + "      Das erste Element in der Liste ist immer die Standard-JRE, das letzte Element immer \"Sonstige\". Wenn Sie \"Sonstige\" wählen, müssen Sie"
               + newline
               + "      den Pfad zur Java 2 JRE bzw. zum SDK, Standard Edition V. 1.3/1.4 angeben."
               + newline
               + newline
               + "                Hinweis"
               + newline
               + newline
               + "                Nur erfahrene Benutzer sollten diese Option ändern. Vom Ändern der Standard-JRE wird abgeraten."
               + newline
               + newline
               + newline
               + "Java Laufzeitparameter"
               + newline
               + newline
               + "      Überschreibt die Standard-Startparameter von Java Plug-in durch die Angabe benutzerdefinierter Optionen. Es wird dieselbe Syntax verwendet"
               + newline
               + "      wie bei der Verwendung von Parametern beim Aufruf von Java über die Befehlszeile. Eine vollständige Liste der Befehlszeilenoptionen finden"
               + newline
               + "      Sie in der Dokumentation der Java 2 Standard Edition (J2SE)."
               + newline
               + "      Die Änderung der unten aufgeführten URL ist vorbehalten:"
               + newline
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/tooldocs/<plattform>/java.html"
               + newline
               + newline
               + "            wobei \"<plattform>\" für ein Betriebssystem steht: Solaris, Linux, Win32."
               + newline
               + newline
               + "      Nachstehend sind einige Beispiele für Java-Laufzeitparameter aufgeführt."
               + newline
               + newline
               + "      Aktivieren und Deaktivieren der Unterstützung von Annahmen"
               + newline
               + newline
               + "            Zur Unterstützung von Annahmen muss die folgende Systemeigenschaft in den Java-Laufzeitparametern festgelegt werden:"
               + newline
               + newline
               + "                  -D[ enableassertions | ea ][:<package name>\"...\" | : <class name> ]"
               + newline
               + newline
               + "            Zur Deaktivierung von Annahmen in Java Plug-in geben Sie Folgendes bei den Java-Laufzeitparametern an:"
               + newline
               + newline
               + "                  -D[ disableassertions | da ][:<package name>\"...\" | : <class name> ]"
               + newline
               + newline
               + "            Weitere Informationen über das Aktivieren/Deaktivieren von Annahmen finden Sie unter \"Assertion Facility\"."
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/guide/lang/assert.html (Änderung der URL vorbehalten)."
               + newline
               + newline
               + "            Standardmäßig sind Annahmen im Java Plug-in-Code deaktiviert. Da die Behandlung von Annahmen beim Start von Java Plug-in ermittelt wird,"
               + newline
               + "            muss der Browser nach dem Ändern der Einstellungen für Annahmen im Java Plug-in Bedienungsfeld neu gestartet werden,"
               + newline
               + "            damit die neuen Einstellungen wirksam werden."
               + newline
               + newline
               + "            Weil im Java-Code in Java Plug-in ebenfalls Annahmen integriert sind, können Annahmen im Java Plug-in-Code"
               + newline
               + "            folgendermaßen aktiviert werden:"
               + newline
               + newline
               + "                  -D[ enableassertions | ea ]:sun.plugin"
               + newline
               + newline
               + "      Unterstützung für Ablaufverfolgung und Protokollierung"
               + newline
               + newline
               + "            Die Ablaufverfolgung ist eine Funktion, mit der jede Ausgabe in der Java-Konsole zu einer Trace-Datei (\".plugin<version>.trace\") umgeleitet wird."
               + newline
               + newline
               + "                  -Djavaplugin.trace=true"
               + newline
               + "                  -Djavaplugin.trace.option=basic|net|security|ext|liveconnect"
               + newline
               + newline
               + "            Wenn Sie den Standardnamen für die Trace-Datei nicht verwenden möchten:"
               + newline
               + newline
               + "                  -Djavaplugin.trace.filename=<tracefilename>"
               + newline
               + newline
               + "            Ähnlich wie die Ablaufverfolgung ist auch das Protokollieren eine Möglichkeit, jede Ausgabe in der Java-Konsole mithilfe des Java Logging API in eine Protokolldatei (\".plugin<version>.log\")"
               + newline
               + "            umzuleiten."
               + newline
               + "            Zum Einschalten der Protokollierung aktivieren Sie die Eigenschaft \"javaplugin.logging\"."
               + newline
               + newline
               + "                  -Djavaplugin.logging=true"
               + newline
               + newline
               + "            Wenn Sie den Standardnamen für die Protokolldatei nicht verwenden möchten:"
               + newline
               + newline
               + "                  -Djavaplugin.log.filename=<logfilename>"
               + newline
               + newline
               + "            Außerdem können Sie folgende Eigenschaften festlegen, wenn die Trace- und Protokolldateien nicht bei jeder Sitzung überschrieben werden sollen:"
               + newline
               + newline
               + "                  -Djavaplugin.outputfiles.overwrite=false."
               + newline
               + newline
               + "            Wenn diese Eigenschaft auf \"false\" gesetzt ist, erhalten die Trace- und Protokolldateien bei jeder Sitzung einen eindeutigen Namen. Bei Verwendung der"
               + newline
               + "            Standardnamen für die Trace- und Protokolldateien werden diese Dateien folgendermaßen benannt:"
               + newline
               + newline
               + "                  .plugin<username><date hash code>.trace"
               + newline
               + "                  .plugin<username><date hash code>.log"
               + newline
               + newline
               + "            Die über das Bedienungsfeld eingestellten Funktionen Ablaufverfolgung und Protokollierung werden beim Starten des Plug-in aktiviert,"
               + newline
               + "            aber die Änderungen, die bei laufendem Plug-in über das Bedienungsfeld vorgenommenen werden, sind erst nach einem Neustart wirksam."
               + newline
               + newline
               + "            Weitere Informationen über Ablaufverfolgung und Protokollierung finden Sie im entsprechenden Abschnitt im Java Plug-in-Entwicklerhandbuch."
               + newline
               + newline
               + "      Fehlersuche in Applets in Java Plug-in"
               + newline
               + newline
               + "            Die folgenden Optionen werden bei der Fehlersuche in Applets in Java Plug-in verwendet."
               + newline
               + "            Weitere Informationen zu diesem Thema finden Sie im Java Plug-in-Entwicklerhandbuch im Abschnitt zur Unterstützung der Fehlersuche."
               + newline
               + newline
               + "                  -Djava.compiler=NONE"
               + newline
               + "                  -Xnoagent"
               + newline
               + "                  -Xdebug"
               + newline
               + "                  -Xrunjdwp:transport=dt_shmem,address=<connect-address>,server=y,suspend=n"
               + newline
               + newline
               + "            \"<connect-address>\" kann eine beliebige Zeichenkette sein (Beispiel: 2502), die später vom Java Debugger (jdb) verwendet wird,"
               + newline
               + "            um eine Verbindung zur JVM zu erstellen."
               + newline
               + newline
               + "      Standard-Timeout für Verbindung"
               + newline
               + newline
               + "            Wenn von einem Applet eine Verbindung zu einem Server hergestellt wird und der Server nicht wie erwartet reagiert, kann es den Anschein haben,"
               + newline
               + "            dass das Applet hängt. Das kann auch dazu führen, dass der Browser hängt, weil kein Timeout der Netzwerkverbindung vorliegt"
               + newline
               + "            (standardmäßig auf -1 gesetzt, d.h., dass kein Timeout festgelegt ist)."
               + newline
               + newline
               + "            Zur Vermeidung dieses Problems hat das Java Plug-in einen Standard-Netzwerk-Timeout (2 Minuten) für alle HTTP-Verbindungen hinzugefügt."
               + newline
               + "            Sie können diese Einstellung in den Java Laufzeitparametern ändern:"
               + newline
               + newline
               + "                  -Dsun.net.client.defaultConnectTimeout=Wert in Millisekunden"
               + newline
               + newline
               + "            Eine weitere einstellbare Netzwerkeigenschaft ist \"sun.net.client.defaultReadTimeout\"."
               + newline
               + newline
               + "                  -Dsun.net.client.defaultReadTimeout=Wert in Millisekunden"
               + newline
               + newline
               + "                  Hinweis"
               + newline
               + newline
               + "                  Standardmäßig wird der Wert \"sun.net.client.defaultReadTimeout\" von Java Plug-in nicht gesetzt. Wenn Sie ihn festlegen möchten,"
               + newline
               + "                  tun Sie dies wie oben angegeben über die Java Laufzeitparameter."
               + newline
               + newline
               + newline
               + "            Beschreibung der Netzwerkeigenschaften:"
               + newline
               + newline
               + "            sun.net.client.defaultConnectTimeout"
               + newline
               + "            sun.net.client.defaultReadTimeout"
               + newline
               + newline
               + "                  Mit diesen Eigenschaften werden die Standardwerte für Verbindungs- und Lese-Timeouts für die von \"java.net.URLConnection\" verwendeten"
               + newline
               + "                  Protokoll-Handler festgelegt. Die von den Protokoll-Handlern festgelegten Standardwerte sind jeweils \"-1\","
               + newline
               + "                  d.h., dass kein Timeout festgelegt ist."
               + newline
               + newline
               + "                  \"sun.net.client.defaultConnectTimeout\" legt den Timeout (in Millisekunden) für den Aufbau der Verbindung zum Host fest."
               + newline
               + "                  Bei HTTP-Verbindungen ist das zum Beispiel der Timeout für den Aufbau der Verbindung zum HTTP-Server."
               + newline
               + "                  Bei FTP-Verbindungen ist das der Timeout für den Aufbau der Verbindung zu FTP-Servern."
               + newline
               + newline
               + "                  \"sun.net.client.defaultReadTimeout\" legt den Timeout (in Millisekunden) für das Lesen eines Eingabestroms"
               + newline
               + "                  bei einer bestehenden Verbindung zu einer Ressource fest."
               + newline
               + newline
               + "            Die offizielle Beschreibung dieser Netzwerkeigenschaften finden Sie unter"
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/guide/net/properties.html."
               + newline
               + newline
               + newline
               + " Browser"
               + newline
               + newline
               + newline
               + "Dieses Bedienungsfeld bezieht sich nur auf Microsoft Windows-Installationen; bei anderen Installationen wird es nicht angezeigt. Aktivieren Sie jeden Browser,"
               + newline
               + "für den Java Plug-in anstelle der internen JVM des jeweiligen Browsers das Standard-Java-Laufzeitprogramm sein soll."
               + newline
               + "Damit wird die Unterstützung des Tags \"APPLET\" in Internet Explorer und Netscape 6 via Java Plug-in aktiviert."
               + newline
               + newline
               + newline
               + " Proxies"
               + newline
               + newline
               + newline
               + "Über das Bedienungsfeld \"Proxies\" wird festgelegt, ob die Standardeinstellungen des Browsers verwendet oder die Werte für Proxy-Adresse und Anschluss für die verschiedenen Protokolle überschrieben werden sollen."
               + newline
               + newline
               + "Browser-Einstellungen verwenden"
               + newline
               + newline
               + "      Aktivieren Sie diese Option, um die Standard-Proxy-Einstellungen des Browsers zu verwenden. Dieses ist die Standardeinstellung (aktiviert)."
               + newline
               + newline
               + "Proxy-Einstellungen"
               + newline
               + newline
               + "      Sie können die Standardeinstellungen überschreiben, indem Sie das Kontrollkästchen \"Browser-Einstellungen verwenden\" deaktivieren und dann die Tabelle mit den Proxy-Einstellungen"
               + newline
               + "      unter dem Kontrollkästchen ausfüllen. Sie können die Proxy-Adresse und den Anschluss für jedes der unterstützten Protokolle"
               + newline
               + "      eingeben: HTTP, Secure (HTTPS), FTP, Gopher und Socks."
               + newline
               + newline
               + "Kein Proxy-Host"
               + newline
               + newline
               + "      Dies ist ein Host oder eine Liste von Hosts, für den/die keine Proxies verwendet werden sollen. Für einen internen Host in einer Intranet-Umgebung"
               + newline
               + "      wird normalerweise kein Proxy-Host verwendet."
               + newline
               + newline
               + "URL der automatischen Proxy-Konfiguration"
               + newline
               + "      Das ist die URL für die JavaScript-Datei (Erweiterung \".js\" oder \".pac\") mit der Funktion \"FindProxyForURL\"."
               + newline
               + "      \"FindProxyForURL\" enthält die Logik zum Ermitteln des Proxy-Servers, der für eine Verbindungsanforderung zu verwenden ist."
               + newline
               + newline
               + "Weitere Angaben zur Proxy-Konfiguration finden Sie im Kapitel zur Proxy-Konfiguration im Java Plug-in-"
               + newline
               + "Entwicklerhandbuch."
               + newline
               + newline
               + newline
               + " Cache"
               + newline
               + newline
               + newline
               + "           Hinweis"
               + newline
               + newline
               + "           Bei dem hier erwähnten Cache handelt es sich um den \"Sticky\"-Cache, d.h. den von Java Plug-in erstellten und verwalteten Platten-Cache,"
               + newline
               + "           den der Browser nicht überschreiben kann. Weitere Informationen dazu finden Sie unter \"Applet-Caching\" im Java Plug-in-Entwicklerhandbuch."
               + newline
               + newline
               + newline
               + "Cache aktivieren"
               + newline
               + newline
               + "      Aktivieren Sie diese Option, um das Caching zu aktivieren. Dieses ist die Standardeinstellung (aktiviert). Bei aktiviertem Applet-Caching ist die Leistung"
               + newline
               + "      höher, weil ein Applet, das bereits im Cache gespeichert wurde, nicht noch einmal heruntergeladen werden muss, wenn darauf wieder Bezug benommen wird."
               + newline
               + newline
               + "      Java Plug-in speichert Dateien folgender Typen, die über HTTP/HTTPS heruntergeladen wurden, im Cache:"
               + newline
               + newline
               + "            .jar (JAR-Datei)"
               + newline
               + "            .zip (ZIP-Datei)"
               + newline
               + "            .class (Java-Class-Datei)"
               + newline
               + "            .au (Audiodatei)"
               + newline
               + "            .wav (Audiodatei)"
               + newline
               + "            .jpg (Bilddatei)"
               + newline
               + "            .gif (Bilddatei)"
               + newline
               + newline
               + "Cache anzeigen"
               + newline
               + newline
               + "      Betätigen Sie diese Schaltfläche, um die Dateien im Cache anzuzeigen. Ein weiteres Dialogfeld (Java Plug-in-Cache-Viewer) wird angezeigt, und darin sind die Dateien im Cache aufgeführt."
               + newline
               + "      Der Cache-Viewer zeigt folgende Informationen über die Dateien im Cache an: Name, Typ, Größe, Verfallsdatum,"
               + newline
               + "      Datum der letzten Änderung, Version und URL. Im Cache-Viewer können Sie auch einzelne Dateien aus dem Cache löschen."
               + newline
               + "      Dies ist eine Alternative zu der unten beschriebenen Option \"Cache löschen\", mit der alle Dateien im Cache gelöscht werden."
               + newline
               + newline
               + "Cache löschen"
               + newline
               + newline
               + "      Betätigen Sie diese Schaltfläche, um alle Dateien im Cache zu löschen. Daraufhin werden Sie aufgefordert, diese Aktion zu bestätigen (\"Alle Dateien in ... _cache löschen?\"), bevor die Dateien gelöscht werden."
               + newline
               + newline
               + "Speicherort"
               + newline
               + newline
               + "      Sie können mit dieser Option den Speicherort des Cache festlegen. Der Standardspeicherort des Cache ist \"<user home>/.jpi_cache\", wobei"
               + newline
               + "      \"<user home>\" den Wert der Systemeigenschaft \"user.home\" hat. Der Wert ist betriebssystemabhängig."
               + newline
               + newline
               + "Größe"
               + newline
               + newline
               + "      Wenn Sie die Option \"Unbegrenzt\" aktivieren, ist die Größe des Cache nicht beschränkt. Alternativ können Sie die Maximalgröße des Cache festlegen."
               + newline
               + "      Wenn die Größe des Cache die festgelegte Grenze überschreitet, wird solange die jeweils älteste Datei aus dem Cache gelöscht, bis die Cache-Größe"
               + newline
               + "      wieder unterhalb des Grenzwerts liegt."
               + newline
               + newline
               + "JAR-Kompression"
               + newline
               + newline
               + "      Sie haben bei der JAR-Kompression die Wahl zwischen \"Keine\" und \"Hoch\". Bei einer höheren Komprimierung"
               + newline
               + "      sparen Sie zwar Speicherplatz ein, müssen dafür aber Leistungseinbußen hinnehmen; die beste Leistung erzielen Sie"
               + newline
               + "      ohne Komprimierung."
               + newline
               + newline
               + newline
               + " Zertifikate"
               + newline
               + newline
               + newline
               + "Vier Zertifikatstypen stehen zur Auswahl:"
               + newline
               + newline
               + "      Signiertes Applet"
               + newline
               + "      Sichere Site"
               + newline
               + "      Zertifizierungsstellen-Signierer"
               + newline
               + "      Zertifizierungsstelle der sicheren Site"
               + newline
               + newline
               + "Signiertes Applet"
               + newline
               + newline
               + "      Hierbei handelt es sich um Zertifikate für signierte Applets, denen der Benutzer vertraut. Die Zertifikate, die in der Liste der signierten Applets"
               + newline
               + "      angezeigt werden, werden der Zertifikatsdatei \"jpicerts<version>\" aus dem Verzeichnis \"<user home>/.java\" entnommen."
               + newline
               + newline
               + "Sichere Site"
               + newline
               + newline
               + "      Hierbei handelt es sich um Zertifikate für sichere Sites. Die Zertifikate, die in der Liste der sicheren Sites angezeigt werden, werden der Zertifikatsdatei"
               + newline
               + "      \"jpihttpscerts<version>\" aus dem Verzeichnis \"<user home>/.java\" entnommen."
               + newline
               + newline
               + "Zertifizierungsstellen-Signierer"
               + newline
               + newline
               + "      Hierbei handelt es sich um Zertifikate von Zertifizierungsstellen für signierte Applets; diese Stellen geben die Zertifikate"
               + newline
               + "       für die Signierer von signierten Applets heraus. Die Zertifikate, die in der Liste der Zertifizierungsstellen-Signierer angezeigt werden, werden der Zertifikatsdatei"
               + newline
               + "       \"cacerts\" aus dem Verzeichnis \"<jre>/lib/security\" entnommen."
               + newline
               + newline
               + "Zertifizierungsstelle der sicheren Site"
               + newline
               + newline
               + "      Hierbei handelt es sich um Zertifikate von Zertifizierungsstellen für sichere Sites; diese Stellen geben die Zertifikate"
               + newline
               + "      für sichere Sites heraus. Die Zertifikate, die in der Liste der Zertifizierungsstellen für sichere Sites angezeigt werden, werden der Zertifikatsdatei \"jssecacerts\" aus dem Verzeichnis"
               + newline
               + "      \"<jre>/lib/security\" entnommen."
               + newline
               + newline
               + "Für die Zertifikate \"Signiertes Applet\" und \"Sichere Site\" stehen vier Optionen zur Verfügung: \"Importieren\", \"Exportieren\", \"Entfernen\" und \"Details\"."
               + newline
               + "Der Benutzer kann ein Zertifikat importieren, exportieren, löschen oder dessen Details anzeigen."
               + newline
               + newline
               + "Für \"Zertifizierungstellen-Signierer\" und \"Zertifizierungsstelle der sicheren Site\" steht nur eine Option zur Verfügung: \"Details\". Der Benutzer kann nur die Details eines Zertifikats anzeigen."
               + newline
               + newline
               + newline
               + " Update"
               + newline
               + newline
               + newline
               + "In diesem Feld gibt es eine Schaltfläche \"Jetzt aktualisieren\", über die der Benutzer das neueste Update für die Java Runtime"
               + newline
               + "Environment von der Java Update-Website erhalten kann. Dieses Bedienungsfeld bezieht sich nur auf Microsoft Windows-Installationen;"
               + newline
               + "bei anderen Plattformen (d.h. Solaris/Linux) wird es nicht angezeigt."
      }
   };

   public Object[][] getContents() {
      return contents;
   }
}
