package sun.plugin.resources;

import java.util.ListResourceBundle;

public class ControlPanelHelp_fr extends ListResourceBundle {
   private static String newline = "\n";
   static final Object[][] contents = new Object[][]{
      {
            "help.file",
            newline
               + "Aide sur le Panneau de configuration Java Plug-in"
               + newline
               + newline
               + newline
               + "Les rubriques abordées dans cette aide sont les suivantes :"
               + newline
               + "      Vue d'ensemble"
               + newline
               + "      Enregistrement des options"
               + newline
               + "      Définition des options du panneau de configuration"
               + newline
               + "      Onglet Propriétés de base"
               + newline
               + "      Onglet Propriétés avancées"
               + newline
               + "      Onglet Navigateur"
               + newline
               + "      Onglet Proxies"
               + newline
               + "      Onglet Cache"
               + newline
               + "      Onglet Certificats"
               + newline
               + "      Onglet Mise à jour"
               + newline
               + newline
               + "Vue d'ensemble"
               + newline
               + newline
               + "Le panneau de configuration Java Plug-in vous permet de modifier les paramètres par défaut utilisés au démarrage de Java Plug-in"
               + newline
               + "Tous les applets s'exécutant dans une instance active de Java Plug-in utilisent ces paramètres"
               + newline
               + "Le Guide du développeur de Java Plug-in, cité en référence dans ce document, est accessible à l'adresse suivante (URL susceptible de modification)."
               + newline
               + "http://java.sun.com/j2se/1.4/docs/guide/plugin/developer_guide/contents.html"
               + newline
               + newline
               + "Enregistrement des options"
               + newline
               + newline
               + "Une fois que vous avez apporté les modifications voulues aux options du Panneau de configuration, cliquez sur Appliquer pour les enregistrer."
               + newline
               + "Cliquez sur Restaurer pour annuler les modifications et recharger les dernières valeurs qui étaient entrées et appliquées."
               + newline
               + "Notez qu'il ne s'agit pas du jeu de valeurs par défaut qui étaient définies à l'origine pour Java Plug-in au moment où il a été installé."
               + newline
               + newline
               + "Définition des options du Panneau de configuration"
               + newline
               + newline
               + "Six onglets vous permettent de configurer diverses options du Panneau de configuration Java Plug-in."
               + newline
               + "Ces onglets sont les suivants : "
               + newline
               + "      Propriétés de base"
               + newline
               + "      Propriétés avancées"
               + newline
               + "      Navigateur"
               + newline
               + "      Proxies"
               + newline
               + "      Cache"
               + newline
               + "      Certificats"
               + newline
               + "      Mise à jour"
               + newline
               + newline
               + "Tous ces onglets sont décrits séparément ci-dessous."
               + newline
               + newline
               + newline
               + "Propriétés de base"
               + newline
               + "Afficher la console"
               + newline
               + newline
               + "      Affiche la console Java pendant l'exécution des applets. La console affiche les messages imprimés par System.out et System.err"
               + newline
               + "      Cette fonctionnalité est utile pour les problèmes de débogage."
               + newline
               + newline
               + "Masquer la console"
               + newline
               + newline
               + "      La console Java Console est exécutée mais masquée. C'est le paramètre par défaut (option sélectionnée)."
               + newline
               + newline
               + "Ne pas démarrer la console"
               + newline
               + newline
               + "      La console Java n'est pas démarrée."
               + newline
               + newline
               + "Afficher la boîte de dialogue Exception"
               + newline
               + newline
               + "      Affiche la boîte de dialogue Exception lorsque des exceptions se produisent. Le paramètre par défaut est de ne pas afficher la boîte de dialogue Exception (option désélectionnée)."
               + newline
               + newline
               + "Afficher Java dans la barre d'état du Système (Windows uniquement)"
               + newline
               + newline
               + "      L'activation de cette option déclenche l'affichage du logo Java en forme de tasse de café dans la barre d'état du Système quand le Java Plug-in démarre"
               + newline
               + "      et disparaît de la barre d'état du Système à l'arrêt du Java Plug-in."
               + newline
               + "      Le logo Java en forme de tasse à café indique à l'utilisateur qu'un Java VM s'exécute et donne des informations sur le"
               + newline
               + "      Version Java et contrôle de la Console Java."
               + newline
               + "      Cette option est activée par défaut (cochée)."
               + newline
               + newline
               + "      Fonctionnalité Java de la barre d'état du Système :"
               + newline
               + newline
               + "      Lorsque la souris pointe vers le logo Java en forme de tasse à café, le texte \"Java\" s'affiche."
               + newline
               + newline
               + "      Lorsque l'icône de la barre d'état du système Java est sélectionnée à l'aide du bouton gauche de la souris, la fenêtre Java Console s'affiche."
               + newline
               + newline
               + "      Lorsque l'icône de la barre d'état du Système Java est sélectionnée à l'aide du bouton droit de la souris, un menu s'affiche avec les options de menu ci-dessous :"
               + newline
               + newline
               + "            Ouvrir/Fermer Console"
               + newline
               + "            À propos de Java"
               + newline
               + "            Désactiver"
               + newline
               + "            Quitter"
               + newline
               + newline
               + "      Ouvrir/Fermer la console ouvre/ferme la fenêtre de la Console Java. L'option de menu affiche Ouvrir la Console si la Console"
               + newline
               + "      Java est masquée et Fermer la console si la Console Java s'affiche."
               + newline
               + newline
               + "      À propos de Java affiche la fenêtre À propos de l'Edition Java 2 Standard."
               + newline
               + newline
               + "      Désactiver désactive et supprime l'icône Java de la barre d'état du Système pour les sessions présentes et à venir. Au redémarrage du"
               + newline
               + "       Java Plug-in, l'icône Java n'apparaît pas dans la barre d'état du Système."
               + newline
               + "      Pour savoir comment afficher l'icône Java dans la barre d'état du Système, après sa désactivation, voir la remarque ci-dessous."
               + newline
               + newline
               + "      Quitter supprime l'icône Java de la barre d'état du Système pour la session actuelle uniquement. Une fois le Java Plug-in redémarré, l'icône"
               + newline
               + "      Java réapparaît dans la barre d'état du Système."
               + newline
               + newline
               + newline
               + "                Remarques"
               + newline
               + newline
               + "                1. Si \"Afficher Java dans la barre d'état du Système\" est sélectionné, l'icône Java s'affiche dans la barre d'état du Système même si \"Ne pas démarrer"
               + newline
               + "                la console\" est sélectionné."
               + newline
               + newline
               + "                2. Pour activer l'icône Java après sa désactivation, démarrez le panneau de configuration Java Plug-in, cochez \"Afficher Java"
               + newline
               + "                dans la barre d'état du Système\", et appuyez sur \"Appliquer\"."
               + newline
               + newline
               + "                3. Si d'autres Java VM s'exécutent déjà et que d'autres icônes Java ont été ajoutées à la barre d'état du Système,"
               + newline
               + "                la modification du paramétrage du panneau de configuration Java Plug-in n'affectera pas ces icônes."
               + newline
               + "                Le paramétrage affectera uniquement le comportement de l'icône Java quand le Java VM est démarré après."
               + newline
               + newline
               + newline
               + " Propriétés avancées"
               + newline
               + newline
               + newline
               + "Java Run Time Environment"
               + newline
               + newline
               + "      Permet à Java Plug-in de fonctionner avec n'importe quelle version de Java 2 JRE ou SDK, Standard Edition v 1.3 ou 1.4 installée sur votre ordinateur."
               + newline
               + "      Le logiciel Java Plug-in 1.3/1.4 est fourni avec un JRE par défaut."
               + newline
               + "      Vous pouvez, cependant, remplacer le JRE par défaut et utiliser une version plus ancienne ou plus récente. Le Panneau de configuration détecte automatiquement"
               + newline
               + "      toutes les versions de Java 2 SDK ou JRE installées sur l'ordinateur. La zone de liste contient toutes les versions"
               + newline
               + "       que vous pouvez utiliser."
               + newline
               + "      Le premier élément de la liste est toujours le JRE par défaut ; et le dernier élément est toujours Autres. Si vous choisissez l'option Autres, vous devez"
               + newline
               + "      indiquer le chemin d'accès de Java 2 JRE ou SDK, Standard Edition v 1.3/1.4."
               + newline
               + newline
               + "                Remarque"
               + newline
               + newline
               + "                Cette option ne doit être modifiée que par des utilisateurs expérimentés. Il est déconseillé de modifier le JRE par défaut."
               + newline
               + newline
               + newline
               + "Paramètres de Java Run Time"
               + newline
               + newline
               + "      Remplace les paramètres de démarrage par défaut de Java Plug-in par les options personnalisées spécifiées. La syntaxe est identique à celle des "
               + newline
               + "      paramètres d'appel à partir de la ligne de commande Java. Consultez la documentation de Java 2 Standard Edition (J2SE) pour obtenir"
               + newline
               + "      la liste complète des options de ligne de commande."
               + newline
               + "      L'URL ci-dessous est susceptible de modification :"
               + newline
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/tooldocs/<platform>/java.html"
               + newline
               + newline
               + "            où <plate-forme> est l'un des systèmes d'exploitation suivants : solaris, linux, win32."
               + newline
               + newline
               + "      Vous trouverez ci-dessous quelques exemples des paramètres Java Runtime."
               + newline
               + newline
               + "      Activation et désactivation de la prise en charge des assertions"
               + newline
               + newline
               + "            Pour activer la prise en charge des assertions, vous devez spécifier la propriété système suivante dans les paramètres de Java Runtime :"
               + newline
               + newline
               + "                  -D[ enableassertions | ea ][:<package name>\"...\" | : <class name> ]"
               + newline
               + newline
               + "            Pour désactiver les assertions dans le Java Plug-in, spécifiez ce qui suit dans les paramètres de Java Runtime :"
               + newline
               + newline
               + "                  -D[ disableassertions | da ][:<package name>\"...\" | : <class name> ]"
               + newline
               + newline
               + "            Pour plus de détails sur l'activation/la désactivation des assertions, consultez la rubrique concernant la fonctionnalité correspondante à l'adresse suivante"
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/guide/lang/assert.html (URL susceptible de modification)."
               + newline
               + newline
               + "            L'assertion est désactivée dans le code de Java Plug-in par défaut. Dans la mesure où l'effet de l'assertion est déterminé au moment du démarrage de"
               + newline
               + "            Java Plug-in, la modification des paramètres d'assertion dans le Panneau de configuration Java Plug-in exige le redémarrage du navigateur pour que"
               + newline
               + "            les nouveaux paramètres prennent effet."
               + newline
               + newline
               + "            Etant donné que le code Java de Java Plug-in possède également une assertion intégrée, il est possible d'activer l'assertion dans "
               + newline
               + "            le code Java Plug-in via la ligne suivante :"
               + newline
               + newline
               + "                  -D[ enableassertions | ea ]:sun.plugin"
               + newline
               + newline
               + "      Prise en charge du traçage et de la consignation"
               + newline
               + newline
               + "            Le traçage est un mécanisme qui permet de rediriger n'importe quelle sortie sur la console Java vers un fichier de trace (.plugin<version>.trace)."
               + newline
               + newline
               + "                  -Djavaplugin.trace=true"
               + newline
               + "                  -Djavaplugin.trace.option=basic|net|security|ext|liveconnect"
               + newline
               + newline
               + "            Si vous ne souhaitez pas utiliser le nom du fichier de trace par défaut :"
               + newline
               + newline
               + "                  -Djavaplugin.trace.filename=<tracefilename>"
               + newline
               + newline
               + "            Similaire au traçage, la consignation est une fonctionnalité qui permet de rediriger n'importe quelle sortie sur la console Java vers un fichier journal (.plugin<version>.log)"
               + newline
               + "            en utilisant l'API Java Logging."
               + newline
               + "            La consignation peut être mise en service en activant la propriété javaplugin.logging."
               + newline
               + newline
               + "                  -Djavaplugin.logging=true"
               + newline
               + newline
               + "            Si vous ne souhaitez pas utiliser le nom du fichier journal par défaut, entrez :"
               + newline
               + newline
               + "                  -Djavaplugin.log.filename=<logfilename>"
               + newline
               + newline
               + "            Par ailleurs, si vous ne souhaitez pas remplacer les fichiers de trace et journal à chaque session, vous pouvez définir la propriété suivante :"
               + newline
               + newline
               + "                  -Djavaplugin.outputfiles.overwrite=false."
               + newline
               + newline
               + "            Si la propriété a la valeur false, les fichiers de trace et journal seront nommés de façon unique pour chaque session. Si les noms des fichiers de trace"
               + newline
               + "            et journal par défaut sont utilisés, ils sont alors nommés de la façon suivante"
               + newline
               + newline
               + "                  .plugin<username><date hash code>.trace"
               + newline
               + "                  .plugin<username><date hash code>.log"
               + newline
               + newline
               + "            Les fonctionnalités de traçage et de consignation définies via le Panneau de configuration prennent effet au lancement du Plug-in, "
               + newline
               + "            mais les modifications effectuées via le Panneau de configuration pendant qu'un Plug-in est en cours d'exécution restent sans effet tant qu'un redémarrage n'a pas été effectué."
               + newline
               + newline
               + "            Pour plus d'informations sur les fonctions de traçage et de consignation, consultez les chapitres correspondants dans le Guide du développeur de Java Plug-in."
               + newline
               + newline
               + "      Débogage des applets dans Java Plug-in"
               + newline
               + newline
               + "            Les options suivantes sont utilisées lors du débogage des applets dans le Java Plug-in."
               + newline
               + "            Pour plus d'informations sur cette rubrique, consultez la rubrique de prise en charge du débogage dans le Guide du développeur de Java Plug-in."
               + newline
               + newline
               + "                  -Djava.compiler=NONE"
               + newline
               + "                  -Xnoagent"
               + newline
               + "                  -Xdebug"
               + newline
               + "                  -Xrunjdwp:transport=dt_shmem,address=<connect-address>,server=y,suspend=n"
               + newline
               + newline
               + "            La partie <adresse-connexion> peut être n'importe quelle chaîne (par exemple : 2502) utilisée par le débogueur Java (jdb) ultérieurement"
               + newline
               + "            pour se connecter à JVM."
               + newline
               + newline
               + "      Délai de connexion par défaut"
               + newline
               + newline
               + "            Lorsqu'une connexion est établie par un applet sur un serveur et que celui-ci n'y répond pas correctement, l'applet peut"
               + newline
               + "            sembler se bloquer et peut aussi provoquer le blocage du navigateur, car il n'existe pas de délai de connexion au réseau "
               + newline
               + "            (il a la valeur -1 par défaut, ce qui signifie qu'aucun délai n'est défini)."
               + newline
               + newline
               + "            Pour éviter ce problème, Java Plug-in a ajouté une valeur de délai de connexion au réseau par défaut (2 minutes) pour toutes les connexions HTTP :"
               + newline
               + "            Vous pouvez ignorer ce paramètre dans les paramètres de Java Runtime :"
               + newline
               + newline
               + "                  -Dsun.net.client.defaultConnectTimeout=value in milliseconds"
               + newline
               + newline
               + "            L'autre propriété réseau que vous pouvez définir est sun.net.client.defaultReadTimeout."
               + newline
               + newline
               + "                  -Dsun.net.client.defaultReadTimeout=value in milliseconds"
               + newline
               + newline
               + "                  Remarque"
               + newline
               + newline
               + "                  Java Plug-in ne définit pas sun.net.client.defaultReadTimeout par défaut. Si vous voulez la définir, utilisez"
               + newline
               + "                  l'option Paramètres de Java Runtime comme indiqué ci-dessus."
               + newline
               + newline
               + newline
               + "            Description des propriétés de gestion de réseau :"
               + newline
               + newline
               + "            sun.net.client.defaultConnectTimeout"
               + newline
               + "            sun.net.client.defaultReadTimeout"
               + newline
               + newline
               + "                  Ces propriétés spécifient, respectivement, les valeurs par défaut des délais d'attente de lecture et de connexion pour les gestionnaires de protocoles"
               + newline
               + "                  Les valeurs par défaut définies par les gestionnaires de protocoles sont égales à -1, ce qui signifie"
               + newline
               + "                  qu'aucun délai n'est défini."
               + newline
               + newline
               + "                  sun.net.client.defaultConnectTimeout spécifie le délai (en millisecondes) pour établir la connexion avec l'hôte."
               + newline
               + "                  Par exemple, pour les connexions http, il s'agit du délai lors de l'établissement de la connexion au serveur http."
               + newline
               + "                  Pour les connexions ftp, il s'agit du délai lors de l'établissement de la connexion au serveur ftp."
               + newline
               + newline
               + "                  sun.net.client.defaultReadTimeout spécifie le délai (en millisecondes) lors de la lecture d'un flux en entrée"
               + newline
               + "                  lorsqu'une connexion est établie avec une ressource."
               + newline
               + newline
               + "            Pour la description officielle de ces propriétés de gestion de réseau,"
               + newline
               + "            consultez http://java.sun.com/j2se/1.4/docs/guide/net/properties.html."
               + newline
               + newline
               + newline
               + "Navigateur"
               + newline
               + newline
               + newline
               + "Cet onglet se rapporte seulement aux installations sur la plate-forme Microsoft Windows ; il n'apparaît pas dans les autres installations. Sélectionnez le navigateur"
               + newline
               + "pour lequel Java Plug-in doit être le Java Runtime par défaut, à la place de la JVM interne du navigateur en question."
               + newline
               + "Cette opération permet d'activer la prise en charge de la balise APPLET dans Internet Explorer et Netscape 6 via Java Plug-in."
               + newline
               + newline
               + newline
               + " Proxies"
               + newline
               + newline
               + newline
               + "Utilisez l'onglet Proxies pour appliquer les paramètres par défaut du navigateur ou remplacer le port et l'adresse du proxy en fonction des protocoles employés."
               + newline
               + newline
               + "Utiliser les paramètres du navigateur"
               + newline
               + newline
               + "      Sélectionnez cette option pour utiliser les paramètres proxy par défaut du navigateur. C'est le paramètre par défaut (option sélectionnée)."
               + newline
               + newline
               + "Tableau d'informations relatives au proxy"
               + newline
               + newline
               + "      Vous pouvez remplacer les paramètres par défaut en désactivant la case à cocher \"Utiliser les paramètres du navigateur\"puis en complétant le tableau d'informations"
               + newline
               + "      du proxy qui se trouve sous la case à cocher. Vous pouvez indiquer l'adresse et le port du proxy pour chaque protocole"
               + newline
               + "      pris en charge : HTTP, Secure (HTTPS), FTP, Gopher, et Socks."
               + newline
               + newline
               + "Aucun hôte proxy"
               + newline
               + newline
               + "      Il s'agit de l'hôte ou de la liste d'hôtes pour lesquels aucun proxy ne doit être utilisé. L'option Aucun hôte proxy est généralement utilisée pour un "
               + newline
               + "      hôte interne dans un environnement intranet."
               + newline
               + newline
               + "URL de configuration automatique du proxy"
               + newline
               + "      Il s'agit de l'URL du fichier JavaScript (extension .js ou .pac) contenant la fonction FindProxyForURL."
               + newline
               + "      FindProxyForURL dispose de la logique lui permettant de déterminer le serveur proxy à utiliser pour une demande de connexion."
               + newline
               + newline
               + "Pour plus de détails sur la configuration du proxy, consultez le chapitre consacré à la configuration du proxy dans le "
               + newline
               + "Guide du développeur de Java Plug-in."
               + newline
               + newline
               + newline
               + " Cache"
               + newline
               + newline
               + newline
               + "           Remarque"
               + newline
               + newline
               + "           Le cache auquel il est fait référence ici est le cache sticky c'est-à-dire le cache disque créé et contrôlé par le Java Plug-in "
               + newline
               + "           que le navigateur ne peut pas remplacer. Pour plus d'informations, consultez la rubrique sur la mise en cache des applets dans le Guide du développeur de Java Plug-in."
               + newline
               + newline
               + newline
               + "Activer la mise en cache"
               + newline
               + newline
               + "      Pour activer la mise en cache, cochez la case correspondante. C'est le paramètre par défaut (option sélectionnée). Lorsque la fonction de mise en cache des applets est activée, les performances"
               + newline
               + "      s'améliorent car une fois l'applet en cache, il n'est plus nécessaire de la télécharger lorsqu'elle est référencée de nouveau."
               + newline
               + newline
               + "      Java Plug-in met en cache les types de fichiers suivants téléchargés via HTTP/HTTPS:"
               + newline
               + newline
               + "            .jar (fichier jar)"
               + newline
               + "            .zip (fichier zip)"
               + newline
               + "            .class (fichier java class)"
               + newline
               + "            .au (fichier audio)"
               + newline
               + "            .wav (fichier audio)"
               + newline
               + "            .jpg (fichier image)"
               + newline
               + "            .gif (fichier image)"
               + newline
               + newline
               + "Afficher les fichiers du cache"
               + newline
               + newline
               + "      Pour afficher les fichiers du cache, cliquez sur le bouton correspondant. Une autre boîte de dialogue (celle de l'afficheur du cache Java Plug-in) s'ouvre en affichant les fichiers du cache."
               + newline
               + "      L'afficheur du cache affiche les informations suivantes sur les fichiers du cache : Nom, Type, Taille, Date d'expiration,"
               + newline
               + "      Dernière modification, Version et URL. Dans l'afficheur du cache, vous pouvez aussi procéder à une suppression sélective des fichiers du cache."
               + newline
               + "      Cette méthode est identique à l'option Effacer le cache décrite ci-dessous, qui supprime tous les fichiers du cache."
               + newline
               + newline
               + "Effacer le Cache"
               + newline
               + newline
               + "      Pour effacer tous les fichiers qui se trouvent dans le cache, cliquez sur le bouton correspondant. Vous serez invité à confirmer l'opération (Effacer tous les fichiers dans ... _le cache ?) avant la suppression des fichiers."
               + newline
               + newline
               + "Emplacement"
               + newline
               + newline
               + "      Cette option permet de spécifier l'emplacement du cache. L'emplacement par défaut du cache est <accueil utilisateur>/.jpi_cache, où"
               + newline
               + "      <accueil utilisateur> est la valeur de la propriété système user.home. Sa valeur dépend du système d'exploitation."
               + newline
               + newline
               + "Taille"
               + newline
               + newline
               + "      Vous pouvez sélectionner l'option Illimitée afin de donner au cache une taille illimitée ou vous pouvez opter pour la taille Maximum du cache."
               + newline
               + "      Si la taille du cache dépasse la limite spécifiée, les fichiers les plus anciens mis en cache sont supprimés jusqu'à ce que le cache retrouve une taille "
               + newline
               + "      se situant dans la limite permise."
               + newline
               + newline
               + "Compression"
               + newline
               + newline
               + "      Vous pouvez définir la compression des fichiers du cache JAR en utilisant la valeur Aucune ou Elevée. Si vous pouvez économiser de la mémoire en"
               + newline
               + "      spécifiant une compression plus élevée, les performances s'en ressentiront ; les meilleures performances sont obtenues"
               + newline
               + "      sans compression."
               + newline
               + newline
               + newline
               + " Certificats"
               + newline
               + newline
               + newline
               + "Quatre types de certificats peuvent être sélectionnés :"
               + newline
               + newline
               + "      Applet signé"
               + newline
               + "      Site sécurisé"
               + newline
               + "      CA signataire "
               + newline
               + "      CA site sécurisé"
               + newline
               + newline
               + "Applet signé"
               + newline
               + newline
               + "      Il s'agit des certificats des applets signés qui sont approuvés par l'utilisateur. Les certificats qui apparaissent dans la"
               + newline
               + "      liste des applets signés sont lus à partir du fichier de certificat jpicerts<version> qui se trouve dans le répertoire <accueil utilisateur>/.java."
               + newline
               + newline
               + "Site sécurisé"
               + newline
               + newline
               + "      Il s'agit des certificats des sites sécurisés. Les certificats qui apparaissent dans la liste des sites sécurisés sont lus à partir du fichier de certificat"
               + newline
               + "      jpihttpscerts<version> qui se trouve dans le répertoire <accueil utilisateur>/.java."
               + newline
               + newline
               + "CA signataire "
               + newline
               + newline
               + "      Il s'agit de certificats émis par des autorités de certification (Certificate Authorities, CA) pour les applets signés ; ce sont ces autorités qui délivrent les certificats"
               + newline
               + "       aux signataires d'applets signés. Les certificats qui apparaissent dans la liste CA signataire sont lus à partir du fichier"
               + newline
               + "       de certificat cacerts, qui se trouve dans le répertoire <jre>/lib/security."
               + newline
               + newline
               + "CA site sécurisé"
               + newline
               + newline
               + "      Il s'agit de certificats émis par les autorités de certification (Certificate Authorities, CA) pour les sites sécurisés ; ce sont ces autorités qui délivrent les certificats "
               + newline
               + "      pour les sites sécurisés. Les certificats qui apparaissent dans la liste CA signataire sont lus à partir du fichier de certificat jssecacerts, qui se trouve dans le répertoire"
               + newline
               + "      dans le répertoire <jre>/lib/security."
               + newline
               + newline
               + "Pour les certificats de type Applet signé et Site sécurisé, il existe quatre options: Importer, Exporter, Supprimer et Détails."
               + newline
               + "L'utilisateur peut importer, exporter, supprimer et afficher les détails d'un certificat."
               + newline
               + newline
               + "Pour les certificats de type CA Signataire et CA site sécurisé, il n'existe qu'une seule option : Détails. L'utilisateur peut seulement afficher les détails d'un certificat."
               + newline
               + newline
               + newline
               + "Mise à jour"
               + newline
               + newline
               + newline
               + "Sous cet onglet, il existe un bouton \"Mettre à jour maintenant\" qui permet aux utilisateurs d'obtenir la dernière mise à jour disponible pour Java Runtime"
               + newline
               + "Environment à partir du site Web Java Update. Cet onglet se rapporte seulement à la plate-forme Microsoft Windows ; il n'apparaît pas dans"
               + newline
               + "les autres plates-formes (à savoir Solaris/Linux)."
      }
   };

   public Object[][] getContents() {
      return contents;
   }
}
