package sun.plugin.resources;

import java.util.ListResourceBundle;

public class ControlPanelHelp_ja extends ListResourceBundle {
   private static String newline = "\n";
   static final Object[][] contents = new Object[][]{
      {
            "help.file",
            newline
               + "Java Plug-in コントロールパネルのヘルプ"
               + newline
               + newline
               + newline
               + "このヘルプでは、以下の内容について説明します。"
               + newline
               + "      概要"
               + newline
               + "      保存オプション"
               + newline
               + "      コントロールパネルのオプション設定"
               + newline
               + "      [基本] パネル"
               + newline
               + "      [詳細] パネル"
               + newline
               + "      [ブラウザ] パネル"
               + newline
               + "      [プロキシ] パネル"
               + newline
               + "      [キャッシュ] パネル"
               + newline
               + "      [証明書] パネル"
               + newline
               + "      [アップデート] パネル"
               + newline
               + newline
               + "概要"
               + newline
               + newline
               + "Java Plug-in コントロールパネルを使用すると、起動時に Java Plug-in が使用するデフォルト設定を変更できます。"
               + newline
               + "Java Plug-in のアクティブなインスタンスで実行中のアプレットはすべて、これらの設定を使用します。"
               + newline
               + "このヘルプで取り上げる「Java Plug-in 開発者ガイド」は以下で入手できます (URL は変更される可能性があります)。"
               + newline
               + "http://java.sun.com/j2se/1.4/docs/guide/plugin/developer_guide/contents.html"
               + newline
               + newline
               + "保存オプション"
               + newline
               + newline
               + "コントロールパネルのオプションを変更したら、[適用] をクリックして変更を保存します。"
               + newline
               + "[リセット] をクリックすると、変更が取り消され、最後に入力して適用した値がリロードされます。"
               + newline
               + "ただしこの値は、インストール時に Java Plug-in に設定されるデフォルト値のセットと同じではないことに留意してください。"
               + newline
               + newline
               + "コントロールパネルのオプション設定"
               + newline
               + newline
               + "6 つのパネルを使用して、Java Plug-in コントロールパネルのさまざまなオプションを設定できます。"
               + newline
               + "各パネルには、次の名前が付けられています。 "
               + newline
               + "      基本"
               + newline
               + "      詳細"
               + newline
               + "      ブラウザ"
               + newline
               + "      プロキシ"
               + newline
               + "      キャッシュ"
               + newline
               + "      証明書"
               + newline
               + "      アップデート"
               + newline
               + newline
               + "以下に各パネルの説明を行います。"
               + newline
               + newline
               + newline
               + "基本"
               + newline
               + "コンソールを表示"
               + newline
               + newline
               + "      アプレットの実行時に Java コンソールを表示します。コンソールには、System.out および System.err により"
               + newline
               + "      出力されるメッセージが表示されます。これは、問題のデバッグ時に有用なオプションです。"
               + newline
               + newline
               + "コンソールを非表示"
               + newline
               + newline
               + "      Java コンソールは実行中ですが、表示されません。この設定はデフォルトで有効 (選択済み) になっています。"
               + newline
               + newline
               + "コンソールを開始しない"
               + newline
               + newline
               + "      Java コンソールは起動されません。"
               + newline
               + newline
               + "例外ダイアログボックスの表示"
               + newline
               + newline
               + "      例外が発生した場合に例外ダイアログボックスを表示します。デフォルトでは、例外ダイアログボックスは表示されません (オプション未選択)。"
               + newline
               + newline
               + "システムトレイに Java を表示 (Windows 版のみ)"
               + newline
               + newline
               + "      このオプションを有効にすると、Java Plug-in の起動時に Java コーヒーカップアイコンがシステムトレイに表示され、"
               + newline
               + "      Java Plug-in を停止するとシステムトレイから削除されます。"
               + newline
               + "      Java コーヒーカップアイコンは、Java VM が実行中であることを示します。また Java のリリースと "
               + newline
               + "      Java コンソールのコントロールに関する情報を提供します。"
               + newline
               + "      このオプションはデフォルトで有効 (選択済み) になっています。"
               + newline
               + newline
               + "      Java システムトレイの機能"
               + newline
               + newline
               + "      マウスのカーソルで Java コーヒーカップアイコンを指すと、「Java」という文字が表示されます。"
               + newline
               + newline
               + "      Java システムトレイアイコンをマウスの左ボタンでダブルクリックすると、Java コンソールウィンドウが表示されます。"
               + newline
               + newline
               + "      Java システムトレイアイコンを右クリックすると、ポップアップメニューが表示されます。このメニューには以下のメニュー項目があります。"
               + newline
               + newline
               + "            [コンソールを開く/閉じる]"
               + newline
               + "            [Java について]"
               + newline
               + "            [無効]"
               + newline
               + "            [終了]"
               + newline
               + newline
               + "      [コンソールを開く/閉じる] では、Java コンソールウィンドウを開いたり閉じたりします。Java コンソールが非表示の場合は、メニュー項目は [コンソールを開く] となり、"
               + newline
               + "      Java コンソールが表示されている場合は、[コンソールを閉じる] になります。"
               + newline
               + newline
               + "      [Java について] では、[Java 2 Standard Edition について] が表示されます。."
               + newline
               + newline
               + "      [無効] は、現在のセッションおよび以降のセッションにおいて Java アイコンを無効にし、システムトレイから Java アイコンを削除します。 "
               + newline
               + "      Java Plug-in を再起動時すれば、Java アイコンはシステムトレイに再度表示されます。"
               + newline
               + "      無効にした Java アイコンをシステムトレイに表示する方法については、以下の注を参照してください。"
               + newline
               + newline
               + "      [終了] は、現在のセッションでのみシステムトレイから Java アイコンを削除します。Java Plug-in を再起動時すれば、"
               + newline
               + "      Java アイコンはシステムトレイに再度表示されます。"
               + newline
               + newline
               + newline
               + "                注:"
               + newline
               + newline
               + "                1. [システムトレイに Java を表示] を選択すると、[コンソールを開始しない] を選択していても "
               + newline
               + "                Java アイコンがシステムトレイに表示されます。"
               + newline
               + newline
               + "                2. 無効になっている Java アイコンを有効にするには、Java Plug-in コントロールパネルを起動して、"
               + newline
               + "                [システムトレイに Java を表示] を選択して [適用] ボタンを押します。 "
               + newline
               + newline
               + "                3. ほかの Java VM がすでに実行されていて、ほかの Java アイコンがシステムトレイに追加されている場合は、"
               + newline
               + "                Java Plug-in コントロールパネルの設定を変更してもこれらのアイコンには影響はありません。"
               + newline
               + "                この設定は、以後に Java VM を再起動した場合の Java アイコンの動作にだけ影響があります。"
               + newline
               + newline
               + newline
               + " 詳細"
               + newline
               + newline
               + newline
               + "Java Run Time Environment"
               + newline
               + newline
               + "      マシンにインストールされた任意の Java 2 RE または SDK, Standard Edition v 1.3/1.4 で、Java Plug-in を実行可能にします。"
               + newline
               + "      Java Plug-in 1.3/1.4 は、デフォルトの JRE と共に提供されます。"
               + newline
               + "      ただし、デフォルト JRE をオーバーライドして、旧または新バージョンを使用することが可能です。コントロールパネルによって、"
               + newline
               + "      マシンにインストールされている Java 2 SDK や JRE のすべてのバージョンが自動的に検出されます。リストボックスに使用可能な"
               + newline
               + "      すべてのバージョンが表示されます。"
               + newline
               + "      リストの最初には常にデフォルトの JRE が表示され、最後に [その他 ...] という項目が表示されます。"
               + newline
               + "      [その他 ...] を選択する場合、Java 2 RE または SDK, Standard Edition v 1.3/1.4 へのパスを指定する必要があります。"
               + newline
               + newline
               + "                注:"
               + newline
               + newline
               + "                上級ユーザだけが、このオプションを変更するようにしてください。デフォルトの JRE を変更することはお勧めできません。"
               + newline
               + newline
               + newline
               + "Java 実行時のパラメータ"
               + newline
               + newline
               + "      カスタムオプションを指定することにより、Java Plug-in のデフォルトの起動パラメータを無効にします。構文は、"
               + newline
               + "      java コマンド行での呼び出しに使用するパラメータと同じです。コマンド行オプションの完全なリストについては、"
               + newline
               + "      Java 2 Standard Edition (J2SE) のドキュメントを参照してください。"
               + newline
               + "      ただし、次の URL は変更される可能性があります。"
               + newline
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/tooldocs/<platform>/java.html"
               + newline
               + newline
               + "            ここで <platform> には、オペレーティングシステム (solaris、linux、win32) のどれかが入ります。"
               + newline
               + newline
               + "      以下に Java 実行時のパラメータの例をいくつか示します。"
               + newline
               + newline
               + "      アサーションのサポートの有効化と無効化"
               + newline
               + newline
               + "            アサーションのサポートを有効にするには、[Java 実行時のパラメータ] に以下のシステムプロパティを指定する必要があります。"
               + newline
               + newline
               + "                  -D[ enableassertions | ea ][:<package name>\"...\" | : <class name> ]"
               + newline
               + newline
               + "            Java Plug-in でアサーションを無効にするには、[Java 実行時のパラメータ] に以下のシステムプロパティを指定します。"
               + newline
               + newline
               + "                  -D[ disableassertions | da ][:<package name>\"...\" | : <class name> ]"
               + newline
               + newline
               + "            アサーションの有効化/無効化に関する詳細は、"
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/guide/lang/assert.html にある「アサーション機能」を参照してください (URL は変更される可能性があります)。"
               + newline
               + newline
               + "            アサーションは Java Plug-in のデフォルト設定では無効になっています。アサーションの効果は Java Plug-in の起動時に決定されるので、Java Plug-in "
               + newline
               + "            コントロールパネルでアサーション設定を変更した場合は、ブラウザを再起動して"
               + newline
               + "            新しい設定を有効にする必要があります。"
               + newline
               + newline
               + "            Java Plug-in の Java コードにも組み込みアサーションがあるため、次のように記述して "
               + newline
               + "            Java Plug-in コードのアサーションを有効にすることができます。"
               + newline
               + newline
               + "                  -D[ enableassertions | ea ]:sun.plugin"
               + newline
               + newline
               + "      サポートのトレースおよびログ"
               + newline
               + newline
               + "            トレースとは、Java コンソールにおける任意の出力をトレースファイル (.plugin<version>.trace) にリダイレクトする機能です。"
               + newline
               + newline
               + "                  -Djavaplugin.trace=true"
               + newline
               + "                  -Djavaplugin.trace.option=basic|net|security|ext|liveconnect"
               + newline
               + newline
               + "            デフォルトのトレースファイル名を使用したくない場合は、以下を指定します。"
               + newline
               + newline
               + "                  -Djavaplugin.trace.filename=<tracefilename>"
               + newline
               + newline
               + "            トレースと同様に、ログは Java コンソールにおける任意の出力を、Java Logging API を使用してログファイル (.plugin<version>.log)"
               + newline
               + "            にリダイレクトする機能のことです。"
               + newline
               + "            ログは、プロパティ javaplugin.logging を有効にするとオンになります。"
               + newline
               + newline
               + "                  -Djavaplugin.logging=true"
               + newline
               + newline
               + "            デフォルトのログファイル名を使用したくない場合は次のように指定します。"
               + newline
               + newline
               + "                  -Djavaplugin.log.filename=<logfilename>"
               + newline
               + newline
               + "            セッションごとにトレースファイルおよびログファイルを上書きしないようにする場合、プロパティを次のように設定します。"
               + newline
               + newline
               + "                  -Djavaplugin.outputfiles.overwrite=false."
               + newline
               + newline
               + "            このプロパティを false に設定すると、セッションごとのトレースファイルおよびログファイルに一意の名前が付けられます。"
               + newline
               + "            デフォルトのトレースファイル名やログファイル名を使用する場合、ファイル名は以下のようになります。"
               + newline
               + newline
               + "                  .plugin<username><date hash code>.trace"
               + newline
               + "                  .plugin<username><date hash code>.log"
               + newline
               + newline
               + "            コントロールパネルで設定したトレースやログは、Plug-in の起動時に有効になります。"
               + newline
               + "            ただし、Plug-in の実行中にコントロールパネルで設定を変更した場合、再起動するまで設定は有効になりません。"
               + newline
               + newline
               + "            トレースおよびログの詳細は、「Java Plug-in 開発者ガイド」の「トレースおよびログ」を参照してください。"
               + newline
               + newline
               + "      Java Plug-in でのアプレットのデバッグ"
               + newline
               + newline
               + "            以下のオプションは、Java Plug-in でアプレットをデバッグするときに使用されます。"
               + newline
               + "            このトピックの詳細は、「Java Plug-in 開発者ガイド」の「デバッグのサポート」を参照してください。"
               + newline
               + newline
               + "                  -Djava.compiler=NONE"
               + newline
               + "                  -Xnoagent"
               + newline
               + "                  -Xdebug"
               + newline
               + "                  -Xrunjdwp:transport=dt_shmem,address=<connect-address>,server=y,suspend=n"
               + newline
               + newline
               + "            <connect-address> には、後で Java デバッガ (jdb)  によって JVM への接続に使用される任意の文字列"
               + newline
               + "            (例: 2502) を指定します。"
               + newline
               + newline
               + "      デフォルトの接続タイムアウト"
               + newline
               + newline
               + "            アプレットからの接続に対してサーバが適切に応答しない場合、アプレットがハングアップした状態になり、"
               + newline
               + "            それによってブラウザもハングアップしてしまう可能性があります。これは、ネットワーク接続のタイムアウトが設定されていないために起こる現象です "
               + newline
               + "            (デフォルト設定の -1 はタイムアウト設定がないという意味です)。"
               + newline
               + newline
               + "            この問題を回避するために、Java Plug-in ではすべての HTTP 接続に対してデフォルトの接続タイムアウト値 (2 分) を追加しました。"
               + newline
               + "            この設定をオーバーライドするには、[Java 実行時のパラメータ] で次のように指定します。"
               + newline
               + newline
               + "                  -Dsun.net.client.defaultConnectTimeout=value in milliseconds"
               + newline
               + newline
               + "            設定可能な別のネットワークプロパティは、sun.net.client.defaultReadTimeout です。"
               + newline
               + newline
               + "                  -Dsun.net.client.defaultReadTimeout=value in milliseconds"
               + newline
               + newline
               + "                  注:"
               + newline
               + newline
               + "                  Java Plug-in では、sun.net.client.defaultReadTimeout はデフォルトでは設定されません。これを設定する場合は、"
               + newline
               + "                  [Java 実行時のパラメータ] で上記の指定を行う必要があります。"
               + newline
               + newline
               + newline
               + "            ネットワークプロパティについての説明"
               + newline
               + newline
               + "            sun.net.client.defaultConnectTimeout"
               + newline
               + "            sun.net.client.defaultReadTimeout"
               + newline
               + newline
               + "                  これらのプロパティでは、java.net.URLConnection で使用されるプロトコルハンドラに対して、"
               + newline
               + "                  デフォルトの接続および読み取りタイムアウト値を指定します。プロトコルハンドラにより設定されるデフォルト値は <CODE>-1</CODE> で、"
               + newline
               + "                  これはタイムアウトの設定がないという意味です。"
               + newline
               + newline
               + "                  sun.net.client.defaultConnectTimeout では、ホストへの接続を確立する際のタイムアウト (ミリ秒) を指定します。"
               + newline
               + "                  たとえば HTTP 接続の場合、これは HTTP サーバへの接続確立時のタイムアウトを意味します。"
               + newline
               + "                  FTP 接続の場合は、FTP サーバへの接続確立時のタイムアウトを意味します。"
               + newline
               + newline
               + "                  sun.net.client.defaultReadTimeout では、リソースへの接続確立時の、"
               + newline
               + "                  入力ストリームからの読み取りのタイムアウト (ミリ秒) を指定します。"
               + newline
               + newline
               + "            これらのネットワークプロパティに関する公式の説明は、"
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/guide/net/properties.html を参照してください。"
               + newline
               + newline
               + newline
               + " ブラウザ"
               + newline
               + newline
               + newline
               + "このパネルは Microsoft Windows だけに関係するものなので、ほかのシステムをインストールしている場合は表示されません。 "
               + newline
               + "ここでは、ブラウザ内蔵の JVM の代わりに Java Plug-in をデフォルトの Java ランタイムに設定するブラウザを選択します。"
               + newline
               + "Java Plug-in を使用することにより、Internet Explorer および Netscape 6 で APPLET タグがサポートされます。"
               + newline
               + newline
               + newline
               + " プロキシ"
               + newline
               + newline
               + newline
               + "[プロキシ] パネルを使用して、ブラウザのデフォルト設定を使用するか、別のプロトコルのプロキシアドレスおよびポートでオーバーライドするかを設定できます。"
               + newline
               + newline
               + "[ブラウザの設定を使用]"
               + newline
               + newline
               + "      このチェックボックスを選択すると、ブラウザのデフォルトのプロキシ設定を使用します。この設定はデフォルトで有効 (選択済み) になっています。"
               + newline
               + newline
               + "プロキシ情報テーブル"
               + newline
               + newline
               + "      [ブラウザの設定を使用] チェックボックスの選択を解除してデフォルト設定をオーバーライドすると、チェックボックスの下の"
               + newline
               + "      プロキシ情報テーブルに入力できるようになります。 サポートされる HTTP、Secure (HTTPS)、FTP、Gopher、および Socks の"
               + newline
               + "      各プロトコル用のプロキシアドレスおよびポートを入力できます。"
               + newline
               + newline
               + "[プロキシホストなし]"
               + newline
               + newline
               + "      プロキシをまったく使用しない単一のホストまたはホストの一覧です。[プロキシホストなし] は通常、イントラネット環境内部の"
               + newline
               + "      ホストで使用されます。"
               + newline
               + newline
               + "[自動プロキシ構成 URL]"
               + newline
               + "      FindProxyForURL 関数を含む JavaScript ファイル (拡張子  .js または .pac の URL です。"
               + newline
               + "      FindProxyForURL には、接続要求に使用するプロキシサーバを決定するロジックが含まれています。"
               + newline
               + newline
               + "プロキシ構成の詳細については、「Java Plug-in 開発者ガイド」の「プロキシ構成」の章を"
               + newline
               + "参照してください。"
               + newline
               + newline
               + newline
               + " キャッシュ"
               + newline
               + newline
               + newline
               + "           注:"
               + newline
               + newline
               + "           ここで取り上げるキャッシュは「固定的」なキャッシュです。つまり、Java Plug-in によって作成および制御され、ブラウザによって上書きされないディスクキャッシュのことです。"
               + newline
               + "           詳細は、「Java Plug-in 開発者ガイド」の「Java Plug-in でのアプレットのキャッシュおよびインストール」を参照してください。 "
               + newline
               + newline
               + newline
               + "[キャッシュを有効]"
               + newline
               + newline
               + "      このチェックボックスを選択すると、キャッシュが有効になります。この設定はデフォルトで有効 (選択済み) になっています。アプレットキャッシュを有効にすると、 "
               + newline
               + "      パフォーマンスが向上します。これは、アプレットが一度キャッシュされているので、再度参照する際にダウンロードの必要がなくなるためです。"
               + newline
               + newline
               + "      Java Plug-in では、HTTP/HTTPS を経由してダウンロードされた以下のタイプのファイルをキャッシュします。"
               + newline
               + newline
               + "            .jar (jar ファイル)"
               + newline
               + "            .zip (zip ファイル)"
               + newline
               + "            .class (java クラスファイル)"
               + newline
               + "            .au (オーディオファイル)"
               + newline
               + "            .wav (オーディオファイル)"
               + newline
               + "            .jpg (画像ファイル)"
               + newline
               + "            .gif (画像ファイル)"
               + newline
               + newline
               + "[キャッシュを表示]"
               + newline
               + newline
               + "      クリックすると、キャッシュされたファイルが表示されます。別のダイアログ (Java Plug-in キャッシュビューア) がポップアップし、キャッシュされたファイルが表示されます。"
               + newline
               + "      キャッシュビューアでは、キャッシュ内のファイルの名前、種類、サイズ、有効期限、最終更新日、バージョン、URL といった情報が表示されます。"
               + newline
               + "      キャッシュビューアでは、キャッシュ内のファイルを選択して削除することもできます。"
               + newline
               + "      これは、次に説明する [キャッシュをクリア] オプション (キャッシュ内のすべてのファイルを削除する) の補助的な機能です。"
               + newline
               + newline
               + "[キャッシュをクリア]"
               + newline
               + newline
               + "      クリックすると、キャッシュ内のすべてのファイルがクリアされます。ファイルを削除する前に、確認を求めるダイアログ (...内のファイルをすべて消去しますか?) が表示されます。"
               + newline
               + newline
               + "[ディレクトリ]"
               + newline
               + newline
               + "      キャッシュの場所指定に使用します。キャッシュのデフォルトディレクトリは <user home>/.jpi_cache で、 "
               + newline
               + "      <user home> システムプロパティの user.home の値が入ります。この値は OS によって異なります。"
               + newline
               + newline
               + "[サイズ]"
               + newline
               + newline
               + "      [無制限] を選択して無制限のキャッシュを作成したり、[最大値] を選択してキャッシュサイズの上限を設定したりすることができます。"
               + newline
               + "      キャッシュサイズが指定した上限を超えた場合、キャッシュサイズが限度内におさまるまで"
               + newline
               + "      古いファイルから順に削除されます。"
               + newline
               + newline
               + "[JAR 圧縮]"
               + newline
               + newline
               + "      [なし] から [高] の間で、JAR キャッシュファイルの圧縮率を設定できます。"
               + newline
               + "      高い圧縮率を指定すると、メモリを節約できますが、パフォーマンスが低下します。圧縮を [なし] に設定すると"
               + newline
               + "      最高のパフォーマンスを得ることができます。"
               + newline
               + newline
               + newline
               + " 証明書"
               + newline
               + newline
               + newline
               + "以下の 4 つのタイプの証明書が選択できます。"
               + newline
               + newline
               + "      [署名済みアプレット]"
               + newline
               + "      [セキュアサイト]"
               + newline
               + "      [署名者の CA]"
               + newline
               + "      [セキュアサイトの CA]"
               + newline
               + newline
               + "[署名済みアプレット]"
               + newline
               + newline
               + "      ユーザから信頼されている署名済みアプレットの証明書をリストします。このリストには、<user home>/.java ディレクトリ内の"
               + newline
               + "      証明書ファイル jpicerts<version> から読み込まれた証明書が表示されます。"
               + newline
               + newline
               + "[セキュアサイト]"
               + newline
               + newline
               + "      セキュリティによって保護されているサイトに対する証明書をリストします。このリストには、<user home>/.java ディレクトリ内の"
               + newline
               + "      証明書ファイル jpihttpscerts<version> から読み込まれた証明書が表示されます。"
               + newline
               + newline
               + "[署名者の CA]"
               + newline
               + newline
               + "      署名済みアプレットに対する証明書発行局 (CA) の証明書をリストします。"
               + newline
               + "       CA は、署名済みアプレットの署名者に対して証明書を発行します。このリストには、<jre>/lib/security ディレクトリ内の"
               + newline
               + "       証明書ファイル cacerts から読み込まれた証明書が表示されます。"
               + newline
               + newline
               + "[セキュアサイトの CA]"
               + newline
               + newline
               + "      セキュリティによって保護されているサイトに対する証明書発行局 (CA) の証明書をリストします。"
               + newline
               + "      CA は、セキュアサイトに対して証明書を発行します。このリストには、<jre>/lib/security ディレクトリ内の"
               + newline
               + "      証明書ファイル jssecacerts から読み込まれた証明書が表示されます。 "
               + newline
               + newline
               + "[署名済みアプレット] および [セキュアサイト] の証明書には、[インポート]、[エクスポート]、[削除]、および [詳細] という 4 つのオプションが存在します。"
               + newline
               + "つまり、ユーザは証明書のインポート、エクスポート、削除、および詳細の表示を実行できます。"
               + newline
               + newline
               + "[署名者の CA] および [セキュアサイトの CA] では、[詳細] オプションだけを使用できます。つまり、ユーザは証明書の詳細を表示することだけが可能です。"
               + newline
               + newline
               + newline
               + " アップデート"
               + newline
               + newline
               + newline
               + "このパネル上の [今すぐアップデート] ボタンを押すと、ユーザは Java Update Web サイトから Java Runtime Environment の"
               + newline
               + "最新アップデートを取得することができます。このパネルは Microsoft Windows プラットフォームだけに関係するものなので、"
               + newline
               + "ほかのプラットフォーム (Solaris や Linux) では表示されません。"
      }
   };

   public Object[][] getContents() {
      return contents;
   }
}
