package sun.plugin.resources;

import java.util.ListResourceBundle;

public class ControlPanelHelp_zh_CN extends ListResourceBundle {
   private static String newline = "\n";
   static final Object[][] contents = new Object[][]{
      {
            "help.file",
            newline
               + "Java Plug-in 控制面板帮助"
               + newline
               + newline
               + newline
               + "本帮助包括以下主题："
               + newline
               + "      概述"
               + newline
               + "      保存选项"
               + newline
               + "      设置控制面板选项"
               + newline
               + "      “基本”面板"
               + newline
               + "      “高级”面板"
               + newline
               + "      “浏览器”面板"
               + newline
               + "      “代理”面板"
               + newline
               + "      “高速缓存”面板"
               + newline
               + "      “证书”面板"
               + newline
               + "      “更新”面板"
               + newline
               + newline
               + "概述"
               + newline
               + newline
               + "利用 Java Plug-in 控制面板可以更改 Java Plug-in 启动时使用的缺省设置。"
               + newline
               + "所有在 Java Plug-in 的活动实例中运行的小应用程序都将使用这些设置。"
               + newline
               + "可以在以下链接（URL 可能随时更改）处找到本文档中提到的 Java Plug-in Developer Guide："
               + newline
               + "http://java.sun.com/j2se/1.4/docs/guide/plugin/developer_guide/contents.html"
               + newline
               + newline
               + "保存选项"
               + newline
               + newline
               + "完成对控制面板选项的更改后，单击“应用”保存更改。"
               + newline
               + "单击“重置”取消更改并重载上一次输入并应用的值。"
               + newline
               + "请注意，这一组值与安装 Java Plug-in 时最初为其设置的那一组缺省值不同。"
               + newline
               + newline
               + "设置控制面板选项"
               + newline
               + newline
               + "可以通过六个面板设置 Java Plug-in 控制面板中的各个选项。"
               + newline
               + "这些面板被标记为："
               + newline
               + "      基本"
               + newline
               + "      高级"
               + newline
               + "      浏览器"
               + newline
               + "      代理"
               + newline
               + "      高速缓存"
               + newline
               + "      证书"
               + newline
               + "      更新"
               + newline
               + newline
               + "下文中对这些面板进行了分述。"
               + newline
               + newline
               + newline
               + " 基本"
               + newline
               + "显示 Java 控制台"
               + newline
               + newline
               + "      运行小应用程序时显示 Java 控制台。该控制台显示 System.out 和 System.err 打印的消息。"
               + newline
               + "      这对于排除故障很有用处。"
               + newline
               + newline
               + "隐藏控制台"
               + newline
               + newline
               + "      Java 控制台在运行中，但处于隐藏状态。此为缺省设置（选中状态）。"
               + newline
               + newline
               + "不启动控制台"
               + newline
               + newline
               + "      不会启动 Java 控制台。"
               + newline
               + newline
               + "显示“异常”对话框"
               + newline
               + newline
               + "      出现异常时显示“异常”对话框。缺省值为不显示“异常”对话框（未选中状态）。"
               + newline
               + newline
               + "在系统图标栏中显示 Java（仅适用于 Windows）"
               + newline
               + newline
               + "      如果启用此选项，则在启动 Java Plug-in 时，会在系统图标栏中显示 Java 咖啡杯徽标；"
               + newline
               + "      在关闭 Java Plug-in 时，会从系统图标栏中删除该徽标。"
               + newline
               + "      Java 咖啡杯徽标可以告诉用户 Java VM 正在运行，提供有关"
               + newline
               + "      Java 版本的信息，并提供对 Java 控制台的控制。"
               + newline
               + "      此选项缺省被启用（选中状态）。"
               + newline
               + newline
               + "      Java 系统图标栏功能："
               + newline
               + newline
               + "      当鼠标指向 Java 咖啡杯徽标时，会显示文字“Java”。"
               + newline
               + newline
               + "      单击 Java 系统图标栏图标时，将显示“Java 控制台”窗口。"
               + newline
               + newline
               + "      右击 Java 系统图标栏图标时，将显示具有以下菜单项的弹出菜单："
               + newline
               + newline
               + "            打开/关闭控制台"
               + newline
               + "            关于 Java"
               + newline
               + "            禁用"
               + newline
               + "            退出"
               + newline
               + newline
               + "      “打开/关闭控制台”用于打开/关闭“Java 控制台”窗口。如果未显示“Java 控制台”，则此菜单项为"
               + newline
               + "      “打开控制台”；而如果已显示“Java 控制台”，则此菜单项为“关闭控制台”。"
               + newline
               + newline
               + "      “关于 Java”将显示 Java 2 Standard Edition 的“关于”对话框。"
               + newline
               + newline
               + "      “禁用”用于从系统图标栏中删除 Java 图标，并在当前和将来的会话中禁用 Java 图标。当启动 Java Plug-in 时，"
               + newline
               + "      系统图标栏中不会显示 Java 图标。"
               + newline
               + "      要了解在禁用 Java 图标之后如何再在系统图标栏中显示它，请参见下面的“注”。"
               + newline
               + newline
               + "      “退出”用于在当前会话中从系统图标栏中删除 Java 图标。当启动 Java Plug-in 时，"
               + newline
               + "      系统图标栏中会再次显示 Java 图标。"
               + newline
               + newline
               + newline
               + "                注"
               + newline
               + newline
               + "                1. 如果选中了“在系统图标栏中显示 Java”，那么即使选中了“不启动控制台”，也仍然会在系统图标栏中"
               + newline
               + "                显示 Java 图标。"
               + newline
               + newline
               + "                2. 要在禁用 Java 图标后再次启用它，请启动 Java Plug-in 控制面板，选中“在系统图标栏中显示 Java”，"
               + newline
               + "                然后按“应用”。"
               + newline
               + newline
               + "                3. 如果有其它 Java VM 正在运行，并且系统图标栏中已经添加了其它 Java 图标，则在 Java Plug-in 控制面板中"
               + newline
               + "                更改设置不会影响这些图标。"
               + newline
               + "                该设置只会影响以后启动 Java VM 时 Java 图标的表现。"
               + newline
               + newline
               + newline
               + " 高级"
               + newline
               + newline
               + newline
               + "Java Run Time Environment"
               + newline
               + newline
               + "      启用 Java Plug-in，以在安装在机器中的任何 Java 2 JRE 或 SDK（Standard Edition v 1.3 或 1.4）环境中运行。"
               + newline
               + "      Java Plug-in 1.3/1.4 随缺省 JRE 一并提供。"
               + newline
               + "      但可以重写缺省 JRE 并使用较旧或较新的版本。控制面板会自动检测"
               + newline
               + "      安装在机器上的所有版本的 Java 2 SDK 或 JRE。列表框中会显示可以使用的"
               + newline
               + "      所有版本。"
               + newline
               + "      列表中的第一项始终为缺省 JRE，最后一项始终为“其它”。如果选择“其它”，则必须"
               + newline
               + "      指定到 Java 2 JRE 或 SDK（Standard Edition v 1.3/1.4.）的路径。"
               + newline
               + newline
               + "                注"
               + newline
               + newline
               + "                只有高级用户才可更改此选项。建议不要更改缺省 JRE。"
               + newline
               + newline
               + newline
               + "Java 运行时参数"
               + newline
               + newline
               + "      通过指定自定义选项重写 Java Plug-in 缺省启动参数。语法与 java 命令行调用的"
               + newline
               + "      参数所用的语法相同。有关命令行选项的完整列表，请参阅下方链接处的"
               + newline
               + "      Java 2 Standard Edition (J2SE) 文档，"
               + newline
               + "      该 URL 可能随时更改："
               + newline
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/tooldocs/<platform>/java.html"
               + newline
               + newline
               + "            其中 <platform> 是一种操作系统：solaris、linux、win32。"
               + newline
               + newline
               + "      以下是 Java 运行时参数的一些示例。"
               + newline
               + newline
               + "      启用和禁用断言支持"
               + newline
               + newline
               + "            要启用断言支持，必须在“Java 运行时参数”中指定以下系统属性："
               + newline
               + newline
               + "                  -D[ enableassertions | ea ][:<package name>\"...\" | : <class name> ]"
               + newline
               + newline
               + "            要在 Java Plug-in 中禁用断言，请在“Java 运行时参数”中指定以下属性："
               + newline
               + newline
               + "                  -D[ disableassertions | da ][:<package name>\"...\" | : <class name> ]"
               + newline
               + newline
               + "            有关启用/禁用断言的更详细的信息，请参阅“断言功能”："
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/guide/lang/assert.html（URL 可能随时更改）。"
               + newline
               + newline
               + "            缺省情况下，断言在 Java Plug-in 代码中处于禁用状态。因为断言的影响是在 Java Plug-in"
               + newline
               + "            启动过程中确定的，所以更改“Java Plug-in 控制面板”中的断言设置后，系统会要求"
               + newline
               + "            重新启动浏览器，以使新设置生效。"
               + newline
               + newline
               + "            由于 Java Plug-in 中的 Java 代码也有内部断言，可以通过设置以下属性启用 "
               + newline
               + "            Java Plug-in 代码中的断言："
               + newline
               + newline
               + "                  -D[ enableassertions | ea ]:sun.plugin"
               + newline
               + newline
               + "      跟踪和记录支持"
               + newline
               + newline
               + "            跟踪是一种功能，用于将“Java 控制台”中的任何输出重定向到跟踪文件 (.plugin<version>.trace)。"
               + newline
               + newline
               + "                  -Djavaplugin.trace=true"
               + newline
               + "                  -Djavaplugin.trace.option=basic|net|security|ext|liveconnect"
               + newline
               + newline
               + "            如果不想使用缺省的跟踪文件名："
               + newline
               + newline
               + "                  -Djavaplugin.trace.filename=<tracefilename>"
               + newline
               + newline
               + "            与跟踪相似，记录也是一种功能，它利用“Java 记录 API”将“Java 控制台”中的任何输出重定向到日志文件 (.plugin<version>.log)"
               + newline
               + "            。"
               + newline
               + "            通过启用属性 javaplugin.logging 可以开启记录功能。"
               + newline
               + newline
               + "                  -Djavaplugin.logging=true"
               + newline
               + newline
               + "            如果不想使用缺省的日志文件名，请输入："
               + newline
               + newline
               + "                  -Djavaplugin.log.filename=<logfilename>"
               + newline
               + newline
               + "            此外，如果不想重写每个会话的跟踪文件和日志文件，则可设置以下属性："
               + newline
               + newline
               + "                  -Djavaplugin.outputfiles.overwrite=false."
               + newline
               + newline
               + "            如果该属性设置为 false，则每个会话的跟踪文件名和日志文件名都将唯一。如果使用的是"
               + newline
               + "            缺省的跟踪文件名和日志文件名，则这些文件将按如下方式命名"
               + newline
               + newline
               + "                  .plugin<username><date hash code>.trace"
               + newline
               + "                  .plugin<username><date hash code>.log"
               + newline
               + newline
               + "            通过控制面板进行的跟踪和记录设置将在启动 Plug-in 时生效，但在"
               + newline
               + "            Plug-in 运行时通过控制面板所做的更改重新启动后才会生效。"
               + newline
               + newline
               + "            有关跟踪和记录的详细信息，请参阅 Java Plug-in Developer Guide 中的“跟踪和记录”部分。"
               + newline
               + newline
               + "      调试 Java Plug-in 中的小应用程序"
               + newline
               + newline
               + "            调试 Java Plug-in 中的小应用程序时会使用以下选项。"
               + newline
               + "            有关本主题的详细信息，请参阅 Java Plug-in Developer Guide 中的“调试支持”部分。"
               + newline
               + newline
               + "                  -Djava.compiler=NONE"
               + newline
               + "                  -Xnoagent"
               + newline
               + "                  -Xdebug"
               + newline
               + "                  -Xrunjdwp:transport=dt_shmem,address=<connect-address>,server=y,suspend=n"
               + newline
               + newline
               + "            <connect-address> 可以是 Java Debugger (jdb) 后来用于连接到 JVM 的任何字符串"
               + newline
               + "            （例如：2502）。"
               + newline
               + newline
               + "      缺省连接超时"
               + newline
               + newline
               + "            如果小应用程序与服务器进行连接时服务器未能正常响应，该小应用程序可能"
               + newline
               + "            会看似处于挂起状态，还可能会使浏览器处于挂起状态，出现这种情况的原因在于没有设置网络连接超时"
               + newline
               + "            （缺省情况下设置为 -1，意即没有超时设置）。"
               + newline
               + newline
               + "            为避免出现此问题，Java Plug-in 已为所有 HTTP 连接添加了一个缺省网络超时值（2 分钟）。"
               + newline
               + "            可以在“Java 运行时参数”中重写此设置："
               + newline
               + newline
               + "                  -Dsun.net.client.defaultConnectTimeout=value in milliseconds"
               + newline
               + newline
               + "            另一个可以设置的联网属性为 sun.net.client.defaultReadTimeout。"
               + newline
               + newline
               + "                  -Dsun.net.client.defaultReadTimeout=以毫秒为单位的值"
               + newline
               + newline
               + "                  注"
               + newline
               + newline
               + "                  缺省情况下，Java Plug-in 不设置 sun.net.client.defaultReadTimeout。如果要设置该属性，请通过"
               + newline
               + "                  上文所示的“Java 运行时参数”进行设置。"
               + newline
               + newline
               + newline
               + "            联网属性说明："
               + newline
               + newline
               + "            sun.net.client.defaultConnectTimeout"
               + newline
               + "            sun.net.client.defaultReadTimeout"
               + newline
               + newline
               + "                  这些属性分别指定 java.net.URLConnection 使用的协议处理程序的缺省连接和"
               + newline
               + "                  读取超时值。该协议处理程序设置的缺省值为 -1，意即"
               + newline
               + "                  无超时设置。"
               + newline
               + newline
               + "                  sun.net.client.defaultConnectTimeout 指定建立到主机的连接的超时（以毫秒为单位）。"
               + newline
               + "                  例如，对于 http 连接，它是建立到 http 服务器的连接的超时。"
               + newline
               + "                  对于 ftp 连接，它是建立到 ftp 服务器的连接的超时。"
               + newline
               + newline
               + "                  sun.net.client.defaultReadTimeout 指定在已建立了到资源的连接的情况下从输入流中读取数据时的"
               + newline
               + "                  超时（以毫秒为单位）。"
               + newline
               + newline
               + "            有关这些联网属性的正式说明，"
               + newline
               + "            请参阅 http://java.sun.com/j2se/1.4/docs/guide/net/properties.html。"
               + newline
               + newline
               + newline
               + " 浏览器"
               + newline
               + newline
               + newline
               + "此面板只与 Microsoft Windows 安装有关。它不出现在其它安装中。选中想让 "
               + newline
               + "Java Plug-in（而不是浏览器的内部 JVM）作为缺省 Java 运行时的任一浏览器。"
               + newline
               + "这样做的目的是通过 Java Plug-in 在 Internet Explorer 和 Netscape 6 中启用 APPLET 标志支持。"
               + newline
               + newline
               + newline
               + " 代理"
               + newline
               + newline
               + newline
               + "利用“代理”面板可以使用浏览器的缺省设置或重写不同协议的代理地址和端口。"
               + newline
               + newline
               + "使用浏览器设置"
               + newline
               + newline
               + "      选中此选项以使用浏览器的缺省代理设置。此为缺省设置（选中状态）。"
               + newline
               + newline
               + "代理信息表"
               + newline
               + newline
               + "      取消选中“使用浏览器设置”复选框，然后填写该复选框下方的代理信息表，"
               + newline
               + "      就可重写缺省设置。可以输入所支持的每个协议的代理地址和端口："
               + newline
               + "      HTTP、Secure (HTTPS)、FTP、Gopher 和 Socks。"
               + newline
               + newline
               + "无代理主机"
               + newline
               + newline
               + "      它是一个主机或主机列表，在该主机（这些主机）上不使用代理。“无代理主机”通常用于内部网环境中的"
               + newline
               + "      内部主机上。"
               + newline
               + newline
               + "自动代理配置 URL"
               + newline
               + "      它是含有 FindProxyForURL 函数的 JavaScript 文件（.js 或 .pac 扩展名）的 URL。"
               + newline
               + "      FindProxyForURL 具有确定是否使用代理服务器处理连接请求的逻辑。"
               + newline
               + newline
               + "有关代理配置的其它信息，请参阅 Java Plug-in Developer Guide 中的"
               + newline
               + "“代理配置”一章。"
               + newline
               + newline
               + newline
               + " 高速缓存"
               + newline
               + newline
               + newline
               + "           注"
               + newline
               + newline
               + "           此处所指高速缓存是指粘性高速缓存，即浏览器无法重写的、由 Java Plug-in 创建并控制的"
               + newline
               + "           磁盘高速缓存。有关详细信息，请参阅 Java Plug-in Developer Guide 中的“小应用程序高速缓存”部分。"
               + newline
               + newline
               + newline
               + "启用高速缓存"
               + newline
               + newline
               + "      选中此选项以启用高速缓存。此为缺省设置（选中状态）。启用小应用程序高速缓存会改善系统性能，"
               + newline
               + "      因为将小应用程序写入高速缓存后，再次引用时就不必再行下载。"
               + newline
               + newline
               + "      Java Plug-in 可将通过 HTTP/HTTPS 下载的以下类型的文件写入高速缓存："
               + newline
               + newline
               + "            .jar（jar 文件）"
               + newline
               + "            .zip（zip 文件）"
               + newline
               + "            .class（java 类文件）"
               + newline
               + "            .au（声音文件）"
               + newline
               + "            .wav（声音文件）"
               + newline
               + "            .jpg（图像文件）"
               + newline
               + "            .gif（图像文件）"
               + newline
               + newline
               + "在高速缓存中查看文件"
               + newline
               + newline
               + "      按此选项可查看写入高速缓存的文件。会弹出另一个对话框（“Java Plug-in 高速缓存查看器”），其中显示有写入高速缓存的文件。"
               + newline
               + "      “高速缓存查看器”显示高速缓存中的文件的以下信息：“名称”、“类型”、“大小”、“失效日期”、"
               + newline
               + "      “上次修改日期”、“版本”和 URL。在“高速缓存查看器”中，还可以选择性地删除高速缓存中的文件。"
               + newline
               + "      它可实现下文中所述的“清除高速缓存”选项（删除高速缓存中的所有文件）的相同功能。"
               + newline
               + newline
               + "清除高速缓存"
               + newline
               + newline
               + "      按此选项清除高速缓存中的所有文件。删除这些文件前，系统会提示（确定要清除高速缓存中的所有文件吗？）。"
               + newline
               + newline
               + "位置"
               + newline
               + newline
               + "      可以使用此选项指定高速缓存的位置。高速缓存的缺省位置是 <user home>/.jpi_cache，其中"
               + newline
               + "      <user home> 是系统属性 user.home 的值。其值由 OS 确定。"
               + newline
               + newline
               + "Size"
               + newline
               + newline
               + "      可以选中“无限制”使高速缓存的大小不受限制，也可设置高速缓存的“最大”大小。"
               + newline
               + "      如果高速缓存的大小超出指定的限制，则最早写入高速缓存的文件将被删除，直至高速"
               + newline
               + "      缓存大小恢复到该限制内。"
               + newline
               + newline
               + "压缩"
               + newline
               + newline
               + "      可以在“无”和“高”之间设置 JAR 高速缓存文件的压缩率。尽管指定"
               + newline
               + "      较高的压缩率可节约内存，但系统性能仍会下降。不进行压缩时可获得"
               + newline
               + "      最佳系统性能。"
               + newline
               + newline
               + newline
               + " 证书"
               + newline
               + newline
               + newline
               + "可以选择以下四种证书："
               + newline
               + newline
               + "      签署小应用程序"
               + newline
               + "      安全站点"
               + newline
               + "      签署人 CA"
               + newline
               + "      安全站点 CA"
               + newline
               + newline
               + "签署小应用程序"
               + newline
               + newline
               + "      此类证书是用户信任的签署的小应用程序的证书。出现在签署的小应用程序列表中的证书"
               + newline
               + "      是从 <user home>/.java 目录下的证书文件 jpicerts<version> 中读取的。"
               + newline
               + newline
               + "安全站点"
               + newline
               + newline
               + "      此类证书是安全站点的证书。出现在安全站点列表中的证书是从"
               + newline
               + "      <user home>/.java 目录下的证书文件 jpihttpscerts<version> 中读取的。"
               + newline
               + newline
               + "签署人 CA"
               + newline
               + newline
               + "      此类证书是“证书授权”(CA) 为签署小应用程序颁发的证书。它们是向签署"
               + newline
               + "      小应用程序的签署人颁发证书的机构。出现在“签署人 CA”列表中的证书是"
               + newline
               + "      从 <jre>/lib/security 目录下的证书文件 cacerts 中读取的。"
               + newline
               + newline
               + "安全站点 CA"
               + newline
               + newline
               + "      此类证书是“证书授权”(CA) 为安全站点颁发的证书。它们是为安全站点颁发"
               + newline
               + "      证书的机构。出现在“安全站点 CA”列表中的证书是从 <jre>/lib/security "
               + newline
               + "      目录下的证书文件 jssecacerts 中读取的。"
               + newline
               + newline
               + "对于签署小应用程序和安全站点证书，有四个选项：“导入”、“导出”、“删除”和“详细信息”。"
               + newline
               + "用户可以导入、导出、删除和查看证书的详细信息。"
               + newline
               + newline
               + "对于签署人 CA 和安全站点 CA，只有一个选项：“详细信息”。用户只能查看证书的详细信息。"
               + newline
               + newline
               + newline
               + " 更新"
               + newline
               + newline
               + newline
               + "此面板中有一个“立即更新”按钮，用户可以利用它从 Java Update 网站上获得最新的 Java Run Time"
               + newline
               + " Environment 的更新。此面板只与 Microsoft Windows 平台有关，其它平台（即 Solaris/Linux）中"
               + newline
               + "不显示该面板。"
      }
   };

   public Object[][] getContents() {
      return contents;
   }
}
