package sun.plugin.resources;

import java.util.ListResourceBundle;

public class ControlPanel_ja extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"advanced.jre_format", "{1} の JRE {0}"},
      {"advanced.jdk_format", "{1} の SDK {0}"},
      {"panel.about", "Java Plug-in について"},
      {"panel.basic", "基本"},
      {"panel.advanced", "詳細"},
      {"panel.browser", "ブラウザ"},
      {"panel.proxies", "プロキシ"},
      {"panel.cache", "キャッシュ"},
      {"panel.cert", "証明書"},
      {"panel.update", "アップデート"},
      {"panel.apply", "適用(A)"},
      {"panel.apply.acceleratorKey", new Integer(65)},
      {"panel.cancel", "リセット(R)"},
      {"panel.cancel.acceleratorKey", new Integer(82)},
      {"panel.apply_failed", "プロパティファイルへの書き込みに失敗しました"},
      {"panel.apply_failed_title", "適用に失敗"},
      {"panel.help", "ヘルプ(H)"},
      {"panel.help.acceleratorKey", new Integer(72)},
      {"panel.help_title", "ヘルプ - Java Plug-in コントロールパネル"},
      {"panel.help_close", "閉じる(C)"},
      {"panel.help_close.acceleratorKey", new Integer(67)},
      {"panel.help.error.text", "<html><b>ファイルの非存在</b></html>ヘルプファイルをロードできません。\n"},
      {"panel.help.error.caption", "エラー - Java Plug-in コントロールパネル"},
      {"basic.show_exception", "例外ダイアログボックスの表示"},
      {"basic.recycle_classloader", "クラスローダの再利用"},
      {"basic.java_console", "Java コンソール"},
      {"basic.show_console", "コンソールを表示"},
      {"basic.hide_console", "コンソールを非表示"},
      {"basic.no_console", "コンソールを開始しない"},
      {"basic.show_systray", "Java アイコンをシステムトレイに表示"},
      {"advanced.jre_name", "Java Runtime Environment"},
      {"advanced.path", "他の SDK/JRE"},
      {"advanced.other_jdk", "その他 ..."},
      {"advanced.default_jdk", "Java Plug-in のデフォルトを使用"},
      {"advanced.jre_selection_warning.info", "<html><b>未サポートの操作</b></html>\"デフォルト\" 以外の Java Runtime の選択は推奨されていません。\n"},
      {"advanced.jre_selection_warning.caption", "警告 - 詳細"},
      {"advanced.error.caption", "エラー - 詳細"},
      {"advanced.error.text", "<html><b>ディレクトリの非存在</b></html>ファイルまたは存在しないディレクトリを選択していないかどうか確認してください。\n"},
      {"advanced.java_parms", "Java 実行時のパラメータ"},
      {"advanced.warning_popup_ok", "了解"},
      {"advanced.warning_popup_cancel", "取消し"},
      {"browser.settings", "設定"},
      {"browser.desc.text", "Java(TM) Plug-in は、以下のブラウザでデフォルトの Java 実行環境として使用されます:"},
      {"browser.ie.text", "Microsoft Internet Explorer"},
      {"browser.ns6.text", "Netscape 6 以降"},
      {"browser.moz.text", "Mozilla 1.1 以降"},
      {"browser.settings.success.caption", "成功 - ブラウザ"},
      {"browser.settings.fail.caption", "警告 - ブラウザ"},
      {"browser.settings.success.text", "<html><b>ブラウザ設定の変更完了</b></html>変更はブラウザの再起動後に有効になります。\n"},
      {"browser.settings.fail.ie.text", "<html><b>ブラウザ設定の変更不可</b></html>システム設定の変更に必要なアクセス権があるかどうか確認してください。\n"},
      {"browser.settings.fail.ns6.text", "<html><b>ブラウザ設定の変更不可</b></html>Netscape 6 がシステムに適切にインストールされているかどうか、またはシステム設定の変更に必要なアクセス権があるかどうか確認してください。\n"},
      {"browser.settings.fail.moz.text", "<html><b>ブラウザ設定の変更不可</b></html>Mozilla がシステムに適切にインストールされているかどうか、またはシステム設定の変更に必要なアクセス権があるかどうか確認してください。\n"},
      {"browser.settings.alert.text", "<html><b>より新しい JRE の存在</b></html>Internet Explorer はより新しいバージョンの JRE を保持しています。置き換えますか?\n"},
      {"proxy.use_browser", "ブラウザの設定を使用"},
      {"proxy.proxy_settings", "プロキシ設定"},
      {"proxy.protocol_type", "型"},
      {"proxy.proxy_protocol", "プロトコル"},
      {"proxy.proxy_address", "アドレス"},
      {"proxy.proxy_port", "ポート"},
      {"proxy.http", "HTTP"},
      {"proxy.ftp", "FTP"},
      {"proxy.gopher", "Gopher"},
      {"proxy.https", "Secure"},
      {"proxy.socks", "Socks"},
      {"proxy.same_for_all_protocols", "すべてのプロトコルに同じプロキシサーバを使用"},
      {"proxy.bypass", "プロキシホストなし (複数のホスト名を区切る場合はカンマを使用)"},
      {"proxy.autourl", "自動プロキシ構成 URL"},
      {"cert.remove_button", "削除(M)"},
      {"cert.remove_button.acceleratorKey", new Integer(77)},
      {"cert.import_button", "インポート(I)"},
      {"cert.import_button.acceleratorKey", new Integer(73)},
      {"cert.export_button", "エクスポート(E)"},
      {"cert.export_button.acceleratorKey", new Integer(69)},
      {"cert.details_button", "詳細(D)"},
      {"cert.details_button.acceleratorKey", new Integer(68)},
      {"cert.viewcert_button", "証明書を表示(V)"},
      {"cert.viewcert_button.acceleratorKey", new Integer(86)},
      {"cert.rbutton_signed_applet", "署名済みアプレット"},
      {"cert.rbutton_secure_site", "セキュアサイト"},
      {"cert.rbutton_signer_ca", "署名者の CA"},
      {"cert.rbutton_secure_site_ca", "セキュアサイトの CA"},
      {"cert.SignedApplet_value", "SignedApplet"},
      {"cert.SecureSite_value", "SecureSite"},
      {"cert.SignerCA_value", "SignerCA"},
      {"cert.SecureSiteCA_value", "SecureSiteCA"},
      {"cert.settings", "証明書"},
      {"cert.dialog.import.error.caption", "エラー - 証明書のインポート"},
      {"cert.dialog.import.format.text", "<html><b>未認識のファイル形式</b></html>証明書はインポートされません。"},
      {"cert.dialog.import.file.text", "<html><b>ファイルの非存在</b></html>証明書はインポートされません。"},
      {"cert.dialog.import.password.text", "<html><b>無効なパスワード</b></html>入力されたパスワードが不正です。"},
      {"cert.dialog.password.caption", "パスワード - インポート"},
      {"cert.dialog.password.text", "<html><b>このファイルにアクセスするためのパスワードを入力:<b></html>"},
      {"cert.dialog.password.okButton", "了解"},
      {"cert.dialog.password.cancelButton", "取消し"},
      {"cert.dialog.export.error.caption", "エラー - 証明書のエクスポート"},
      {"cert.dialog.export.text", "<html><b>エクスポートの不可</b></html>証明書はエクスポートされません。"},
      {"main.control_panel_caption", "Java(TM) Plug-in コントロールパネル"},
      {
            "config.property_file_header",
            "# Java(TM) Plug-in Properties\n# DO NOT EDIT THIS FILE.  It is machine generated.\n# Use the Activator Control Panel to edit properties."
      },
      {"config.unknownSubject", "Unknown Subject"},
      {"config.unknownIssuer", "Unknown Issuer"},
      {"config.certShowName", "{0} ({1})"},
      {"config.certShowOOU", "{0} {1}"},
      {"config.proxy.autourl.invalid.text", "<html><b>不正な URL</b></html>自動プロキシ構成 URL が無効です。"},
      {"config.proxy.autourl.invalid.caption", "エラー - プロキシ"},
      {"jarcache.location", "ディレクトリ"},
      {"jarcache.select", "選択(S)"},
      {"jarcache.kb", "K バイト"},
      {"jarcache.bytes", "バイト"},
      {"jarcache.clear", "クリア(C)"},
      {"jarcache.clear.acceleratorKey", new Integer(67)},
      {"jarcache.view", "表示(V)"},
      {"jarcache.view.acceleratorKey", new Integer(86)},
      {"jarcache.browseDirectory.acceleratorKey", new Integer(79)},
      {"jarcache.no_compression", "なし"},
      {"jarcache.select_tooltip", "選択した場所を使用(S)"},
      {"jarcache.select_mnemonic", "S"},
      {"jarcache.maximum", "最大値"},
      {"jarcache.unlimited", "無制限"},
      {"jarcache.high_compression", "高"},
      {"jarcache.compression", "JAR 圧縮"},
      {"jarcache.mb", "M バイト"},
      {"jarcache.size", "サイズ"},
      {"jarcache.settings", "キャッシュ設定"},
      {"jarcache.erase.confirm.caption", "確認 - キャッシュ"},
      {"jarcache.erase.confirm.text", "{0} 内のファイルをすべて消去しますか?"},
      {"jarcache.select_title", "キャッシュの場所"},
      {"jarcache.enabled", "キャッシュを有効"},
      {"update.update_button.text", "今すぐアップデート"},
      {"update.advanced_button.text", "詳細設定..."},
      {"update.desc.text", "<html>Java(TM) Update メカニズムを使えば、最新版の Java プラットフォームを確実に入手できます。<br>以下のオプションを選択することで、最新版の取得方法や適用方法に関する処理を制御できます。</html>"},
      {"update.notify.text", "通知:"},
      {"update.notify_install.text", "インストール前"},
      {"update.notify_download.text", "ダウンロード前とインストール前"},
      {"update.autoupdate.text", "自動的にアップデートする"},
      {"update.advanced_title.text", "自動アップデートの詳細設定"},
      {"update.advanced_title1.text", "スキャンを実行する頻度や時刻を選択します。"},
      {"update.advanced_title2.text", "頻度"},
      {"update.advanced_title3.text", "時刻"},
      {"update.advanced_desc1.text", "毎日 {0} にスキャンを実行"},
      {"update.advanced_desc2.text", "毎週{0}の {1} にスキャンを実行"},
      {"update.advanced_desc3.text", "毎月 {0} 日の {1} にスキャンを実行"},
      {"update.check_daily.text", "毎日"},
      {"update.check_weekly.text", "毎週"},
      {"update.check_monthly.text", "毎月"},
      {"update.check_date.text", "日:"},
      {"update.check_day.text", "曜日:"},
      {"update.check_time.text", "時刻:"},
      {"update.lastrun.text", "Java Update が最後に実行されたのは {1} の {0} です。"},
      {"update.desc_autooff.text", "<html>最新版を確認するためには「今すぐアップデート」ボタンをクリックします。利用可能な場合は<br>システムトレイにアイコンが現れますので、カーソルをアイコン上に移動して状況を確認します。<br></html>"},
      {"update.desc_check_daily.text", "<html>毎日 {0} に Java Update は最新版を確認します。"},
      {"update.desc_check_weekly.text", "<html>毎週{0}の {1} に Java Update は最新版を確認します。"},
      {"update.desc_check_monthly.text", "<html>毎月 {0} 日の {1} に Java Update は最新版を確認します。"},
      {"update.desc_systrayicon.text", "利用可能な場合は<br>システムトレイにアイコンが現れますので、カーソルをアイコン上に移動して状況を確認します。<br>"},
      {"update.desc_notify_install.text", "最新版がインストールされる前に通知されます。</html>"},
      {"update.desc_notify_download.text", "最新版がダウンロードおよびインストールされる前に通知されます。</html>"},
      {
            "update.launchbrowser.error.text",
            "<html><b>Java Update Checker を起動できません</b></html>最新の Java(TM) Update を取得するには、http://java.sun.com/getjava/javaupdate にアクセスしてください"
      },
      {"update.launchbrowser.error.caption", "エラー - アップデート"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
