package sun.plugin.resources;

import java.util.ListResourceBundle;

public class ControlPanel_zh_TW extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"advanced.jre_format", "JRE {0} 於 {1}"},
      {"advanced.jdk_format", "SDK {0} 於 {1}"},
      {"panel.about", "關於"},
      {"panel.basic", "基本"},
      {"panel.advanced", "進階"},
      {"panel.browser", "瀏覽器"},
      {"panel.proxies", "代理"},
      {"panel.cache", "快取"},
      {"panel.cert", "證書"},
      {"panel.update", "更新"},
      {"panel.apply", "套用(A)"},
      {"panel.apply.acceleratorKey", new Integer(65)},
      {"panel.cancel", "重設(R)"},
      {"panel.cancel.acceleratorKey", new Integer(82)},
      {"panel.apply_failed", "寫入屬性檔案失敗"},
      {"panel.apply_failed_title", "套用失敗"},
      {"panel.help", "說明(H)"},
      {"panel.help.acceleratorKey", new Integer(72)},
      {"panel.help_title", "說明 - Java Plug-in 控制面板"},
      {"panel.help_close", "關閉(C)"},
      {"panel.help_close.acceleratorKey", new Integer(67)},
      {"panel.help.error.text", "<html><b>檔案不存在</b></html>無法載入說明檔。\n"},
      {"panel.help.error.caption", "錯誤 - Java Plug-in 控制面板"},
      {"basic.show_exception", "顯示異常對話方塊"},
      {"basic.recycle_classloader", "回收類別載入器"},
      {"basic.java_console", "Java 主控台"},
      {"basic.show_console", "顯示主控台"},
      {"basic.hide_console", "隱藏主控台"},
      {"basic.no_console", "不啟動主控台"},
      {"basic.show_systray", "在系統工具列中顯示 Java"},
      {"advanced.jre_name", "Java Runtime Environment"},
      {"advanced.path", "其他的 SDK/JRE "},
      {"advanced.other_jdk", "其他…"},
      {"advanced.default_jdk", "使用 Java Plug-in 預設值"},
      {"advanced.jre_selection_warning.info", "<html><b>不支援的作業</b></html>不建議選取「 預設值」 以外的 Java Runtime。\n"},
      {"advanced.jre_selection_warning.caption", "警告 - 進階"},
      {"advanced.error.caption", "錯誤 - 進階"},
      {"advanced.error.text", "<html><b>目錄不存在</b></html>請確定此選項不是檔案，也不是不存在的目錄。\n"},
      {"advanced.java_parms", "Java Runtime 參數"},
      {"advanced.warning_popup_ok", "確定"},
      {"advanced.warning_popup_cancel", "取消"},
      {"browser.settings", "設定"},
      {"browser.desc.text", "下列瀏覽器會將 Java(TM) Plug-in 當作是預設的 Java Runtime 使用:"},
      {"browser.ie.text", "Microsoft Internet Explorer"},
      {"browser.ns6.text", "Netscape 6 或更高版本"},
      {"browser.moz.text", "Mozilla 1.1 或更高版本"},
      {"browser.settings.success.caption", "順利完成 - 瀏覽器"},
      {"browser.settings.fail.caption", "警告 - 瀏覽器"},
      {"browser.settings.success.text", "<html><b>瀏覽器設定值已變更</b></html>此變更在瀏覽器重新啟動時生效。\n"},
      {"browser.settings.fail.ie.text", "<html><b>無法變更瀏覽器設定值</b></html>請檢查您是否具有足夠許可權\n可以變更系統設定值。\n"},
      {"browser.settings.fail.ns6.text", "<html><b>無法變更瀏覽器設定值</b></html>請檢查 Netscape 6 是否已正確安裝在系統上， 或您是否具有足夠許可權可以變更系統設定值。\n"},
      {"browser.settings.fail.moz.text", "<html><b>無法變更瀏覽器設定值</b></html>請檢查 Mozilla 是否已正確安裝在系統上，和/或您是否具有足夠許可權可以變更系統設定值。\n"},
      {"browser.settings.alert.text", "<html><b>有更新版本的 Java Runtime</b></html>Internet Explorer 已有更新版本的 Java Runtime。您想要取代它嗎？\n"},
      {"proxy.use_browser", "使用瀏覽器預設值"},
      {"proxy.proxy_settings", "代理設定值"},
      {"proxy.protocol_type", "類型"},
      {"proxy.proxy_protocol", "通信協定"},
      {"proxy.proxy_address", "位址"},
      {"proxy.proxy_port", "連接埠"},
      {"proxy.http", "HTTP"},
      {"proxy.ftp", "FTP"},
      {"proxy.gopher", "Gopher"},
      {"proxy.https", "Secure"},
      {"proxy.socks", "Socks"},
      {"proxy.same_for_all_protocols", "所有協定都用同一代理程式伺服器"},
      {"proxy.bypass", "無代理主機（請使用逗點來分開多部主機）"},
      {"proxy.autourl", "自動代理配置 URL"},
      {"cert.remove_button", "移除(M)"},
      {"cert.remove_button.acceleratorKey", new Integer(77)},
      {"cert.import_button", "匯入(I)"},
      {"cert.import_button.acceleratorKey", new Integer(73)},
      {"cert.export_button", "匯出(E)"},
      {"cert.export_button.acceleratorKey", new Integer(69)},
      {"cert.details_button", "明細(D)"},
      {"cert.details_button.acceleratorKey", new Integer(68)},
      {"cert.viewcert_button", "檢視證書(V)"},
      {"cert.viewcert_button.acceleratorKey", new Integer(86)},
      {"cert.rbutton_signed_applet", "帶簽名的 Applet"},
      {"cert.rbutton_secure_site", "安全網站"},
      {"cert.rbutton_signer_ca", "簽署者 CA"},
      {"cert.rbutton_secure_site_ca", "安全網站 CA"},
      {"cert.SignedApplet_value", "SignedApplet"},
      {"cert.SecureSite_value", "SecureSite"},
      {"cert.SignerCA_value", "SignerCA"},
      {"cert.SecureSiteCA_value", "SecureSiteCA"},
      {"cert.settings", "證書"},
      {"cert.dialog.import.error.caption", "錯誤 - 匯入證書"},
      {"cert.dialog.import.format.text", "<html><b>無法辨識的檔案格式</b></html>沒有匯入證書。"},
      {"cert.dialog.import.file.text", "<html><b>檔案不存在</b></html>沒有匯入證書。"},
      {"cert.dialog.import.password.text", "<html><b>無效的密碼</b></html>您輸入的密碼不正確。"},
      {"cert.dialog.password.caption", "密碼 - 匯入"},
      {"cert.dialog.password.text", "<html><b>輸入密碼以存取此檔案：<b></html>"},
      {"cert.dialog.password.okButton", "確認"},
      {"cert.dialog.password.cancelButton", "取消"},
      {"cert.dialog.export.error.caption", "錯誤 - 匯出證書"},
      {"cert.dialog.export.text", "<html><b>無法匯出</b></html>證書沒有匯出。"},
      {"main.control_panel_caption", "Java(TM) Plug-in 控制面板"},
      {"config.property_file_header", "# Java(TM) Plug-in 屬性\n#請勿編輯這個檔案。是由機器生成。\n#使用 Activator 控制面板來編輯屬性。"},
      {"config.unknownSubject", "不明的主題"},
      {"config.unknownIssuer", "不明的簽署者"},
      {"config.certShowName", "{0}({1})"},
      {"config.certShowOOU", "{0} {1}"},
      {"config.proxy.autourl.invalid.text", "<html><b>形態異常的 URL</b></html>自動 Proxy 配置 URL 無效。"},
      {"config.proxy.autourl.invalid.caption", "錯誤 - Proxy"},
      {"jarcache.location", "位置"},
      {"jarcache.select", "選擇"},
      {"jarcache.kb", "KB"},
      {"jarcache.bytes", "位元組"},
      {"jarcache.clear", "清除(C)"},
      {"jarcache.clear.acceleratorKey", new Integer(67)},
      {"jarcache.view", "檢視(V)"},
      {"jarcache.view.acceleratorKey", new Integer(86)},
      {"jarcache.browseDirectory.acceleratorKey", new Integer(79)},
      {"jarcache.no_compression", "無"},
      {"jarcache.select_tooltip", "使用所選的位置"},
      {"jarcache.select_mnemonic", "S"},
      {"jarcache.maximum", "最大值"},
      {"jarcache.unlimited", "無限制"},
      {"jarcache.high_compression", "高"},
      {"jarcache.compression", "JAR 壓縮"},
      {"jarcache.mb", "MB"},
      {"jarcache.size", "大小"},
      {"jarcache.settings", "快取設定"},
      {"jarcache.erase.confirm.caption", "需要確認 - 快取"},
      {"jarcache.erase.confirm.text", "清除 {0} 中全部的檔案？"},
      {"jarcache.select_title", "快取位置"},
      {"jarcache.enabled", "啟用快取"},
      {"update.update_button.text", "立即更新"},
      {"update.advanced_button.text", "進階..."},
      {"update.desc.text", "<html>Java(TM) Update 機制確保您擁有最新版本的 Java 平台。<br>下列選項允許您控制如何取得與套用更新的程序。</html>"},
      {"update.notify.text", "通知我："},
      {"update.notify_install.text", "安裝之前"},
      {"update.notify_download.text", "下載之前和安裝之前"},
      {"update.autoupdate.text", "自動檢查更新"},
      {"update.advanced_title.text", "自動更新進階設定"},
      {"update.advanced_title1.text", "選取您要執行掃描的頻率和時間。"},
      {"update.advanced_title2.text", "頻率"},
      {"update.advanced_title3.text", "時間"},
      {"update.advanced_desc1.text", "每天於 {0} 執行掃描"},
      {"update.advanced_desc2.text", "每週 {0} 於 {1} 執行掃描"},
      {"update.advanced_desc3.text", "在每月的 {0} 日於 {1} 執行掃描"},
      {"update.check_daily.text", "每天"},
      {"update.check_weekly.text", "每週"},
      {"update.check_monthly.text", "每月"},
      {"update.check_date.text", "日期："},
      {"update.check_day.text", "每："},
      {"update.check_time.text", "於："},
      {"update.lastrun.text", "上次執行 Java Update 的時間是 {1} 的 {0}。"},
      {"update.desc_autooff.text", "<html>按一下「立即更新」按鈕以檢查是否有較新的版本可供更新。<br>如果有較新的版本可供更新，將有一個圖示顯示於系統工作列中。<br>將滑鼠移至此圖示之上，即可檢視其更新狀態。<br></html>"},
      {"update.desc_check_daily.text", "<html>每天於 {0} Java Update 將檢查更新。"},
      {"update.desc_check_weekly.text", "<html>每週 {0} 於 {1} Java Update 將檢查更新。"},
      {"update.desc_check_monthly.text", "<html>在每月的 {0} 日於 {1} Java Update 將檢查更新。"},
      {"update.desc_systrayicon.text", "如果有較新的版本可供更新，<br>將有一個圖示顯示於系統工作列中。將滑鼠移至此圖示之上，即可檢視其更新狀態。<br> "},
      {"update.desc_notify_install.text", "在安裝最新版本之前，您會先被告知。</html>"},
      {"update.desc_notify_download.text", "在下載和安裝最新版本之前，您會先被告知。</html>"},
      {"update.launchbrowser.error.text", "<html><b>無法啟動 Java Update 檢查程式</b></html>若要取得最新的 Java(TM) Update，請移至 http://java.sun.com/getjava/javaupdate"},
      {"update.launchbrowser.error.caption", "錯誤 - 更新"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
