package sun.plugin.security;

import java.security.AccessController;
import java.security.PrivilegedAction;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import sun.applet.AppletSecurity;
import sun.awt.AppContext;
import sun.plugin.resources.ResourceHandler;
import sun.plugin.util.DialogFactory;
import sun.plugin.util.PluginSysUtil;
import sun.plugin.util.Trace;

public class ActivatorSecurityManager extends AppletSecurity {
   static final boolean $assertionsDisabled = !(ActivatorSecurityManager.class$sun$plugin$security$ActivatorSecurityManager == null
         ? (ActivatorSecurityManager.class$sun$plugin$security$ActivatorSecurityManager = class$("sun.plugin.security.ActivatorSecurityManager"))
         : ActivatorSecurityManager.class$sun$plugin$security$ActivatorSecurityManager)
      .desiredAssertionStatus();
   static Class class$sun$plugin$security$ActivatorSecurityManager;

   public void checkAwtEventQueueAccess() {
      try {
         super.checkAwtEventQueueAccess();
      } catch (SecurityException var2) {
         this.checkSecurityAccess("accessEventQueue");
      }
   }

   public void checkPrintJobAccess() {
      try {
         super.checkPrintJobAccess();
      } catch (SecurityException var2) {
         new ActivatorSecurityManager.CheckPrint_1_2(this);
      }
   }

   void showPrintDialog() {
      AppContext var1 = AppContext.getAppContext();

      try {
         PluginSysUtil.execute(new ActivatorSecurityManager$1(this, var1));
      } catch (SecurityException var3) {
         throw var3;
      } catch (Exception var4) {
         if (!$assertionsDisabled) {
            throw new AssertionError();
         }
      }
   }

   public Class[] getExecutionStackContext() {
      return super.getClassContext();
   }

   public void checkDelete(String var1) {
      this.checkWrite(var1);
   }

   public void checkSecurityAccess(String var1) {
      if (var1 == null || !var1.equals("java")) {
         super.checkSecurityAccess(var1);
      }
   }

   private void showPrintDialogImpl(AppContext var1) {
      String var2 = ResourceHandler.getMessage("print.caption");
      String[] var3 = ResourceHandler.getMessageArray("print.message");
      String var4 = ResourceHandler.getMessage("print.checkBox");
      String var5 = ResourceHandler.getMessage("print.buttonYes");
      String var6 = ResourceHandler.getMessage("print.buttonNo");
      JCheckBox var7 = new JCheckBox(var4, true);
      JButton var8 = new JButton(var5);
      JButton var9 = new JButton(var6);
      var8.setMnemonic(ResourceHandler.getAcceleratorKey("print.buttonYes"));
      var9.setMnemonic(ResourceHandler.getAcceleratorKey("print.buttonNo"));
      int var10 = 0;
      String var11 = (String)var1.get("sun.plugin.security.printDialog");
      if (!Trace.isAutomationEnabled() && var11 == null) {
         Object[] var12 = new Object[]{var3, var7};
         Object[] var13 = new Object[]{var8, var9};
         var10 = DialogFactory.showOptionDialog(4, var12, var2, var13, var13[0]);
      } else {
         Trace.msgSecurityPrintln("securitymgr.automation.printing");
         var10 = 0;
      }

      if (var10 != 0) {
         throw new SecurityException("checkPrintJobAccess");
      } else {
         if (var7.isSelected()) {
            var1.put("sun.plugin.security.printDialog", "skip");
         }
      }
   }

   static Class class$(String var0) {
      try {
         return Class.forName(var0);
      } catch (ClassNotFoundException var2) {
         throw new NoClassDefFoundError().initCause(var2);
      }
   }

   static void access$000(ActivatorSecurityManager var0, AppContext var1) {
      var0.showPrintDialogImpl(var1);
   }

   private class CheckPrint_1_2 implements PrivilegedAction {
      private final ActivatorSecurityManager this$0;

      public Object run() {
         this.this$0.showPrintDialog();
         return null;
      }

      CheckPrint_1_2(ActivatorSecurityManager var1) {
         this.this$0 = var1;
         AccessController.doPrivileged(this);
      }
   }
}
