package sun.plugin.security;

import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.security.KeyStore;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.PrivilegedExceptionAction;
import java.security.cert.CertificateException;
import sun.plugin.util.Trace;

class HttpsRootCACertStore$1 implements PrivilegedExceptionAction {
   private final HttpsRootCACertStore this$0;

   public Object run() throws IOException, CertificateException, KeyStoreException, NoSuchAlgorithmException {
      if (HttpsRootCACertStore.access$000(this.this$0) == null) {
         HttpsRootCACertStore.access$002(this.this$0, KeyStore.getInstance("JKS"));
         HttpsRootCACertStore.access$000(this.this$0).load(null, null);
      }

      File var1 = new File(HttpsRootCACertStore.access$100());
      if (var1.exists()) {
         FileInputStream var2 = new FileInputStream(var1);
         BufferedInputStream var3 = new BufferedInputStream(var2);
         HttpsRootCACertStore.access$000(this.this$0).load(var3, null);
         var3.close();
         var2.close();
      } else {
         Trace.msgSecurityPrintln("roothttpscertstore.cert.noload", new Object[]{HttpsRootCACertStore.access$100()});
      }

      return null;
   }

   HttpsRootCACertStore$1(HttpsRootCACertStore var1) throws CertificateException, NoSuchAlgorithmException, IOException, KeyStoreException {
      this.this$0 = var1;
   }
}
