package sun.plugin.services;

import sun.plugin.net.cookie.CookieHandler;
import sun.plugin.net.cookie.Netscape4CookieHandler;
import sun.plugin.net.proxy.BrowserProxyConfig;
import sun.plugin.viewer.context.PluginAppletContext;
import sun.plugin.viewer.context.PluginBeansContext;

public final class DefaultBrowserService implements BrowserService {
   public float getBrowserVersion() {
      return 4.0F;
   }

   public boolean installBrowserEventListener() {
      return false;
   }

   public boolean isConsoleIconifiedOnClose() {
      return true;
   }

   public boolean isIExplorer() {
      return false;
   }

   public boolean isNetscape() {
      return true;
   }

   public CookieHandler getCookieHandler() {
      return new Netscape4CookieHandler();
   }

   public BrowserProxyConfig getProxyConfig() {
      return null;
   }

   public BrowserAuthenticator getBrowserAuthenticator() {
      return null;
   }

   public PluginAppletContext getAppletContext() {
      return null;
   }

   public PluginBeansContext getBeansContext() {
      return null;
   }
}
