package sun.plugin.util;

import java.util.HashMap;

public class ThreadGroupLocal {
   public static final String PROGRESS_TRACKING = "javaplugin.progressTracking";
   private static HashMap threadGroup2Data = new HashMap();

   public static void destroy(ThreadGroup var0) {
      synchronized (threadGroup2Data) {
         threadGroup2Data.remove(new Integer(var0.hashCode()));
      }
   }

   public static Object get(String var0) {
      Thread var1 = Thread.currentThread();
      return get(var1.getThreadGroup(), var0);
   }

   public static void put(String var0, Object var1) {
      Thread var2 = Thread.currentThread();
      put(var2.getThreadGroup(), var0, var1);
   }

   public static Object get(ThreadGroup var0, String var1) {
      synchronized (threadGroup2Data) {
         HashMap var3 = (HashMap)threadGroup2Data.get(new Integer(var0.hashCode()));
         return var3 == null ? null : var3.get(var1);
      }
   }

   public static void put(ThreadGroup var0, String var1, Object var2) {
      synchronized (threadGroup2Data) {
         HashMap var4 = (HashMap)threadGroup2Data.get(new Integer(var0.hashCode()));
         if (var4 == null) {
            var4 = new HashMap();
         }

         var4.put(var1, var2);
         threadGroup2Data.put(new Integer(var0.hashCode()), var4);
      }
   }
}
