package sun.plugin.util;

import java.util.WeakHashMap;

public class URLUtil {
   private static WeakHashMap canonicalizedURLMap = new WeakHashMap();

   public static synchronized String canonicalize(String var0) {
      if (var0.indexOf("file:") == -1) {
         return var0;
      } else {
         String var1 = (String)canonicalizedURLMap.get(var0);
         if (var1 != null) {
            return var1;
         } else {
            StringBuffer var2 = new StringBuffer();
            if (var0.indexOf("file://///") == 0) {
               var2.append("file:////");
               var2.append(var0.substring(10));
            } else if (var0.indexOf("file:///\\") == 0) {
               var2.append("file:////");
               var2.append(var0.substring(9));
            } else if (var0.indexOf("file://\\") == 0) {
               var2.append("file:////");
               var2.append(var0.substring(9));
            } else if (var0.indexOf("file:\\") == 0) {
               if (var0.indexOf(58, 6) == -1 && var0.indexOf(124, 6) == -1) {
                  var2.append("file:////");
               } else {
                  var2.append("file:///");
               }

               var2.append(var0.substring(6));
            } else if (var0.indexOf("file://") == 0 && var0.charAt(7) != '/') {
               if (var0.indexOf(58, 7) == -1 && var0.indexOf(124, 7) == -1) {
                  var2.append("file:////");
               } else {
                  var2.append("file:///");
               }

               var2.append(var0.substring(7));
            } else {
               var2.append(var0);
            }

            boolean var3 = false;

            for (int var4 = 0; var4 < var2.length(); var4++) {
               char var5 = var2.charAt(var4);
               if (var5 == '\\') {
                  var2.setCharAt(var4, '/');
               } else if (!var3 && var5 == '|') {
                  var2.setCharAt(var4, ':');
                  var3 = true;
               }
            }

            String var6 = var2.toString();
            canonicalizedURLMap.put(var0, var6);
            return var6;
         }
      }
   }
}
