package sun.plugin.viewer;

import java.lang.ref.SoftReference;
import java.util.ArrayList;
import java.util.HashMap;
import sun.applet.AppletPanel;

public class AppletPanelCache {
   private static HashMap appletPanels = new HashMap();

   public static boolean hasValidInstance() {
      synchronized (appletPanels) {
         for (SoftReference var3 : appletPanels.values()) {
            if (var3 != null && var3.get() != null) {
               return true;
            }
         }

         return false;
      }
   }

   public static Object[] getAppletPanels() {
      synchronized (appletPanels) {
         ArrayList var1 = new ArrayList();

         for (SoftReference var4 : appletPanels.values()) {
            if (var4 != null) {
               AppletPanel var5 = (AppletPanel)var4.get();
               if (var5 != null) {
                  var1.add(var5);
               }
            }
         }

         return var1.toArray();
      }
   }

   public static void add(AppletPanel var0) {
      synchronized (appletPanels) {
         appletPanels.put(new Integer(var0.hashCode()), new SoftReference<>(var0));
      }
   }

   public static void remove(AppletPanel var0) {
      synchronized (appletPanels) {
         appletPanels.remove(new Integer(var0.hashCode()));
      }
   }
}
