package sun.beans.ole;

import java.lang.reflect.Method;

class DispatchImpl extends OleDispatchInterface implements ObjectProxy {
   private Object interfacedObject;
   private Class[] storeParms = new Class[]{int.class, int.class, null, int.class};
   private Class[] extractTypes = new Class[]{int.class, int.class};

   public DispatchImpl(Object var1) {
      this.interfacedObject = var1;
   }

   public Object getInterfacedObject() {
      return this.interfacedObject;
   }

   public Object extractObjectParameter(String var1, boolean var2, int var3, int var4) {
      try {
         String var5;
         if (var1.charAt(0) == 'L') {
            String var7 = var1.substring(1);
            String var6 = var2 ? "ObjectArrayParm" : "ObjectParm";
            var5 = "get" + var7.substring(var7.lastIndexOf(47) + 1) + var6;
         } else {
            String var14 = var2 ? "ArrayParm" : "Parm";
            String var15 = "int";
            switch (var1.charAt(0)) {
               case 'B':
                  var15 = "byte";
                  break;
               case 'C':
                  var15 = "char";
                  break;
               case 'D':
                  var15 = "double";
               case 'E':
               case 'G':
               case 'H':
               case 'K':
               case 'L':
               case 'M':
               case 'N':
               case 'O':
               case 'P':
               case 'Q':
               case 'R':
               case 'T':
               case 'U':
               case 'V':
               case 'W':
               case 'X':
               case 'Y':
               default:
                  break;
               case 'F':
                  var15 = "float";
                  break;
               case 'I':
                  var15 = "int";
                  break;
               case 'J':
                  var15 = "long";
                  break;
               case 'S':
                  var15 = "short";
                  break;
               case 'Z':
                  var15 = "boolean";
            }

            var5 = var15 + var14;
         }

         Method var16;
         try {
            var16 = this.getClass().getMethod(var5, this.extractTypes);
         } catch (NoSuchMethodException var12) {
            try {
               if (var2) {
                  var16 = this.getClass().getMethod("getObjectArrayParm", this.extractTypes);
               } else {
                  var16 = this.getClass().getMethod("getObjectParm", this.extractTypes);
               }
            } catch (NoSuchMethodException var11) {
               var11.printStackTrace();
               return null;
            }
         }

         if (var16 != null) {
            Object[] var8 = new Object[]{new Integer(var3), new Integer(var4)};

            try {
               return var16.invoke(this, var8);
            } catch (Throwable var10) {
               var10.printStackTrace();
               return null;
            }
         } else {
            return null;
         }
      } catch (Throwable var13) {
         var13.printStackTrace();
         return null;
      }
   }

   public void storeObjectParameter(Object var1, int var2) {
      if (var1 != null) {
         this.storeParms[2] = var1.getClass();
      } else {
         this.storeParms[2] = class$java$lang$Object == null ? (class$java$lang$Object = class$("java.lang.Object")) : class$java$lang$Object;
      }

      Method var3;
      try {
         var3 = this.getClass().getMethod("storeParm", this.storeParms);
      } catch (NoSuchMethodException var8) {
         this.storeParms[2] = class$java$lang$Object == null ? (class$java$lang$Object = class$("java.lang.Object")) : class$java$lang$Object;

         try {
            var3 = this.getClass().getMethod("storeParm", this.storeParms);
         } catch (NoSuchMethodException var7) {
            System.out.println("Cannot find store method for " + var1.getClass());
            return;
         }
      }

      if (var3 != null) {
         Object[] var4 = new Object[]{new Integer(var2), new Integer(0), var1, new Integer(1)};

         try {
            var3.invoke(this, var4);
         } catch (Throwable var6) {
            System.out.println("Error while packaging " + var1);
            return;
         }
      }
   }
}
