package sun.beans.ole;

import sun.beans.ole.event.EncapsulatedEvent;
import sun.beans.ole.event.EncapsulatedEventException;
import sun.beans.ole.event.EncapsulatedEventListener;

public class OleEncapsulatedEventListener extends OleEventListener implements EncapsulatedEventListener {
   public OleEncapsulatedEventListener(int var1) {
      super(var1);
   }

   public void encapsulatedEvent(EncapsulatedEvent var1) throws EncapsulatedEventException {
      Object[] var2 = var1.getEventArguments();
      int var3 = this.allocateParmsFor(var2.length);

      for (int var4 = 0; var4 < var2.length; var4++) {
         this.storeParm(var3, var4, var2[var4], 1);
      }

      this.fireEncapsulatedEvent(this.m_connectionPoint, var1.getListenerMethodName(), var3);
   }

   protected native void fireEncapsulatedEvent(int var1, String var2, int var3);
}
