package sun.plugin;

import java.applet.Applet;
import java.awt.Component;
import java.beans.Beans;
import java.io.IOException;
import sun.applet.AppletClassLoader;

public class BeansViewer extends AppletViewer {
   public static final int APPLET_DISPOSE = 0;
   public static final int APPLET_ERROR = 7;

   public static Applet createJavaBeanComponent(AppletViewer var0, AppletClassLoader var1) throws ClassNotFoundException, IllegalAccessException, IOException, InstantiationException, InterruptedException {
      String var3 = var0.getSerializedObject();
      String var4 = var0.getCode();
      if (var4 != null && var3 != null) {
         System.err.println(AppletViewer.getMessage("bean_code_and_ser"));
         return null;
      } else {
         if (var4 == null && var3 == null) {
            String var5 = "nocode";
            var0.setStatus(7);
            var0.showAppletStatus(var5);
            var0.showAppletLog(var5);
            var0.repaint();
         }

         BeansApplet var2;
         if (var4 != null) {
            Component var11 = (Component)Beans.instantiate(var1, var4);
            var2 = new BeansApplet(var11);
            var0.setDoInit(true);
         } else {
            Component var12 = (Component)Beans.instantiate(var1, var3);
            var2 = new BeansApplet(var12);
            var0.setDoInit(false);
         }

         if (Thread.interrupted()) {
            label44:
            try {
               var0.setStatus(0);
               Object var10 = null;
               var0.showAppletStatus("death");
            } finally {
               break label44;
            }

            Thread.currentThread().interrupt();
            return null;
         } else {
            return var2;
         }
      }
   }

   protected Applet createApplet(AppletClassLoader var1) throws ClassNotFoundException, IllegalAccessException, IOException, InstantiationException, InterruptedException {
      return createJavaBeanComponent(this, var1);
   }

   protected String getHandledType() {
      return "JavaBeans";
   }
}
