package sun.plugin;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;
import java.security.PrivilegedExceptionAction;
import java.util.Enumeration;
import java.util.zip.ZipEntry;
import sun.net.www.protocol.jar.URLJarFile;

class PluginURLJarFileCallBack$1 implements PrivilegedExceptionAction {
   PluginURLJarFileCallBack$1(PluginURLJarFileCallBack var1, InputStream var2, URL var3) throws IOException {
      this.this$0 = var1;
      this.val$in = var2;
      this.val$url = var3;
   }

   public Object run() throws IOException {
      FileOutputStream var1 = null;

      URLJarFile var27;
      try {
         File var2 = File.createTempFile("jar_cache", null);
         var1 = new FileOutputStream(var2);
         int var3 = 0;
         byte[] var4 = new byte[PluginURLJarFileCallBack.access$000()];

         while ((var3 = this.val$in.read(var4)) != -1) {
            var1.write(var4, 0, var3);
         }

         var1.close();
         var1 = null;
         if (!this.val$url.toString().toUpperCase().endsWith(".JARJAR")) {
            return new URLJarFile(var2);
         }

         URLJarFile var5 = new URLJarFile(var2);
         Enumeration var6 = var5.entries();
         ZipEntry var7 = null;
         int var8 = 0;

         while (var6.hasMoreElements()) {
            var7 = (ZipEntry)var6.nextElement();
            if (!var7.getName().toUpperCase().startsWith("META-INF")) {
               if (!var7.toString().toUpperCase().endsWith(".JAR")) {
                  throw new IOException("Invalid entry in jarjar file");
               }

               if (++var8 > 1) {
                  break;
               }
            }
         }

         if (var8 > 1) {
            throw new IOException("Multiple JAR files inside JARJAR file");
         }

         InputStream var9 = null;
         FileOutputStream var10 = null;

         try {
            File var11 = File.createTempFile("jar_cache", null);
            var9 = var5.getInputStream(var7);
            var10 = new FileOutputStream(var11);
            int var23 = 0;

            while ((var23 = var9.read(var4)) != -1) {
               var10.write(var4, 0, var23);
            }

            var10.close();
            var10 = null;
            var5 = new URLJarFile(var11);
         } finally {
            if (var9 != null) {
               var9.close();
            }

            if (var10 != null) {
               var10.close();
            }
         }

         var27 = var5;
      } finally {
         if (this.val$in != null) {
            this.val$in.close();
         }

         if (var1 != null) {
            var1.close();
         }
      }

      return var27;
   }
}
