package sun.plugin.cachescheme;

import java.io.File;
import java.io.IOException;
import java.security.AccessController;
import java.security.PrivilegedActionException;
import java.util.Enumeration;
import java.util.Hashtable;

public class HTMLGenerator {
   public void generate(Hashtable var1, File var2) throws IOException {
      String var3 = this.generateHTML(var1);
      File var4 = var2;

      try {
         AccessController.doPrivileged(new HTMLGenerator$1(this, var4, var3));
      } catch (PrivilegedActionException var7) {
         IOException var6 = (IOException)var7.getException();
         throw var6;
      }
   }

   private String generateHTML(Hashtable var1) {
      Hashtable var2 = (Hashtable)var1.clone();
      String var3 = (String)var2.get("applet_html_title");
      String var4 = (String)var2.get("applet_object_clsid");
      String var5 = (String)var2.get("applet_object_codebase");
      String var6 = (String)var2.get("applet_embed_pluginpage");
      String var7 = (String)var2.get("applet_embed_pluginsurl");
      StringBuffer var8 = new StringBuffer();
      var8.append("<HTML>");
      var8.append('\n');
      var8.append("<TITLE>");
      var8.append(var3);
      var8.append("</TITLE>");
      var8.append('\n');
      var8.append("<BODY>");
      var8.append('\n');
      var8.append("<OBJECT classid=\"clsid:");
      var8.append(var4);
      var8.append("\" width=");
      var8.append(var2.get("width"));
      var8.append(" height=");
      var8.append(var2.get("height"));
      if (var5 != null) {
         var8.append(" codebase=");
         this.appendWithQuote(var8, var5);
      }

      var8.append(">");
      var8.append('\n');
      Enumeration var9 = var2.keys();

      while (var9.hasMoreElements()) {
         String var10 = (String)var9.nextElement();
         String var11 = (String)var2.get(var10);
         if (var10 != null && var11 != null && !var10.equalsIgnoreCase("width") && !var10.equalsIgnoreCase("height")) {
            var8.append("<PARAM NAME=");
            var8.append(var10);
            var8.append(" VALUE=");
            this.appendWithQuote(var8, var11);
            var8.append(">");
            var8.append('\n');
         }
      }

      var8.append("<COMMENT>");
      var8.append('\n');
      var8.append("<EMBED type=");
      this.appendWithQuote(var8, (String)var2.get("type"));
      var2.remove("type");
      var8.append(" width=");
      var8.append(var2.get("width"));
      var2.remove("width");
      var8.append(" height=");
      var8.append(var2.get("height"));
      var2.remove("height");
      if (var6 != null) {
         var8.append(" pluginpage=");
         this.appendWithQuote(var8, var6);
      }

      var2.remove("pluginpage");
      if (var7 != null) {
         var8.append(" pluginsurl=");
         this.appendWithQuote(var8, var7);
      }

      var2.remove("pluginsurl");
      var9 = var2.keys();

      while (var9.hasMoreElements()) {
         String var13 = (String)var9.nextElement();
         String var14 = (String)var2.get(var13);
         if (var13 != null && var14 != null) {
            var8.append(" ");
            var8.append(var13);
            var8.append("=");
            this.appendWithQuote(var8, var14);
         }
      }

      var8.append(">");
      var8.append('\n');
      var8.append("</COMMENT>");
      var8.append('\n');
      var8.append("</OBJECT>");
      var8.append('\n');
      var8.append("</BODY>");
      var8.append('\n');
      var8.append("</HTML>");
      var8.append('\n');
      return var8.toString();
   }

   public void appendWithQuote(StringBuffer var1, String var2) {
      if (var2 != null && var2.indexOf(34) == -1) {
         var1.append('"');
         var1.append(var2);
         var1.append('"');
      } else {
         var1.append(var2);
      }
   }
}
