package sun.plugin.dom.html;

import org.w3c.dom.DOMException;
import sun.plugin.dom.DOMObject;
import sun.plugin.dom.DOMObjectHelper;

public class HTMLSelectElement extends HTMLElement implements org.w3c.dom.html.HTMLSelectElement {
   public HTMLSelectElement(DOMObject var1, org.w3c.dom.html.HTMLDocument var2, org.w3c.dom.html.HTMLFormElement var3) {
      super(64, var1, var2, var3);
   }

   public String getType() {
      return this.getAttribute("type");
   }

   public int getSelectedIndex() {
      return DOMObjectHelper.getIntMemberNoEx(this.obj, "selectedIndex");
   }

   public void setSelectedIndex(int var1) {
      DOMObjectHelper.setIntMemberNoEx(this.obj, "selectedIndex", var1);
   }

   public String getValue() {
      return this.getAttribute("value");
   }

   public void setValue(String var1) {
      this.setAttribute("value", var1);
   }

   public int getLength() {
      return DOMObjectHelper.getIntMemberNoEx(this.obj, "length");
   }

   public org.w3c.dom.html.HTMLFormElement getForm() {
      return (org.w3c.dom.html.HTMLFormElement)this.owner;
   }

   public org.w3c.dom.html.HTMLCollection getOptions() {
      return null;
   }

   public boolean getDisabled() {
      return DOMObjectHelper.getBooleanMemberNoEx(this.obj, "disabled");
   }

   public void setDisabled(boolean var1) {
      DOMObjectHelper.setBooleanMemberNoEx(this.obj, "disabled", var1);
   }

   public boolean getMultiple() {
      return DOMObjectHelper.getBooleanMemberNoEx(this.obj, "multiple");
   }

   public void setMultiple(boolean var1) {
      DOMObjectHelper.setBooleanMemberNoEx(this.obj, "multiple", var1);
   }

   public String getName() {
      return this.getAttribute("name");
   }

   public void setName(String var1) {
      this.setAttribute("name", var1);
   }

   public int getSize() {
      return DOMObjectHelper.getIntMemberNoEx(this.obj, "size");
   }

   public void setSize(int var1) {
      DOMObjectHelper.setIntMemberNoEx(this.obj, "size", var1);
   }

   public int getTabIndex() {
      return DOMObjectHelper.getIntMemberNoEx(this.obj, "tabIndex");
   }

   public void setTabIndex(int var1) {
      DOMObjectHelper.setIntMemberNoEx(this.obj, "tabIndex", var1);
   }

   public void add(org.w3c.dom.html.HTMLElement var1, org.w3c.dom.html.HTMLElement var2) throws DOMException {
   }

   public void remove(int var1) {
      Object[] var2 = new Object[]{new Integer(var1)};
      this.obj.call("remove", var2);
   }

   public void blur() {
      this.obj.call("blur", null);
   }

   public void focus() {
      this.obj.call("focus", null);
   }
}
