package sun.plugin.dom.stylesheets;

import org.w3c.dom.DOMException;
import org.w3c.dom.Node;
import sun.plugin.dom.DOMObject;
import sun.plugin.dom.DOMObjectFactory;
import sun.plugin.dom.DOMObjectHelper;

public class StyleSheetList implements org.w3c.dom.stylesheets.StyleSheetList {
   private int type;
   private DOMObject obj;
   private Node owner;

   public StyleSheetList(int var1, DOMObject var2, Node var3) {
      this.type = var1;
      this.obj = var2;
      this.owner = var3;
   }

   public int getLength() {
      return DOMObjectHelper.getIntMemberNoEx(this.obj, "length");
   }

   public org.w3c.dom.stylesheets.StyleSheet item(int var1) {
      try {
         Object var2 = this.obj.getSlot(var1);
         if (var2 != null && var2 instanceof DOMObject) {
            return DOMObjectFactory.createStyleSheet(this.type, var2, this.owner);
         }
      } catch (DOMException var3) {
      }

      return null;
   }
}
