package sun.plugin.javascript;

import netscape.javascript.JSException;

public abstract class JSObject extends netscape.javascript.JSObject {
   public Object call(String var1, Object[] var2) throws JSException {
      throw new JSException("call does not support " + this.toString() + "." + var1);
   }

   public Object eval(String var1) throws JSException {
      throw new JSException("eval does not support " + var1);
   }

   public Object getMember(String var1) throws JSException {
      throw new JSException("getMember does not support " + this.toString() + "." + var1);
   }

   public void setMember(String var1, Object var2) throws JSException {
      throw new JSException("setMember does not support " + this.toString() + "." + var1);
   }

   public void removeMember(String var1) throws JSException {
      throw new JSException("removeMember does not support " + this.toString() + "." + var1);
   }

   public Object getSlot(int var1) throws JSException {
      throw new JSException("getSlot does not support " + this.toString() + "[" + var1 + "]");
   }

   public void setSlot(int var1, Object var2) throws JSException {
      throw new JSException("setSlot does not support " + this.toString() + "[" + var1 + "]");
   }
}
