package sun.plugin.javascript.navig;

import java.util.HashMap;
import netscape.javascript.JSException;

class Element extends JSObject {
   private static HashMap methodTable = new HashMap();
   private static HashMap fieldTable = new HashMap();
   private Form form;

   Element(int var1, String var2, Form var3) {
      super(var1, var2);
      this.form = var3;
      this.addObjectTable(fieldTable, methodTable);
   }

   public Object getMember(String var1) throws JSException {
      if (var1.equals("form")) {
         return this.form;
      } else if (var1.equals("options")) {
         return this.resolveObject("[object OptionArray]", this.context + ".options");
      } else {
         Object var2 = super.getMember(var1);
         if (var2 == null && var1.equals("value")) {
            var2 = "";
         }

         return var2;
      }
   }

   static {
      methodTable.put("blur", Boolean.FALSE);
      methodTable.put("click", Boolean.FALSE);
      methodTable.put("focus", Boolean.FALSE);
      methodTable.put("select", Boolean.FALSE);
      fieldTable.put("checked", Boolean.TRUE);
      fieldTable.put("defaultChecked", Boolean.FALSE);
      fieldTable.put("defaultValue", Boolean.FALSE);
      fieldTable.put("form", Boolean.FALSE);
      fieldTable.put("length", Boolean.FALSE);
      fieldTable.put("name", Boolean.FALSE);
      fieldTable.put("options", Boolean.FALSE);
      fieldTable.put("selectedIndex", Boolean.FALSE);
      fieldTable.put("type", Boolean.FALSE);
      fieldTable.put("value", Boolean.TRUE);
   }
}
