package sun.plugin.javascript.navig4;

import netscape.javascript.JSException;
import sun.plugin.javascript.navig.JSObject;

public class JSObjectFactory extends sun.plugin.javascript.navig.JSObjectFactory {
   public Object resolveObject(JSObject var1, String var2, int var3, String var4, Object var5) throws JSException {
      if (var2 == null || var2.indexOf("[") == -1) {
         return var2;
      } else if (var2.indexOf("[object Window]") != -1) {
         return new Window(var3, var4);
      } else if (var2.indexOf("[object Anchor]") != -1) {
         return new Anchor(var3, var4);
      } else if (var2.indexOf("[object Document]") != -1) {
         return new Document(var3, var4);
      } else if (var2.indexOf("[object Link]") != -1) {
         return new Link(var3, var4);
      } else if (var2.indexOf("[object Layer]") != -1) {
         return new Layer(var3, var4);
      } else if (var2.indexOf("[object Navigator]") != -1) {
         return new Navigator(var3);
      } else if (var2.indexOf("[object UIBar]") != -1) {
         return new UIBar(var3, var4);
      } else if (var2.indexOf("[object LayerArray]") != -1) {
         int var7 = 0;

         try {
            Object var8 = var1.eval(var4 + ".length");
            var7 = Integer.parseInt(var8.toString().trim());
         } catch (Throwable var9) {
            throw new JSException("resolveObject does not support " + this.toString() + ".length");
         }

         return new LayerArray(var3, var4, var7);
      } else {
         return super.resolveObject(var1, var2, var3, var4, var5);
      }
   }
}
