package sun.plugin.javascript.navig4;

import java.util.HashMap;
import netscape.javascript.JSException;
import sun.plugin.javascript.navig.JSObject;

public class Layer extends JSObject {
   private static HashMap fieldTable = new HashMap();
   private static HashMap methodTable = new HashMap();

   protected Layer(int var1, String var2) {
      super(var1, var2);
      this.addObjectTable(fieldTable, methodTable);
   }

   public Object getMember(String var1) throws JSException {
      if (var1.equals("document")) {
         Object var7 = this.evaluate(this.context + ".document");
         return var7 == null ? null : this.resolveObject("[object Document]", this.context + ".document");
      } else if (var1.equals("siblingAbove")) {
         Object var6 = this.evaluate(this.context + ".siblingAbove");
         return var6 == null ? null : this.resolveObject("[object Layer]", this.context + ".siblingAbove");
      } else if (var1.equals("siblingBelow")) {
         Object var5 = this.evaluate(this.context + ".siblingBelow");
         return var5 == null ? null : this.resolveObject("[object Layer]", this.context + ".siblingBelow");
      } else if (var1.equals("above")) {
         Object var4 = this.evaluate(this.context + ".above");
         return var4 == null ? null : this.resolveObject("[object Layer]", this.context + ".above");
      } else if (var1.equals("below")) {
         Object var3 = this.evaluate(this.context + ".below");
         return var3 == null ? null : this.resolveObject("[object Layer]", this.context + ".below");
      } else if (var1.equals("parentLayer")) {
         Object var2 = this.evaluate(this.context + ".parentLayer");
         return var2 == null ? null : this.resolveObject("[object Layer]", this.context + ".parentLayer");
      } else {
         return super.getMember(var1);
      }
   }

   static {
      fieldTable.put("document", Boolean.FALSE);
      fieldTable.put("name", Boolean.FALSE);
      fieldTable.put("left", Boolean.TRUE);
      fieldTable.put("top", Boolean.TRUE);
      fieldTable.put("pageX", Boolean.TRUE);
      fieldTable.put("pageY", Boolean.TRUE);
      fieldTable.put("zIndex", Boolean.TRUE);
      fieldTable.put("visibility", Boolean.TRUE);
      fieldTable.put("clip.top", Boolean.TRUE);
      fieldTable.put("clip.left", Boolean.TRUE);
      fieldTable.put("clip.right", Boolean.TRUE);
      fieldTable.put("clip.bottom", Boolean.TRUE);
      fieldTable.put("clip.width", Boolean.TRUE);
      fieldTable.put("clip.height", Boolean.TRUE);
      fieldTable.put("clip.top", Boolean.TRUE);
      fieldTable.put("background", Boolean.TRUE);
      fieldTable.put("bgColor", Boolean.TRUE);
      fieldTable.put("siblingAbove", Boolean.FALSE);
      fieldTable.put("siblingBelow", Boolean.FALSE);
      fieldTable.put("above", Boolean.FALSE);
      fieldTable.put("below", Boolean.FALSE);
      fieldTable.put("parentLayer", Boolean.FALSE);
      fieldTable.put("src", Boolean.TRUE);
      methodTable.put("moveBy", Boolean.FALSE);
      methodTable.put("moveTo", Boolean.FALSE);
      methodTable.put("moveToAbsolute", Boolean.FALSE);
      methodTable.put("resizeBy", Boolean.FALSE);
      methodTable.put("resizeTo", Boolean.FALSE);
      methodTable.put("moveAbove", Boolean.FALSE);
      methodTable.put("moveBelow", Boolean.FALSE);
      methodTable.put("load", Boolean.FALSE);
   }
}
