package sun.plugin.javascript.navig4;

import java.util.HashMap;
import netscape.javascript.JSException;
import sun.plugin.javascript.navig.JSObject;

public class Window extends sun.plugin.javascript.navig.Window {
   private static HashMap methodTable = new HashMap();
   private static HashMap fieldTable = new HashMap();
   private static boolean factorySet = false;

   public Window(int var1, String var2) {
      super(var1, var2);

      try {
         if (!factorySet) {
            JSObject.setResolver(new JSObjectFactory());
            factorySet = true;
         }
      } catch (JSException var4) {
      }

      this.addObjectTable(fieldTable, methodTable);
   }

   public Window(int var1) {
      this(var1, "self");
   }

   public Object getMember(String var1) throws JSException {
      if (var1.equals("locationbar")) {
         return this.resolveObject("[object UIBar]", this.context + ".locationbar");
      } else if (var1.equals("menubar")) {
         return this.resolveObject("[object UIBar]", this.context + ".menubar");
      } else if (var1.equals("personalbar")) {
         return this.resolveObject("[object UIBar]", this.context + ".personalbar");
      } else if (var1.equals("scrollbars")) {
         return this.resolveObject("[object UIBar]", this.context + ".scrollbars");
      } else if (var1.equals("statusbar")) {
         return this.resolveObject("[object UIBar]", this.context + ".statusbar");
      } else {
         return var1.equals("toolbar") ? this.resolveObject("[object UIBar]", this.context + ".toolbar") : super.getMember(var1);
      }
   }

   static {
      methodTable.put("back", Boolean.FALSE);
      methodTable.put("clearInterval", Boolean.FALSE);
      methodTable.put("disableExternalCapture", Boolean.FALSE);
      methodTable.put("enableExternalCapture", Boolean.FALSE);
      methodTable.put("find", Boolean.TRUE);
      methodTable.put("forward", Boolean.FALSE);
      methodTable.put("home", Boolean.FALSE);
      methodTable.put("moveBy", Boolean.FALSE);
      methodTable.put("moveTo", Boolean.FALSE);
      methodTable.put("print", Boolean.FALSE);
      methodTable.put("resizeBy", Boolean.FALSE);
      methodTable.put("resizeTo", Boolean.FALSE);
      methodTable.put("scrollBy", Boolean.FALSE);
      methodTable.put("scrollTo", Boolean.FALSE);
      methodTable.put("setInterval", Boolean.FALSE);
      methodTable.put("stop", Boolean.FALSE);
      fieldTable.put("innerHeight", Boolean.TRUE);
      fieldTable.put("innerWidth", Boolean.TRUE);
      fieldTable.put("height", Boolean.TRUE);
      fieldTable.put("width", Boolean.TRUE);
      fieldTable.put("locationbar", Boolean.FALSE);
      fieldTable.put("menubar", Boolean.FALSE);
      fieldTable.put("outerHeight", Boolean.TRUE);
      fieldTable.put("outerWidth", Boolean.TRUE);
      fieldTable.put("pageXOffset", Boolean.TRUE);
      fieldTable.put("pageYOffset", Boolean.TRUE);
      fieldTable.put("personalbar", Boolean.FALSE);
      fieldTable.put("scrollbars", Boolean.FALSE);
      fieldTable.put("statusbar", Boolean.FALSE);
      fieldTable.put("toolbar", Boolean.FALSE);
   }
}
