package sun.plugin.liveconnect;

import java.lang.reflect.Method;
import java.security.PrivilegedExceptionAction;

class PrivilegedCallMethodAction implements PrivilegedExceptionAction {
   Method method;
   Object obj;
   Object[] args;

   PrivilegedCallMethodAction(Method var1, Object var2, Object[] var3) {
      this.method = var1;
      this.obj = var2;
      this.args = var3;
      if (this.args == null) {
         this.args = new Object[0];
      }
   }

   public Object run() throws Exception {
      return this.method.invoke(this.obj, this.args);
   }
}
