package sun.plugin.liveconnect;

import java.lang.reflect.Constructor;
import java.security.PrivilegedExceptionAction;

class PrivilegedConstructObjectAction implements PrivilegedExceptionAction {
   Constructor constructor;
   Object[] args;

   PrivilegedConstructObjectAction(Constructor var1, Object[] var2) {
      this.constructor = var1;
      this.args = var2;
      if (this.args == null) {
         this.args = new Object[0];
      }
   }

   public Object run() throws Exception {
      return this.constructor.newInstance(this.args);
   }
}
