package sun.plugin.net.cookie;

import sun.plugin.services.ServiceUnavailableException;
import sun.plugin.viewer.AppletPanelCache;

public class WNetscape6CookieHandler implements CookieHandler {
   public void setCookieInfo(String var1, String var2) throws ServiceUnavailableException {
      if (!AppletPanelCache.hasValidInstance()) {
         throw new ServiceUnavailableException("Cookie service is not available for " + var1);
      } else {
         this.nativeSetCookieInfo(var1, var2);
      }
   }

   public String getCookieInfo(String var1) throws ServiceUnavailableException {
      if (!AppletPanelCache.hasValidInstance()) {
         throw new ServiceUnavailableException("Cookie service is not available for " + var1);
      } else {
         return this.nativeGetCookieInfo(var1);
      }
   }

   public native void nativeSetCookieInfo(String var1, String var2);

   public native String nativeGetCookieInfo(String var1);
}
