package sun.plugin.net.protocol.http;

import java.io.IOException;
import java.net.Socket;
import java.net.URL;
import java.net.UnknownHostException;
import sun.plugin.net.protocol.socks.SocksSocket;
import sun.plugin.net.proxy.PluginProxyManager;
import sun.plugin.net.proxy.ProxyInfo;

public class HttpClient extends sun.net.www.http.HttpClient {
   private boolean resolveProxy = true;

   public HttpClient(URL var1, String var2, int var3, boolean var4) throws IOException {
      super(var1, var2, var3);
      this.resolveProxy = var4;
   }

   public static sun.net.www.http.HttpClient New(URL var0, String var1, int var2, boolean var3) throws IOException {
      Object var4 = sun.net.www.http.HttpClient.kac.get(var0);
      HttpClient var5 = null;
      if (var4 instanceof HttpClient) {
         var5 = (HttpClient)var4;
      } else if (!$assertionsDisabled) {
         throw new AssertionError();
      }

      if (var5 == null) {
         var5 = new HttpClient(var0, var1, var2, var3);
      } else {
         var5.url = var0;
      }

      return var5;
   }

   protected Socket doConnect(String var1, int var2) throws IOException, UnknownHostException {
      if (this.resolveProxy) {
         ProxyInfo var3 = PluginProxyManager.getProxyInfo(this.url);
         if (var3 != null && var3.isSocksUsed()) {
            return new SocksSocket(var1, var2, var3.getSocksProxy(), var3.getSocksPort());
         }
      }

      return super.doConnect(var1, var2);
   }
}
