package sun.plugin.net.protocol.https;

import java.io.IOException;
import java.net.URL;
import java.net.URLConnection;
import java.security.AccessController;
import java.security.SecureRandom;
import sun.net.www.protocol.https.PluginHttpsURLConnection;
import sun.plugin.services.BrowserService;
import sun.plugin.services.ServiceProvider;

public class Handler extends sun.net.www.protocol.https.Handler {
   private static SecureRandom random = null;

   public URLConnection openConnection(URL var1) throws IOException {
      return new PluginHttpsURLConnection(var1, this, random);
   }

   static {
      BrowserService var0 = ServiceProvider.getService();
      SecureRandom var1 = AccessController.doPrivileged(new Handler$1(var0));
      var1.nextInt();
      random = var1;
   }
}
