package sun.plugin.net.proxy;

import java.net.URL;
import sun.plugin.resources.ResourceHandler;
import sun.plugin.usability.Trace;

public class DirectProxyHandler implements ProxyHandler {
   public boolean isSupported(int var1) {
      return var1 == 0;
   }

   public boolean isProxyCacheSupported() {
      return true;
   }

   public void init(BrowserProxyInfo var1) throws ProxyConfigException {
      Trace.netPrintln(ResourceHandler.getMessage("net.proxy.loading.direct"));
      if (!this.isSupported(var1.getType())) {
         throw new ProxyConfigException("Unable to support proxy type: " + var1.getType());
      } else {
         Trace.netPrintln(ResourceHandler.getMessage("net.proxy.loading.done"));
      }
   }

   public ProxyInfo getProxyInfo(URL var1) {
      return new ProxyInfo(null);
   }
}
