package sun.plugin.net.proxy;

import com.sun.java.browser.net.ProxyServiceProvider;
import java.net.URL;

public class PluginProxyServiceProvider implements ProxyServiceProvider {
   public com.sun.java.browser.net.ProxyInfo[] getProxyInfo(URL var1) {
      ProxyInfo var2 = PluginProxyManager.getProxyInfo(var1);
      if (var2.isProxyUsed()) {
         com.sun.java.browser.net.ProxyInfo[] var3 = new com.sun.java.browser.net.ProxyInfo[1];
         if (var2.isSocksUsed()) {
            var3[0] = new PluginProxyInfo(var2.getSocksProxy(), var2.getSocksPort(), true);
         } else {
            var3[0] = new PluginProxyInfo(var2.getProxy(), var2.getPort(), false);
         }

         return var3;
      } else {
         return null;
      }
   }
}
