package sun.plugin.panel;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

class MessageHandler {
   private String baseKey;
   private static ResourceBundle rb;

   MessageHandler(String var1) {
      this.baseKey = var1;

      try {
         if (rb == null) {
            rb = ResourceBundle.getBundle("sun.plugin.resources.ControlPanel");
         }
      } catch (MissingResourceException var4) {
         String var3 = "Activator ControlPanel no locale info: " + var4;
         System.err.println(var3);
         throw new Error(var3);
      }
   }

   String getMessage(String var1) {
      String var2 = this.baseKey + "." + var1;

      try {
         return rb.getString(var2);
      } catch (MissingResourceException var4) {
         return var2;
      }
   }
}
