package sun.plugin.resources;

import java.util.ListResourceBundle;

public class Activator extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"welcome_message", "Java(TM) Plug-in Control Panel"},
      {"product_name", "Java(TM) Plug-in"},
      {"version", "Version"},
      {"default_vm_version", "Default Virtual Machine Version "},
      {"using_jre_version", "Using JRE version"},
      {"user_home_dir", "User home directory"},
      {"user_overriden_browser", "User has overriden browser's proxy settings."},
      {"proxy_configuration", "Proxy Configuration: "},
      {"browser_config", "Browser Proxy Configuration"},
      {"auto_config", "Automatic Proxy Configuration"},
      {"manual_config", "Manual Configuration"},
      {"no_proxy", "No proxy"},
      {"proxy_is", "Proxy: "},
      {"proxy_override_is", "Proxy Overrides: "},
      {"loading", "Loading "},
      {"java_applet", "Java Applet"},
      {"java_bean", "JavaBeans"},
      {"java_not_enabled", "Java is not enabled"},
      {"java_cache_enabled", "JAR cache enabled."},
      {"java_cache_disabled", "JAR cache disabled."},
      {"proxy_equals", "proxy="},
      {"net.connect.no_proxy", "Connecting {0} with no proxy"},
      {"net.connect.proxy_is", "Connecting {0} with proxy={1}"},
      {"bean_code_and_ser", "Bean cannot have both CODE and JAVA_OBJECT defined "},
      {"status", ""},
      {"status_applet", "Applet "},
      {"status_bean", "JavaBeans "},
      {"status_exception", "Exception: "},
      {"ok.label", "Ok"},
      {"print.title", "Warning"},
      {"print.message", new String[]{"An applet would like to print.", "Is this OK?"}},
      {"print.yes", "Yes"},
      {"print.no", "No"},
      {"https_dialog.caption", "Java Security Warning"},
      {
            "https_dialog.text",
            "The server security certificate does not match the name of the page you are trying to view.\n\nHost name of the URL: {0}\nHost name from the certificate: {1}\n\nDo you want to proceed?"
      },
      {"https_dialog.unknown.host", "Unknown host"},
      {"security_dialog.caption", "Java Security Warning"},
      {"security_dialog.text0", "Do you want to install and run signed applet distributed by \"{0}\"?\n\nPublisher authenticity verified by: \"{1}\""},
      {
            "security_dialog_https.text0",
            "Do you want to accept this certificate from web site \"{0}\" for the purpose of exchanging encrypted information?\n\nPublisher authenticity verified by: \"{1}\""
      },
      {
            "security_dialog.text1",
            "\nCaution: \"{0}\" asserts that this content is safe. You should only install/view this content if you trust \"{1}\" to make that assertion.\n\n"
      },
      {"security_dialog.unknown.issuer", "Unknown issuer"},
      {"security_dialog.unknown.subject", "Unknown subject"},
      {"security_dialog.rootCANotValid", "The security certificate was issued by a company that is not trusted."},
      {"security_dialog.rootCAValid", "The security certificate was issued by a company that is trusted."},
      {"security_dialog.timeNotValid", "The security certificate has expired or is not yet valid."},
      {"security_dialog.timeValid", "The security certificate has not expired and is still valid."},
      {"security_dialog.buttonAlways", "Grant always"},
      {"security_dialog.buttonYes", "Grant this session"},
      {"security_dialog.buttonNo", "Deny"},
      {"security_dialog.buttonInfo", "More Info"},
      {"security_dialog.buttonViewCert", "View Certificate"},
      {"cert_dialog.caption", "Certificate Properties"},
      {"cert_dialog.title", "Certificate"},
      {"cert_dialog.field.Version", "Version"},
      {"cert_dialog.field.SerialNumber", "Serial Number"},
      {"cert_dialog.field.SignatureAlg", "Signature Algorithm"},
      {"cert_dialog.field.Issuer", "Issuer"},
      {"cert_dialog.field.EffectiveDate", "Effective Date"},
      {"cert_dialog.field.ExpirationDate", "Expiration Date"},
      {"cert_dialog.field.Validity", "Validity"},
      {"cert_dialog.field.Subject", "Subject"},
      {"cert_dialog.field.Signature", "Signature"},
      {"cert_dialog.field", "Field"},
      {"cert_dialog.value", "Value"},
      {"cert_dialog.issuerButton", "Issuer"},
      {"cert_dialog.viewIssuerButton", "View Issuer"},
      {"cert_dialog.okButton", "Ok"},
      {"import_format_dialog.title", "Error"},
      {"import_format_dialog.caption", "The format of the selected file isn't right, can't be imported."},
      {"import_password_dialog.title", "Error"},
      {"import_password_dialog.caption", "The password you entered is incorrect."},
      {"cert_password_dialog.title", "Password"},
      {"cert_password_dialog.caption", "Please enter a password to access this file:"},
      {"cert_export_dialog.title", "Error"},
      {"cert_export_dialog.caption", "No Certificate will be exported."},
      {"net.authenticate.title", "Enter Network Password"},
      {"net.authenticate.label", "Please type your username and password."},
      {"net.authenticate.resource", "Resource:"},
      {"net.authenticate.username", "User name:"},
      {"net.authenticate.password", "Password:"},
      {"net.authenticate.firewall", "Firewall:"},
      {"net.authenticate.realm", "Realm:"},
      {"net.authenticate.scheme", "Scheme:"},
      {"console.caption", "Java Console"},
      {"console.clear", "Clear"},
      {"console.close", "Close"},
      {"console.copy", "Copy"},
      {"html.wrong_param", "Unable to determine all the necessary HTML parameters - abort HTML installation.\n"},
      {"html.cache_error", "Unable to access version table of HTML cache - abort HTML installation.\n"},
      {"html.general_error", "Unable to finish HTML installation.\n"},
      {"html.caption", "Java Plug-in HTML Installation Warning"},
      {
            "html.prompt_user",
            "This applet requests to install the HTML page in your local machine, and create a shortcut on your desktop. Do you want to continue?"
      },
      {"html.install.ok", "HTML installation finished."},
      {"html.install.fail", "HTML installation failed."},
      {"optpkg.cert_expired", "The certificate is expired - abort optional package installation.\n"},
      {"optpkg.cert_notyieldvalid", "The certificate is not yet valid - abort optional package installation.\n"},
      {"optpkg.cert_notverify", "Unable to verify the certificate - abort optional package installation.\n"},
      {"optpkg.general_error", "Unable to install optional package.\n"},
      {"optpkg.caption", "Java Optional Package Installation Warning"},
      {"optpkg.wait_for_installer", "Please click OK to continue applet loading after optional package installer has exited."},
      {"optpkg.launch_installer", "Launching Optional Package Installer"},
      {"optpkg.prompt_user.new_spec.text", "The applet requires a newer version (specification {0}) of optional package \"{1}\" from {2}"},
      {"optpkg.prompt_user.new_impl.text", "The applet requires a newer version (implementation {0}) of optional package \"{1}\" from {2}"},
      {"optpkg.prompt_user.new_vendor.text", "The applet requires the ({0}) of optional package \"{1}\" {2} from {3}"},
      {"optpkg.prompt_user.default.text", "The applet requires the installation of optional package \"{0}\" from {1}"},
      {"rsa.cert_expired", "The certificate is expired - code will be treated as unsigned.\n"},
      {"rsa.cert_notyieldvalid", "The certificate is not yet valid - code will be treated as unsigned.\n"},
      {"rsa.general_error", "Unable to verify the certificate - code will be treated as unsigned.\n"},
      {"rsa.cert_expired_prompt_user", "The certificate is expired. Do you want to ignore this warning and proceed?\n"},
      {"rsa.cert_notyieldvalid_prompt_user", "The certificate is not yet valid. Do you want to ignore this warning and proceed?\n"},
      {"rsa.cert_invalid_prompt_user", "The root CA of this certificate cannot be verified. Do you want to ignore this warning and proceed?\n"},
      {"usability.confirmDialogTitle", "Java Plug-in Confirmation Dialog"},
      {"usability.inputDialogTitle", "Java Plug-in Input Dialog"},
      {"usability.messageDialogTitle", "Java Plug-in Message Dialog"},
      {"usability.exceptionDialogTitle", "Java Plug-in Exception Dialog"},
      {"usability.optionDialogTitle", "Java Plug-in Option Dialog"},
      {"usability.aboutDialogTitle", "About Java Plug-in"},
      {"usability.confirm.yes", "Yes"},
      {"usability.confirm.no", "No"},
      {"usability.general_error", "General Exception.\n"},
      {"usability.net_error", "Networking Exception.\n"},
      {"usability.security_error", "Security Exception.\n"},
      {"usability.ext_error", "Optional Package Installation Exception.\n"},
      {"usability.menu.show_console", "Show Java Console"},
      {"usability.menu.hide_console", "Hide Java Console"},
      {"usability.menu.about", "About Java Plug-in"},
      {"usability.menu.copy", "Copy"},
      {"proxy.auto_config.download_error", "Unable to download auto proxy configuration file - fallback.\n"},
      {"proxy.error_caption", "Proxy Configuration Error"},
      {"proxy.prefsfile.nsreg_error", "Unable to obtain proxy configuration settings - fallback\n"},
      {"applet_install.wrong_param", "Invalid applet parameters - abort Applet installation.\n"},
      {"applet_install.mutex_error", "Unable to obtain locks on cache table - abort Applet installation.\n"},
      {"applet_install.io_error", "I/O Exception - abort Applet installation.\n"},
      {"applet_install.jar_cache_error", "Applet Installation Exception.\n"},
      {"applet_install.general_error", "Unable to finish Applet installation.\n"},
      {"applet_install.caption", "Java Plug-in Applet Installation Warning"},
      {"cache.error", "Java Plug-in Cache Exception"},
      {"cache.caption", "Java Plug-in Cache Warning"},
      {"cache.version_format_error", " is not in the form xxxx.xxxx.xxxx.xxxx, where x is an hexadecimal digit"},
      {"cache.version_attrib_error", "Number of attributes specified in 'cache_archive' doesn't match those in 'cache_version'"},
      {"applet.progress.load", "Loading applet..."},
      {"applet.progress.init", "Initializing applet..."},
      {"applet.progress.start", "Starting applet..."},
      {"applet.progress.stop", "Stopping applet..."},
      {"applet.progress.destroy", "Destroying applet..."},
      {"applet.progress.dispose", "Disposing applet..."},
      {"applet.progress.quit", "Quiting applet..."},
      {"applet.progress.stoploading", "Stopped loading..."},
      {"applet.progress.interrupted", "Interrupted thread..."},
      {"applet.progress.joining", "Joining applet thread..."},
      {"applet.progress.joined", "Joined applet thread..."},
      {"applet.progress.loadClass", "Loading class "},
      {"applet.progress.loadResource", "Loading resource "},
      {"applet.progress.loadImage", "Loading image "},
      {"applet.progress.loadAudio", "Loading audio "},
      {"applet.progress.findinfo.0", "Finding information..."},
      {"applet.progress.findinfo.1", "Done..."},
      {"applet.progress.timeout.wait", "Waiting for timeout..."},
      {"applet.progress.timeout.jointing", "Doing a join..."},
      {"applet.progress.timeout.jointed", "Done with join ..."},
      {"console.menu.text.top", "----------------------------------------------------\n"},
      {"console.menu.text.c", "c:   clear console window\n"},
      {"console.menu.text.f", "f:   finalize objects on finalization queue\n"},
      {"console.menu.text.g", "g:   garbage collect\n"},
      {"console.menu.text.h", "h:   display this help message\n"},
      {"console.menu.text.l", "l:   dump classloader list\n"},
      {"console.menu.text.m", "m:   print memory usage\n"},
      {"console.menu.text.o", "o:   trigger logging\n"},
      {"console.menu.text.p", "p:   reload proxy configuration\n"},
      {"console.menu.text.q", "q:   hide console\n"},
      {"console.menu.text.r", "r:   reload policy configuration\n"},
      {"console.menu.text.s", "s:   dump system properties\n"},
      {"console.menu.text.t", "t:   dump thread list\n"},
      {"console.menu.text.x", "x:   clear classloader cache\n"},
      {"console.menu.text.0", "0-5: set trace level to <n>\n"},
      {"console.menu.text.tail", "----------------------------------------------------\n"},
      {"console.done", "Done."},
      {"console.trace.level.0", "Trace level set to 0: none ... completed."},
      {"console.trace.level.1", "Trace level set to 1: basic ... completed."},
      {"console.trace.level.2", "Trace level set to 2: basic, net ... completed."},
      {"console.trace.level.3", "Trace level set to 3: basic, net, security ... completed."},
      {"console.trace.level.4", "Trace level set to 4: basic, net, security, ext ... completed."},
      {"console.trace.level.5", "Trace level set to 5: basic, net, security, ext, liveconnect ... completed."},
      {"console.log", "Logging set to : "},
      {"console.completed", " .... completed."},
      {"console.dump.thread", "Dump thread list ...\n"},
      {"console.dump.properties", "Dump system properties ...\n"},
      {"console.clear.classloader", "Clear classloader cache .... completed."},
      {"console.reload.policy", "Reload policy configuration"},
      {"console.reload.proxy", "Reload proxy configuration ...."},
      {"console.gc", "Garbage collect"},
      {"console.finalize", "Finalize objects on finalization queue"},
      {"console.memory", "Memory: {0}K  Free: {1}K  ({2}%)"},
      {"modality.register", "Registered modality listener"},
      {"modality.unregister", "Unregistered modality listener"},
      {"modality.pushed", "Modality pushed"},
      {"modality.popped", "Modality popped"},
      {"progress.listener.added", "Added progress listener: "},
      {"progress.listener.removed", "Removed progress listener: "},
      {"liveconnect.UniversalBrowserRead.enabled", "JavaScript: UniversalBrowserRead enabled"},
      {"liveconnect.java.system", "JavaScript: calling Java system code"},
      {"liveconnect.same.origin", "JavaScript: caller and callee have same origin"},
      {"liveconnect.default.policy", "JavaScript: default security policy = "},
      {"liveconnect.UniversalJavaPermission.enabled", "JavaScript: UniversalJavaPermission enabled"},
      {"liveconnect.wrong.securitymodel", "Netscape security model is no longer supported.\nPlease migrate to the Java 2 security model instead.\n"},
      {"jpicertstore.cert.loading", "Loading JPI certificates from "},
      {"jpicertstore.cert.loaded", "Loaded JPI certificates from "},
      {"jpicertstore.cert.saving", "Saving JPI certificates in "},
      {"jpicertstore.cert.saved", "Saved JPI certificates in "},
      {"jpicertstore.cert.adding", "Adding certificate in JPI permanent certificate store"},
      {"jpicertstore.cert.added", "Added certificate in JPI permanent certificate store as alias "},
      {"jpicertstore.cert.removing", "Removing certificate in JPI permanent certificate store"},
      {"jpicertstore.cert.removed", "Removed certificate in JPI permanent certificate store as alias "},
      {"jpicertstore.cert.instore", "Checking if certificate is in JPI permanent certificate store"},
      {"jpicertstore.cert.canverify", "Check if certificate can be verified using certificates in JPI permanent certificate store"},
      {"jpicertstore.cert.iterator", "Obtain certificate iterator in JPI permanent certificate store"},
      {"jpihttpscertstore.cert.loading", "Loading JPI Https certificates from "},
      {"jpihttpscertstore.cert.loaded", "Loaded JPI Https certificates from "},
      {"jpihttpscertstore.cert.saving", "Saving JPI Https certificates in "},
      {"jpihttpscertstore.cert.saved", "Saved JPI Https certificates in "},
      {"jpihttpscertstore.cert.adding", "Adding Https certificate in JPI permanent certificate store"},
      {"jpihttpscertstore.cert.added", "Added Https certificate in JPI permanent certificate store as alias "},
      {"jpihttpscertstore.cert.removing", "Removing Https certificate in JPI permanent certificate store"},
      {"jpihttpscertstore.cert.removed", "Removed Https certificate in JPI permanent certificate store as alias "},
      {"jpihttpscertstore.cert.instore", "Checking if Https certificate is in JPI permanent certificate store"},
      {"jpihttpscertstore.cert.canverify", "Check if Https certificate can be verified using certificates in JPI permanent certificate store"},
      {"jpihttpscertstore.cert.iterator", "Obtain Https certificate iterator in JPI permanent certificate store"},
      {"rootcertstore.cert.loading", "Loading Root CA certificates from "},
      {"rootcertstore.cert.loaded", "Loaded Root CA certificates from "},
      {"rootcertstore.cert.noload", "Root CA certificates file not found: "},
      {"rootcertstore.cert.saving", "Saving Root CA certificates in "},
      {"rootcertstore.cert.saved", "Saved Root CA certificates in "},
      {"rootcertstore.cert.adding", "Adding certificate in Root CA certificate store"},
      {"rootcertstore.cert.added", "Added certificate in Root CA certificate store as alias "},
      {"rootcertstore.cert.removing", "Removing certificate in Root CA certificate store"},
      {"rootcertstore.cert.removed", "Removed certificate in Root CA certificate store as alias "},
      {"rootcertstore.cert.instore", "Checking if certificate is in Root CA certificate store"},
      {"rootcertstore.cert.canverify", "Check if certificate can be verified using certificates in Root CA certificate store"},
      {"rootcertstore.cert.iterator", "Obtain certificate iterator in Root CA certificate store"},
      {"rootcertstore.cert.verify.ok", "Certificate has been verified with Root CA certificates sucessfully"},
      {"rootcertstore.cert.verify.fail", "Certificate has failed the verification with the Root CA certificates"},
      {"roothttpscertstore.cert.loading", "Loading Https Root CA certificates from "},
      {"roothttpscertstore.cert.loaded", "Loaded Https Root CA certificates from "},
      {"roothttpscertstore.cert.noload", "Https Root CA certificates file not found: "},
      {"roothttpscertstore.cert.saving", "Saving Https Root CA certificates in "},
      {"roothttpscertstore.cert.saved", "Saved Https Root CA certificates in "},
      {"roothttpscertstore.cert.adding", "Adding certificate in Https Root CA certificate store"},
      {"roothttpscertstore.cert.added", "Added certificate in Https Root CA certificate store as alias "},
      {"roothttpscertstore.cert.removing", "Removing certificate in Https Root CA certificate store"},
      {"roothttpscertstore.cert.removed", "Removed certificate in Https Root CA certificate store as alias "},
      {"roothttpscertstore.cert.instore", "Checking if certificate is in Https Root CA certificate store"},
      {"roothttpscertstore.cert.canverify", "Check if certificate can be verified using certificates in Https Root CA certificate store"},
      {"roothttpscertstore.cert.iterator", "Obtain certificate iterator in Https Root CA certificate store"},
      {"roothttpscertstore.cert.verify.ok", "Certificate has been verified with Https Root CA certificates sucessfully"},
      {"roothttpscertstore.cert.verify.fail", "Certificate has failed the verification with the Https Root CA certificates"},
      {"sessioncertstore.cert.loading", "Loading certificates from JPI session certificate store"},
      {"sessioncertstore.cert.loaded", "Loaded certificates from JPI session certificate store"},
      {"sessioncertstore.cert.saving", "Saving certificates in JPI session certificate store"},
      {"sessioncertstore.cert.saved", "Saved certificates in JPI session certificate store"},
      {"sessioncertstore.cert.adding", "Adding certificate in JPI session certificate store"},
      {"sessioncertstore.cert.added", "Added certificate in JPI session certificate store"},
      {"sessioncertstore.cert.removing", "Removing certificate in JPI session certificate store"},
      {"sessioncertstore.cert.removed", "Removed certificate in JPI session certificate store"},
      {"sessioncertstore.cert.instore", "Checking if certificate is in JPI session certificate store"},
      {"sessioncertstore.cert.canverify", "Check if certificate can be verified using certificates in JPI session certificate store"},
      {"sessioncertstore.cert.iterator", "Obtain certificate iterator in JPI session certificate store"},
      {"hostnameverifier.automation.ignoremismatch", "Automation: Ignore hostname mismatch"},
      {"pluginclassloader.deleting_files", "Deleting JAR files from cache."},
      {"pluginclassloader.file", "   deleting from cache "},
      {"pluginclassloader.empty_file", " is empty, deleting from cache."},
      {"trustdecider.user.grant.session", "User has granted the priviledges to the code for this session only"},
      {"trustdecider.user.grant.forever", "User has granted the priviledges to the code forever"},
      {"trustdecider.user.deny", "User has denied the priviledges to the code"},
      {"trustdecider.automation.trustcert", "Automation: Trust RSA certificate for signing"},
      {"x509trustmgr.automation.ignoreclientcert", "Automation: Ignore untrusted client certificate"},
      {"x509trustmgr.automation.ignoreservercert", "Automation: Ignore untrusted server certificate"},
      {"appletcontext.audio.loaded", "Loaded audio clip: "},
      {"appletcontext.image.loaded", "Loaded image: "},
      {"securitymgr.automation.printing", "Automation: Accept printing"},
      {"classloaderinfo.referencing", "Referencing classloader: {0}, refcount={1}"},
      {"classloaderinfo.releasing", "Releasing classloader: {0}, refcount={1}"},
      {"classloaderinfo.caching", "Caching classloader: "},
      {"classloaderinfo.cachesize", "Current classloader cache size: "},
      {"classloaderinfo.num", "Number of cached classloaders over {0}, unreference {1}"},
      {"cachehandler.filename", "Cache filename: "},
      {"trace.listener.added", "Added trace listener: "},
      {"trace.listener.removed", "Removed trace listener: "},
      {"cookiehandler.cache", "Cookie Cache: "},
      {"cookiehandler.server", "Server {0} requesting to set-cookie with \"{1}\""},
      {"cookiehandler.connect", "Connecting {0} with cookie \"{1}\""},
      {"cookiehandler.ignore.setcookie", "Cookie service is unavailable - ignore \"Set-Cookie\""},
      {"cookiehandler.noservice", "Cookie service is not available - use cache to determine \"Cookie\""},
      {"jsobject.eval", "Evaluate {0} = {1}"},
      {"jsobject.call", "JSObject::call: name={0}, url={1}, permission={2}"},
      {"jsobject.eval.url.permission", "JSObject::eval({0}), url={1}, permission={2}"},
      {"jsobject.getMember", "JSObject::getMember: name={0}, url={1}, permission={2}"},
      {"jsobject.setMember", "JSObject::setMember: name={0}, url={1}, permission={2}"},
      {"jsobject.removeMember", "JSObject::removeMember: name={0}, url={1}, permission={2}"},
      {"jsobject.getSlot", "JSObject::getSlot: {0}, url={1}, permission={2}"},
      {"jsobject.setSlot", "JSObject::setSlot: slot={0}, url={1}, permission={2}"},
      {"applet_install.ok", "Applet installation finished."},
      {"applet_install.fail", "Applet installation failed."},
      {"optpkg.install.info", "Installing optional package "},
      {"optpkg.install.fail", "Optional package installation failed."},
      {"optpkg.install.ok", "Optional package installation succeeded."},
      {"optpkg.install.automation", "Automation: Accept optional package installation"},
      {"optpkg.install.granted", "Optional package download granted by user, download from "},
      {"optpkg.install.deny", "Optional package download not granted by user"},
      {"optpkg.install.begin", "Installing "},
      {"optpkg.install.java.launch", "Launching Java installer"},
      {"optpkg.install.java.launch.command", "Launching Java installer through "},
      {"optpkg.install.native.launch", "Launching native installer"},
      {"optpkg.install.native.launch.fail.0", "Unable to execute {0}"},
      {"optpkg.install.native.launch.fail.1", "Access to {0} failed"},
      {"optpkg.install.raw.launch", "Installing raw optional package"},
      {"optpkg.install.raw.copy", "Copying Raw Optional Package from {0} to {1}"},
      {"optpkg.install.error.nomethod", "Dependent Extension Provider not installed : Cannot get the  addExtensionInstallationProvider method"},
      {"optpkg.install.error.noclass", "Dependent Extension Provider not installed : Cannot get the sun.misc.ExtensionDependency class"},
      {"bookmarkmgr.add", "Add bookmark \"{0}\" as {1}"},
      {"bookmarkmgr.remove", "Remove bookmark \"{0}\" as {1}"},
      {"bookmarkmgr.remove.all", "Remove all bookmarks"},
      {"dialogfactory.user.selected", "User selected: "},
      {"dialogfactory.user.typed", "User typed: "},
      {"html.install.check", "Checking HTML installation"},
      {"html.install.version.checklocal", "Checking local version of the HTML page"},
      {"html.install.version.remote.local", "Remote HTML page version={0}, local HTML page version={1}"},
      {"html.install.local.uptodated", "Local HTML page is more up-to-dated - finish install"},
      {"html.install.local.outdated", "Local HTML page doesn't exist anymore - generate again"},
      {"html.install.remote.uptodated", "Remote HTML page is more up-to-dated - prompt user"},
      {"html.install.info.missing", "Missing local HTML page info in version table - install again"},
      {"html.install.user.deny", "User has denied to install HTML page - abort HTML installation"},
      {"html.install.html.generate", "Generating local HTML page"},
      {"html.install.version.update", "Updating version info about local HTML page"},
      {"html.install.bookmark.add", "Adding bookmark to the desktop"},
      {"html.install.automation", "Automation: Accept HTML Installation"},
      {"progress_dialog.downloading", "Plug-in: Downloading..."},
      {"progress_dialog.dismiss_button", "Dismiss"},
      {"progress_dialog.from", "from"},
      {"applet_viewer.color_tag", "Incorrect number of components in "},
      {"progress_info.downloading", "Downloading JAR file(s)"},
      {"progress_bar.overflow", "Attempt to draw progress beyond valid area"},
      {"progress_bar.preload", "Preloading JAR files: "},
      {"cache.size", "Cache Size: {0}"},
      {"cache.cleanup", "Cache size is: {0} bytes, cleanup is necessary"},
      {"cache.full", "Cache is full: deleting file {0}"},
      {"cache.inuse", "Cannot delete file {0} since it is being used by this application"},
      {"cache.notdeleted", "Cannot delete file {0}, may be used by this and/or other application(s)"},
      {"cache.out_of_date", "Cached copy of {0} is out of date\n  Cached copy: {1}\n  Server copy: {2}"},
      {"cache.loading", "Loading {0} from cache"},
      {"cache.cache_warning", "WARNING: Unable to cache {0}"},
      {"cache.downloading", "Downloading {0} to cache"},
      {"cache.cached_name", "Cached file name: {0}"},
      {"cache.load_warning", "WARNING: error reading {0} from cache."},
      {"cache.disabled", "Cache is disabled by user"},
      {"cache.minSize", "Cache is disabled, cache limit is set to {0}, atleast 5 MB should be specified"},
      {"cache.directory_warning", "WARNING: {0} is not a directory.  Cache will be disabled."},
      {"cache.response_warning", "WARNING: Unexpected response {0} for {1}.  File will be re-downloaded."},
      {"cache.enabled", "Cache is enabled"},
      {"cache.location", "Location: {0}"},
      {"cache.maxSize", "Maximum size: {0}"},
      {"cache.create_warning", "WARNING: Could not create cache directory {0}.  Caching will be disabled."},
      {"cache.read_warning", "WARNING: Cannot read cache directory {0}.  Caching will be disabled."},
      {"cache.write_warning", "WARNING: Cannot write to cache directory {0}.  Caching will be disabled."},
      {"cache.compression", "Compression level: {0}"},
      {"cache.cert_load", "Certificates for {0} is read from JAR cache"},
      {"cache.jarjar.invalid_file", ".jarjar file contains a non .jar file"},
      {"cache.jarjar.multiple_jar", ".jarjar file contains more than one .jar file"},
      {"cache.version_checking", "Version checking for {0}, specified version is {1}"},
      {"cache.preloading", "Preloading file {0}"},
      {"cache_viewer.title", "Java Plug-in Cache Viewer"},
      {"cache_viewer.refresh", "Refresh"},
      {"cache_viewer.remove", "Delete"},
      {"cache_viewer.close", "Close"},
      {"cache_viewer.name", "Name"},
      {"cache_viewer.type", "Type"},
      {"cache_viewer.size", "Size"},
      {"cache_viewer.modify_date", "Last Modified"},
      {"cache_viewer.expiry_date", "Expiry Date"},
      {"cache_viewer.url", "URL"},
      {"cache_viewer.version", "Version"},
      {"cache_viewer.help.name", "Cached file name"},
      {"cache_viewer.help.type", "Cached file type"},
      {"cache_viewer.help.size", "Cached file size"},
      {"cache_viewer.help.modify_date", "Cached file last modify date"},
      {"cache_viewer.help.expiry_date", "Cached file expiry date"},
      {"cache_viewer.help.url", "Cached file download URL"},
      {"cache_viewer.help.version", "Cached file version"},
      {"cache_viewer.delete", "{0} cannot be deleted, it may be in use"},
      {"cache_viewer.type.zip", "Jar"},
      {"cache_viewer.type.class", "Class"},
      {"cache_viewer.type.wav", "Wav Sound"},
      {"cache_viewer.type.au", "Au Sound"},
      {"cache_viewer.type.gif", "Gif Image"},
      {"cache_viewer.type.jpg", "Jpeg Image"},
      {"net.proxy.loading.ie", "Loading proxy configuration from Internet Explorer ..."},
      {"net.proxy.loading.ns", "Loading proxy configuration from Netscape Navigator ..."},
      {"net.proxy.loading.userdef", "Loading user-defined proxy configuration ..."},
      {"net.proxy.loading.direct", "Loading direct proxy configuration ..."},
      {"net.proxy.loading.manual", "Loading manual proxy configuration ..."},
      {"net.proxy.loading.auto", "Loading auto proxy configuration ..."},
      {"net.proxy.loading.browser", "Loading browser proxy configuration ..."},
      {"net.proxy.loading.manual.error", "Unable to use manual proxy configuration - fallback to DIRECT"},
      {"net.proxy.loading.auto.error", "Unable to use auto proxy configuration - fallback to MANUAL"},
      {"net.proxy.loading.done", "Done."},
      {"net.proxy.browser.pref.read", "Reading user preference file from "},
      {"net.proxy.browser.proxyEnable", "    Proxy enable: "},
      {"net.proxy.browser.proxyList", "    Proxy list: "},
      {"net.proxy.browser.proxyOverride", "    Proxy override: "},
      {"net.proxy.browser.autoConfigURL", "    Auto config URL: "},
      {"net.proxy.pattern.convert", "Convert proxy bypass list to regular expression: "},
      {"net.proxy.pattern.convert.error", "Unable to convert proxy bypass list to regular expression - ignore"},
      {"net.proxy.auto.download.ins", "Downloading INS file from "},
      {"net.proxy.auto.download.js", "Downloading auto proxy file from "},
      {"net.proxy.auto.result.error", "Unable to determine proxy setting from evaluation - fallback to DIRECT"},
      {"net.proxy.service.not_available", "Proxy service not available for {0} - default to DIRECT"},
      {"lifecycle.applet.found", "Found previous stopped applet from lifecycle cache"},
      {"lifecycle.applet.support", "Applet supports legacy lifecycle model - add applet to lifecycle cache"},
      {"lifecycle.applet.cachefull", "Lifecycle cache is full - prune least recently used applets"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
