package sun.plugin.resources;

import java.util.ListResourceBundle;

public class Activator_ja extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"welcome_message", "Java(TM) Plug-in コントロールパネル"},
      {"product_name", "Java(TM) Plug-in"},
      {"version", "バージョン"},
      {"default_vm_version", "デフォルトの仮想マシンのバージョン "},
      {"using_jre_version", "使用中の JRE のバージョン"},
      {"user_home_dir", "ユーザのホームディレクトリ"},
      {"user_overriden_browser", "ユーザによってブラウザのプロキシ設定が上書きされました。"},
      {"proxy_configuration", "プロキシの設定: "},
      {"browser_config", "ブラウザプロキシの設定"},
      {"auto_config", "プロキシの自動設定"},
      {"manual_config", "手動設定"},
      {"no_proxy", "プロキシなし"},
      {"proxy_is", "プロキシ: "},
      {"proxy_override_is", "無効にするプロキシ: "},
      {"loading", "読み込み中 - "},
      {"java_applet", "Java アプレット"},
      {"java_bean", "JavaBeans"},
      {"java_not_enabled", "Java が利用可能になっていません"},
      {"java_cache_enabled", "JAR のキャッシュは有効です。"},
      {"java_cache_disabled", "JAR のキャッシュは無効です。"},
      {"proxy_equals", "プロキシ = "},
      {"net.connect.no_proxy", "プロキシなしで {0} に接続中"},
      {"net.connect.proxy_is", "プロキシ={1} で {0} に接続中"},
      {"bean_code_and_ser", "Bean は CODE と JAVA_OBJECT の定義を同時に持てません。"},
      {"status", ""},
      {"status_applet", "アプレット "},
      {"status_bean", "JavaBeans "},
      {"status_exception", "例外: "},
      {"ok.label", "了解"},
      {"print.title", "警告"},
      {"print.message", new String[]{"アプレットからの印刷要求があります。", "許可しますか ?"}},
      {"print.yes", "はい"},
      {"print.no", "いいえ"},
      {"https_dialog.caption", "Java セキュリティ警告"},
      {"https_dialog.text", "サーバセキュリティ証明書は表示しようとしているページの名前と一致しません。\n\nURL のホスト名: {0}\n証明書に示されているホスト名: {1}\n\n継続しますか?"},
      {"https_dialog.unknown.host", "未知のホスト"},
      {"security_dialog.caption", "Java セキュリティ警告"},
      {"security_dialog.text0", "\"{0}\" から渡された署名付きアプレットをインストールして実行しますか?\n\n\"{1}\" によって発行者の信頼性が検証されました。"},
      {"security_dialog_https.text0", "Web サイト \"{0}\" から送られたこの証明書を受け入れて暗号化された情報を交換しますか?\n\n\"{1}\" により発行者の信頼性が検証されました。"},
      {"security_dialog.text1", "\n注意: \"{0}\" はこの内容が安全であることを表明します。この表明を行なっている \"{1}\" を信頼する場合にのみこの内容をインストールまたは表示してください。\n\n"},
      {"security_dialog.unknown.issuer", "未知の発行者"},
      {"security_dialog.unknown.subject", "未知の被認証者"},
      {"security_dialog.rootCANotValid", "このセキュリティ証明書は信頼できない団体によって発行されています。"},
      {"security_dialog.rootCAValid", "このセキュリティ証明書は、信頼できる団体によって発行されています。"},
      {"security_dialog.timeNotValid", "このセキュリティ証明書が期限が切れているか、まだ有効になっていません。"},
      {"security_dialog.timeValid", "このセキュリティ証明書は期限が切れておらず、依然として有効です。"},
      {"security_dialog.buttonAlways", "常に許可する"},
      {"security_dialog.buttonYes", "このセッションで許可する"},
      {"security_dialog.buttonNo", "許可しない"},
      {"security_dialog.buttonInfo", "詳細情報"},
      {"security_dialog.buttonViewCert", "証明書を表示"},
      {"cert_dialog.caption", "証明書プロパティ"},
      {"cert_dialog.title", "証明書"},
      {"cert_dialog.field.Version", "バージョン"},
      {"cert_dialog.field.SerialNumber", "シリアル番号"},
      {"cert_dialog.field.SignatureAlg", "署名アルゴリズム"},
      {"cert_dialog.field.Issuer", "発行者"},
      {"cert_dialog.field.EffectiveDate", "実効日"},
      {"cert_dialog.field.ExpirationDate", "有効期限"},
      {"cert_dialog.field.Validity", "有効性"},
      {"cert_dialog.field.Subject", "被認証者"},
      {"cert_dialog.field.Signature", "署名"},
      {"cert_dialog.field", "フィールド"},
      {"cert_dialog.value", "値"},
      {"cert_dialog.issuerButton", "発行者"},
      {"cert_dialog.viewIssuerButton", "発行者を表示"},
      {"cert_dialog.okButton", "了解"},
      {"import_format_dialog.title", "エラー"},
      {"import_format_dialog.caption", "選択したファイルの形式が不適切です。インポートできません。"},
      {"import_password_dialog.title", "エラー"},
      {"import_password_dialog.caption", "入力したパスワードが不正です。"},
      {"cert_password_dialog.title", "パスワード"},
      {"cert_password_dialog.caption", "このファイルにアクセスするためのパスワードを入力してください:"},
      {"cert_export_dialog.title", "エラー"},
      {"cert_export_dialog.caption", "証明書はエクスポートされません。"},
      {"net.authenticate.title", "ネットワークパスワードの入力"},
      {"net.authenticate.label", "ユーザ名とパスワードを入力してください。"},
      {"net.authenticate.resource", "リソース:"},
      {"net.authenticate.username", "ユーザ名:"},
      {"net.authenticate.password", "パスワード:"},
      {"net.authenticate.firewall", "ファイアウォール:"},
      {"net.authenticate.realm", "領域:"},
      {"net.authenticate.scheme", "スキーマ:"},
      {"console.caption", "Java コンソール"},
      {"console.clear", "消去"},
      {"console.close", "閉じる"},
      {"console.copy", "コピー"},
      {"html.wrong_param", "必要なすべての HTML パラメータを決定できません。- HTML インストールの中止。\n"},
      {"html.cache_error", "HTML キャッシュのバージョンテーブルにアクセスできません - HTML インストールの中止。\n"},
      {"html.general_error", "HTML のインストールを完了できません。\n"},
      {"html.caption", "Java Plug-in HTML インストールの警告"},
      {"html.prompt_user", "このアプレットは、ローカルマシンに HTML ページをインストールして、デスクトップにショートカットを作成します。継続しますか?"},
      {"html.install.ok", "HTML のインストールが終了しました。"},
      {"html.install.fail", "HTML のインストールに失敗しました。"},
      {"optpkg.cert_expired", "証明書は有効期限が切れています - オプションインストールの中止。\n"},
      {"optpkg.cert_notyieldvalid", "証明書はまだ有効です - オプションパッケージインストールの中止。\n"},
      {"optpkg.cert_notverify", "証明書が有効かどうか確認できません - オプションパッケージインストールの中止。\n"},
      {"optpkg.general_error", "オプションパッケージをインストールできません。\n"},
      {"optpkg.caption", "Java オプションパッケージインストールの警告"},
      {"optpkg.wait_for_installer", "オプションパッケージインストールのプログラムを終了させてから、了解をクリックしてアプレットのロードを継続してください。"},
      {"optpkg.launch_installer", "オプションパッケージインストールのプログラムを起動してください。"},
      {"optpkg.prompt_user.new_spec.text", "アプレットには、{2} のオプションパッケージ \"{1}\" の新しいバージョン (仕様 {0}) が必要です"},
      {"optpkg.prompt_user.new_impl.text", "アプレットには、{2} のオプションパッケージ \"{1}\" の新しいバージョン (実装 {0}) が必要です"},
      {"optpkg.prompt_user.new_vendor.text", "アプレットには、{3} のオプションパッケージ \"{1}\" {2} の ({0}) が必要です"},
      {"optpkg.prompt_user.default.text", "アプレットには、{1} からオプションパッケージ \"{0}\" をインストールする必要があります"},
      {"rsa.cert_expired", "証明書は有効期限が切れています - コードは署名のないものとして処理されます。\n"},
      {"rsa.cert_notyieldvalid", "証明書はまだ有効です - コードは署名のないものとして処理されます。\n"},
      {"rsa.general_error", "証明書が有効かどうか確認できません - コードは署名のないものとして処理されます。\n"},
      {"rsa.cert_expired_prompt_user", "証明書は有効期限が切れています。この警告を無視し、継続しますか?\n"},
      {"rsa.cert_notyieldvalid_prompt_user", "証明書は有効期限が切れています。この警告を無視し、継続しますか?\n"},
      {"rsa.cert_invalid_prompt_user", "この証明書のルート CA を確認できません。この警告を無視し、継続しますか?\n"},
      {"usability.confirmDialogTitle", "Java Plug-in 確認ダイアログ"},
      {"usability.inputDialogTitle", "Java Plug-in 入力ダイアログ"},
      {"usability.messageDialogTitle", "Java Plug-in メッセージダイアログ"},
      {"usability.exceptionDialogTitle", "Java Plug-in 例外ダイアログ"},
      {"usability.optionDialogTitle", "Java Plug-in オプションダイアログ"},
      {"usability.aboutDialogTitle", "Java Plug-in について"},
      {"usability.confirm.yes", "はい"},
      {"usability.confirm.no", "いいえ"},
      {"usability.general_error", "一般的な例外\n"},
      {"usability.net_error", "ネットワーク例外\n"},
      {"usability.security_error", "セキュリティ例外\n"},
      {"usability.ext_error", "オプションパッケージのインストール例外\n"},
      {"usability.menu.show_console", "Java コンソールを表示"},
      {"usability.menu.hide_console", "Java コンソールを隠す"},
      {"usability.menu.about", "Java Plug-in について"},
      {"usability.menu.copy", "コピー"},
      {"proxy.auto_config.download_error", "自動プロキシ構成ファイルをダウンロードできません - 代替。\n"},
      {"proxy.error_caption", "プロキシ構成エラー"},
      {"proxy.prefsfile.nsreg_error", "プロキシ構成の設定ができません - 代替。\n"},
      {"applet_install.wrong_param", "不正なアプレットパラメータです - アプレットインストールの中止。\n"},
      {"applet_install.mutex_error", "キャッシュテーブルにロックを取得できません - アプレットインストールの中止。\n"},
      {"applet_install.io_error", "I/O Exception - アプレットインストールの中止。\n"},
      {"applet_install.jar_cache_error", "アプレットインストールの例外。\n"},
      {"applet_install.general_error", "アプレットインストールを完了できません。\n"},
      {"applet_install.caption", "Java Plug-in アプレットインストールの警告"},
      {"cache.error", "Java Plug-in キャッシュ例外"},
      {"cache.caption", "Java Plug-in キャッシュ警告"},
      {"cache.version_format_error", " は xxxx.xxxx.xxxx.xxxx 形式ではありません。ここで、x は 16 進数字です"},
      {"cache.version_attrib_error", "'cache_archive' で指定された属性の数が、'cache_version' の数と一致しません"},
      {"applet.progress.load", "アプレットをロードしています..."},
      {"applet.progress.init", "アプレットを初期化しています..."},
      {"applet.progress.start", "アプレットを開始しています..."},
      {"applet.progress.stop", "アプレットを停止しています..."},
      {"applet.progress.destroy", "アプレットを破棄しています..."},
      {"applet.progress.dispose", "アプレットを破棄しています..."},
      {"applet.progress.quit", "アプレットを終了しています..."},
      {"applet.progress.stoploading", "ロードを停止しました..."},
      {"applet.progress.interrupted", "スレッドを中断しました..."},
      {"applet.progress.joining", "アプレットスレッドを結合しています..."},
      {"applet.progress.joined", "アプレットスレッドを結合しました..."},
      {"applet.progress.loadClass", "クラスをロードしています "},
      {"applet.progress.loadResource", "リソースをロードしています "},
      {"applet.progress.loadImage", "イメージをロードしています "},
      {"applet.progress.loadAudio", "オーディオをロードしています "},
      {"applet.progress.findinfo.0", "情報を検索しています..."},
      {"applet.progress.findinfo.1", "完了..."},
      {"applet.progress.timeout.wait", "タイムアウトを待機しています..."},
      {"applet.progress.timeout.jointing", "接合しています..."},
      {"applet.progress.timeout.jointed", "接合を完了しました ..."},
      {"console.menu.text.top", "----------------------------------------------------\n"},
      {"console.menu.text.c", "c:   コンソールウィンドウをクリア\n"},
      {"console.menu.text.f", "f:   ファイナライズキューのオブジェクトをファイナライズ\n"},
      {"console.menu.text.g", "g:   ガベージコレクト\n"},
      {"console.menu.text.h", "h:   このヘルプメッセージを表示\n"},
      {"console.menu.text.l", "l:   クラスローダリストをダンプ\n"},
      {"console.menu.text.m", "m:   メモリ使用率を表示\n"},
      {"console.menu.text.o", "o:   トリガログ\n"},
      {"console.menu.text.p", "p:   プロキシ設定を再ロード\n"},
      {"console.menu.text.q", "q:   コンソールを非表示\n"},
      {"console.menu.text.r", "r:   ポリシー設定を再ロード\n"},
      {"console.menu.text.s", "s:   システムプロパティをダンプ\n"},
      {"console.menu.text.t", "t:   スレッドリストをダンプ\n"},
      {"console.menu.text.x", "x:   クラスローダキャッシュをクリア\n"},
      {"console.menu.text.0", "0-5: トレースレベルを <n> に設定\n"},
      {"console.menu.text.tail", "----------------------------------------------------\n"},
      {"console.done", "完了しました。"},
      {"console.trace.level.0", "トレースレベルを 0 に設定: なし ... 完了しました。"},
      {"console.trace.level.1", "トレースレベルを 1 に設定: 基本 ... 完了しました。"},
      {"console.trace.level.2", "トレースレベルを 2 に設定: 基本、ネットワーク ... 完了しました。"},
      {"console.trace.level.3", "トレースレベルを 3 に設定: 基本、ネットワーク、セキュリティ ... 完了しました。"},
      {"console.trace.level.4", "トレースレベルを 4 に設定: 基本、ネットワーク、セキュリティ、拡張機能 ... 完了しました。"},
      {"console.trace.level.5", "トレースレベルを 5 に設定: 基本、ネットワーク、セキュリティ、拡張機能、liveconnect ... 完了しました。"},
      {"console.log", "ログを設定します : "},
      {"console.completed", " .... 完了しました。"},
      {"console.dump.thread", "スレッドリストのダンプ ...\n"},
      {"console.dump.properties", "システムプロパティのダンプ ...\n"},
      {"console.clear.classloader", "クラスローダキャッシュの消去 .... 完了しました。"},
      {"console.reload.policy", "ポリシー設定の再ロード"},
      {"console.reload.proxy", "プロキシ設定の再ロード ...."},
      {"console.gc", "ガベージコレクト"},
      {"console.finalize", "ファイナライズキューのオブジェクトをファイナライズ"},
      {"console.memory", "メモリ: {0} K  空き容量: {1} K  ({2}%)"},
      {"modality.register", "登録済みのモーダリティリスナー"},
      {"modality.unregister", "未登録のモーダリティリスナー"},
      {"modality.pushed", "モーダリティがプッシュされました"},
      {"modality.popped", "モーダリティがポップされました"},
      {"progress.listener.added", "追加された進行リスナー: "},
      {"progress.listener.removed", "削除された進行リスナー: "},
      {"liveconnect.UniversalBrowserRead.enabled", "JavaScript: UniversalBrowserRead が有効です"},
      {"liveconnect.java.system", "JavaScript: Java システムコードを呼び出しています"},
      {"liveconnect.same.origin", "JavaScript: 呼び出し元および呼び出し先の起点が同じです"},
      {"liveconnect.default.policy", "JavaScript: デフォルトセキュリティポリシー = "},
      {"liveconnect.UniversalJavaPermission.enabled", "JavaScript: UniversalJavaPermission が有効です"},
      {"liveconnect.wrong.securitymodel", "Netscape セキュリティモデルは、現在サポートされていません。\nJava 2 セキュリティモデルに移行してください。\n"},
      {"jpicertstore.cert.loading", "JPI 証明書をロードしています: "},
      {"jpicertstore.cert.loaded", "JPI 証明書をロードしました: "},
      {"jpicertstore.cert.saving", "JPI 証明書を保存しています: "},
      {"jpicertstore.cert.saved", "JPI 証明書を保存しました: "},
      {"jpicertstore.cert.adding", "JPI 永久証明書ストアに証明書を追加しています"},
      {"jpicertstore.cert.added", "JPI 永久証明書ストアに証明書を別名として追加しました: "},
      {"jpicertstore.cert.removing", "JPI 永久証明書ストアの証明書を削除しています"},
      {"jpicertstore.cert.removed", "JPI 永久証明書ストアの証明書を別名として削除しました: "},
      {"jpicertstore.cert.instore", "証明書が JPI 永久証明書ストアにあるかどうかをチェックしています"},
      {"jpicertstore.cert.canverify", "JPI 永久証明書ストアの証明書を使って、証明書を検証できるかどうかをチェックしてください"},
      {"jpicertstore.cert.iterator", "JPI 永久証明書ストアにある証明書反復子を取得します"},
      {"jpihttpscertstore.cert.loading", "以下のファイルから JPI Https 証明書をロードしています: "},
      {"jpihttpscertstore.cert.loaded", "以下のファイルから JPI Https 証明書をロードしました: "},
      {"jpihttpscertstore.cert.saving", "以下のファイルに JPI Https 証明書を保存しています: "},
      {"jpihttpscertstore.cert.saved", "以下のファイルに JPI Https 証明書を保存しました: "},
      {"jpihttpscertstore.cert.adding", "JPI 永久証明書ストアに Https 証明書を追加しています: "},
      {"jpihttpscertstore.cert.added", "JPI 永久証明書ストアに Https 証明書を以下のエイリアスとして追加しました: "},
      {"jpihttpscertstore.cert.removing", "JPI 永久証明書ストアの Https 証明書を削除しています"},
      {"jpihttpscertstore.cert.removed", "以下のエイリアスとしての JPI 永久証明書ストアの Https 証明書を削除しました: "},
      {"jpihttpscertstore.cert.instore", "Https 証明書が JPI 永久証明書ストアにあるかどうかチェックしています"},
      {"jpihttpscertstore.cert.canverify", "JPI 永久証明書ストアの証明書を使って、Https 証明書を検証できるかどうかをチェックしてください"},
      {"jpihttpscertstore.cert.iterator", "JPI 永久証明書ストアにある Https 証明書反復子を取得します"},
      {"rootcertstore.cert.loading", "Root CA 証明書をロードしています: "},
      {"rootcertstore.cert.loaded", "Root CA 証明書をロードしました: "},
      {"rootcertstore.cert.noload", "Root CA 証明書ファイルが見つかりません: "},
      {"rootcertstore.cert.saving", "Root CA 証明書を保存しています: "},
      {"rootcertstore.cert.saved", "Root CA 証明書を保存しました: "},
      {"rootcertstore.cert.adding", "Root CA 証明書ストアに証明書を追加しています"},
      {"rootcertstore.cert.added", "Root CA 証明書ストアに証明書を別名として追加しました"},
      {"rootcertstore.cert.removing", "Root CA 証明書ストアの証明書を削除しています"},
      {"rootcertstore.cert.removed", "Root CA 証明書ストアの証明書を別名として削除しました"},
      {"rootcertstore.cert.instore", "証明書が Root CA 証明書ストアにあるかどうかをチェックしています"},
      {"rootcertstore.cert.canverify", "Root CA 証明書ストアの証明書を使って、証明書を検証できるかどうかをチェックしてください"},
      {"rootcertstore.cert.iterator", "Root CA 証明書ストアにある証明書反復子を取得します"},
      {"rootcertstore.cert.verify.ok", "Root CA 証明書を使用して、証明書は正常に検証されました"},
      {"rootcertstore.cert.verify.fail", "Root CA 証明書を使用した証明書の検証に失敗しました"},
      {"roothttpscertstore.cert.loading", "以下のファイルから Https Root CA 証明書をロードしています: "},
      {"roothttpscertstore.cert.loaded", "以下のファイルから Https Root CA 証明書をロードしました: "},
      {"roothttpscertstore.cert.noload", "Https Root CA 証明書ファイルが見つかりません: "},
      {"roothttpscertstore.cert.saving", "以下のファイルに Https Root CA 証明書を保存しています: "},
      {"roothttpscertstore.cert.saved", "以下のファイルに Https Root CA 証明書を保存しました: "},
      {"roothttpscertstore.cert.adding", "Https Root CA 証明書ストアに証明書を追加しています"},
      {"roothttpscertstore.cert.added", "Https Root CA 証明書ストアに証明書を以下のエイリアスとして追加しました: "},
      {"roothttpscertstore.cert.removing", "Https Root CA 証明書ストアの証明書を削除しています"},
      {"roothttpscertstore.cert.removed", "以下のエイリアスとしての Https Root CA 証明書ストアの証明書を削除しました: "},
      {"roothttpscertstore.cert.instore", "証明書が Https Root CA 証明書ストアにあるかどうかをチェックしています"},
      {"roothttpscertstore.cert.canverify", "Https Root CA 証明書ストアの証明書を使って、証明書を検証できるかどうかをチェックしてください"},
      {"roothttpscertstore.cert.iterator", "Https Root CA 証明書ストアにある証明書反復子を取得します"},
      {"roothttpscertstore.cert.verify.ok", "Https Root CA 証明書を使用して、証明書は正常に検証されました"},
      {"roothttpscertstore.cert.verify.fail", "Https Root CA 証明書を使用した証明書の検証に失敗しました"},
      {"sessioncertstore.cert.loading", "JPI セッション証明書ストアから証明書をロードしています"},
      {"sessioncertstore.cert.loaded", "JPI セッション証明書ストアから証明書をロードしました"},
      {"sessioncertstore.cert.saving", "JPI セッション証明書ストアに証明書を保存しています"},
      {"sessioncertstore.cert.saved", "JPI セッション証明書ストアに証明書を保存しました"},
      {"sessioncertstore.cert.adding", "JPI セッション証明書ストアに証明書を追加しています"},
      {"sessioncertstore.cert.added", "JPI セッション証明書ストアに証明書を追加しました"},
      {"sessioncertstore.cert.removing", "JPI セッション証明書ストアの証明書を削除しています"},
      {"sessioncertstore.cert.removed", "JPI セッション証明書ストアの証明書を削除しました"},
      {"sessioncertstore.cert.instore", "証明書が JPI セッション証明書ストアにあるかどうかをチェックしています"},
      {"sessioncertstore.cert.canverify", "JPI セッション証明書ストアの証明書を使って、証明書を検証できるかどうかをチェックしてください"},
      {"sessioncertstore.cert.iterator", "JPI セッション証明書ストアの証明書反復子を取得します"},
      {"hostnameverifier.automation.ignoremismatch", "自動化: ホスト名の不一致を無視"},
      {"pluginclassloader.deleting_files", "JAR ファイルをキャッシュから削除しています。"},
      {"pluginclassloader.file", "   キャッシュから削除: "},
      {"pluginclassloader.empty_file", " が空です。キャッシュから削除します。"},
      {"trustdecider.user.grant.session", "ユーザには、このセッションでのみ、コードへの権限が付与されています"},
      {"trustdecider.user.grant.forever", "ユーザには、永続的にコードへの権限が付与されています"},
      {"trustdecider.user.deny", "ユーザは、コードへの権限を拒否しています"},
      {"trustdecider.automation.trustcert", "自動化: 署名用の RSA 証明書を信頼する"},
      {"x509trustmgr.automation.ignoreclientcert", "自動化: 信頼されていないクライアント証明書を無視する"},
      {"x509trustmgr.automation.ignoreservercert", "自動化: 信頼されていないサーバ証明書を無視する"},
      {"appletcontext.audio.loaded", "ロードされたオーディオクリップ: "},
      {"appletcontext.image.loaded", "ロードされたイメージ: "},
      {"securitymgr.automation.printing", "自動化: 印刷を受け入れる"},
      {"classloaderinfo.referencing", "参照するクラスローダ: {0}, 参照数={1}"},
      {"classloaderinfo.releasing", "解放するクラスローダ: {0}, 参照数={1}"},
      {"classloaderinfo.caching", "キャッシュするクラスローダ: "},
      {"classloaderinfo.cachesize", "現在のクラスローダキャッシュサイズ: "},
      {"classloaderinfo.num", "キャッシュされたクラスローダ数が {0} を超え、{1} を参照しません"},
      {"cachehandler.filename", "キャッシュファイル名: "},
      {"trace.listener.added", "追加されたトレースリスナー: "},
      {"trace.listener.removed", "削除されたトレースリスナー: "},
      {"cookiehandler.cache", "クッキーキャッシュ: "},
      {"cookiehandler.server", "サーバ {0} が \"{1}\" でクッキー設定を要求しています"},
      {"cookiehandler.connect", "クッキー \"{1}\" で {0} に接続しています"},
      {"cookiehandler.ignore.setcookie", "クッキーサービスは現在利用できません - \"Set-Cookie\" は無視します。"},
      {"cookiehandler.noservice", "クッキーサービスは現在利用できません - キャッシュを使って \"クッキー\" の有無を判別します"},
      {"jsobject.eval", "{0} = {1} であるどうかを評価します。"},
      {"jsobject.call", "JSObject::call: 名前={0}, url={1}, アクセス権={2}"},
      {"jsobject.eval.url.permission", "JSObject::eval({0}), url={1}, アクセス権={2}"},
      {"jsobject.getMember", "JSObject::getMember: 名前={0}, url={1}, アクセス権={2}"},
      {"jsobject.setMember", "JSObject::setMember: 名前={0}, url={1}, アクセス権={2}"},
      {"jsobject.removeMember", "JSObject::removeMember: 名前={0}, url={1}, アクセス権={2}"},
      {"jsobject.getSlot", "JSObject::getSlot: {0}, url={1}, アクセス権={2}"},
      {"jsobject.setSlot", "JSObject::setSlot: スロット={0}, url={1}, アクセス権={2}"},
      {"applet_install.ok", "アプレットのインストールが終了しました。"},
      {"applet_install.fail", "アプレットのインストールに失敗しました。"},
      {"optpkg.install.info", "オプションパッケージのインストール: "},
      {"optpkg.install.fail", "オプションパッケージのインストールに失敗しました。"},
      {"optpkg.install.ok", "オプションパッケージのインストールは正常に実行されました。"},
      {"optpkg.install.automation", "自動化: オプションパッケージのインストールを受け入れる"},
      {"optpkg.install.granted", "ユーザによってオプションパッケージのダウンロードが許可されました。次の場所からダウンロードします: "},
      {"optpkg.install.deny", "オプションパッケージのダウンロードがユーザによって許可されませんでした"},
      {"optpkg.install.begin", "インストール中: "},
      {"optpkg.install.java.launch", "Java インストーラを起動しています"},
      {"optpkg.install.java.launch.command", "Java インストーラを起動します。次のファイルを使用します: "},
      {"optpkg.install.native.launch", "ネイティブインストーラを起動しています"},
      {"optpkg.install.native.launch.fail.0", "{0} を実行できません"},
      {"optpkg.install.native.launch.fail.1", "{0} にアクセスできませんでした"},
      {"optpkg.install.raw.launch", "Raw Optional Package のインストール"},
      {"optpkg.install.raw.copy", "Raw Optional Package を {0} から {1} にコピーしています"},
      {"optpkg.install.error.nomethod", "Dependent Extension Provider がインストールされていません : addExtensionInstallationProvider メソッドを取得できません"},
      {"optpkg.install.error.noclass", "Dependent Extension Provider がインストールされていません : sun.misc.ExtensionDependency クラスを取得できません"},
      {"bookmarkmgr.add", "ブックマーク \"{0}\" を {1} として追加"},
      {"bookmarkmgr.remove", "ブックマーク \"{0}\" を {1} として削除"},
      {"bookmarkmgr.remove.all", "すべてのブックマークを削除"},
      {"dialogfactory.user.selected", "ユーザ選択: "},
      {"dialogfactory.user.typed", "ユーザ入力: "},
      {"html.install.check", "HTML のインストールをチェックしています"},
      {"html.install.version.checklocal", "HTML ページのローカルバージョンをチェックしています"},
      {"html.install.version.remote.local", "リモート HTML ページのバージョン={0}, ローカル HTML ページのバージョン={1}"},
      {"html.install.local.uptodated", "ローカル HTML ページの方が最新です - インストールを終了します"},
      {"html.install.local.outdated", "ローカル HTML ページはもう存在していません - もう一度生成します"},
      {"html.install.remote.uptodated", "リモート HTML ページの方が最新です - ユーザに要求します"},
      {"html.install.info.missing", "ローカル HTML ページ情報がバージョンテーブルにありません - もう一度インストールします"},
      {"html.install.user.deny", "ユーザが HTML ページのインストールを拒否しています - HTML のインストールを中断します"},
      {"html.install.html.generate", "ローカル HTML ページを生成しています"},
      {"html.install.version.update", "ローカル HTML ページについてのバージョン情報を更新しています"},
      {"html.install.bookmark.add", "デスクトップにブックマークを追加します"},
      {"html.install.automation", "自動化: HTML のインストールを受け入れる"},
      {"progress_dialog.downloading", "Plug-in: ダウンロードしています..."},
      {"progress_dialog.dismiss_button", "取消し"},
      {"progress_dialog.from", "ダウンロード元"},
      {"applet_viewer.color_tag", "以下のタグに含まれているコンポーネントの数が不正です: "},
      {"progress_info.downloading", "JAR ファイルをダウンロードしています"},
      {"progress_bar.overflow", "有効な領域を越えて進行を描画しようとしました"},
      {"progress_bar.preload", "JAR ファイルを事前ロードしています: "},
      {"cache.size", "キャッシュサイズ: {0}"},
      {"cache.cleanup", "キャッシュサイズが {0} バイトになりました。クリーンアップが必要です"},
      {"cache.full", "キャッシュがフルです。ファイル {0} を削除しています"},
      {"cache.inuse", "ファイル {0} は、このアプリケーションで使用中のため削除できません"},
      {"cache.notdeleted", "ファイル {0} を削除できません。このアプリケーションおよび (または) ほかのアプリケーションで使用されている可能性があります"},
      {"cache.out_of_date", "キャッシュされた {0} のコピーは期限切れです\n  キャッシュされたコピー: {1}\n  サーバコピー: {2}"},
      {"cache.loading", "キャッシュから {0} をロードしています"},
      {"cache.cache_warning", "警告: {0} をキャッシュできません"},
      {"cache.downloading", "{0} をキャッシュにダウンロードしています"},
      {"cache.cached_name", "キャッシュされたファイル名: {0}"},
      {"cache.load_warning", "警告: キャッシュから {0} を読み込み中にエラーが発生しました。"},
      {"cache.disabled", "キャッシュはユーザによって無効にされました"},
      {"cache.minSize", "キャッシュは無効で、キャッシュ制限が {0} に設定されています。少なくとも 5M バイト以上のサイズを指定する必要があります。"},
      {"cache.directory_warning", "警告: {0} はディレクトリではありません。キャッシュは無効になります。"},
      {"cache.response_warning", "警告: {1} に対する予期しない応答 {0} です。ファイルは再度ダウンロードされます。"},
      {"cache.enabled", "キャッシュが有効になりました"},
      {"cache.location", "場所: {0}"},
      {"cache.maxSize", "最大サイズ: {0}"},
      {"cache.create_warning", "警告: キャッシュディレクトリ {0} を作成できません。キャッシングは無効になります。"},
      {"cache.read_warning", "警告: キャッシュディレクトリ {0} を読み込むことができません。キャッシングは無効になります。"},
      {"cache.write_warning", "警告: キャッシュディレクトリ {0} に書き込めません。キャッシングは無効になります。"},
      {"cache.compression", "圧縮レベル: {0}"},
      {"cache.cert_load", "{0} の証明書は JAR キャッシュから読み込まれます"},
      {"cache.jarjar.invalid_file", ".jarjar ファイルは .jar ファイル以外を含んでいます"},
      {"cache.jarjar.multiple_jar", ".jarjar ファイルは複数の .jar ファイルを含んでいます"},
      {"cache.version_checking", "{0} のバージョンを検査しています。指定バージョンは {1} です"},
      {"cache.preloading", "ファイル {0} を事前ロードしています"},
      {"cache_viewer.title", "Java Plug-in キャッシュビューア"},
      {"cache_viewer.refresh", "再表示"},
      {"cache_viewer.remove", "削除"},
      {"cache_viewer.close", "閉じる"},
      {"cache_viewer.name", "名前"},
      {"cache_viewer.type", "種類"},
      {"cache_viewer.size", "サイズ"},
      {"cache_viewer.modify_date", "最終更新日"},
      {"cache_viewer.expiry_date", "有効期限"},
      {"cache_viewer.url", "URL"},
      {"cache_viewer.version", "バージョン"},
      {"cache_viewer.help.name", "キャッシュされたファイル名"},
      {"cache_viewer.help.type", "キャッシュされたファイルの種類"},
      {"cache_viewer.help.size", "キャッシュされたファイルのサイズ"},
      {"cache_viewer.help.modify_date", "キャッシュされたファイルの最終更新日"},
      {"cache_viewer.help.expiry_date", "キャッシュされたファイルの有効期限"},
      {"cache_viewer.help.url", "キャッシュされたファイルのダウンロード URL"},
      {"cache_viewer.help.version", "キャッシュされたファイルのバージョン"},
      {"cache_viewer.delete", "{0} は削除できません。使用中の可能性があります"},
      {"cache_viewer.type.zip", "Jar"},
      {"cache_viewer.type.class", "クラス"},
      {"cache_viewer.type.wav", "WAVE サウンド"},
      {"cache_viewer.type.au", "Au サウンド"},
      {"cache_viewer.type.gif", "GIF イメージ"},
      {"cache_viewer.type.jpg", "JPEG イメージ"},
      {"net.proxy.loading.ie", "Internet Explorer からプロキシ設定をロードしています ..."},
      {"net.proxy.loading.ns", "Netscape Navigator からプロキシ設定をロードしています ..."},
      {"net.proxy.loading.userdef", "プロキシのユーザ定義設定をロードしています ..."},
      {"net.proxy.loading.direct", "プロキシのダイレクト設定をロードしています ..."},
      {"net.proxy.loading.manual", "プロキシの手動設定をロードしています ..."},
      {"net.proxy.loading.auto", "プロキシの自動設定をロードしています ..."},
      {"net.proxy.loading.browser", "プロキシのブラウザ設定をロードしています ..."},
      {"net.proxy.loading.manual.error", "プロキシの手動設定を使用できません - DIRECT に代替"},
      {"net.proxy.loading.auto.error", "プロキシの自動設定を使用できません - MANUAL に代替"},
      {"net.proxy.loading.done", "完了しました。"},
      {"net.proxy.browser.pref.read", "ユーザ設定ファイルを読み取っています: "},
      {"net.proxy.browser.proxyEnable", "    有効なプロキシ: "},
      {"net.proxy.browser.proxyList", "    プロキシリスト: "},
      {"net.proxy.browser.proxyOverride", "    無効にするプロキシ: "},
      {"net.proxy.browser.autoConfigURL", "    自動構成 URL: "},
      {"net.proxy.pattern.convert", "プロキシバイパスリストを正規表現に変換: "},
      {"net.proxy.pattern.convert.error", "プロキシバイパスリストを正規表現に変換できません - 無視"},
      {"net.proxy.auto.download.ins", "INS ファイルをダウンロードしています: "},
      {"net.proxy.auto.download.js", "自動プロキシファイルをダウンロードしています: "},
      {"net.proxy.auto.result.error", "評価からプロキシ設定を判定できません - DIRECT に代替"},
      {"net.proxy.service.not_available", "{0} に対してプロキシサービスは使用できません - デフォルトは DIRECT"},
      {"lifecycle.applet.found", "ライフサイクルキャッシュから、以前停止したままのアプレットが見つかりました"},
      {"lifecycle.applet.support", "アプレットは旧式のライフサイクルモデルをサポートするので、ライフサイクルキャッシュに追加します"},
      {"lifecycle.applet.cachefull", "ライフサイクルキャッシュがいっぱいなので、一番古いアプレットを削除します"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
