package sun.plugin.resources;

import java.util.ListResourceBundle;

public class Activator_zh_TW extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"welcome_message", "Java(TM) Plug-in 控制面板"},
      {"product_name", "Java(TM) Plug-in"},
      {"version", "版本"},
      {"default_vm_version", "預設 Virtual Machine 版本"},
      {"using_jre_version", "使用 JRE 版本"},
      {"user_home_dir", "使用者主目錄"},
      {"user_overriden_browser", "使用者已置換瀏覽器代理程式設定。"},
      {"proxy_configuration", "代理程式組態﹕"},
      {"browser_config", "瀏覽器代理設置"},
      {"auto_config", "自動代理配置"},
      {"manual_config", "手動配置"},
      {"no_proxy", "不代理"},
      {"proxy_is", "代理﹕"},
      {"proxy_override_is", "代理置換﹕"},
      {"loading", "載入"},
      {"java_applet", "Java Applet"},
      {"java_bean", "JavaBeans"},
      {"java_not_enabled", "Java 未被啟用"},
      {"java_cache_enabled", "JAR 快取記憶體已啟用"},
      {"java_cache_disabled", "JAR 快取記憶體已停用"},
      {"proxy_equals", "proxy="},
      {"net.connect.no_proxy", "不透過 Proxy 連接 {0}"},
      {"net.connect.proxy_is", "設定 Proxy={1} 來連接 {0} "},
      {"bean_code_and_ser", "Bean 無法同時定義 CODE 和 JAVA_OBJECT"},
      {"status", ""},
      {"status_applet", "Applet "},
      {"status_bean", "JavaBeans "},
      {"status_exception", "異常﹕"},
      {"ok.label", "確定"},
      {"print.title", "警告"},
      {"print.message", new String[]{"一個 Applet 想進行列印。", "是否確定？"}},
      {"print.yes", "是"},
      {"print.no", "否"},
      {"https_dialog.caption", "Java 安全性警告"},
      {"https_dialog.text", "伺服器安全性認證與您所嘗試要檢視的網頁名稱不相符。\n\n該 URL 的主機名稱為: {0}\n來自認證的主機名稱：{1}\n\n您要繼續嗎?"},
      {"https_dialog.unknown.host", "不明的主機"},
      {"security_dialog.caption", "Java 安全性警告"},
      {"security_dialog.text0", "您要安裝並執行由 \"{0}\" 所發送的具名 Applet 嗎?\n\n發行者 (Publisher) 可信度已經過 \"{1}\" 的驗驗"},
      {"security_dialog_https.text0", "您要接受網站 \"{0}\" 針對加密資訊交換所簽發的憑證嗎?\n\n發行者 (Publisher) 可信度已經過 \"{1}\" 的驗證"},
      {"security_dialog.text1", "\n注意：\"{0}\" 已提示這是一個安全的內容。只有在您自己也信任 \"{1}\" 提示資訊的前題下，才可以安裝/檢視此一內容。\n\n"},
      {"security_dialog.unknown.issuer", "不明的發卡機構"},
      {"security_dialog.unknown.subject", "不明的主題"},
      {"security_dialog.rootCANotValid", "安全證書由未授信的公司所發出。"},
      {"security_dialog.rootCAValid", "安全證書由授信的公司所發出。"},
      {"security_dialog.timeNotValid", "安全證書已過期或尚未生效。"},
      {"security_dialog.timeValid", "安全證書尚未過期且仍然有效。"},
      {"security_dialog.buttonAlways", "總是授予"},
      {"security_dialog.buttonYes", "授予此作業階段"},
      {"security_dialog.buttonNo", "拒絕"},
      {"security_dialog.buttonInfo", "其他資訊"},
      {"security_dialog.buttonViewCert", "檢視證書"},
      {"cert_dialog.caption", "證書屬性"},
      {"cert_dialog.title", "證書"},
      {"cert_dialog.field.Version", "版本"},
      {"cert_dialog.field.SerialNumber", "序號"},
      {"cert_dialog.field.SignatureAlg", "簽名演算法"},
      {"cert_dialog.field.Issuer", "核發者"},
      {"cert_dialog.field.EffectiveDate", "有效日期"},
      {"cert_dialog.field.ExpirationDate", "截止日期"},
      {"cert_dialog.field.Validity", "有效性"},
      {"cert_dialog.field.Subject", "主題"},
      {"cert_dialog.field.Signature", "簽名"},
      {"cert_dialog.field", "欄位"},
      {"cert_dialog.value", "數值"},
      {"cert_dialog.issuerButton", "核發者"},
      {"cert_dialog.viewIssuerButton", "檢視核發者"},
      {"cert_dialog.okButton", "確定"},
      {"import_format_dialog.title", "錯誤"},
      {"import_format_dialog.caption", "選定檔案的格式不正確，無法匯入。"},
      {"import_password_dialog.title", "錯誤"},
      {"import_password_dialog.caption", "您輸入的密碼不正確。"},
      {"cert_password_dialog.title", "密碼"},
      {"cert_password_dialog.caption", "請輸入密碼以存取此檔案："},
      {"cert_export_dialog.title", "錯誤"},
      {"cert_export_dialog.caption", "將不會匯出任何證書。"},
      {"net.authenticate.title", "輸入網路密碼"},
      {"net.authenticate.label", "請鍵入您的使用者名稱及密碼。"},
      {"net.authenticate.resource", "資源﹕"},
      {"net.authenticate.username", "使用者名稱﹕"},
      {"net.authenticate.password", "密碼："},
      {"net.authenticate.firewall", "防火牆："},
      {"net.authenticate.realm", "範疇："},
      {"net.authenticate.scheme", "機制："},
      {"console.caption", "Java 主控台"},
      {"console.clear", "清除"},
      {"console.close", "結束"},
      {"console.copy", "複製"},
      {"html.wrong_param", "無法決定所有必要的 HTML 參數 - 中斷 HTML 安裝。\n"},
      {"html.cache_error", "無法存取 HTML 快取記憶體的版本參照表 - 中斷 HTML 安裝。\n"},
      {"html.general_error", "無法完成 HTML 安裝。\n"},
      {"html.caption", "Java Plug-in HTML 安裝警告"},
      {"html.prompt_user", "這個 Applet 要求在您的本機上安裝 HTML 頁面，並且在桌面建立捷徑。您想要繼續嗎？"},
      {"html.install.ok", "HTML 安裝已完成。"},
      {"html.install.fail", "HTML 安裝失敗。"},
      {"optpkg.cert_expired", "證書已過期 - 中斷選擇性套裝軟體的安裝。\n"},
      {"optpkg.cert_notyieldvalid", "證書尚未生效 - 中斷選擇性套裝軟體的安裝。\n"},
      {"optpkg.cert_notverify", "無法驗證證書 - 中斷選擇性套裝軟體的安裝。\n"},
      {"optpkg.general_error", "無法安裝選擇性套裝軟體。\n"},
      {"optpkg.caption", "Java 選用套裝軟體安裝警告"},
      {"optpkg.wait_for_installer", "請按「確定」以繼續在結束選擇性套裝軟體安裝程式之後載入 Applet。"},
      {"optpkg.launch_installer", "啟動選擇性套裝軟體安裝程式"},
      {"optpkg.prompt_user.new_spec.text", "這個 Applet 必須要從 {2} 取得較新版本 (規格 {0}) 的選用套裝軟體 \"{1}\""},
      {"optpkg.prompt_user.new_impl.text", "這個 Applet 必須要從 {2} 取得較新版本 (建置 {0}) 的選用套裝軟體 \"{1}\""},
      {"optpkg.prompt_user.new_vendor.text", "這個 Applet 必須要從 {3} 取得選用套裝軟體 \"{1}\" {2} 的 ({0})"},
      {"optpkg.prompt_user.default.text", "這個 Applet 必須要安裝 {1} 中的選用套裝軟體 \"{0}\""},
      {"rsa.cert_expired", "證書已過期 - 程式碼將被視為無簽名的。\n"},
      {"rsa.cert_notyieldvalid", "證書尚未生效 - 程式碼將被視為無簽名的。\n"},
      {"rsa.general_error", "無法檢驗證書 - 程式碼將被視為無簽名的。\n"},
      {"rsa.cert_expired_prompt_user", "證書已過期。您想要忽略這個警告並繼續進行嗎？\n"},
      {"rsa.cert_notyieldvalid_prompt_user", "證書尚未生效。您想要忽略這個警告並繼續進行嗎？\n"},
      {"rsa.cert_invalid_prompt_user", "無法確認這個認證的 root CA。您想要忽略這個警告並繼續嗎？\n"},
      {"usability.confirmDialogTitle", "Java Plug-in 確認對話方塊"},
      {"usability.inputDialogTitle", "Java Plug-in 輸入對話方塊"},
      {"usability.messageDialogTitle", "Java Plug-in 訊息對話方塊"},
      {"usability.exceptionDialogTitle", "Java Plug-in 異常對話方塊"},
      {"usability.optionDialogTitle", "Java Plug-in 選項對話方塊"},
      {"usability.aboutDialogTitle", "關於 Java Plug-in"},
      {"usability.confirm.yes", "是"},
      {"usability.confirm.no", "否"},
      {"usability.general_error", "一般性異常。\n"},
      {"usability.net_error", "網路異常。\n"},
      {"usability.security_error", "安全性異常。\n"},
      {"usability.ext_error", "選擇性套裝軟體安裝異常。\n"},
      {"usability.menu.show_console", "顯示 Java Console"},
      {"usability.menu.hide_console", "隱藏 Java Console"},
      {"usability.menu.about", "關於 Java Plug-in"},
      {"usability.menu.copy", "複製"},
      {"proxy.auto_config.download_error", "無法下載自動代理配置檔案 - 請採應急措施。\n"},
      {"proxy.error_caption", "代理配置錯誤"},
      {"proxy.prefsfile.nsreg_error", "無法取得代理配置設定值 - 請採應急措施\n"},
      {"applet_install.wrong_param", "無效的 Applet 參數 - 中斷 Applet 的安裝。\n"},
      {"applet_install.mutex_error", "無法取得快取記憶體參照表上的鎖定 - 中斷 Applet 的安裝。\n"},
      {"applet_install.io_error", "I/O 異常 - 中斷 Applet 的安裝。\n"},
      {"applet_install.jar_cache_error", "Applet 安裝異常。\n"},
      {"applet_install.general_error", "無法完成 Applet 的安裝。\n"},
      {"applet_install.caption", "Java Plug-in Applet 安裝警告"},
      {"cache.error", "Java Plug-in 快取異常狀況"},
      {"cache.caption", "Java Plug-in 快取警告"},
      {"cache.version_format_error", " 不是 xxxx.xxxx.xxxx.xxxx 的格式，x 為十六進制數字"},
      {"cache.version_attrib_error", "在 'cache_archive' 中指定的屬性數目與 'cache_version' 中的不相符。"},
      {"applet.progress.load", "載入 Applet 中..."},
      {"applet.progress.init", "正在起始設定 Applet..."},
      {"applet.progress.start", "正在啟動 Applet..."},
      {"applet.progress.stop", "正在停止 Applet..."},
      {"applet.progress.destroy", "正在銷毀 Applet..."},
      {"applet.progress.dispose", "正在棄置 Applet..."},
      {"applet.progress.quit", "正在退出 Applet..."},
      {"applet.progress.stoploading", "已停止載入..."},
      {"applet.progress.interrupted", "中斷的執行緒..."},
      {"applet.progress.joining", "正在合併 Applet 執行緒..."},
      {"applet.progress.joined", "已合併 Applet 執行緒..."},
      {"applet.progress.loadClass", "正在載入類別 "},
      {"applet.progress.loadResource", "正在載入資源 "},
      {"applet.progress.loadImage", "正在載入影像 "},
      {"applet.progress.loadAudio", "正在載入音訊 "},
      {"applet.progress.findinfo.0", "正在尋找資訊..."},
      {"applet.progress.findinfo.1", "已完成..."},
      {"applet.progress.timeout.wait", "等待逾時中..."},
      {"applet.progress.findinfo.1", "已完成..."},
      {"applet.progress.timeout.wait", "等待逾時中..."},
      {"applet.progress.timeout.jointing", "正在執行一項合併..."},
      {"applet.progress.timeout.jointed", "已完成合併 ..."},
      {"console.menu.text.top", "----------------------------------------------------\n"},
      {"console.menu.text.c", "c:   清除主控台視窗\n"},
      {"console.menu.text.f", "f:   結束在結束佇列上的物件\n"},
      {"console.menu.text.g", "g:   垃圾收集\n"},
      {"console.menu.text.h", "h:   顯示此說明訊息\n"},
      {"console.menu.text.l", "l:   傾印類別載入器清單\n"},
      {"console.menu.text.m", "m:   列印記憶體用量\n"},
      {"console.menu.text.o", "o:   觸發記錄\n"},
      {"console.menu.text.p", "p:   重新載入 Proxy 配置\n"},
      {"console.menu.text.q", "q:   隱藏主控台\n"},
      {"console.menu.text.r", "r:   重新載入策略配置\n"},
      {"console.menu.text.s", "s:   傾印系統內容\n"},
      {"console.menu.text.t", "t:   傾印執行緒清單\n"},
      {"console.menu.text.x", "x:   清除類別載入器快取\n"},
      {"console.menu.text.0", "0-5: 將追蹤層次設定成 <n>\n"},
      {"console.menu.text.tail", "----------------------------------------------------\n"},
      {"console.done", "完成。"},
      {"console.trace.level.0", "追蹤層次設定成 0：沒有 ... 已完成。"},
      {"console.trace.level.1", "追蹤層次設定成 1：basic ... 已完成。"},
      {"console.trace.level.2", "追蹤層次設定成 2：basic、net ... 已完成。"},
      {"console.trace.level.3", "追蹤層次設定成 3：basic、net、security ... 已完成。"},
      {"console.trace.level.4", "追蹤層次設定成 4：basic、net、security、ext ... 已完成。"},
      {"console.trace.level.5", "追蹤層次設定成 5：basic、net、security、ext、liveconnect ... 已完成。"},
      {"console.log", "記錄設定成： "},
      {"console.completed", " .... 已完成。"},
      {"console.dump.thread", "傾印執行緒清單 ...\n"},
      {"console.dump.properties", "傾印系統內容 ...\n"},
      {"console.clear.classloader", "清除類別載入器快取 .... 已完成。"},
      {"console.reload.policy", "重新載入策略配置"},
      {"console.reload.proxy", "重新載入 Proxy 配置 ...."},
      {"console.gc", "垃圾收集"},
      {"console.finalize", "結束在結束佇列上的物件"},
      {"console.memory", "記憶體：{0}K  可用：{1}K  ({2}%) "},
      {"modality.register", "已登錄形式接收程式"},
      {"modality.unregister", "未登錄的形式偵聽程式"},
      {"modality.pushed", "形式已推展"},
      {"modality.popped", "形式已呈現"},
      {"progress.listener.added", "新增的進度偵聽程式： "},
      {"progress.listener.removed", "移除的進度偵聽程式： "},
      {"liveconnect.UniversalBrowserRead.enabled", "JavaScript：UniversalBrowserRead 已啟用"},
      {"liveconnect.java.system", "JavaScript：呼叫 Java 系統程式碼"},
      {"liveconnect.same.origin", "JavaScript：呼叫程式與被呼叫的程式具有相同的發端"},
      {"liveconnect.default.policy", "JavaScript：預設的安全原則 = "},
      {"liveconnect.UniversalJavaPermission.enabled", "JavaScript：UniversalJavaPermission 已啟用"},
      {"liveconnect.wrong.securitymodel", "Netscape 安全模型已不再受支援。\n請移轉至 Java 2 安全模型。\n"},
      {"jpicertstore.cert.loading", "正在載入 JPI 證書從 "},
      {"jpicertstore.cert.loaded", "已載入的 JPI 證書從 "},
      {"jpicertstore.cert.saving", "將 JPI 證書儲存在 "},
      {"jpicertstore.cert.saved", "已儲存的 JPI 證書在 "},
      {"jpicertstore.cert.adding", "在 JPI 永久證書儲存庫新增證書"},
      {"jpicertstore.cert.added", "在 JPI 永久證書儲存庫中已新增做為別名的證書 "},
      {"jpicertstore.cert.removing", "移除在 JPI 永久證書儲存庫的證書"},
      {"jpicertstore.cert.removed", "在 JPI 永久證書儲存庫做為別名的已移除之證書 "},
      {"jpicertstore.cert.instore", "檢查證書是否在 JPI 永久證書儲存庫"},
      {"jpicertstore.cert.canverify", "檢查證書是否可使用 JPI 永久證書儲存庫中的證書來驗證"},
      {"jpicertstore.cert.iterator", "取得 JPI 永久證書儲存庫中的證書重覆器"},
      {"jpihttpscertstore.cert.loading", "正自下列位置載入 JPI Https 證書："},
      {"jpihttpscertstore.cert.loaded", "已自下列位置載入 JPI Https 證書："},
      {"jpihttpscertstore.cert.saving", "正在下列位置儲存 JPI Https 證書："},
      {"jpihttpscertstore.cert.saved", "已在下列位置儲存 JPI Https 證書："},
      {"jpihttpscertstore.cert.adding", "正在 JPI 永久證書儲存庫中新增 Https 證書"},
      {"jpihttpscertstore.cert.added", "已在 JPI 永久證書儲存庫中新增作為別名的 Https 證書"},
      {"jpihttpscertstore.cert.removing", "正在 JPI 永久證書儲存庫中移除 Https 證書"},
      {"jpihttpscertstore.cert.removed", "已在 JPI 永久證書儲存庫中移除為別名的 Https 證書"},
      {"jpihttpscertstore.cert.instore", "檢查 Https 證書是否在 JPI 永久證書儲存庫中"},
      {"jpihttpscertstore.cert.canverify", "檢查 Https 證書是否可以使用 JPI 永久證書儲存庫中的證書檢驗"},
      {"jpihttpscertstore.cert.iterator", "取得 JPI 永久證書儲存庫中的 Https 證書重覆器"},
      {"rootcertstore.cert.loading", "載入根 CA 證書，從 "},
      {"rootcertstore.cert.loaded", "已載入的根 CA 證書，從 "},
      {"rootcertstore.cert.noload", "無法找到 Root CA 證書檔案："},
      {"rootcertstore.cert.saving", "正在將根 CA 證書儲存到 "},
      {"rootcertstore.cert.saved", "已儲存的根 CA 證書，於 "},
      {"rootcertstore.cert.adding", "新增根 CA 證書儲存庫中的證書"},
      {"rootcertstore.cert.added", "在根 CA 證書儲存庫中做為別名的已新增之證書 "},
      {"rootcertstore.cert.removing", "正在移除根 CA 證書儲存庫中的證書"},
      {"rootcertstore.cert.removed", "根 CA 證書儲存庫中已移除的證書 "},
      {"rootcertstore.cert.instore", "檢查證書是否在根 CA 證書儲存庫中"},
      {"rootcertstore.cert.canverify", "檢查證書是否可使用根 CA 證書儲存庫中的證書來驗證"},
      {"rootcertstore.cert.iterator", "取得根 CA 證書儲存庫中的證書"},
      {"rootcertstore.cert.verify.ok", "證書已順利通過根 CA 證書的驗證"},
      {"rootcertstore.cert.verify.fail", "證書未通過根 CA 證書的驗證"},
      {"roothttpscertstore.cert.loading", "正自以下位置載入 Https Root CA 證書："},
      {"roothttpscertstore.cert.loaded", "已自以下位置載入 Https Root CA 證書："},
      {"roothttpscertstore.cert.noload", "無法找到 Https Root CA 證書檔案："},
      {"roothttpscertstore.cert.saving", "正在以下位置儲存 Https Root CA 證書："},
      {"roothttpscertstore.cert.saved", "已在以下位置儲存 Https Root CA 證書："},
      {"roothttpscertstore.cert.adding", "正在 Https Root CA 證書儲存庫新增證書"},
      {"roothttpscertstore.cert.added", "已在 Https Root CA 證書儲存庫中新增作為別名的證書"},
      {"roothttpscertstore.cert.removing", "正在從 Https Root CA 證書儲存庫中移除證書"},
      {"roothttpscertstore.cert.removed", "已從 Https Root CA 證書儲存庫中移除作為別名的證書 "},
      {"roothttpscertstore.cert.instore", "檢查證書是否在 Https Root CA 證書儲存庫中"},
      {"roothttpscertstore.cert.canverify", "檢查證書是否可以使用 Https Root CA 證書儲存庫中的證書檢驗"},
      {"roothttpscertstore.cert.iterator", "在 Https Root CA 證書儲存庫中取得證書重覆器"},
      {"roothttpscertstore.cert.verify.ok", "證書已經過 Https Root CA 證書檢驗成功"},
      {"roothttpscertstore.cert.verify.fail", "證書經過 Https Root CA 證書檢驗失敗"},
      {"sessioncertstore.cert.loading", "正在從 JPI 階段作業證書儲存庫中載入證書"},
      {"sessioncertstore.cert.loaded", "從 JPI 階段作業證書儲存庫中載入的證書"},
      {"sessioncertstore.cert.saving", "正在儲存  JPI 階段作業證書儲存庫中的證書"},
      {"sessioncertstore.cert.saved", " JPI 階段作業證書儲存庫已儲存的證書"},
      {"sessioncertstore.cert.adding", "正在新增 JPI 階段作業證書儲存庫中的證書"},
      {"sessioncertstore.cert.added", "JPI 階段作業證書儲存庫已新增的證書"},
      {"sessioncertstore.cert.removing", "正在移除 JPI 階段作業證書儲存庫中證書"},
      {"sessioncertstore.cert.removed", " JPI 階段作業證書儲存庫已移除的證書"},
      {"sessioncertstore.cert.instore", "檢查證書是否在 JPI 階段作業證書儲存庫中"},
      {"sessioncertstore.cert.canverify", "檢查是否可使用 JPI 階段作業證書儲存庫中的證書來驗證證書"},
      {"sessioncertstore.cert.iterator", "取得 JPI 階段作業證書儲存庫中的證書重覆器"},
      {"hostnameverifier.automation.ignoremismatch", "自動化：忽略主電腦名稱不符"},
      {"pluginclassloader.deleting_files", "刪除快取中的 JAR 檔。"},
      {"pluginclassloader.file", "   從快取中刪除 "},
      {"pluginclassloader.empty_file", " 是空的，從快取中刪除。"},
      {"trustdecider.user.grant.session", "使用者只對此階段作業授與程式碼的專用權"},
      {"trustdecider.user.grant.forever", "使用者對此程式碼授與永久的專用權"},
      {"trustdecider.user.deny", "使用者已拒絕對程式碼的專用權"},
      {"trustdecider.automation.trustcert", "自動化：簽章的信任 RSA 證書"},
      {"x509trustmgr.automation.ignoreclientcert", "自動化：忽略未信任的用戶端證書"},
      {"x509trustmgr.automation.ignoreservercert", "自動化：忽略未信任的伺服器證書"},
      {"appletcontext.audio.loaded", "已載入的音效片段： "},
      {"appletcontext.image.loaded", "已載入的影像： "},
      {"securitymgr.automation.printing", "自動化：接受列印"},
      {"classloaderinfo.referencing", "參考類別載入器: {0}，refcount={1}"},
      {"classloaderinfo.releasing", "釋放類別載入器: {0}，refcount={1}"},
      {"classloaderinfo.caching", "快取類別載入器： "},
      {"classloaderinfo.cachesize", "現行的類別載入器快取大小： "},
      {"classloaderinfo.num", "快取類別載入器的數目已超過 {0}，未參考 {1}"},
      {"cachehandler.filename", "快取檔案名稱： "},
      {"trace.listener.added", "已新增追蹤接收程式： "},
      {"trace.listener.removed", "已移除追蹤接收程式： "},
      {"cookiehandler.cache", "Cookie 快取： "},
      {"cookiehandler.server", "伺服器 {0} 要求以 \"{1}\" 來 set-cookie"},
      {"cookiehandler.connect", "使用 Cookie \"{1}\" 來連接 {0}"},
      {"cookiehandler.ignore.setcookie", "無法使用 Cookie 服務 - 忽略 \"Set-Cookie\""},
      {"cookiehandler.noservice", "無法使用 Cookie 服務 - 使用快取來決定 \"Cookie\""},
      {"jsobject.eval", "Evaluate {0} = {1}"},
      {"jsobject.call", "JSObject::call: name={0}, url={1}, permission={2}"},
      {"jsobject.eval.url.permission", "JSObject::eval({0}), url={1}, permission={2}"},
      {"jsobject.getMember", "JSObject::getMember: name={0}, url={1}, permission={2}"},
      {"jsobject.setMember", "JSObject::setMember: name={0}, url={1}, permission={2}"},
      {"jsobject.removeMember", "JSObject::removeMember: name={0}, url={1}, permission={2}"},
      {"jsobject.getSlot", "JSObject::getSlot: {0}, url={1}, permission={2}"},
      {"jsobject.setSlot", "JSObject::setSlot: slot={0}, url={1}, permission={2}"},
      {"applet_install.ok", "Applet 安裝已結束。"},
      {"applet_install.fail", "Applet 安裝已失敗。"},
      {"optpkg.install.info", "正在安裝選用的套裝軟體 "},
      {"optpkg.install.fail", "選用的套裝軟體安裝已失敗。"},
      {"optpkg.install.ok", "選用的套裝軟體安裝已成功。"},
      {"optpkg.install.automation", "自動化：接受選用的套裝軟體安裝"},
      {"optpkg.install.granted", "使用者授與的選用的套裝軟體下載，下載來源： "},
      {"optpkg.install.deny", "使用者未授與選用的套裝軟體下載"},
      {"optpkg.install.begin", "正在安裝 "},
      {"optpkg.install.java.launch", "啟動 Java Installer"},
      {"optpkg.install.java.launch.command", "啟動 Java Installer，透過 "},
      {"optpkg.install.native.launch", "啟動原生的 Installer"},
      {"optpkg.install.native.launch.fail.0", "無法執行 {0}"},
      {"optpkg.install.native.launch.fail.1", "存取 {0} 失敗"},
      {"optpkg.install.raw.launch", "正在安裝原始的選用套裝軟體"},
      {"optpkg.install.raw.copy", "將「原始選用的套裝軟體」從 {0} 複製到 {1}"},
      {"optpkg.install.error.nomethod", "未安裝 Dependent Extension Provider：無法取得  addExtensionInstallationProvider 方法"},
      {"optpkg.install.error.noclass", "未安裝 Dependent Extension Provider：無法取得 sun.misc.ExtensionDependency 類別"},
      {"bookmarkmgr.add", "將書籤 \"{0}\" 新增為 {1}"},
      {"bookmarkmgr.remove", "將書籤 \"{0}\" 移除為 {1}"},
      {"bookmarkmgr.remove.all", "移除所有的書籤"},
      {"dialogfactory.user.selected", "所選的使用者： "},
      {"dialogfactory.user.typed", "已鍵入的使用者： "},
      {"html.install.check", "正在檢查 HTML 安裝"},
      {"html.install.version.checklocal", "正在檢查本地版本的 HTML 頁"},
      {"html.install.version.remote.local", "遠端 HTML 頁版本={0}, 本機 HTML 頁版本={1}"},
      {"html.install.local.uptodated", "本機 HTML 頁為最新的版本 - 安裝已完成"},
      {"html.install.local.outdated", "本機 HTML 頁已不存在 - 再次產生"},
      {"html.install.remote.uptodated", "遠端 HTML 頁為最新的版本 - 提示使用者"},
      {"html.install.info.missing", "版本表格中遺失本端 HTML 頁資訊 - 再次安裝"},
      {"html.install.user.deny", "使用者已拒絕安裝 HTML 頁 - HTML 安裝異常中止"},
      {"html.install.html.generate", "產生本端 HTML 頁"},
      {"html.install.version.update", "更新關於本端 HTML 頁的資訊版本"},
      {"html.install.bookmark.add", "新增書籤到桌面"},
      {"html.install.automation", "自動化：接受 HTML 安裝"},
      {"progress_dialog.downloading", "Plug-in：下載中..."},
      {"progress_dialog.dismiss_button", "解散"},
      {"progress_dialog.from", "從"},
      {"applet_viewer.color_tag", "在以下位置的元件號碼不正確："},
      {"progress_info.downloading", "正在下載 JAR 檔"},
      {"progress_bar.overflow", "嘗試在有效區域上描繪進度"},
      {"progress_bar.preload", "正在預先載入 JAR 檔： "},
      {"cache.size", "快取大小: {0}"},
      {"cache.cleanup", "快取的大小已達: {0} 個位元組，必須執行清除作業"},
      {"cache.full", "快取已滿: 正在刪除檔案 {0}"},
      {"cache.inuse", "由於這個應用程式仍在使用檔案 {0}，所以無法刪除這個檔案"},
      {"cache.notdeleted", "無法刪除檔案 {0}，可能是此應用程式和（或）其他的應用程式仍在使用這個檔案"},
      {"cache.out_of_date", "{0} 的快取複本已過時\n 快取的副本為: {1}\n 伺服器的副本為: {2}"},
      {"cache.loading", "正在從快取中載入 {0}"},
      {"cache.cache_warning", "警告: 無法快取 {0}"},
      {"cache.downloading", "正在將 {0} 下載至快取中"},
      {"cache.cached_name", "已快取的檔案名稱: {0}"},
      {"cache.load_warning", "警告：從快取中讀取 {0} 時發生錯誤。"},
      {"cache.disabled", "使用者已停用快取"},
      {"cache.minSize", "快取已停用，快取上限設定為 {0}，至少需指定 5 MB"},
      {"cache.directory_warning", "警告: {0} 不是一個目錄; 將停用快取功能。"},
      {"cache.response_warning", "警告: 發生了 {1} 非預期的回應 {0}; 會重新下載檔案。"},
      {"cache.enabled", "已啟用快取"},
      {"cache.location", "位置: {0}"},
      {"cache.maxSize", "大小上限: {0}"},
      {"cache.create_warning", "警告: 無法建立快取目錄 {0}; 將停用快取功能。"},
      {"cache.read_warning", "警告: 無法讀取快取目錄 {0}; 將停用快取功能。"},
      {"cache.write_warning", "警告: 無法寫入至快取目錄 {0}; 將停用快取功能。"},
      {"cache.compression", "壓縮層級: {0}"},
      {"cache.cert_load", "已從 JAR 快取中讀取 {0} 的證書"},
      {"cache.jarjar.invalid_file", ".jarjar 檔案內含非 .jar 的檔案"},
      {"cache.jarjar.multiple_jar", ".jarjar 檔案內含一個以上的 .jar 檔案"},
      {"cache.version_checking", "檢查 {0} 的版本，所指定的版本為 {1}"},
      {"cache.preloading", "正在預先載入檔案 {0}"},
      {"cache_viewer.title", "Java 外掛程式快取檢視程式"},
      {"cache_viewer.refresh", "更新"},
      {"cache_viewer.remove", "刪除"},
      {"cache_viewer.close", "關閉"},
      {"cache_viewer.name", "名稱"},
      {"cache_viewer.type", "類型"},
      {"cache_viewer.size", "大小"},
      {"cache_viewer.modify_date", "最後更新時間"},
      {"cache_viewer.expiry_date", "過期日期"},
      {"cache_viewer.url", "URL"},
      {"cache_viewer.version", "版本"},
      {"cache_viewer.help.name", "快取的檔案名稱"},
      {"cache_viewer.help.type", "快取的檔案類型"},
      {"cache_viewer.help.size", "快取的檔案大小"},
      {"cache_viewer.help.modify_date", "快取檔案最後的修改時間"},
      {"cache_viewer.help.expiry_date", "快取檔案到期日期"},
      {"cache_viewer.help.url", "快取檔案下載 URL"},
      {"cache_viewer.help.version", "快取的檔案版本"},
      {"cache_viewer.delete", "無法刪除 {0}，可能在使用中"},
      {"cache_viewer.type.zip", "Jar"},
      {"cache_viewer.type.class", "類別"},
      {"cache_viewer.type.wav", "Wav 聲音"},
      {"cache_viewer.type.au", "Au 聲音"},
      {"cache_viewer.type.gif", "Gif 影像"},
      {"cache_viewer.type.jpg", "Jpeg 影像"},
      {"net.proxy.loading.ie", "正在從 Internet Explorer 載入 Proxy 配置 ..."},
      {"net.proxy.loading.ns", "正在從 Netscape Navigator 載入 Proxy 配置 ..."},
      {"net.proxy.loading.userdef", "正在載入使用者定義的 Proxy 配置 ..."},
      {"net.proxy.loading.direct", "正在載入直接 Proxy 配置 ..."},
      {"net.proxy.loading.manual", "正在載入手動 Proxy 配置 ..."},
      {"net.proxy.loading.auto", "正在載入自動 Proxy 配置 ..."},
      {"net.proxy.loading.browser", "正在載入瀏覽器 Proxy 配置 ..."},
      {"net.proxy.loading.manual.error", "無法使用手動 Proxy 配置 - 返回到 DIRECT"},
      {"net.proxy.loading.auto.error", "無法使用自動 Proxy 配置 - 返回到 MANUAL"},
      {"net.proxy.loading.done", "完成。"},
      {"net.proxy.browser.pref.read", "正在讀取使用者個人喜好設定檔，從 "},
      {"net.proxy.browser.proxyEnable", "    Proxy 啟用： "},
      {"net.proxy.browser.proxyList", "    Proxy 清單： "},
      {"net.proxy.browser.proxyOverride", "    Proxy 置換： "},
      {"net.proxy.browser.autoConfigURL", "    自動配置 URL： "},
      {"net.proxy.pattern.convert", "將 Proxy 旁通清單轉換成正規表示式： "},
      {"net.proxy.pattern.convert.error", "無法將 Proxy 旁通清單轉換成正規表示式 - 忽略"},
      {"net.proxy.auto.download.ins", "正在下載 INS 檔案，從 "},
      {"net.proxy.auto.download.js", "正在下載自動 Proxy 檔案，從 "},
      {"net.proxy.auto.result.error", "無法從評估來決定 Proxy 設定 -  失效折返成 DIRECT"},
      {"net.proxy.service.not_available", "沒有 {0} 可用的 Proxy 服務 - 預設使用 DIRECT"},
      {"lifecycle.applet.found", "從生命週期快取找到之前停止的 Applet"},
      {"lifecycle.applet.support", "Applet 支援繼承的生命週期模式 - 新增 Applet 至生命週期快取"},
      {"lifecycle.applet.cachefull", "生命週期快取已滿 - 請刪改最近最不常用的 Applet"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
