package sun.plugin.resources;

import java.util.ListResourceBundle;

public class ControlPanel extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"advanced.jre_format", "JRE {0} in {1}"},
      {"advanced.jdk_format", "JDK {0} in {1}"},
      {"panel.about", "About"},
      {"panel.basic", "Basic"},
      {"panel.advanced", "Advanced"},
      {"panel.browser", "Browser"},
      {"panel.proxies", "Proxies"},
      {"panel.cert", "Certificates"},
      {"panel.apply", "Apply"},
      {"panel.cancel", "Reset"},
      {"panel.apply_failed", "Failed to write property file"},
      {"panel.apply_failed_title", "Apply Failed"},
      {"basic.enable_java", "Enable Java Plug-in"},
      {"basic.cache_jars", "Cache JARs in memory"},
      {"basic.show_exception", "Show Exception Dialog Box"},
      {"basic.recycle_classloader", "Recycle Classloader"},
      {"basic.java_console", "Java Console"},
      {"basic.show_console", "Show console"},
      {"basic.hide_console", "Hide console"},
      {"basic.no_console", "Do not start console"},
      {"advanced.jre_name", "Java Runtime Environment"},
      {"advanced.path", "Other JDK/JRE "},
      {"advanced.enable_jit", "Enable Just In Time Compiler"},
      {"advanced.jit_path", "JIT path"},
      {"advanced.enable_debug", "Enable Debug"},
      {"advanced.debug_settings", "Debug Settings"},
      {"advanced.debug_port", "Connection Address :"},
      {"advanced.other_jdk", "Other..."},
      {"advanced.default_jdk", "Use Java Plug-in Default"},
      {"advanced.jre_selection_warning.info", "Selecting a Java Runtime other than \"Default\" is not recommended."},
      {"advanced.file_message", "You selected an invalid directory.  Please check your selection to make sure that it is not a file or non-existing directory."},
      {"advanced.java_parms", "Java Runtime Parameters"},
      {"browser.settings", "Settings"},
      {"browser.desc.text", "Java(TM) Plug-in will be used as the default Java Runtime in the following browser(s):"},
      {"browser.ie.text", "Microsoft Internet Explorer"},
      {"browser.ns6.text", "Netscape 6"},
      {"browser.settings.success.caption", "Congratulations"},
      {"browser.settings.fail.caption", "Warning"},
      {"browser.settings.success.text", "You have successfully changed browser settings. It will be in effect after browser(s) restart."},
      {
            "browser.settings.fail.ie.text",
            "Unable to change settings in Internet Explorer. Please check if you have login as a user who have sufficient permissions to change system settings."
      },
      {
            "browser.settings.fail.ns6.text",
            "Unable to change settings in Netscape 6. Please check if you have Netscape 6 installed on this system, or if you have login as a user who have sufficient permissions to change system settings."
      },
      {"browser.settings.alert.text", "Internet Explorer already has a newer version of Java runtime. Would you like to replace it?"},
      {"proxy.use_browser", "Use browser settings"},
      {"proxy.proxy_settings", "Proxy Settings"},
      {"proxy.protocol_type", "Type"},
      {"proxy.proxy_protocol", "Protocol"},
      {"proxy.proxy_address", "Address"},
      {"proxy.proxy_port", "Port"},
      {"proxy.http", "HTTP"},
      {"proxy.ftp", "FTP"},
      {"proxy.gopher", "Gopher"},
      {"proxy.https", "Secure"},
      {"proxy.socks", "Socks"},
      {"proxy.same_for_all_protocols", "Same proxy server for all protocols"},
      {"proxy.bypass", "No proxy host (Use comma to separate multiple hosts)"},
      {"proxy.autourl", "Automatic proxy configuration URL"},
      {"cert.netscape_object_signing", "Netscape Object Signing Certificates"},
      {"cert.description", "The following certificates are trusted by Java Plug-in:"},
      {"cert.remove_button", "Remove"},
      {"cert.import_button", "Import"},
      {"cert.export_button", "Export"},
      {"cert.details_button", "Details"},
      {"cert.viewcert_button", "View Certificate"},
      {"cert.rbutton_signed_applet", "Signed applet"},
      {"cert.rbutton_secure_site", "Secure site"},
      {"cert.rbutton_signer_ca", "Signer CA"},
      {"cert.rbutton_secure_site_ca", "Secure site CA"},
      {"cert.SignedApplet_value", "SignedApplet"},
      {"cert.SecureSite_value", "SecureSite"},
      {"cert.SignerCA_value", "SignerCA"},
      {"cert.SecureSiteCA_value", "SecureSiteCA"},
      {"cert.settings", "Certificates"},
      {"main.control_panel_title", "Java(TM) Plug-in Properties"},
      {"main.control_panel_caption", "Java(TM) Plug-in Control Panel"},
      {
            "config.property_file_header",
            "# Java(TM) Plug-in Properties\n# DO NOT EDIT THIS FILE.  It is machine generated.\n# Use the Activator Control Panel to edit properties."
      },
      {"panel.cache", "Cache"},
      {"cache.html_cache", "HTML Cache"},
      {"cache.jar_cache", " JAR Cache"},
      {"cache.clear_html_cache", "Clear HTML Cache"},
      {"cache.clear_jar_cache", "Clear JAR Cache"},
      {"cache.clear_html_cache_from", "Cleared HTML Cache from "},
      {"cache.clear_jar_cache_from", "Cleared JAR Cache from "},
      {"cache.caption", "Clear cache"},
      {"jarcache.location", "Location"},
      {"jarcache.select", "Select"},
      {"jarcache.kb", "KB"},
      {"jarcache.bytes", "bytes"},
      {"jarcache.clear", "Clear Cache"},
      {"jarcache.view", "View files in Cache"},
      {"jarcache.no_compression", "None"},
      {"jarcache.select_tooltip", "Use selected location"},
      {"jarcache.select_mnemonic", "S"},
      {"jarcache.maximum", "Maximum"},
      {"jarcache.unlimited", "Unlimited"},
      {"jarcache.high_compression", "High"},
      {"jarcache.compression", "Jar compression"},
      {"jarcache.mb", "MB"},
      {"jarcache.size", "Size"},
      {"jarcache.settings", "Cache Settings"},
      {"jarcache.confirm", "Erase all files in {0}?"},
      {"jarcache.select_title", "Cache Location"},
      {"jarcache.enabled", "Enable Caching"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
