package sun.plugin.resources;

import java.util.ListResourceBundle;

public class ControlPanel_zh_CN extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"advanced.jre_format", "JRE {0} 在 {1} 中"},
      {"advanced.jdk_format", "JDK {0} 在 {1} 中"},
      {"panel.about", "关于"},
      {"panel.basic", "初级"},
      {"panel.advanced", "高级"},
      {"panel.browser", "浏览器"},
      {"panel.proxies", "代理"},
      {"panel.cert", "证书"},
      {"panel.apply", "应用"},
      {"panel.cancel", "重设"},
      {"panel.apply_failed", "写属性文件失败"},
      {"panel.apply_failed_title", "应用失败"},
      {"basic.enable_java", "启用 Java Plug-in"},
      {"basic.cache_jars", "将 JAR 高速缓存于内存中"},
      {"basic.show_exception", "显示异常对话框"},
      {"basic.recycle_classloader", "回收类载入程序"},
      {"basic.java_console", "Java 控制台"},
      {"basic.show_console", "显示控制台"},
      {"basic.hide_console", "隐藏控制台"},
      {"basic.no_console", "不要启动控制台"},
      {"advanced.jre_name", "Java Runtime Environment"},
      {"advanced.path", "其他 JDK/JRE"},
      {"advanced.enable_jit", "启用“适时”编译器"},
      {"advanced.jit_path", "JIT 路径"},
      {"advanced.enable_debug", "启用调试"},
      {"advanced.debug_settings", "调试设置"},
      {"advanced.debug_port", "连接地址:"},
      {"advanced.other_jdk", "其它..."},
      {"advanced.default_jdk", "使用 Java Plug-in 缺省值"},
      {"advanced.jre_selection_warning.info", "不推荐这样的做法：选择 Java Runtime 而不选择 \"Default\"。"},
      {"advanced.file_message", "您选择了一个无效的目录。  请检查您的选择以确保您选择的不是一个文件或不存在的目录。"},
      {"advanced.java_parms", "Java Runtime 参数"},
      {"browser.settings", "设置"},
      {"browser.desc.text", "Java(TM) Plug-in 将用作以下浏览器的缺省 Java Runtime"},
      {"browser.ie.text", "Microsoft Internet Explorer"},
      {"browser.ns6.text", "Netscape 6"},
      {"browser.settings.success.caption", "恭喜"},
      {"browser.settings.fail.caption", "警告"},
      {"browser.settings.success.text", "您已成功地更改了浏览器设置。在浏览器重新启动后将生效。"},
      {"browser.settings.fail.ie.text", "未能更改 Internet Explorer 的设置。 请检查您是否具有更改系统设置的足够权限进行登录"},
      {"browser.settings.fail.ns6.text", "未能更改 Netscape 6 的设置。请检查此系统上是否已装有 Netscape 6，或您是否已以用户的身份登录 是否具有更改系统设置的足够权限进行登录。"},
      {"browser.settings.alert.text", "Internet Explorer 已装有更新版本的 Java runtime。您是否要更换它？"},
      {"proxy.use_browser", "使用浏览器设置"},
      {"proxy.proxy_settings", "代理设置"},
      {"proxy.protocol_type", "类型"},
      {"proxy.proxy_protocol", "协议"},
      {"proxy.proxy_address", "地址"},
      {"proxy.proxy_port", "端口"},
      {"proxy.http", "HTTP"},
      {"proxy.ftp", "FTP"},
      {"proxy.gopher", "Gopher"},
      {"proxy.https", "Secure"},
      {"proxy.socks", "Socks"},
      {"proxy.same_for_all_protocols", "同一代理服务器支持所有协议"},
      {"proxy.bypass", "没有任何代理主机 （使用逗号分隔多个主机）"},
      {"proxy.autourl", "自动代理配置 URL"},
      {"cert.netscape_object_signing", "Netscape 对象签署证书"},
      {"cert.description", "以下证书是由 Java Plug-in 认可:"},
      {"cert.remove_button", "删除"},
      {"cert.import_button", "导入"},
      {"cert.export_button", "导出"},
      {"cert.details_button", "详细信息"},
      {"cert.viewcert_button", "查看证书"},
      {"cert.rbutton_signed_applet", "带签名的小程序"},
      {"cert.rbutton_secure_site", "安全站点"},
      {"cert.rbutton_signer_ca", "签名者 CA"},
      {"cert.rbutton_secure_site_ca", "安全站点 CA"},
      {"cert.SignedApplet_value", "带签名的小程序"},
      {"cert.SecureSite_value", "安全站点"},
      {"cert.SignerCA_value", "签名者 CA"},
      {"cert.SecureSiteCA_value", "安全站点 CA"},
      {"cert.settings", "证书"},
      {"main.control_panel_title", "Java(TM) Plug-in 属性"},
      {"main.control_panel_caption", "Java(TM) Plug-in 控制面板"},
      {"config.property_file_header", "# Java(TM) Plug-in 属性\n# 不要编辑此文件。这是由机器生成的。\n# 使用“激活程序”控制面板来编辑属性。"},
      {"panel.cache", "高速缓存"},
      {"cache.html_cache", "HTML 高速缓存"},
      {"cache.jar_cache", " JAR 高速缓存"},
      {"cache.clear_html_cache", "清除 HTML 高速缓存"},
      {"cache.clear_jar_cache", "清除 JAR 高速缓存"},
      {"cache.clear_html_cache_from", "已从此处清除 HTML 高速缓存 "},
      {"cache.clear_jar_cache_from", "已从此处清除 JAR 高速缓存 "},
      {"cache.caption", "清除高速缓存"},
      {"jarcache.location", "位置"},
      {"jarcache.select", "选择"},
      {"jarcache.kb", "KB"},
      {"jarcache.bytes", "字节"},
      {"jarcache.clear", "清除高速缓存"},
      {"jarcache.view", "查看高速缓存中的文件"},
      {"jarcache.no_compression", "无"},
      {"jarcache.select_tooltip", "使用选择的位置"},
      {"jarcache.select_mnemonic", "S"},
      {"jarcache.maximum", "最大"},
      {"jarcache.unlimited", "无限制的"},
      {"jarcache.high_compression", "高"},
      {"jarcache.compression", "Jar 压缩"},
      {"jarcache.mb", "MB"},
      {"jarcache.size", "大小"},
      {"jarcache.settings", "高速缓存设置"},
      {"jarcache.confirm", "是否擦除 {0} 中的所有文件？"},
      {"jarcache.select_title", "高速缓存位置"},
      {"jarcache.enabled", "启用高速缓存"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
