package sunw.demo.classfile;

import java.io.DataOutputStream;
import java.io.IOException;

final class ExceptionTableEntry {
   private short startPC;
   private short stopPC;
   private short handlerPC;
   private ClassConstant exceptionType;

   ExceptionTableEntry(short var1, short var2, short var3, ClassConstant var4) {
      this.startPC = var1;
      this.stopPC = var2;
      this.handlerPC = var3;
      this.exceptionType = var4;
   }

   void write(DataOutputStream var1) throws IOException {
      var1.writeShort(this.startPC);
      var1.writeShort(this.stopPC);
      var1.writeShort(this.handlerPC);
      if (this.exceptionType != null) {
         var1.writeShort(this.exceptionType.getConstantPoolIndex());
      } else {
         var1.writeShort(0);
      }
   }
}
