package sunw.demo.classfile;

import java.io.DataOutputStream;
import java.io.IOException;

class LongConstant extends ConstantPoolEntry {
   private long longish;

   LongConstant(long var1, ClassFile var3) {
      super((byte)5, var3);
      this.longish = var1;
      this.addToConstantPool();
   }

   void write(DataOutputStream var1) throws IOException {
      var1.writeByte(this.getTag());
      var1.writeLong(this.longish);
   }

   long getValue() {
      return this.longish;
   }

   public boolean equals(Object var1) {
      if (var1 instanceof Long) {
         return this.longish == (Long)var1;
      } else if (var1 instanceof LongConstant) {
         LongConstant var2 = (LongConstant)var1;
         return this.longish == var2.getValue();
      } else {
         return false;
      }
   }

   public int hashCode() {
      return (int)this.longish;
   }
}
