package amp.powerboard.clientapi.common;

public class CConst {
   public static final String CONSOLE_MANAGER = "CONSOLE_MANAGER";
   public static final String SC_AMP = "SC_AMP";
   public static final String CEREBUS_X16 = "CEREBUS_X16";
   public static final String CEREBUS_X16_APP = "CEREBUS_X16_APP";
   public static final String SESSION_ID = "SESSION_ID";
   public static final String CEREBUS_X32 = "CEREBUS_X32";
   public static final String CEREBUS_X32_APP = "CEREBUS_X32_APP";
   public static final String COMMAND_CENTER = "COMMAND_CENTER";
   public static final String CEREBUS_X16_PLUS = "CEREBUS_X16+";
   public static final String CEREBUS_X32_PLUS = "CEREBUS_X32+";
   public static final String DC = "DC";
   public static final String RX_SHIM = "RX_SHIM";
   public static final int DATA_EXCEPTION_ID = 1;
   public static final int DATA_FORMAT_EXCEPTION_ID = 6;
   public static final int CONNECTION_EXCEPTION_ID = 2;
   public static final int LOGIN_EXCEPTION_ID = 3;
   public static final int SECURITY_EXCEPTION_ID = 4;
   public static final int PARAM_MISSING_EXCEPTION_ID = 5;
   public static final int INVALID_IP_EXCEPTION_ID = 7;
   public static final int IO_EXCEPTION_ID = 8;
   public static final int CONNECTION_LOST_EXCEPTION_ID = 9;
   public static final int USER_ALREADY_LOGGED_EXCEPTION_ID = 10;
   public static final int MAX_USER_EXCEEDED_EXCEPTION_ID = 11;
   public static final int INVALID_USER_EXCEPTION_ID = 12;
   public static final int ROLE_MISMATCH_EXCEPTION_ID = 13;
   public static final int NOT_MASTER_EXCEPTION_ID = 14;
   public static final int NOT_LOGGED_EXCEPTION_ID = 15;
   public static final int ALREADY_LOGGED_EXCEPTION_ID = 16;
   public static final int CONFIG_NOT_SAVED_EXCEPTION_ID = 17;
   public static final int BOX_UNINITIALISED_EXCEPTION_ID = 18;
   public static final int CONSOLE_ALREADY_CONNECTED_EXCEPTION_ID = 19;
   public static final int CONFIG_NOT_LOCKED_EXCEPTION_ID = 20;
   public static final int Type_Int = 1;
   public static final int Type_Long = 2;
   public static final int Type_String = 3;
   public static final int Type_Short = 4;
   public static final int Type_Double = 5;
   public static final int VECTOR_SIZE = 6;
   public static final int Type_ByteArray = 7;
   public static final int Type_Boolean = 8;
   public static final int Type_IntArray = 9;
   public static final int Type_StringArray = 10;
   public static final int NO_OPCODE = 0;
   public static final int TIMEOUT_ID = 1;
   public static final int READ_ERRORID = 2;
   public static final int WRONG_FORMATID = 3;
   public static final int WRONGID = 4;
   public static final int CONSOLE_FAIL = 5;
   public static final int INTERNAL_CODE = 4000;
   public static final int LOCK_REQUIRED = 4001;
   public static final String DATA_EXCEPTION_MSG = "Data Exception";
   public static final String CONNECTION_EXCEPTION_MSG = "Connection Exception";
   public static final String LOGIN_EXCEPTION_MSG = "Login Exception";
   public static final String SECURITY_EXCEPTION_MSG = "Security Exception";
   public static final String SECURITY_EXCEPTION_UPGRADE = "Upgrading the Box,Try after Upgrading Finished";
   public static final String SECURITY_EXCEPTION_RESET = "Box Is Reseted,Try Again by Reloading";
   public static final String SECURITY_EXCEPTION_CLOSED = "Connection to Box Closed,Try Again by Reloading";
   public static final String SECURITY_EXCEPTION_DATANOTCHANGED = "Configuration Data is Not Changed";
   public static final String PARAM_MISSING_EXCEPTION_MSG = "Check the Values Entered";
   public static final String DATA_FORMAT_EXCEPTION_MSG = "Illegal Data Format";
   public static final String INVALID_IP_EXCEPTION_MSG = "Invalid Host IP Address";
   public static final String IO_EXCEPTION_MSG = "IOException";
   public static final String CONNECTION_LOST_EXCEPTION_MSG = "Connection Lost";
   public static final String DATA_CANNOTBE_SEND = "Data cannot be send over the Network,Connection Failed";
   public static final String USER_ALREADY_LOGGED_EXCEPTION_MSG = "User Already Logged";
   public static final String MAX_USER_EXCEEDED_EXCEPTION_MSG = "Maximum user limit exceeded,Try after some Time";
   public static final String INVALID_USER_EXCEPTION_MSG = "Your login is incorrect or your challenge key has expired";
   public static final String ROLE_MISMATCH_EXCEPTION_MSG = " User does not have any Rights to Perform this Operation";
   public static final String NOT_MASTER_EXCEPTION_MSG = "User is not a master";
   public static final String NOT_LOGGED_EXCEPTION_MSG = "User not Logged In";
   public static final String ALREADY_LOGGED_EXCEPTION_MSG = "Session Still Active,Logout and Login Again";
   public static final String BOX_UNINITIALISED_EXCEPTION_MSG = "The Box is not Initialised";
   public static final String CONFIG_NOT_LOCKED_EXCEPTION_MSG = "Config Lock is not Obtained.";
   public static final String FIRST_TIME_LOGIN_NAME = "prospero";
   public static final String VT100 = "0";
   public static final String HP2392 = "1";
   public static final String TIMEOUT_DATA = "YOUR SESSION CLOSED";
   public static final String READ_ERROR_DATA = "Error In Reading Data";
   public static final String WRONG_FORMAT_DATA = "Illegal Data Format";
   public static final String WRONG_OPCODE = "Undefined Opcode";
   public static final String CONSOLE_FAIL_DATA = "Error reading from CONSOLE";
   public static final String CONFIG_NOT_SAVED_EXCEPTION_MSG = "ConfigurationData is changed";
   public static final String CONSOLE_ALREADY_CONNECTED_EXCEPTION_MSG = "Console is Already connected ,Please close the console and reconnect Again ";
   public static final String RESET_FAILED_MESSAGE = "You are going to Reboot without saving the Configuration;The config was modified by ";
   public static final String LOGOUT_MESSAGE1 = "You are now disconnected from the Secure Console";
   public static final String LOGOUT_MESSAGE2 = "You can reconnect by accessing the Secure Console URL";
   public static final String MAX_CONFIG_USERS_MESSAGE1 = "The Maximum od 10 users has already been configured";
   public static final String MAX_CONFIG_USERS_MESSAGE2 = "You cannot define more Users";
   public static final String RESET_WARN_MESSAGE = "The following users will be disconnected";
   public static final String CHALLENGE_ID = "ChallengeId";
   public static final String CHALLENGE = "Challenge";
   public static final String BOX_STATE = "BoxState";
   public static final String IP_ADDRESS = "IPAddress";
   public static final String PORT_ADDRESS = "PortAddress";
   public static final String RC4_KEY = "RC4Key";
   public static final String PRODUCT = "Product";
   public static final String TERMINAL_TYPE = "TerminalType";
   public static final String USE_FRAME = "UseFrame";
   public static final String MENUBAR = "MenuBar";
   public static final String TITLE = "Title";
   public static final String SCROLLBAR = "ScrollBar";
   public static final String SUB_TITLE = "SubTitle";
   public static final String VERSION = "Version";
   public static final String PLATFORM = "Platform";
   public static final String DEVICENAME = "DeviceName";
   public static final String USERNAME = "USERNAME";
   public static final String SSL_PRODUCT = "SCSSL";
   public static final String SUBPLATFORM = "SubPlatform";
   public static final String DEVICE_ID = "DeviceId";
   public static final String CHANNEL_ID = "ChannelId";
   public static final String HTTP_PORT = "80";
   public static final String DELIM = ">";
   public static final String CODES = "\"";
   public static final String EQUAL = "=";
   public static final int WIN95 = -1;
   public static final int WINNT = 0;
   public static final int SERVER_PORT = 23;
   public static String BOX_INIT_HOST_NAME = "HOST_NAME";
   public static String BOX_INIT_IP_ADDRESS = "IP_ADDRESS";
   public static String BOX_INIT_SUBNET = "SUBNET";
   public static String BOX_INIT_GATEWAY = "GATEWAY";
   public static String BOX_INIT_PORT_ADDRESS = "PORT_ADDRESS";
   public static String BOX_INIT_TERMINAL_TYPE = "TERMINAL_TYPE";
   public static String BOX_INIT_DEVICE_NAME = "DEVICE_NAME";
   public static String BOX_INIT_USE_SSL = "USE_SSL";
   public static String BOX_INIT_NUMPORTS = "NUMPORTS";
   public static String BOX_INIT_PORTS = "PORTS";
   public static String BOX_INIT_USER_ID = "USER_ID";
   public static String BOX_INIT_LOGIN = "LOGIN";
   public static String BOX_INIT_CAPABILITY = "CAPABILITY";
   public static String BOX_INIT_USER_NAME = "USER_NAME";
   public static String BOX_INIT_USER_INFO = "USER_INFO";
   public static String BOX_INIT_PASSWORD = "PASSWORD";
   public static final int SAVE_REQUESTED = 21;
   public static final int SAVE_CANCELLED = 22;
   public static final int COMMIT_REQUESTED = 23;
   public static final int COMMIT_CANCELLED = 24;
}
