package amp.powerboard.clientapi.event;

public class CGetModemStatusEvent extends CDataEvent {
   private int enabled;
   private int numRings;
   private int baudRate;
   private int pppServerIp;
   private int pppClientIp;
   private int modemStatus;

   public CGetModemStatusEvent(int var1, int var2, int var3, int var4, int var5, int var6, boolean var7, String var8) {
      super(60, var7);
      this.enabled = var1;
      this.numRings = var2;
      this.baudRate = var3;
      this.pppServerIp = var4;
      this.pppClientIp = var5;
      this.modemStatus = var6;
      super.lockerName = var8;
   }

   public CGetModemStatusEvent(boolean var1, String var2) {
      super(60, var1);
      super.lockerName = var2;
   }

   public int getEnabled() {
      return this.enabled;
   }

   public int getNumRings() {
      return this.numRings;
   }

   public int getBaudRate() {
      return this.baudRate;
   }

   public int getPppServerIp() {
      return this.pppServerIp;
   }

   public int getPppClientIp() {
      return this.pppClientIp;
   }

   public int getModemStatus() {
      return this.modemStatus;
   }

   public void setModemStatusData(CInternalModemEvent var1) {
      this.enabled = var1.getEnabled();
      this.numRings = var1.getNumRings();
      this.baudRate = var1.getBaudRate();
      this.pppServerIp = var1.getPppServerIp();
      this.pppClientIp = var1.getPppClientIp();
      this.modemStatus = var1.getModemStatus();
   }
}
