package amp.powerboard.clientapi.event;

public class CGetNetworkEvent extends CDataEvent {
   private String hostName;
   private String subnetMask;
   private String ipAddress;
   private int portAddress;
   private int useSSL;
   private String defGateway;
   private String terminalType;

   public CGetNetworkEvent(String var1, String var2, int var3, String var4, String var5, String var6, int var7, boolean var8, String var9) {
      super(5, var8);
      this.hostName = var1;
      this.subnetMask = var4;
      this.ipAddress = var2;
      this.portAddress = var3;
      this.defGateway = var5;
      this.terminalType = var6;
      this.useSSL = var7;
      super.lockerName = var9;
   }

   public CGetNetworkEvent(boolean var1, String var2) {
      super(5, var1);
      super.lockerName = var2;
   }

   public String gethostName() {
      return this.hostName;
   }

   public String getipAddress() {
      return this.ipAddress;
   }

   public int getportAddress() {
      return this.portAddress;
   }

   public int getuseSSL() {
      return this.useSSL;
   }

   public String getsubnetMask() {
      return this.subnetMask;
   }

   public String getdefGateway() {
      return this.defGateway;
   }

   public String getterminalType() {
      return this.terminalType;
   }

   public void setNeworkData(CInternalNetworkEvent var1) {
      this.hostName = var1.gethostName();
      this.subnetMask = var1.getsubnetMask();
      this.ipAddress = var1.getipAddress();
      this.portAddress = var1.getportAddress();
      this.defGateway = var1.getdefGateway();
      this.terminalType = var1.getterminalType();
      this.useSSL = var1.getuseSSL();
   }
}
