package amp.powerboard.clientapi.event;

public class CGetPingMonitoringEvent extends CDataEvent {
   private int enabled;
   private int numIPs;
   private int[] ipAddresses;
   private int interval;

   public CGetPingMonitoringEvent(int var1, int var2, int[] var3, int var4, boolean var5, String var6) {
      super(29, var5);
      this.enabled = var1;
      this.numIPs = var2;
      this.ipAddresses = var3;
      this.interval = var4;
      super.lockerName = var6;
   }

   public CGetPingMonitoringEvent(boolean var1, String var2) {
      super(29, var1);
      super.lockerName = var2;
   }

   public int getenabled() {
      return this.enabled;
   }

   public int getnumIPs() {
      return this.numIPs;
   }

   public int[] getipAddresses() {
      return this.ipAddresses;
   }

   public int getinterval() {
      return this.interval;
   }

   public void setPingMonitoringData(CInternalPingMonitoringEvent var1) {
      this.enabled = var1.getenabled();
      this.numIPs = var1.getnumIPs();
      this.ipAddresses = var1.getipAddresses();
      this.interval = var1.getinterval();
   }
}
