package amp.powerboard.clientapi.event;

public class CGetRadClientEvent extends CDataEvent {
   private int primaryIp;
   private String primaryPwd;
   private int primaryPort;
   private int secondaryIp;
   private String secondaryPwd;
   private int secondaryPort;
   private int enabled;

   public CGetRadClientEvent(int var1, String var2, int var3, int var4, String var5, int var6, int var7, boolean var8, String var9) {
      super(49, var8);
      this.primaryIp = var1;
      this.primaryPwd = var2;
      this.primaryPort = var3;
      this.secondaryIp = var4;
      this.secondaryPwd = var5;
      this.secondaryPort = var6;
      this.enabled = var7;
      super.lockerName = var9;
   }

   public CGetRadClientEvent(boolean var1, String var2) {
      super(49, var1);
      super.lockerName = var2;
   }

   public int getEnabled() {
      return this.enabled;
   }

   public int getPrimaryIp() {
      return this.primaryIp;
   }

   public String getPrimaryPwd() {
      return this.primaryPwd;
   }

   public int getPrimaryPort() {
      return this.primaryPort;
   }

   public int getSecondaryIp() {
      return this.secondaryIp;
   }

   public String getSecondaryPwd() {
      return this.secondaryPwd;
   }

   public int getSecondaryPort() {
      return this.secondaryPort;
   }

   public void setRadClientData(CInternalRadClientEvent var1) {
      this.primaryIp = var1.getPrimaryIp();
      this.primaryPwd = var1.getPrimaryPwd();
      this.primaryPort = var1.getPrimaryPort();
      this.secondaryIp = var1.getSecondaryIp();
      this.secondaryPwd = var1.getSecondaryPwd();
      this.secondaryPort = var1.getSecondaryPort();
      this.enabled = var1.getEnabled();
   }
}
