package amp.powerboard.clientapi.event;

public class CGetSNMPAgentEvent extends CDataEvent {
   private int enabled;
   private String[] communities;
   private int writable;
   private String contact;
   private String location;

   public CGetSNMPAgentEvent(int var1, String[] var2, int var3, String var4, String var5, boolean var6, String var7) {
      super(40, var6);
      this.enabled = var1;
      this.communities = var2;
      this.writable = var3;
      this.contact = var4;
      this.location = var5;
      super.lockerName = var7;
   }

   public CGetSNMPAgentEvent(boolean var1, String var2) {
      super(40, var1);
      super.lockerName = var2;
   }

   public int getenabled() {
      return this.enabled;
   }

   public String[] getcommunities() {
      return this.communities;
   }

   public int getwritable() {
      return this.writable;
   }

   public String getcontact() {
      return this.contact;
   }

   public String getlocation() {
      return this.location;
   }

   public void setSNMPAgentData(CInternalSNMPAgentEvent var1) {
      this.enabled = var1.getenabled();
      this.communities = var1.getcommunities();
      this.writable = var1.getwritable();
      this.contact = var1.getcontact();
      this.location = var1.getlocation();
   }
}
