package amp.powerboard.clientapi.event;

public class CGetTimeEvent extends CDataEvent {
   private int year;
   private int month;
   private int day;
   private int hour;
   private int min;
   private int sec;

   public CGetTimeEvent(int var1, int var2, int var3, int var4, int var5, int var6, boolean var7, String var8) {
      super(47, var7);
      this.year = var1;
      this.month = var2;
      this.day = var3;
      this.hour = var4;
      this.min = var5;
      this.sec = var6;
      super.lockerName = var8;
   }

   public CGetTimeEvent(boolean var1, String var2) {
      super(47, var1);
      super.lockerName = var2;
   }

   public int getYear() {
      return this.year;
   }

   public int getMonth() {
      return this.month;
   }

   public int getDay() {
      return this.day;
   }

   public int getHour() {
      return this.hour;
   }

   public int getMin() {
      return this.min;
   }

   public int getSec() {
      return this.sec;
   }

   public void setTimeData(CInternalTimeEvent var1) {
      this.year = var1.getYear();
      this.month = var1.getMonth();
      this.day = var1.getDay();
      this.hour = var1.getHour();
      this.min = var1.getMin();
      this.sec = var1.getSec();
   }
}
