package amp.powerboard.clientapi.event;

public class CGetUserEvent extends CDataEvent {
   private int msgStatus;
   private int capability;
   private int userID;
   private String loginName;
   private String userName;
   private String information;
   private int numPorts;
   private int[] ports;

   public CGetUserEvent(int var1, int var2, String var3, int var4, String var5, String var6, int var7, int[] var8, boolean var9, String var10) {
      super(9, var9);
      this.msgStatus = var1;
      this.capability = var4;
      this.userID = var2;
      this.loginName = var3;
      this.userName = var5;
      this.information = var6;
      this.numPorts = var7;
      this.ports = var8;
      super.lockerName = var10;
   }

   public CGetUserEvent(boolean var1, String var2) {
      super(9, var1);
      super.lockerName = var2;
   }

   public int getmsgStatus() {
      return this.msgStatus;
   }

   public int getcapability() {
      return this.capability;
   }

   public int getuserId() {
      return this.userID;
   }

   public String getloginName() {
      return this.loginName;
   }

   public String getuserName() {
      return this.userName;
   }

   public String getinformation() {
      return this.information;
   }

   public int getnumPorts() {
      return this.numPorts;
   }

   public int[] getports() {
      return this.ports;
   }

   public void setUserData(CInternalUserEvent var1) {
      this.msgStatus = var1.getmsgStatus();
      this.capability = var1.getcapability();
      this.userID = var1.getuserId();
      this.loginName = var1.getloginName();
      this.userName = var1.getuserName();
      this.information = var1.getinformation();
      this.numPorts = var1.getnumPorts();
      this.ports = var1.getports();
   }
}
