package amp.powerboard.clientapi.event;

public class CInternalDataComAndSystemEvent extends CDataEvent {
   private int[] baudRate;
   private int[] chkParity;
   private int[] parityBits;
   private int[] recvPace;
   private int[] xmitPace;
   private String[] deviceName;
   private int[] port;
   private int numPorts = 0;
   private int[] hwFlowControl;

   public CInternalDataComAndSystemEvent(int var1, int[] var2, int[] var3, int[] var4, int[] var5, int[] var6, String[] var7, int[] var8) {
      super(122);
      this.numPorts = var1;
      this.baudRate = var2;
      this.chkParity = var4;
      this.parityBits = var3;
      this.recvPace = var5;
      this.xmitPace = var6;
      this.deviceName = var7;
      this.port = var8;
   }

   public CInternalDataComAndSystemEvent(int var1, int[] var2, int[] var3, int[] var4, int[] var5, int[] var6, String[] var7, int[] var8, int[] var9) {
      this(var1, var2, var3, var4, var5, var6, var7, var8);
      this.hwFlowControl = var9;
   }

   public int getbaudRate() {
      return this.baudRate[0];
   }

   public int getchkParity() {
      return this.chkParity[0];
   }

   public int getparityBits() {
      return this.parityBits[0];
   }

   public int getrecvPace() {
      return this.recvPace[0];
   }

   public int getxmitPace() {
      return this.xmitPace[0];
   }

   public String getdeviceName() {
      return this.deviceName[0];
   }

   public int getport() {
      return this.port[0];
   }

   public int[] getbaudRateX16() {
      return this.baudRate;
   }

   public int[] getchkParityX16() {
      return this.chkParity;
   }

   public int[] getparityBitsX16() {
      return this.parityBits;
   }

   public int[] getrecvPaceX16() {
      return this.recvPace;
   }

   public int[] getxmitPaceX16() {
      return this.xmitPace;
   }

   public String[] getdeviceNameX16() {
      return this.deviceName;
   }

   public int[] getportX16() {
      return this.port;
   }

   public int getNumPortsX16() {
      return this.numPorts;
   }

   public int[] getHwFlowControl() {
      return this.hwFlowControl;
   }
}
