package amp.powerboard.clientapi.event;

import java.util.Hashtable;

public class CLoginInfoEvent extends CDataEvent {
   private int userRights;
   private String userName;
   private Hashtable portNumberToNameMap;

   public CLoginInfoEvent(int var1, String var2, boolean var3) {
      super(13);
      this.userRights = var1;
      this.userName = var2;
   }

   public CLoginInfoEvent(int var1, String var2, Hashtable var3, boolean var4) {
      super(13);
      this.userRights = var1;
      this.userName = var2;
      this.portNumberToNameMap = var3;
   }

   public int getUserRight() {
      return this.userRights;
   }

   public String getUserName() {
      return this.userName;
   }

   public Hashtable getPortNumberToNameMap() {
      return this.portNumberToNameMap;
   }
}
