package amp.powerboard.clientapi.security;

public class CKeyInstantiator {
   private CCryptoKey consoleDecrypt = null;
   private CCryptoKey consoleEncrypt = null;
   private CCryptoKey commandDecrypt = null;
   private CCryptoKey commandEncrypt = null;

   public CKeyInstantiator(String var1) {
      if (var1 != null && var1.length() > 20) {
         try {
            byte var2;
            if (var1.length() == 40) {
               var2 = 10;
            } else if (var1.length() == 56) {
               var2 = 14;
            } else {
               var2 = 32;
            }

            this.consoleDecrypt = new RC4CryptoKey(var1.substring(0, var2));
            this.consoleEncrypt = new RC4CryptoKey(var1.substring(var2, var2 * 2));
            this.commandDecrypt = new RC4CryptoKey(var1.substring(var2 * 2, var2 * 3));
            this.commandEncrypt = new RC4CryptoKey(var1.substring(var2 * 3, var2 * 4));
         } catch (Exception var3) {
         }
      } else {
         this.consoleDecrypt = this.consoleEncrypt = this.commandDecrypt = this.commandEncrypt = new CXorKey(55);
      }
   }

   public CCryptoKey getConsoleDecryptKey() {
      if (this.consoleDecrypt == null) {
         System.err.println("CKeyInstantiator not constructed!");
      }

      return this.consoleDecrypt;
   }

   public CCryptoKey getConsoleEncryptKey() {
      if (this.consoleEncrypt == null) {
         System.err.println("CKeyInstantiator not constructed!");
      }

      return this.consoleEncrypt;
   }

   public CCryptoKey getCommandDecryptKey() {
      if (this.commandDecrypt == null) {
         System.err.println("KeyInstantiator not constructed!");
      }

      return this.commandDecrypt;
   }

   public CCryptoKey getCommandEncryptKey() {
      if (this.commandEncrypt == null) {
         System.err.println("CKeyInstantiator not constructed!");
      }

      return this.commandEncrypt;
   }
}
