package amp.powerboard.clientapi.security;

import java.io.IOException;
import java.io.InputStream;

public final class CXorInputStream extends CSecureInputStream {
   public CXorInputStream(InputStream var1, CCryptoKey var2) {
      super(var1, var2);
   }

   public int read() throws IOException {
      byte var1 = ((CXorKey)super.key).xor_key;
      int var2 = super.in.read();
      return var2 == -1 ? -1 : var2 ^ var1;
   }

   public int read(byte[] var1, int var2, int var3) throws IOException {
      byte var4 = ((CXorKey)super.key).xor_key;
      byte[] var5 = new byte[var3];
      int var6 = super.in.read(var5);

      for (int var7 = 0; var7 < var6; var7++) {
         var1[var2++] = (byte)(var5[var7] ^ var4);
      }

      return var6;
   }
}
