package amp.powerboard.clientapi.security;

import java.io.InputStream;
import java.io.OutputStream;

public final class CXorKey extends CCryptoKey {
   public byte xor_key;

   public CXorKey(int var1) {
      this.xor_key = (byte)var1;
   }

   public CSecureInputStream newInputStream(InputStream var1) {
      return new CXorInputStream(var1, this);
   }

   public CSecureOutputStream newOutputStream(OutputStream var1) {
      return new CXorOutputStream(var1, this);
   }

   public void StartEncryption() {
   }

   public void StopEncryption() {
   }
}
