package amp.powerboard.clientapi.security;

public final class RC4 {
   private int x;
   private int y;
   byte[] S = new byte[256];

   public RC4(byte[] var1, int var2) {
      this.initKey(var1, var2);
   }

   public void rc4(byte[] var1, byte[] var2, int var3) {
      for (int var6 = 0; var6 < var3; var6++) {
         this.x = this.x + 1 & 0xFF;
         this.y = this.S[this.x] + this.y & 0xFF;
         byte var5 = this.S[this.x];
         this.S[this.x] = this.S[this.y];
         this.S[this.y] = var5;
         int var4 = this.S[this.x] + this.S[this.y] & 0xFF;
         var2[var6] = (byte)(var1[var6] ^ this.S[var4]);
      }
   }

   private void initKey(byte[] var1, int var2) {
      int var3 = 0;
      int var4 = 0;
      this.x = this.y = 0;

      for (int var5 = 0; var5 < 256; var5++) {
         this.S[var5] = (byte)var5;
      }

      for (int var7 = 0; var7 < 256; var7++) {
         var4 = (var1[var3] & 255) + this.S[var7] + var4 & 0xFF;
         byte var6 = this.S[var7];
         this.S[var7] = this.S[var4];
         this.S[var4] = var6;
         var3 = (var3 + 1) % var2;
      }
   }
}
