package amp.powerboard.clientapi.services;

import amp.powerboard.clientapi.command.CCommand;
import amp.powerboard.clientapi.command.CSetUser;

public class CObserverValidator extends CValidator {
   public int[] commandOpcodes = new int[]{1501, 9, 20, 12, 5, 19, 18, 3001, 1504, 1, 13, 1505, 500, 2001, 25, 40, 36, 38, 27, 29, 4502, 60, 49, 47};

   public boolean isOperationValid(CCommand var1) {
      if (var1.getOpcode() == 8) {
         CSetUser var4 = (CSetUser)var1;
         String var3 = var4.getUserName();
         return this.isUserNameSame(var3);
      } else {
         for (int var2 = 0; var2 < this.commandOpcodes.length; var2++) {
            if (var1.getOpcode() == this.commandOpcodes[var2]) {
               return true;
            }
         }

         return false;
      }
   }

   private boolean isUserNameSame(String var1) {
      return var1.equals(super.userName);
   }
}
