package amp.powerboard.component;

import amp.powerboard.clientapi.services.CSWCService;
import java.awt.Dialog;
import java.awt.Font;
import java.awt.Panel;
import java.util.Vector;

public class AcpSwcService extends CSWCService {
   private Vector vectorMB = new Vector();

   public void addInstance(Dialog var1) {
      this.vectorMB.addElement(var1);
   }

   public void removeInstance(Dialog var1) {
      if (!this.vectorMB.isEmpty()) {
         this.vectorMB.removeElement(var1);
      }
   }

   public void removeAllInstances() {
      if (!this.vectorMB.isEmpty()) {
         for (int var1 = 0; var1 < this.vectorMB.size(); var1++) {
            Dialog var2 = (Dialog)this.vectorMB.elementAt(var1);
            var2.dispose();
         }
      }
   }

   public static int adjustedFontSize(int var0) {
      int var1 = var0;
      Panel var2 = new Panel();
      int var3 = var2.getFontMetrics(new Font("Dialog", 0, var0)).getAscent();

      for (int var4 = var2.getFontMetrics(new Font("Dialog", 0, var0)).getHeight();
         var4 > var0 + 4;
         var4 = var2.getFontMetrics(new Font("Helvetica", 0, var1)).getHeight()
      ) {
         var1 -= 2;
      }

      return var1;
   }
}
