package amp.powerboard.component;

import java.awt.Dimension;
import java.awt.Rectangle;
import java.awt.Toolkit;

public class CenterToScreen {
   Rectangle abounds;

   public CenterToScreen(Rectangle var1) {
      this.abounds = var1;
   }

   public Rectangle calculatePosition() {
      Dimension var1 = Toolkit.getDefaultToolkit().getScreenSize();
      Rectangle var2 = new Rectangle(var1);
      int var3 = var2.x + (var2.width - this.abounds.width) / 2;
      int var4 = var2.y + (var2.height - this.abounds.height) / 2;
      int var5 = this.abounds.width;
      int var6 = this.abounds.height;
      return new Rectangle(var3, var4, var5, var6);
   }
}
