package amp.powerboard.component;

import java.util.StringTokenizer;

public class RelayConfig {
   private int[] relayNumbers;
   private String[] relayNames;

   public RelayConfig(String var1, int var2) {
      StringTokenizer var3 = new StringTokenizer(var1, Constants.DL_CR);
      this.relayNumbers = new int[var2];
      this.relayNames = new String[var2];
      int var4 = 0;

      while (var3.hasMoreTokens()) {
         String var5 = var3.nextToken();
         int var6 = var5.indexOf(Constants.DL_OUTLET);
         if (var6 != -1) {
            this.relayNumbers[var4] = var4 + 1;
            this.relayNames[var4++] = var5.substring(var6 + Constants.DL_OUTLET.length()).trim();
         }
      }
   }

   public int[] getRelayNumbers() {
      return this.relayNumbers;
   }

   public String[] getRelayNames() {
      return this.relayNames;
   }
}
