package com.raritan.plaf;

import java.awt.Graphics;
import javax.swing.JComponent;
import javax.swing.JDesktopPane;
import javax.swing.plaf.ComponentUI;
import javax.swing.plaf.basic.BasicDesktopPaneUI;

public class RaritanDesktopPaneUI extends BasicDesktopPaneUI {
   public static ComponentUI createUI(JComponent var0) {
      return new RaritanDesktopPaneUI();
   }

   @Override
   public void installUI(JComponent var1) {
      this.desktop = (JDesktopPane)var1;
      this.installDefaults();
      this.installDesktopManager();
   }

   @Override
   public void uninstallUI(JComponent var1) {
      this.uninstallDesktopManager();
      this.uninstallDefaults();
      this.desktop = null;
   }

   @Override
   public void update(Graphics var1, JComponent var2) {
      super.update(var1, var2);
   }

   @Override
   public void paint(Graphics var1, JComponent var2) {
      super.paint(var1, var2);
   }
}
