package com.raritan.protocol.browser.spi;

import com.raritan.protocol.browser.HintAddress;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.UnknownHostException;

public class HintAddressEx extends HintAddress implements Comparable {
   protected InetAddress inetAddress = null;
   protected RRCDeviceInfoEx pingResult = null;
   protected long pingTime = -1L;

   public HintAddressEx(HintAddress var1) {
      super(var1.host, var1.port);
   }

   public HintAddressEx(String var1) {
      super(var1);
   }

   public HintAddressEx(String var1, int var2) {
      super(var1, var2);
   }

   public InetAddress getAddress() throws UnknownHostException {
      if (this.inetAddress == null) {
         this.inetAddress = InetAddress.getByName(this.host);
      }

      return this.inetAddress;
   }

   @Override
   public int compareTo(Object var1) {
      return super.compareTo(var1);
   }

   @Override
   public boolean equals(Object var1) {
      return this.compareTo(var1) == 0;
   }

   @Override
   public int hashCode() {
      return super.hashCode();
   }

   protected RRCDeviceInfoEx getPingResult() {
      return this.pingResult;
   }

   protected long getPingTime() {
      return this.pingTime;
   }

   protected void setPingResult(RRCDeviceInfoEx var1) {
      this.pingResult = var1;
   }

   protected void setPingTime(long var1) {
      this.pingTime = var1;
   }

   protected boolean equalAddress(RRCDeviceInfoEx var1) {
      if (var1 == null) {
         return false;
      } else {
         InetSocketAddress var2 = (InetSocketAddress)var1.getSocketAddress();
         if (var2 == null) {
            return false;
         } else {
            try {
               if (var2.getAddress().equals(this.getAddress()) && var2.getPort() == super.port) {
                  return true;
               }
            } catch (Throwable var4) {
            }

            return false;
         }
      }
   }
}
