package com.raritan.protocol.browser.spi;

import com.raritan.protocol.csc.spi.RRCDeviceInfo;
import java.net.SocketAddress;

public class RRCDeviceInfoEx extends RRCDeviceInfo {
   protected long lastPingTime = -1L;

   private RRCDeviceInfoEx() {
   }

   public RRCDeviceInfoEx(SocketAddress var1, long var2) {
      super(var1);
      this.lastPingTime = var2;
   }

   @Override
   public int hashCode() {
      return this.getSocketAddress().hashCode();
   }

   @Override
   public boolean equals(Object var1) {
      if (var1 instanceof RRCDeviceInfoEx) {
         return this.getPort() != ((RRCDeviceInfoEx)var1).getPort() ? false : this.getSocketAddress().equals(((RRCDeviceInfoEx)var1).getSocketAddress());
      } else {
         return false;
      }
   }
}
