package com.raritan.rrc.components.serialconsole;

class VT100_8859_1Emulator extends VT100Emulator {
   VT100_8859_1Emulator(Terminal var1) {
      super(var1);
   }

   @Override
   void processByte(byte var1) {
      char var2 = var1 >= 0 ? (char)var1 : (char)(var1 + 256);
      if (this.checkChar(var2)) {
         if (!this.writingHistoryBufferOn) {
            if (var2 == '\n') {
               this.terminal.vdu.putChar("\r");
            }

            this.terminal.vdu.putChar(var2);
         }

         if (this.softScroll && var2 == '\n') {
            this.terminal.vdu.reDraw();
         }
      } else {
         this.doChar(var2);
         if (this.needRedraw) {
            this.terminal.vdu.reDraw();
            this.needRedraw = false;
         }
      }

      if (this.writingHistoryBufferOn) {
         if (var2 == '\r') {
            if (this.sendcrlf == 1) {
               this.terminal.writeFromHistory("\r\n");
            } else {
               this.terminal.writeFromHistory("\r");
            }
         } else {
            this.terminal.writeFromHistory(var2);
         }
      }
   }
}
