package com.raritan.rrc.data;

import com.raritan.protocol.browser.DeviceNameAddressProvider;
import com.raritan.protocol.browser.TooManyDevicesException;
import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.List;

public class DeviceNameMigrator {
   public static boolean migrate(Device var0, DeviceNameAddressProvider var1) {
      if (var0.isProfiled() && !var0.isModemProfiled()) {
         DevicePreferences var2 = var0.getDevPrefs();
         if (var2.getFindBy() == 1 && !var2.isDeviceNameInStore()) {
            String var3 = var2.getName();
            List var4 = null;

            try {
               var4 = var1.getAddresses(var3);
            } catch (TooManyDevicesException var7) {
            }

            boolean var5 = var4 != null && var4.size() > 0;
            if (var5) {
               var2.setDeviceName(var3);
               var2.exportPreferences(var2.getNodeName());
               return true;
            }

            try {
               InetAddress.getAllByName(var3);
               var2.setDnsName(var3);
               var2.setDeviceName("");
               var2.setFindBy(2);
               var2.exportPreferences(var2.getNodeName());
               return true;
            } catch (UnknownHostException var8) {
               var8.printStackTrace();
            }
         }
      }

      return false;
   }
}
