package com.raritan.rrc.ui;

import java.awt.Component;
import java.awt.Window;
import javax.swing.Popup;
import javax.swing.PopupFactory;
import javax.swing.SwingUtilities;

public class RaritanToolTipManager {
   private static RaritanToolTipManager sm_instance;

   public static synchronized RaritanToolTipManager getInstance() {
      if (sm_instance == null) {
         sm_instance = new RaritanToolTipManager();
      }

      return sm_instance;
   }

   private class RaritanPopupFactory extends PopupFactory {
      RaritanToolTipManager.RaritanPopupFactory.RaritanPopup popup = new RaritanToolTipManager.RaritanPopupFactory.RaritanPopup();

      @Override
      public Popup getPopup(Component var1, Component var2, int var3, int var4) throws IllegalArgumentException {
         Window var5 = SwingUtilities.windowForComponent(var1);
         return (Popup)(var5 != null && !var5.isFocused() ? this.popup : super.getPopup(var1, var2, var3, var4));
      }

      private class RaritanPopup extends Popup {
         private RaritanPopup() {
         }

         @Override
         public void hide() {
         }

         @Override
         public void show() {
         }
      }
   }
}
