package com.raritan.rrc.ui.commands;

import com.raritan.rrc.data.KvmPort;
import com.raritan.tools.commands.CommandResult;
import com.raritan.tools.ui.ScreenContext;
import javax.swing.Action;

public class AudioSettingsCommand extends AudioMenuCommand {
   public static final String COMMAND_KEY = "AudioSettingsCommand";

   public AudioSettingsCommand(ScreenContext var1) {
      super(var1);
   }

   @Override
   public String getKey() {
      return "AudioSettingsCommand";
   }

   @Override
   protected Action getAction(KvmPort var1) {
      return var1.getAudioSettingsAction();
   }

   @Override
   protected void doExecute(CommandResult var1) {
      KvmPort var2 = this.getKvmPort();
      if (var2 != null) {
         this.getAction(var2).actionPerformed(null);
      }

      var1.setIsSuccess(true);
   }
}
