package com.raritan.rrc.ui.commands;

import com.raritan.rrc.data.Port;
import com.raritan.rrc.ui.RRCScreenContext;
import com.raritan.rrc.ui.panes.SerialView;
import com.raritan.tools.commands.AbstractCommand;
import com.raritan.tools.commands.CommandResult;
import com.raritan.tools.ui.ScreenContext;
import java.util.ArrayList;

public class DoPasteCommand extends AbstractCommand {
   public static final String COMMAND_KEY = "doPasteCommand";

   public DoPasteCommand(ScreenContext var1) {
      super(var1);
   }

   @Override
   public String getKey() {
      return "doPasteCommand";
   }

   @Override
   public CommandResult execute() {
      this.scrContext.getLogger().logTextDebug(" Started ");
      ArrayList var1 = (ArrayList)((RRCScreenContext)this.scrContext).getSelectedDevicesObservable().getComponent();
      Port var2 = (Port)var1.get(0);
      SerialView var3 = (SerialView)var2.getView();
      if (var2.isConnected()) {
         var3.getSerialTerminal().doPaste();
      }

      this.scrContext.getLogger().logTextDebug(" Finished ");
      return new CommandResult();
   }

   @Override
   public boolean isExecutable() {
      return true;
   }
}
