package com.raritan.rrc.ui.commands;

import com.raritan.rrc.ui.RRCScreenContext;
import com.raritan.rrc.ui.controller.DeviceTreeController;
import com.raritan.tools.commands.AbstractCommand;
import com.raritan.tools.commands.CommandResult;
import com.raritan.tools.ui.ScreenContext;

public class DoRefreshNavigatorCommand extends AbstractCommand {
   public static final String COMMAND_KEY = "doRefreshNavigatorCommand";

   public DoRefreshNavigatorCommand(ScreenContext var1) {
      super(var1);
   }

   @Override
   public String getKey() {
      return "doRefreshNavigatorCommand";
   }

   @Override
   public CommandResult execute() {
      this.scrContext.getLogger().logTextDebug(" Started ");
      if (((RRCScreenContext)this.scrContext).getCreateProfileBy() != 3) {
         DeviceTreeController var1 = DeviceTreeController.getInstance((RRCScreenContext)this.scrContext);
         var1.refreshTree();
      }

      this.scrContext.getLogger().logTextDebug(" Finished ");
      return new CommandResult();
   }

   @Override
   public boolean isExecutable() {
      return this.scrContext.getApplicationProperty("connection") == null;
   }
}
