package com.raritan.rrc.ui.commands;

import com.raritan.rrc.data.Device;
import com.raritan.rrc.data.SerialPort;
import com.raritan.rrc.ui.RRCScreenContext;
import com.raritan.tools.commands.AbstractCommand;
import com.raritan.tools.commands.CommandResult;
import com.raritan.tools.ui.ScreenContext;
import java.util.ArrayList;

public class DoSerialSettingsCommand extends AbstractCommand {
   public static final String COMMAND_KEY = "doSerialSettingsCommand";

   public DoSerialSettingsCommand(ScreenContext var1) {
      super(var1);
   }

   @Override
   public String getKey() {
      return "doSerialSettingsCommand";
   }

   @Override
   public CommandResult execute() {
      this.scrContext.getLogger().logTextDebug(" Started ");
      CommandResult var1 = new CommandResult(true, "");
      String var2 = (String)this.cmdContext.getCommandParameter("codeSet");
      String var3 = (String)this.cmdContext.getCommandParameter("cursorType");
      ArrayList var4 = (ArrayList)((RRCScreenContext)this.scrContext).getSelectedDevicesObservable().getComponent();
      Device var5 = (Device)var4.get(0);
      if (var5 instanceof SerialPort) {
         ((SerialPort)var5).setCodeSet(var2);
         ((SerialPort)var5).setCursorType(Integer.parseInt(var3));
      }

      this.scrContext.getLogger().logTextDebug(" Finished ");
      return var1;
   }

   @Override
   public boolean isExecutable() {
      return true;
   }
}
