package com.raritan.rrc.ui.commands;

import com.raritan.rrc.data.KvmPort;
import com.raritan.tools.commands.CommandResult;
import com.raritan.tools.ui.ScreenContext;
import javax.swing.Action;

public class SelectCardReaderCommand extends SmartCardMenuCommand {
   public static final String COMMAND_KEY = "SelectCardReaderCommand";

   public SelectCardReaderCommand(ScreenContext var1) {
      super(var1);
   }

   @Override
   public String getKey() {
      return "SelectCardReaderCommand";
   }

   @Override
   protected Action getAction(KvmPort var1) {
      return var1.getSelectCardReaderAction();
   }

   @Override
   protected void doExecute(CommandResult var1) {
      var1.setIsSuccess(true);
   }
}
