package com.raritan.rrc.ui.commands;

import com.raritan.tools.commands.AbstractCommand;
import com.raritan.tools.commands.CommandResult;
import com.raritan.tools.ui.ScreenContext;

public class ShowDialbackMessageCommand extends AbstractCommand {
   public static final String COMMAND_KEY = "ShowDialbackMessageCommand";

   public ShowDialbackMessageCommand(ScreenContext var1) {
      super(var1);
   }

   @Override
   public boolean isExecutable() {
      return true;
   }

   @Override
   public String getKey() {
      return "ShowDialbackMessageCommand";
   }

   @Override
   public CommandResult execute() {
      this.scrContext.getLogger().logTextDebug(" Started " + this.getClass().getName());
      this.scrContext.getPanelMediator().showPanel(this.getContext());
      return new CommandResult(true, "");
   }
}
