package com.raritan.rrc.ui.commands;

import com.raritan.tools.commands.AbstractCommand;
import com.raritan.tools.commands.CommandResult;
import com.raritan.tools.resources.RaritanPropertyResourceBundle;
import com.raritan.tools.resources.RaritanResourceBundle;
import com.raritan.tools.ui.ScreenContext;

public class ShowModifyKeyboardMacroCommand extends AbstractCommand {
   public static final String COMMAND_KEY = "showModifyKeyboardMacroCommand";
   private RaritanPropertyResourceBundle bundle = RaritanResourceBundle.getResourceBundle(this.scrContext.getLocale());

   public ShowModifyKeyboardMacroCommand(ScreenContext var1) {
      super(var1);
   }

   @Override
   public String getKey() {
      return "showModifyKeyboardMacroCommand";
   }

   @Override
   public CommandResult execute() {
      this.scrContext.getLogger().logTextDebug(" Started ");
      String var1 = (String)this.cmdContext.getCommandParameter("keyboardMacroName");
      this.cmdContext.setCommandParameter("keyboardMacroName", var1);
      this.scrContext.getLogger().logTextDebug(" Finished ");
      return new CommandResult();
   }

   @Override
   public boolean isExecutable() {
      return true;
   }
}
