package com.raritan.rrc.ui.commands;

import com.raritan.rrc.ui.RRCScreenContext;
import com.raritan.tools.commands.AbstractCommand;
import com.raritan.tools.commands.CommandResult;
import com.raritan.tools.ui.ScreenContext;

public class ShowNavigatorCommand extends AbstractCommand {
   public static final String COMMAND_KEY = "showNavigatorCommand";

   public ShowNavigatorCommand(ScreenContext var1) {
      super(var1);
   }

   @Override
   public String getKey() {
      return "showNavigatorCommand";
   }

   @Override
   public CommandResult execute() {
      this.scrContext.getLogger().logTextDebug(" Started ");
      Boolean var1 = (Boolean)this.getContext().getCommandParameter("showNavigatorMode");
      boolean var2 = var1;
      ((RRCScreenContext)this.scrContext).getMainScreenMediator().selectNavigatorView(var2);
      this.scrContext.getLogger().logTextDebug(" Finished ");
      return new CommandResult();
   }

   @Override
   public boolean isExecutable() {
      return this.scrContext.getApplicationProperty("connection") == null;
   }
}
