package com.raritan.rrc.ui.commands;

import com.raritan.tools.commands.AbstractCommand;
import com.raritan.tools.commands.CommandResult;
import com.raritan.tools.ui.ScreenContext;

public class ShowNewProfileCommand extends AbstractCommand {
   public static final String COMMAND_KEY = "showNewProfileCommand";

   public ShowNewProfileCommand(ScreenContext var1) {
      super(var1);
   }

   @Override
   public String getKey() {
      return "showNewProfileCommand";
   }

   @Override
   public CommandResult execute() {
      this.scrContext.getLogger().logTextDebug(" Started ");
      CommandResult var1 = new CommandResult();
      this.getContext(true).setCommandParameter("devices", null);
      var1.setIsSuccess(true);
      this.scrContext.getLogger().logTextDebug(" Finished ");
      return var1;
   }

   @Override
   public boolean isExecutable() {
      return this.scrContext.getApplicationProperty("connection") == null;
   }
}
