package com.raritan.rrc.ui.commands;

import com.raritan.rrc.ui.RRCScreenContext;
import com.raritan.rrc.ui.controller.DeviceTreeController;
import com.raritan.tools.commands.AbstractCommand;
import com.raritan.tools.commands.CommandResult;
import com.raritan.tools.ui.ScreenContext;

public class ShowWithoutTargetsCommand extends AbstractCommand {
   public static final String COMMAND_KEY = "showWithoutTargetsCommand";

   public ShowWithoutTargetsCommand(ScreenContext var1) {
      super(var1);
   }

   @Override
   public String getKey() {
      return "showWithoutTargetsCommand";
   }

   @Override
   public CommandResult execute() {
      this.scrContext.getLogger().logTextDebug(" Started ");
      Boolean var1 = (Boolean)this.getContext().getCommandParameter("showWithoutTargetsMode");
      boolean var2 = var1;
      ((RRCScreenContext)this.scrContext).getMainScreenMediator().selectShowWithoutTargetsView(var2);
      DeviceTreeController var3 = DeviceTreeController.getInstance((RRCScreenContext)this.scrContext);
      var3.showWithoutTargets(var2);
      this.scrContext.getLogger().logTextDebug(" Finished ");
      return new CommandResult();
   }

   @Override
   public boolean isExecutable() {
      return this.scrContext.getApplicationProperty("connection") == null;
   }

   public static void main(String[] var0) {
   }
}
