package com.raritan.rrc.ui.commands;

import com.raritan.tools.commands.AbstractCommand;
import com.raritan.tools.ui.ScreenContext;
import nn.pp.common.smartcard.SmartCardBean;

public class SmartCardAutoMountCommand extends AbstractCommand {
   public static final String COMMAND_KEY = "SmartCardAutoMountCommand";

   public SmartCardAutoMountCommand(ScreenContext var1, SmartCardBean var2, String var3, String var4) {
      super(var1);
      this.cmdContext.setCommandParameter("SmartCard_Bean", var2);
      this.cmdContext.setCommandParameter("SmartCard_CardReader_Name", var3);
      this.cmdContext.setCommandParameter("SmartCard_Dialog_Title", var4);
   }

   @Override
   public String getKey() {
      return "SmartCardAutoMountCommand";
   }

   @Override
   public boolean isExecutable() {
      return true;
   }
}
