package com.raritan.rrc.ui;

import java.io.PrintStream;

public class filterPrintStream extends PrintStream {
   private PrintStream saveOut = null;
   private static final String newline = "\n";
   private static String changeFrom = "com.raritan";
   private static String changeTo = null;
   private static int lengthOfChangeFrom = changeFrom.length();

   public filterPrintStream() {
      super(System.out);
      this.saveOut = System.out;
   }

   public void setChangeFrom(String var1) {
      changeFrom = var1;
      lengthOfChangeFrom = changeFrom.length();
   }

   public void setChangeTo(String var1) {
      changeTo = var1;
      System.setOut(this);
      System.setErr(this);
   }

   private String convertString(String var1) {
      if (changeTo != null && !changeTo.equals(changeFrom)) {
         StringBuffer var2 = new StringBuffer(var1);

         for (int var3 = var2.indexOf(changeFrom); var3 > -1; var3 = var2.indexOf(changeFrom)) {
            var2.replace(var3, var3 + lengthOfChangeFrom, changeTo);
         }

         return new String(var2);
      } else {
         return var1;
      }
   }

   @Override
   public void println(String var1) {
      this.saveOut.println(this.convertString(var1) + "\n");
   }

   @Override
   public void print(String var1) {
      this.saveOut.print(this.convertString(var1));
   }

   @Override
   public void println(Object var1) {
      this.println(String.valueOf(var1));
   }
}
