package com.raritan.rrc.ui.models;

import com.raritan.protocol.csc.RRCDeviceInfo;
import java.net.InetAddress;

public class DeviceInfoWrapper {
   private final InetAddress addr;
   private final RRCDeviceInfo devInfo;

   public DeviceInfoWrapper(RRCDeviceInfo var1) {
      this.addr = var1.getInetAddress();
      this.devInfo = var1;
   }

   public RRCDeviceInfo getDeviceInfo() {
      return this.devInfo;
   }

   @Override
   public int hashCode() {
      return this.addr.hashCode();
   }

   @Override
   public boolean equals(Object var1) {
      if (var1 instanceof DeviceInfoWrapper) {
         DeviceInfoWrapper var2 = (DeviceInfoWrapper)var1;
         return this.addr.equals(var2.addr);
      } else {
         return false;
      }
   }

   @Override
   public String toString() {
      return "" + this.devInfo;
   }
}
