package com.raritan.rrc.ui.models;

import com.raritan.rrc.data.Port;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.DefaultTreeModel;
import javax.swing.tree.TreeNode;
import javax.swing.tree.TreePath;

public class DeviceTreeTableModel extends DefaultTreeModel {
   private static final long serialVersionUID = -3540753777916039121L;

   public DeviceTreeTableModel(TreeNode var1) {
      super(var1);
   }

   @Override
   public void valueForPathChanged(TreePath var1, Object var2) {
      DefaultMutableTreeNode var3 = (DefaultMutableTreeNode)var1.getLastPathComponent();
      Object var4 = var3.getUserObject();
      if (var4 instanceof Port) {
         ((Port)var4).setName(var2.toString());
         super.nodeChanged(var3);
      } else {
         super.valueForPathChanged(var1, var2);
      }
   }
}
