package com.raritan.rrc.ui.panes;

import com.raritan.rrc.ui.RRCScreenContext;
import com.raritan.tools.resources.RaritanPropertyResourceBundle;
import com.raritan.tools.resources.RaritanResourceBundle;

public class KvmMenuPopupKey {
   RaritanPropertyResourceBundle bundle;

   public KvmMenuPopupKey(RRCScreenContext var1) {
      this.bundle = RaritanResourceBundle.getResourceBundle(var1.getLocale());
      String var2 = var1.getAppSettings()
         .getkeyboardMenuHotkey()
         .replace(this.bundle.getString("KeyboardMenuHotkey.Alt.Indicator"), this.bundle.getString("KeyboardMenuHotkey.LeftAlt.Indicator"));
      if (!var2.equals("")) {
         if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionA"))) {
            RRCScreenContext.setKvmPopupKey("A");
            var1.setPopupKeycode(65);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionB"))) {
            RRCScreenContext.setKvmPopupKey("B");
            var1.setPopupKeycode(66);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionC"))) {
            RRCScreenContext.setKvmPopupKey("C");
            var1.setPopupKeycode(67);
         }

         if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionD"))) {
            RRCScreenContext.setKvmPopupKey("D");
            var1.setPopupKeycode(68);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionE"))) {
            RRCScreenContext.setKvmPopupKey("E");
            var1.setPopupKeycode(69);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionF"))) {
            RRCScreenContext.setKvmPopupKey("F");
            var1.setPopupKeycode(70);
         }

         if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionG"))) {
            RRCScreenContext.setKvmPopupKey("G");
            var1.setPopupKeycode(71);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionH"))) {
            RRCScreenContext.setKvmPopupKey("H");
            var1.setPopupKeycode(72);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionI"))) {
            RRCScreenContext.setKvmPopupKey("I");
            var1.setPopupKeycode(73);
         }

         if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionJ"))) {
            RRCScreenContext.setKvmPopupKey("J");
            var1.setPopupKeycode(74);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionK"))) {
            RRCScreenContext.setKvmPopupKey("K");
            var1.setPopupKeycode(75);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionL"))) {
            RRCScreenContext.setKvmPopupKey("L");
            var1.setPopupKeycode(76);
         }

         if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionM"))) {
            RRCScreenContext.setKvmPopupKey("M");
            var1.setPopupKeycode(77);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionN"))) {
            RRCScreenContext.setKvmPopupKey("N");
            var1.setPopupKeycode(78);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionO"))) {
            RRCScreenContext.setKvmPopupKey("O");
            var1.setPopupKeycode(79);
         }

         if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionP"))) {
            RRCScreenContext.setKvmPopupKey("P");
            var1.setPopupKeycode(80);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionQ"))) {
            RRCScreenContext.setKvmPopupKey("Q");
            var1.setPopupKeycode(81);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionR"))) {
            RRCScreenContext.setKvmPopupKey("R");
            var1.setPopupKeycode(82);
         }

         if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionS"))) {
            RRCScreenContext.setKvmPopupKey("S");
            var1.setPopupKeycode(83);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionT"))) {
            RRCScreenContext.setKvmPopupKey("T");
            var1.setPopupKeycode(84);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionU"))) {
            RRCScreenContext.setKvmPopupKey("U");
            var1.setPopupKeycode(85);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionV"))) {
            RRCScreenContext.setKvmPopupKey("V");
            var1.setPopupKeycode(86);
         }

         if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionW"))) {
            RRCScreenContext.setKvmPopupKey("W");
            var1.setPopupKeycode(87);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionX"))) {
            RRCScreenContext.setKvmPopupKey("X");
            var1.setPopupKeycode(88);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionY"))) {
            RRCScreenContext.setKvmPopupKey("Y");
            var1.setPopupKeycode(89);
         } else if (var2.equals(this.bundle.getString("KeyboardMenuHotkey.OptionZ"))) {
            RRCScreenContext.setKvmPopupKey("Z");
            var1.setPopupKeycode(90);
         }
      }
   }
}
