package com.raritan.rrc.ui.panes;

import com.raritan.rrc.ui.RRCScreenContext;
import com.raritan.tools.commands.CommandContext;
import com.raritan.tools.ui.ScreenContext;
import com.raritan.tools.ui.panes.displays.AbstractDisplay;
import com.raritan.tools.ui.panes.displays.Shell;
import com.raritan.tools.ui.panes.displays.ShellForSmartCardDialog;
import javax.swing.SwingUtilities;
import nn.pp.common.smartcard.MountInProgressDialog;
import nn.pp.common.smartcard.SmartCardBean;

public class SmartCardAutoMountPanel extends AbstractDisplay {
   private ShellForSmartCardDialog shellForSmartCard;

   public SmartCardAutoMountPanel(boolean var1, ScreenContext var2, boolean var3) {
      super(var2);
      this.isDialog = true;
      this.isNewPanel = var3;
      this.shellForSmartCard = new ShellForSmartCardDialog(var2);
   }

   @Override
   public Shell getShell() {
      return this.shellForSmartCard;
   }

   @Override
   protected void feedCommandContext(CommandContext var1) {
   }

   @Override
   public void fillComponents(CommandContext var1) {
      SmartCardBean var2 = (SmartCardBean)var1.getCommandParameter("SmartCard_Bean");
      String var3 = (String)var1.getCommandParameter("SmartCard_CardReader_Name");
      String var4 = (String)var1.getCommandParameter("SmartCard_Dialog_Title");
      final MountInProgressDialog var5 = new MountInProgressDialog(
         this.shellForSmartCard, var4, var2, ((RRCScreenContext)this.scrContext).getSmartCardCore(), var3
      );
      this.shellForSmartCard.setSmartCardDialogAdapter(var5);
      var5.pack();
      SwingUtilities.invokeLater(new Runnable() {
         @Override
         public void run() {
            var5.startMounting();
         }
      });
   }

   @Override
   public void makeLayout() {
   }
}
