package com.raritan.rrc.util;

import com.raritan.rrc.data.Port;
import java.util.Map.Entry;

public class ChannelComparator extends HierComparator {
   private int sortType = 0;

   public void setSortType(int var1) {
      if (var1 == 0 || var1 == 1 || var1 == 1) {
         this.sortType = var1;
      }
   }

   public int getSortType() {
      return this.sortType;
   }

   @Override
   public int compare(Object var1, Object var2) {
      int var3 = 0;
      if (!(((Entry)var1).getValue() instanceof Port) && !(((Entry)var1).getValue() instanceof Port)) {
         return 0;
      } else {
         Port var4 = (Port)((Entry)var1).getValue();
         Port var5 = (Port)((Entry)var2).getValue();
         if (this.sortType == 1) {
            var3 = super.compare(var4.getName(), var5.getName());
         } else if (this.sortType == 2) {
            int var6 = var4.getPortStatus();
            int var7 = var5.getPortStatus();
            if (var6 == var7) {
               var3 = super.compare(var4.getName(), var5.getName());
            } else if (var6 == 1 || var7 == 1) {
               var3 = 1;
            } else if (var6 != 0 && var7 != 0) {
               var3 = 0;
            } else {
               var3 = -1;
            }
         }

         return var3;
      }
   }
}
