package com.raritan.rrc.util;

public class ModemOSSupport {
   private ModemOSSupport() {
   }

   public static String getOSname() {
      String var0 = System.getProperty("os.name");
      if (var0.indexOf("Windows") > -1) {
         return "Windows";
      } else if (var0.indexOf("Linux") > -1) {
         return "Linux";
      } else if (var0.indexOf("Sun") > -1) {
         return "Sun";
      } else {
         return var0.indexOf("Mac") > -1 ? "Mac" : "";
      }
   }

   public static boolean isOSSupported() {
      String var0 = System.getProperty("os.name");
      if (var0.indexOf("Windows") > -1) {
         return true;
      } else if (var0.indexOf("Linux") > -1) {
         return true;
      } else {
         return var0.indexOf("Sun") > -1 ? true : var0.indexOf("Mac") > -1;
      }
   }
}
