package com.raritan.rrc.util;

import java.awt.Component;
import java.awt.Container;
import javax.swing.Spring;
import javax.swing.SpringLayout;
import javax.swing.SpringLayout.Constraints;

public class SpringUtilities {
   public static void printSizes(Component var0) {
   }

   public static void makeGrid(Container var0, int var1, int var2, int var3, int var4, int var5, int var6) {
      SpringLayout var7;
      try {
         var7 = (SpringLayout)var0.getLayout();
      } catch (ClassCastException var19) {
         System.err.println("The first argument to makeGrid must use SpringLayout.");
         System.err.println("The " + var0.getName() + " does not use SpringLayout.");
         return;
      }

      Spring var8 = Spring.constant(var5);
      Spring var9 = Spring.constant(var6);
      Spring var10 = Spring.constant(var3);
      Spring var11 = Spring.constant(var4);
      int var12 = var1 * var2;
      Spring var13 = var7.getConstraints(var0.getComponent(0)).getWidth();
      Spring var14 = var7.getConstraints(var0.getComponent(0)).getWidth();
      Constraints var15 = null;

      for (int var16 = 1; var16 < var12; var16++) {
         var15 = var7.getConstraints(var0.getComponent(var16));
         var13 = Spring.max(var13, var15.getWidth());
         var14 = Spring.max(var14, var15.getHeight());
      }

      for (int var23 = 0; var23 < var12; var23++) {
         var15 = var7.getConstraints(var0.getComponent(var23));
         var15.setWidth(var13);
         var15.setHeight(var14);
      }

      Constraints var24 = null;
      Constraints var17 = null;

      for (int var18 = 0; var18 < var12; var18++) {
         var15 = var7.getConstraints(var0.getComponent(var18));
         if (var18 % var2 == 0) {
            var17 = var24;
            var15.setX(var10);
         } else {
            var15.setX(Spring.sum(var24.getConstraint("East"), var8));
         }

         if (var18 / var2 == 0) {
            var15.setY(var11);
         } else {
            var15.setY(Spring.sum(var17.getConstraint("South"), var9));
         }

         var24 = var15;
      }

      Constraints var25 = var7.getConstraints(var0);
      var25.setConstraint("South", Spring.sum(Spring.constant(var6), var24.getConstraint("South")));
      var25.setConstraint("East", Spring.sum(Spring.constant(var5), var24.getConstraint("East")));
   }

   private static Constraints getConstraintsForCell(int var0, int var1, Container var2, int var3) {
      SpringLayout var4 = (SpringLayout)var2.getLayout();
      Component var5 = var2.getComponent(var0 * var3 + var1);
      return var4.getConstraints(var5);
   }

   public static void makeCompactGrid(Container var0, int var1, int var2, int var3, int var4, int var5, int var6) {
      SpringLayout var7;
      try {
         var7 = (SpringLayout)var0.getLayout();
      } catch (ClassCastException var15) {
         System.err.println("The first argument to makeCompactGrid must use SpringLayout.");
         return;
      }

      Spring var8 = Spring.constant(var3);
      Constraints var10 = null;

      for (int var11 = 0; var11 < var2; var11++) {
         Spring var9 = Spring.constant(0);

         for (int var12 = 0; var12 < var1; var12++) {
            var9 = Spring.max(var9, getConstraintsForCell(var12, var11, var0, var2).getWidth());
         }

         for (int var19 = 0; var19 < var1; var19++) {
            var10 = getConstraintsForCell(var19, var11, var0, var2);
            var10.setX(var8);
            var10.setWidth(var9);
         }

         var8 = Spring.sum(var8, Spring.sum(var9, Spring.constant(var5)));
      }

      Spring var18 = Spring.constant(var4);

      for (int var13 = 0; var13 < var1; var13++) {
         Spring var20 = Spring.constant(0);

         for (int var14 = 0; var14 < var2; var14++) {
            var20 = Spring.max(var20, getConstraintsForCell(var13, var14, var0, var2).getHeight());
         }

         for (int var22 = 0; var22 < var2; var22++) {
            var10 = getConstraintsForCell(var13, var22, var0, var2);
            var10.setY(var18);
            var10.setHeight(var20);
         }

         var18 = Spring.sum(var18, Spring.sum(var20, Spring.constant(var6)));
      }

      Constraints var21 = var7.getConstraints(var0);
      var21.setConstraint("South", var18);
      var21.setConstraint("East", var8);
   }
}
