package com.raritan.rrc.util;

import java.util.ArrayList;

public class TaskCompletionNotifier {
   private ArrayList _taskCompletionListeners = new ArrayList();
   private Object _task = null;

   public TaskCompletionNotifier(Object var1) {
      this._task = var1;
   }

   public synchronized void addTaskCompletionListener(TaskCompletionListener var1) {
      this._taskCompletionListeners.add(var1);
   }

   public synchronized void removeTaskCompletionListener(TaskCompletionListener var1) {
      this._taskCompletionListeners.remove(var1);
   }

   public synchronized void fireTaskCompleted() {
      for (TaskCompletionListener var2 : this._taskCompletionListeners) {
         var2.taskCompleted(this._task);
      }
   }
}
