package com.raritan.rrc.util.modem;

import netscape.javascript.JSObject;

public class RRC_RAS_Applet extends ModemConnector {
   private JSObject win;

   public RRC_RAS_Applet(JSObject var1) {
      this.win = var1;
   }

   @Override
   public long rasConnect(String var1, String var2) {
      long var3 = this.rasEnumDevices();
      long var5 = 0L;

      for (int var7 = 0; var7 < var3; var7++) {
         if (this.rasGetDeviceName(var7).equals(var2)) {
            var5 = var7;
            break;
         }
      }

      Object[] var10 = new Object[]{new String(var1), new Long(var5)};
      this.win.call("connect", var10);
      Object var8 = this.win.call("getConnectErrCode", null);
      Long var9 = new Long(var8.toString());
      return var9;
   }

   @Override
   public long rasEnumConnections() {
      Object var1 = this.win.call("enumConnections", null);
      Long var2 = new Long(var1.toString());
      return var2;
   }

   @Override
   public long rasEnumDevices() {
      Object var1 = this.win.call("enumDevices", null);
      Long var2 = new Long(var1.toString());
      return var2;
   }

   @Override
   public long rasEnumEntries() {
      Object var1 = this.win.call("enumEntries", null);
      Long var2 = new Long(var1.toString());
      return var2;
   }

   @Override
   public String rasGetDeviceName(long var1) {
      Object[] var3 = new Object[]{new Long(var1)};
      Object var4 = this.win.call("getDeviceName", var3);
      return (String)var4;
   }

   @Override
   public String rasGetDeviceType(long var1) {
      Object[] var3 = new Object[]{new Long(var1)};
      Object var4 = this.win.call("getDeviceType", var3);
      return (String)var4;
   }

   @Override
   public String rasGetEntryName(long var1) {
      Object[] var3 = new Object[]{new Long(var1)};
      Object var4 = this.win.call("getEntryName", var3);
      return (String)var4;
   }

   @Override
   public void rasHangUp() {
      this.win.call("HangUp", null);
   }

   @Override
   public String rasGetServerIP() {
      Object var1 = this.win.call("getServerIP", null);
      return (String)var1;
   }
}
