package com.raritan.smartcard;

public class SmartCardInitException extends Exception {
   private final SmartCardInitException.ExceptionCause cause;

   public SmartCardInitException(SmartCardInitException.ExceptionCause var1) {
      this(var1, null);
   }

   public SmartCardInitException(Exception var1) {
      this(SmartCardInitException.ExceptionCause.UNKNOWN_ERROR, var1);
   }

   public SmartCardInitException(SmartCardInitException.ExceptionCause var1, Exception var2) {
      super("Smart Card Module Initialization Failed : " + var1, var2);
      this.cause = var1;
   }

   public SmartCardInitException.ExceptionCause getExceptionCause() {
      return this.cause;
   }

   public static enum ExceptionCause {
      UNSUPPORTED_JRE,
      NO_SUPPORTED_SMARTCARD_IMPL,
      UNSUPPORTED_OS,
      UNKNOWN_ERROR;
   }
}
