package com.raritan.smartcard;

import java.io.IOException;
import nn.pp.core.NotificationListener;
import nn.pp.core.WorkstationUnlockDetector;

public interface SmartCardReaderSession {
   void start(
      SmartCardReaderListener var1,
      CardAccessErrorsListener var2,
      NotificationListener var3,
      SmartCardSessionEventsListener var4,
      WorkstationUnlockDetector var5
   ) throws SmartCardException, SmartCardIncompatibleProtoException, IOException;

   void close();

   void simulateRemoveAndReinsert();

   void addSmartCardReaderListener(SmartCardReaderListener var1);

   void removeSmartCardReaderListener(SmartCardReaderListener var1);

   void removeCardAccessErrorsListener(CardAccessErrorsListener var1);

   void removeNotificationListener(NotificationListener var1);

   void removeSmartCardSessionEventsListener(SmartCardSessionEventsListener var1);
}
