package com.raritan.smartcard.impl;

import com.raritan.smartcard.SmartCardReaderListener;
import nn.pp.core.impl.ListenerAction;
import nn.pp.core.impl.ListenerList;

public class CardStateTrackerListenerList extends ListenerList<SmartCardReaderListener> {
   public void fireCardInserted(final String var1) {
      this.fire(new ListenerAction<SmartCardReaderListener>() {
         @Override
         public void run() {
            this.listener.cardInserted(var1);
         }
      });
   }

   public void fireCardRemoved(final String var1) {
      this.fire(new ListenerAction<SmartCardReaderListener>() {
         @Override
         public void run() {
            this.listener.cardRemoved(var1);
         }
      });
   }

   public void fireCardReaderRemoved(final String var1) {
      this.fire(new ListenerAction<SmartCardReaderListener>() {
         @Override
         public void run() {
            this.listener.cardReaderRemoved(var1);
         }
      });
   }
}
