package com.raritan.smartcard.impl;

import javax.smartcardio.CardChannel;
import javax.smartcardio.CardException;
import javax.smartcardio.CommandAPDU;
import javax.smartcardio.ResponseAPDU;

public class T1TransportProtoHandler implements TransportProtoHandler {
   private final CardChannel cardChannel;

   public T1TransportProtoHandler(CardChannel var1) {
      this.cardChannel = var1;
   }

   @Override
   public byte[] transmit(byte[] var1) throws CardException {
      ResponseAPDU var2 = this.cardChannel.transmit(new CommandAPDU(var1));
      return var2.getBytes();
   }
}
