package com.raritan.smartcard.impl;

import java.util.concurrent.ThreadFactory;

public class ThreadExecutorThrFactory implements ThreadFactory {
   private final String thrName;
   private final boolean daemon;

   public ThreadExecutorThrFactory(Class<?> var1, String var2) {
      this(var1, var2, false);
   }

   public ThreadExecutorThrFactory(Class<?> var1, String var2, boolean var3) {
      this.thrName = formatName(var1, var2);
      this.daemon = var3;
   }

   @Override
   public Thread newThread(Runnable var1) {
      Thread var2 = new Thread(var1, this.thrName);
      var2.setDaemon(this.daemon);
      return var2;
   }

   private static String formatName(Class<?> var0, String var1) {
      return var0.getName() + (var1 == null ? "" : "-" + var1);
   }
}
