package com.raritan.smartcard.impl.crp;

import nn.pp.core.NotificationEvent;

public final class SmartCardNotificationEvent extends NotificationEvent implements Cloneable {
   private String errorMessage;

   public SmartCardNotificationEvent(int var1) {
      super(0, var1);
   }

   public SmartCardNotificationEvent(int var1, int var2) {
      super(1, var2);
   }

   public SmartCardNotificationEvent(int var1, int var2, boolean var3, String var4) {
      super(var1, var2, var3, var4);
      this.errorMessage = var4;
   }

   public NotificationEvent clone() {
      return new SmartCardNotificationEvent(this.flags, this.errorCode, this.clientGeneratedError, this.errorMessage);
   }

   @Override
   public String getMessage() {
      return this.errorMessage;
   }
}
