package com.raritan.smartcard.impl.crp.V01_00;

import com.raritan.smartcard.SmartCardException;
import com.raritan.smartcard.impl.crp.MessageToCommandProducer;
import java.io.IOException;
import nn.pp.core.impl.MonitoringDataInputStream;

public class QuitRequestFromServer implements MessageToCommandProducer<CRPMessageHandlerV01_00> {
   private final int reason;

   public QuitRequestFromServer() {
      this(-1);
   }

   private QuitRequestFromServer(int var1) {
      this.reason = var1;
   }

   public QuitRequestFromServer readMessage(MonitoringDataInputStream var1) throws IOException, SmartCardException {
      var1.readShort();
      var1.read();
      int var2 = var1.readInt();
      return new QuitRequestFromServer(var2);
   }

   public void visit(CRPMessageHandlerV01_00 var1) {
      var1.handleQuitRequestFromServer(this);
   }

   public int getReason() {
      return this.reason;
   }
}
