package com.raritan.tools.commands;

import com.raritan.tools.ui.ScreenContext;
import java.text.SimpleDateFormat;
import java.util.Date;

public class LogCommand extends AbstractCommand {
   public static final String COMMAND_KEY = "logCommand";
   private final SimpleDateFormat dateFormat = null;

   public LogCommand(ScreenContext var1) {
      super(var1);
      this.cmdContext = new CommandContext(this.getKey());
   }

   @Override
   public String getKey() {
      return "logCommand";
   }

   @Override
   public CommandResult execute() {
      Object var1 = null;
      String var2 = (String)this.getContext().getCommandParameter("logtext");
      String var3 = (String)this.getContext().getCommandParameter("logtype");
      this.getContext().setCommandResult("logtext", var2);
      if (this.dateFormat == null) {
         var1 = new Date(System.currentTimeMillis()).toString();
      } else {
         var1 = this.dateFormat.format(new Date(System.currentTimeMillis()));
      }

      this.getContext().setCommandResult("logtext", var2);
      return new CommandResult();
   }

   @Override
   public boolean isExecutable() {
      return true;
   }
}
