package com.raritan.tools.commands;

import com.raritan.tools.ui.ScreenContext;

public class StatusCommand extends AbstractCommand {
   public static final String COMMAND_KEY = "statusCommand";

   public StatusCommand(ScreenContext var1) {
      super(var1);
      this.cmdContext = new CommandContext(this.getKey());
   }

   @Override
   public String getKey() {
      return "statusCommand";
   }

   @Override
   public CommandResult execute() {
      String var1 = (String)this.getContext().getCommandParameter("logtext");
      this.getContext().setCommandResult("logtext", var1);
      return new CommandResult();
   }

   @Override
   public boolean isExecutable() {
      return true;
   }
}
