package com.raritan.tools.ui.panes.displays;

import com.raritan.rrc.ui.RRCScreenContext;
import com.raritan.tools.ui.ScreenContext;
import nn.pp.common.audio.AudioDialogAdapter;

public class ShellForAudioDialog extends Shell {
   private AudioDialogAdapter dlg;
   private boolean visible;

   public ShellForAudioDialog(ScreenContext var1) {
      super(var1);
   }

   @Override
   public void setVisible(boolean var1) {
      if (this.visible != var1) {
         this.visible = var1;
         if (this.dlg.audioAvailable()) {
            this.dlg.setVisible(var1);
            if (!this.dlg.isAutoClosed()) {
               super.setVisible(var1);
            } else {
               this.visible = false;
            }
         } else {
            this.visible = false;
         }

         ((RRCScreenContext)this.scrContext).getAudioObserver().forceNotifyObservers(this);
      }
   }

   public void setAudioDialogAdapter(AudioDialogAdapter var1) {
      this.dlg = var1;
   }
}
