package com.raritan.tools.util;

import com.raritan.tools.ui.ScreenContext;
import java.awt.Image;
import java.util.HashMap;
import java.util.Map;
import nn.pp.common.ResourceLoader;

public class ImageHolder {
   protected ScreenContext ctx;
   private Map iconMap;

   public ImageHolder(ScreenContext var1) {
      this.ctx = var1;
      this.iconMap = new HashMap();
   }

   public Image getImage(String var1) {
      Image var2 = (Image)this.iconMap.get(var1);
      if (var2 == null) {
         var2 = ResourceLoader.loadImage(var1);
         this.iconMap.put(var1, var2);
      }

      return var2;
   }
}
