package com.raritan.tools.util;

import java.util.Observable;

public class ObservableContainer extends Observable {
   private String containerName;
   private Object component;

   public ObservableContainer(String var1) {
      this.containerName = var1;
   }

   public String getContainerName() {
      return this.containerName;
   }

   public synchronized Object getComponent() {
      return this.component;
   }

   public synchronized void setComponent(Object var1) {
      this.component = var1;
      this.setChanged();
      this.notifyObservers(this.component);
   }

   public void forceNotifyObservers(Object var1) {
      this.setChanged();
      super.notifyObservers(var1);
   }
}
