package com.raritan.tools.util.config;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public class ConfigurationManager {
   public static Properties loadConfiguration(Class var0, String var1) throws ConfigurableException {
      try {
         Properties var2 = new Properties(System.getProperties());
         InputStream var3 = var0.getResourceAsStream(var1);
         if (var3 == null) {
            throw new IOException("The resource " + var1 + " couldn't be found");
         } else {
            var2.load(var3);
            return var2;
         }
      } catch (IOException var4) {
         throw new ConfigurableException("Configuration exception:" + var4.toString());
      }
   }

   public static InputStream getResourceInputStream(Class var0, String var1) throws ConfigurableException {
      try {
         InputStream var2 = var0.getResourceAsStream(var1);
         if (var2 == null) {
            throw new IOException("The resource " + var1 + " couldn't be found");
         } else {
            return var2;
         }
      } catch (IOException var3) {
         throw new ConfigurableException("Configuration exception:" + var3.toString());
      }
   }
}
