package javaclientlib.common.org.lzo;

public final class Lzo1xDecompressor implements Constants {
   private static final String copyright = "LZO Copyright (C) 1996-1999 Markus F.X.J. Oberhumer <markus.oberhumer@jk.uni-linz.ac.at>";

   public final int decompress(byte[] var1, int var2, int var3, byte[] var4, int var5, Int var6) {
      int var8 = var5;
      int var7 = var2 + 1;
      int var9 = var1[var2] & 255;
      if (var9 > 17) {
         var9 -= 17;

         do {
            var4[var8++] = var1[var7++];
         } while (--var9 > 0);

         var9 = var1[var7++] & 255;
         if (var9 < 16) {
            return -1;
         }
      }

      label141:
      while (true) {
         label139: {
            if (var9 < 16) {
               if (var9 == 0) {
                  while (var1[var7] == 0) {
                     var9 += 255;
                     var7++;
                  }

                  var9 += 15 + (var1[var7++] & 255);
               }

               var9 += 3;

               do {
                  var4[var8++] = var1[var7++];
               } while (--var9 > 0);

               var9 = var1[var7++] & 255;
               if (var9 < 16) {
                  int var10 = var8 - 2049 - (var9 >> 2) - ((var1[var7++] & 255) << 2);
                  if (var10 < var5) {
                     var9 = -6;
                     break;
                  }

                  var9 = 3;

                  do {
                     var4[var8++] = var4[var10++];
                  } while (--var9 > 0);

                  var9 = var1[var7 - 2] & 3;
                  if (var9 == 0) {
                     break label139;
                  }

                  do {
                     var4[var8++] = var1[var7++];
                  } while (--var9 > 0);

                  var9 = var1[var7++] & 255;
               }
            }

            while (true) {
               int var23;
               if (var9 >= 64) {
                  var23 = var8 - 1 - (var9 >> 2 & 7) - ((var1[var7++] & 255) << 3);
                  var9 = (var9 >> 5) - 1;
               } else if (var9 >= 32) {
                  var9 &= 31;
                  if (var9 == 0) {
                     while (var1[var7] == 0) {
                        var9 += 255;
                        var7++;
                     }

                     var9 += 31 + (var1[var7++] & 255);
                  }

                  var23 = var8 - 1 - ((var1[var7++] & 255) >> 2);
                  var23 -= (var1[var7++] & 255) << 6;
               } else if (var9 >= 16) {
                  var23 = var8 - ((var9 & 8) << 11);
                  var9 &= 7;
                  if (var9 == 0) {
                     while (var1[var7] == 0) {
                        var9 += 255;
                        var7++;
                     }

                     var9 += 7 + (var1[var7++] & 255);
                  }

                  var23 -= (var1[var7++] & 255) >> 2;
                  var23 -= (var1[var7++] & 255) << 6;
                  if (var23 == var8) {
                     break label141;
                  }

                  var23 -= 16384;
               } else {
                  var23 = var8 - 1 - (var9 >> 2) - ((var1[var7++] & 255) << 2);
                  var9 = 0;
               }

               if (var23 < var5) {
                  var9 = -6;
                  break label141;
               }

               var9 += 2;

               do {
                  var4[var8++] = var4[var23++];
               } while (--var9 > 0);

               var9 = var1[var7 - 2] & 3;
               if (var9 == 0) {
                  break;
               }

               do {
                  var4[var8++] = var1[var7++];
               } while (--var9 > 0);

               var9 = var1[var7++] & 255;
            }
         }

         var9 = var1[var7++] & 255;
      }

      var7 -= var2;
      var8 -= var5;
      var6.setValue(var8);
      if (var9 < 0) {
         return var9;
      } else if (var7 < var3) {
         return -8;
      } else if (var7 > var3) {
         return -4;
      } else {
         return var9 != 1 ? -1 : 0;
      }
   }
}
