package javaclientlib.tr;

public class Cell extends TRDATASTRUCTURE {
   protected static final TRDATASTRUCTURE_DEF definition = new TRDATASTRUCTURE_DEF(
      Cell.class,
      new String[]{"refresh", "codePlane", "cacheHead", "cache"},
      new Class[]{boolean.class, short.class, short.class, int.class},
      new int[]{0, 0, 0, 3}
   );
   private boolean refresh;
   private short codePlane;
   private short cacheHead;
   private int[] cache = new int[3];
   public static final short CMD_LEN = 17;

   @Override
   public TRDATASTRUCTURE_DEF getDefinition() {
      return definition;
   }

   @Override
   public short getLength() {
      return 17;
   }

   public void setRefresh(boolean var1) {
      this.refresh = var1;
   }

   public boolean getRefresh() {
      return this.refresh;
   }

   public void setCodePlane(short var1) {
      this.codePlane = var1;
   }

   public short getCodePlane() {
      return this.codePlane;
   }

   public void setCacheHead(short var1) {
      this.cacheHead = var1;
   }

   public short getCacheHead() {
      return this.cacheHead;
   }

   public void setCache(int[] var1) {
      this.cache = var1;
   }

   public int[] getCache() {
      return this.cache;
   }

   public void setCache(int var1, int var2) {
      this.cache[var1] = var2;
   }

   public int getCache(int var1) {
      return this.cache[var1];
   }
}
