package javaclientlib.tr;

public interface HIDKBConstants {
   int HID_KB_PRESS = 1;
   int HID_KB_RELEASE = 2;
   int HID_KB_RELEASE_IF_PRESSED = 3;
   int HID_KB_TOGGLE = 4;
   int HID_KB_RELEASE_ALL = 5;
   int HID_KB_HACK = 0;
   int HID_KB_NO_KEY = 0;
   short HID_KB_ErrorRollOver = 1;
   short HID_KB_POSTFail = 2;
   short HID_KB_ErrorUndefined = 3;
   short HID_KB_a_A = 4;
   short HID_KB_b_B = 5;
   short HID_KB_c_C = 6;
   short HID_KB_d_D = 7;
   short HID_KB_e_E = 8;
   short HID_KB_f_F = 9;
   short HID_KB_g_G = 10;
   short HID_KB_h_H = 11;
   short HID_KB_i_I = 12;
   short HID_KB_j_J = 13;
   short HID_KB_k_K = 14;
   short HID_KB_l_L = 15;
   short HID_KB_m_M = 16;
   short HID_KB_n_N = 17;
   short HID_KB_o_O = 18;
   short HID_KB_p_P = 19;
   short HID_KB_q_Q = 20;
   short HID_KB_r_R = 21;
   short HID_KB_s_S = 22;
   short HID_KB_t_T = 23;
   short HID_KB_u_U = 24;
   short HID_KB_v_V = 25;
   short HID_KB_w_W = 26;
   short HID_KB_x_X = 27;
   short HID_KB_y_Y = 28;
   short HID_KB_z_Z = 29;
   short HID_KB_1_Exclamation = 30;
   short HID_KB_2_At = 31;
   short HID_KB_3_Pound = 32;
   short HID_KB_4_Dollar = 33;
   short HID_KB_5_Percent = 34;
   short HID_KB_6_Caret = 35;
   short HID_KB_7_And = 36;
   short HID_KB_8_Asterisk = 37;
   short HID_KB_9_LeftParenthesis = 38;
   short HID_KB_0_RightParenthesis = 39;
   short HID_KB_Return_ENTER = 40;
   short HID_KB_ESCAPE = 41;
   short HID_KB_Backspace = 42;
   short HID_KB_Tab = 43;
   short HID_KB_Spacebar = 44;
   short HID_KB_Minus_Underscore = 45;
   short HID_KB_Equal_Plus = 46;
   short HID_KB_LBracket = 47;
   short HID_KB_RBracket = 48;
   short HID_KB_BackSlash = 49;
   short HID_KB_NonUS_Pound_Minus = 50;
   short HID_KB_Semicolon_Colon = 51;
   short HID_KB_Apostrophe_Quote = 52;
   short HID_KB_Grave_Accent_Tilde = 53;
   short HID_KB_Comma_LessThan = 54;
   short HID_KB_Period_GreaterThan = 55;
   short HID_KB_Slash_Question = 56;
   short HID_KB_CapsLock = 57;
   short HID_KB_F1 = 58;
   short HID_KB_F2 = 59;
   short HID_KB_F3 = 60;
   short HID_KB_F4 = 61;
   short HID_KB_F5 = 62;
   short HID_KB_F6 = 63;
   short HID_KB_F7 = 64;
   short HID_KB_F8 = 65;
   short HID_KB_F9 = 66;
   short HID_KB_F10 = 67;
   short HID_KB_F11 = 68;
   short HID_KB_F12 = 69;
   short HID_KB_PrintScreen = 70;
   short HID_KB_ScrollLock = 71;
   short HID_KB_Pause = 72;
   short HID_KB_Insert = 73;
   short HID_KB_Home = 74;
   short HID_KB_PageUp = 75;
   short HID_KB_Delete = 76;
   short HID_KB_End = 77;
   short HID_KB_PageDown = 78;
   short HID_KB_RightArrow = 79;
   short HID_KB_LeftArrow = 80;
   short HID_KB_DownArrow = 81;
   short HID_KB_UpArrow = 82;
   short HID_KB_Keypad_NumLock = 83;
   short HID_KB_Keypad_Divide = 84;
   short HID_KB_Keypad_Multiply = 85;
   short HID_KB_Keypad_Minus = 86;
   short HID_KB_Keypad_Plus = 87;
   short HID_KB_Keypad_ENTER = 88;
   short HID_KB_Keypad_1_End = 89;
   short HID_KB_Keypad_2_Down = 90;
   short HID_KB_Keypad_3_PageDn = 91;
   short HID_KB_Keypad_4_Left = 92;
   short HID_KB_Keypad_5 = 93;
   short HID_KB_Keypad_6_Right = 94;
   short HID_KB_Keypad_7_Home = 95;
   short HID_KB_Keypad_8_Up = 96;
   short HID_KB_Keypad_9_PageUp = 97;
   short HID_KB_Keypad_0_Insert = 98;
   short HID_KB_Keypad_Decimal_Delete = 99;
   short HID_KB_NonUS_BackSlash_Pipe = 100;
   short HID_KB_Application = 101;
   short HID_KB_Power = 102;
   short HID_KB_Keypad_Equal = 103;
   short HID_KB_F13 = 104;
   short HID_KB_F14 = 105;
   short HID_KB_F15 = 106;
   short HID_KB_F16 = 107;
   short HID_KB_F17 = 108;
   short HID_KB_F18 = 109;
   short HID_KB_F19 = 110;
   short HID_KB_F20 = 111;
   short HID_KB_F21 = 112;
   short HID_KB_F22 = 113;
   short HID_KB_F23 = 114;
   short HID_KB_F24 = 115;
   short HID_KB_Execute = 116;
   short HID_KB_Help = 117;
   short HID_KB_Menu = 118;
   short HID_KB_Select = 119;
   short HID_KB_Stop = 120;
   short HID_KB_Again = 121;
   short HID_KB_Undo = 122;
   short HID_KB_Cut = 123;
   short HID_KB_Copy = 124;
   short HID_KB_Paste = 125;
   short HID_KB_Find = 126;
   short HID_KB_Mute = 127;
   short HID_KB_VolumeUp = 128;
   short HID_KB_VolumeDown = 129;
   short HID_KB_LockingCapsLock = 130;
   short HID_KB_LockingNumLock = 131;
   short HID_KB_LockingScrollLockshort = 132;
   short HID_KB_Keypad_Comma = 133;
   short HID_KB_Keypad_EqualSign = 134;
   short HID_KB_International1 = 135;
   short HID_KB_International2 = 136;
   short HID_KB_International3 = 137;
   short HID_KB_International4 = 138;
   short HID_KB_International5 = 139;
   short HID_KB_International6 = 140;
   short HID_KB_International7 = 141;
   short HID_KB_International8 = 142;
   short HID_KB_International9 = 143;
   short HID_KB_LANG1 = 144;
   short HID_KB_LANG2 = 145;
   short HID_KB_LANG3 = 146;
   short HID_KB_LANG4 = 147;
   short HID_KB_LANG5 = 148;
   short HID_KB_LANG6 = 149;
   short HID_KB_LANG7 = 150;
   short HID_KB_LANG8 = 151;
   short HID_KB_LANG9 = 152;
   short HID_KB_AlternateErase = 153;
   short HID_KB_SysReq_Attention = 154;
   short HID_KB_Cancel = 155;
   short HID_KB_Clear = 156;
   short HID_KB_Prior = 157;
   short HID_KB_Return = 158;
   short HID_KB_Separatorc = 159;
   short HID_KB_Out = 160;
   short HID_KB_Oper = 161;
   short HID_KB_Clear_Again = 162;
   short HID_KB_CrSel_Props = 163;
   short HID_KB_ExSel = 164;
   short HID_KB_LeftControl = 224;
   short HID_KB_LeftShift = 225;
   short HID_KB_LeftAlt = 226;
   short HID_KB_LeftGUI = 227;
   short HID_KB_RightControl = 228;
   short HID_KB_RightShift = 229;
   short HID_KB_RightAlt = 230;
   short HID_KB_RightGUI = 231;
}
