package javaclientlib.tr;

public interface IRDM_Definitions {
   int RDM_MAX_ID = 16;
   int RDM_MAX_TYPE = 16;
   int RDM_MAX_MODEL = 16;
   int RDM_MAX_NAME = 16;
   int RDM_MAX_CLASS = 16;
   int RDM_MAX_NOTIFICATION = 255;
   int RDM_MAX_NOTIFICATION_DATA = 150;
   int RDM_MAX_KEY = 16;
   int RDM_MAX_KEY_BASE64 = 64;
   int RDM_MAX_TEXT_EVENT = 79;
   int RDM_MAX_CLUSTER = 64;
   int RDM_MAX_USER_NAME = 24;
   int RDM_MAX_PASSWORD = 24;
   int RDM_MAX_GROUP_ID = 16;
   int RDM_MAX_GROUP_NAME = 16;
   int RDM_MAX_DIALBACK = 15;
   int RDM_ERROR_BASE = -20480;
   int RDM_ERROR_SERVICE_NOT_FOUND = -20479;
   int RDM_ERROR_FUNCTION_NOT_FOUND = -20478;
   int RDM_ERROR_IO_ERROR = -20477;
   int RDM_ERROR_PERMISSION_DENIED = -20476;
   int RDM_ERROR_BAD_PARAMETER = -20475;
   int RDM_ERROR_MEMORY_ERROR = -20474;
   int RDM_ERROR_INVALID_SESSION = -20473;
   int RDM_ERROR_NOT_SUPPORTED = -20472;
   int RDM_ERROR_FULL = -20471;
   int RDM_ERROR_INVALID_DATA = -20470;
   int RDM_ERROR_FAILED = -20469;
   int RDM_ERROR_DEVSET_ROOT_NOT_FOUND = -20224;
   int RDM_ERROR_DEVSET_DATA_NOT_FOUND = -20223;
   int RDM_ERROR_DEVSET_GET_DATA = -20222;
   int RDM_ERROR_DEVSET_PUT_DATA = -20221;
   int RDM_ERROR_DEVSET_NODE_NOT_FOUND = -20220;
   int RDM_ERROR_DEVSET_NORMALIZE_DATA = -20219;
   int RDM_ERROR_DEVSET_NORMALIZE_DB = -20218;
   int RDM_ERROR_DEVICE_ACCESS_INVALID_INTERFACE_ID = -20192;
   int RDM_ERROR_DEVICE_ACCESS_INVALID_SECURITY_ID = -20191;
   int RDM_ERROR_DEVICE_ACCESS_INVALID_SECURITY_SECURITY_ID = -20190;
   int RDM_ERROR_DEVICE_ACCESS_INVALID_NAME = -20189;
   int RDM_ERROR_ETHERNET_INVALID_ENABLE = -20160;
   int RDM_ERROR_ETHERNET_INVALID_LINETYPE = -20159;
   int RDM_ERROR_ETHERNET_INVALID_PHY = -20158;
   int RDM_ERROR_TCPIP_INVALID_DHCP = -20144;
   int RDM_ERROR_TCPIP_INVALID_GATEWAY = -20143;
   int RDM_ERROR_TCPIP_INVALID_IPADDRESS = -20142;
   int RDM_ERROR_TCPIP_INVALID_SUBNETMASK = -20141;
   int RDM_ERROR_FAILOVER_INVALID_ENABLE = -20128;
   int RDM_ERROR_FAILOVER_INVALID_NEXTINTERFACE = -20127;
   int RDM_ERROR_FAILOVER_INVALID_TIMEOUT = -20126;
   int RDM_ERROR_FAILOVER_INVALID_PINGINTERVAL = -20125;
   int RDM_ERROR_MODEM_INVALID_DIALBACK = -20112;
   int RDM_ERROR_MODEM_INVALID_ENABLE = -20111;
   int RDM_ERROR_MODEM_INVALID_PHONE = -20110;
   int RDM_ERROR_SECURITY_INVALID_ENCRYPTIONMODE = -19936;
   int RDM_ERROR_SECURITY_INVALID_REMOTE_ADMIN = -19935;
   int RDM_ERROR_SECURITY_INVALID_CONCURRENT_ACCESS = -19934;
   int RDM_ERROR_SECURITY_INVALID_ENABLE_STRONG_PASSWORD = -19933;
   int RDM_ERROR_SECURITY_INVALID_PASSWORD_VALIDITY_PERIOD = -19932;
   int RDM_ERROR_SECURITY_INVALID_SINGLE_USER_LOGIN = -19931;
   int RDM_ERROR_REMOTE_AUTH_INVALID_SECURITY_ID = -19920;
   int RDM_ERROR_REMOTE_AUTH_INVALID_SERVER_ID = -19919;
   int RDM_ERROR_REMOTE_AUTH_INVALID_SERVER_PRIORITY = -19918;
   int RDM_ERROR_REMOTE_AUTH_INVALID_SERVER_ENABLE = -19917;
   int RDM_ERROR_REMOTE_AUTH_INVALID_SERVER_PROTOCOL = -19916;
   int RDM_ERROR_REMOTE_AUTH_INVALID_SERVER_AUTHENTICATE_TYPE = -19915;
   int RDM_ERROR_REMOTE_AUTH_INVALID_SERVER_SECRET = -19914;
   int RDM_ERROR_REMOTE_AUTH_INVALID_SERVER_IPADDR = -19913;
   int RDM_ERROR_REMOTE_AUTH_INVALID_SERVER_IPPORT = -19912;
   int RDM_ERROR_REMOTE_AUTH_INVALID_SERVER_TIMEOUT = -19911;
   int RDM_ERROR_REMOTE_AUTH_INVALID_SERVER_BASEDN = -19910;
   int RDM_ERROR_REMOTE_AUTH_INVALID_SERVER_BASESEARCH = -19909;
   int RDM_ERROR_LOGOUTIDLE_INVALID_ENABLE = -19888;
   int RDM_ERROR_LOGOUTIDLE_INVALID_TIMEOUT = -19887;
   int RDM_ERROR_ACL_INVALID_ACTION = -19872;
   int RDM_ERROR_ACL_INVALID_IPADDRESS = -19871;
   int RDM_ERROR_ACL_INVALID_POSITION = -19870;
   int RDM_ERROR_SNTP_INVALID_ENABLE = -19792;
   int RDM_ERROR_SNTP_INVALID_ADJUSTDST = -19791;
   int RDM_ERROR_SNTP_INVALID_TIMEZONE = -19790;
   int RDM_ERROR_SNTP_INVALID_SERVER_ID = -19789;
   int RDM_ERROR_SNTP_INVALID_SERVER_PRIORITY = -19788;
   int RDM_ERROR_SNTP_INVALID_SERVER_ENABLE = -19787;
   int RDM_ERROR_SNTP_INVALID_SERVER_IPADDR = -19786;
   int RDM_ERROR_SNTP_INVALID_SERVER_IPPORT = -19785;
   int RDM_ERROR_SNTP_INVALID_SERVER_IPTIMEOUT = -19784;
   int RDM_ERROR_SNMP_INVALID_ENABLE = -19760;
   int RDM_ERROR_HTTP_INVALID_ENABLE = -19744;
   int RDM_ERROR_ACCOUTING_INVALID_SECURITY_ID = -19728;
   int RDM_ERROR_ACCOUTING_INVALID_SERVER_ID = -19727;
   int RDM_ERROR_ACCOUTING_INVALID_SERVER_PRIORITY = -19726;
   int RDM_ERROR_ACCOUTING_INVALID_SERVER_ENABLE = -19725;
   int RDM_ERROR_ACCOUTING_INVALID_SERVER_IPADDR = -19724;
   int RDM_ERROR_ACCOUTING_INVALID_SERVER_IPPORT = -19723;
   int RDM_ERROR_ACCOUTING_INVALID_SERVER_PROTOCOL = -19722;
   int RDM_ERROR_ACCOUTING_INVALID_SERVER_SECRET = -19721;
   int RDM_ERROR_ACCOUTING_INVALID_SERVER_TIMEOUT = -19720;
   int RDM_ERROR_LOGGING_INVALID_SERVER_ID = -19696;
   int RDM_ERROR_LOGGING_INVALID_SERVER_ENABLE = -19695;
   int RDM_ERROR_LOGGING_INVALID_SERVER_PROTOCOL = -19694;
   int RDM_ERROR_LOGGING_INVALID_SERVER_IPADDR = -19693;
   int RDM_ERROR_LOGGING_INVALID_SERVER_IPPORT = -19692;
   int RDM_ERROR_LOGGING_INVALID_SERVER_CATEGORY = -19691;
   int RDM_ERROR_LOGGING_INVALID_SERVER_PRIORITYTHRESHOLD = -19690;
   int RDM_ERROR_PERFORMANCE_INVALID_SECURITY_ID = -19552;
   int RDM_ERROR_PERFORMANCE_INVALID_MAXIMUMBANDWIDTHUSAGE = -19551;
   int RDM_ERROR_PERFORMANCE_INVALID_MAXIMUMBANDWIDTHPERSESSION = -19550;
   int RDM_ERROR_PERFORMANCE_INVALID_PAUSEVIDEOIDLE_ENABLE = -19549;
   int RDM_ERROR_PERFORMANCE_INVALID_PAUSEVIDEOIDLE_TIMEOUT = -19548;
   int RDM_ERROR_APPLICATION_INVALID_ID = -19488;
   int RDM_ERROR_APPLICATION_INVALID_KVMPATHCONFIG = -19487;
   int RDM_ERROR_APPLICATION_INVALID_IPPORT = -19486;
   int RDM_ERROR_APPLICATION_INVALID_BLANKUSERPORT = -19485;
   int RDM_ERROR_APPLICATION_INVALID_LOGOUTKVM = -19484;
   int RDM_ERROR_US_DATA_NOT_FOUND = -18176;
   int RDM_ERROR_US_GET_DATA = -18175;
   int RDM_ERROR_US_PUT_DATA = -18174;
   int RDM_ERROR_US_NODE_NOT_FOUND = -18173;
   int RDM_ERROR_US_NORMALIZE_DATA = -18172;
   int RDM_ERROR_US_NORMALIZE_DB = -18171;
   int RDM_ERROR_US_GET_DB = -18170;
   int RDM_ERROR_GROUP_INVALID_ID = -18144;
   int RDM_ERROR_GROUP_INVALID_NAME = -18143;
   int RDM_ERROR_GROUP_INVALID_INDIVIDUAL = -18142;
   int RDM_ERROR_GROUP_INVALID_ACTIVE = -18141;
   int RDM_ERROR_GROUP_INVALID_CONCURRENT_ACCESS = -18140;
   int RDM_ERROR_GROUP_INVALID_ACL = -18139;
   int RDM_ERROR_GROUP_INVALID_PERMISSION = -18138;
   int RDM_ERROR_USER_INVALID_ID = -18080;
   int RDM_ERROR_USER_INVALID_ACTIVE = -18079;
   int RDM_ERROR_USER_INVALID_NAME = -18078;
   int RDM_ERROR_USER_INVALID_PASSWORD = -18077;
   int RDM_ERROR_USER_INVALID_PREVPASSWORD = -18076;
   int RDM_ERROR_USER_INVALID_GROUP_ID = -18075;
   int RDM_ERROR_USER_INVALID_PHONE = -18074;
}
