package javaclientlib.tr;

public interface IRFPErrorCodes {
   int RFP_UPDATE_SUCCESS = 0;
   int RFP_ERROR_CHECKSUM = 1;
   int RFP_ERROR_FILE_FORMAT = 2;
   int RFP_ERROR_DISK_MOUNT = 3;
   int RFP_ERROR_DISK_UNMOUNT = 4;
   int RFP_ERROR_FILE_WRITE = 5;
   int RFP_ERROR_PARTIAL_WRITE = 6;
   int RFP_ERROR_MODEL_MISMATCH = 7;
   int RFP_ERROR_VERSION_MISMATCH = 8;
   int RFP_ERROR_TIMEOUT = 9;
   int RFP_ERROR_CANCEL = 10;
   int RFP_ERROR_REQUEST_FORMAT = 11;
   int RFP_ERROR_FILE_NOT_FOUND = 12;
   int RFP_ERROR_INTERNAL = 13;
   int RFP_ERROR_XML_PARSE = 14;
   int RFP_ERROR_PMCORE_STARTSERIAL = 15;
   int RFP_ERROR_LOCAL_RDM_SYNTAX = 16;
   int RFP_ERROR_LOCAL_FILE_OPEN = 17;
   int RFP_ERROR_LOCAL_FILE_ACCESS = 18;
   int RFP_ERROR_LOCAL_SOCKET_OPEN = 19;
   int RFP_ERROR_LOCAL_SOCKET_CONNECT = 20;
   int RFP_ERROR_LOCAL_SOCKET_WRITE = 21;
   int RFP_ERROR_LOCAL_SOCKET_READ = 22;
   int RFP_ERROR_STOP_SERVER = 23;
   int RFP_PACKET_ACK = 24;
   int RFP_AUTO_REBOOT = 25;
   int RFP_ERROR_NOT_COMPATIBLE_DENSITY = 26;
   int RFP_ERROR_NOT_COMPATIBLE_HARDWARE = 27;
   int RFP_ERROR_MISSING_DENSITY_TAG = 28;
   int RFP_ERROR_MISSING_HARDWARE_TAG = 29;
   int RFP_ERROR_NOT_COMPATIBLE = 30;
   int RFP_ERROR_BAD_SCRIPT = 31;
   int RFP_ERROR_POST_PROCESS_FILE = 32;
   int RFP_ERROR_OUT_OF_MEMORY = 33;
   int RFP_ERROR_MEMORY = 100;
   int RFP_ERROR_TOO_MANY_FILES = 101;
   int RFP_ERROR_NO_FILES = 102;
   int RFP_ERROR_RSA_KEY_BAD = 103;
   int RFP_ERROR_BAD_SIGNATURE = 104;
   int RFP_ERROR_CANNOT_READ_FILE = 105;
   int RFP_ERROR_CANNOT_WRITE_FILE = 106;
   int RFP_ERROR_MAXLENGTH_NOT_LAST = 107;
   int RFP_ERROR_MAXLENGTH_AND_LENGTH = 108;
   int RFP_ERROR_PUBLIC_KEY_MISSING = 109;
   int RFP_ERROR_RSA_KEY_MISSING = 110;
   int RFP_ERROR_RC4_KEY_MISSING = 111;
   int RFP_ERROR_INTERNAL_ERROR = 112;
   int RFP_ERROR_BAD_METAFILE = 113;
   int RFP_ERROR_NO_LENGTH = 114;
   int RFP_ERROR_TOO_MANY_RP_TAGS = 500;
   int RFP_ERROR_TOO_MANY_SELECT_TAGS = 501;
   int RFP_ERROR_TOO_MANY_RPID_TAGS = 502;
   int RFP_ERROR_BAD_RPID = 503;
   int RFP_ERROR_RPID_NOT_FOUND = 504;
   int RFP_ERROR_RESTORE_FAILED = 505;
   int RFP_SKIP_FILE = 1000;
}
