package javaclientlib.tr;

public interface IRadius {
   int ACCESS_REQUEST = 1;
   int ACCESS_ACCEPT = 2;
   int ACCESS_REJECT = 3;
   int ACCOUNTING_REQUEST = 4;
   int ACCOUNTING_RESPONSE = 5;
   int ACCESS_CHALLENGE = 6;
   int ACCESS_RESTRICT_IP = 7;
   int USER_NAME = 1;
   int USER_PASSWORD = 2;
   int CHAP_PASSWORD = 3;
   int NAS_IP_ADDRESS = 4;
   int NAS_PORT = 5;
   int SERVICE_TYPE = 6;
   int FRAMED_PROTOCOL = 7;
   int FRAMED_IP_ADDRESS = 8;
   int FRAMED_IP_NETMASK = 9;
   int FRAMED_ROUTING = 10;
   int FILTER_ID = 11;
   int FRAMED_MTU = 12;
   int FRAMED_COMPRESSION = 13;
   int LOGIN_IP_HOST = 14;
   int LOGIN_SERVICE = 15;
   int LOGIN_TCP_PORT = 16;
   int OLD_PASSWORD = 17;
   int REPLY_MESSAGE = 18;
   int CALLBACK_NUMBER = 19;
   int CALLBACK_ID = 20;
   int FRAMED_ROUTE = 22;
   int FRAMED_IPX_NETWORK = 23;
   int STATE = 24;
   int CLASS = 25;
   int VENDOR_SPECIFIC = 26;
   int SESSION_TIMEOUT = 27;
   int IDLE_TIMEOUT = 28;
   int TERMINATION_ACTION = 29;
   int CALLED_STATION_ID = 30;
   int CALLING_STATION_ID = 31;
   int NAS_IDENTIFIER = 32;
   int PROXY_STATE = 33;
   int LOGIN_LAT_SERVICE = 34;
   int LOGIN_LAT_NODE = 35;
   int LOGIN_LAT_GROUP = 36;
   int FRAMED_APPLETALK_LINK = 37;
   int FRAMED_APPLETALK_NETWORK = 38;
   int FRAMED_APPLETALK_ZONE = 39;
   int ACCT_STATUS_TYPE = 40;
   int ACCT_DELAY_TIME = 41;
   int ACCT_INPUT_OCTETS = 42;
   int ACCT_OUTPUT_OCTETS = 43;
   int ACCT_SESSION_ID = 44;
   int ACCT_AUTHENTIC = 45;
   int ACCT_SESSION_TIME = 46;
   int ACCT_INPUT_PACKETS = 47;
   int ACCT_OUTPUT_PACKETS = 48;
   int ACCT_TERMINATE_CAUSE = 49;
   int ACCT_MULTI_LINK_SESSION_ID = 50;
   int ACCT_LINK_COUNT = 51;
   int CHAP_CHALLENGE = 60;
   int NAS_PORT_TYPE = 61;
   int PORT_LIMIT = 62;
   int LOGIN_LAT_PORT = 63;
   int CONNECT_INFO = 77;
   int ST_LOGIN = 1;
   int ST_FRAMED = 2;
   int ST_CALLBACK_LOGIN = 3;
   int ST_CALLBACK_FRAMED = 4;
   int ST_OUTBOUND = 5;
   int ST_ADMINISTRATIVE = 6;
   int ST_NAS_PROMPT = 7;
   int ST_AUTHENTICATE_ONLY = 8;
   int ST_CALLBACK_NAS_PROMPT = 9;
   int ST_CALL_CHECK = 10;
   int ST_CALLBACK_ADMINISTRATIVE = 11;
   int FP_PPP = 1;
   int FP_SLIP = 2;
   int FP_ARAP = 3;
   int FP_GANDALF = 4;
   int FP_XYLOGICS = 5;
   int FP_X75 = 6;
   int FC_NONE = 0;
   int FC_VJ = 1;
   int FC_IPX = 2;
   int FC_STAC = 3;
   int LS_TELNET = 0;
   int LS_RLOGIN = 1;
   int LS_TCP_CLEAR = 2;
   int LS_PORTMASTER = 3;
   int LS_LAT = 4;
   int LS_X25_PAD = 5;
   int LS_X25_T3POS = 6;
   int LS_TCP_CLEAR_QUIET = 7;
   int TA_DEFAULT = 0;
   int TA_RADIUS_REQUEST = 1;
   int PT_ASYNC = 0;
   int PT_SYNC = 1;
   int PT_ISDN_SYNC = 2;
   int PT_ISDN_ASYNC_V120 = 3;
   int PT_ISDN_ASYNC_V110 = 4;
   int PT_VIRTUAL = 5;
   int PT_PIAFS = 6;
   int PT_HDLC_CLEAN_CHANNEL = 7;
   int PT_X25 = 8;
   int PT_X75 = 9;
   int PT_G3_FAX = 10;
   int PT_SDSL = 11;
   int PT_ADSL_CAP = 12;
   int PT_ASDSL_DMT = 13;
   int PT_IDSL = 14;
   int PT_ETHERNET = 15;
   int PT_XDSL = 16;
   int PT_CABLE = 17;
   int PT_WIRELESS_OTHER = 18;
   int PT_WIRELESS_802_11 = 19;
   int AST_START = 1;
   int AST_STOP = 2;
   int AST_INTRIM_UPDATE = 3;
   int AST_ACCOUNTING_ON = 7;
   int AST_ACCOUNTING_OFF = 8;
   int AA_RADIUS = 1;
   int AA_LOCAL = 2;
   int AA_REMOTE = 3;
   int ATC_USER_REQUEST = 1;
   int ATC_LOST_CARRIER = 2;
   int ATC_LOST_SERVICE = 3;
   int ATC_IDLE_TIMEOUT = 4;
   int ATC_SESSION_TIMEOUT = 5;
   int ATC_ADMIN_RESET = 6;
   int ATC_ADMIN_REBOOT = 7;
   int ATC_PORT_ERROR = 8;
   int ATC_NAS_ERROR = 9;
   int ATC_NAS_REQUEST = 10;
   int ATC_NAS_REBOOT = 11;
   int ATC_PORT_UNNEEDED = 12;
   int ATC_PORT_PREEMPTED = 13;
   int ATC_PORT_SUSPENDED = 14;
   int ATC_SERVICE_UNAVAIABLE = 15;
   int ATC_CALLBACK = 16;
   int ATC_USER_ERROR = 17;
   int ATC_HOST_REQUEST = 18;
   int PACKET_OK = 0;
   int ATTRIBUTE_OK = 0;
   int ATTRIBUTE_UNKNOWN = 1;
   int ATTRIBUTE_BAD = 2;
   int PACKET_BAD = 3;
   int MAX_AUTHENTICATOR_LENGTH = 16;
   int MAX_SECRET_LENGTH = 128;
   int MAX_STRING_LENGTH = 253;
   int MAX_PACKET_LENGTH = 4096;
   int PACKET_HEADER_LENGTH = 20;
   int PACKET_CODE_ID_LEN = 4;
   int MAX_ATTRIBUTE_DATA = 4076;
}
