package javaclientlib.tr;

import java.util.TreeSet;

public class RFP {
   byte[] title = new byte[80];
   byte[] description = new byte[160];
   byte[] copyRight = new byte[80];
   byte[] publisher = new byte[80];
   int isSigned;
   int fileCount;
   RFP_FILE[] rfpFile = new RFP_FILE[64];
   TreeSet rpTags = new TreeSet();
   public static final int RFP_MAX_TITLE = 80;
   public static final int RFP_MAX_DESCRIPTION = 160;
   public static final int RFP_MAX_COPYRIGHT = 80;
   public static final int RFP_MAX_PUBLISHER = 80;
   public static final int RFP_MAX_FILES = 64;

   public void addRPID(String var1) {
      this.rpTags.add(var1);
   }

   public String[] getAllRPIDs() {
      return this.rpTags.toArray(new String[0]);
   }

   public byte[] getTitle() {
      return this.title;
   }

   public void setTitle(byte[] var1) {
      this.title = var1;
   }

   public byte[] getDescription() {
      return this.description;
   }

   public void setDescription(byte[] var1) {
      this.description = var1;
   }

   public byte[] getCopyRight() {
      return this.copyRight;
   }

   public void setCopyRight(byte[] var1) {
      this.copyRight = var1;
   }

   public byte[] getPublisher() {
      return this.publisher;
   }

   public void setPublisher(byte[] var1) {
      this.publisher = var1;
   }

   public int getIsSigned() {
      return this.isSigned;
   }

   public void setIsSigned(int var1) {
      this.isSigned = var1;
   }

   public int getFileCount() {
      return this.fileCount;
   }

   public void setFileCount(int var1) {
      this.fileCount = var1;
   }

   public RFP_FILE[] getRfpFile() {
      return this.rfpFile;
   }

   public void setRfpFile(RFP_FILE[] var1) {
      this.rfpFile = var1;
   }

   public RFP_FILE getRfpFile(int var1) {
      return this.rfpFile[var1];
   }

   public void setRfpFile(int var1, RFP_FILE var2) {
      this.rfpFile[var1] = var2;
   }
}
