package javaclientlib.tr;

public class RGBTriple extends TRDATASTRUCTURE {
   protected static final TRDATASTRUCTURE_DEF definition = new TRDATASTRUCTURE_DEF(
      RGBTriple.class, new String[]{"rgbtBlue", "rgbtGreen", "rgbtRed"}, new Class[]{byte.class, byte.class, byte.class}, new int[]{0, 0, 0}
   );
   private byte rgbtBlue;
   private byte rgbtGreen;
   private byte rgbtRed;
   public static final short CMD_LEN = 3;

   @Override
   public TRDATASTRUCTURE_DEF getDefinition() {
      return definition;
   }

   @Override
   public short getLength() {
      return 3;
   }

   public byte getRGBTBlue() {
      return this.rgbtBlue;
   }

   public void setRGBTBlue(byte var1) {
      this.rgbtBlue = var1;
   }

   public byte getRGBTGreen() {
      return this.rgbtGreen;
   }

   public void setRGBTGreen(byte var1) {
      this.rgbtGreen = var1;
   }

   public byte getRGBTRed() {
      return this.rgbtRed;
   }

   public void setRGBTRed(byte var1) {
      this.rgbtRed = var1;
   }

   @Override
   public String toString() {
      return "b=" + this.rgbtBlue + " g=" + this.rgbtGreen + " r=" + this.rgbtRed;
   }
}
