package javaclientlib.tr;

public class TRBie extends TRDATASTRUCTURE {
   protected static final TRDATASTRUCTURE_DEF definition = new TRDATASTRUCTURE_DEF(
      TRBie.class,
      new String[]{"DL", "d", "p", "filler", "XD", "YD", "l0", "MX", "MY", "order", "options"},
      new Class[]{byte.class, byte.class, byte.class, byte.class, int.class, int.class, int.class, byte.class, byte.class, byte.class, byte.class},
      new int[]{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}
   );
   byte DL;
   byte d;
   byte p;
   byte filler;
   int XD;
   int YD;
   int l0;
   byte MX;
   byte MY;
   byte order;
   byte options;
   public static final short CMD_LEN = 20;

   @Override
   public TRDATASTRUCTURE_DEF getDefinition() {
      return definition;
   }

   @Override
   public short getLength() {
      return 20;
   }

   public byte getDL() {
      return this.DL;
   }

   public void setDL(byte var1) {
      this.DL = var1;
   }

   public byte getD() {
      return this.d;
   }

   public void setD(byte var1) {
      this.d = var1;
   }

   public byte getP() {
      return this.p;
   }

   public void setP(byte var1) {
      this.p = var1;
   }

   public byte getFiller() {
      return this.filler;
   }

   public void setFiller(byte var1) {
      this.filler = var1;
   }

   public int getXD() {
      return this.XD;
   }

   public void setXD(int var1) {
      this.XD = var1;
   }

   public int getYD() {
      return this.YD;
   }

   public void setYD(int var1) {
      this.YD = var1;
   }

   public int getL0() {
      return this.l0;
   }

   public void setL0(int var1) {
      this.l0 = var1;
   }

   public byte getMX() {
      return this.MX;
   }

   public void setMX(byte var1) {
      this.MX = var1;
   }

   public byte getMY() {
      return this.MY;
   }

   public void setMY(byte var1) {
      this.MY = var1;
   }

   public byte getOrder() {
      return this.order;
   }

   public void setOrder(byte var1) {
      this.order = var1;
   }

   public byte getOptions() {
      return this.options;
   }

   public void setOptions(byte var1) {
      this.options = var1;
   }
}
