package javaclientlib.tr;

public class TRCCT extends TRDATASTRUCTURE {
   protected static final TRDATASTRUCTURE_DEF definition = new TRDATASTRUCTURE_DEF(
      TRCCT.class,
      new String[]{"flags", "bitsPerPixel", "colors", "cctFieldCount", "cctField"},
      new Class[]{int.class, short.class, int.class, short.class, CCTField.class},
      new int[]{0, 0, 0, 0, 8}
   );
   int flags;
   short bitsPerPixel;
   int colors;
   RGBCode[] rgbCode;
   short cctFieldCount;
   CCTField[] cctField = new CCTField[8];
   public static final short CMD_LEN = 14;

   @Override
   public TRDATASTRUCTURE_DEF getDefinition() {
      return definition;
   }

   @Override
   public short getLength() {
      return 14;
   }

   public void setFlags(int var1) {
      this.flags = var1;
   }

   public int getFlags() {
      return this.flags;
   }

   public void setBitsPerPixel(short var1) {
      this.bitsPerPixel = var1;
   }

   public short getBitsPerPixel() {
      return this.bitsPerPixel;
   }

   public void setColors(int var1) {
      this.colors = var1;
   }

   public int getColors() {
      return this.colors;
   }

   public void setRGBCode(RGBCode[] var1) {
      this.rgbCode = var1;
   }

   public void setRGBCode(RGBCode var1, int var2) {
      this.rgbCode[var2] = var1;
   }

   public RGBCode[] getRGBCode() {
      return this.rgbCode;
   }

   public RGBCode getRGBCode(int var1) {
      return this.rgbCode[var1];
   }

   public void setCCTFieldCount(short var1) {
      this.cctFieldCount = var1;
   }

   public short getCCTFieldCount() {
      return this.cctFieldCount;
   }

   public void setCCTField(CCTField[] var1) {
      this.cctField = var1;
   }

   public void setCCTField(CCTField var1, int var2) {
      this.cctField[var2] = var1;
   }

   public CCTField[] getCCTField() {
      return this.cctField;
   }

   public CCTField getCCTField(int var1) {
      return this.cctField[var1];
   }
}
