package javaclientlib.tr;

public class TRCMD_GET_TARGET_INTERFACE_DATA extends TRCOMMAND {
   private int deviceID_OFFSET = 4;
   private int targetParams_OFFSET = this.deviceID_OFFSET + 1;
   public static final short CMD_LEN = 145;

   public TRCMD_GET_TARGET_INTERFACE_DATA(byte[] var1) {
      super(var1);
   }

   public TRCMD_GET_TARGET_INTERFACE_DATA() {
      super((short)145);
   }

   public TRCMD_GET_TARGET_INTERFACE_DATA(short var1) {
      super(var1);
   }

   public byte getDeviceID() {
      return this.getByte(this.deviceID_OFFSET);
   }

   public void setDeviceID(byte var1) {
      this.setByte(var1, this.deviceID_OFFSET);
   }

   public TRSRVR_TARGET_PARAMS getTargetParams() throws Exception {
      byte[] var1 = this.getBytes(this.targetParams_OFFSET, 140);
      TRSRVR_TARGET_PARAMS var2 = new TRSRVR_TARGET_PARAMS();
      var2.populate(var1);
      return var2;
   }

   public void setTargetParams(TRSRVR_TARGET_PARAMS var1) throws Exception {
      this.setBytes(var1.getDataBytes(), this.targetParams_OFFSET);
   }
}
