package javaclientlib.tr;

public class TRLIB_NETADDRLIST extends TRDATASTRUCTURE {
   protected static final TRDATASTRUCTURE_DEF definition = new TRDATASTRUCTURE_DEF(
      TRLIB_NETADDRLIST.class,
      new String[]{"browseLocalNet", "count", "address"},
      new Class[]{boolean.class, int.class, int.class},
      new int[]{0, 0, TRLIB_NETADDRLIST.TRLIB_MAXIPLIST}
   );
   private boolean browseLocalNet;
   private int count;
   private int[] address;
   public static int TRLIB_MAXIPLIST = 32;
   public static final short CMD_LEN = (short)(TRLIB_MAXIPLIST * 4 + 5);

   @Override
   public TRDATASTRUCTURE_DEF getDefinition() {
      return definition;
   }

   public TRLIB_NETADDRLIST() {
      this.address = new int[TRLIB_MAXIPLIST];
   }

   @Override
   public short getLength() {
      return CMD_LEN;
   }

   public boolean isBrowseLocalNet() {
      return this.browseLocalNet;
   }

   public void setBrowseLocalNet(boolean var1) {
      this.browseLocalNet = var1;
   }

   public int getCount() {
      return this.count;
   }

   public void setCount(int var1) {
      this.count = var1;
   }

   public int[] getAddress() {
      return this.address;
   }

   public void setAddress(int[] var1) {
      this.address = var1;
   }

   public int getAddress(int var1) {
      return this.address[var1];
   }

   public void setAddress(int var1, int var2) {
      this.address[var1] = var2;
   }
}
