package javaclientlib.tr;

import java.awt.Image;
import java.awt.Rectangle;

public class TRLIB_UPDATEINFO extends TRDATASTRUCTURE {
   protected static final TRDATASTRUCTURE_DEF definition = new TRDATASTRUCTURE_DEF(
      TRLIB_UPDATEINFO.class, new String[]{"rect", "lastField"}, new Class[]{TRRECT.class, boolean.class}, new int[]{0, 0}
   );
   private TRRECT rect;
   private BitMapInfo bitMapInfo;
   private byte[] frameBuffer;
   private Image image;
   private boolean lastField;
   private Rectangle objRectangle = new Rectangle(0, 0, 0, 0);
   public static final short CMD_LEN = 49;

   @Override
   public TRDATASTRUCTURE_DEF getDefinition() {
      return definition;
   }

   @Override
   public short getLength() {
      return 49;
   }

   public void setRect(TRRECT var1) {
      this.rect = var1;
   }

   public TRRECT getRect() {
      return this.rect;
   }

   public BitMapInfo getBitMapInfo() {
      return this.bitMapInfo;
   }

   public void setBitMapInfo(BitMapInfo var1) {
      this.bitMapInfo = var1;
   }

   public Image getImage() {
      return this.image;
   }

   public void setImage(Image var1) {
      this.image = var1;
   }

   public byte[] getFrameBuffer() {
      return this.frameBuffer;
   }

   public void setFrameBuffer(byte[] var1) {
      this.frameBuffer = var1;
   }

   public boolean isLastField() {
      return this.lastField;
   }

   public void setLastField(boolean var1) {
      this.lastField = var1;
   }

   public void setRectangle(Rectangle var1) {
      this.objRectangle = var1;
   }

   public Rectangle getRectangle() {
      return this.objRectangle;
   }

   @Override
   public String toString() {
      StringBuffer var1 = new StringBuffer();
      var1.append("\n\t TRLIB_UPDATEINFO ---------");
      var1.append("\nRectangle.X  =" + this.objRectangle.getX());
      var1.append("\nRectangle.Y   =" + this.objRectangle.getY());
      var1.append("\nRectangle.width =" + this.objRectangle.getWidth());
      var1.append("\nRectangle.height=" + this.objRectangle.getHeight());
      var1.append("\nBMInfH.BISize=" + this.bitMapInfo.getBMIHeader().getBISize());
      var1.append("\nBMInfH.BIWidth=" + this.bitMapInfo.getBMIHeader().getBIWidth());
      var1.append("\nBMInfH.BIHeight=" + this.bitMapInfo.getBMIHeader().getBIHeight());
      var1.append("\nBMInfH.BIPlanes=" + this.bitMapInfo.getBMIHeader().getBIPlanes());
      var1.append("\nBMInfH.BIBitCount=" + this.bitMapInfo.getBMIHeader().getBIBitCount());
      var1.append("\nBMInfH.BICompression=" + this.bitMapInfo.getBMIHeader().getBICompression());
      var1.append("\nBMInfH.BISizeImage=" + this.bitMapInfo.getBMIHeader().getBISizeImage());
      var1.append("\nBMInfH.BIXPelsPerMeter=" + this.bitMapInfo.getBMIHeader().getBIXPelsPerMeter());
      var1.append("\nBMInfH.BIYPelsPerMeter=" + this.bitMapInfo.getBMIHeader().getBIYPelsPerMeter());
      var1.append("\nBMInfH.BIClrUsed=" + this.bitMapInfo.getBMIHeader().getBIClrUsed());
      var1.append("\nBMInfH.BIClrImportant=" + this.bitMapInfo.getBMIHeader().getBIClrImportant());
      var1.append("\nTRLIB_UpdInf.lastField=" + this.isLastField());
      return var1.toString();
   }
}
