package javaclientlib.tr;

public class TRRSP_BITPLANE_DATA extends TRCOMMAND {
   private int area_OFFSET = 4;
   private int plane_OFFSET = this.area_OFFSET + 8;
   private int deviceID_OFFSET = this.plane_OFFSET + 1;
   public static final short CMD_LEN = 14;

   public TRRSP_BITPLANE_DATA(byte[] var1) {
      super(var1);
   }

   public TRRSP_BITPLANE_DATA() {
      super((short)14);
   }

   public TRRECT getArea() throws Exception {
      byte[] var1 = this.getBytes(this.area_OFFSET, 8);
      TRRECT var2 = new TRRECT();
      var2.populate(var1);
      return var2;
   }

   public void setArea(TRRECT var1) throws Exception {
      this.setBytes(var1.getDataBytes(), this.area_OFFSET);
   }

   public byte getPlane() {
      return this.getByte(this.plane_OFFSET);
   }

   public void setPlane(byte var1) {
      this.setByte(var1, this.plane_OFFSET);
   }

   public byte getDeviceID() {
      return this.getByte(this.deviceID_OFFSET);
   }

   public void setDeviceID(byte var1) {
      this.setByte(var1, this.deviceID_OFFSET);
   }
}
