package javaclientlib.tr;

public class TRRSP_SERIAL_PARAMS_DATA extends TRCOMMAND {
   private int serialState_OFFSET = 4;
   private int inputBuffer_OFFSET = this.serialState_OFFSET + 4;
   private int outputBuffer_OFFSET = this.inputBuffer_OFFSET + 4;
   private int params_OFFSET = this.outputBuffer_OFFSET + 4;
   private int deviceID_OFFSET = this.params_OFFSET + 16;
   public static final short CMD_LEN = 33;

   public TRRSP_SERIAL_PARAMS_DATA(byte[] var1) {
      super(var1);
   }

   public TRRSP_SERIAL_PARAMS_DATA() {
      super((short)33);
   }

   public int getSerialState() {
      return this.getByte(this.serialState_OFFSET);
   }

   public void setSerialState(int var1) {
      this.setInt(var1, this.serialState_OFFSET);
   }

   public int getInputBuffer() {
      return this.getInt(this.inputBuffer_OFFSET);
   }

   public void setInputBuffer(int var1) {
      this.setInt(var1, this.inputBuffer_OFFSET);
   }

   public int getOutputBuffer() {
      return this.getInt(this.outputBuffer_OFFSET);
   }

   public void setOutputBuffer(int var1) {
      this.setInt(var1, this.outputBuffer_OFFSET);
   }

   public TRSRVR_SERIAL_PARAMS getParams() throws Exception {
      byte[] var1 = this.getBytes(this.params_OFFSET, 16);
      TRSRVR_SERIAL_PARAMS var2 = new TRSRVR_SERIAL_PARAMS();
      var2.populate(var1);
      return var2;
   }

   public void setParams(TRSRVR_SERIAL_PARAMS var1) throws Exception {
      this.setBytes(var1.getDataBytes(), this.params_OFFSET);
   }

   public byte getDeviceID() {
      return this.getByte(this.deviceID_OFFSET);
   }

   public void setDeviceID(byte var1) {
      this.setByte(var1, this.deviceID_OFFSET);
   }
}
