package javaclientlib.tr;

public class TRSRVR_COMP_PARAMS extends TRDATASTRUCTURE {
   protected static final TRDATASTRUCTURE_DEF definition = new TRDATASTRUCTURE_DEF(
      TRSRVR_COMP_PARAMS.class,
      new String[]{"flags", "CCT", "cacheDepth", "compressMode", "speed", "minFrameTime", "maxFrameTime", "smoothing", "reserved"},
      new Class[]{int.class, short.class, short.class, int.class, int.class, int.class, int.class, int.class, int.class},
      new int[]{0, 0, 0, 0, 0, 0, 0, 0, 3}
   );
   private int flags;
   private short CCT;
   private short cacheDepth;
   private int compressMode;
   private int speed;
   private int minFrameTime;
   private int maxFrameTime;
   private int smoothing;
   private int[] reserved = new int[3];
   static final short CMD_LEN = 40;

   @Override
   public TRDATASTRUCTURE_DEF getDefinition() {
      return definition;
   }

   @Override
   public short getLength() {
      return 40;
   }

   public void setCompParams(TRSRVR_COMP_PARAMS var1) {
      this.flags = var1.getFlags();
      this.CCT = var1.getCCT();
      this.cacheDepth = var1.getCacheDepth();
      this.compressMode = var1.getCompressMode();
      this.speed = var1.getSpeed();
      this.minFrameTime = var1.getMinFrameTime();
      this.maxFrameTime = var1.getMaxFrameTime();
      this.smoothing = var1.getSmoothing();
      this.reserved = var1.getReserved();
   }

   public int getFlags() {
      return this.flags;
   }

   public void setFlags(int var1) {
      this.flags = var1;
   }

   public short getCCT() {
      return this.CCT;
   }

   public void setCCT(short var1) {
      this.CCT = var1;
   }

   public short getCacheDepth() {
      return this.cacheDepth;
   }

   public void setCacheDepth(short var1) {
      this.cacheDepth = var1;
   }

   public int getCompressMode() {
      return this.compressMode;
   }

   public void setCompressMode(int var1) {
      this.compressMode = var1;
   }

   public int getSpeed() {
      return this.speed;
   }

   public void setSpeed(int var1) {
      this.speed = var1;
   }

   public int getMinFrameTime() {
      return this.minFrameTime;
   }

   public void setMinFrameTime(int var1) {
      this.minFrameTime = var1;
   }

   public int getMaxFrameTime() {
      return this.maxFrameTime;
   }

   public void setMaxFrameTime(int var1) {
      this.maxFrameTime = var1;
   }

   public int getSmoothing() {
      return this.smoothing;
   }

   public void setSmoothing(int var1) {
      this.smoothing = var1;
   }

   public int[] getReserved() {
      return this.reserved;
   }

   public void setReserved(int[] var1) {
      this.reserved = var1;
   }

   public int getReserved(int var1) {
      return this.reserved[var1];
   }

   public void setReserved(int var1, int var2) {
      this.reserved[var1] = var2;
   }
}
