package javaclientlib.tr;

public class TRSRVR_LOG extends TRDATASTRUCTURE {
   protected static final TRDATASTRUCTURE_DEF definition = new TRDATASTRUCTURE_DEF(
      TRSRVR_LOG.class,
      new String[]{"eventCode", "eventType", "reserved1", "year", "month", "day", "hour", "minute", "second", "reserved2"},
      new Class[]{int.class, short.class, short.class, short.class, byte.class, byte.class, byte.class, byte.class, byte.class, byte.class},
      new int[]{0, 0, 0, 0, 0, 0, 0, 0, 0, 0}
   );
   private int eventCode;
   private short eventType;
   private short reserved1;
   private short year;
   private byte month;
   private byte day;
   private byte hour;
   private byte minute;
   private byte second;
   private byte reserved2;
   private Object objTRSRVR_LOG;
   public static final short CMD_LEN = 20;

   @Override
   public TRDATASTRUCTURE_DEF getDefinition() {
      return definition;
   }

   @Override
   public short getLength() {
      return 20;
   }

   public int getEventCode() {
      return this.eventCode;
   }

   public void setEventCode(int var1) {
      this.eventCode = var1;
   }

   public short getEventType() {
      return this.eventType;
   }

   public void setEventType(short var1) {
      this.eventType = var1;
   }

   public short getReserved1() {
      return this.reserved1;
   }

   public void setReserved1(short var1) {
      this.reserved1 = var1;
   }

   public short getYear() {
      return this.year;
   }

   public void setYear(short var1) {
      this.year = var1;
   }

   public byte getMonth() {
      return this.month;
   }

   public void setMonth(byte var1) {
      this.month = var1;
   }

   public byte getDay() {
      return this.day;
   }

   public void setDay(byte var1) {
      this.day = var1;
   }

   public byte getHour() {
      return this.hour;
   }

   public void setHour(byte var1) {
      this.hour = var1;
   }

   public byte getMinute() {
      return this.minute;
   }

   public void setMinute(byte var1) {
      this.minute = var1;
   }

   public byte getSecond() {
      return this.second;
   }

   public void setSecond(byte var1) {
      this.second = var1;
   }

   public byte getReserved2() {
      return this.reserved2;
   }

   public void setReserved2(byte var1) {
      this.reserved2 = var1;
   }

   public Object getObjTRSRVR_LOG() {
      return this.objTRSRVR_LOG;
   }

   public void setObjTRSRVR_LOG(Object var1) {
      this.objTRSRVR_LOG = var1;
   }
}
