package javaclientlib.tr;

public class TRSRVR_LOG_ERROR extends TRDATASTRUCTURE {
   protected static final TRDATASTRUCTURE_DEF definition = new TRDATASTRUCTURE_DEF(
      TRSRVR_LOG_ERROR.class,
      new String[]{"fileName", "fileNumber", "lineNumber", "errorCode", "param"},
      new Class[]{byte.class, int.class, int.class, int.class, int.class},
      new int[]{24, 0, 0, 0, 0}
   );
   private byte[] fileName = new byte[24];
   private int fileNumber;
   private int lineNumber;
   private int errorCode;
   private int param;
   public static final short CMD_LEN = 40;

   @Override
   public TRDATASTRUCTURE_DEF getDefinition() {
      return definition;
   }

   @Override
   public short getLength() {
      return 40;
   }

   public byte[] getFileName() {
      return this.fileName;
   }

   public void setFileName(byte[] var1) {
      this.fileName = var1;
   }

   public byte getFileName(int var1) {
      return this.fileName[var1];
   }

   public void setFileName(int var1, byte var2) {
      this.fileName[var1] = var2;
   }

   public int getFileNumber() {
      return this.fileNumber;
   }

   public void setFileNumber(int var1) {
      this.fileNumber = var1;
   }

   public int getLineNumber() {
      return this.lineNumber;
   }

   public void setLineNumber(int var1) {
      this.lineNumber = var1;
   }

   public int getErrorCode() {
      return this.errorCode;
   }

   public void setErrorCode(int var1) {
      this.errorCode = var1;
   }

   public int getParam() {
      return this.param;
   }

   public void setParam(int var1) {
      this.param = var1;
   }
}
