package javaclientlib.tr;

public class TRSRVR_SERIAL_PARAMS extends TRDATASTRUCTURE {
   protected static final TRDATASTRUCTURE_DEF definition = new TRDATASTRUCTURE_DEF(
      TRSRVR_SERIAL_PARAMS.class,
      new String[]{"reserved", "baudRate", "dataBits", "stopBits", "parity", "handShakeMode"},
      new Class[]{int.class, int.class, short.class, short.class, short.class, short.class},
      new int[]{0, 0, 0, 0, 0, 0}
   );
   private int reserved;
   private int baudRate;
   private short dataBits;
   private short stopBits;
   private short parity;
   private short handShakeMode;
   public static final short CMD_LEN = 16;

   @Override
   public TRDATASTRUCTURE_DEF getDefinition() {
      return definition;
   }

   @Override
   public short getLength() {
      return 16;
   }

   public int getReserved() {
      return this.reserved;
   }

   public void setReserved(int var1) {
      this.reserved = var1;
   }

   public int getBaudRate() {
      return this.baudRate;
   }

   public void setBaudRate(int var1) {
      this.baudRate = var1;
   }

   public short getDataBits() {
      return this.dataBits;
   }

   public void setDataBits(short var1) {
      this.dataBits = var1;
   }

   public short getStopBits() {
      return this.stopBits;
   }

   public void setStopBits(short var1) {
      this.stopBits = var1;
   }

   public short getParity() {
      return this.parity;
   }

   public void setParity(short var1) {
      this.parity = var1;
   }

   public short getHandShakeMode() {
      return this.handShakeMode;
   }

   public void setHandShakeMode(short var1) {
      this.handShakeMode = var1;
   }

   public void setParams(TRSRVR_SERIAL_PARAMS var1) {
      this.reserved = var1.getReserved();
      this.baudRate = var1.getBaudRate();
      this.dataBits = var1.getDataBits();
      this.stopBits = var1.getStopBits();
      this.parity = var1.getParity();
      this.handShakeMode = var1.getHandShakeMode();
   }

   @Override
   public String toString() {
      StringBuffer var1 = new StringBuffer();
      var1.append("\nthis.reserved=" + this.reserved);
      var1.append("\nthis.baudRate=" + this.baudRate);
      var1.append("\nthis.dataBits=" + this.dataBits);
      var1.append("\nthis.stopBits=" + this.stopBits);
      var1.append("\nthis.parity=" + this.parity);
      var1.append("\nthis.handShakeMode=" + this.handShakeMode);
      return var1.toString();
   }
}
