package javaclientlib.utils;

import java.io.FileWriter;
import java.io.IOException;

public class RRCLoggerWriter extends FileWriter {
   protected long count;

   public RRCLoggerWriter(String var1, boolean var2) throws IOException {
      super(var1, var2);
   }

   public void write(byte[] var1) throws IOException {
      for (int var2 = 0; var2 < var1.length; var2++) {
         super.write(var1[var2]);
      }

      this.count += var1.length;
   }

   @Override
   public void write(char[] var1) throws IOException {
   }

   @Override
   public void write(String var1) throws IOException {
      super.write(var1);
      this.count = this.count + var1.getBytes().length;
   }

   public long getCount() {
      return this.count;
   }

   public void setCount(long var1) {
      this.count = var1;
   }
}
