package nn.pp.audiocore.impl;

import nn.pp.audiocore.AudioEventListener;
import nn.pp.core.impl.ListenerList;

public class AudioEventListenerList extends ListenerList<AudioEventListener> {
   public void fireDisconnected(final Exception var1) {
      this.fire(new AudioEventListenerAction() {
         @Override
         public void run() {
            this.listener.disconnected(var1);
         }
      });
   }

   public void fireAudioConnected(final boolean var1) {
      this.fire(new AudioEventListenerAction() {
         @Override
         public void run() {
            this.listener.audioConnected(var1);
         }
      });
   }

   public void firePlaybackDeviceStateChanged(final AudioEventListener.DeviceState var1) {
      this.fire(new AudioEventListenerAction() {
         @Override
         public void run() {
            this.listener.playbackDeviceStateChanged(var1);
         }
      });
   }

   public void fireCaptureDeviceStateChanged(final AudioEventListener.DeviceState var1) {
      this.fire(new AudioEventListenerAction() {
         @Override
         public void run() {
            this.listener.captureDeviceStateChanged(var1);
         }
      });
   }
}
