package nn.pp.audiocore.impl.rap.V01_00;

import java.io.IOException;
import nn.pp.audiocore.AudioException;
import nn.pp.core.T;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.ProtocolMessage;

public class RapAuthChallengeMsgV01_00 extends ProtocolMessage {
   public byte[] challenge;

   public void read(MonitoringDataInputStream var1) throws IOException, AudioException {
      byte[] var2 = new byte[73];
      this.challenge = new byte[64];
      var1.readFully(var2);
      if (!new String(var2).substring(0, 9).equals("RAP CHAL=")) {
         throw new AudioException(T._("Device doesn't have valid authentication challenge format"));
      } else {
         System.arraycopy(var2, 9, this.challenge, 0, this.challenge.length);
      }
   }
}
