package nn.pp.audiocore.impl.rap.V02_00;

import java.io.IOException;
import javax.sound.sampled.AudioFormat.Encoding;
import nn.pp.audiocore.AudioFormat;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.MonitoringDataOutputStream;

public class RapAudioFormatV02_00 {
   public int deviceType;
   public AudioFormat audioFormat;

   public void read(MonitoringDataInputStream var1) throws IOException {
      this.deviceType = var1.readUnsignedByte();
      int var2 = var1.readUnsignedByte();
      int var3 = var1.readUnsignedByte();
      int var4 = var1.readUnsignedByte();
      long var5 = var1.readUnsignedInt();
      this.audioFormat = new AudioFormat((float)var5, var4, var3);
   }

   public void write(MonitoringDataOutputStream var1, int var2, AudioFormat var3) throws IOException {
      int var4 = var3.getEncoding().equals(Encoding.PCM_SIGNED) ? 1 : 0;
      var1.write(var2);
      var1.write(var4);
      var1.write(var3.getChannels());
      var1.write(var3.getSampleSizeInBits());
      var1.writeUnsignedInt((long)var3.getSampleRate());
   }
}
