package nn.pp.audiocore.impl.rap.V02_00;

import java.io.IOException;
import nn.pp.audiocore.impl.rap.RapNotificationEvent;
import nn.pp.core.NotificationEvent;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.MonitoringDataOutputStream;
import nn.pp.core.impl.ProtocolMessage;

public class RapNotificationMsgV02_00 extends ProtocolMessage {
   public NotificationEvent event;

   public void read(MonitoringDataInputStream var1, boolean var2) throws IOException {
      if (!var2) {
         var1.readUnsignedByte();
      }

      int var3 = var1.readUnsignedByte();
      var1.readUnsignedShort();
      int var4 = var1.readInt();
      this.event = new RapNotificationEvent(var3, var4);
   }

   public void write(MonitoringDataOutputStream var1, int var2) throws IOException {
      this.write(2);
      this.write(0);
      this.writeUnsignedShort(0);
      this.writeInt(var2);
      var1.write(this);
   }
}
