package nn.pp.core;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class T {
   private static ResourceBundle catalog = null;
   private static String language = "";
   private static String charset = "UTF-8";
   private static boolean locked = false;

   private T() {
   }

   public static String translate(String var0) {
      if (catalog == null) {
         return var0;
      } else {
         try {
            String var1 = (String)catalog.getObject(var0);
            if (var1 != null) {
               return var1;
            }
         } catch (MissingResourceException var2) {
         }

         return var0;
      }
   }

   public static String _(String var0) {
      return translate(var0);
   }

   public static String N_(String var0) {
      return var0;
   }

   private static void loadCatalog(String var0) {
      ResourceBundle var1 = null;
      String var2 = "nn.pp.rclang.Lang_" + var0;

      try {
         var1 = (ResourceBundle)Class.forName(var2).newInstance();
         System.out.println("Translator: " + _("loaded language class:") + " " + var2);
      } catch (Exception var4) {
         System.out.println("Translator: " + _("could not load language class:") + " " + var2);
         var4.printStackTrace();
      }

      catalog = var1;
   }

   public static String getLanguage() {
      return language;
   }

   public static void setLanguage(String var0) {
      if (!locked && !language.equals(var0)) {
         loadCatalog(var0);
         language = new String(var0);
      }
   }

   public static void lock() {
      locked = true;
   }

   public static void unlock() {
      locked = false;
   }

   public static boolean isLocked() {
      return locked;
   }

   public static synchronized String getCharset() {
      return charset;
   }

   public static synchronized void setCharset(String var0) {
      System.out.println("new charset: " + var0);
      charset = var0.toUpperCase();
   }
}
