package nn.pp.core.impl;

import nn.pp.core.INotificationEvent;
import nn.pp.core.NotificationListener;

public class NotificationListenerList extends ListenerList<NotificationListener> {
   public void fireNotification(INotificationEvent var1) {
      final INotificationEvent var2 = var1.clone();
      this.fire(new NotificationListenerAction() {
         @Override
         public void run() {
            this.listener.receivedNotification(var2);
         }
      });
   }

   public void fireTextNotification(String var1) {
      final String var2 = new String(var1);
      this.fire(new NotificationListenerAction() {
         @Override
         public void run() {
            this.listener.textNotification(var2);
         }
      });
   }
}
