package nn.pp.ext.macro;

public class Macro implements IMacro {
   private String name;
   private String sequence;
   private int hotKey;

   public Macro() {
      this.name = "";
      this.hotKey = -1;
      this.sequence = "";
   }

   public Macro(String var1, String var2, int var3) {
      this.name = var1;
      this.sequence = var2;
      this.hotKey = var3;
   }

   @Override
   public String getName() {
      return this.name;
   }

   @Override
   public String getSequence() {
      return this.sequence;
   }

   @Override
   public int getHotKey() {
      return this.hotKey;
   }

   @Override
   public void setHotKey(int var1) {
      this.hotKey = var1;
   }

   @Override
   public void setName(String var1) {
      this.name = var1;
   }

   @Override
   public void setSequence(String var1) {
      this.sequence = var1;
   }

   @Override
   public String toString() {
      return "[" + this.name + ", " + this.sequence + ", " + this.hotKey + "]";
   }
}
