package nn.pp.ext.pref;

public class ApplicationPreferencesVO {
   public boolean showScrollBorders;
   public boolean autoSyncMouse;
   public boolean singleCursorInstructions;
   public int osuiHotKey;
   public int keyboardType;
   public int broadcastPort;
   public int defaultHttpsPort;
   public boolean autoColorCal;
   public String keyboardMenuHotkeyValue;
   public boolean enableLogging;
   final boolean ipv6NetworkingEnabled;
   final boolean isAlwaysOpenInFS;
   final String monitorSetting;
   final boolean enableSingleMouse;
   final boolean enableScaling;
   final boolean pinMenu;
   final int scanInterval;
   final int portScanInterval;
   final String thumbnailSize;
   final String orientation;
   int monitorCount = -1;

   public ApplicationPreferencesVO(
      boolean var1,
      boolean var2,
      boolean var3,
      int var4,
      int var5,
      int var6,
      int var7,
      boolean var8,
      String var9,
      boolean var10,
      boolean var11,
      boolean var12,
      String var13,
      int var14,
      boolean var15,
      boolean var16,
      boolean var17,
      int var18,
      int var19,
      String var20,
      String var21
   ) {
      this.showScrollBorders = var1;
      this.autoSyncMouse = var2;
      this.singleCursorInstructions = var3;
      this.osuiHotKey = var4;
      this.keyboardType = var5;
      this.broadcastPort = var6;
      this.defaultHttpsPort = var7;
      this.autoColorCal = var8;
      this.keyboardMenuHotkeyValue = var9;
      this.enableLogging = var10;
      this.ipv6NetworkingEnabled = var11;
      this.isAlwaysOpenInFS = var12;
      this.monitorSetting = var13;
      this.monitorCount = var14;
      this.enableSingleMouse = var15;
      this.enableScaling = var16;
      this.pinMenu = var17;
      this.scanInterval = var18;
      this.portScanInterval = var19;
      this.thumbnailSize = var20;
      this.orientation = var21;
   }

   public ApplicationPreferencesVO(
      boolean var1, boolean var2, boolean var3, int var4, int var5, int var6, int var7, boolean var8, String var9, boolean var10, boolean var11
   ) {
      this(var1, var2, var3, var4, var5, var6, var7, var8, var9, var10, var11, false, null, -1, false, false, false, 10, 10, "", "");
   }

   public ApplicationPreferencesVO(boolean var1, boolean var2, boolean var3, int var4, int var5, int var6, int var7, boolean var8, String var9) {
      this(var1, var2, var3, var4, var5, var6, var7, var8, var9, false, false);
   }
}
