package nn.pp.ext.pref;

public interface IApplicationPreferences {
   void exportLoggerPreferences();

   void exportPreferences();

   void importLoggerSettings();

   void importPreferences();

   void postImportPreferences();

   boolean isAutoSyncMouse();

   int getKeyboardType();

   int getOsuiHotKey();

   boolean isShowScrollBorders();

   boolean isDoAutoColorCal();

   boolean isSingleMouseInstructions();

   boolean isEnableLogging();

   boolean isEnableSmoothing();

   String getkeyboardMenuHotkey();

   boolean getViewMessage();

   boolean getShowAll();

   boolean getShowUnassigned();

   boolean getShowTools();

   int getChannelSortMethod();

   int getBroadcastPort();

   int getDefaultHttpsPort();

   int getSmoothingLevel();

   String getSingleMouseExitHotkey();

   String getConnectionExitHotkey();

   int getScanDisplayInterval();

   int getPortScanInterval();

   String getScanThumbnailSize();

   String getScanOrientation();

   boolean isShowCSTools();

   boolean isIPv6NetworkingEnabled();

   boolean isShowGroups();

   boolean isAlwaysOpenInFS();

   boolean isAlwaysOpenSMM();

   boolean isAlwaysOpenScaled();

   boolean isPinMenu();

   String getMonitorSetting();

   int getMonitorCount();

   void setAutoSyncMouse(boolean var1);

   void setKeyboardType(int var1);

   void setOsuiHotKey(int var1);

   void setShowScrollBorders(boolean var1);

   void setEnableLogging(boolean var1);

   void setSingleMouseInstructions(boolean var1);

   void setKeyboardMenuHotkey(String var1);

   void setViewMessage(boolean var1);

   void setShowAll(boolean var1);

   void setShowUnassigned(boolean var1);

   void setShowTools(boolean var1);

   void setChannelSortMethod(int var1);

   void setAllData(ApplicationPreferencesVO var1);

   void setBroadcastPort(int var1);

   void setDefaultHttpsPort(int var1);

   void setEnableSmoothing(boolean var1);

   void setSmoothingLevel(int var1);

   void setDoAutoColorCal(boolean var1);

   void setSingleMouseExitHotkey(String var1);

   void setShowCSTools(boolean var1);

   void setShowGroups(boolean var1);

   void setAlwaysOpenInFS(boolean var1);

   void setMonitorSetting(String var1);

   void setMonitorCount(int var1);

   void setAlwaysOpenSMM(boolean var1);

   void setAlwaysOpenScaled(boolean var1);

   void setConnectionExitHotkey(String var1);

   void setPinMenu(boolean var1);

   void setScanDisplayInterval(int var1);

   void setPortScanInterval(int var1);

   void setScanThumbnailSize(String var1);

   void setScanOrientation(String var1);
}
