package nn.pp.rccore;

public class VMMountRequestResponse implements IVMMountRequestResponse {
   private int option;
   private int index;
   private String user;
   private String password;
   private String host;
   private String image;
   private int retCode;

   @Override
   public String toString() {
      return "[option="
         + this.option
         + ",index="
         + this.index
         + ",user="
         + this.user
         + ",host="
         + this.host
         + ",image="
         + this.image
         + ",retCode="
         + Integer.toHexString(this.retCode)
         + "]";
   }

   public VMMountRequestResponse(String var1, String var2) {
      this.host = var1;
      this.image = var2;
   }

   public VMMountRequestResponse(int var1, int var2, String var3, String var4, String var5, String var6) {
      this.option = var1;
      this.index = var2;
      this.user = var3;
      this.password = var4;
      this.host = var5;
      this.image = var6;
   }

   public VMMountRequestResponse(int var1, int var2, int var3) {
      this.option = var1;
      this.index = var2;
      this.retCode = var3;
   }

   public VMMountRequestResponse(IVMMountRequestResponse var1) {
      this.option = var1.getOption();
      this.index = var1.getIndex();
      if (var1.getUser() != null) {
         this.user = new String(var1.getUser());
      }

      if (var1.getPassword() != null) {
         this.password = new String(var1.getPassword());
      }

      if (var1.getHost() != null) {
         this.host = new String(var1.getHost());
      }

      if (var1.getImage() != null) {
         this.image = new String(var1.getImage());
      }

      this.retCode = var1.getRetCode();
   }

   @Override
   public int getOption() {
      return this.option;
   }

   @Override
   public void setOption(int var1) {
      this.option = var1;
   }

   @Override
   public int getIndex() {
      return this.index;
   }

   @Override
   public String getUser() {
      return this.user;
   }

   @Override
   public String getPassword() {
      return this.password;
   }

   @Override
   public String getHost() {
      return this.host;
   }

   @Override
   public String getImage() {
      return this.image;
   }

   @Override
   public int getRetCode() {
      return this.retCode;
   }
}
