package nn.pp.rccore.impl;

import nn.pp.core.impl.ListenerList;
import nn.pp.rccore.IAudioStatusExSupport;

public class AudioStatusExListenerList extends ListenerList<IAudioStatusExSupport.IListener> {
   public void fireAudioSettingsChanged(final IAudioStatusExSupport.AudioStatus var1, final IAudioStatusExSupport.AudioStatus var2) {
      this.fire(new AudioStatusExListenerAction() {
         @Override
         public void run() {
            this.listener.audioSettingsChanged(var1, var2);
         }
      });
   }
}
