package nn.pp.rccore.impl;

import nn.pp.core.impl.ListenerList;
import nn.pp.rccore.KeyboardListener;

public class KeyboardListenerList extends ListenerList<KeyboardListener> {
   public void fireKeyboardEvent(final int var1, final boolean var2) {
      this.fire(new KeyboardListenerAction() {
         @Override
         public void run() {
            this.listener.keyboardEvent(var1, var2);
         }
      });
   }

   public void fireHotkeyDetected(final int var1) {
      this.fire(new KeyboardListenerAction() {
         @Override
         public void run() {
            this.listener.hotkeyDetected(var1);
         }
      });
   }

   public void fireCtrlAltReleaseDetected(final boolean var1) {
      this.fire(new KeyboardListenerAction() {
         @Override
         public void run() {
            this.listener.ctrlAltReleaseDetected(var1);
         }
      });
   }
}
