package nn.pp.rccore.impl;

import java.util.logging.Level;
import java.util.logging.Logger;
import nn.pp.core.T;

public class RCCoreGenericImpl extends RCCoreImpl {
   private final RemoteConsoleRenderer userSpecifiedRenderer;

   public RCCoreGenericImpl(Logger var1, RemoteConsoleRenderer var2) {
      super(var1);
      this.userSpecifiedRenderer = var2;
   }

   @Override
   protected void loadRenderer() {
      this.renderer = this.userSpecifiedRenderer;
      this.logger.log(Level.INFO, T._("Using for rendering:") + " " + this.renderer.toString());
   }
}
