package nn.pp.rccore.impl.keyboard;

import nn.pp.core.kbd.EricVKConstants;

public class CharTranslatorMapping_fr_FR extends CharTranslatorMapping_EuropeDiacriticChars implements CharTranslatorConstants, EricVKConstants {
   @Override
   public void addMappings() {
      super.addMappings();
      this.addMapping('²', new int[]{192, 65728});
      this.addMapping('&', new int[]{49, 65585});
      this.addMapping('é', new int[]{50, 65586});
      this.addMapping('"', new int[]{51, 65587});
      this.addMapping('\'', new int[]{52, 65588});
      this.addMapping('(', new int[]{53, 65589});
      this.addMapping('-', new int[]{54, 65590});
      this.addMapping('è', new int[]{55, 65591});
      this.addMapping('_', new int[]{56, 65592});
      this.addMapping('ç', new int[]{57, 65593});
      this.addMapping('à', new int[]{48, 65584});
      this.addMapping(')', new int[]{522, 66058});
      this.addMapping('=', new int[]{262144, 1048576, 61, 65597});
      this.addMapping('1', new int[]{131072, 49, 65585});
      this.addMapping('2', new int[]{131072, 50, 65586});
      this.addMapping('3', new int[]{131072, 51, 65587});
      this.addMapping('4', new int[]{131072, 52, 65588});
      this.addMapping('5', new int[]{131072, 53, 65589});
      this.addMapping('6', new int[]{131072, 54, 65590});
      this.addMapping('7', new int[]{131072, 55, 65591});
      this.addMapping('8', new int[]{131072, 56, 65592});
      this.addMapping('9', new int[]{131072, 57, 65593});
      this.addMapping('0', new int[]{131072, 48, 65584});
      this.addMapping('°', new int[]{131072, 522, 66058});
      this.addMapping('+', new int[]{131072, 1048576, 61, 65597});
      this.addMapping('~', new int[]{524288, 50, 65586, 1048576, 32, 65568});
      this.addMapping('#', new int[]{524288, 51, 65587});
      this.addMapping('{', new int[]{524288, 52, 65588});
      this.addMapping('[', new int[]{524288, 53, 65589});
      this.addMapping('|', new int[]{524288, 54, 65590});
      this.addMapping('`', new int[]{524288, 55, 65591, 1048576, 32, 65568});
      this.addMapping('\\', new int[]{524288, 56, 65592});
      this.addMapping('^', new int[]{524288, 57, 65593});
      this.addMapping('@', new int[]{524288, 48, 65584});
      this.addMapping(']', new int[]{524288, 522, 66058});
      this.addMapping('}', new int[]{524288, 61, 65597});
      this.addMapping('$', new int[]{515, 66051});
      this.addMapping('¨', new int[]{131072, 130, 65666});
      this.addMapping('£', new int[]{131072, 515, 66051});
      this.addMapping('¤', new int[]{524288, 515, 66051});
      this.addMapping('ù', new int[]{549, 66085});
      this.addMapping('*', new int[]{151, 65687});
      this.addMapping('%', new int[]{131072, 549, 66085});
      this.addMapping('µ', new int[]{131072, 151, 65687});
      this.addMapping(';', new int[]{59, 65595});
      this.addMapping(':', new int[]{513, 66049});
      this.addMapping('!', new int[]{517, 66053});
      this.addMapping('?', new int[]{131072, 44, 65580});
      this.addMapping('.', new int[]{131072, 59, 65595});
      this.addMapping('/', new int[]{131072, 513, 66049});
      this.addMapping('§', new int[]{131072, 517, 66053});
      this.addMapping('À', new int[]{524288, 55, 65591, 1048576, 131072, 65, 65601});
      this.addMapping('â', new int[]{130, 65666, 65, 65601});
      this.addMapping('Â', new int[]{130, 65666, 131072, 65, 65601});
      this.addMapping('ä', new int[]{131072, 130, 65666, 262144, 65, 65601});
      this.addMapping('Ä', new int[]{131072, 130, 65666, 65, 65601});
      this.addMapping('ã', new int[]{524288, 50, 65586, 1048576, 65, 65601});
      this.addMapping('Ã', new int[]{524288, 50, 65586, 1048576, 131072, 65, 65601});
      this.addMapping('È', new int[]{524288, 55, 65591, 1048576, 131072, 69, 65605});
      this.addMapping('ê', new int[]{130, 65666, 69, 65605});
      this.addMapping('Ê', new int[]{130, 65666, 131072, 69, 65605});
      this.addMapping('ë', new int[]{131072, 130, 65666, 262144, 69, 65605});
      this.addMapping('Ë', new int[]{131072, 130, 65666, 69, 65605});
      this.addMapping('ì', new int[]{524288, 55, 65591, 1048576, 73, 65609});
      this.addMapping('Ì', new int[]{524288, 55, 65591, 1048576, 131072, 73, 65609});
      this.addMapping('î', new int[]{130, 65666, 73, 65609});
      this.addMapping('Î', new int[]{130, 65666, 131072, 73, 65609});
      this.addMapping('ï', new int[]{131072, 130, 65666, 262144, 73, 65609});
      this.addMapping('Ï', new int[]{131072, 130, 65666, 73, 65609});
      this.addMapping('ñ', new int[]{524288, 50, 65586, 1048576, 78, 65614});
      this.addMapping('Ñ', new int[]{524288, 50, 65586, 1048576, 131072, 78, 65614});
      this.addMapping('ò', new int[]{524288, 55, 65591, 1048576, 79, 65615});
      this.addMapping('Ò', new int[]{524288, 55, 65591, 1048576, 131072, 79, 65615});
      this.addMapping('ô', new int[]{130, 65666, 79, 65615});
      this.addMapping('Ô', new int[]{130, 65666, 131072, 79, 65615});
      this.addMapping('ö', new int[]{131072, 130, 65666, 262144, 79, 65615});
      this.addMapping('Ö', new int[]{131072, 130, 65666, 79, 65615});
      this.addMapping('õ', new int[]{524288, 50, 65586, 1048576, 79, 65615});
      this.addMapping('Õ', new int[]{524288, 50, 65586, 1048576, 131072, 79, 65615});
      this.addMapping('Ù', new int[]{524288, 55, 65591, 1048576, 131072, 85, 65621});
      this.addMapping('û', new int[]{130, 65666, 85, 65621});
      this.addMapping('Û', new int[]{130, 65666, 131072, 85, 65621});
      this.addMapping('ü', new int[]{131072, 130, 65666, 262144, 85, 65621});
      this.addMapping('Ü', new int[]{131072, 130, 65666, 85, 65621});
      this.addMapping('ÿ', new int[]{131072, 130, 65666, 262144, 89, 65625});
   }
}
