package nn.pp.rccore.impl.keyboard;

public abstract class KeyTranslatorBase extends KeyTranslator {
   @Override
   public void addKeys() {
      super.addKeys();
      this.addKeyMappingByCode(192, 1, 0);
      this.addKeyMappingByCode(49, 1, 1);
      this.addKeyMappingByCode(50, 1, 2);
      this.addKeyMappingByCode(51, 1, 3);
      this.addKeyMappingByCode(52, 1, 4);
      this.addKeyMappingByCode(53, 1, 5);
      this.addKeyMappingByCode(54, 1, 6);
      this.addKeyMappingByCode(55, 1, 7);
      this.addKeyMappingByCode(56, 1, 8);
      this.addKeyMappingByCode(57, 1, 9);
      this.addKeyMappingByCode(48, 1, 10);
      this.addKeyMappingByCode(45, 1, 11);
      this.addKeyMappingByCode(61, 1, 12);
      this.addKeyMappingByCode(8, 1, 13);
      this.addKeyMappingByCode(9, 1, 14);
      this.addKeyMappingByCode(81, 1, 15);
      this.addKeyMappingByCode(87, 1, 16);
      this.addKeyMappingByCode(69, 1, 17);
      this.addKeyMappingByCode(82, 1, 18);
      this.addKeyMappingByCode(84, 1, 19);
      this.addKeyMappingByCode(89, 1, 20);
      this.addKeyMappingByCode(85, 1, 21);
      this.addKeyMappingByCode(73, 1, 22);
      this.addKeyMappingByCode(79, 1, 23);
      this.addKeyMappingByCode(80, 1, 24);
      this.addKeyMappingByCode(91, 1, 25);
      this.addKeyMappingByCode(93, 1, 26);
      this.addKeyMappingByCode(10, 1, 27);
      this.addKeyMappingByCode(20, 1, 28);
      this.addKeyMappingByCode(65, 1, 29);
      this.addKeyMappingByCode(83, 1, 30);
      this.addKeyMappingByCode(68, 1, 31);
      this.addKeyMappingByCode(70, 1, 32);
      this.addKeyMappingByCode(71, 1, 33);
      this.addKeyMappingByCode(72, 1, 34);
      this.addKeyMappingByCode(74, 1, 35);
      this.addKeyMappingByCode(75, 1, 36);
      this.addKeyMappingByCode(76, 1, 37);
      this.addKeyMappingByCode(59, 1, 38);
      this.addKeyMappingByCode(222, 1, 39);
      this.addKeyMappingByCode(92, 1, 40);
      this.addKeyMappingByCode(16, 2, 41);
      this.addKeyMappingByCode(90, 1, 43);
      this.addKeyMappingByCode(88, 1, 44);
      this.addKeyMappingByCode(67, 1, 45);
      this.addKeyMappingByCode(86, 1, 46);
      this.addKeyMappingByCode(66, 1, 47);
      this.addKeyMappingByCode(78, 1, 48);
      this.addKeyMappingByCode(77, 1, 49);
      this.addKeyMappingByCode(44, 1, 50);
      this.addKeyMappingByCode(46, 1, 51);
      this.addKeyMappingByCode(47, 1, 52);
      this.addKeyMappingByCode(16, 3, 53);
      this.addKeyMappingByCode(272, 3, 53);
      this.addKeyMappingByCode(17, 2, 54);
      this.addKeyMappingByCode(18, 2, 55);
      this.addKeyMappingByCode(32, 1, 56);
      this.addKeyMappingByCode(65406, 3, 57);
      this.addKeyMappingByCode(65406, 1, 57);
      this.addKeyMappingByCode(18, 3, 57);
      this.addKeyMappingByCode(17, 3, 58);
      this.addKeyMappingByCode(273, 3, 58);
      this.addKeyMappingByCode(27, 1, 59);
      this.addKeyMappingByCode(112, 1, 60);
      this.addKeyMappingByCode(113, 1, 61);
      this.addKeyMappingByCode(114, 1, 62);
      this.addKeyMappingByCode(115, 1, 63);
      this.addKeyMappingByCode(116, 1, 64);
      this.addKeyMappingByCode(117, 1, 65);
      this.addKeyMappingByCode(118, 1, 66);
      this.addKeyMappingByCode(119, 1, 67);
      this.addKeyMappingByCode(120, 1, 68);
      this.addKeyMappingByCode(121, 1, 69);
      this.addKeyMappingByCode(122, 1, 70);
      this.addKeyMappingByCode(123, 1, 71);
      this.addKeyMappingByCode(154, 1, 72);
      this.addKeyMappingByCode(145, 1, 73);
      this.addKeyMappingByCode(19, 1, 74);
      this.addKeyMappingByCode(155, 1, 75);
      this.addKeyMappingByCode(36, 1, 76);
      this.addKeyMappingByCode(33, 1, 77);
      this.addKeyMappingByCode(127, 1, 78);
      this.addKeyMappingByCode(35, 1, 79);
      this.addKeyMappingByCode(34, 1, 80);
      this.addKeyMappingByCode(38, 1, 81);
      this.addKeyMappingByCode(37, 1, 82);
      this.addKeyMappingByCode(40, 1, 83);
      this.addKeyMappingByCode(39, 1, 84);
      this.addKeyMappingByCode(224, 4, 87);
      this.addKeyMappingByCode(226, 4, 91);
      this.addKeyMappingByCode(225, 4, 96);
      this.addKeyMappingByCode(227, 4, 93);
      this.addKeyMappingByCode(144, 4, 85);
      this.addKeyMappingByCode(103, 4, 86);
      this.addKeyMappingByCode(104, 4, 87);
      this.addKeyMappingByCode(105, 4, 88);
      this.addKeyMappingByCode(36, 4, 86);
      this.addKeyMappingByCode(38, 4, 87);
      this.addKeyMappingByCode(33, 4, 88);
      this.addKeyMappingByCode(107, 4, 89);
      this.addKeyMappingByCode(111, 4, 90);
      this.addKeyMappingByCode(100, 4, 91);
      this.addKeyMappingByCode(101, 4, 92);
      this.addKeyMappingByCode(102, 4, 93);
      this.addKeyMappingByCode(37, 4, 91);
      this.addKeyMappingByCode(12, 4, 92);
      this.addKeyMappingByCode(65368, 4, 92);
      this.addKeyMappingByCode(39, 4, 93);
      this.addKeyMappingByCode(106, 4, 94);
      this.addKeyMappingByCode(97, 4, 95);
      this.addKeyMappingByCode(98, 4, 96);
      this.addKeyMappingByCode(99, 4, 97);
      this.addKeyMappingByCode(35, 4, 95);
      this.addKeyMappingByCode(40, 4, 96);
      this.addKeyMappingByCode(34, 4, 97);
      this.addKeyMappingByCode(10, 4, 98);
      this.addKeyMappingByCode(109, 4, 99);
      this.addKeyMappingByCode(96, 4, 100);
      this.addKeyMappingByCode(155, 4, 100);
      this.addKeyMappingByCode(110, 4, 101);
      this.addKeyMappingByCode(127, 4, 101);
      this.addKeyMappingByCode(61, 4, 132);
      this.addKeyMappingByCode(157, 0, 105);
      this.addKeyMappingByCode(157, 2, 105);
      this.addKeyMappingByCode(268, 3, 107);
      this.addKeyMappingByCode(524, 2, 105);
      this.addKeyMappingByCode(525, 1, 106);
      this.addKeyMappingByCode(243, 0, 0);
      this.addKeyMappingByCode(244, 0, 0);
      this.addKeyMappingByCode(29, 0, 108);
      this.addKeyMappingByCode(28, 0, 109);
      this.addKeyMappingByCode(241, 0, 110);
      this.addKeyMappingByCode(242, 0, 110);
      this.addKeyMappingByCode(245, 0, 110);
      this.addKeyMappingByCode(262, 0, 115);
      this.addKeyMappingByCode(263, 0, 116);
      this.addKeyMappingByCode(65480, 0, 117);
      this.addKeyMappingByCode(65481, 0, 118);
      this.addKeyMappingByCode(65483, 0, 119);
      this.addKeyMappingByCode(65489, 0, 120);
      this.addKeyMappingByCode(65485, 0, 121);
      this.addKeyMappingByCode(65487, 0, 122);
      this.addKeyMappingByCode(65488, 0, 123);
      this.addKeyMappingByCode(65482, 0, 127);
      this.addKeyMappingByCode(156, 0, 129);
      this.addKeyMappingByCode(65312, 0, 130);
      this.addKeyMappingByCode(456, 0, 117);
      this.addKeyMappingByCode(457, 0, 118);
      this.addKeyMappingByCode(459, 0, 119);
      this.addKeyMappingByCode(465, 0, 120);
      this.addKeyMappingByCode(461, 0, 121);
      this.addKeyMappingByCode(463, 0, 122);
      this.addKeyMappingByCode(464, 0, 123);
      this.addKeyMappingByCode(468, 0, 124);
      this.addKeyMappingByCode(469, 0, 125);
      this.addKeyMappingByCode(470, 0, 126);
      this.addKeyMappingByCode(458, 0, 127);
      this.addKeyMappingByCode(466, 0, 128);
      this.addKeyMappingByCode(471, 0, 130);
      this.addKeyMappingByCode(467, 0, 131);
      this.addKeyMappingByCode(128, 1, 0);
      this.addKeyMappingByCode(129, 1, 39);
      this.addKeyMappingByCode(317, 4, 132);
      this.addKeyMappingByCode(61440, 1, 134);
      this.addKeyMappingByCode(61441, 1, 135);
      this.addKeyMappingByCode(61442, 1, 136);
      this.addKeyMappingByCode(61443, 1, 137);
   }
}
