package nn.pp.rccore.impl.rfb;

public class RfbConstants {
   public static final String rfbProtocolInitString = "e-RIC AUTH=";
   public static final String rfbProtocolVersionFormat = "e-RIC RFB xx.xx\n";
   public static final int rfbFramebufferUpdate = 0;
   public static final int rfbSetColourMapEntries = 1;
   public static final int rfbBell = 2;
   public static final int rfbUserNotification = 3;
   public static final int rfbPortList = 4;
   public static final int rfbServerInit = 5;
   public static final int rfbUtf8String = 7;
   public static final int rfbVideoSettingsS2CEvent = 8;
   public static final int rfbKeyboardLayoutEvent = 9;
   public static final int rfbOSDState = 16;
   public static final int rfbVideoQualityS2CEvent = 17;
   public static final int rfbConnectionParameterList = 18;
   public static final int rfbAckPixelFormat = 19;
   public static final int rfbAuthCaps = 32;
   public static final int rfbSessionChallenge = 33;
   public static final int rfbAuthSuccessful = 34;
   public static final int rfbServerFBFormat = 128;
   public static final int rfbServerRCMessage = 131;
   public static final int rfbServerCommand = 132;
   public static final int rfbSasEvent = 133;
   public static final int rfbSasError = 134;
   public static final int rfbSpTimestamp = 136;
   public static final int rfbPingRequestEvent = 148;
   public static final int rfbPingReply = 149;
   public static final int rfbBandwidthRequestEvent = 150;
   public static final int rfbRCModeReply = 161;
   public static final int rfbSpSessionInfo = 162;
   public static final int rfbSpCommand = 163;
   public static final int rfbSpSetSessionTimes = 164;
   public static final int rfbMouseCapsResponse = 165;
   public static final int rfbVMMountsResponse = 166;
   public static final int rfbVMShareTable = 167;
   public static final int rfbVirtualMediaConfig = 168;
   public static final int rfbUsbProfileSelect = 169;
   public static final int rfbUsbProfileList = 170;
   public static final int rfbSetPixelFormat = 0;
   public static final int rfbFixColourMapEntries = 1;
   public static final int rfbSetEncodings = 2;
   public static final int rfbFramebufferUpdateRequest = 3;
   public static final int rfbKeyEvent = 4;
   public static final int rfbPointerEvent = 5;
   public static final int rfbScancodeEvent = 6;
   public static final int rfbClientInit = 7;
   public static final int rfbAssociatedTag = 8;
   public static final int rfbLogin = 32;
   public static final int rfbChallengeResponse = 33;
   public static final int rfbMouseStateEvent = 133;
   public static final int rfbMouseSyncEvent = 134;
   public static final int rfbUserPropChange = 135;
   public static final int rfbCursorChangeEvent = 136;
   public static final int rfbKVMSwitchEvent = 137;
   public static final int rfbVideoSettingsC2SEvent = 144;
   public static final int rfbVideoSettingsReqEvent = 145;
   public static final int rfbVideoRefreshRequest = 146;
   public static final int rfbPointerRelativeEvent = 147;
   public static final int rfbBandwidthReply = 151;
   public static final int rfbVideoQualityC2SEvent = 152;
   public static final int rfbVideoQualityReqEvent = 153;
   public static final int rfbGlobalPropChange = 154;
   public static final int rfbSetConnectionParameter = 155;
   public static final int rfbRCModeRequest = 160;
   public static final int rfbSpSetCimId = 161;
   public static final int rfbSpSetSession = 162;
   public static final int rfbMouseCapsRequest = 165;
   public static final int rfbVMMountsRequest = 166;
   public static final int rfbInitMsgFlagsNone = 0;
   public static final int rfbInitMsgFlagsDoInitialSwitch = 1;
   public static final int rfbInitMsgFlagsScan = 2;
   public static final int rfbInitMsgFlagsAssociatedTag = 4;
   public static final int rfbAuthHttpSessionID = 1;
   public static final int rfbAuthPlain = 2;
   public static final int rfbAuthMD5 = 4;
   public static final int rfbAuthNoAuth = 8;
   public static final int rfbAuthRDMsession = 16;
   public static final int rfbQuitNoPerm = 1;
   public static final int rfbQuitExclAccess = 2;
   public static final int rfbQuitRejected = 3;
   public static final int rfbQuitNoSrvPasswd = 4;
   public static final int rfbQuitLoopback = 5;
   public static final int rfbQuitAuthFailed = 6;
   public static final int rfbQuitKVMPortDenied = 7;
   public static final int rfbQuitTooManyClients = 8;
   public static final int rfbQuitUnexpected = 16;
   public static final int rfbQuitBadProtoVersion = 17;
   public static final int rfbQuitProtoError = 18;
   public static final int rfbQuitInternalError = 19;
   public static final int rfbQuitWrongReplayParameter = 20;
   public static final int rfbQuitNoForcedSSLConn = 21;
   public static final int rfbBandwidthTickStage1 = 1;
   public static final int rfbBandwidthTickStage2 = 2;
   public static final int rfbFramebufferUpdateFlagTimestamp = 1;
   public static final int rfbFramebufferUpdateFlagFullFrame = 2;
   public static final int rfbFramebufferUpdateFlagZLIB = 4;
   public static final int rfbEncodingRaw = 0;
   public static final int rfbEncodingCopyRect = 1;
   public static final int rfbEncodingRRE = 2;
   public static final int rfbEncodingCoRRE = 4;
   public static final int rfbEncodingHextile = 5;
   public static final int rfbEncodingZlib = 6;
   public static final int rfbEncodingTight = 7;
   public static final int rfbEncodingZlibHex = 8;
   public static final int rfbEncodingUseTightCache = 9;
   public static final int rfbEncodingRawVSC = 10;
   public static final int rfbEncodingLRLESoft = 11;
   public static final int rfbEncodingJpeg = 12;
   public static final int rfbEncodingLRLEHard = 128;
   public static final int rfbEncodingDCT = 129;
   public static final int rfbEncodingAutoHw = 255;
   public static final int rfbEncodingAutoSw = 127;
   public static final int rfbEncodingMask = 255;
   public static final int rfbEncodingIsHW = 128;
   public static final int rfbEncodingParamZLIBShift = 8;
   public static final int rfbEncodingParamZLIBMask = 3840;
   public static final int rfbEncodingParamSubencShift = 12;
   public static final int rfbEncodingParamSubencMask = 61440;
   public static final int rfbEncodingParamVideoShift = 16;
   public static final int rfbEncodingParamVideoMask = 65536;
   public static final int rfbEncodingParamCompressShift = 17;
   public static final int rfbEncodingParamCompressMask = 131072;
   public static final int rfbLRLESubenc15bitDirectLossy = 0;
   public static final int rfbLRLESubenc15bitDirectLossless = 1;
   public static final int rfbLRLESubenc7bitDirectLossy = 2;
   public static final int rfbLRLESubenc7bitDirectLossless = 3;
   public static final int rfbLRLESubenc4bitPaletteLossy = 4;
   public static final int rfbLRLESubenc4bitPaletteLossless = 5;
   public static final int rfbLRLESubenc4bitGreyLossy = 6;
   public static final int rfbLRLESubenc4bitGreyLossless = 7;
   public static final int rfbLRLESubenc3bitGreyLossy = 8;
   public static final int rfbLRLESubenc3bitGreyLossless = 9;
   public static final int rfbLRLESubenc2bitGreyLossy = 10;
   public static final int rfbLRLESubenc2bitGreyLossless = 11;
   public static final int rfbLRLESubenc1bitGreyLossy = 12;
   public static final int rfbLRLESubenc1bitGreyLossless = 13;
   public static final int rfbLRLESubencMax = 13;
   public static final int rfbLRLESubencCount = 14;
   public static final int rfbRawVSCIsVSC = 1;
   public static final int rfbRawVSCUseServersPixelFormat = 2;
   public static final int rfbRawVSCBigEndian = 4;
   public static final int rfbHextileRaw = 1;
   public static final int rfbHextileBackgroundSpecified = 2;
   public static final int rfbHextileForegroundSpecified = 4;
   public static final int rfbHextileAnySubrects = 8;
   public static final int rfbHextileSubrectsColoured = 16;
   public static final int rfbHextileZlibRaw = 32;
   public static final int rfbHextileZlibHex = 64;
   public static final int rfbTightStreamId = 3;
   public static final int rfbTightExplicitFilter = 7;
   public static final int rfbTightFill = 8;
   public static final int rfbTightCheckForXBitFullColor = 8;
   public static final int rfbTight1BitFullColorBlackWhite = 10;
   public static final int rfbTight2BitFullColorGrayscale = 11;
   public static final int rfbTight4BitFullColorGrayscale = 12;
   public static final int rfbTight4BitFullColor16Colors = 13;
   public static final int rfbTightFillXBit = 15;
   public static final int rfbTightMaxSubencoding = 15;
   public static final int rfbTightFilterCopy = 0;
   public static final int rfbTightFilterPalette = 1;
   public static final int rfbTightFilterGradient = 2;
   public static final int rfbTight1BitBlackWhite = 1;
   public static final int rfbTight2BitGrayscale = 2;
   public static final int rfbTight4BitGrayscale = 3;
   public static final int rfbTight4Bit16Colors = 4;
   public static final int rfbTight8Bit256Colors = 8;
   public static final int rfbTightCacheMinComprLevel = 6;
   public static final int rfbTightCacheBufferDepth = 8;
   public static final int rfbTightTileDimension = 16;
   public static final int rfbTightCacheTag = 12;
   public static final int rfbTightCacheClientIndex = 127;
   public static final int rfbTightTileCached = 128;
   public static final int rfbTightTileNot_Cached = 0;
   public static final int rfbTightCacheAll = 0;
   public static final int rfbTightCacheNone = 4;
   public static final int rfbTightCacheMix = 8;
   public static final int rfbTightCacheMinUpdRegA = 16384;
   public static final int rfbTightMinToCompress = 12;
   public static final int rfbTightMaxRectSize = 65536;
   public static final int rfbMouseSyncNorm = 0;
   public static final int rfbMouseSyncHard = 1;
   public static final int rfbMouseSyncFast = 2;
   public static final int rfbVSUpdateNow = 1;
   public static final int rfbVSUpdateDeny = 2;
   public static final int rfbVSBrightnessV1_17 = 0;
   public static final int rfbVSContrastRedV1_17 = 1;
   public static final int rfbVSContrastGreenV1_17 = 2;
   public static final int rfbVSContrastBlueV1_17 = 3;
   public static final int rfbVSClockV1_17 = 4;
   public static final int rfbVSPhaseV1_17 = 5;
   public static final int rfbVSXOffsetV1_17 = 6;
   public static final int rfbVSYOffsetV1_17 = 7;
   public static final int rfbVSResetAllV1_17 = 8;
   public static final int rfbVSResetCurrentV1_17 = 9;
   public static final int rfbVSSaveSettingsV1_17 = 10;
   public static final int rfbVSCancelSettingsV1_17 = 11;
   public static final int rfbVSAutoAdjustV1_17 = 12;
   public static final int rfbVSColorCalibrationV1_17 = 13;
   public static final int rfbVSBrightnessRedV1_20 = 0;
   public static final int rfbVSBrightnessGreenV1_20 = 1;
   public static final int rfbVSBrightnessBlueV1_20 = 2;
   public static final int rfbVSContrastRedV1_20 = 3;
   public static final int rfbVSContrastGreenV1_20 = 4;
   public static final int rfbVSContrastBlueV1_20 = 5;
   public static final int rfbVSClockV1_20 = 6;
   public static final int rfbVSPhaseV1_20 = 7;
   public static final int rfbVSXOffsetV1_20 = 8;
   public static final int rfbVSYOffsetV1_20 = 9;
   public static final int rfbVSAutoColorCalibV1_20 = 10;
   public static final int rfbVSAutoAutoAdjustV1_20 = 11;
   public static final int rfbVSNoiseFilterV1_20 = 12;
   public static final int rfbVSResetAllV1_20 = 13;
   public static final int rfbVSResetCurrentV1_20 = 14;
   public static final int rfbVSResetPortV1_20 = 15;
   public static final int rfbVSSaveSettingsV1_20 = 16;
   public static final int rfbVSCancelSettingsV1_20 = 17;
   public static final int rfbVSAutoAdjustV1_20 = 18;
   public static final int rfbVSColorCalibrationV1_20 = 19;
   public static final int rfbPortPermissionKvmDeny = 0;
   public static final int rfbPortPermissionKvmView = 1;
   public static final int rfbPortPermissionKvmControl = 2;
   public static final int rfbPortPermissionVmDeny = 0;
   public static final int rfbPortPermissionVmReadOnly = 1;
   public static final int rfbPortPermissionVmReadWrite = 2;
   public static final int rfbVirtualMediaDriveTypeDisabled = 0;
   public static final int rfbVirtualMediaDriveTypeCD = 1;
   public static final int rfbVirtualMediaDriveTypeFloppy = 2;
   public static final int rfbVirtualMediaDriveTypeRemovable = 4;
   public static final int rfbVirtualMediaDriveTypeSmartCard = 8;
   public static final int rfbVirtualMediaDriveTypeAudio = 16;
   public static final byte rfbTileWidth = 16;
   public static final byte rfbTileHeight = 16;
   public static final String preconfiguredEncodingValue = "preconf";
   public static final String fourBitColorModemValue = "modem_4bit";

   public static final int rfbEncodingParamZLIB(int var0) {
      return var0 << 8;
   }

   public static final int rfbEncodingParamSubenc(int var0) {
      return var0 << 12;
   }

   public static final int rfbEncodingParamGetSubenc(int var0) {
      return (var0 & 61440) >> 12;
   }

   public static final int rfbEncodingParamVideo(int var0) {
      return var0 << 16;
   }

   public static final int rfbEncodingParamCompress(int var0) {
      return var0 << 17;
   }
}
