package nn.pp.rccore.impl.rfb.V01_21;

import java.io.IOException;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.ProtocolMessage;

public class RfbFramebufferUpdateMsgV01_21 extends ProtocolMessage {
   public int noUpdateRects;
   public int size;
   public int flags;

   public void read(MonitoringDataInputStream var1, boolean var2) throws IOException {
      if (!var2) {
         var1.readUnsignedByte();
      }

      this.flags = var1.readByte();
      this.noUpdateRects = var1.readUnsignedShort();
      this.size = var1.readInt();
      if ((this.flags & 1) != 0) {
         var1.readUnsignedInt();
         var1.readUnsignedInt();
      }
   }
}
