package nn.pp.rccore.impl.rfb.V01_21;

import java.io.IOException;
import nn.pp.core.T;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.ProtocolMessage;

public class RfbOSDStateMsgV01_21 extends ProtocolMessage {
   public String message;
   public int timeout;
   public boolean blanking;

   public void read(MonitoringDataInputStream var1, boolean var2) throws IOException {
      if (!var2) {
         var1.readUnsignedByte();
      }

      byte var4 = (byte)var1.readUnsignedByte();
      this.blanking = var4 == 1;
      this.timeout = var1.readUnsignedShort();
      int var3 = var1.readUnsignedShort();
      var1.readUnsignedShort();
      var1.readUnsignedInt();
      var1.readUnsignedInt();
      byte[] var5 = new byte[var3];
      var1.readFully(var5, 0, var3);
      this.message = new String(var5, T.getCharset());
   }
}
