package nn.pp.rccore.impl.rfb.V01_22;

import java.io.IOException;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.ProtocolMessage;
import nn.pp.rccore.impl.rfb.RfbPixelFormat;

public class RfbAckPixelFormatMsgV01_22 extends ProtocolMessage {
   private byte[] pad = new byte[3];
   public RfbPixelFormat rfbPixelFormat;

   public void read(MonitoringDataInputStream var1, boolean var2) throws IOException {
      if (!var2) {
         var1.readUnsignedByte();
      }

      var1.readFully(this.pad);
      int var3 = var1.readUnsignedByte();
      int var4 = var1.readUnsignedByte();
      boolean var5 = var1.readUnsignedByte() != 0;
      boolean var6 = var1.readUnsignedByte() != 0;
      int var7 = var1.readUnsignedShort();
      int var8 = var1.readUnsignedShort();
      int var9 = var1.readUnsignedShort();
      int var10 = var1.readUnsignedByte();
      int var11 = var1.readUnsignedByte();
      int var12 = var1.readUnsignedByte();
      var1.readFully(this.pad);
      this.rfbPixelFormat = RfbPixelFormat.getInstance(var3, var4, var5, var6, var7, var8, var9, var10, var11, var12);
   }
}
