package nn.pp.rccore.impl.rfb.V01_22;

import java.io.IOException;
import nn.pp.core.impl.MonitoringDataOutputStream;
import nn.pp.core.impl.ProtocolMessage;
import nn.pp.rccore.impl.rfb.RfbPixelFormat;

public class RfbSetPixelFormatMsgV01_22 extends ProtocolMessage {
   private byte[] pad = new byte[3];

   public void write(MonitoringDataOutputStream var1, RfbPixelFormat var2) throws IOException {
      this.write(0);
      this.write(this.pad);
      this.write(var2.bitsPerPixel);
      this.write(var2.depth);
      this.write((byte)(var2.bigEndian ? 1 : 0));
      this.write((byte)(var2.trueColour ? 1 : 0));
      this.writeUnsignedShort(var2.redMax);
      this.writeUnsignedShort(var2.greenMax);
      this.writeUnsignedShort(var2.blueMax);
      this.write(var2.redShift);
      this.write(var2.greenShift);
      this.write(var2.blueShift);
      this.write(this.pad);
      var1.write(this);
   }
}
