package nn.pp.rccore.impl.rfb.V01_27;

import java.io.IOException;
import java.util.List;
import java.util.Vector;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.ProtocolMessage;
import nn.pp.rccore.IKvmPort;
import nn.pp.rccore.KvmPort;

public class RfbPortListMsgV01_27 extends ProtocolMessage {
   public List<KvmPort> portList;

   public void read(MonitoringDataInputStream var1, boolean var2) throws IOException {
      if (!var2) {
         var1.readUnsignedByte();
      }

      var1.readUnsignedByte();
      int var3 = var1.readUnsignedShort();
      this.portList = new Vector<>(var3);

      for (int var4 = 0; var4 < var3; var4++) {
         int var5 = var1.readUnsignedByte();
         int var6 = var1.readUnsignedByte();
         IKvmPort.KvmPermission var7;
         switch (var5) {
            case 0:
            default:
               var7 = IKvmPort.KvmPermission.DENY;
               break;
            case 1:
               var7 = IKvmPort.KvmPermission.VIEW;
               break;
            case 2:
               var7 = IKvmPort.KvmPermission.CONTROL;
         }

         IKvmPort.VmPermission var8;
         switch (var6) {
            case 0:
            default:
               var8 = IKvmPort.VmPermission.DENY;
               break;
            case 1:
               var8 = IKvmPort.VmPermission.READONLY;
               break;
            case 2:
               var8 = IKvmPort.VmPermission.READWRITE;
         }

         String var9 = Integer.toString(var1.readUnsignedShort());
         int var10 = var1.readUnsignedShort();
         int var11 = var1.readUnsignedShort();
         byte[] var12 = new byte[var10];
         byte[] var13 = new byte[var11];
         var1.readFully(var12);
         var1.readFully(var13);
         KvmPort var14 = new KvmPort(var9, new String(var12), new String(var13), var7, var8);
         this.portList.add(var14);
      }
   }
}
