package nn.pp.rccore.impl.rfb.V01_27;

import java.io.IOException;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.ProtocolMessage;

public class RfbServerFBFormatMsgV01_27 extends ProtocolMessage {
   public boolean isUnsupported;
   public int frameBufferWidth;
   public int frameBufferHeight;
   public int bitsPerPixel;
   public int depth;
   public boolean bigEndian;
   public boolean trueColour;
   public int redMax;
   public int greenMax;
   public int blueMax;
   public int redShift;
   public int greenShift;
   public int blueShift;
   private byte[] pad = new byte[3];

   public void read(MonitoringDataInputStream var1, boolean var2) throws IOException {
      if (!var2) {
         var1.readUnsignedByte();
      }

      this.isUnsupported = var1.readUnsignedByte() != 0;
      this.frameBufferWidth = var1.readUnsignedShort();
      this.frameBufferHeight = var1.readUnsignedShort();
      this.bitsPerPixel = var1.readUnsignedByte();
      this.depth = var1.readUnsignedByte();
      this.bigEndian = var1.readUnsignedByte() != 0;
      this.trueColour = var1.readUnsignedByte() != 0;
      this.redMax = var1.readUnsignedShort();
      this.greenMax = var1.readUnsignedShort();
      this.blueMax = var1.readUnsignedShort();
      this.redShift = var1.readUnsignedByte();
      this.greenShift = var1.readUnsignedByte();
      this.blueShift = var1.readUnsignedByte();
      var1.readFully(this.pad);
   }
}
