package nn.pp.rccore.scan.impl.commands;

import java.io.IOException;
import nn.pp.rccore.scan.ScanCoreException;
import nn.pp.rccore.scan.impl.rsp.SupportsVisitor;

public class AuthHttpIDGetChallenge implements SupportsVisitor<CommandVisitorV01_00> {
   private final String httpSessionID;

   public AuthHttpIDGetChallenge(String var1) {
      this.httpSessionID = var1;
   }

   public void accept(CommandVisitorV01_00 var1) throws IOException, ScanCoreException {
      var1.handleHttpIDGetChallenge(this);
   }

   public String getHttpSessionID() {
      return this.httpSessionID;
   }
}
