package nn.pp.rccore.scan.impl.commands;

import java.io.IOException;
import nn.pp.rccore.scan.ScanCoreException;
import nn.pp.rccore.scan.impl.rsp.SupportsVisitor;

public class AuthNamePassRequest implements SupportsVisitor<CommandVisitorV01_00> {
   private final String userName;
   private final String password;

   public AuthNamePassRequest(String var1, String var2) {
      this.userName = var1;
      this.password = var2;
   }

   public void accept(CommandVisitorV01_00 var1) throws IOException, ScanCoreException {
      var1.handleAuthNamePassRequest(this);
   }

   public String getPassword() {
      return this.password;
   }

   public String getUserName() {
      return this.userName;
   }
}
