package nn.pp.rccore.scan.impl.commands;

import java.io.IOException;
import nn.pp.rccore.scan.ScanCoreException;
import nn.pp.rccore.scan.impl.rsp.SupportsVisitor;

public class AuthRDMRequest implements SupportsVisitor<CommandVisitorV01_00> {
   private final String rdmID;

   public AuthRDMRequest(String var1) {
      this.rdmID = var1;
   }

   public void accept(CommandVisitorV01_00 var1) throws IOException, ScanCoreException {
      var1.handleAuthRDMRequest(this);
   }

   public String getRdmID() {
      return this.rdmID;
   }
}
