package nn.pp.vmcore;

public class VMException extends Exception {
   private int errorCode = -1;

   public VMException() {
   }

   public VMException(String var1) {
      super(var1);
   }

   public VMException(int var1, String var2) {
      super(var2);
      this.errorCode = var1;
   }

   public VMException(String var1, Throwable var2) {
      super(var1, var2);
   }

   public VMException(int var1, String var2, Throwable var3) {
      super(var2, var3);
      this.errorCode = var1;
   }

   public VMException(Throwable var1) {
      super(var1);
   }

   private String getMessage(String var1) {
      if (this.errorCode != -1) {
         var1 = "[0x" + Integer.toHexString(this.errorCode) + "]: " + var1;
      }

      return var1;
   }

   @Override
   public String getMessage() {
      return this.getMessage(super.getMessage());
   }

   @Override
   public String getLocalizedMessage() {
      return this.getMessage(super.getLocalizedMessage());
   }
}
