package nn.pp.vmcore.impl.msp.V01_06;

import java.io.IOException;
import nn.pp.core.impl.MonitoringDataInputStream;
import nn.pp.core.impl.ProtocolMessage;

public class MspRequestDataMsgV01_06 extends ProtocolMessage {
   public int sectorCount;
   public long startSector;

   public void read(MonitoringDataInputStream var1, boolean var2) throws IOException {
      if (!var2) {
         var1.readUnsignedByte();
      }

      var1.read();
      this.sectorCount = var1.readShort() & '\uffff';
      var1.readInt();
      this.startSector = var1.readLong();
   }
}
