package nn.pp.rccore;

public interface IAudioStatusExSupport {
   IAudioStatusExSupport.AudioStatus getSpeakerStatus();

   IAudioStatusExSupport.AudioStatus getMicrophoneStatus();

   void addListener(IAudioStatusExSupport.IListener var1);

   void removeListener(IAudioStatusExSupport.IListener var1);

   public static class AudioStatus {
      private boolean connected;
      private String format;

      public AudioStatus(boolean connected, String format) {
         this.connected = connected;
         this.format = format;
      }

      public boolean isConnected() {
         return this.connected;
      }

      public String getFormat() {
         return this.format;
      }
   }

   public interface IListener {
      void audioSettingsChanged(IAudioStatusExSupport.AudioStatus var1, IAudioStatusExSupport.AudioStatus var2);
   }
}
