package nn.pp.rccore;

public interface IKvmPort {
   String getPortNo();

   void setPortNo(String var1);

   String getUniquePortId();

   void setUniquePortId(String var1);

   String getPortName();

   IKvmPort.KvmPermission getKvmPermission();

   IKvmPort.VmPermission getVmPermission();

   void setKvmPermission(IKvmPort.KvmPermission var1);

   void setVMPermission(IKvmPort.VmPermission var1);

   boolean isVmPortType();

   void setVmPortType(boolean var1);

   public static enum KvmPermission {
      DENY,
      VIEW,
      CONTROL;
   }

   public static enum VmPermission {
      DENY,
      READONLY,
      READWRITE;
   }
}
