package nn.pp.rccore;

import java.util.Map;

public interface ILicenseSupport {
   boolean isFeatureLicensed(String var1);

   Map<String, Boolean> getLicensedFeatures();

   void addListener(ILicenseSupport.IListener var1);

   void removeListener(ILicenseSupport.IListener var1);

   public interface IListener {
      void licenseFeatureSupportChanged(String var1, boolean var2);
   }
}
