package nn.pp.rccore;

import java.util.List;

public interface MouseModeListener {
   int MOUSE_MODES = 1;
   int SINGLE_CURSOR = 2;
   int MOUSE_SYNC = 4;
   int ALL = 7;

   void mouseModeChangeSupportChanged(boolean var1);

   void supportedMouseModesChanged(List<RCCore.MouseMode> var1);

   void mouseModeChanged(RCCore.MouseMode var1);

   void singleCursorModeSupportChanged(boolean var1);

   void singleCursorModeChanged(boolean var1);

   void mouseSyncSupportChanged(boolean var1);
}
