package com.sun.deploy.association.utility;

import java.net.URL;
import java.util.List;

public class GnomeAppAssociationReader implements AppAssociationReader {
   public String getDescriptionByMimeType(String var1) {
      return GnomeAssociationUtil.getDescriptionByMimeType(var1);
   }

   public String getDescriptionByFileExt(String var1) {
      var1 = AppUtility.removeDotFromFileExtension(var1);
      return this.getMimeTypeByFileExt(var1) == null ? null : this.getDescriptionByMimeType(this.getMimeTypeByFileExt(var1));
   }

   public String getMimeTypeByURL(URL var1) {
      return GnomeAssociationUtil.getMimeTypeByURL(var1);
   }

   public List getFileExtListByMimeType(String var1) {
      return GnomeAssociationUtil.getFileExtListByMimeType(var1);
   }

   public String getMimeTypeByFileExt(String var1) {
      var1 = AppUtility.removeDotFromFileExtension(var1);
      return GnomeAssociationUtil.getMimeTypeByFileExt(var1);
   }

   public String getIconFileNameByMimeType(String var1) {
      return GnomeAssociationUtil.getIconFileNameByMimeType(var1);
   }

   public String getIconFileNameByFileExt(String var1) {
      var1 = AppUtility.removeDotFromFileExtension(var1);
      return this.getMimeTypeByFileExt(var1) == null ? null : this.getIconFileNameByMimeType(this.getMimeTypeByFileExt(var1));
   }

   public List getActionListByMimeType(String var1) {
      return GnomeAssociationUtil.getActionListByMimeType(var1);
   }

   public List getActionListByFileExt(String var1) {
      var1 = AppUtility.removeDotFromFileExtension(var1);
      return this.getMimeTypeByFileExt(var1) == null ? null : this.getActionListByMimeType(this.getMimeTypeByFileExt(var1));
   }

   public boolean isMimeTypeExist(String var1) {
      return GnomeAssociationUtil.isMimeTypeExist(var1);
   }

   public boolean isFileExtExist(String var1) {
      var1 = AppUtility.removeDotFromFileExtension(var1);
      return GnomeAssociationUtil.isFileExtExist(var1);
   }
}
