package com.sun.deploy.net.cookie;

import java.io.IOException;
import java.net.URI;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class DeployCookieSelector extends java.net.CookieHandler {
   public static synchronized void reset() {
      java.net.CookieHandler.setDefault(new DeployCookieSelector());
   }

   public synchronized Map get(URI var1, Map var2) throws IOException {
      String var3 = DeployCookieManager.getCookieInfo(var1.toURL());
      HashMap var4 = new HashMap();
      if (var3 != null) {
         ArrayList var5 = new ArrayList();
         var5.add(var3);
         var4.put("Cookie", var5);
      }

      return var4;
   }

   public synchronized void put(URI var1, Map var2) throws IOException {
      for (String var4 : var2.keySet()) {
         if (var4 != null && var4.equalsIgnoreCase("Set-Cookie")) {
            List var5 = (List)var2.get(var4);
            if (var5 != null) {
               for (String var7 : var5) {
                  if (var7 != null) {
                     DeployCookieManager.setCookieInfo(var1.toURL(), var7);
                  }
               }
            }
         }
      }
   }
}
