package com.sun.deploy.net.protocol.https;

import com.sun.deploy.config.Config;
import com.sun.deploy.security.BrowserKeystore;
import com.sun.deploy.security.CertificateHostnameVerifier;
import com.sun.deploy.security.X509DeployKeyManager;
import com.sun.deploy.security.X509DeployTrustManager;
import com.sun.deploy.services.ServiceManager;
import java.security.KeyManagementException;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;
import java.security.PrivilegedExceptionAction;
import java.security.SecureRandom;
import java.security.cert.CertificateException;
import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.HttpsURLConnection;
import javax.net.ssl.KeyManager;
import javax.net.ssl.SSLContext;
import javax.net.ssl.TrustManager;

class Handler$1 implements PrivilegedExceptionAction {
   Handler$1() throws KeyManagementException, CertificateException, NoSuchProviderException, KeyStoreException, NoSuchAlgorithmException {
   }

   public Object run() throws Exception {
      if (Config.getBooleanProperty("deployment.security.browser.keystore.use")) {
         BrowserKeystore.registerSecurityProviders();
      }

      SecureRandom var1 = ServiceManager.getService().getSecureRandom();
      var1.nextInt();
      Object var2 = null;
      var2 = new CertificateHostnameVerifier();
      HttpsURLConnection.setDefaultHostnameVerifier((HostnameVerifier)var2);
      SSLContext var3 = SSLContext.getInstance("SSL");
      X509DeployTrustManager var4 = new X509DeployTrustManager();
      TrustManager[] var5 = new TrustManager[]{var4};
      X509DeployKeyManager var6 = new X509DeployKeyManager();
      KeyManager[] var7 = new KeyManager[]{var6};
      var3.init(var7, var5, var1);
      HttpsURLConnection.setDefaultSSLSocketFactory(var3.getSocketFactory());
      return null;
   }
}
