package com.sun.deploy.panel;

import java.awt.BorderLayout;
import java.awt.Insets;
import java.io.IOException;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTree;
import javax.swing.border.EmptyBorder;
import javax.xml.parsers.FactoryConfigurationError;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;
import org.xml.sax.SAXException;

public class AdvancedPanel extends JPanel {
   JTree tree;

   public AdvancedPanel() {
      this.initComponents();
   }

   public void initComponents() {
      this.setLayout(new BorderLayout());
      this.setBorder(new EmptyBorder(new Insets(10, 5, 5, 5)));
      JScrollPane var1 = new JScrollPane();
      this.tree = this.createJTreeFromXML();
      var1.setViewportView(this.tree);
      this.add(var1, "Center");
   }

   public JTree createJTreeFromXML() {
      try {
         SAXParserFactory var1 = SAXParserFactory.newInstance();
         SAXParser var2 = var1.newSAXParser();
         XMLDocumentHandler var3 = new XMLDocumentHandler();
         var2.parse(this.getClass().getClassLoader().getResourceAsStream("com/sun/deploy/panel/settings.xml"), var3);
         return var3.getJTree();
      } catch (FactoryConfigurationError var4) {
         var4.printStackTrace();
      } catch (ParserConfigurationException var5) {
         var5.printStackTrace();
      } catch (SAXException var6) {
         var6.printStackTrace();
      } catch (IOException var7) {
         var7.printStackTrace();
      } catch (Throwable var8) {
         var8.printStackTrace();
      }

      return null;
   }
}
