package com.sun.deploy.panel;

import java.awt.Color;
import java.awt.Component;
import javax.swing.JComponent;
import javax.swing.JTable;
import javax.swing.border.Border;
import javax.swing.border.LineBorder;
import javax.swing.table.DefaultTableCellRenderer;

public class PathRenderer extends DefaultTableCellRenderer {
   private Border badBorder = new LineBorder(Color.red);
   private Border goodBorder = new LineBorder(Color.black);

   public Component getTableCellRendererComponent(JTable var1, Object var2, boolean var3, boolean var4, int var5, int var6) {
      Component var7 = super.getTableCellRendererComponent(var1, var2, var3, var4, var5, var6);
      if (var7 instanceof JComponent && var1.getModel() instanceof JreTableModel && !((JreTableModel)var1.getModel()).isPathValid(var5)) {
         ((JComponent)var7).setBorder(this.badBorder);
      } else if (var7 instanceof JComponent) {
         ((JComponent)var7).setBorder(this.goodBorder);
      }

      if (var7 instanceof JComponent) {
         String var8 = null;
         if (var2 != null) {
            var8 = var2.toString();
         }

         ((JComponent)var7).setToolTipText(var8);
      }

      return var7;
   }
}
