package com.sun.deploy.panel;

final class RadioProperty extends BasicProperty {
   private RadioPropertyGroup group;

   public RadioProperty(String var1, String var2) {
      super(var1 + "." + var2, var2);
   }

   public void setGroup(RadioPropertyGroup var1) {
      this.group = var1;
   }

   public boolean isSelected() {
      return this.group.getCurrentSelection().equalsIgnoreCase(this.getValue());
   }

   public void setValue(String var1) {
      this.group.setCurrentSelection(this.getValue());
   }
}
