package com.sun.deploy.panel;

import com.sun.deploy.config.Config;

public class RadioPropertyGroup {
   private String propertyName;
   private String selectionKey;

   public RadioPropertyGroup(String var1, String var2) {
      this.propertyName = var1;
      this.selectionKey = var2;
      String var3 = Config.getProperty(this.propertyName);
      if (var3 != null) {
         this.selectionKey = var3;
      }
   }

   public void setCurrentSelection(String var1) {
      if (!var1.trim().equals("")) {
         this.selectionKey = var1;
         Config.setProperty(this.propertyName, this.selectionKey);
      }
   }

   public String getCurrentSelection() {
      return this.selectionKey;
   }

   public String getPropertyName() {
      return this.propertyName;
   }
}
