package com.sun.deploy.panel;

import com.sun.deploy.resources.ResourceManager;
import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.border.EtchedBorder;
import javax.swing.border.TitledBorder;

public class SecurityPanel extends JPanel {
   public SecurityPanel() {
      this.initComponents();
   }

   public void initComponents() {
      this.setLayout(new BorderLayout());
      this.setBorder(new EmptyBorder(new Insets(5, 5, 5, 5)));
      JPanel var1 = new JPanel();
      var1.setLayout(new BorderLayout());
      var1.setBorder(new TitledBorder(new TitledBorder(new EtchedBorder()), this.getMessage("security.certificates.border.text"), 0, 0));
      JPanel var2 = new JPanel();
      var2.setLayout(new FlowLayout(2));
      JButton var3 = new JButton(this.getMessage("security.certificates.button.text"));
      var3.setMnemonic(ResourceManager.getVKCode("security.certificates.button.mnemonic"));
      var3.addActionListener(new SecurityPanel$1(this));
      var3.setToolTipText(this.getMessage("security.certs_btn.tooltip"));
      var2.add(var3);
      JSmartTextArea var4 = new JSmartTextArea(this.getMessage("security.certificates.desc.text"));
      var1.add(var4, "North");
      var1.add(var2, "Center");
      this.add(var1, "Center");
   }

   private void certsBtnActionPerformed(ActionEvent var1) {
      CertificatesDialog var2 = new CertificatesDialog((JFrame)this.getTopLevelAncestor(), true);
      var2.setLocationRelativeTo(this);
      var2.setVisible(true);
   }

   private String getMessage(String var1) {
      return ResourceManager.getMessage(var1);
   }
}
