package com.sun.deploy.panel;

import java.awt.Component;
import javax.swing.DefaultCellEditor;
import javax.swing.JTable;
import javax.swing.JTextField;

public class SpecialTableEditor extends DefaultCellEditor {
   JTable t;

   SpecialTableEditor() {
      super(new JTextField());
   }

   public Component getTableCellEditorComponent(JTable var1, Object var2, boolean var3, int var4, int var5) {
      this.t = var1;
      var1.getTableHeader().setResizingAllowed(false);
      return super.getTableCellEditorComponent(var1, var2, var3, var4, var5);
   }

   public boolean stopCellEditing() {
      this.t.getTableHeader().setResizingAllowed(true);
      return super.stopCellEditing();
   }
}
