package com.sun.deploy.resources;

import java.util.ListResourceBundle;

public final class Deployment_zh_HK extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"product.javapi.name", "Java Plug-in {0}"},
      {"product.javaws.name", "Java Web Start {0}"},
      {"console.version", "版本"},
      {"console.default_vm_version", "預設 Virtual Machine 版本 "},
      {"console.using_jre_version", "使用 JRE 版本"},
      {"console.user_home", "使用者主目錄"},
      {"console.caption", "Java 主控台"},
      {"console.clear", "清除(C)"},
      {"console.clear.acceleratorKey", new Integer(67)},
      {"console.close", "關閉(E)"},
      {"console.close.acceleratorKey", new Integer(69)},
      {"console.copy", "複製(Y)"},
      {"console.copy.acceleratorKey", new Integer(89)},
      {"console.menu.text.top", "----------------------------------------------------\n"},
      {"console.menu.text.c", "c:   清除主控台視窗\n"},
      {"console.menu.text.f", "f:   終結在結束佇列上的物件\n"},
      {"console.menu.text.g", "g:   資源回收\n"},
      {"console.menu.text.h", "h:   顯示此說明訊息\n"},
      {"console.menu.text.j", "j:   傾印 jcov 資料\n"},
      {"console.menu.text.l", "l:   傾印類別載入器清單\n"},
      {"console.menu.text.m", "m:   列印記憶體用量\n"},
      {"console.menu.text.o", "o:   觸發記錄\n"},
      {"console.menu.text.p", "p:   重新載入 Proxy 配置\n"},
      {"console.menu.text.q", "q:   隱藏主控台\n"},
      {"console.menu.text.r", "r:   重新載入策略配置\n"},
      {"console.menu.text.s", "s:   傾印系統和部署屬性\n"},
      {"console.menu.text.t", "t:   傾印執行緒清單\n"},
      {"console.menu.text.v", "v:   傾印執行緒堆疊\n"},
      {"console.menu.text.x", "x:   清除類別載入器快取記憶體\n"},
      {"console.menu.text.0", "0-5: 將追蹤層次設定成 <n>\n"},
      {"console.menu.text.tail", "----------------------------------------------------\n"},
      {"console.done", "完成。"},
      {"console.trace.level.0", "追蹤層次設定成 0： none ... 已完成。"},
      {"console.trace.level.1", "追蹤層次設定成 1： basic ... 已完成。"},
      {"console.trace.level.2", "追蹤層次設定成 2：basic、net ... 已完成"},
      {"console.trace.level.3", "追蹤層次設定成 3： basic、net、security ... 已完成。"},
      {"console.trace.level.4", "追蹤層次設定成 4： basic、net、security、ext ... 已完成。"},
      {"console.trace.level.5", "追蹤層次設定成 5： all ... 已完成。"},
      {"console.log", "記錄設定成： "},
      {"console.completed", " ... 已完成。"},
      {"console.dump.thread", "傾印執行緒清單 ...\n"},
      {"console.dump.stack", "傾印執行緒堆疊 ...\n"},
      {"console.dump.system.properties", "傾印系統屬性 ...\n"},
      {"console.dump.deployment.properties", "傾印部署屬性 ...\n"},
      {"console.clear.classloader", "清除類別載入器快取記憶體 ... 已完成。"},
      {"console.reload.policy", "重新載入策略配置"},
      {"console.reload.proxy", "重新載入 Proxy 配置 ..."},
      {"console.gc", "資源回收"},
      {"console.finalize", "終結在結束佇列上的物件"},
      {"console.memory", "記憶體： {0}K  可用： {1}K  ({2}%)"},
      {"console.jcov.error", "Jcov 執行期間錯誤： 請檢查您指定的 jcov 選項是否正確\n"},
      {"console.jcov.info", "Jcov 資料傾印成功\n"},
      {"https.dialog.unknown.host", "不明的主機"},
      {"security.badcert.caption", "警告 - 安全"},
      {"security.badcert.https.text", "無法驗證 SSL 證書。\n該 {0} 將無法執行。"},
      {"security.badcert.config.text", "您的安全配置不允許您驗證該證書。  該 {0} 將無法執行。"},
      {"security.badcert.text", "無法驗證證書。  該 {0} 將無法執行。"},
      {"security.badcert.viewException", "顯示異常狀況(S)"},
      {"security.badcert.viewException.acceleratorKey", new Integer(83)},
      {"security.badcert.viewCert", "更多詳細資訊(M)"},
      {"security.badcert.viewCert.acceleratorKey", new Integer(77)},
      {"cert.dialog.caption", "詳細資訊 - 證書"},
      {"cert.dialog.certpath", "證書路徑"},
      {"cert.dialog.field.Version", "版本"},
      {"cert.dialog.field.SerialNumber", "序號"},
      {"cert.dialog.field.SignatureAlg", "簽名演算法"},
      {"cert.dialog.field.Issuer", "發行人"},
      {"cert.dialog.field.EffectiveDate", "有效日期"},
      {"cert.dialog.field.ExpirationDate", "截止日期"},
      {"cert.dialog.field.Validity", "有效性"},
      {"cert.dialog.field.Subject", "主題"},
      {"cert.dialog.field.Signature", "簽名"},
      {"cert.dialog.field", "欄位"},
      {"cert.dialog.value", "數值"},
      {"cert.dialog.close", "關閉(C)"},
      {"cert.dialog.close.acceleratorKey", new Integer(67)},
      {"clientauth.password.dialog.buttonOK", "確定(O)"},
      {"clientauth.password.dialog.buttonOK.acceleratorKey", new Integer(79)},
      {"clientauth.password.dialog.buttonCancel", "取消(C)"},
      {"clientauth.password.dialog.buttonCancel.acceleratorKey", new Integer(67)},
      {"clientauth.password.dialog.caption", "需要密碼 - 用戶端認證密鑰儲存庫"},
      {"clientauth.password.dialog.text", "請輸入密碼以存取用戶端認證密鑰儲存庫：\n"},
      {"clientauth.password.dialog.error.caption", "錯誤 - 用戶端認證密鑰儲存庫"},
      {"clientauth.password.dialog.error.text", "<html><b>密鑰儲存庫存取錯誤</b></html>密鑰儲存庫被篡改或密碼不正確。"},
      {"clientauth.certlist.dialog.buttonOK", "確定(O)"},
      {"clientauth.certlist.dialog.buttonOK.acceleratorKey", new Integer(79)},
      {"clientauth.certlist.dialog.buttonCancel", "取消(C)"},
      {"clientauth.certlist.dialog.buttonCancel.acceleratorKey", new Integer(67)},
      {"clientauth.certlist.dialog.buttonDetails", "詳細資訊(D)"},
      {"clientauth.certlist.dialog.buttonDetails.acceleratorKey", new Integer(68)},
      {"clientauth.certlist.dialog.caption", "用戶端認證"},
      {"clientauth.certlist.dialog.text", "要連線的網站要求身份識別。\n請選取連線時要使用的憑證。\n"},
      {"clientauth.certlist.dialog.javaKS", "{0} (來自 Java 金鑰儲存庫)"},
      {"clientauth.certlist.dialog.browserKS", "{0} (來自瀏覽器金鑰儲存庫)"},
      {"dialogfactory.confirmDialogTitle", "需要確認 - Java"},
      {"dialogfactory.inputDialogTitle", "需要資訊 - Java"},
      {"dialogfactory.messageDialogTitle", "訊息 - Java"},
      {"dialogfactory.exceptionDialogTitle", "錯誤 - Java"},
      {"dialogfactory.optionDialogTitle", "選項 - Java"},
      {"dialogfactory.aboutDialogTitle", "關於 - Java"},
      {"dialogfactory.confirm.yes", "是(Y)"},
      {"dialogfactory.confirm.yes.acceleratorKey", new Integer(89)},
      {"dialogfactory.confirm.no", "否(N)"},
      {"dialogfactory.confirm.no.acceleratorKey", new Integer(78)},
      {"dialogfactory.moreInfo", "更多詳細資訊(M)"},
      {"dialogfactory.moreInfo.acceleratorKey", new Integer(77)},
      {"dialogfactory.lessInfo", "較少詳細資訊(L)"},
      {"dialogfactory.lessInfo.acceleratorKey", new Integer(76)},
      {"dialogfactory.java.home.link", "http://www.java.com"},
      {"dialogfactory.general_error", "<html><b>一般異常狀況</b></html>"},
      {"dialogfactory.net_error", "<html><b>網路連線異常狀況</b></html>"},
      {"dialogfactory.security_error", "<html><b>安全異常狀況</b></html>"},
      {"dialogfactory.ext_error", "<html><b>選用套件異常狀況</b></html>"},
      {"dialogfactory.user.selected", "使用者選取： {0}"},
      {"dialogfactory.user.typed", "使用者鍵入： {0}"},
      {"deploycertstore.cert.loading", "正在從 {0} 載入部署證書"},
      {"deploycertstore.cert.loaded", "已從 {0} 載入部署證書"},
      {"deploycertstore.cert.saving", "正在將部署證書儲存於 {0}"},
      {"deploycertstore.cert.saved", "已儲存部署證書於 {0}"},
      {"deploycertstore.cert.adding", "正在部署永久證書儲存庫中新增證書"},
      {"deploycertstore.cert.added", "在部署永久證書儲存庫中已新增別名為 {0} 的證書"},
      {"deploycertstore.cert.removing", "正在移除部署永久證書儲存庫中的證書"},
      {"deploycertstore.cert.removed", "已移除部署永久證書儲存庫中別名為 {0} 的證書"},
      {"deploycertstore.cert.instore", "檢查證書是否在部署永久證書儲存庫中"},
      {"deploycertstore.cert.canverify", "檢查證書是否可使用部署永久證書儲存庫中的證書來驗證"},
      {"deploycertstore.cert.iterator", "取得部署永久證書儲存庫中的證書迭代器"},
      {"deploycertstore.cert.getkeystore", "取得部署永久證書儲存庫的密鑰儲存庫物件"},
      {"httpscertstore.cert.loading", "正自 {0} 載入部署 SSL 證書"},
      {"httpscertstore.cert.loaded", "已自 {0} 載入部署 SSL 證書"},
      {"httpscertstore.cert.saving", "正在 {0} 儲存部署 SSL 證書"},
      {"httpscertstore.cert.saved", "已在 {0} 儲存部署 SSL 證書"},
      {"httpscertstore.cert.adding", "正在部署永久證書儲存庫中新增 SSL 證書"},
      {"httpscertstore.cert.added", "已在部署永久證書儲存庫中新增別名為 {0} 的 SSL 證書"},
      {"httpscertstore.cert.removing", "正在部署永久證書儲存庫中移除 SSL 證書"},
      {"httpscertstore.cert.removed", "已在部署永久證書儲存庫中移除別名為 {0} 的 SSL 證書"},
      {"httpscertstore.cert.instore", "正在檢查 SSL 證書是否在部署永久證書儲存庫中"},
      {"httpscertstore.cert.canverify", "檢查 SSL 證書是否可以使用部署永久證書儲存庫中的證書驗證"},
      {"httpscertstore.cert.iterator", "取得部署永久證書儲存庫中的 SSL 證書迭代器"},
      {"httpscertstore.cert.getkeystore", "取得部署永久證書儲存庫的密鑰儲存庫物件"},
      {"rootcertstore.cert.loading", "正從 {0} 載入 Root CA 證書"},
      {"rootcertstore.cert.loaded", "已從 {0} 載入 Root CA 證書"},
      {"rootcertstore.cert.noload", "無法找到 Root CA 證書檔案： {0}"},
      {"rootcertstore.cert.saving", "正在將 Root CA 證書儲存到 {0}"},
      {"rootcertstore.cert.saved", "已儲存 Root CA 證書於 {0}"},
      {"rootcertstore.cert.adding", "正在 Root CA 證書儲存庫中新增證書"},
      {"rootcertstore.cert.added", "已在 Root CA 證書儲存庫中新增別名為 {0} 的證書"},
      {"rootcertstore.cert.removing", "正在移除 Root CA 證書儲存庫中的證書"},
      {"rootcertstore.cert.removed", "已移除 Root CA 證書儲存庫中別名為 {0} 的證書"},
      {"rootcertstore.cert.instore", "正在檢查證書是否在 Root CA 證書儲存庫中"},
      {"rootcertstore.cert.canverify", "檢查證書是否可使用 Root CA 證書儲存庫中的證書來驗證"},
      {"rootcertstore.cert.iterator", "取得 Root CA 證書儲存庫中的證書迭代器"},
      {"rootcertstore.cert.getkeystore", "取得 Root CA 證書儲存庫的密鑰儲存庫物件"},
      {"rootcertstore.cert.verify.ok", "證書已順利通過 Root CA 證書的驗證"},
      {"rootcertstore.cert.verify.fail", "證書未通過 Root CA 證書的驗證"},
      {"rootcertstore.cert.tobeverified", "將被驗證的證書：\n{0}"},
      {"rootcertstore.cert.tobecompared", "正在將證書與以下 Root CA 證書比較：\n{0}"},
      {"roothttpscertstore.cert.loading", "正自 {0} 載入 SSL Root CA 證書"},
      {"roothttpscertstore.cert.loaded", "已自 {0} 載入 SSL Root CA 證書"},
      {"roothttpscertstore.cert.noload", "無法找到 SSL Root CA 證書檔案：{0}"},
      {"roothttpscertstore.cert.saving", "正在儲存 SSL Root CA 證書於 {0}"},
      {"roothttpscertstore.cert.saved", "已儲存 SSL Root CA 證書於 {0}"},
      {"roothttpscertstore.cert.adding", "正在 SSL Root CA 證書儲存庫中新增證書"},
      {"roothttpscertstore.cert.added", "已在 SSL Root CA 證書儲存庫中新增別名為 {0} 的證書 "},
      {"roothttpscertstore.cert.removing", "正在從 SSL Root CA 證書儲存庫中移除證書"},
      {"roothttpscertstore.cert.removed", "已從 SSL Root CA 證書儲存庫中移除別名為 {0} 的證書 "},
      {"roothttpscertstore.cert.instore", "正在檢查證書是否在 SSL Root CA 證書儲存庫中"},
      {"roothttpscertstore.cert.canverify", "檢查是否可使用 SSL Root CA 證書儲存庫的證書來驗證證書"},
      {"roothttpscertstore.cert.iterator", "取得 SSL Root CA 證書儲存庫中的證書迭代器"},
      {"roothttpscertstore.cert.getkeystore", "取得 SSL Root CA 證書儲存庫的密鑰儲存庫物件"},
      {"roothttpscertstore.cert.verify.ok", "證書已經過 SSL Root CA 證書驗證成功"},
      {"roothttpscertstore.cert.verify.fail", "證書經過 SSL Root CA 證書驗證失敗"},
      {"roothttpscertstore.cert.tobeverified", "將被驗證的證書：\n{0}"},
      {"roothttpscertstore.cert.tobecompared", "正在將證書與以下 SSL Root CA 證書比較：\n{0}"},
      {"sessioncertstore.cert.loading", "正在從部署階段作業證書儲存庫中載入證書"},
      {"sessioncertstore.cert.loaded", "已從部署階段作業證書儲存庫中載入證書"},
      {"sessioncertstore.cert.saving", "正在部署階段作業證書儲存庫中儲存證書"},
      {"sessioncertstore.cert.saved", "已在部署階段作業證書儲存庫中儲存證書"},
      {"sessioncertstore.cert.adding", "正在部署階段作業證書儲存庫中新增證書"},
      {"sessioncertstore.cert.added", "已在部署階段作業證書儲存庫中新增證書"},
      {"sessioncertstore.cert.removing", "正在移除部署階段作業證書儲存庫中的證書"},
      {"sessioncertstore.cert.removed", "已從部署階段作業證書儲存庫中移除證書"},
      {"sessioncertstore.cert.instore", "正在檢查證書是否在部署階段作業證書儲存庫中"},
      {"sessioncertstore.cert.canverify", "檢查是否可使用部署階段作業證書儲存庫中的證書來驗證證書"},
      {"sessioncertstore.cert.iterator", "取得部署階段作業證書儲存庫中的證書迭代器"},
      {"sessioncertstore.cert.getkeystore", "取得部署階段作業證書儲存庫的密鑰儲存庫物件"},
      {"iexplorer.cert.loading", "正在從 Internet Explorer {0} 證書儲存庫載入證書"},
      {"iexplorer.cert.loaded", "已從 Internet Explorer {0} 證書儲存庫載入證書"},
      {"iexplorer.cert.instore", "正在檢查證書是否在 Internet Explorer {0} 證書儲存庫中"},
      {"iexplorer.cert.canverify", "檢查是否可使用 Internet Explorer {0} 證書儲存庫中的證書來驗證證書"},
      {"iexplorer.cert.iterator", "取得 Internet Explorer {0} 證書儲存庫中的證書迭代器"},
      {"iexplorer.cert.verify.ok", "證書已經過 Internet Explorer {0} 證書驗證成功"},
      {"iexplorer.cert.verify.fail", "證書經過 Internet Explorer {0} 證書驗證失敗"},
      {"iexplorer.cert.tobeverified", "將被驗證的證書：\n{0}"},
      {"iexplorer.cert.tobecompared", "正在將證書與以下 Internet Explorer {0} 證書比較：\n{1}"},
      {"mozilla.cert.loading", "正在從 Mozilla {0} 證書儲存庫載入證書"},
      {"mozilla.cert.loaded", "已從 Mozilla {0} 證書儲存庫載入證書"},
      {"mozilla.cert.instore", "正在檢查證書是否在 Mozilla {0} 證書儲存庫中"},
      {"mozilla.cert.canverify", "檢查是否可使用 Mozilla {0} 證書儲存庫中的證書來驗證證書"},
      {"mozilla.cert.iterator", "取得 Mozilla {0} 證書儲存庫中的證書迭代器"},
      {"mozilla.cert.verify.ok", "已成功使用 Mozilla {0} 證書驗證證書"},
      {"mozilla.cert.verify.fail", "無法使用 Mozilla {0} 證書驗證證書"},
      {"mozilla.cert.tobeverified", "將被驗證的證書：\n{0}"},
      {"mozilla.cert.tobecompared", "正在將證書與以下 Mozilla {0} 證書比較：\n{1}"},
      {"browserkeystore.jss.no", "未找到 JSS 套裝軟體"},
      {"browserkeystore.jss.yes", "已載入 JSS 套裝軟體"},
      {"browserkeystore.jss.notconfig", "未配置 JSS"},
      {"browserkeystore.jss.config", "已配置 JSS"},
      {"browserkeystore.mozilla.dir", "正在存取 Mozilla 使用者設定檔中的金鑰和證書： {0}"},
      {"browserkeystore.password.dialog.buttonOK", "確定(O)"},
      {"browserkeystore.password.dialog.buttonOK.acceleratorKey", new Integer(79)},
      {"browserkeystore.password.dialog.buttonCancel", "取消(C)"},
      {"browserkeystore.password.dialog.buttonCancel.acceleratorKey", new Integer(67)},
      {"browserkeystore.password.dialog.caption", "需要密碼"},
      {"browserkeystore.password.dialog.text", "請輸入 {0} 的密碼：\n"},
      {"mozillamykeystore.priv.notfound", "未找到證書的私密金鑰： {0}"},
      {"hostnameverifier.automation.ignoremismatch", "自動化： 忽略主機名稱不符"},
      {"trustdecider.check.basicconstraints", "在證書中檢查基本限制時失敗"},
      {"trustdecider.check.leafkeyusage", "在證書中檢查葉密鑰使用時失敗"},
      {"trustdecider.check.signerkeyusage", "在證書中檢查簽名者密鑰使用時失敗"},
      {"trustdecider.check.extensions", "在證書中檢查臨界延伸時失敗"},
      {"trustdecider.check.signature", "在證書中檢查簽名時失敗"},
      {"trustdecider.check.basicconstraints.certtypebit", "在證書中檢查 netscape 類型位元時失敗"},
      {"trustdecider.check.basicconstraints.extensionvalue", "在證書中檢查 netscape 延伸值時失敗"},
      {"trustdecider.check.basicconstraints.bitvalue", "在證書中檢查 netscape 位元 5、6、7 的值時失敗"},
      {"trustdecider.check.basicconstraints.enduser", "在證書中檢查作為 CA 的一般使用者時失敗"},
      {"trustdecider.check.basicconstraints.pathlength", "在證書中檢查路徑長度限制時失敗"},
      {"trustdecider.check.leafkeyusage.length", "在證書中檢查密鑰使用長度時失敗"},
      {"trustdecider.check.leafkeyusage.digitalsignature", "在證書中檢查數位簽名時失敗"},
      {"trustdecider.check.leafkeyusage.extkeyusageinfo", "在證書中檢查延伸密鑰使用資訊時失敗"},
      {"trustdecider.check.leafkeyusage.tsaextkeyusageinfo", "在證書中檢查 TSA 延伸密鑰使用資訊失敗"},
      {"trustdecider.check.leafkeyusage.certtypebit", "在證書中檢查 netscape 類型位元時失敗"},
      {"trustdecider.check.signerkeyusage.lengthandbit", "在證書中檢查長度和位元時失敗"},
      {"trustdecider.check.signerkeyusage.keyusage", "在證書中檢查密鑰使用時失敗"},
      {"trustdecider.check.canonicalize.updatecert", "使用 cacerts 檔案中的證書更新根證書"},
      {"trustdecider.check.canonicalize.missing", "新增遺失的根證書"},
      {"trustdecider.check.gettrustedcert.find", "在 cacerts 檔案中找到有效的 Root CA"},
      {"trustdecider.check.gettrustedissuercert.find", "在 cacerts 檔案中找到遺失的有效 Root CA"},
      {"trustdecider.check.timestamping.no", "無可用的時間戳記資訊"},
      {"trustdecider.check.timestamping.yes", "有可用的時間戳記資訊"},
      {"trustdecider.check.timestamping.tsapath", "開始檢查 TSA 證書路徑"},
      {"trustdecider.check.timestamping.inca", "雖然證書已過期，但時間戳記標記其仍在有效期中，並具有有效 TSA"},
      {"trustdecider.check.timestamping.notinca", "證書已過期，但 TSA 無效"},
      {"trustdecider.check.timestamping.valid", "證書已過期，但被時間戳記標記其仍在有效期中"},
      {"trustdecider.check.timestamping.invalid", "證書已過期，並時間戳記標記其無效"},
      {"trustdecider.check.timestamping.need", "證書已過期，需要檢查時間戳記資訊"},
      {"trustdecider.check.timestamping.noneed", "證書尚未過期，不需要檢查時間戳記資訊"},
      {"trustdecider.check.timestamping.notfound", "無法找到標記時間戳記的新 API"},
      {"trustdecider.user.grant.session", "使用者只對此階段作業授與程式碼的專用權"},
      {"trustdecider.user.grant.forever", "使用者對此程式碼授與永久的專用權"},
      {"trustdecider.user.deny", "使用者已拒絕對程式碼的專用權"},
      {"trustdecider.automation.trustcert", "自動化： 簽章的信任 RSA 證書"},
      {"trustdecider.code.type.applet", "Applet"},
      {"trustdecider.code.type.application", "應用程式"},
      {"trustdecider.code.type.extension", "延伸"},
      {"trustdecider.code.type.installer", "安裝程式"},
      {"trustdecider.user.cannot.grant.any", "您的安全配置不允許對新證書授與許可權"},
      {"trustdecider.user.cannot.grant.notinca", "您的安全配置不允許對自己簽署的證書授與許可權"},
      {"x509trustmgr.automation.ignoreclientcert", "自動化： 忽略未信任的用戶端證書"},
      {"x509trustmgr.automation.ignoreservercert", "自動化： 忽略未信任的伺服器證書"},
      {"net.proxy.text", "Proxy﹕"},
      {"net.proxy.override.text", "Proxy 置換﹕"},
      {"net.proxy.configuration.text", "Proxy 配置﹕"},
      {"net.proxy.type.browser", "瀏覽器 Proxy 配置"},
      {"net.proxy.type.auto", "自動 Proxy 配置"},
      {"net.proxy.type.manual", "手動配置"},
      {"net.proxy.type.none", "無 Proxy"},
      {"net.proxy.type.user", "使用者已置換瀏覽器的 Proxy 設定。"},
      {"net.proxy.loading.ie", "正在從 Internet Explorer 載入 Proxy 配置 ..."},
      {"net.proxy.loading.ns", "正在從 Netscape Navigator 載入 Proxy 配置 ..."},
      {"net.proxy.loading.userdef", "正在載入使用者定義的 Proxy 配置 ..."},
      {"net.proxy.loading.direct", "正在載入直接 Proxy 配置 ..."},
      {"net.proxy.loading.manual", "正在載入手動 Proxy 配置 ..."},
      {"net.proxy.loading.auto", "正在載入自動 Proxy 配置 ..."},
      {"net.proxy.loading.browser", "正在載入瀏覽器 Proxy 配置 ..."},
      {"net.proxy.loading.manual.error", "無法使用手動 Proxy 配置 - 返回到 DIRECT"},
      {"net.proxy.loading.auto.error", "無法使用自動 Proxy 配置 - 返回到 MANUAL"},
      {"net.proxy.loading.done", "完成。"},
      {"net.proxy.browser.pref.read", "正在從 {0} 讀取使用者個人喜好設定檔"},
      {"net.proxy.browser.proxyEnable", "    Proxy 啟用： {0}"},
      {"net.proxy.browser.proxyList", "    Proxy 清單： {0}"},
      {"net.proxy.browser.proxyOverride", "    Proxy 置換： {0}"},
      {"net.proxy.browser.autoConfigURL", "    自動配置 URL： {0}"},
      {"net.proxy.browser.smartConfig", "偵測在連接埠 {1} 的 Proxy 伺服器 {0}"},
      {"net.proxy.browser.connectionException", "無法聯繫在連接埠 {1} 的 Proxy 伺服器 {0}"},
      {"net.proxy.ns6.regs.exception", "讀取註冊檔案時發生錯誤： {0}"},
      {"net.proxy.pattern.convert", "將 Proxy 旁通清單轉換成正規表示式： "},
      {"net.proxy.pattern.convert.error", "無法將 Proxy 旁通清單轉換成正規表示式 - 忽略"},
      {"net.proxy.auto.download.ins", "正在從 {0} 下載 INS 檔案"},
      {"net.proxy.auto.download.js", "正在從 {0} 下載自動 Proxy 檔案"},
      {"net.proxy.auto.result.error", "無法從評估來決定 Proxy 設定 -  失效折返成 DIRECT"},
      {"net.proxy.service.not_available", "沒有 {0} 可用的 Proxy 服務 - 預設使用 DIRECT"},
      {"net.proxy.error.caption", "錯誤 - Proxy 配置"},
      {"net.proxy.nsprefs.error", "<html><b>無法重新取得 Proxy 設定值</b></html>退回到其他的 proxy 配置。\n"},
      {"net.proxy.connect", "使用 Proxy {1} 來連接 {0}"},
      {"net.authenticate.caption", "需要密碼 - 網路連線"},
      {"net.authenticate.label", "<html><b>請輸入您的使用者名稱和密碼：</b></html>"},
      {"net.authenticate.resource", "資源﹕"},
      {"net.authenticate.username", "使用者名稱(U)﹕"},
      {"net.authenticate.username.mnemonic", "VK_U"},
      {"net.authenticate.password", "密碼(P)："},
      {"net.authenticate.password.mnemonic", "VK_P"},
      {"net.authenticate.firewall", "伺服器："},
      {"net.authenticate.domain", "網域(D)："},
      {"net.authenticate.domain.mnemonic", "VK_D"},
      {"net.authenticate.realm", "範疇："},
      {"net.authenticate.scheme", "機制："},
      {"net.authenticate.unknownSite", "未知網站"},
      {"net.cookie.cache", "Cookie 快取記憶體： "},
      {"net.cookie.server", "伺服器 {0} 要求以 \"{1}\" 來 set-cookie"},
      {"net.cookie.connect", "使用 Cookie \"{1}\" 來連接 {0}"},
      {"net.cookie.ignore.setcookie", "無法使用 Cookie 服務 - 忽略 \"Set-Cookie\""},
      {"net.cookie.noservice", "無法使用 Cookie 服務 - 使用快取記憶體來決定 \"Cookie\""},
      {"about.java.version", "版本 {0} (build {1})"},
      {"about.prompt.info", "如需關於 Java 技術的資訊以及瀏覽 Java 應用程式，請至"},
      {"about.home.link", "http://www.java.com"},
      {"about.option.close", "關閉(C)"},
      {"about.option.close.acceleratorKey", new Integer(67)},
      {"about.copyright", "Copyright 2005 Sun Microsystems, Inc."},
      {"about.legal.note", "版權所有。其使用須符合授權條款規定。"},
      {"cert.remove_button", "移除(M)"},
      {"cert.remove_button.mnemonic", "VK_M"},
      {"cert.import_button", "匯入(I)"},
      {"cert.import_button.mnemonic", "VK_I"},
      {"cert.export_button", "匯出(E)"},
      {"cert.export_button.mnemonic", "VK_E"},
      {"cert.details_button", "詳細資訊(D)"},
      {"cert.details_button.mnemonic", "VK_D"},
      {"cert.viewcert_button", "檢視證書(V)"},
      {"cert.viewcert_button.mnemonic", "VK_V"},
      {"cert.close_button", "關閉(C)"},
      {"cert.close_button.mnemonic", "VK_C"},
      {"cert.type.trusted_certs", "信任的證書"},
      {"cert.type.secure_site", "安全網站"},
      {"cert.type.client_auth", "用戶端認證"},
      {"cert.type.signer_ca", "簽名者 CA"},
      {"cert.type.secure_site_ca", "安全網站 CA"},
      {"cert.rbutton.user", "使用者"},
      {"cert.rbutton.system", "系統"},
      {"cert.settings", "證書"},
      {"cert.dialog.import.error.caption", "錯誤 - 匯入證書"},
      {"cert.dialog.export.error.caption", "錯誤 - 匯出證書"},
      {"cert.dialog.import.format.text", "<html><b>無法識別的檔案格式</b></html>不會匯入證書。"},
      {"cert.dialog.export.password.text", "<html><b>無效的密碼</b></html>您輸入的密碼不正確。"},
      {"cert.dialog.import.file.text", "<html><b>檔案不存在</b></html>不會匯入證書。"},
      {"cert.dialog.import.password.text", "<html><b>無效的密碼</b></html>您輸入的密碼不正確。"},
      {"cert.dialog.password.caption", "密碼"},
      {"cert.dialog.password.import.caption", "需要密碼 - 匯入"},
      {"cert.dialog.password.export.caption", "需要密碼 - 匯出"},
      {"cert.dialog.password.text", "輸入密碼以存取該檔案：\n"},
      {"cert.dialog.exportpassword.text", "輸入密碼以存取用戶端認證密鑰儲存庫中的該私密金鑰：\n"},
      {"cert.dialog.savepassword.text", "輸入密碼以儲存該密鑰檔案：\n"},
      {"cert.dialog.password.okButton", "確定"},
      {"cert.dialog.password.cancelButton", "取消"},
      {"cert.dialog.export.error.caption", "錯誤 - 匯出證書"},
      {"cert.dialog.export.text", "<html><b>無法匯出</b></html>未匯出證書。"},
      {"cert.dialog.remove.text", "您確實要刪除證書嗎？"},
      {"cert.dialog.remove.caption", "移除證書"},
      {"cert.dialog.issued.to", "發出給"},
      {"cert.dialog.issued.by", "發出者"},
      {"cert.dialog.user.level", "使用者"},
      {"cert.dialog.system.level", "系統"},
      {"cert.dialog.certtype", "證書類型： "},
      {"controlpanel.jre.platformTableColumnTitle", "平台"},
      {"controlpanel.jre.productTableColumnTitle", "產品"},
      {"controlpanel.jre.locationTableColumnTitle", "位置"},
      {"controlpanel.jre.pathTableColumnTitle", "路徑"},
      {"controlpanel.jre.enabledTableColumnTitle", "已啟用"},
      {"jnlp.jre.title", "JNLP 執行階段設定"},
      {"jnlp.jre.versions", "Java 執行階段版本"},
      {"jnlp.jre.choose.button", "選擇(H)"},
      {"jnlp.jre.find.button", "尋找(F)"},
      {"jnlp.jre.add.button", "新增(A)"},
      {"jnlp.jre.remove.button", "移除(R)"},
      {"jnlp.jre.ok.button", "確定(O)"},
      {"jnlp.jre.cancel.button", "取消(C)"},
      {"jnlp.jre.choose.button.mnemonic", "VK_H"},
      {"jnlp.jre.find.button.mnemonic", "VK_F"},
      {"jnlp.jre.add.button.mnemonic", "VK_A"},
      {"jnlp.jre.remove.button.mnemonic", "VK_R"},
      {"jnlp.jre.ok.button.mnemonic", "VK_O"},
      {"jnlp.jre.cancel.button.mnemonic", "VK_C"},
      {"find.dialog.title", "JRE 尋找程式"},
      {"find.title", "Java 執行階段環境"},
      {"find.cancelButton", "取消(C)"},
      {"find.prevButton", "上一步(P)"},
      {"find.nextButton", "下一步(N)"},
      {"find.cancelButtonMnemonic", "VK_C"},
      {"find.prevButtonMnemonic", "VK_P"},
      {"find.nextButtonMnemonic", "VK_N"},
      {"find.intro", "為了啟動應用程式，Java Web Start 需要知道 Java 執行階段環境的安裝位置。\n\n您可以選取已知的 JRE，或在檔案系統中選取要在其中搜尋 JRE 的目錄。"},
      {"find.searching.title", "正在搜尋可用的 JRE，這可能需要幾分鐘。"},
      {"find.searching.prefix", "正在檢查： "},
      {"find.foundJREs.title", "找到以下 JRE，按一下「下一步」以新增它們"},
      {"find.noJREs.title", "無法找到 JRE，按一下「上一步」以選取其他搜尋位置"},
      {"config.property_file_header", "# Java(tm) 部署屬性\n# 請勿編輯該檔案。  它由機器產生。\n# 使用 Java 控制面板來編輯屬性。"},
      {"config.unknownSubject", "不明的主題"},
      {"config.unknownIssuer", "不明的發行人"},
      {"config.certShowName", "{0} ({1})"},
      {"config.certShowOOU", "{0} {1}"},
      {"config.proxy.autourl.invalid.text", "<html><b>URL 異常</b></html>自動 Proxy 配置 URL 無效。"},
      {"config.proxy.autourl.invalid.caption", "錯誤 - Proxy"},
      {"APIImpl.clipboard.message.read", "此應用程式已要求對系統剪貼簿的唯讀權限。  應用程式可能存取儲存在剪貼簿的機密資訊。  您要同意此動作嗎？"},
      {"APIImpl.clipboard.message.write", "此應用程式已要求對系統剪貼簿的寫入權限。  應用程式可能改寫儲存在剪貼簿的資訊。  您要同意此動作嗎？"},
      {"APIImpl.file.open.message", "此應用程式已要求對檔案系統的讀取權。  應用程式可存取儲存在檔案系統上的機密資訊。  您要同意此動作嗎？"},
      {"APIImpl.file.save.fileExist", "{0} 已經存在。\n您要取代它嗎？"},
      {"APIImpl.file.save.fileExistTitle", "檔案存在"},
      {"APIImpl.file.save.message", "此應用程式要求對區域檔案系統的讀取/寫入權。  接受此動作只能讓應用程式對下列檔案對話方塊中選取的檔案擁有存取權。  您接受此動作嗎？"},
      {"APIImpl.persistence.accessdenied", "URL {0} 的持續儲存存取權被拒絕"},
      {"APIImpl.persistence.filesizemessage", "超出最大檔案長度"},
      {"APIImpl.persistence.message", "此應用程式要求額外的區域磁碟儲存空間。  以目前而言，所配置的最大儲存空間為 {1} 位元組。  應用程式要求增加為 {0} 位元組。  您接受此動作嗎？"},
      {"APIImpl.print.message", "此應用程式要求存取預設的印表機。  接受此動作便會使應用程式擁有印表機寫入權。  您接受此動作嗎？"},
      {"APIImpl.extended.fileOpen.message1", "此應用程式要求對區域檔案系統上的以下檔案的讀取/寫入權："},
      {"APIImpl.extended.fileOpen.message2", "接受此動作只能讓應用程式對以上列出的檔案擁有存取權。  您接受此動作嗎？"},
      {"APIImpl.securityDialog.no", "否"},
      {"APIImpl.securityDialog.remember", "不要再顯示此諮詢"},
      {"APIImpl.securityDialog.title", "安全諮詢"},
      {"APIImpl.securityDialog.yes", "是"},
      {"Launch.error.installfailed", "安裝失敗"},
      {"aboutBox.closeButton", "關閉"},
      {"aboutBox.versionLabel", "版本 {0} (build {1})"},
      {"applet.failedToStart", "無法啟動 Applet： {0}"},
      {"applet.initializing", "起始設定 Applet"},
      {"applet.initializingFailed", "無法起始設定 Applet： {0}"},
      {"applet.running", "執行中..."},
      {"java48.image", "image/java48.png"},
      {"java32.image", "image/java32.png"},
      {"extensionInstall.rebootMessage", "必須重新啟動 Windows 才能使變更生效。\n\n您要立即重新啟動 Windows 嗎？"},
      {"extensionInstall.rebootTitle", "重新啟動 Windows"},
      {"install.configButton", "配置(C)..."},
      {"install.configMnemonic", "VK_C"},
      {"install.errorInstalling", "嘗試安裝 Java 執行階段環境時發生非預期的錯誤，請重試。"},
      {"install.errorRestarting", "啟動時發生非預期的錯誤，請重試。"},
      {"install.title", "{0} - 建立捷徑"},
      {"install.windows.both.message", "您要為 {0} 建立桌面和開始功能表捷徑嗎\n？"},
      {"install.gnome.both.message", "您要為 {0} 建立桌面和應用程式功能表捷徑嗎\n？"},
      {"install.desktop.message", "您要為 {0} 建立桌面捷徑嗎\n？"},
      {"install.windows.menu.message", "您要為 {0} 建立開始功能表捷徑嗎\n？"},
      {"install.gnome.menu.message", "您要為 {0} 建立應用程式功能表捷徑嗎\n？"},
      {"install.noButton", "否(N)"},
      {"install.noMnemonic", "VK_N"},
      {"install.yesButton", "是(Y)"},
      {"install.yesMnemonic", "VK_Y"},
      {"launch.cancel", "取消"},
      {"launch.downloadingJRE", "從 {1} 要求 JRE {0}"},
      {"launch.error.badfield", "欄位 {0} 有無效值： {1}"},
      {"launch.error.badfield-signedjnlp", "在簽署的啟動檔案中，欄位 {0} 有無效值： {1}"},
      {"launch.error.badfield.download.https", "無法透過 HTTPS 下載"},
      {"launch.error.badfield.https", "Java 1.4+ 是支援 HTTPS 所必需的"},
      {"launch.error.badjarfile", "在 {0} 上 JAR 檔案已毀壞"},
      {"launch.error.badjnlversion", "啟動檔案 {0} 中有不受支援的 JNLP 版本。此版本僅支援 1.0 版。請向應用程式供應商報告此問題。"},
      {"launch.error.badmimetyperesponse", "存取資源 {0} - {1} 時從伺服器傳回錯誤 MIME 類型"},
      {"launch.error.badsignedjnlp", "無法驗證啟動檔案的簽章。 簽署的版本與下載的版本不符合。"},
      {"launch.error.badversionresponse", "存取資源 {0} - {1} 時伺服器回應錯誤版本"},
      {"launch.error.canceledloadingresource", "使用者已取消資源 {0} 的載入"},
      {"launch.error.category.arguments", "無效引數錯誤"},
      {"launch.error.category.download", "下載錯誤"},
      {"launch.error.category.launchdesc", "啟動檔案錯誤"},
      {"launch.error.category.memory", "記憶體不足錯誤"},
      {"launch.error.category.security", "安全錯誤"},
      {"launch.error.category.config", "系統配置"},
      {"launch.error.category.unexpected", "非預期的錯誤"},
      {"launch.error.couldnotloadarg", "無法載入指定的檔案/URL：{0}"},
      {"launch.error.errorcoderesponse-known", "存取資源 {0} 時從伺服器傳回錯誤碼 {1} ({2})"},
      {"launch.error.errorcoderesponse-unknown", "存取資源 {0} 時從伺服器傳回錯誤碼 99（未知錯誤）"},
      {"launch.error.failedexec", "無法啟動 Java 執行階段環境版本 {0}"},
      {"launch.error.failedloadingresource", "無法載入資源：{0}"},
      {"launch.error.invalidjardiff", "無法將增量更新套用到資源：{0}"},
      {"launch.error.jarsigning-badsigning", "無法驗證資源中的簽章： {0}"},
      {"launch.error.jarsigning-missingentry", "下列資源中遺失簽署的登錄： {0}"},
      {"launch.error.jarsigning-missingentryname", "遺失簽署的登錄： {0}"},
      {"launch.error.jarsigning-multicerts", "用來簽署資源 {0} 的認證不只一個"},
      {"launch.error.jarsigning-multisigners", "資源 {0} 中登錄的簽名不只一個"},
      {"launch.error.jarsigning-unsignedfile", "在資源 {0} 中找到未簽署的登錄"},
      {"launch.error.missingfield", "啟動檔案缺少下列必要欄位： {0}"},
      {"launch.error.missingfield-signedjnlp", "簽署的啟動檔案缺少下列必要欄位： {0}"},
      {"launch.error.missingjreversion", "在此系統的啟動檔案中找不到 JRE 版本"},
      {"launch.error.missingversionresponse", "存取資源 {0} 時伺服器回應版本欄位遺失"},
      {"launch.error.multiplehostsreferences", "資源中有多重主機參照"},
      {"launch.error.nativelibviolation", "使用原始程式庫需要系統的無限制存取權"},
      {"launch.error.noJre", "應用程式要求目前未在區域環境安裝的 JRE 版本。 Java Web Start 無法自動下載及安裝必要的版本。 必須手動安裝 JRE 版本。\n\n"},
      {"launch.error.wont.download.jre", "應用程式要求目前未在區域環境安裝的 JRE 版本 (版本 {0})。 Java Web Start 不允許自動下載和安裝必要的版本。 必須手動安裝 JRE 版本。"},
      {"launch.error.cant.download.jre", "應用程式要求目前未在區域環境安裝的 JRE 版本 (版本 {0})。 Java Web Start 無法自動下載和安裝必要的版本。 必須手動安裝 JRE 版本。"},
      {"launch.error.cant.access.system.cache", "目前使用者沒有對系統快取記憶體的寫入存取權。"},
      {"launch.error.cant.access.user.cache", "目前使用者沒有對快取記憶體的寫入存取權。"},
      {"launch.error.noappresources", "未對此平台指定應用程式資源。 請聯絡應用程式供應商，以確定此為受支援的平台。"},
      {"launch.error.nomainclass", "在 {1} 中找不到主要類別 {0}"},
      {"launch.error.nomainclassspec", "未對應用程式指定主要類別"},
      {"launch.error.nomainjar", "未指定主 JAR 檔案。"},
      {"launch.error.nonstaticmainmethod", "main() 方法必須是靜態"},
      {"launch.error.offlinemissingresource", "應用程式無法離線執行，因為並未在本機下載所有必要資源"},
      {"launch.error.parse", "無法解析啟動檔案。 在行 {0, number} 發生錯誤。"},
      {"launch.error.parse-signedjnlp", "無法解析簽署的啟動檔案。 在行 {0, number} 發生錯誤。"},
      {"launch.error.resourceID", "{0}"},
      {"launch.error.resourceID-version", "({0}, {1})"},
      {"launch.error.singlecertviolation", "JNLP 檔中的 JAR 資源未以相同認證簽署"},
      {"launch.error.toomanyargs", "提供的引數太多： {0}"},
      {"launch.error.unsignedAccessViolation", "未簽署的應用程式要求無限制存取系統"},
      {"launch.error.unsignedResource", "未簽署的資源： {0}"},
      {"launch.estimatedTimeLeft", "剩餘預估時間： {0,number,00}:{1,number,00}:{2,number,00}"},
      {"launch.extensiondownload", "下載延伸描述元（剩餘 {0}）"},
      {"launch.extensiondownload-name", "下載 {0} 描述元（剩餘 {1}）"},
      {"launch.initializing", "起始設定..."},
      {"launch.launchApplication", "正在啟動應用程式..."},
      {"launch.launchInstaller", "啟動安裝程式..."},
      {"launch.launchingExtensionInstaller", "正在執行安裝程式。 請稍候..."},
      {"launch.loadingNetProgress", "讀取 {0}"},
      {"launch.loadingNetProgressPercent", "讀取 {1} 的 {0} ({2}%)"},
      {"launch.loadingNetStatus", "從 {1} 載入 {0}"},
      {"launch.loadingResourceFailed", "無法載入資源"},
      {"launch.loadingResourceFailedSts", "要求的 {0}"},
      {"launch.patchingStatus", "從 {1} 修正 {0}"},
      {"launch.progressScreen", "檢查最新版本..."},
      {"launch.stalledDownload", "等待資料..."},
      {"launch.validatingProgress", "掃描登錄（已完成 {0}%）"},
      {"launch.validatingStatus", "從 {1} 驗證 {0}"},
      {"launcherrordialog.abort", "中斷(A)"},
      {"launcherrordialog.abortMnemonic", "VK_A"},
      {"launcherrordialog.brief.continue", "無法繼續執行"},
      {"launcherrordialog.brief.details", "詳細資訊"},
      {"launcherrordialog.brief.message", "無法啟動指定的應用程式。"},
      {"launcherrordialog.import.brief.message", "無法匯入指定的應用程式。"},
      {"launcherrordialog.brief.messageKnown", "無法啟動 {0}。"},
      {"launcherrordialog.import.brief.messageKnown", "無法匯入 {0}。"},
      {"launcherrordialog.brief.ok", "確定"},
      {"launcherrordialog.brief.title", "Java Web Start - {0}"},
      {"launcherrordialog.consoleTab", "主控台"},
      {"launcherrordialog.errorcategory", "類別： {0}\n\n"},
      {"launcherrordialog.errorintro", "啟動/執行應用程式時發生錯誤。\n\n"},
      {"launcherrordialog.import.errorintro", "匯入應用程式時發生錯誤。\n\n"},
      {"launcherrordialog.errormsg", "{0}"},
      {"launcherrordialog.errortitle", "標題： {0}\n"},
      {"launcherrordialog.errorvendor", "供應商： {0}\n"},
      {"launcherrordialog.exceptionTab", "例外"},
      {"launcherrordialog.generalTab", "一般"},
      {"launcherrordialog.genericerror", "非預期的例外： {0}"},
      {"launcherrordialog.jnlpMainTab", "主啟動檔案"},
      {"launcherrordialog.jnlpTab", "啟動檔案"},
      {"launcherrordialog.title", "Java Web Start - {0}"},
      {"launcherrordialog.wrappedExceptionTab", "封裝例外"},
      {"uninstall.failedMessage", "無法對應用程式完全解除安裝。"},
      {"uninstall.failedMessageTitle", "解除安裝"},
      {"install.alreadyInstalled", "已經有 {0} 的捷徑。 還要建立捷徑嗎？"},
      {"install.alreadyInstalledTitle", "建立捷徑..."},
      {"install.desktopShortcutName", "{0}"},
      {"install.installFailed", "無法為 {0} 建立捷徑。"},
      {"install.installFailedTitle", "建立捷徑"},
      {"install.startMenuShortcutName", "{0}"},
      {"install.startMenuUninstallShortcutName", "解除安裝 {0}"},
      {"install.uninstallFailed", "無法移除 {0} 的捷徑。 請重試。"},
      {"install.uninstallFailedTitle", "移除捷徑"},
      {"enterprize.cfg.mandatory", "您無法執行該程式，因為您系統的 deployment.config 檔案表明企業配置檔案是強制的，並且所需的 {0} 不可用。"},
      {"jnlp.viewer.title", "Java 應用程式快取檢視器"},
      {"jnlp.viewer.all", "全部"},
      {"jnlp.viewer.type", "{0}"},
      {"jnlp.viewer.totalSize", "總的資源大小：{0}"},
      {"jnlp.viewer.emptyCache", "{0} 快取為空"},
      {"jnlp.viewer.noCache", "未配置系統快取"},
      {"jnlp.viewer.remove.btn.mnemonic", "VK_R"},
      {"jnlp.viewer.launch.offline.btn.mnemonic", "VK_L"},
      {"jnlp.viewer.launch.online.btn.mnemonic", "VK_N"},
      {"jnlp.viewer.file.menu.mnemonic", "VK_F"},
      {"jnlp.viewer.edit.menu.mnemonic", "VK_E"},
      {"jnlp.viewer.app.menu.mnemonic", "VK_A"},
      {"jnlp.viewer.view.menu.mnemonic", "VK_V"},
      {"jnlp.viewer.help.menu.mnemonic", "VK_H"},
      {"jnlp.viewer.cpl.mi.mnemonic", "VK_C"},
      {"jnlp.viewer.exit.mi.mnemonic", "VK_X"},
      {"jnlp.viewer.reinstall.mi.mnemonic", "VK_R"},
      {"jnlp.viewer.preferences.mi.mnemonic", "VK_P"},
      {"jnlp.viewer.launch.offline.mi.mnemonic", "VK_L"},
      {"jnlp.viewer.launch.online.mi.mnemonic", "VK_N"},
      {"jnlp.viewer.install.mi.mnemonic", "VK_I"},
      {"jnlp.viewer.uninstall.mi.mnemonic", "VK_U"},
      {"jnlp.viewer.remove.mi.mnemonic", "VK_R"},
      {"jnlp.viewer.show.mi.mnemonic", "VK_S"},
      {"jnlp.viewer.browse.mi.mnemonic", "VK_B"},
      {"jnlp.viewer.view.0.mi.mnemonic", "VK_T"},
      {"jnlp.viewer.view.1.mi.mnemonic", "VK_A"},
      {"jnlp.viewer.view.2.mi.mnemonic", "VK_P"},
      {"jnlp.viewer.view.3.mi.mnemonic", "VK_L"},
      {"jnlp.viewer.view.4.mi.mnemonic", "VK_I"},
      {"jnlp.viewer.about.mi.mnemonic", "VK_A"},
      {"jnlp.viewer.help.java.mi.mnemonic", "VK_J"},
      {"jnlp.viewer.help.jnlp.mi.mnemonic", "VK_H"},
      {"jnlp.viewer.remove.btn", "移除(R)"},
      {"jnlp.viewer.remove.1.btn", "移除選取的 {0}(R)"},
      {"jnlp.viewer.remove.2.btn", "移除選取的登錄(R)"},
      {"jnlp.viewer.uninstall.btn", "解除安裝"},
      {"jnlp.viewer.launch.offline.btn", "離線啟動(L)"},
      {"jnlp.viewer.launch.online.btn", "線上啟動(N)"},
      {"jnlp.viewer.file.menu", "檔案(F)"},
      {"jnlp.viewer.edit.menu", "編輯(E)"},
      {"jnlp.viewer.app.menu", "應用程式(A)"},
      {"jnlp.viewer.view.menu", "檢視(V)"},
      {"jnlp.viewer.help.menu", "輔助說明(H)"},
      {"jnlp.viewer.cpl.mi", "啟動 Java 控制面板(C)"},
      {"jnlp.viewer.exit.mi", "退出(X)"},
      {"jnlp.viewer.reinstall.mi", "重新安裝(R)..."},
      {"jnlp.viewer.preferences.mi", "個人喜好(P)..."},
      {"jnlp.viewer.launch.offline.mi", "離線啟動(L)"},
      {"jnlp.viewer.launch.online.mi", "線上啟動(N)"},
      {"jnlp.viewer.install.mi", "安裝捷徑(I)"},
      {"jnlp.viewer.uninstall.mi", "解除安裝捷徑(U)"},
      {"jnlp.viewer.remove.0.mi", "移除"},
      {"jnlp.viewer.remove.mi", "移除 {0}(R)"},
      {"jnlp.viewer.show.mi", "顯示 JNLP 描述元(S)"},
      {"jnlp.viewer.browse.mi", "瀏覽首頁(B)"},
      {"jnlp.viewer.view.0.mi", "所有類型(T)"},
      {"jnlp.viewer.view.1.mi", "應用程式(A)"},
      {"jnlp.viewer.view.2.mi", "Applet(P)"},
      {"jnlp.viewer.view.3.mi", "程式庫(L)"},
      {"jnlp.viewer.view.4.mi", "安裝程式(I)"},
      {"jnlp.viewer.view.0", "所有類型(T)"},
      {"jnlp.viewer.view.1", "應用程式(A)"},
      {"jnlp.viewer.view.2", "Applet(P)"},
      {"jnlp.viewer.view.3", "程式庫(L)"},
      {"jnlp.viewer.view.4", "安裝程式(I)"},
      {"jnlp.viewer.about.mi", "關於(A)"},
      {"jnlp.viewer.help.java.mi", "J2SE 首頁(J)"},
      {"jnlp.viewer.help.jnlp.mi", "JNLP 首頁(H)"},
      {"jnlp.viewer.app.column", "應用程式"},
      {"jnlp.viewer.vendor.column", "供應商"},
      {"jnlp.viewer.type.column", "類型"},
      {"jnlp.viewer.size.column", "大小"},
      {"jnlp.viewer.date.column", "日期"},
      {"jnlp.viewer.status.column", "狀態"},
      {"jnlp.viewer.app.column.tooltip", "此應用程式、Applet 或延伸的圖示和標題"},
      {"jnlp.viewer.vendor.column.tooltip", "部署此項目的公司"},
      {"jnlp.viewer.type.column.tooltip", "此項目的類型"},
      {"jnlp.viewer.size.column.tooltip", "此項目及其所有資源的大小"},
      {"jnlp.viewer.date.column.tooltip", "最後一次執行此應用程式、Applet 或安裝程式的日期"},
      {"jnlp.viewer.status.column.tooltip", "顯示如何及可否啟動此項目的圖示"},
      {"jnlp.viewer.application", "應用程式"},
      {"jnlp.viewer.applet", "Applet"},
      {"jnlp.viewer.extension", "程式庫"},
      {"jnlp.viewer.installer", "安裝程式"},
      {"jnlp.viewer.offline.tooltip", "可以線上啟動或離線啟動此 {0}"},
      {"jnlp.viewer.online.tooltip", "可以線上啟動此 {0}"},
      {"jnlp.viewer.norun1.tooltip", "僅可從網頁瀏覽器啟動此 {0}"},
      {"jnlp.viewer.norun2.tooltip", "無法啟動延伸"},
      {"jnlp.viewer.show.title", "JNLP 描述元： {0}"},
      {"jnlp.viewer.removing", "正在移除..."},
      {"jnlp.viewer.launching", "正在啟動..."},
      {"jnlp.viewer.browsing", "正在啟動瀏覽器..."},
      {"jnlp.viewer.sorting", "正在排序登錄..."},
      {"jnlp.viewer.searching", "正在搜尋登錄..."},
      {"jnlp.viewer.installing", "正在安裝 ..."},
      {"jnlp.viewer.reinstall.title", "重新安裝已移除的 JNLP 應用程式"},
      {"jnlp.viewer.reinstallBtn", "重新安裝選取的應用程式(R)"},
      {"jnlp.viewer.reinstallBtn.mnemonic", "VK_R"},
      {"jnlp.viewer.closeBtn", "關閉(C)"},
      {"jnlp.viewer.closeBtn.mnemonic", "VK_C"},
      {"jnlp.viewer.reinstall.column.title", "標題："},
      {"jnlp.viewer.reinstall.column.location", "位置："},
      {"jnlp.cache.warning.title", "JNLP 快取記憶體大小警告"},
      {"jnlp.cache.warning.message", "警告： \n\n您已超出快取記憶體中\nJNLP 應用程式和資源的建議磁碟空間容量。\n\n您目前使用的容量為： {0}\n建議的限制為： {1}\n\n請使用 Java 控制面板移除某些\n應用程式或資源，或者設定更高的限制。"},
      {"control.panel.title", "Java 控制面板"},
      {"control.panel.general", "一般"},
      {"control.panel.security", "安全"},
      {"control.panel.java", "Java"},
      {"control.panel.update", "更新"},
      {"control.panel.advanced", "進階"},
      {"common.settings", "設定"},
      {"common.ok_btn", "確定(O)"},
      {"common.ok_btn.mnemonic", "VK_O"},
      {"common.cancel_btn", "取消(C)"},
      {"common.cancel_btn.mnemonic", "VK_C"},
      {"common.apply_btn", "套用(A)"},
      {"common.apply_btn.mnemonic", "VK_A"},
      {"common.add_btn", "新增(A)"},
      {"common.add_btn.mnemonic", "VK_A"},
      {"common.remove_btn", "移除(R)"},
      {"common.remove_btn.mnemonic", "VK_R"},
      {"network.settings.dlg.title", "網路設定"},
      {"network.settings.dlg.border_title", " 網路 Proxy 設定 "},
      {"network.settings.dlg.browser_rbtn", "使用瀏覽器設定(B)"},
      {"browser_rbtn.mnemonic", "VK_B"},
      {"network.settings.dlg.manual_rbtn", "使用 Proxy 伺服器(P)"},
      {"manual_rbtn.mnemonic", "VK_P"},
      {"network.settings.dlg.address_lbl", "位址："},
      {"network.settings.dlg.port_lbl", "連接埠："},
      {"network.settings.dlg.advanced_btn", "進階(A)..."},
      {"network.settings.dlg.advanced_btn.mnemonic", "VK_A"},
      {"network.settings.dlg.bypass_text", "近端位址不使用 Proxy 伺服器(Y)"},
      {"network.settings.dlg.bypass.mnemonic", "VK_Y"},
      {"network.settings.dlg.autoconfig_rbtn", "使用自動 Proxy 配置程序檔(T)"},
      {"autoconfig_rbtn.mnemonic", "VK_T"},
      {"network.settings.dlg.location_lbl", "程序檔位置： "},
      {"network.settings.dlg.direct_rbtn", "直接連線(D)"},
      {"direct_rbtn.mnemonic", "VK_D"},
      {"network.settings.dlg.browser_text", "自動配置可能會置換手動設定。 若要確保使用手動設定，請停用自動配置。"},
      {"network.settings.dlg.proxy_text", "覆寫瀏覽器 Proxy 設定。"},
      {"network.settings.dlg.auto_text", "在指定位置使用自動 Proxy 配置程序檔。"},
      {"network.settings.dlg.none_text", "使用直接連線。"},
      {"advanced.network.dlg.title", "進階網路設定"},
      {"advanced.network.dlg.servers", " 伺服器 "},
      {"advanced.network.dlg.type", "類型"},
      {"advanced.network.dlg.http", "HTTP："},
      {"advanced.network.dlg.secure", "Secure："},
      {"advanced.network.dlg.ftp", "FTP："},
      {"advanced.network.dlg.socks", "Socks："},
      {"advanced.network.dlg.proxy_address", "Proxy 位址"},
      {"advanced.network.dlg.port", "連接埠"},
      {"advanced.network.dlg.same_proxy", " 所有協定使用相同的 Proxy 伺服器(U)"},
      {"advanced.network.dlg.same_proxy.mnemonic", "VK_U"},
      {"advanced.network.dlg.exceptions", " 例外 "},
      {"advanced.network.dlg.no_proxy", " 下列開頭的位址不使用 Proxy 伺服器"},
      {"advanced.network.dlg.no_proxy_note", " 使用分號 (;) 分隔位址。"},
      {"delete.files.dlg.title", "刪除暫存檔案"},
      {"delete.files.dlg.temp_files", "刪除以下暫存檔案嗎？"},
      {"delete.files.dlg.applets", "下載的 Applet"},
      {"delete.files.dlg.applications", "下載的應用程式"},
      {"delete.files.dlg.other", "其他檔案"},
      {"general.cache.border.text", " 暫存網際網路檔案 "},
      {"general.cache.delete.text", "刪除檔案(D)..."},
      {"general.cache.delete.text.mnemonic", "VK_D"},
      {"general.cache.settings.text", "設定(S)..."},
      {"general.cache.settings.text.mnemonic", "VK_S"},
      {"general.cache.desc.text", "您在 Java 應用程式中使用的檔案儲存在特殊資料夾中，以便稍後快速執行。 僅進階使用者才需刪除檔案或修改這些設定。"},
      {"general.network.border.text", " 網路設定 "},
      {"general.network.settings.text", "網路設定(N)..."},
      {"general.network.settings.text.mnemonic", "VK_N"},
      {"general.network.desc.text", "網路設定在進行網際網路連線時使用。 依預設，Java 將使用網頁瀏覽器中的網路設定。 僅進階使用者才需修改這些設定。"},
      {"general.about.border", "關於"},
      {"general.about.text", "檢視有關 Java 控制面板的版本資訊。"},
      {"general.about.btn", "關於(B)..."},
      {"general.about.btn.mnemonic", "VK_B"},
      {"security.certificates.border.text", " 證書 "},
      {"security.certificates.button.text", "證書(E)..."},
      {"security.certificates.button.mnemonic", "VK_E"},
      {"security.certificates.desc.text", "使用證書可以明確識別個人、認證、權限以及發行人。"},
      {"security.policies.border.text", " 策略 "},
      {"security.policies.advanced.text", "進階(D)..."},
      {"security.policies.advanced.mnemonic", "VK_D"},
      {"security.policies.desc.text", "使用安全策略可以控制應用程式和 Applet 周圍的安全障礙。"},
      {"update.notify.border.text", " 更新通知 "},
      {"update.updatenow.button.text", "立即更新(U)"},
      {"update.updatenow.button.mnemonic", "VK_U"},
      {"update.advanced.button.text", "進階(D)..."},
      {"update.advanced.button.mnemonic", "VK_D"},
      {"update.desc.text", "Java Update 機制確保您擁有最新版本的 Java 平台。  以下選項可讓您控制如何取得和套用更新。"},
      {"update.notify.text", "通知我："},
      {"update.notify_install.text", "安裝之前"},
      {"update.notify_download.text", "下載之前和安裝之前"},
      {"update.autoupdate.text", "自動檢查更新"},
      {"update.advanced_title.text", "自動更新進階設定"},
      {"update.advanced_title1.text", "選取進行掃描的間隔和時間。"},
      {"update.advanced_title2.text", "頻率"},
      {"update.advanced_title3.text", "時間"},
      {"update.advanced_desc1.text", "在每天 {0} 時執行掃描"},
      {"update.advanced_desc2.text", "在每 {0} 的 {1} 時執行掃描"},
      {"update.advanced_desc3.text", "在每月 {0} 日的 {1} 時執行掃描"},
      {"update.check_daily.text", "每天"},
      {"update.check_weekly.text", "每週"},
      {"update.check_monthly.text", "每月"},
      {"update.check_date.text", "日期："},
      {"update.check_day.text", "每："},
      {"update.check_time.text", "在："},
      {"update.lastrun.text", "最後一次執行 Java Update 的時間是 {1} 的 {0}。"},
      {"update.desc_autooff.text", "按一下下面的「立即更新」按鈕可以檢查更新。 如果更新可用，系統列中會出現一個圖示。 將游標移至圖示上可以查看更新的狀態。"},
      {"update.desc_check_daily.text", "每天 {0} 時，Java Update 將檢查更新。 "},
      {"update.desc_check_weekly.text", "每 {0} 的 {1} 時，Java Update 將檢查更新。 "},
      {"update.desc_check_monthly.text", "在每月 {0} 日的 {1} 時，Java Update 將檢查更新。 "},
      {"update.desc_systrayicon.text", "如果更新可用，系統列中會出現一個圖示。 將游標移至圖示上可以查看更新的狀態。 "},
      {"update.desc_notify_install.text", "系統會在安裝更新前通知您。"},
      {"update.desc_notify_download.text", "系統會在下載和安裝更新前通知您。"},
      {"update.launchbrowser.error.text", "無法啟動 Java Update Checker。  若要取得最新的 Java Update，請造訪 http://java.sun.com/getjava/javaupdate"},
      {"update.launchbrowser.error.caption", "錯誤 - 更新"},
      {"cache.settings.dialog.delete_btn", "刪除檔案(D)..."},
      {"cache.settings.dialog.delete_btn.mnemonic", "VK_D"},
      {"cache.settings.dialog.view_jws_btn", "檢視應用程式(V)..."},
      {"cache.settings.dialog.view_jws_btn.mnemonic", "VK_V"},
      {"cache.settings.dialog.view_jpi_btn", "檢視 Applet(A)..."},
      {"cache.settings.dialog.view_jpi_btn.mnemonic", "VK_A"},
      {"cache.settings.dialog.chooser_title", "暫存檔案位置"},
      {"cache.settings.dialog.select", "選取(S)"},
      {"cache.settings.dialog.select_tooltip", "使用選取的位置"},
      {"cache.settings.dialog.select_mnemonic", "S"},
      {"cache.settings.dialog.title", "暫存檔案設定"},
      {"cache.settings.dialog.cache_location", "位置："},
      {"cache.settings.dialog.change_btn", "變更(H)..."},
      {"cache.settings.dialog.change_btn.mnemonic", "VK_H"},
      {"cache.settings.dialog.disk_space", "暫存磁碟空間容量"},
      {"cache.settings.dialog.unlimited_btn", "不限"},
      {"cache.settings.dialog.max_btn", "最多"},
      {"cache.settings.dialog.compression", "Jar 壓縮："},
      {"cache.settings.dialog.none", "無"},
      {"cache.settings.dialog.high", "高"},
      {"javaws.association.dialog.title", "JNLP 檔案/MIME 關聯"},
      {"javaws.association.dialog.exist.command", "已經存在：\n{0}"},
      {"javaws.association.dialog.exist", "已經存在。"},
      {"javaws.association.dialog.askReplace", "\n您確實要使用 {0} 來處理它嗎？"},
      {"javaws.association.dialog.ext", "副檔名： {0}"},
      {"javaws.association.dialog.mime", "MIME 類型： {0}"},
      {"javaws.association.dialog.ask", "您是否要使用 {0} 來處理："},
      {"javaws.association.dialog.existAsk", "警告！ 與以下內容關聯："},
      {"deployment.console.startup.mode", "Java 主控台"},
      {"deployment.console.startup.mode.SHOW", "顯示主控台"},
      {"deployment.console.startup.mode.SHOW.tooltip", "<html>最大化啟動 Java 主控台</html>"},
      {"deployment.console.startup.mode.HIDE", "隱藏主控台"},
      {"deployment.console.startup.mode.HIDE.tooltip", "<html>最小化啟動 Java 主控台</html>"},
      {"deployment.console.startup.mode.DISABLE", "不啟動主控台"},
      {"deployment.console.startup.mode.DISABLE.tooltip", "<html>Java 主控台不會啟動</html>"},
      {"deployment.trace", "啟用追蹤"},
      {"deployment.trace.tooltip", "<html>建立追蹤檔案以<br>用於除錯</html>"},
      {"deployment.log", "啟用記錄"},
      {"deployment.log.tooltip", "<html>建立日誌檔以<br>記錄錯誤</html>"},
      {"deployment.control.panel.log", "登入控制面板"},
      {"deployment.javapi.lifecycle.exception", "顯示 Applet 生命週期異常"},
      {"deployment.javapi.lifecycle.exception.tooltip", "<html>載入 Applet 發生錯誤時<br>顯示說明異常的對話方塊<html>"},
      {"deployment.browser.vm.iexplorer", "Internet Explorer"},
      {"deployment.browser.vm.iexplorer.tooltip", "<html>在 Internet Explorer 瀏覽器中同時<br>使用 Sun Java 和 APPLET 標籤</html>"},
      {"deployment.browser.vm.mozilla", "Mozilla 和 Netscape"},
      {"deployment.browser.vm.mozilla.tooltip", "<html>在 Mozilla 或 Netscape 瀏覽器中同時使用<br>Sun Java 和 APPLET 標籤</html>"},
      {"deployment.console.debugging", "除錯"},
      {"deployment.browsers.applet.tag", "<APPLET> 標籤支援"},
      {"deployment.javaws.shortcut", "建立捷徑"},
      {"deployment.javaws.shortcut.ALWAYS", "總是允許"},
      {"deployment.javaws.shortcut.ALWAYS.tooltip", "<html>總是建立捷徑</html>"},
      {"deployment.javaws.shortcut.NEVER", "永不允許"},
      {"deployment.javaws.shortcut.NEVER.tooltip", "<html>不建立捷徑</html>"},
      {"deployment.javaws.shortcut.ASK_USER", "提示使用者"},
      {"deployment.javaws.shortcut.ASK_USER.tooltip", "<html>詢問使用者是否<br>應建立捷徑</html>"},
      {"deployment.javaws.shortcut.ALWAYS_IF_HINTED", "如果提示，則總是允許"},
      {"deployment.javaws.shortcut.ALWAYS_IF_HINTED.tooltip", "<html>如果 JNLP 應用程式要求，<br>則總是建立捷徑</html>"},
      {"deployment.javaws.shortcut.ASK_IF_HINTED", "如果提示，則提示使用者"},
      {"deployment.javaws.shortcut.ASK_IF_HINTED.tooltip", "<html>如果 JNLP 應用程式要求，<br>則詢問使用者是否應建立<br>捷徑</html>"},
      {"deployment.javaws.associations.NEVER", "永不允許"},
      {"deployment.javaws.associations.NEVER.tooltip", "<html>永不建立副檔名/MIME<br>關聯</html>"},
      {"deployment.javaws.associations.ASK_USER", "提示使用者"},
      {"deployment.javaws.associations.ASK_USER.tooltip", "<html>在建立副檔名/MIME 關聯之前<br>詢問使用者</html>"},
      {"deployment.javaws.associations.REPLACE_ASK", "提示使用者以取代"},
      {"deployment.javaws.associations.REPLACE_ASK.tooltip", "<html>僅在取代現有副檔名/MIME<br>關聯時詢問<br>使用者</html>"},
      {"deployment.javaws.associations.NEW_ONLY", "如果關聯為新則允許"},
      {"deployment.javaws.associations.NEW_ONLY.tooltip", "<html>總是僅建立新<br>副檔名/MIME 關聯</html>"},
      {"deployment.javaws.associations", "JNLP 檔案/MIME 關聯"},
      {"deployment.security.settings", "安全"},
      {"deployment.security.askgrantdialog.show", "允許使用者對已簽署的內容授與許可權"},
      {"deployment.security.askgrantdialog.notinca", "允許使用者對來自不可信的授權單位的內容授與許可權"},
      {"deployment.security.browser.keystore.use", "使用瀏覽器密鑰儲存庫中的證書和密鑰"},
      {"deployment.security.clientauth.keystore.auto", "如果僅有一項與伺服器請求相符，則自動使用個人憑證"},
      {"deployment.security.notinca.warning", "如果無法驗證證書授權單位，則發出警告"},
      {"deployment.security.expired.warning", "如果證書過期或尚未生效，則發出警告"},
      {"deployment.security.jsse.hostmismatch.warning", "如果網站證書與主機名稱不相符，則發出警告"},
      {"deployment.security.sandbox.awtwarningwindow", "顯示沙箱警告標題"},
      {"deployment.security.sandbox.jnlp.enhanced", "允許使用者接受 JNLP 安全要求"},
      {"deployment.security.TLSv1", "使用 TLS 1.0"},
      {"deployment.security.SSLv2Hello", "使用 SSL 2.0"},
      {"deployment.security.SSLv3", "使用 SSL 3.0"},
      {"deploy.advanced.browse.title", "選擇啟動預設瀏覽器的檔案"},
      {"deploy.advanced.browse.select", "選取"},
      {"deploy.advanced.browse.select_tooltip", "使用選取的檔案啟動瀏覽器"},
      {"deploy.advanced.browse.select_mnemonic", "S"},
      {"deploy.advanced.browse.browse_btn", "瀏覽(B)..."},
      {"deploy.advanced.browse.browse_btn.mnemonic", "VK_B"},
      {"deployment.browser.default", "啟動預設瀏覽器的指令"},
      {"deployment.misc.label", "其他"},
      {"deployment.system.tray.icon", "將 Java 圖示放置在系統列中"},
      {"deployment.system.tray.icon.tooltip", "<html>選取此選項後，在瀏覽器中執行<br>Java 時，則會在系統列中顯示<br>Java 咖啡杯圖示</html>"},
      {"jpi.jres.dialog.title", "Java 執行階段設定"},
      {"jpi.jres.dialog.border", " Java 執行階段版本 "},
      {"jpi.jres.dialog.column1", "產品名稱"},
      {"jpi.jres.dialog.column2", "版本"},
      {"jpi.jres.dialog.column3", "位置"},
      {"jpi.jres.dialog.column4", "Java 執行階段參數"},
      {"jpi.jdk.string", "JDK"},
      {"jpi.jre.string", "JRE"},
      {"jpi.jres.dialog.product.tooltip", "為產品名稱選擇 JRE 或 JDK"},
      {"about.dialog.title", "關於 Java"},
      {"java.panel.plugin.border", " Java Applet 執行階段設定 "},
      {"java.panel.plugin.text", "在瀏覽器中執行 Applet 時使用執行階段設定。"},
      {"java.panel.jpi_view_btn", "檢視(V)..."},
      {"java.panel.javaws_view_btn", "檢視(I)..."},
      {"java.panel.jpi_view_btn.mnemonic", "VK_V"},
      {"java.panel.javaws_view_btn.mnemonic", "VK_I"},
      {"java.panel.javaws.border", " Java 應用程式執行階段設定 "},
      {"java.panel.javaws.text", "使用 Java 網路啟動協定 (JNLP) 啟動 Java 應用程式或 Applet 時，使用執行階段設定。"},
      {"browser.settings.alert.text", "<html><b>存在較新的 Java 執行階段</b></html>Internet Explorer 已擁有較新版本的 Java 執行階段。 您要取代它嗎？\n"},
      {"browser.settings.success.caption", "成功 - 瀏覽器"},
      {"browser.settings.success.text", "<html><b>已變更瀏覽器設定</b></html>重新啟動瀏覽器後，變更將生效。\n"},
      {"browser.settings.fail.caption", "警告 - 瀏覽器"},
      {"browser.settings.fail.moz.text", "<html><b>無法變更瀏覽器設定</b></html>請檢查 Mozilla 或 Netscape 已正確安裝在系統上和/或 您擁有 足夠的許可權，可以變更系統設定。\n"},
      {"browser.settings.fail.ie.text", "<html><b>無法變更瀏覽器設定</b></html>請檢查您是否擁有 足夠的許可權，可以變更系統設定。\n"},
      {"cpl.ok_btn.tooltip", "<html>關閉 Java 控制面板並儲存<br>您所作的所有變更</html>"},
      {"cpl.apply_btn.tooltip", "<html>儲存您所作的所有變更<br>而不關閉 Java 控制面板</html>"},
      {"cpl.cancel_btn.tooltip", "<html>關閉 Java 控制面板而不<br>儲存任何變更</html>"},
      {"network.settings.btn.tooltip", "<html>修改網際網路連線設定</html>"},
      {"temp.files.settings.btn.tooltip", "<html>修改暫存檔案的設定</html>"},
      {"temp.files.delete.btn.tooltip", "<html>刪除暫存 Java 檔案</html>"},
      {"delete.files.dlg.applets.tooltip", "<html>核取此選項可以刪除由 Java<br>Applet 建立的所有暫存檔案</html>"},
      {"delete.files.dlg.applications.tooltip", "<html>核取此選項可以刪除由 Java Web Start<br>應用程式建立的所有暫存檔案</html>"},
      {"delete.files.dlg.other.tooltip", "<html>核取此選項可以刪除由 Java 建立的<br>所有其他暫存檔案</html>"},
      {
            "delete.files.dlg.temp_files.tooltip",
            "<html>Java 應用程式可在您的電腦上<br>儲存某些暫存檔案。  您可以安全地<br>刪除這些檔案。<br><p>刪除暫存檔案之後，<br>某些 Java 應用程式可能會在您首次執行它們時<br>需要較長時間來啟動。</html>"
      },
      {"cache.settings.dialog.view_jws_btn.tooltip", "<html>檢視由 Java Web Start<br>應用程式建立的暫存檔案</html>"},
      {"cache.settings.dialog.view_jpi_btn.tooltip", "<html>檢視由 Java Applet<br>建立的暫存檔案</html>"},
      {"cache.settings.dialog.change_btn.tooltip", "<html>開啟檔案瀏覽器對話方塊，以指定您電腦上用於儲存<br>由 Java 程式<br>建立的暫存檔案<br>的目錄。</html>"},
      {"cache.settings.dialog.unlimited_btn.tooltip", "<html>不限制用於儲存暫存檔案的<br>磁碟空間容量</html>"},
      {"cache.settings.dialog.max_btn.tooltip", "<html>指定用於儲存暫存檔案的<br>最大磁碟空間容量。</html>"},
      {
            "cache.settings.dialog.compression.tooltip",
            "<html>指定您的暫存檔案目錄中用於<br>Java 程式儲存的 JAR 檔案<br>的壓縮容量<br><p>使用「無」，可更快地啟動您的 Java 程式，<br>但儲存這些程式所需的磁碟空間容量<br>會有所增加，<br>容量值越大，磁碟空間的需求就越低，<br>但會稍稍增加啟動的時間。</html>"
      },
      {"common.ok_btn.tooltip", "<html>儲存變更並關閉對話方塊</html>"},
      {"common.cancel_btn.tooltip", "<html>取消變更並關閉對話方塊</html>"},
      {"network.settings.advanced_btn.tooltip", "<html>檢視並修改進階 Proxy 設定</html>"},
      {"security.certs_btn.tooltip", "<html>匯入、匯出或移除證書</html>"},
      {"cert.import_btn.tooltip", "<html>匯入的證書<br>不在清單中</html>"},
      {"cert.export_btn.tooltip", "<html>匯出選取的證書</html>"},
      {"cert.remove_btn.tooltip", "<html>從清單中移除選取的<br>證書</html>"},
      {"cert.details_btn.tooltip", "<html>檢視關於選取證書的<br>詳細資訊</html>"},
      {"java.panel.jpi_view_btn.tooltip", "<html>修改 Applet 的 Java 執行階段設定</html>"},
      {"java.panel.javaws_view_btn.tooltip", "<html>修改應用程式的 Java 執行階段設定</html>"},
      {"general.about.btn.tooltip", "<html>檢視關於此版本 J2SE Runtime Environment 的<br>資訊。</html>"},
      {"update.notify_combo.tooltip", "<html>選取您希望收到關於新 Java 更新 <br>通知<br>的時間</html>"},
      {"update.advanced_btn.tooltip", "<html>修改自動更新的<br>排程策略</html>"},
      {"update.now_btn.tooltip", "<html>啟動 Java Update 以檢查<br>最新的可用 Java 更新</html>"},
      {"vm.options.add_btn.tooltip", "<html>將新的 JRE 新增至清單</html>"},
      {"vm.options.remove_btn.tooltip", "<html>從清單中移除選取的登錄</html>"},
      {"vm.optios.ok_btn.tooltip", "<html>儲存包含<br>產品名稱、版本以及<br>位置資訊的所有登錄</html>"},
      {"jnlp.jre.find_btn.tooltip", "<html>搜尋已安裝的 Java 執行階段<br>環境</html>"},
      {"jnlp.jre.add_btn.tooltip", "<html>將新的登錄新增至清單</html>"},
      {"jnlp.jre.remove_btn.tooltip", "<html>從「使用者」清單中移除<br>選取的登錄</html>"},
      {"download.jre.prompt.title", "允許下載 JRE"},
      {"download.jre.prompt.text1", "應用程式 \"{0}\" 需要 的 JRE 版本 (版本 {1}) 目前尚未安裝在您的系統上。"},
      {"download.jre.prompt.text2", "您希望 Java Web Start 自動 下載並安裝此 JRE 嗎？"},
      {"download.jre.prompt.okButton", "下載(D)"},
      {"download.jre.prompt.okButton.acceleratorKey", new Integer(68)},
      {"download.jre.prompt.cancelButton", "取消(C)"},
      {"download.jre.prompt.cancelButton.acceleratorKey", new Integer(67)},
      {"autoupdatecheck.buttonYes", "是(Y)"},
      {"autoupdatecheck.buttonYes.acceleratorKey", new Integer(89)},
      {"autoupdatecheck.buttonNo", "否(N)"},
      {"autoupdatecheck.buttonNo.acceleratorKey", new Integer(78)},
      {"autoupdatecheck.buttonAskLater", "稍後詢問我(A)"},
      {"autoupdatecheck.buttonAskLater.acceleratorKey", new Integer(65)},
      {"autoupdatecheck.caption", "自動檢查更新"},
      {"autoupdatecheck.message", "新版本可用時，Java Update 可自動更新您的 Java 軟體。 您願意啟用此項服務嗎？"},
      {"javaws.ssv.title", "Java 安全警告"},
      {"javaws.ssv.runold.masthead", "應用程式需要較舊版本的 Java。是否要繼續？"},
      {"javaws.ssv.runold.bullet", "所需的 Java 版本 {0} 不是最新的，可能未包含最新的安全性更新。"},
      {"javaws.ssv.download.masthead", "應用程式需要下載較舊版本的 Java。  是否要繼續？"},
      {"javaws.ssv.download.bullet", "所需的 Java 版本 {0} (來自 {1}) 不是最新的，可能未包含最新的安全性更新。"},
      {"javaws.ssv.download.button", "下載"},
      {"javaws.ssv.run.button", "執行"},
      {"error32.image", "image/error32.png"},
      {"error48.image", "image/error48.png"},
      {"warning32.image", "image/warning32.png"},
      {"warning48.image", "image/warning48.png"},
      {"major-warning48.image", "image/major-warning48.png"},
      {"java48.image", "image/java48.png"},
      {"java32.image", "image/java32.png"},
      {"security.dialog.caption", "警告 - 安全"},
      {"security.dialog.timestamp.text1", "已於 {1} 簽署{0}。"},
      {"security.dialog.text1", "\n小心： \"{0}\" 聲稱這個內容是安全的。 如果您信任 \"{1}\" 的聲明，您應該只接受這個內容。"},
      {"security.dialog.unknown.issuer", "不明的發行人"},
      {"security.dialog.unknown.subject", "不明的主題"},
      {"security.dialog.certShowName", "{0} ({1})"},
      {"security.dialog.rootCANotValid", "安全證書由未授信的公司所發出。"},
      {"security.dialog.rootCAValid", "安全證書由授信的公司所發出。"},
      {"security.dialog.timeNotValid", "安全證書已過期或尚未生效。"},
      {"security.dialog.timeValid", "安全證書尚未過期且仍然有效。"},
      {"security.dialog.timeValidTS", "簽署{0}時安全證書仍然有效。"},
      {"security.dialog.buttonAlways", "總是(A)"},
      {"security.dialog.buttonAlways.acceleratorKey", new Integer(65)},
      {"security.dialog.buttonViewCert", "更多詳細資訊(M)"},
      {"security.dialog.buttonViewCert.acceleratorKey", new Integer(77)},
      {"security.dialog.signed.moreinfo.generic", "此應用程式將在沒有安全性限制 (通常由 Java 提供) 的情況下執行。"},
      {"security.dialog.trusted.app.caption", "The application's digital signature has been verified.  Do you want to run the application?"},
      {"security.dialog.untrusted.app.caption", "The application's digital signature is invalid.  Do you want to run the application?"},
      {"security.dialog.invalid.time.app.caption", "The application's digital signature has an error.  Do you want to run the application?"},
      {"security.dialog.trusted.https.caption", "網站的憑證已經過驗證。是否要繼續？"},
      {"security.dialog.untrusted.https.caption", "網站的憑證無效。是否要繼續？"},
      {"security.dialog.invalid.time.https.caption", "網站的憑證有錯誤。是否要繼續？"},
      {"security.dialog.trusted.bullet", "The digital signature has been validated by a trusted source."},
      {
            "security.dialog.untrusted.bullet",
            "The digital signature cannot be verified by a trusted source.  Only continue if you trust the origin of the application."
      },
      {"security.dialog.invalid.time.bullet", "The digital signature was generated with a trusted certificate but has expired or is not yet valid"},
      {"security.dialog.trusted.https.bullet", "憑證已由信任的來源驗證。 "},
      {"security.dialog.untrusted.https.bullet", "憑證無法由信任的來源驗證。僅在您信任應用程式的來源時，才繼續執行。"},
      {"security.dialog.invalid.time.https.bullet", "The certificate was issued by a trusted source but has expired or is not yet valid"},
      {"security.dialog.exception.message", "無憑證驗證訊息。"},
      {"security.dialog.timestamp", "在 {0} 上簽署時，安全憑證有效。"},
      {"security.dialog.always", "始終信任此發行人的內容(A)。"},
      {"security.dialog.always.mnemonic", "VK_A"},
      {"security.dialog.buttonContinue", "繼續"},
      {"security.dialog.buttonCancel", "取消"},
      {"security.more.info.title", "更多資訊"},
      {"security.more.info.details", "憑證詳細資訊..."},
      {"security.more.info.details.acceleratorKey", new Integer(67)},
      {"dialog.template.name", "名稱︰"},
      {"dialog.template.publisher", "發行人︰"},
      {"dialog.template.from", "自︰"},
      {"dialog.template.more.info", "更多資訊..."},
      {"dialog.template.more.info.acceleratorKey", new Integer(77)},
      {"security.more.info.title", "更多資訊"},
      {"security.more.info.details", "憑證詳細資訊..."},
      {"common.close_btn", "關閉"},
      {"common.detail.button", "詳細資訊"},
      {"security.dialog.signed.buttonContinue", "執行"},
      {"security.dialog.signed.buttonCancel", "取消"},
      {"security.dialog.https.buttonContinue", "是"},
      {"security.dialog.https.buttonCancel", "否"},
      {"https.dialog.caption", "警告 - 主機名稱不相符"},
      {"https.dialog.text", "站點名稱與憑證上的名稱不相符。是否要執行應用程式？"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
