package com.sun.deploy.services;

import com.sun.deploy.net.cookie.CookieHandler;
import com.sun.deploy.net.proxy.BrowserProxyConfig;
import com.sun.deploy.net.proxy.BrowserProxyConfigCanonicalizer;
import com.sun.deploy.net.proxy.DummyAutoProxyHandler;
import com.sun.deploy.net.proxy.MDefaultBrowserProxyConfig;
import com.sun.deploy.net.proxy.MSystemProxyHandler;
import com.sun.deploy.net.proxy.ProxyHandler;
import com.sun.deploy.security.BrowserAuthenticator;
import com.sun.deploy.security.CertStore;
import java.io.File;
import java.security.KeyStore;
import java.security.SecureRandom;
import java.security.Security;

public class MPlatformService14 implements Service {
   public CookieHandler getCookieHandler() {
      return null;
   }

   public BrowserProxyConfig getProxyConfig() {
      return new BrowserProxyConfigCanonicalizer(new MDefaultBrowserProxyConfig(), this.getAutoProxyHandler());
   }

   public ProxyHandler getAutoProxyHandler() {
      return new DummyAutoProxyHandler();
   }

   public ProxyHandler getSystemProxyHandler() {
      return new MSystemProxyHandler();
   }

   public ProxyHandler getBrowserProxyHandler() {
      return null;
   }

   public CertStore getBrowserSigningRootCertStore() {
      return null;
   }

   public CertStore getBrowserSSLRootCertStore() {
      return null;
   }

   public CertStore getBrowserTrustedCertStore() {
      return null;
   }

   public KeyStore getBrowserClientAuthKeyStore() {
      return null;
   }

   public BrowserAuthenticator getBrowserAuthenticator() {
      return null;
   }

   public SecureRandom getSecureRandom() {
      try {
         File var1 = new File("/dev/urandom");
         if (var1 != null && var1.exists()) {
            Security.setProperty("securerandom.source", "file:/dev/urandom");
         }
      } catch (Throwable var2) {
      }

      return new SecureRandom();
   }

   public boolean isIExplorer() {
      return false;
   }

   public boolean isNetscape() {
      return false;
   }
}
