package com.sun.deploy.util;

public interface ConsoleController {
   boolean isIconifiedOnClose();

   boolean isDoubleBuffered();

   boolean isDumpStackSupported();

   String dumpAllStacks();

   ThreadGroup getMainThreadGroup();

   boolean isSecurityPolicyReloadSupported();

   void reloadSecurityPolicy();

   boolean isProxyConfigReloadSupported();

   void reloadProxyConfig();

   boolean isDumpClassLoaderSupported();

   String dumpClassLoaders();

   boolean isClearClassLoaderSupported();

   void clearClassLoaders();

   boolean isLoggingSupported();

   boolean toggleLogging();

   boolean isJCovSupported();

   boolean dumpJCovData();

   String getProductName();

   void invokeLater(Runnable var1);
}
