package com.sun.deploy.util;

import java.io.IOException;
import java.util.logging.FileHandler;
import java.util.logging.Handler;
import java.util.logging.Level;
import java.util.logging.Logger;

public final class LoggerTraceListener implements TraceListener {
   private Logger logger;

   public LoggerTraceListener(String var1, String var2) {
      Object var3 = null;
      this.logger = Logger.getLogger(var1);

      try {
         var3 = new FileHandler(var2);
         this.logger.addHandler((Handler)var3);
         this.logger.setLevel(Level.OFF);
      } catch (IOException var5) {
         var5.printStackTrace();
      }
   }

   public Logger getLogger() {
      return this.logger;
   }

   public void print(String var1) {
      this.logger.log(Level.FINE, var1);
   }
}
