package com.sun.deploy.util;

import java.io.ByteArrayOutputStream;

public class TracePrintStream extends ByteArrayOutputStream {
   private void enQueueData() {
      String var1 = this.toString();
      this.reset();
      Trace.print(var1, TraceLevel.DEFAULT);
   }

   public void write(int var1) {
      super.write(var1);
      if (var1 == 10 || var1 == 13) {
         this.enQueueData();
      }
   }

   public void write(byte[] var1, int var2, int var3) {
      super.write(var1, var2, var3);
      if (var1[var3 - 1] == 10 || var1[var3 - 1] == 13) {
         this.enQueueData();
      }
   }
}
