package com.sun.deploy.xml;

public class BadTokenException extends Exception {
   private int _line;
   private String _source;
   private String _message;

   public BadTokenException(String var1, int var2) {
      this(null, var1, var2);
   }

   public BadTokenException(String var1, String var2, int var3) {
      this._line = var3;
      this._source = var2;
      this._message = var1;
   }

   public int getLine() {
      return this._line;
   }

   public String getSource() {
      return this._source;
   }

   public String getReason() {
      return this._message;
   }

   public String toString() {
      String var1;
      if (this._message != null) {
         var1 = this._message + " Exception parsing xml at line " + this._line;
      } else {
         var1 = "Exception parsing xml at line " + this._line;
      }

      return var1;
   }
}
