package com.sun.deploy.xml;

public class GeneralEntity {
   private static final String BAD_NAME = "A general entity cannot must have a name!";
   private static final String BAD_VALUE = "A general entity cannot must have a substitution value!";
   private final String _name;
   private final String _value;

   public String getName() {
      return this._name;
   }

   public String getValue() {
      return this._value;
   }

   public boolean equals(Object var1) {
      boolean var2 = false;
      if (this == var1) {
         var2 = true;
      } else if (var1 instanceof GeneralEntity) {
         GeneralEntity var3 = (GeneralEntity)var1;
         var2 = this._name.equals(var3._name) && this._value.equals(var3._value);
      } else if (var1 instanceof String) {
         String var4 = (String)var1;
         var2 = this._name.equals(var4) || this._value.equals(var4);
      }

      return var2;
   }

   public int hashCode() {
      return this._name.hashCode();
   }

   public GeneralEntity(String var1, String var2) {
      if (var1 == null) {
         throw new NullPointerException("A general entity cannot must have a name!");
      } else if (var2 == null) {
         throw new NullPointerException("A general entity cannot must have a substitution value!");
      } else {
         this._name = var1;
         this._value = var2;
      }
   }
}
