package netscape.security;

import sun.plugin.resources.ResourceHandler;

public class PrivilegeManager {
   public static final int PROPER_SUBSET = 1;
   public static final int EQUAL = 2;
   public static final int NO_SUBSET = 3;
   public static final int SIGNED_APPLET_DBNAME = 4;
   public static final int TEMP_FILENAME = 5;

   protected PrivilegeManager() {
   }

   private static void printErrorMessage() {
      System.err.println(ResourceHandler.getMessage("liveconnect.wrong.securitymodel"));
   }

   public boolean checkMatchPrincipalAlways() {
      printErrorMessage();
      return false;
   }

   public boolean checkMatchPrincipal(Class var1) {
      printErrorMessage();
      return false;
   }

   public boolean checkMatchPrincipal(Class var1, int var2) {
      printErrorMessage();
      return false;
   }

   public static void checkPrivilegeGranted(String var0) throws ForbiddenTargetException {
      printErrorMessage();
   }

   public static void disablePrivilege(String var0) {
      printErrorMessage();
   }

   public static void enablePrivilege(String var0) throws ForbiddenTargetException {
      printErrorMessage();
   }

   public static void revertPrivilege(String var0) {
      printErrorMessage();
   }

   public static Principal getSystemPrincipal() {
      printErrorMessage();
      return null;
   }

   public static Principal[] getMyPrincipals() {
      printErrorMessage();
      return null;
   }

   public Principal[] getClassPrincipalsFromStack(int var1) {
      printErrorMessage();
      return null;
   }

   public boolean isCalledByPrincipal(Principal var1) {
      printErrorMessage();
      return this.isCalledByPrincipal(var1, 1);
   }

   public boolean checkMatchPrincipal(Principal var1, int var2) {
      printErrorMessage();
      return false;
   }

   public boolean isCalledByPrincipal(Principal var1, int var2) {
      printErrorMessage();
      return false;
   }

   public static PrivilegeManager getPrivilegeManager() {
      printErrorMessage();
      return new PrivilegeManager();
   }

   public PrivilegeTable getPrivilegeTableFromStack() {
      printErrorMessage();
      return null;
   }

   public void checkPrivilegeEnabled(Target var1) throws ForbiddenTargetException {
      printErrorMessage();
   }

   public void checkPrivilegeGranted(Target var1) throws ForbiddenTargetException {
      printErrorMessage();
   }

   public void disablePrivilege(Target var1) {
      printErrorMessage();
   }

   public void enablePrivilege(Target var1) throws ForbiddenTargetException {
      printErrorMessage();
   }

   public void revertPrivilege(Target var1) {
      printErrorMessage();
   }

   public void checkPrivilegeEnabled(Target var1, Object var2) throws ForbiddenTargetException {
      printErrorMessage();
   }

   public void checkPrivilegeGranted(Target var1, Object var2) throws ForbiddenTargetException {
      printErrorMessage();
   }

   public Principal[] getClassPrincipals(Class var1) {
      printErrorMessage();
      return null;
   }

   public boolean hasPrincipal(Class var1, Principal var2) {
      printErrorMessage();
      return false;
   }

   public int comparePrincipalArray(Principal[] var1, Principal[] var2) {
      printErrorMessage();
      return 3;
   }

   public void enablePrivilege(Target var1, Principal var2) throws ForbiddenTargetException {
      printErrorMessage();
   }

   public void checkPrivilegeGranted(Target var1, Principal var2, Object var3) throws ForbiddenTargetException {
      printErrorMessage();
   }

   public void enablePrivilege(Target var1, Principal var2, Object var3) throws ForbiddenTargetException {
      printErrorMessage();
   }
}
