package sun.plugin;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import sun.plugin.cache.FileCache;
import sun.plugin.cache.JarCache;
import sun.plugin.resources.ResourceHandler;
import sun.plugin.security.CertificateHostnameVerifier;
import sun.plugin.security.TrustDecider;
import sun.plugin.security.X509PluginTrustManager;

class ConsoleWindow$8 implements ActionListener {
   private final ConsoleWindow this$0;

   public void actionPerformed(ActionEvent var1) {
      JarCache.clearLoadedJars();
      FileCache.clearLoadedFiles();
      ClassLoaderInfo.clearClassLoaderCache();
      TrustDecider.reset();
      X509PluginTrustManager.reset();
      CertificateHostnameVerifier.reset();
      System.out.println(ResourceHandler.getMessage("console.clear.classloader"));
   }

   ConsoleWindow$8(ConsoleWindow var1) {
      this.this$0 = var1;
   }
}
