package sun.plugin;

import java.awt.Component;
import java.awt.Graphics;

class GrayBoxPainter extends Thread {
   private Object syncObject = new Object();
   private Component c = null;

   void repaint() {
      synchronized (this.syncObject) {
         this.syncObject.notifyAll();
      }
   }

   public void run() {
      Thread var1 = Thread.currentThread();

      try {
         while (!var1.isInterrupted()) {
            synchronized (this.syncObject) {
               this.syncObject.wait();
            }

            Graphics var6 = this.c.getGraphics();
            this.c.update(var6);
            var6.dispose();
            Thread.sleep(1000L);
         }
      } catch (InterruptedException var5) {
      }
   }

   GrayBoxPainter(ThreadGroup var1, Component var2) {
      super(var1, "GrayBoxPainter");
      this.c = var2;
   }
}
