package sun.plugin.cache;

import java.io.IOException;
import java.net.HttpURLConnection;
import sun.net.www.MessageHeader;

public class DownloadException extends IOException {
   private IOException cause = null;
   private MessageHeader headers = null;

   public IOException getIOException() {
      return this.cause;
   }

   public MessageHeader getHeaders() {
      return this.headers;
   }

   public DownloadException(IOException var1, HttpURLConnection var2) {
      this.cause = var1;
      this.headers = this.createHeaders(var2);
   }

   private MessageHeader createHeaders(HttpURLConnection var1) {
      if (var1 == null) {
         return null;
      } else {
         MessageHeader var4 = new MessageHeader();
         int var5 = 0;

         while (true) {
            String var2 = var1.getHeaderFieldKey(var5);
            String var3 = var1.getHeaderField(var5);
            if (var2 == null && var3 == null) {
               return var4;
            }

            var4.add(var2, var3);
            var5++;
         }
      }
   }
}
