package sun.plugin.dom;

import com.sun.java.browser.dom.DOMUnsupportedException;
import java.applet.Applet;
import netscape.javascript.JSException;
import netscape.javascript.JSObject;
import org.w3c.dom.Document;
import sun.plugin.dom.html.HTMLDocument;

public class DOMServiceProvider extends com.sun.java.browser.dom.DOMServiceProvider {
   public boolean canHandle(Object var1) {
      return var1 != null && var1 instanceof Applet;
   }

   public org.w3c.dom.DOMImplementation getDOMImplementation() {
      return new DOMImplementation();
   }

   public Document getDocument(Object var1) throws DOMUnsupportedException {
      try {
         if (this.canHandle(var1)) {
            JSObject var2 = JSObject.getWindow((Applet)var1);
            if (var2 == null) {
               throw new JSException("Unable to obtain Window object");
            }

            JSObject var3 = (JSObject)var2.getMember("document");
            if (var3 == null) {
               throw new JSException("Unable to obtain Document object");
            }

            return new HTMLDocument(new DOMObject(var3));
         }
      } catch (JSException var4) {
         var4.printStackTrace();
      } catch (Exception var5) {
         var5.printStackTrace();
      }

      throw new DOMUnsupportedException();
   }
}
