package sun.plugin.dom.html;

import sun.plugin.dom.DOMObject;
import sun.plugin.dom.DOMObjectHelper;

public class HTMLAnchorElement extends HTMLElement implements org.w3c.dom.html.HTMLAnchorElement {
   public int getTabIndex() {
      return DOMObjectHelper.getIntMemberNoEx(this.obj, "tabIndex");
   }

   public void blur() {
      this.obj.call("blur", new Object[0]);
   }

   public void focus() {
      this.obj.call("focus", new Object[0]);
   }

   public void setTabIndex(int var1) {
      DOMObjectHelper.setIntMemberNoEx(this.obj, "tabIndex", var1);
   }

   public String getAccessKey() {
      return this.getAttribute("accessKey");
   }

   public String getCharset() {
      return this.getAttribute("charset");
   }

   public String getCoords() {
      return this.getAttribute("coords");
   }

   public String getHref() {
      return this.getAttribute("href");
   }

   public String getHreflang() {
      return this.getAttribute("hreflang");
   }

   public String getName() {
      return this.getAttribute("name");
   }

   public String getRel() {
      return this.getAttribute("rel");
   }

   public String getRev() {
      return this.getAttribute("rev");
   }

   public String getShape() {
      return this.getAttribute("shape");
   }

   public String getTarget() {
      return this.getAttribute("target");
   }

   public String getType() {
      return this.getAttribute("type");
   }

   public void setAccessKey(String var1) {
      this.setAttribute("accessKey", var1);
   }

   public void setCharset(String var1) {
      this.setAttribute("charset", var1);
   }

   public void setCoords(String var1) {
      this.setAttribute("coords", var1);
   }

   public void setHref(String var1) {
      this.setAttribute("href", var1);
   }

   public void setHreflang(String var1) {
      this.setAttribute("hreflang", var1);
   }

   public void setName(String var1) {
      this.setAttribute("name", var1);
   }

   public void setRel(String var1) {
      this.setAttribute("rel", var1);
   }

   public void setRev(String var1) {
      this.setAttribute("rev", var1);
   }

   public void setShape(String var1) {
      this.setAttribute("shape", var1);
   }

   public void setTarget(String var1) {
      this.setAttribute("target", var1);
   }

   public void setType(String var1) {
      this.setAttribute("type", var1);
   }

   public HTMLAnchorElement(DOMObject var1, org.w3c.dom.html.HTMLDocument var2) {
      super(19, var1, var2);
   }
}
