package sun.plugin.dom.html;

import org.w3c.dom.DOMException;
import org.w3c.dom.css.CSSStyleDeclaration;
import org.w3c.dom.css.ElementCSSInlineStyle;
import sun.plugin.dom.DOMObject;
import sun.plugin.dom.core.Element;

public class HTMLElement extends Element implements org.w3c.dom.html.HTMLElement, ElementCSSInlineStyle {
   public String getClassName() {
      return this.getAttribute("className");
   }

   public String getDir() {
      return this.getAttribute("dir");
   }

   public String getId() {
      return this.getAttribute("id");
   }

   public String getLang() {
      return this.getAttribute("lang");
   }

   public String getTitle() {
      return this.getAttribute("title");
   }

   public void setClassName(String var1) {
      this.setAttribute("className", var1);
   }

   public void setDir(String var1) {
      this.setAttribute("dir", var1);
   }

   public void setId(String var1) {
      this.setAttribute("id", var1);
   }

   public void setLang(String var1) {
      this.setAttribute("lang", var1);
   }

   public void setTitle(String var1) {
      this.setAttribute("title", var1);
   }

   public CSSStyleDeclaration getStyle() {
      try {
         Object var1 = this.obj.getMember("style");
         if (var1 != null && var1 instanceof DOMObject) {
            return new sun.plugin.dom.css.CSSStyleDeclaration((DOMObject)var1, null, null);
         }
      } catch (DOMException var2) {
      }

      return null;
   }

   protected HTMLElement(int var1, DOMObject var2, org.w3c.dom.html.HTMLDocument var3) {
      super(var1, var2, var3, null);
   }

   public HTMLElement(DOMObject var1, org.w3c.dom.html.HTMLDocument var2) {
      super(33, var1, var2, null);
   }

   protected HTMLElement(int var1, DOMObject var2, org.w3c.dom.html.HTMLDocument var3, org.w3c.dom.Element var4) {
      super(var1, var2, var3, var4);
   }
}
