package sun.plugin.extension;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;
import java.net.URLConnection;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.PrivilegedExceptionAction;
import java.security.cert.CertificateEncodingException;
import java.security.cert.CertificateException;
import java.security.cert.CertificateExpiredException;
import java.security.cert.CertificateNotYetValidException;
import java.security.cert.CertificateParsingException;
import sun.misc.ExtensionInfo;
import sun.misc.ExtensionInstallationException;

class ExtensionInstallationImpl$1 implements PrivilegedExceptionAction {
   private final ExtensionInfo val$reqExtInfo;
   private final ExtensionInfo val$instExtInfo;
   private final ExtensionInstallationImpl this$0;

   public Object run() throws IOException, ExtensionInstallationException, CertificateException, CertificateEncodingException, CertificateExpiredException, CertificateNotYetValidException, CertificateParsingException, KeyStoreException, NoSuchAlgorithmException, IOException, InterruptedException {
      String var1 = ExtensionUtils.makePlatformDependent(ExtensionUtils.extractJarFileName(this.val$reqExtInfo.url));
      String var2 = ExtensionUtils.makePlatformDependent(this.val$reqExtInfo.url);
      if (ExtensionInstallationImpl.access$000(this.this$0, this.val$reqExtInfo, this.val$instExtInfo) == 1) {
         throw new ExtensionInstallationException("User denied installation of " + var2);
      } else {
         URL var3 = new URL(var2);
         URLConnection var4 = var3.openConnection();
         InputStream var5 = var4.getInputStream();
         BufferedInputStream var6 = new BufferedInputStream(var5);
         String var7 = ExtensionUtils.getTempDir() + File.separator + var1;
         File var8 = new File(var7);
         FileOutputStream var9 = new FileOutputStream(var8);
         BufferedOutputStream var10 = new BufferedOutputStream(var9);
         ExtensionUtils.copy(var6, var10);
         var6.close();
         var5.close();
         var10.close();
         var9.close();
         ExtensionInstallationImpl.access$100(this.this$0, var2, var7);
         ExtensionInstallationImpl.access$200(this.this$0, var2, var7);
         if (var8.exists()) {
            var8.delete();
         }

         return null;
      }
   }

   ExtensionInstallationImpl$1(ExtensionInstallationImpl var1, ExtensionInfo var2, ExtensionInfo var3) throws InterruptedException, NoSuchAlgorithmException, KeyStoreException, CertificateException, IOException, ExtensionInstallationException {
      this.this$0 = var1;
      this.val$reqExtInfo = var2;
      this.val$instExtInfo = var3;
   }
}
