package sun.plugin.extension;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.security.AccessController;
import sun.plugin.util.UserProfile;
import sun.security.action.GetPropertyAction;

public class ExtensionUtils {
   private static final String _tempDir = UserProfile.getTempDirectory();

   static {
      String var0 = AccessController.doPrivileged(new GetPropertyAction("user.home"));
      String var1 = AccessController.doPrivileged(new GetPropertyAction("javaplugin.version"));
      AccessController.doPrivileged(new ExtensionUtils$1());
   }

   static String access$000() {
      return _tempDir;
   }

   static String getTempDir() {
      return _tempDir;
   }

   static void copy(InputStream var0, OutputStream var1) throws IOException {
      byte[] var2 = new byte[10240];

      int var3;
      do {
         var3 = var0.read(var2);
         if (var3 != -1) {
            var1.write(var2, 0, var3);
         }
      } while (var3 != -1);

      var0.close();
      var1.close();
   }

   static String extractJarFileName(String var0) {
      int var2 = var0.indexOf(35);
      int var1;
      if (var2 == -1) {
         var1 = var0.lastIndexOf(47);
         if (var1 < var0.lastIndexOf(92)) {
            var1 = var0.lastIndexOf(92);
         }
      } else {
         var1 = var0.lastIndexOf(47, var2);
         if (var1 < var0.lastIndexOf(92, var2)) {
         }

         var1 = var0.lastIndexOf(92, var2);
      }

      return var1 == -1 ? null : var0.substring(var1 + 1);
   }

   static String makePlatformDependent(String var0) {
      String var1 = makePlatformDependentOsName0(makePlatformDependentOsName1(var0));
      var1 = makePlatformDependentName("os.arch", var1);
      return makePlatformDependentName("os.version", var1);
   }

   static String makePlatformDependentOsName0(String var0) {
      String var2 = "$(os-name)$";
      int var3 = var0.indexOf(var2);
      String var4 = var0;
      if (var3 != -1) {
         String var5 = System.getProperty("os.name");
         String var6 = var5.replace(' ', '-');
         var4 = var0.substring(0, var3) + var6 + var0.substring(var3 + var2.length(), var0.length());
      }

      return var4;
   }

   static String makePlatformDependentOsName1(String var0) {
      String var2 = "$(os.name)$";
      int var3 = var0.indexOf(var2);
      String var4 = var0;
      if (var3 != -1) {
         String var5 = System.getProperty("os.name");
         String var6 = var5.replace(' ', '-');
         var4 = var0.substring(0, var3) + var6 + var0.substring(var3 + var2.length(), var0.length());
      }

      return var4;
   }

   static String makePlatformDependentName(String var0, String var1) {
      String var2 = "$(" + var0 + ")$";
      int var3 = var1.indexOf(var2);
      String var4 = var1;
      if (var3 != -1) {
         String var5 = System.getProperty(var0);
         String var6 = var5.replace(' ', '-');
         var4 = var1.substring(0, var3) + var6 + var1.substring(var3 + var2.length(), var1.length());
      }

      return var4;
   }
}
