package sun.plugin.extension;

import java.io.File;
import java.io.IOException;
import sun.plugin.resources.ResourceHandler;
import sun.plugin.util.DialogFactory;
import sun.plugin.util.Trace;

public class JavaExtensionInstaller implements ExtensionInstaller {
   public boolean install(String var1, String var2, String var3) throws IOException {
      Trace.msgExtPrintln("optpkg.install.java.launch");
      String var4 = System.getProperty("java.home");
      String var5 = var4 + File.separator + "bin" + File.separator + "java -jar " + var2;
      String[] var6 = new String[]{var4 + File.separator + "bin" + File.separator + "java", "-jar", var2};
      Trace.msgExtPrintln("optpkg.install.java.launch.command", new Object[]{var5});
      Process var7 = Runtime.getRuntime().exec(var6);
      DialogFactory.showInformationDialog(
         ResourceHandler.getMessage("optpkg.installer.launch.wait"), ResourceHandler.getMessage("optpkg.installer.launch.caption")
      );
      return true;
   }
}
