package sun.plugin.javascript.navig;

import netscape.javascript.JSException;

public abstract class Array extends JSObject {
   protected int length = -1;

   public Object getSlot(int var1) throws JSException {
      if (var1 >= 0 && var1 < this.length) {
         return this.createObject(this.context + "[" + var1 + "]");
      } else {
         throw new JSException("getSlot does not support " + this.toString() + "[" + var1 + "]");
      }
   }

   public void setSlot(int var1, Object var2) throws JSException {
      if (var1 >= 0 && var1 < this.length) {
         this.evaluate(this.context + "[" + var1 + "]=" + var2.toString());
      } else {
         throw new JSException("setSlot does not support " + this.toString() + "[" + var1 + "]");
      }
   }

   protected Array(int var1, String var2, int var3) {
      super(var1, var2);
      this.length = var3;
   }

   protected abstract Object createObject(String var1) throws JSException;

   public Object getMember(String var1) throws JSException {
      return var1.equals("length") ? new Integer(this.length) : super.getMember(var1);
   }
}
