package sun.plugin.javascript.navig;

import java.util.HashMap;
import netscape.javascript.JSException;

class Form extends JSObject {
   private static HashMap methodTable = new HashMap();
   private static HashMap fieldTable = new HashMap();

   static {
      methodTable.put("reset", Boolean.FALSE);
      methodTable.put("submit", Boolean.FALSE);
      fieldTable.put("action", Boolean.TRUE);
      fieldTable.put("elements", Boolean.FALSE);
      fieldTable.put("encoding", Boolean.TRUE);
      fieldTable.put("method", Boolean.TRUE);
      fieldTable.put("target", Boolean.TRUE);
      fieldTable.put("name", Boolean.TRUE);
      fieldTable.put("length", Boolean.FALSE);
   }

   Form(int var1, String var2) {
      super(var1, var2);
      this.addObjectTable(fieldTable, methodTable);
   }

   public Object getMember(String var1) throws JSException {
      if (var1.equals("elements")) {
         return this.resolveObject("[object ElementArray]", this.context + ".elements", this);
      } else {
         try {
            return super.getMember(var1);
         } catch (JSException var5) {
            String var3 = this.evalScript(this.instance, "javascript: typeof(" + this.context + "." + var1 + ")");
            if (var3 != null && var3.equalsIgnoreCase("object")) {
               String var4 = this.evalScript(this.instance, "javascript:" + this.context + "." + var1 + ".constructor.name");
               if (!var4.equalsIgnoreCase("Input") && !var4.equalsIgnoreCase("HTMLInputElement")) {
                  var4 = this.evalScript(this.instance, "javascript:" + this.context + "." + var1 + "[0].constructor.name");
                  if (!var4.equalsIgnoreCase("Input") && !var4.equalsIgnoreCase("HTMLInputElement")) {
                     throw var5;
                  } else {
                     return this.resolveObject("[object ElementArray]", this.context + "." + var1);
                  }
               } else {
                  return this.resolveObject("[object Element]", this.context + "." + var1);
               }
            } else {
               throw var5;
            }
         }
      }
   }
}
