package sun.plugin.liveconnect;

import java.lang.reflect.Constructor;
import java.security.PrivilegedExceptionAction;
import sun.plugin.javascript.JSClassLoader;

class PrivilegedConstructObjectAction implements PrivilegedExceptionAction {
   Constructor constructor;
   Object[] args;

   public Object run() throws Exception {
      JSClassLoader.checkPackageAccess(this.constructor.getDeclaringClass());
      return this.constructor.newInstance(this.args);
   }

   PrivilegedConstructObjectAction(Constructor var1, Object[] var2) {
      this.constructor = var1;
      this.args = var2;
      if (this.args == null) {
         this.args = new Object[0];
      }
   }
}
