package sun.plugin.liveconnect;

import java.lang.reflect.Field;
import java.security.PrivilegedExceptionAction;
import sun.plugin.javascript.JSClassLoader;

class PrivilegedGetFieldAction implements PrivilegedExceptionAction {
   Field field;
   Object obj;

   public Object run() throws Exception {
      JSClassLoader.checkPackageAccess(this.field.getDeclaringClass());
      return this.field.get(this.obj);
   }

   PrivilegedGetFieldAction(Field var1, Object var2) {
      this.field = var1;
      this.obj = var2;
   }
}
