package sun.plugin.liveconnect;

import java.security.AccessControlContext;
import java.security.AccessControlException;
import java.security.AllPermission;

public class SecurityContextHelper {
   public static boolean Implies(AccessControlContext var0, String var1, String var2) {
      if (var0 != null && var1 != null) {
         try {
            if (var1.equals("AllJavaPermission")) {
               var0.checkPermission(new AllPermission());
            } else {
               var0.checkPermission(new JavaScriptPermission(var1));
            }

            return true;
         } catch (AccessControlException var4) {
            return false;
         }
      } else {
         return false;
      }
   }
}
