package sun.plugin.navig.motif;

class AThread extends Thread {
   private int pipe = -1;
   private static boolean is_initialized;

   public int getPipe() {
      return this.pipe;
   }

   void JNIHandleLoop() {
      this.handleRequest(this.pipe);
   }

   private static native void initGlobals();

   private static synchronized void initIfFirstCall() {
      if (!is_initialized) {
         initGlobals();
         is_initialized = true;
      }
   }

   public void run() {
      OJIPlugin.registerThread(this);
      this.JNIHandleLoop();
   }

   private AThread(int var1) {
      initIfFirstCall();
      this.pipe = var1;
   }

   private native void handleRequest(int var1);
}
