package sun.plugin.net.proxy;

import java.io.File;
import java.io.IOException;
import sun.plugin.util.Trace;

public final class MNetscape6ProxyConfig implements BrowserProxyConfig {
   public BrowserProxyInfo getBrowserProxyInfo() {
      Trace.msgNetPrintln("net.proxy.loading.ns");
      BrowserProxyInfo var1 = new BrowserProxyInfo();
      Object var2 = null;
      Object var3 = null;

      try {
         var2 = System.getProperty("user.home");
         File var4 = new File(var2 + "/.mozilla/appreg");
         Object var5 = null;

         try {
            var5 = NSPreferences.getNS6PrefsFile(var4);
            Trace.msgNetPrintln("net.proxy.browser.pref.read", new Object[]{var5.getPath()});
            NSPreferences.parseFile((File)var5, var1);
         } catch (IOException var7) {
            Trace.msgNetPrintln("net.proxy.ns6.regs.exception", new Object[]{var4.getPath()});
         }
      } catch (SecurityException var8) {
         return var1;
      }

      var1.setType(3);
      Trace.msgNetPrintln("net.proxy.loading.done");
      return var1;
   }
}
