package sun.plugin.panel;

import javax.swing.JPanel;
import sun.plugin.util.Trace;

public abstract class ActivatorSubPanel extends JPanel {
   protected ConfigurationInfo model;

   public ActivatorSubPanel(ConfigurationInfo var1) {
      this.model = var1;
   }

   static PlatformDependentInterface getPlatformObject() {
      String var0 = System.getProperty("os.name");

      try {
         String var1 = var0;
         if (var0.indexOf(32) != -1) {
            var1 = var0.substring(0, var0.indexOf(32));
         }

         String var2 = "sun.plugin.panel." + var1 + "Platform";
         Class var3 = Class.forName(var2);
         if (var3 != null) {
            Object var4 = var3.newInstance();
            if (var4 instanceof PlatformDependentInterface) {
               return (PlatformDependentInterface)var4;
            }
         }
      } catch (Exception var6) {
         Trace.printException(var6);
      }

      return null;
   }
}
