package sun.plugin.panel;

import java.io.File;
import java.util.StringTokenizer;
import java.util.Vector;

class SolarisPlatform implements PlatformDependentInterface {
   public void init() {
   }

   public boolean showURL(String var1) {
      return true;
   }

   public void onLoad(ConfigurationInfo var1) {
      this.setActivatorJRE(var1);
   }

   public void onSave(ConfigurationInfo var1) {
   }

   private void setActivatorJRE(ConfigurationInfo var1) {
      String var2 = System.getProperty("user.home");
      String var3 = System.getProperty("java.class.path");
      String var4 = System.getProperty("sun.boot.class.path");
      if (var3 == null) {
         var3 = var4;
      } else {
         var3 = var3 + File.pathSeparator + var4;
      }

      StringTokenizer var5 = new StringTokenizer(var3, File.pathSeparator);
      String var6 = "";

      while (var5.hasMoreElements()) {
         var6 = (String)var5.nextElement();
         if (var6.endsWith("rt.jar")) {
            break;
         }
      }

      int var7 = var6.lastIndexOf(File.separatorChar);
      var6 = var6.substring(0, var7);
      var7 = var6.lastIndexOf(File.separatorChar);
      var6 = var6.substring(0, var7);
      Vector var8 = new Vector();
      var8.addElement(System.getProperty("java.version"));
      var8.addElement(var6);
      var1.setInstalledJREList(var8);
      String var9 = var1.getJavaRuntimeType();
      if (var9 != null && !var9.equalsIgnoreCase("Default")) {
         String[][] var10 = var1.getInstalledJREList();
         if (var10 != null) {
            for (int var11 = 0; var11 < var10.length; var11++) {
               if (var10[var11][1].equalsIgnoreCase(var9)) {
                  var1.setJavaRuntimeType("JRE");
               }
            }
         }

         var10 = var1.getInstalledJDKList();
         if (var10 != null) {
            for (int var17 = 0; var17 < var10.length; var17++) {
               if (var10[var17][1].equalsIgnoreCase(var9)) {
                  var1.setJavaRuntimeType("JDK");
               }
            }
         }
      }
   }
}
