package sun.plugin.resources;

import java.util.ListResourceBundle;

public class Activator_de extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"panel.caption", "Java(TM) Plug-in Bedienungsfeld"},
      {"product_name", "Java(TM) Plug-in"},
      {"version", "Version"},
      {"default_vm_version", "Standardversion der virtuellen Maschine "},
      {"using_jre_version", "Verwendung der JRE-Version"},
      {"user_home_dir", "Home-Verzeichnis des Benutzers"},
      {"user_overriden_browser", "Proxy-Einstellungen des Browsers wurden vom Benutzer überschrieben."},
      {"proxy_configuration", "Proxy-Konfiguration:"},
      {"browser_config", "Proxy-Konfiguration des Browsers"},
      {"auto_config", "Automatische Proxy-Konfiguration"},
      {"manual_config", "Manuelle Konfiguration"},
      {"no_proxy", "Kein Proxy"},
      {"proxy_is", "Proxy:"},
      {"proxy_override_is", "Proxy-Überschreibungen:"},
      {"loading", "Ladevorgang läuft {0}"},
      {"java_applet", "Java-Applet"},
      {"failed", "Fehler beim Laden des Java-Applets..."},
      {"image_failed", "Fehler beim Erstellen des benutzerdefinierten Bildes.  Überprüfen Sie den Dateinamen des Bildes."},
      {"java_bean", "JavaBeans"},
      {"java_not_enabled", "Java ist nicht aktiviert"},
      {"exception", "Ausnahme: {0}"},
      {"net.connect.no_proxy", "Verbindung {0} ohne Proxy"},
      {"net.connect.proxy_is", "Verbindung {0} mit Proxy={1}"},
      {"bean_code_and_ser", "Für Bean kann nicht CODE und JAVA_OBJECT definiert sein "},
      {"status_applet", "Applet {0} {1}"},
      {"print.caption", "Bestätigung erforderlich - Drucken"},
      {"print.message", new String[]{"<html><b>Druckanforderung</b></html>Applet möchte drucken. Möchten Sie fortfahren?"}},
      {"print.checkBox", "Dieses Dialogfeld nicht wieder anzeigen"},
      {"print.buttonYes", "Ja"},
      {"print.buttonYes.acceleratorKey", new Integer(74)},
      {"print.buttonNo", "Nein"},
      {"print.buttonNo.acceleratorKey", new Integer(78)},
      {"https_dialog.caption", "Warnung - HTTPS"},
      {
            "https_dialog.text",
            "<html><b>Rechnernamen-Konflikt</b></html>Der Rechnername im Sicherheitszertifikat des Servers stimmt nicht mit dem Namen des Servers überein.\n\nRechnername der URL: {0}\nRechnername des Zertifikats: {1}\n\nMöchten Sie fortfahren?"
      },
      {"https_dialog.unknown.host", "Unbekannter Rechner"},
      {"security_dialog.caption", "Warnung - Sicherheit"},
      {
            "security_dialog.text0",
            "Möchten Sie das signierte Applet installieren und ausführen, das übertragen wird durch \"{0}\"?\n\nAuthentizität des Herausgebers überprüft durch \"{1}\""
      },
      {
            "security_dialog_https.text0",
            "Möchten Sie dieses Zertifikat von der Website \"{0}\" zum Austausch von verschlüsselten Informationen annehmen?\n\nAuthentizität des Herausgebers überprüft durch \"{1}\""
      },
      {
            "security_dialog.text1",
            "\nCaution: \"{0}\" Gibt an, dass dieser Inhalt sicher ist. Sie sollten diesen Inhalt nur installieren/anzeigen, wenn Sie Vertrauen haben,\"{1}\" diese Versicherung zu geben.\n\n"
      },
      {"security_dialog.unknown.issuer", "Unbekannter Aussteller"},
      {"security_dialog.unknown.subject", "Unbekanntes Betreff"},
      {"security_dialog.certShowName", "{0}({1})"},
      {"security_dialog.rootCANotValid", "Das Sicherheitszertifikat stammt von einem Unternehmen, das nicht als vertrauenswürdig eingestuft ist."},
      {"security_dialog.rootCAValid", "Das Sicherheitszertifikat stammt von einem Unternehmen, das als vertrauenswürdig eingestuft ist."},
      {"security_dialog.timeNotValid", "Das Sicherheitszertifikat ist abgelaufen oder noch nicht gültig."},
      {"security_dialog.timeValid", "Das Sicherheitszertifikat ist nicht abgelaufen und immer noch gültig."},
      {"security_dialog.buttonAlways", "Immer"},
      {"security_dialog.buttonAlways.acceleratorKey", new Integer(73)},
      {"security_dialog.buttonYes", "Ja"},
      {"security_dialog.buttonYes.acceleratorKey", new Integer(74)},
      {"security_dialog.buttonNo", "Nein"},
      {"security_dialog.buttonNo.acceleratorKey", new Integer(78)},
      {"security_dialog.buttonViewCert", "Mehr Details"},
      {"security_dialog.buttonViewCert.acceleratorKey", new Integer(77)},
      {"cert_dialog.caption", "Details - Zertifikat"},
      {"cert_dialog.certpath", "Zertifikatspfad"},
      {"cert_dialog.field.Version", "Version"},
      {"cert_dialog.field.SerialNumber", "Seriennummer"},
      {"cert_dialog.field.SignatureAlg", "Unterschriftalgorithmus"},
      {"cert_dialog.field.Issuer", "Aussteller"},
      {"cert_dialog.field.EffectiveDate", "Tag des Inkrafttretens"},
      {"cert_dialog.field.ExpirationDate", "Ablaufdatum"},
      {"cert_dialog.field.Validity", "Gültigkeit"},
      {"cert_dialog.field.Subject", "Betreff"},
      {"cert_dialog.field.Signature", "Unterschrift"},
      {"cert_dialog.field", "Feld"},
      {"cert_dialog.value", "Wert"},
      {"cert_dialog.close", "Schließen"},
      {"cert_dialog.close.acceleratorKey", new Integer(83)},
      {"net.authenticate.caption", "Passwort erforderlich - Netzwerk"},
      {"net.authenticate.label", "<html><b>Geben Sie Ihren Benutzernamen und Ihr Passwort ein:</b></html>"},
      {"net.authenticate.resource", "Ressource:"},
      {"net.authenticate.username", "Benutzername:"},
      {"net.authenticate.password", "Passwort:"},
      {"net.authenticate.firewall", "Firewall:"},
      {"net.authenticate.realm", "Bereich:"},
      {"net.authenticate.scheme", "Schema:"},
      {"net.authenticate.unknownSite", "Unbekannte Site"},
      {"console.caption", "Java-Konsole"},
      {"console.clear", "Löschen"},
      {"console.clear.acceleratorKey", new Integer(76)},
      {"console.close", "Schließen"},
      {"console.close.acceleratorKey", new Integer(83)},
      {"console.copy", "Kopieren"},
      {"console.copy.acceleratorKey", new Integer(75)},
      {"optpkg.cert_expired", "<html><b>Zertifikat abgelaufen</b></html>Installation des optionalen Pakets wurde abgebrochen.\n"},
      {"optpkg.cert_notyieldvalid", "<html><b>Zertifikat nicht gültig</b></html>Installation des optionalen Pakets wurde abgebrochen.\n"},
      {"optpkg.cert_notverify", "<html><b>Zertifikat nicht verifiziert</b></html>Installation des optionalen Pakets wurde abgebrochen.\n"},
      {"optpkg.general_error", "<html><b>Allgemeine Ausnahme</b></html>Installation des optionalen Pakets wurde abgebrochen.\n"},
      {"optpkg.caption", "Warnung - Optionales Paket"},
      {
            "optpkg.installer.launch.wait",
            "<html><b>Installation des optionalen Pakets</b></html>Klicken Sie auf OK, um mit dem Laden des Applets fortzufahren, wenn das Installationsprogramm des optionalen Pakets beendet ist.\n"
      },
      {"optpkg.installer.launch.caption", "Installation wird durchgeführt - Optionales Paket"},
      {
            "optpkg.prompt_user.new_spec.text",
            "<html><b>Download-Anforderung</b></html>Das Applet erfordert eine neuere Version (Spezifikation {0}) des optionalen Pakets \"{1}\" von {2}\n\nMöchten Sie fortfahren?"
      },
      {
            "optpkg.prompt_user.new_impl.text",
            "<html><b>Download-Anforderung</b></html>Das Applet erfordert eine neuere Version (Implementierung {0}) des optionalen Pakets \"{1}\" von {2}\n\nMöchten Sie fortfahren?"
      },
      {
            "optpkg.prompt_user.new_vendor.text",
            "<html><b>Download-Anforderung</b></html>Das Applet erfordert ({0}) des optionalen Pakets \"{1}\" {2} von {3}\n\nMöchten Sie fortfahren?"
      },
      {
            "optpkg.prompt_user.default.text",
            "<html><b>Download-Anforderung</b></html>Das Applet erfordert die Installation des optionalen Pakets \"{0}\" von {1}\n\nMöchten Sie fortfahren?"
      },
      {"rsa.cert_expired", "<html><b>Zertifikat abgelaufen</b></html>Code wird als nicht signiert behandelt.\n"},
      {"rsa.cert_notyieldvalid", "<html><b>Zertifikat nicht gültig</b></html>Code wird als nicht signiert behandelt.\n"},
      {"rsa.general_error", "<html><b>Zertifikat nicht verifiziert</b></html>Code wird als nicht signiert behandelt.\n"},
      {"usability.confirmDialogTitle", "Bestätigung erforderlich - Java"},
      {"usability.inputDialogTitle", "Informationen erforderlich - Java"},
      {"usability.messageDialogTitle", "Mitteilung - Java"},
      {"usability.exceptionDialogTitle", "Fehler - Java"},
      {"usability.optionDialogTitle", "Option - Java"},
      {"usability.aboutDialogTitle", "Info - Java"},
      {"usability.confirm.yes", "Ja"},
      {"usability.confirm.yes.acceleratorKey", new Integer(74)},
      {"usability.confirm.no", "Nein"},
      {"usability.confirm.no.acceleratorKey", new Integer(78)},
      {"usability.moreInfo", "Mehr Details"},
      {"usability.moreInfo.acceleratorKey", new Integer(77)},
      {"usability.lessInfo", "Weniger Details"},
      {"usability.lessInfo.acceleratorKey", new Integer(87)},
      {"usability.java.home.link", "http://www.java.com"},
      {"usability.general_error", "<html><b>Allgemeine Ausnahme</b></html>"},
      {"usability.net_error", "<html><b>Netzwerkausnahme</b></html>"},
      {"usability.security_error", "<html><b>Sicherheitsausnahme</b></html>"},
      {"usability.ext_error", "<html><b>Ausnahme des optionalen Pakets</b></html>"},
      {"usability.menu.show_console", "Java-Konsole anzeigen"},
      {"usability.menu.hide_console", "Java-Konsole verbergen"},
      {"usability.menu.about", "Anwendungsinfo Java Plug-in"},
      {"usability.menu.copy", "Kopieren"},
      {"usability.menu.open_console", "Java-Konsole öffnen"},
      {"usability.menu.about_java", "Anwendungsinfo Java(TM)"},
      {"proxy.error_caption", "Fehler - Proxy-Konfiguration"},
      {"proxy.prefsfile.nsreg_error", "<html><b>Proxy-Einstellungen können nicht abgerufen werden</b></html>Übergang zu anderer Proxy-Konfiguration.\n"},
      {"cache.error.text", "<html><b>Caching-Fehler</b></html>Im Cache können keine Dateien gespeichert oder aktualisiert werden."},
      {"cache.error.caption", "Fehler - Cache"},
      {"cache.version_format_error", "{0} hat nicht die Form xxxx.xxxx.xxxx.xxxx, wobei x eine hexadezimale Zahl ist"},
      {"cache.version_attrib_error", "Anzahl der in 'cache_archive' angegebenen Attribute entspricht nicht der Anzahl in 'cache_version'"},
      {
            "cache.header_fields_missing",
            "Wert für Datum der letzten Änderung und/oder Ablaufdatum ist nicht verfügbar.  Die Jar-Datei wird nicht in den Cache geschrieben."
      },
      {"applet.progress.load", "Applet wird geladen..."},
      {"applet.progress.init", "Applet wird initialisiert..."},
      {"applet.progress.start", "Applet wird gestartet..."},
      {"applet.progress.stop", "Applet wird angehalten..."},
      {"applet.progress.destroy", "Applet wird zerstört..."},
      {"applet.progress.dispose", "Applet wird verworfen..."},
      {"applet.progress.quit", "Applet wird beendet..."},
      {"applet.progress.stoploading", "Ladevorgang abgebrochen..."},
      {"applet.progress.interrupted", "Thread unterbrochen..."},
      {"applet.progress.joining", "Join für Applet-Thread wird ausgeführt..."},
      {"applet.progress.joined", "Join für Applet-Thread ausgeführt..."},
      {"applet.progress.loadImage", "Bild wird geladen "},
      {"applet.progress.loadAudio", "Audiodatei wird geladen "},
      {"applet.progress.findinfo.0", "Informationen werden gesucht..."},
      {"applet.progress.findinfo.1", "Fertig..."},
      {"applet.progress.timeout.wait", "Warten auf Timeout..."},
      {"applet.progress.timeout.jointing", "Join wird ausgeführt..."},
      {"applet.progress.timeout.jointed", "Join abgeschlossen..."},
      {"console.menu.text.top", "----------------------------------------------------\n"},
      {"console.menu.text.c", "c:   Konsolenfenster löschen\n"},
      {"console.menu.text.f", "f:   Objekte in Finalisierungswarteschlange finalisieren\n"},
      {"console.menu.text.g", "g:   Speicherbereinigung\n"},
      {"console.menu.text.h", "h:   Diese Hilfemeldung anzeigen\n"},
      {"console.menu.text.j", "j:   JCOV-Daten ausgeben\n"},
      {"console.menu.text.l", "l:   ClassLoader-Liste ausgeben\n"},
      {"console.menu.text.m", "m:   Speicherbelegung drucken\n"},
      {"console.menu.text.o", "o:   Protokollieren auslösen\n"},
      {"console.menu.text.p", "p:   Proxy-Konfiguration neu laden\n"},
      {"console.menu.text.q", "q:   Konsole ausblenden\n"},
      {"console.menu.text.r", "r:   Richtlinien-Konfiguration neu laden\n"},
      {"console.menu.text.s", "s:   Systemeigenschaften ausgeben\n"},
      {"console.menu.text.t", "t:   Threadliste ausgeben\n"},
      {"console.menu.text.v", "v:   Thread-Stack ausgeben\n"},
      {"console.menu.text.x", "x:   ClassLoader-Cache löschen\n"},
      {"console.menu.text.0", "0-5: Trace-Stufe auf <n> setzen\n"},
      {"console.menu.text.tail", "----------------------------------------------------\n"},
      {"console.done", "Fertig."},
      {"console.trace.level.0", "Trace-Stufe auf 0 (kein) setzen ... abgeschlossen."},
      {"console.trace.level.1", "Trace-Stufe auf 1 (einfach) setzen ... abgeschlossen."},
      {"console.trace.level.2", "Trace-Stufe auf 2 (einfach, Netz) setzen ... abgeschlossen."},
      {"console.trace.level.3", "Trace-Stufe auf 3 (einfach, Netz, Sicherheit) setzen ... abgeschlossen."},
      {"console.trace.level.4", "Trace-Stufe auf 4 (einfach, Netz, Sicherheit, erweitert) setzen ... abgeschlossen."},
      {"console.trace.level.5", "Trace-Stufe auf 5 (einfach, Netz, Sicherheit, erweitert, Live-Connect) setzen ... abgeschlossen."},
      {"console.log", "Protokollieren : "},
      {"console.completed", " .... abgeschlossen."},
      {"console.dump.thread", "Threadliste ausgeben...\n"},
      {"console.dump.stack", "Thread-Stack ausgeben...\n"},
      {"console.dump.properties", "Systemeigenschaften ausgeben...\n"},
      {"console.clear.classloader", "ClassLoader-Cache löschen... abgeschlossen."},
      {"console.reload.policy", "Richtlinien-Konfiguration neu laden"},
      {"console.reload.proxy", "Proxy-Konfiguration neu laden..."},
      {"console.gc", "Speicherbereinigung"},
      {"console.finalize", "Objekte in Finalisierungswarteschlange finalisieren"},
      {"console.memory", "Speicher: {0}K  Frei: {1}K  ({2}%)"},
      {"console.jcov.error", "JCOV-Laufzeitfehler: Prüfen Sie, ob Sie die richtige JCOV-Option angegeben haben.\n"},
      {"console.jcov.info", "Die JCOV-Daten wurden erfolgreich ausgegeben.\n"},
      {"modality.register", "Registrierter Modality-Listener"},
      {"modality.unregister", "Nicht registrierter Modality-Listener"},
      {"modality.pushed", "Modality-Push durchgeführt"},
      {"modality.popped", "Modality-Pop durchgeführt"},
      {"progress.listener.added", "Fortschritts-Listener hinzugefügt: {0}"},
      {"progress.listener.removed", "Fortschritts-Listener entfernt: {0}"},
      {"liveconnect.UniversalBrowserRead.enabled", "JavaScript: UniversalBrowserRead aktiviert"},
      {"liveconnect.java.system", "JavaScript: Java-Systemcode wird aufgerufen"},
      {"liveconnect.same.origin", "JavaScript: Aufrufer und Aufgerufener haben denselben Ursprung"},
      {"liveconnect.default.policy", "JavaScript: Standard-Sicherheitsrichtlinie = {0}"},
      {"liveconnect.UniversalJavaPermission.enabled", "JavaScript: UniversalJavaPermission aktiviert"},
      {"liveconnect.wrong.securitymodel", "Netscape-Sicherheitsmodell wird nicht mehr unterstützt.\nBitte stellen Sie auf das Java 2-Sicherheitsmodell um.\n"},
      {"jpicertstore.cert.loading", "JPI-Zertifikate werden geladen aus {0}"},
      {"jpicertstore.cert.loaded", "JPI-Zertifikate wurden geladen aus {0}"},
      {"jpicertstore.cert.saving", "JPI-Zertifikate werden gespeichert in {0}"},
      {"jpicertstore.cert.saved", "JPI-Zertifikate wurden gespeichert in {0}"},
      {"jpicertstore.cert.adding", "Zertifikat wird permanentem JPI-Zertifikatspeicher hinzugefügt"},
      {"jpicertstore.cert.added", "Zertifikat wurde permanentem JPI-Zertifikatspeicher hinzugefügt als Alias {0}"},
      {"jpicertstore.cert.removing", "Zertifikat wird aus permanentem JPI-Zertifikatspeicher entfernt"},
      {"jpicertstore.cert.removed", "Zertifikat wurde aus permanentem JPI-Zertifikatspeicher entfernt als Alias {0}"},
      {"jpicertstore.cert.instore", "Zertifikat wird im permanenten JPI-Zertifikatspeicher gesucht"},
      {"jpicertstore.cert.canverify", "Überprüfung, ob Zertifikat über Zertifikate im permanenten JPI-Zertifikatspeicher verifiziert werden kann"},
      {"jpicertstore.cert.iterator", "Zertifikat-Iterator aus permanentem JPI-Zertifikatspeicher abrufen"},
      {"jpicertstore.cert.getkeystore", "Schlüsselspeicher-Objekt des JPI-Zertifikatsspeichers abrufen"},
      {"jpihttpscertstore.cert.loading", "JPI-Https-Zertifikate werden geladen aus {0}"},
      {"jpihttpscertstore.cert.loaded", "JPI-Https-Zertifikate wurden geladen aus  {0}"},
      {"jpihttpscertstore.cert.saving", "JPI-Https-Zertifikate werden gespeichert in {0}"},
      {"jpihttpscertstore.cert.saved", "JPI-Https-Zertifikate wurden gespeichert in {0}"},
      {"jpihttpscertstore.cert.adding", "Https-Zertifikat wird permanentem JPI-Zertifikatspeicher hinzugefügt"},
      {"jpihttpscertstore.cert.added", "Https-Zertifikat wurde permanentem JPI-Zertifikatspeicher hinzugefügt als Alias {0}"},
      {"jpihttpscertstore.cert.removing", "Https-Zertifikat wird aus permanentem JPI-Zertifikatspeicher entfernt"},
      {"jpihttpscertstore.cert.removed", "Https-Zertifikat wurde aus permanentem JPI-Zertifikatspeicher entfernt als Alias {0}"},
      {"jpihttpscertstore.cert.instore", "Https-Zertifikat wird im permanenten JPI-Zertifikatspeicher gesucht"},
      {"jpihttpscertstore.cert.canverify", "Überprüfung, ob Zertifikat über Https-Zertifikate im permanenten JPI-Zertifikatspeicher verifiziert werden kann"},
      {"jpihttpscertstore.cert.iterator", "Https-Zertifikat-Iterator aus permanentem JPI-Zertifikatspeicher abrufen"},
      {"jpihttpscertstore.cert.getkeystore", "Schlüsselspeicher-Objekt des HTTPS-Zertifikatsspeichers abrufen"},
      {"rootcertstore.cert.loading", "Zertifizierungsstellen-Stammzertifikate werden geladen aus {0}"},
      {"rootcertstore.cert.loaded", "Zertifizierungsstellen-Stammzertifikate wurden geladen aus {0}"},
      {"rootcertstore.cert.noload", "Datei für Zertifizierungsstellen-Stammzertifikat wurde nicht gefunden: {0}"},
      {"rootcertstore.cert.saving", "Zertifizierungsstellen-Stammzertifikate werden gespeichert in {0}"},
      {"rootcertstore.cert.saved", "Zertifizierungsstellen-Stammzertifikate wurden gespeichert in {0}"},
      {"rootcertstore.cert.adding", "Zertifikat wird Zertifizierungsstellen-Stammzertifikatspeicher hinzugefügt"},
      {"rootcertstore.cert.added", "Zertifikat wurde Zertifizierungsstellen-Stammzertifikatspeicher hinzugefügt als Alias {0}"},
      {"rootcertstore.cert.removing", "Zertifikat wird aus Zertifizierungsstellen-Stammzertifikatspeicher entfernt"},
      {"rootcertstore.cert.removed", "Zertifikat wurde aus Zertifizierungsstellen-Stammzertifikatspeicher entfernt als Alias {0}"},
      {"rootcertstore.cert.instore", "Zertifikat wird in Zertifizierungsstellen-Stammzertifikatspeicher gesucht"},
      {"rootcertstore.cert.canverify", "Überprüfung, ob Zertifikat über Zertifikate in Zertifizierungsstellen-Stammzertifikatspeicher verifiziert werden kann"},
      {"rootcertstore.cert.iterator", "Zertifikat-Iterator aus Zertifizierungsstellen-Stammzertifikatspeicher abrufen"},
      {"rootcertstore.cert.getkeystore", "Schlüsselspeicher-Objekt des Zertifizierungsstellen-Stammzertifikatspeichers abrufen"},
      {"rootcertstore.cert.verify.ok", "Zertifikat wurde erfolgreich über Zertifizierungsstellen-Stammzertifikate verifiziert"},
      {"rootcertstore.cert.verify.fail", "Zertifikat konnte nicht über Zertifizierungsstellen-Stammzertifikate verifiziert werden"},
      {"rootcertstore.cert.tobeverified", "Zu verifizierendes Zertifikat:\n{0}"},
      {"rootcertstore.cert.tobecompared", "Zertifikat wird über Stammzertifikat verifiziert:\n{0}"},
      {"roothttpscertstore.cert.loading", "Zertifizierungsstellen-Https-Stammzertifikate werden geladen aus {0}"},
      {"roothttpscertstore.cert.loaded", "Zertifizierungsstellen-Https-Stammzertifikate wurden geladen aus {0}"},
      {"roothttpscertstore.cert.noload", "Datei für Zertifizierungsstellen-Https-Stammzertifikat wurde nicht gefunden: "},
      {"roothttpscertstore.cert.saving", "Zertifizierungsstellen-Https-Stammzertifikate werden gespeichert in {0}"},
      {"roothttpscertstore.cert.saved", "Zertifizierungsstellen-Https-Stammzertifikate wurden gespeichert in "},
      {"roothttpscertstore.cert.adding", "Zertifikat wird Zertifizierungsstellen-Https-Stammzertifikatspeicher hinzugefügt"},
      {"roothttpscertstore.cert.added", "Zertifikat wurde Zertifizierungsstellen-Https-Stammzertifikatspeicher hinzugefügt als Alias "},
      {"roothttpscertstore.cert.removing", "Zertifikat wird aus Zertifizierungsstellen-Https-Stammzertifikatspeicher entfernt"},
      {"roothttpscertstore.cert.removed", "Zertifikat wurde aus Zertifizierungsstellen-Https-Stammzertifikatspeicher entfernt als Alias "},
      {"roothttpscertstore.cert.instore", "Zertifikat wird in Zertifizierungsstellen-Https-Stammzertifikatspeicher gesucht"},
      {
            "roothttpscertstore.cert.canverify",
            "Überprüfung, ob Zertifikat über Zertifikate in Zertifizierungsstellen-Https-Stammzertifikatspeicher verifiziert werden kann"
      },
      {"roothttpscertstore.cert.iterator", "Zertifikat-Iterator aus Zertifizierungsstellen-Https-Stammzertifikatspeicher abrufen"},
      {"roothttpscertstore.cert.getkeystore", "Schlüsselspeicher-Objekt des Zertifizierungsstellen-HTTPS-Stammzertifikatsspeichers abrufen"},
      {"roothttpscertstore.cert.verify.ok", "Zertifikat wurde erfolgreich über Zertifizierungsstellen-Https-Stammzertifikate verifiziert"},
      {"roothttpscertstore.cert.verify.fail", "Zertifikat konnte nicht über Zertifizierungsstellen-Https-Stammzertifikate verifiziert werden"},
      {"roothttpscertstore.cert.tobeverified", "Zu verifizierendes Zertifikat:\n{0}"},
      {"roothttpscertstore.cert.tobecompared", "Zertifikat wird über Https-Stammzertifikat verifiziert:\n{0}"},
      {"sessioncertstore.cert.loading", "Zertifikate werden aus JPI-Sitzungs-Zertifikatspeicher geladen"},
      {"sessioncertstore.cert.loaded", "Zertifikate wurden aus JPI-Sitzungs-Zertifikatspeicher geladen"},
      {"sessioncertstore.cert.saving", "Zertifikate werden in JPI-Sitzungs-Zertifikatspeicher gespeichert"},
      {"sessioncertstore.cert.saved", "Zertifikate wurden in JPI-Sitzungs-Zertifikatspeicher gespeichert"},
      {"sessioncertstore.cert.adding", "Zertifikat wird JPI-Sitzungs-Zertifikatspeicher hinzugefügt"},
      {"sessioncertstore.cert.added", "Zertifikat wurde JPI-Sitzungs-Zertifikatspeicher hinzugefügt"},
      {"sessioncertstore.cert.removing", "Zertifikat wird aus JPI-Sitzungs-Zertifikatspeicher entfernt"},
      {"sessioncertstore.cert.removed", "Zertifikat wurde aus JPI-Sitzungs-Zertifikatspeicher entfernt"},
      {"sessioncertstore.cert.instore", "Zertifikat wird in JPI-Sitzungs-Zertifikatspeicher gesucht"},
      {"sessioncertstore.cert.canverify", "Überprüfung, ob Zertifikat über Zertifikate in JPI-Sitzungs-Zertifikatspeicher verifiziert werden kann"},
      {"sessioncertstore.cert.iterator", "Zertifikat-Iterator aus JPI-Sitzungs-Zertifikatspeicher abrufen"},
      {"sessioncertstore.cert.getkeystore", "Schlüsselspeicher-Objekt des JPI-Sitzungs-Zertifikatsspeichers abrufen"},
      {"hostnameverifier.automation.ignoremismatch", "Automatisierung: Hostname-Konflikt ignorieren"},
      {"pluginclassloader.created_files", "{0} wurde im Cache erstellt."},
      {"pluginclassloader.deleting_files", "JAR-Dateien werden aus Cache gelöscht."},
      {"pluginclassloader.file", "   Löschen aus Cache {0}"},
      {"pluginclassloader.empty_file", "{0} ist leer und wird aus Cache gelöscht."},
      {"trustdecider.check.basicconstraints", "Prüfung der grundlegenden Einschränkungen im Zertifikat fehlgeschlagen"},
      {"trustdecider.check.leafkeyusage", "Prüfung der Verwendung des Blattschlüssels im Zertifikat fehlgeschlagen"},
      {"trustdecider.check.signerkeyusage", "Prüfung der Verwendung des Signiererschlüssels im Zertifikat fehlgeschlagen"},
      {"trustdecider.check.extensions", "Prüfung der kritischen Erweiterungen im Zertifikat fehlgeschlagen"},
      {"trustdecider.check.signature", "Prüfung der Signatur im Zertifikat fehlgeschlagen"},
      {"trustdecider.check.basicconstraints.certtypebit", "Prüfung des Netscape-Typbits im Zertifikat fehlgeschlagen"},
      {"trustdecider.check.basicconstraints.extensionvalue", "Prüfung des Werts für die Netscape-Erweiterung im Zertifikat fehlgeschlagen"},
      {"trustdecider.check.basicconstraints.bitvalue", "Prüfung der Werte für die Netscape-Bits 5, 6 und 7 im Zertifikat fehlgeschlagen"},
      {"trustdecider.check.basicconstraints.enduser", "Prüfung, ob der Endbenutzer als Zertifizierungsstelle fungiert, im Zertifikat fehlgeschlagen"},
      {"trustdecider.check.basicconstraints.pathlength", "Prüfung der Pfadlängeneinschränkungen im Zertifikat fehlgeschlagen"},
      {"trustdecider.check.leafkeyusage.length", "Prüfung der Länge der Schlüsselverwendung im Zertifikat fehlgeschlagen"},
      {"trustdecider.check.leafkeyusage.digitalsignature", "Prüfung der digitalen Signatur im Zertifikat fehlgeschlagen"},
      {"trustdecider.check.leafkeyusage.extkeyusageinfo", "Prüfung der Verwendungsinformationen für den Erweiterungsschlüssel im Zertifikat fehlgeschlagen"},
      {"trustdecider.check.leafkeyusage.certtypebit", "Prüfung des Netscape-Typbits im Zertifikat fehlgeschlagen"},
      {"trustdecider.check.signerkeyusage.lengthandbit", "Prüfung der Länge und des Bits im Zertifikat fehlgeschlagen"},
      {"trustdecider.check.signerkeyusage.keyusage", "Prüfung der Schlüsselverwendung im Zertifikat fehlgeschlagen"},
      {"trustdecider.check.canonicalize.updatecert", "Stammzertifikat mit Zertifikat in Datei \"cacerts\" aktualisieren"},
      {"trustdecider.check.canonicalize.missing", "Fehlendes Stammzertifikat hinzufügen"},
      {"trustdecider.check.gettrustedcert.find", "Die gültige Stamm-Zertifizierungsstelle in Datei \"cacerts\" suchen"},
      {"trustdecider.check.gettrustedissuercert.find", "Die fehlende gültige Stamm-Zertifizierungsstelle in Datei \"cacerts\" suchen"},
      {"trustdecider.user.grant.session", "Berechtigungen für den Code wurden vom Benutzer nur für diese Sitzung gewährt"},
      {"trustdecider.user.grant.forever", "Berechtigungen für den Code wurden vom Benutzer unbegrenzt gewährt"},
      {"trustdecider.user.deny", "Berechtigungen für den Code wurden vom Benutzer nicht gewährt"},
      {"trustdecider.automation.trustcert", "Automatisierung: RSA-Zertifikat zum Signieren vertrauen"},
      {"x509trustmgr.automation.ignoreclientcert", "Automatisierung: Nicht als vertrauenswürdig eingestuftes Client-Zertifikat ignorieren"},
      {"x509trustmgr.automation.ignoreservercert", "Automatisierung: Nicht als vertrauenswürdig eingestuftes Server-Zertifikat ignorieren"},
      {"appletcontext.audio.loaded", "Audio-Clip geladen:{0} "},
      {"appletcontext.image.loaded", "Bild geladen: {0}"},
      {"securitymgr.automation.printing", "Automatisierung: Drucken akzeptieren"},
      {"classloaderinfo.referencing", "ClassLoader wird referenziert: {0}, refcount={1}"},
      {"classloaderinfo.releasing", "ClassLoader wird freigegeben: {0}, refcount={1}"},
      {"classloaderinfo.caching", "ClassLoader wird im Cache abgelegt: {0}"},
      {"classloaderinfo.cachesize", "Aktuelle Größe des ClassLoader-Cache: {0}"},
      {"classloaderinfo.num", "Anzahl der ClassLoader im Cache größer als {0}, Referenz aufheben {1}"},
      {"trace.listener.added", "Trace-Listener hinzugefügt: {0}"},
      {"trace.listener.removed", "Trace-Listener entfernt: {0}"},
      {"cookiehandler.cache", "Cookie-Cache: "},
      {"cookiehandler.server", "Server {0} sendet Anfrage nach Set-Cookie mit \"{1}\""},
      {"cookiehandler.connect", "Verbindung {0} mit Cookie \"{1}\""},
      {"cookiehandler.ignore.setcookie", "Cookie-Service nicht verfügbar - ignorieren \"Set-Cookie\""},
      {"cookiehandler.noservice", "Cookie-Service nicht verfügbar - Cache verwenden zum Ermitteln von \"Cookie\""},
      {"jsobject.eval", "Bewerten {0} = {1}"},
      {"jsobject.call", "JSObject::call: Name={0}, URL={1}, Erlaubnis={2}"},
      {"jsobject.eval.url.permission", "JSObject::eval({0}), URL={1}, Erlaubnis={2}"},
      {"jsobject.getMember", "JSObject::getMember: Name={0}, URL={1}, Erlaubnis={2}"},
      {"jsobject.setMember", "JSObject::setMember: Name={0}, URL={1}, Erlaubnis={2}"},
      {"jsobject.removeMember", "JSObject::removeMember: Name={0}, URL={1}, Erlaubnis={2}"},
      {"jsobject.getSlot", "JSObject::getSlot: {0}, URL={1}, Erlaubnis={2}"},
      {"jsobject.setSlot", "JSObject::setSlot: Slot={0}, URL={1}, Erlaubnis={2}"},
      {"applet_install.ok", "Applet-Installation abgeschlossen"},
      {"applet_install.fail", "Applet-Installation fehlgeschlagen"},
      {"optpkg.install.info", "Optionales Paket wird installiert {0}"},
      {"optpkg.install.fail", "Installation von optionalem Paket fehlgeschlagen."},
      {"optpkg.install.ok", "Installation von optionalem Paket erfolgreich."},
      {"optpkg.install.automation", "Automatisierung: Installation von optionalem Paket akzeptieren"},
      {"optpkg.install.granted", "Download von optionalem Paket vom Benutzer gewährt, Download von {0}"},
      {"optpkg.install.deny", "Download von optionalem Paket vom Benutzer nicht gewährt"},
      {"optpkg.install.begin", "Installieren "},
      {"optpkg.install.java.launch", "Java-Installationsprogramm wird gestartet"},
      {"optpkg.install.java.launch.command", "Java-Installationsprogramm wird gestartet durch {0}"},
      {"optpkg.install.native.launch", "Natives Installationsprogramm wird gestartet"},
      {"optpkg.install.native.launch.fail.0", "Ausführen von {0} nicht möglich"},
      {"optpkg.install.native.launch.fail.1", "Zugriff auf {0} fehlgeschlagen"},
      {"optpkg.install.raw.launch", "Optionales Raw-Paket wird installiert"},
      {"optpkg.install.raw.copy", "Optionales Raw-Paket wird kopiert von {0} nach {1}"},
      {
            "optpkg.install.error.nomethod",
            "Dependent Extension Provider nicht installiert : Methode  addExtensionInstallationProvider kann nicht abgerufen werden"
      },
      {"optpkg.install.error.noclass", "Dependent Extension Provider nicht installiert : Klasse sun.misc.ExtensionDependency kann nicht abgerufen werden"},
      {"dialogfactory.user.selected", "Benutzerauswahl: {0}"},
      {"dialogfactory.user.typed", "Benutzereingabe: {0}"},
      {"progress_dialog.downloading", "Plug-in: Download-Vorgang läuft..."},
      {"progress_dialog.dismiss_button", "Verwerfen"},
      {"progress_dialog.dismiss_button.acceleratorKey", new Integer(86)},
      {"progress_dialog.from", "aus"},
      {"applet_viewer.color_tag", "Falsche Anzahl von Komponenten in {0}"},
      {"progress_info.downloading", "Download von JAR-Dateien"},
      {"progress_bar.preload", "JAR-Dateien werden geladen: {0}"},
      {"cache.size", "Cache-Größe: {0}"},
      {"cache.cleanup", "Größe des Cache ist: {0} Byte, Bereinigung erforderlich"},
      {"cache.full", "Cache ist voll: Datei {0} wird gelöscht"},
      {"cache.inuse", "Datei {0} kann nicht gelöscht werden, da sie von dieser Anwendung verwendet wird"},
      {"cache.notdeleted", "Datei {0} kann nicht gelöscht werden, da sie möglicherweise von dieser und/oder anderen Anwendungen verwendet wird"},
      {"cache.out_of_date", "Kopie von {0} im Cache ist nicht aktuell\n  Kopie im Cache: {1}\n  Kopie auf dem Server: {2}"},
      {"cache.loading", "{0} wird aus dem Cache geladen"},
      {"cache.cache_warning", "ACHTUNG: {0} kann nicht im Cache gespeichert werden"},
      {"cache.downloading", "Download von {0} in Cache"},
      {"cache.cached_name", "Name der Datei im Cache: {0}"},
      {"cache.load_warning", "ACHTUNG: Fehler beim Lesen von {0} aus Cache."},
      {"cache.disabled", "Cache vom Benutzer deaktiviert"},
      {"cache.minSize", "Cache ist deaktiviert, Cache-Grenze auf {0} gesetzt, mindestens 5 MB sollten angegeben werden"},
      {"cache.directory_warning", "ACHTUNG: {0} ist kein Verzeichnis. Cache wird deaktiviert."},
      {"cache.response_warning", "ACHTUNG: Unerwartete Antwort {0} für {1}.  Die Datei wird erneut heruntergeladen."},
      {"cache.enabled", "Cache ist aktiviert"},
      {"cache.location", "Standort: {0}"},
      {"cache.maxSize", "Maximale Größe: {0}"},
      {"cache.create_warning", "ACHTUNG: Cache-Verzeichnis {0} konnte nicht erstellt werden.  Caching wird deaktiviert."},
      {"cache.read_warning", "ACHTUNG: Cache-Verzeichnis {0} kann nicht gelesen werden.  Caching wird deaktiviert."},
      {"cache.write_warning", "ACHTUNG: In Cache-Verzeichnis {0} kann nicht geschrieben werden.  Caching wird deaktiviert."},
      {"cache.compression", "Kompressionsstufe: {0}"},
      {"cache.cert_load", "Zertifikat für {0} wird aus JAR-Cache gelesen"},
      {"cache.jarjar.invalid_file", "Datei .jarjar enthält eine Datei, die keine .jar-Datei ist"},
      {"cache.jarjar.multiple_jar", "Datei .jarjar enthält mehr als eine .jar-Datei"},
      {"cache.version_checking", "Version wird überprüft für {0}, angegebene Version ist {1}"},
      {"cache.preloading", "Datei {0} wird geladen"},
      {"cache_viewer.caption", "Details - Cache"},
      {"cache_viewer.refresh", "Aktualisieren"},
      {"cache_viewer.refresh.acceleratorKey", new Integer(65)},
      {"cache_viewer.remove", "Löschen"},
      {"cache_viewer.remove.acceleratorKey", new Integer(76)},
      {"cache_viewer.close", "Schließen"},
      {"cache_viewer.close.acceleratorKey", new Integer(83)},
      {"cache_viewer.name", "Name"},
      {"cache_viewer.type", "Typ"},
      {"cache_viewer.size", "Größe"},
      {"cache_viewer.modify_date", "Letzte Änderung"},
      {"cache_viewer.expiry_date", "Ablaufdatum"},
      {"cache_viewer.url", "URL"},
      {"cache_viewer.version", "Version"},
      {"cache_viewer.help.name", "Name der Datei im Cache"},
      {"cache_viewer.help.type", "Typ der Datei im Cache"},
      {"cache_viewer.help.size", "Größe der Datei im Cache"},
      {"cache_viewer.help.modify_date", "Datum der letzten Änderung der Datei im Cache"},
      {"cache_viewer.help.expiry_date", "Ablaufdatum der Datei im Cache"},
      {"cache_viewer.help.url", "URL für Download der Datei im Cache"},
      {"cache_viewer.help.version", "Version der Datei im Cache"},
      {"cache_viewer.delete.text", "<html><b>Datei nicht gelöscht</b></html>{0} wird möglicherweise verwendet.\n"},
      {"cache_viewer.delete.caption", "Fehler - Cache"},
      {"cache_viewer.type.zip", "Jar"},
      {"cache_viewer.type.class", "Klasse"},
      {"cache_viewer.type.wav", "Wav-Sound"},
      {"cache_viewer.type.au", "Au-Sound"},
      {"cache_viewer.type.gif", "Gif-Bild"},
      {"cache_viewer.type.jpg", "Jpeg-Bild"},
      {"net.proxy.loading.ie", "Proxy-Konfiguration wird aus Internet Explorer geladen..."},
      {"net.proxy.loading.ns", "Proxy-Konfiguration wird aus Netscape Navigator geladen..."},
      {"net.proxy.loading.userdef", "Benutzerdefinierte Proxy-Konfiguration wird geladen..."},
      {"net.proxy.loading.direct", "Direkte Proxy-Konfiguration wird geladen..."},
      {"net.proxy.loading.manual", "Manuelle Proxy-Konfiguration wird geladen..."},
      {"net.proxy.loading.auto", "Automatische Proxy-Konfiguration wird geladen..."},
      {"net.proxy.loading.browser", "Browser-Proxy-Konfiguration wird geladen..."},
      {"net.proxy.loading.manual.error", "Manuelle Proxy-Konfiguration kann nicht verwendet werden - Rückgriff auf DIREKTE"},
      {"net.proxy.loading.auto.error", "Automatische Proxy-Konfiguration kann nicht verwendet werden - Rückgriff auf MANUELLE"},
      {"net.proxy.loading.done", "Fertig."},
      {"net.proxy.browser.pref.read", "Datei mit Benutzereinstellungen wird geladen von {0}"},
      {"net.proxy.browser.proxyEnable", "\tProxy aktivieren: {0}"},
      {"net.proxy.browser.proxyList", "\tProxy-Liste:{0} "},
      {"net.proxy.browser.proxyOverride", "\tProxy-Überschreibungen: {0}"},
      {"net.proxy.browser.autoConfigURL", "\tAutokonfigurations-URL: {0}"},
      {"net.proxy.browser.smartConfig", "Proxy-Server {0} an Port {1} anpingen"},
      {"net.proxy.browser.connectionException", "Proxy-Server {0} an Port {1} kann nicht erreicht werden "},
      {"net.proxy.ns6.regs.exception", "Fehler beim Lesen der Registrierungsdatei: {0}"},
      {"net.proxy.pattern.convert", "Umwandeln von Proxy-Umgehungsliste in regulären Ausdruck: "},
      {"net.proxy.pattern.convert.error", "Proxy-Umgehungsliste konnte nicht in regulären Ausdruck umgewandelt werden - Ignorieren"},
      {"net.proxy.auto.download.ins", "INS-Datei wird heruntergeladen von {0}"},
      {"net.proxy.auto.download.js", "Automatische Proxy-Datei wird heruntergeladen von {0}"},
      {"net.proxy.auto.result.error", "Proxy-Einstellungen konnten nicht durch Auswertung bestimmt werden - Rückgriff auf DIREKTE"},
      {"net.proxy.service.not_available", "Proxy-Dienst nicht verfügbar für {0} - Rückgriff auf DIREKTE"},
      {"lifecycle.applet.found", "Zuvor angehaltenes Applet aus dem Lebenszyklus-Cache wurde gefunden"},
      {"lifecycle.applet.support", "Applet unterstützt Legacy-Lebenszyklusmodell - Applet dem Lebenszyklus-Cache hinzufügen"},
      {"lifecycle.applet.cachefull", "Lebenszyklus-Cache ist voll - die am längsten nicht verwendeten Applets entfernen"},
      {"com.method.ambiguous", "Methode kann nicht ausgewählt werden, keine eindeutigen Parameter"},
      {"com.method.notexists", "{0} :Methode nicht vorhanden"},
      {"com.notexists", "{0} :Methode/Eigenschaft nicht vorhanden"},
      {"com.method.invoke", "Methode wird gestartet: {0}"},
      {"com.method.jsinvoke", "JS-Methode wird gestartet: {0}"},
      {"com.method.argsTypeInvalid", "Die Parameter konnten nicht zu den erforderlichen Typen konvertiert werden"},
      {"com.method.argCountInvalid", "Anzahl der Argumente nicht korrekt"},
      {"com.field.needsConversion", "Muss konvertiert werden: {0} --> {1}"},
      {"com.field.typeInvalid", " kann nicht konvertiert werden zu Typ: {0}"},
      {"com.field.get", "Eigenschaft wird gelesen: {0}"},
      {"com.field.set", "Eigenschaft wird festgelegt: {0}"},
      {"about.java.version", "Version {0} (Build {1})"},
      {"about.prompt.info", "Weitere Informationen zur Java-Technologie und interessanten Java-Applikationen erhalten Sie unter"},
      {"about.home.link", "http://www.java.com"},
      {"about.option.close", "Schließen"},
      {"about.option.close.acceleratorKey", new Integer(83)},
      {"about.legal.note", "Copyright 2006 Sun Microsystems, Inc. Alle Rechte vorbehalten. Die Verwendung unterliegt den Lizenzbestimmungen."},
      {"autoupdatecheck.buttonYes", "Ja"},
      {"autoupdatecheck.buttonYes.acceleratorKey", new Integer(74)},
      {"autoupdatecheck.buttonNo", "Nein"},
      {"autoupdatecheck.buttonNo.acceleratorKey", new Integer(78)},
      {"autoupdatecheck.buttonAskLater", "Später fragen"},
      {"autoupdatecheck.buttonAskLater.acceleratorKey", new Integer(83)},
      {"autoupdatecheck.caption", "Automatisch nach Aktualisierungen suchen"},
      {
            "autoupdatecheck.message",
            "Java Update kann Ihre Java-Software automatisch aktualisieren, sobald neue Versionen verfügbar werden. Möchten Sie diesen Dienst aktivieren?"
      }
   };

   public Object[][] getContents() {
      return contents;
   }
}
