package sun.plugin.resources;

import java.util.ListResourceBundle;

public class Activator_fr extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"panel.caption", "Panneau de commande Java Plug-in(TM)"},
      {"product_name", "Plug-in Java(TM)"},
      {"version", "Version"},
      {"default_vm_version", "Version implicite de la machine virtuelle"},
      {"using_jre_version", "Utilisation de la version JRE"},
      {"user_home_dir", "Répertoire d'accueil de l'utilisateur"},
      {"user_overriden_browser", "L'utilisateur a écrasé les paramètres de proxy du navigateur."},
      {"proxy_configuration", "Configuration du proxy : "},
      {"browser_config", "Configuration du proxy du navigateur"},
      {"auto_config", "Configuration automatique du proxy"},
      {"manual_config", "Configuration manuelle"},
      {"no_proxy", "Aucun proxy"},
      {"proxy_is", "Proxy : "},
      {"proxy_override_is", "Remplacement du proxy : "},
      {"loading", "Chargement de {0}"},
      {"java_applet", "Applet Java"},
      {"failed", "Echec de chargement de l'Applet Java..."},
      {"image_failed", "Echec de création d'une image définie par l'utilisateur.  Vérifiez le nom de fichier de l'image."},
      {"java_bean", "JavaBeans"},
      {"java_not_enabled", "Java n'est pas activé"},
      {"exception", "Exception : {0}"},
      {"net.connect.no_proxy", "Connexion {0} sans proxy"},
      {"net.connect.proxy_is", "Connexion {0} avec proxy={1}"},
      {"bean_code_and_ser", "CODE et JAVA_OBJECT ne peuvent pas être définis à la fois pour Bean "},
      {"status_applet", "Applet {0} [1}"},
      {"print.caption", "Confirmation requise - Impression"},
      {"print.message", new String[]{"<html><b>Demande d'impression</b></html>L'applet souhaite imprimer. Voulez-vous continuer ?"}},
      {"print.checkBox", "Ne plus afficher cette boîte de dialogue"},
      {"print.buttonYes", "Oui"},
      {"print.buttonYes.acceleratorKey", new Integer(79)},
      {"print.buttonNo", "Non"},
      {"print.buttonNo.acceleratorKey", new Integer(78)},
      {"https_dialog.caption", "Avertissement - HTTPS"},
      {
            "https_dialog.text",
            "<html><b>Discordance du nom d''hôte</b></html>Le nom d''hôte figurant dans le certificat de sécurité du serveur ne correspond pas au nom du serveur.\n\nNom d''hôte de l''URL : {0}\nNom d''hôte du certificat : {1}\n\nVoulez-vous continuer ?"
      },
      {"https_dialog.unknown.host", "Hôte inconnu"},
      {"security_dialog.caption", "Avertissement - Sécurité"},
      {"security_dialog.text0", "Voulez-vous accepter l''applet signé distribué par \"{0}\"?\n\nAuthenticité de l''éditeur vérifiée par \"{1}\""},
      {
            "security_dialog_https.text0",
            "Acceptez-vous le certificat du site Web \"{0}\" en vue d''un échange d''informations cryptées ?\n\nAuthenticité de l''éditeur vérifiée par \"{1}\""
      },
      {
            "security_dialog.text1",
            "\nAttention : \"{0}\" atteste que ce contenu est \nsûr. Vous ne devriez accepter ce contenu que si vous estimez que \"{1}\" est digne de confiance.\n\n"
      },
      {"security_dialog.unknown.issuer", "Emetteur inconnu"},
      {"security_dialog.unknown.subject", "Sujet inconnu"},
      {"security_dialog.certShowName", "{0}({1})"},
      {"security_dialog.rootCANotValid", "Le certificat de sécurité a été émis par une société qui n'est pas digne de confiance."},
      {"security_dialog.rootCAValid", "Le certificat de sécurité a été émis par une société qui est digne de confiance."},
      {"security_dialog.timeNotValid", "Le certificat de sécurité a expiré ou n'est pas encore valide."},
      {"security_dialog.timeValid", "Le certificat de sécurité n'a pas expiré et est encore valide."},
      {"security_dialog.buttonAlways", "Toujours"},
      {"security_dialog.buttonAlways.acceleratorKey", new Integer(84)},
      {"security_dialog.buttonYes", "Oui"},
      {"security_dialog.buttonYes.acceleratorKey", new Integer(79)},
      {"security_dialog.buttonNo", "Non"},
      {"security_dialog.buttonNo.acceleratorKey", new Integer(78)},
      {"security_dialog.buttonViewCert", "Plus de détails"},
      {"security_dialog.buttonViewCert.acceleratorKey", new Integer(80)},
      {"cert_dialog.caption", "Détails - Certificat"},
      {"cert_dialog.certpath", "Chemin d'accès du certificat"},
      {"cert_dialog.field.Version", "Version"},
      {"cert_dialog.field.SerialNumber", "Numéro de série"},
      {"cert_dialog.field.SignatureAlg", "Algorithme de signature"},
      {"cert_dialog.field.Issuer", "Emetteur"},
      {"cert_dialog.field.EffectiveDate", "Date effective"},
      {"cert_dialog.field.ExpirationDate", "Date d'expiration"},
      {"cert_dialog.field.Validity", "Validité"},
      {"cert_dialog.field.Subject", "Sujet"},
      {"cert_dialog.field.Signature", "Signature"},
      {"cert_dialog.field", "Champ"},
      {"cert_dialog.value", "Valeur"},
      {"cert_dialog.close", "Fermer"},
      {"cert_dialog.close.acceleratorKey", new Integer(70)},
      {"net.authenticate.caption", "Mot de passe requis - Gestion de réseau"},
      {"net.authenticate.label", "<html><b>Entrez vos nom d'utilisateur et mot de passe :</b></html>"},
      {"net.authenticate.resource", "Ressource :"},
      {"net.authenticate.username", "Nom d'utilisateur :"},
      {"net.authenticate.password", "Mot de passe :"},
      {"net.authenticate.firewall", "Pare-feu :"},
      {"net.authenticate.realm", "Domaine :"},
      {"net.authenticate.scheme", "Plan :"},
      {"net.authenticate.unknownSite", "Site inconnu"},
      {"console.caption", "Console Java"},
      {"console.clear", "Effacer"},
      {"console.clear.acceleratorKey", new Integer(69)},
      {"console.close", "Fermer"},
      {"console.close.acceleratorKey", new Integer(70)},
      {"console.copy", "Copier"},
      {"console.copy.acceleratorKey", new Integer(67)},
      {"optpkg.cert_expired", "<html><b>Le certificat a expiré</b></html>L'installation du package facultatif a été abandonnée.\n"},
      {"optpkg.cert_notyieldvalid", "<html><b>Le certificat n'est pas valide</b></html>L'installation du package facultatif a été abandonnée.\n"},
      {"optpkg.cert_notverify", "<html><b>Le certificat n'a pas été vérifié</b></html>L'installation du package facultatif a été abandonnée.\n"},
      {"optpkg.general_error", "<html><b>Exception générale</b></html>L'installation du package facultatif a été abandonnée.\n"},
      {"optpkg.caption", "Avertissement - Package facultatif"},
      {
            "optpkg.installer.launch.wait",
            "<html><b>Installation du package facultatif en cours</b></html>Cliquez sur OK pour continuer le chargement de l'applet après l'arrêt du programme d'installation du package facultatif.\n"
      },
      {"optpkg.installer.launch.caption", "Installation en cours - Package facultatif"},
      {
            "optpkg.prompt_user.new_spec.text",
            "<html><b>Demande de téléchargement</b></html>L''applet requiert une version plus récente (spécification {0}) du package facultatif \"{1}\" à partir de {2}\n\nVoulez-vous continuer ?"
      },
      {
            "optpkg.prompt_user.new_impl.text",
            "<html><b>Demande de téléchargement</b></html>L''applet requiert une version plus récente (implémentation {0}) du package facultatif \"{1}\" à partir de {2}\n\nVoulez-vous continuer ?"
      },
      {
            "optpkg.prompt_user.new_vendor.text",
            "<html><b>Demande de téléchargement</b></html>L''applet requiert ({0})du package facultatif \"{1}\" {2} à partir de {3}\n\nVoulez-vous continuer ?"
      },
      {
            "optpkg.prompt_user.default.text",
            "<html><b>Demande de téléchargement</b></html>L''applet requiert l''installation du package facultatif \"{0}\" à partir de {1}\n\nVoulez-vous continuer ?"
      },
      {"rsa.cert_expired", "<html><b>Le certificat a expiré</b></html>Le code sera considéré comme étant non signé.\n"},
      {"rsa.cert_notyieldvalid", "<html><b>Le certificat n'est pas valide</b></html>Le code sera considéré comme étant non signé.\n"},
      {"rsa.general_error", "<html><b>Le certificat n'a pas été vérifié</b></html>Le code sera considéré comme étant non signé.\n"},
      {"usability.confirmDialogTitle", "Confirmation requise - Java"},
      {"usability.inputDialogTitle", "Informations requises - Java"},
      {"usability.messageDialogTitle", "Message - Java"},
      {"usability.exceptionDialogTitle", "Erreur - Java"},
      {"usability.optionDialogTitle", "Option - Java"},
      {"usability.aboutDialogTitle", "À propos de - Java"},
      {"usability.confirm.yes", "Oui"},
      {"usability.confirm.yes.acceleratorKey", new Integer(79)},
      {"usability.confirm.no", "Non"},
      {"usability.confirm.no.acceleratorKey", new Integer(78)},
      {"usability.moreInfo", "Plus de détails"},
      {"usability.moreInfo.acceleratorKey", new Integer(80)},
      {"usability.lessInfo", "Moins de détails"},
      {"usability.lessInfo.acceleratorKey", new Integer(77)},
      {"usability.java.home.link", "http://www.java.com"},
      {"usability.general_error", "<html><b>Exception générale</b></html>"},
      {"usability.net_error", "<html><b>Exception de gestion de réseau</b></html>"},
      {"usability.security_error", "<html><b>Exception de sécurité</b></html>"},
      {"usability.ext_error", "<html><b>Exception de package facultatif</b></html>"},
      {"usability.menu.show_console", "Afficher la console Java"},
      {"usability.menu.hide_console", "Masquer la console Java"},
      {"usability.menu.about", "À propos du plug-in Java"},
      {"usability.menu.copy", "Copier"},
      {"usability.menu.open_console", "Ouvrir la console Java"},
      {"usability.menu.about_java", "À propos de Java(TM)"},
      {"proxy.error_caption", "Erreur - Configuration du proxy"},
      {"proxy.prefsfile.nsreg_error", "<html><b>Impossible de récupérer les paramètres du proxy</b></html>Basculement vers une autre configuration du proxy.\n"},
      {"cache.error.text", "<html><b>Erreur de mise en cache</b></html>Impossible de stocker ou de mettre à jour des fichiers dans le cache."},
      {"cache.error.caption", "Erreur - Cache"},
      {"cache.version_format_error", "{0} n''a pas le format xxxx.xxxx.xxxx.xxxx, où x est un nombre hexadécimal"},
      {"cache.version_attrib_error", "Le nombre d'attributs spécifié dans 'cache_archive' ne correspond pas à celui de 'cache_version'"},
      {
            "cache.header_fields_missing",
            "L'heure de la dernière modification et/ou le délai d'expiration n'est pas disponible.  Le fichier Jar ne sera pas mis en cache."
      },
      {"applet.progress.load", "Chargement de l'applet..."},
      {"applet.progress.init", "Initialisation de l'applet..."},
      {"applet.progress.start", "Démarrage de l'applet..."},
      {"applet.progress.stop", "Arrêt de l'applet..."},
      {"applet.progress.destroy", "Destruction de l'applet..."},
      {"applet.progress.dispose", "Elimination de l'applet..."},
      {"applet.progress.quit", "Sortie de l'applet..."},
      {"applet.progress.stoploading", "Chargement arrêté..."},
      {"applet.progress.interrupted", "Thread interrompu..."},
      {"applet.progress.joining", "Jointure du thread d'applet..."},
      {"applet.progress.joined", "Thread d'applet joint..."},
      {"applet.progress.loadImage", "Chargement d'image "},
      {"applet.progress.loadAudio", "Chargement audio "},
      {"applet.progress.findinfo.0", "Recherche d'informations..."},
      {"applet.progress.findinfo.1", "Terminé..."},
      {"applet.progress.timeout.wait", "Attente de fin de délai..."},
      {"applet.progress.timeout.jointing", "Jointure en cours..."},
      {"applet.progress.timeout.jointed", "Jointure terminée..."},
      {"console.menu.text.top", "----------------------------------------------------\n"},
      {"console.menu.text.c", "c:   effacer la fenêtre de la console\n"},
      {"console.menu.text.f", "f:   finaliser les objets de la file d'attente de finalisation\n"},
      {"console.menu.text.g", "g:   libérer la mémoire\n"},
      {"console.menu.text.h", "h:   afficher ce message d'aide\n"},
      {"console.menu.text.j", "j: vider les données jcov\n"},
      {"console.menu.text.l", "l:   vider la liste de chargeurs de classes\n"},
      {"console.menu.text.m", "m:   imprimer le relevé d'utilisation de la mémoire\n"},
      {"console.menu.text.o", "o:   déclencher la consignation\n"},
      {"console.menu.text.p", "p:   recharger la configuration du proxy\n"},
      {"console.menu.text.q", "q:   masquer la console\n"},
      {"console.menu.text.r", "r:   recharger la configuration des politiques\n"},
      {"console.menu.text.s", "s:   vider les propriétés système\n"},
      {"console.menu.text.t", "t:   vider la liste des threads\n"},
      {"console.menu.text.v", "v:   vider la pile des threads\n"},
      {"console.menu.text.x", "x:   effacer le cache de chargeurs de classes\n"},
      {"console.menu.text.0", "0-5: fixer le niveau de traçage à <n>\n"},
      {"console.menu.text.tail", "----------------------------------------------------\n"},
      {"console.done", "Terminé."},
      {"console.trace.level.0", "Niveau de traçage fixé à 0 : aucun ... terminé."},
      {"console.trace.level.1", "Niveau de traçage fixé à 1 : base ... terminé."},
      {"console.trace.level.2", "Niveau de traçage fixé à 2 : base, réseau ... terminé."},
      {"console.trace.level.3", "Niveau de traçage fixé à 3 : base, réseau, sécurité ... terminé."},
      {"console.trace.level.4", "Niveau de traçage fixé à 4 : base, réseau, sécurité, ext ... terminé."},
      {"console.trace.level.5", "Niveau de traçage fixé à 5 : base, réseau, sécurité, ext, connexion ... terminé."},
      {"console.log", "Consignation : "},
      {"console.completed", " .... terminé."},
      {"console.dump.thread", "Vider la liste des threads...\n"},
      {"console.dump.stack", "Vider la pile des threads ...\n"},
      {"console.dump.properties", "Vider les propriétés système...\n"},
      {"console.clear.classloader", "Effacer le cache de chargeur de classes .... terminé."},
      {"console.reload.policy", "Recharger la configuration des politiques"},
      {"console.reload.proxy", "Recharger la configuration du proxy ...."},
      {"console.gc", "Libérer la mémoire"},
      {"console.finalize", "Finaliser les objets de la file d'attente de finalisation"},
      {"console.memory", "Mémoire : {0}K  Libre : {1}K  ({2}%)"},
      {"console.jcov.error", "Erreur d'exécution de Jcov : Assurez-vous d'avoir précisé l'option jcov correcte\n"},
      {"console.jcov.info", "Les données Jcov ont été vidées\n"},
      {"modality.register", "Récepteur de modalités enregistré"},
      {"modality.unregister", "Récepteur de modalités non enregistré"},
      {"modality.pushed", "Modalité empilée"},
      {"modality.popped", "Modalité désempilée"},
      {"progress.listener.added", "Récepteur de progression ajouté : {0}"},
      {"progress.listener.removed", "Récepteur de progression supprimé : {0}"},
      {"liveconnect.UniversalBrowserRead.enabled", "JavaScript : UniversalBrowserRead activé"},
      {"liveconnect.java.system", "JavaScript : appel du code système Java"},
      {"liveconnect.same.origin", "JavaScript : appelant et appelé ont la même origine"},
      {"liveconnect.default.policy", "JavaScript : politique de sécurité par défaut = {0}"},
      {"liveconnect.UniversalJavaPermission.enabled", "JavaScript : UniversalJavaPermission activé"},
      {"liveconnect.wrong.securitymodel", "Le modèle de sécurité de Netscape n'est plus pris en charge.\nMigrez vers le modèle de sécurité Java 2.\n"},
      {"jpicertstore.cert.loading", "Chargement des certificats JPI depuis {0}"},
      {"jpicertstore.cert.loaded", "Certificats JPI chargés depuis {0}"},
      {"jpicertstore.cert.saving", "Enregistrement des certificats JPI dans {0}"},
      {"jpicertstore.cert.saved", "Certificats JPI enregistrés dans {0}"},
      {"jpicertstore.cert.adding", "Ajout du certificat dans la zone de stockage des certificats permanents JPI"},
      {"jpicertstore.cert.added", "Certificat ajouté comme alias {0} dans la zone de stockage des certificats permanents JPI "},
      {"jpicertstore.cert.removing", "Suppression du certificat dans la zone de stockage des certificats permanents JPI"},
      {"jpicertstore.cert.removed", "Certificat supprimé comme alias {0} dans la zone de stockage des certificats permanents JPI "},
      {"jpicertstore.cert.instore", "Recherche du certificat dans la zone de stockage des certificats permanents JPI"},
      {
            "jpicertstore.cert.canverify",
            "Déterminer si le certificat peut être vérifié à l'aide des certificats de la zone de stockage des certificats permanents JPI"
      },
      {"jpicertstore.cert.iterator", "Obtenir le caractère itératif du certificat dans la zone de stockage des certificats permanents JPI"},
      {"jpicertstore.cert.getkeystore", "Obtenir l'objet de stockage clé de la zone de stockage des certificats JPI"},
      {"jpihttpscertstore.cert.loading", "Chargement des certificats Https JPI depuis {0}"},
      {"jpihttpscertstore.cert.loaded", "Certificats Https JPI chargés depuis {0}"},
      {"jpihttpscertstore.cert.saving", "Enregistrement des certificats Https JPI dans {0}"},
      {"jpihttpscertstore.cert.saved", "Certificats Https JPI enregistrés dans {0}"},
      {"jpihttpscertstore.cert.adding", "Ajout du certificat Https dans la zone de stockage des certificats permanents JPI"},
      {"jpihttpscertstore.cert.added", "Certificat Https ajouté comme alias {0} dans la zone de stockage des certificats permanents JPI "},
      {"jpihttpscertstore.cert.removing", "Suppression du certificat Https dans la zone de stockage des certificats permanents JPI"},
      {"jpihttpscertstore.cert.removed", "Certificat Https supprimé comme alias {0} dans la zone de stockage des certificats permanents JPI "},
      {"jpihttpscertstore.cert.instore", "Recherche du certificat Https dans la zone de stockage des certificats permanents JPI"},
      {
            "jpihttpscertstore.cert.canverify",
            "Déterminer si le certificat Https peut être vérifié à l'aide des certificats de la zone de stockage des certificats permanents JPI"
      },
      {"jpihttpscertstore.cert.iterator", "Obtenir le caractère itératif du certificat Https dans la zone de stockage des certificats permanents JPI"},
      {"jpihttpscertstore.cert.getkeystore", "Obtenir l'objet de stockage clé de la zone de stockage des certificats Https"},
      {"rootcertstore.cert.loading", "Chargement des certificats CA root depuis {0}"},
      {"rootcertstore.cert.loaded", "Certificats CA root chargés depuis {0}"},
      {"rootcertstore.cert.noload", "Fichier de certificats CA root introuvable : {0}"},
      {"rootcertstore.cert.saving", "Enregistrement des certificats CA root dans {0}"},
      {"rootcertstore.cert.saved", "Certificats CA root enregistrés dans {0}"},
      {"rootcertstore.cert.adding", "Ajout du certificat dans la zone de stockage des certificats CA root"},
      {"rootcertstore.cert.added", "Certificat ajouté comme alias {0} dans la zone de stockage des certificats CA root "},
      {"rootcertstore.cert.removing", "Suppression du certificat de la zone de stockage des certificats CA root"},
      {"rootcertstore.cert.removed", "Certificat supprimé comme alias {0} dans la zone de stockage des certificats CA root "},
      {"rootcertstore.cert.instore", "Recherche du certificat dans la zone de stockage des certificats CA root"},
      {"rootcertstore.cert.canverify", "Déterminer si le certificat peut être vérifié à l'aide des certificats de la zone de stockage des certificats CA root"},
      {"rootcertstore.cert.iterator", "Obtenir le caractère itératif du certificat dans la zone de stockage des certificats CA root"},
      {"rootcertstore.cert.getkeystore", "Obtenir l'objet de stockage clé de la zone de stockage des certificats CA root"},
      {"roothttpscertstore.cert.getkeystore", "Obtenir l'objet de stockage clé de la zone de stockage des certificats CA root Https"},
      {"rootcertstore.cert.verify.ok", "La vérification du certificat à l'aide des certificats CA root a réussi"},
      {"rootcertstore.cert.verify.fail", "La vérification du certificat à l'aide des certificats CA root a échoué"},
      {"rootcertstore.cert.tobeverified", "Certificat à verifier :\n{0}"},
      {"rootcertstore.cert.tobecompared", "Comparaison entre le certificat et le certificat CA root :\n{0}"},
      {"roothttpscertstore.cert.loading", "Chargement des certificats Https CA root depuis {0}"},
      {"roothttpscertstore.cert.loaded", "Certificats Https CA root chargés depuis {0}"},
      {"roothttpscertstore.cert.noload", "Fichier de certificats Https CA root introuvable: "},
      {"roothttpscertstore.cert.saving", "Enregistrement des certificats Https CA root dans {0}"},
      {"roothttpscertstore.cert.saved", "Certificats Https CA root enregistrés dans "},
      {"roothttpscertstore.cert.adding", "Ajout du certificat dans la zone de stockage des certificats Https CA root"},
      {"roothttpscertstore.cert.added", "Certificat ajouté comme alias dans la zone de stockage des certificats Https CA root "},
      {"roothttpscertstore.cert.removing", "Suppression du certificat de la zone de stockage des certificats Https CA root"},
      {"roothttpscertstore.cert.removed", "Certificat supprimé comme alias dans la zone de stockage des certificats Https CA root "},
      {"roothttpscertstore.cert.instore", "Recherche du certificat dans la zone de stockage des certificats Https CA root"},
      {
            "roothttpscertstore.cert.canverify",
            "Déterminer si le certificat peut être vérifié à l'aide des certificats de la zone de stockage des certificats Https CA root"
      },
      {"roothttpscertstore.cert.iterator", "Obtenir le caractère itératif du certificat dans la zone de stockage des certificats Https CA root"},
      {"roothttpscertstore.cert.verify.ok", "La vérification du certificat à l'aide des certificats Https CA root a réussi"},
      {"roothttpscertstore.cert.verify.fail", "La vérification du certificat à l'aide des certificats Https CA root a échoué"},
      {"roothttpscertstore.cert.tobeverified", "Certificat à verifier :\n{0}"},
      {"roothttpscertstore.cert.tobecompared", "Comparaison entre le certificat et le certificat Https CA root :\n{0}"},
      {"sessioncertstore.cert.loading", "Chargement des certificats depuis la zone de stockage des certificats de session JPI"},
      {"sessioncertstore.cert.loaded", "Certificats chargés depuis la zone de stockage des certificats de session JPI"},
      {"sessioncertstore.cert.saving", "Enregistrement des certificats dans la zone de stockage des certificats de session JPI"},
      {"sessioncertstore.cert.saved", "Certificats enregistrés dans la zone de stockage des certificats de session JPI"},
      {"sessioncertstore.cert.adding", "Ajout du certificat dans la zone de stockage des certificats de session JPI"},
      {"sessioncertstore.cert.added", "Certificat ajouté dans la zone de stockage des certificats de session JPI"},
      {"sessioncertstore.cert.removing", "Suppression du certificat de la zone de stockage des certificats de session JPI"},
      {"sessioncertstore.cert.removed", "Certificat supprimé de la zone de stockage des certificats de session JPI"},
      {"sessioncertstore.cert.instore", "Recherche du certificat dans la zone de stockage des certificats de session JPI"},
      {
            "sessioncertstore.cert.canverify",
            "Déterminer si le certificat peut être vérifié à l'aide des certificats de la zone de stockage des certificats de session JPI"
      },
      {"sessioncertstore.cert.iterator", "Obtenir le caractère itératif du certificat dans la zone de stockage des certificats de session JPI"},
      {"sessioncertstore.cert.getkeystore", "Obtenir l'objet de stockage clé de la zone de stockage des certificats de session JPI"},
      {"hostnameverifier.automation.ignoremismatch", "Automatisation : Ignorer la non-concordance de nom d'hôte"},
      {"pluginclassloader.created_files", "{0} a été créé dans le cache."},
      {"pluginclassloader.deleting_files", "Suppression des fichiers JAR du cache."},
      {"pluginclassloader.file", "   suppression du cache {0}"},
      {"pluginclassloader.empty_file", "{0} est vide, suppression du cache."},
      {"trustdecider.check.basicconstraints", "La vérification des contraintes de base dans le certificat a échoué"},
      {"trustdecider.check.leafkeyusage", "La vérification de la syntaxe de la clé du noeud terminal dans le certificat a échoué"},
      {"trustdecider.check.signerkeyusage", "La vérification de la syntaxe de la clé du signataire dans le certificat a échoué"},
      {"trustdecider.check.extensions", "La vérification des extensions critiques dans le certificat a échoué"},
      {"trustdecider.check.signature", "La vérification de la signature dans le certificat a échoué"},
      {"trustdecider.check.basicconstraints.certtypebit", "La vérification du bit du type de netscape dans le certificat a échoué"},
      {"trustdecider.check.basicconstraints.extensionvalue", "La vérification de la valeur de l'extension de netscape dans le certificat a échoué"},
      {"trustdecider.check.basicconstraints.bitvalue", "La vérification des bits 5, 6 et 7 de netscape dans le certificat a échoué"},
      {"trustdecider.check.basicconstraints.enduser", "La vérification des actions de l'utilisateur final en tant que CA dans le certificat a échoué"},
      {"trustdecider.check.basicconstraints.pathlength", "La vérification des contraintes liées à la longueur du chemin d'accès dans le certificat a échoué"},
      {"trustdecider.check.leafkeyusage.length", "La vérification de la longueur de la syntaxe de la clé dans le certificat a échoué"},
      {"trustdecider.check.leafkeyusage.digitalsignature", "La vérification de la signature numérique dans le certificat a échoué"},
      {
            "trustdecider.check.leafkeyusage.extkeyusageinfo",
            "La vérification des informations relatives à la syntaxe de la clé d'extension dans le certificat a échoué"
      },
      {"trustdecider.check.leafkeyusage.certtypebit", "La vérification du bit du type de netscape dans le certificat a échoué"},
      {"trustdecider.check.signerkeyusage.lengthandbit", "La vérification de la longueur et du bit dans le certificat a échoué"},
      {"trustdecider.check.signerkeyusage.keyusage", "La vérification de la syntaxe de la clé dans le certificat a échoué"},
      {"trustdecider.check.canonicalize.updatecert", "Mettre à jour le certificat root à l'aide du certificat du fichier cacerts"},
      {"trustdecider.check.canonicalize.missing", "Ajouter le certificat root manquant"},
      {"trustdecider.check.gettrustedcert.find", "Rechercher le CA root valide dans le fichier cacerts"},
      {"trustdecider.check.gettrustedissuercert.find", "Rechercher le CA root valide absent du fichier cacerts"},
      {"trustdecider.user.grant.session", "L'utilisateur a accordé les droits d'accès au code pour cette session seulement"},
      {"trustdecider.user.grant.forever", "L'utilisateur a accordé les droits d'accès au code pour toujours"},
      {"trustdecider.user.deny", "L'utilisateur a refusé les droits d'accès au code"},
      {"trustdecider.automation.trustcert", "Automatisation : Autoriser le certificat RSA pour la signature"},
      {"x509trustmgr.automation.ignoreclientcert", "Automatisation : Ignorer le certificat de client non autorisé"},
      {"x509trustmgr.automation.ignoreservercert", "Automatisation : Ignorer le certificat de serveur non autorisé"},
      {"appletcontext.audio.loaded", "Clip audio chargé : {0}"},
      {"appletcontext.image.loaded", "Image chargée : {0}"},
      {"securitymgr.automation.printing", "Automatisation : Accepter l'impression"},
      {"classloaderinfo.referencing", "Référence au chargeur de classes : {0}, refcount={1}"},
      {"classloaderinfo.releasing", "Libération du chargeur de classes : {0}, refcount={1}"},
      {"classloaderinfo.caching", "Mise en cache du chargeur de classes : {0}"},
      {"classloaderinfo.cachesize", "Taille de cache du chargeur de classes courant : {0}"},
      {"classloaderinfo.num", "Nombre de chargeurs de classes mis en cache sur {0}, unreference {1}"},
      {"trace.listener.added", "Récepteur de traçage ajouté :{0} "},
      {"trace.listener.removed", "Récepteur de traçage supprimé : {0}"},
      {"cookiehandler.cache", "Cache de cookies : "},
      {"cookiehandler.server", "Serveur {0} demandant de définir un cookie avec \"{1}\""},
      {"cookiehandler.connect", "Connexion {0} avec cookie \"{1}\""},
      {"cookiehandler.ignore.setcookie", "Impossible de traiter les cookies - ignorer la fonction de \"définition d'un cookie\""},
      {"cookiehandler.noservice", "Impossible de traiter les cookies - utilisez le cache pour déterminer le \"cookie\""},
      {"jsobject.eval", "Evaluer {0} = {1}"},
      {"jsobject.call", "JSObject::call: name={0}, url={1}, permission={2}"},
      {"jsobject.eval.url.permission", "JSObject::eval({0}), url={1}, permission={2}"},
      {"jsobject.getMember", "JSObject::getMember: name={0}, url={1}, permission={2}"},
      {"jsobject.setMember", "JSObject::setMember: name={0}, url={1}, permission={2}"},
      {"jsobject.removeMember", "JSObject::removeMember: name={0}, url={1}, permission={2}"},
      {"jsobject.getSlot", "JSObject::getSlot: {0}, url={1}, permission={2}"},
      {"jsobject.setSlot", "JSObject::setSlot: slot={0}, url={1}, permission={2}"},
      {"applet_install.ok", "L'installation de l'applet est terminée."},
      {"applet_install.fail", "L'installation de l'applet a échoué."},
      {"optpkg.install.info", "Installation du module optionnel {0}"},
      {"optpkg.install.fail", "L'installation du module optionnel a échoué."},
      {"optpkg.install.ok", "L'installation du module optionnel a réussi."},
      {"optpkg.install.automation", "Automatisation : Accepter l'installation de modules Java optionnels"},
      {"optpkg.install.granted", "Téléchargement du module optionnel autorisé par l''utilisateur, télécharger à partir de {0}"},
      {"optpkg.install.deny", "Téléchargement du module optionnel non autorisé par l'utilisateur"},
      {"optpkg.install.begin", "Installation {0}"},
      {"optpkg.install.java.launch", "Démarrage du programme d'installation Java"},
      {"optpkg.install.java.launch.command", "Démarrage du programme d''installation Java par {0}"},
      {"optpkg.install.native.launch", "Démarrage du programme d'installation natif"},
      {"optpkg.install.native.launch.fail.0", "Impossible d''exécuter {0}"},
      {"optpkg.install.native.launch.fail.1", "L''accès à {0} a échoué"},
      {"optpkg.install.raw.launch", "Installation du module optionnel brut"},
      {"optpkg.install.raw.copy", "Copie du module optionnel brut à partir de {0} vers {1}"},
      {"optpkg.install.error.nomethod", "Fournisseur d'extension dépendant non installé : Impossible d'obtenir la méthode  addExtensionInstallationProvider"},
      {"optpkg.install.error.noclass", "Fournisseur d'extension dépendant non installé : Impossible d'obtenir la classe sun.misc.ExtensionDependency"},
      {"dialogfactory.user.selected", "Utilisateur sélectionné : {0}"},
      {"dialogfactory.user.typed", "Utilisateur indiqué : {0}"},
      {"progress_dialog.downloading", "Plug-in : Téléchargement..."},
      {"progress_dialog.dismiss_button", "Abandonner"},
      {"progress_dialog.dismiss_button.acceleratorKey", new Integer(65)},
      {"progress_dialog.from", "à partir de"},
      {"applet_viewer.color_tag", "Nombre de composants incorrect dans {0}"},
      {"progress_info.downloading", "Téléchargement de fichiers JAR"},
      {"progress_bar.preload", "Pré-chargement des fichiers JAR : {0}"},
      {"cache.size", "Taille du cache : {0}"},
      {"cache.cleanup", "La taille du cache est : {0} octets. Vous devez libérer de l''espace"},
      {"cache.full", "Le cache est plein : suppression du fichier {0}"},
      {"cache.inuse", "Impossible de supprimer le fichier {0} parce qu''il est utilisé par cette application"},
      {"cache.notdeleted", "Impossible de supprimer le fichier {0} car il peut être en cours d''utilisation par cette et/ou une autre application"},
      {"cache.out_of_date", "La copie du cache de {0} n''est pas actualisée\n  Copie du cache : {1}\n  Copie Serveur : {2}"},
      {"cache.loading", "Chargement de {0} à partir du cache"},
      {"cache.cache_warning", "ATTENTION : Impossible de mettre {0} en cache"},
      {"cache.downloading", "Téléchargement de {0} dans le cache"},
      {"cache.cached_name", "Nom du fichier mis en cache : {0}"},
      {"cache.load_warning", "ATTENTION : erreur de lecture de {0} à partir du cache."},
      {"cache.disabled", "Le cache est désactivé par l'utilisateur"},
      {"cache.minSize", "Le cache est désactivé, la limite du cache est définie à {0}, au moins 5 Mo doivent être spécifiés"},
      {"cache.directory_warning", "ATTENTION : {0} n''est pas un répertoire. La fonction de cache sera désactivée."},
      {"cache.response_warning", "ATTENTION : Réponse inattendue {0} pour {1}.  Le fichier sera de nouveau téléchargé."},
      {"cache.enabled", "Le cache est activé"},
      {"cache.location", "Emplacement : {0}"},
      {"cache.maxSize", "Taille maximale : {0}"},
      {"cache.create_warning", "ATTENTION : Impossible de créer le répertoire du cache {0}.  La mise en cache sera désactivée."},
      {"cache.read_warning", "ATTENTION : Impossible de lire le répertoire du cache {0}.  La mise en cache sera désactivée."},
      {"cache.write_warning", "ATTENTION : Impossible d''écrire dans le répertoire du cache {0}.  La mise en cache sera désactivée."},
      {"cache.compression", "Niveau de compression : {0}"},
      {"cache.cert_load", "Les certificats pour {0} sont lus à partir du cache JAR"},
      {"cache.jarjar.invalid_file", "Le fichier .jarjar contient un fichier qui n'est pas au format .jar"},
      {"cache.jarjar.multiple_jar", "Le fichier .jarjar contient plusieurs fichiers au format .jar"},
      {"cache.version_checking", "Vérification de version pour {0}. La version spécifiée est {1}"},
      {"cache.preloading", "Pré-chargement du fichier {0}"},
      {"cache_viewer.caption", "Détails - Cache"},
      {"cache_viewer.refresh", "Actualiser"},
      {"cache_viewer.refresh.acceleratorKey", new Integer(65)},
      {"cache_viewer.remove", "Supprimer"},
      {"cache_viewer.remove.acceleratorKey", new Integer(83)},
      {"cache_viewer.close", "Fermer"},
      {"cache_viewer.close.acceleratorKey", new Integer(70)},
      {"cache_viewer.name", "Nom"},
      {"cache_viewer.type", "Type"},
      {"cache_viewer.size", "Taille"},
      {"cache_viewer.modify_date", "Dernière modification"},
      {"cache_viewer.expiry_date", "Date d'expiration"},
      {"cache_viewer.url", "URL"},
      {"cache_viewer.version", "Version"},
      {"cache_viewer.help.name", "Nom du fichier mis en cache"},
      {"cache_viewer.help.type", "Type du fichier mis en cache"},
      {"cache_viewer.help.size", "Taille du fichier mis en cache"},
      {"cache_viewer.help.modify_date", "Dernière modification du fichier mis en cache"},
      {"cache_viewer.help.expiry_date", "Date d'expiration du fichier mis en cache"},
      {"cache_viewer.help.url", "URL de téléchargement du fichier mis en cache"},
      {"cache_viewer.help.version", "Version du fichier mis en cache"},
      {"cache_viewer.delete.text", "<html><b>Fichier non supprimé</b></html>{0} est peut-être en cours d''utilisation.\n"},
      {"cache_viewer.delete.caption", "Erreur - Cache"},
      {"cache_viewer.type.zip", "Jar"},
      {"cache_viewer.type.class", "Classe"},
      {"cache_viewer.type.wav", "Son Wav"},
      {"cache_viewer.type.au", "Son Au"},
      {"cache_viewer.type.gif", "Image Gif"},
      {"cache_viewer.type.jpg", "Image Jpeg"},
      {"net.proxy.loading.ie", "Chargement de la configuration du proxy à partir d'Internet Explorer ..."},
      {"net.proxy.loading.ns", "Chargement de la configuration du proxy à partir de Netscape Navigator ..."},
      {"net.proxy.loading.userdef", "Chargement de la configuration du proxy définie par l'utilisateur ..."},
      {"net.proxy.loading.direct", "Chargement de la configuration directe du proxy ..."},
      {"net.proxy.loading.manual", "Chargement de la configuration manuelle du proxy ..."},
      {"net.proxy.loading.auto", "Chargement de la configuration auto du proxy ..."},
      {"net.proxy.loading.browser", "Chargement de la configuration du proxy du navigateur ..."},
      {"net.proxy.loading.manual.error", "Impossible d'utiliser la configuration du proxy manuelle - repli sur DIRECTE"},
      {"net.proxy.loading.auto.error", "Impossible d'utiliser la configuration du proxy auto - repli sur MANUELLE"},
      {"net.proxy.loading.done", "Terminé."},
      {"net.proxy.browser.pref.read", "Lecture du fichier de préférences utilisateur à partir de {0}"},
      {"net.proxy.browser.proxyEnable", "    Activation proxy : {0}"},
      {"net.proxy.browser.proxyList", "    Liste proxy : {0}"},
      {"net.proxy.browser.proxyOverride", "    Priorité proxy : {0}"},
      {"net.proxy.browser.autoConfigURL", "    URL config. auto : {0}"},
      {"net.proxy.browser.smartConfig", "Exécutez une commande Ping sur le serveur proxy {0} sur le port {1}"},
      {"net.proxy.browser.connectionException", "Le serveur proxy {0} sur le port {1} est inaccessible "},
      {"net.proxy.ns6.regs.exception", "Erreur lors de la lecture du fichier du registre : {0}"},
      {"net.proxy.pattern.convert", "Convertir la liste de contournement de proxy en expression régulière : "},
      {"net.proxy.pattern.convert.error", "Impossible de convertir la liste de contournement de proxy en expression régulière - ignorer"},
      {"net.proxy.auto.download.ins", "Téléchargement du fichier INS à partir de {0}"},
      {"net.proxy.auto.download.js", "Téléchargement du fichier de proxy auto à partir de {0}"},
      {"net.proxy.auto.result.error", "Impossible de déterminer le réglage proxy de l'évaluation - repli sur DIRECTE"},
      {"net.proxy.service.not_available", "Service de proxy non disponible pour {0} - configuration DIRECT définie par défaut"},
      {"lifecycle.applet.found", "Le précédent applet interrompu a été trouvé dans le cache de cycle de vie"},
      {"lifecycle.applet.support", "L'applet prend en charge les modèles de cycle de vie hérités - ajout de l'applet au cache de cycle de vie"},
      {"lifecycle.applet.cachefull", "Le cache de cycle de vie est plein - veuillez supprimer au moins les applets utilisés récemment"},
      {"com.method.ambiguous", "Impossible de sélectionner une méthode, paramètres ambigus"},
      {"com.method.notexists", "{0} : cette méthode n''existe pas"},
      {"com.notexists", "{0} : cette méthode/propriété  n''existe pas"},
      {"com.method.invoke", "Appel de la méthode : {0}"},
      {"com.method.jsinvoke", "Appel de la méthode JS : {0}"},
      {"com.method.argsTypeInvalid", "Les paramètres ne peuvent pas être convertis selon les types requis"},
      {"com.method.argCountInvalid", "Le nombre d'arguments est incorrect"},
      {"com.field.needsConversion", "Conversion requise : {0} --> {1}"},
      {"com.field.typeInvalid", " impossible de convertir selon le type : {0}"},
      {"com.field.get", "Récupération de la propriété : {0}"},
      {"com.field.set", "Définition de la propriété : {0}"},
      {"about.java.version", "Version {0} (build {1})"},
      {
            "about.prompt.info",
            "Pour de plus amples informations relatives à la technologie Java et pour découvrir les nombreuses applications Java, visitez le site"
      },
      {"about.home.link", "http://www.java.com"},
      {"about.option.close", "Fermer"},
      {"about.option.close.acceleratorKey", new Integer(70)},
      {"about.legal.note", "Copyright 2006 Sun Microsystems, Inc. Tous droits réservés. L'utilisation est soumise à des conditions de licence."},
      {"autoupdatecheck.buttonYes", "Oui"},
      {"autoupdatecheck.buttonYes.acceleratorKey", new Integer(79)},
      {"autoupdatecheck.buttonNo", "Non"},
      {"autoupdatecheck.buttonNo.acceleratorKey", new Integer(78)},
      {"autoupdatecheck.buttonAskLater", "Me demander ultérieurement"},
      {"autoupdatecheck.buttonAskLater.acceleratorKey", new Integer(68)},
      {"autoupdatecheck.caption", "Automatiser la détection de mises à jour"},
      {
            "autoupdatecheck.message",
            "Java Update peut automatiquement mettre à jour votre logiciel Java lorsque de nouvelles versions sont disponibles. Voulez-vous activer ce service ?"
      }
   };

   public Object[][] getContents() {
      return contents;
   }
}
