package sun.plugin.resources;

import java.util.ListResourceBundle;

public class ControlPanelHelp_es extends ListResourceBundle {
   private static String newline = "\n";
   static final Object[][] contents = new Object[][]{
      {
            "help.file",
            newline
               + "Ayuda del Panel de Control de Java Plug-in"
               + newline
               + newline
               + newline
               + "Esta ayuda incluye los siguientes temas:"
               + newline
               + "      Generalidades"
               + newline
               + "      Opciones de Guardar"
               + newline
               + "      Definir las opciones del Panel de Control"
               + newline
               + "      Panel Básico"
               + newline
               + "      Panel Avanzado"
               + newline
               + "      Panel Navegador"
               + newline
               + "      Panel Proxies"
               + newline
               + "      Panel Antememoria"
               + newline
               + "      Panel Certificados"
               + newline
               + "      Panel Actualizar"
               + newline
               + newline
               + "Generalidades"
               + newline
               + newline
               + "El Panel de Control de Java Plug-in permite cambiar los valores predeterminados que se utilizan al iniciar Java Plug-in."
               + newline
               + "Todos los subprogramas que se ejecuten en una sesión activa de Java Plug-in utilizarán estos valores."
               + newline
               + "La Guía del Desarrollador de Java Plug-in, mencionada en este documento, se encuentra en (URL sujeta a cambios)."
               + newline
               + "http://java.sun.com/j2se/1.4/docs/guide/plugin/developer_guide/contents.html"
               + newline
               + newline
               + "Opciones de guardar"
               + newline
               + newline
               + "Una vez que haya terminado de introducir cambios en las opciones del Panel de Control, haga clic en Aplicar para guardar los cambios."
               + newline
               + "Haga clic en Restablecer para cancelar los cambios y cargar de nuevo los últimos valores que se introdujeron y aplicaron."
               + newline
               + "Tenga en cuenta que estos valores no son los mismos que los valores predeterminados que se establecen al instalar Java Plug-in."
               + newline
               + newline
               + "Definir las opciones del Panel de Control"
               + newline
               + newline
               + "En el Panel de Control de Java Plug-in hay seis paneles en los que pueden definirse varias opciones."
               + newline
               + "Estos paneles son los siguientes: "
               + newline
               + "      Básico"
               + newline
               + "      Avanzado"
               + newline
               + "      Navegador"
               + newline
               + "      Proxies"
               + newline
               + "      Antememoria"
               + newline
               + "      Certificados"
               + newline
               + "      Actualizar"
               + newline
               + newline
               + "A continuación se describe cada uno de estos paneles."
               + newline
               + newline
               + newline
               + " Básico"
               + newline
               + "Mostrar consola de Java"
               + newline
               + newline
               + "      Muestra la consola de Java cuando se ejecutan subprogramas. La consola muestra los mensajes emitidos por System.out y System.err."
               + newline
               + "      Es útil para resolver problemas."
               + newline
               + newline
               + "Ocultar consola"
               + newline
               + newline
               + "      La consola de Java se está ejecutando pero permancece oculta. Esta opción está activada de manera predeterminada."
               + newline
               + newline
               + "No iniciar consola"
               + newline
               + newline
               + "      La consola de Java no se inicia."
               + newline
               + newline
               + "Cuadro de diálogo Mostrar excepción"
               + newline
               + newline
               + "      Muestra un cuadro de diálogo cuando ocurren excepciones. Este cuadro de diálogo no se muestra de forma predeterminada (está desactivado)."
               + newline
               + newline
               + "Mostrar Java en la barra de tareas (sólo Windows)"
               + newline
               + newline
               + "      Cuando esta opción está activada el logotipo de Java se muestra en la barra de tareas cuando se inicia Java Plug-in"
               + newline
               + "      y desaparece de la barra de tareas cuando se cierra Java Plug-in."
               + newline
               + "      El logotipo de Java indica al usuario que una máquina virtual de Java (Java VM) se está ejecutando; además, proporciona información sobre la"
               + newline
               + "      versión de Java y control sobre la consola de Java."
               + newline
               + "      El valor predeterminado de esta casilla es activado."
               + newline
               + newline
               + "      Funcionalidad de la barra de tareas de Java:"
               + newline
               + newline
               + "      Cuando el puntero se sitúa sobre el logotipo de Java, el texto \"Java\" aparece."
               + newline
               + newline
               + "      Si hace doble clic en el icono de Java de la barra de tareas, aparecerá la ventana de la consola de Java."
               + newline
               + newline
               + "      Si hace clic con el botón derecho en el icono de Java de la barra de tareas, aparecerá un menú emergente con las siguientes opciones:"
               + newline
               + newline
               + "            Abrir/Cerrar Consola"
               + newline
               + "            Acerca de Java"
               + newline
               + "            Desactivar"
               + newline
               + "            Salir"
               + newline
               + newline
               + "      Abrir/Cerrar Consola abre/cierra la ventana de la consola de Java. Este menú incluirá la opción Abrir Consola si la consola"
               + newline
               + "      está oculta y Cerrar Consola si la consola se está mostrando."
               + newline
               + newline
               + "      La opción Acerca de Java permite mostrar el cuadro de diálogo Acerca de... de Java 2 Standard Edition."
               + newline
               + newline
               + "      Desactivar desactiva y quita el icono de Java de la barra de tareas para la sesión en curso y las siguientes. De este modo, si se reinicia Java Plug-in"
               + newline
               + "      el icono de Java ya no aparecerá en la barra de tareas."
               + newline
               + "      Para que el icono de Java aparezca de nuevo en la barra de tareas, tras haber sido desactivado, consulte la nota de abajo."
               + newline
               + newline
               + "      Salir suprime el icono de Java de la barra de tareas, pero sólo durante la sesión en curso. Si se reinicia Java Plug-in, el"
               + newline
               + "      icono de Java aparecerá de nuevo en la barra de tareas."
               + newline
               + newline
               + newline
               + "                Notas"
               + newline
               + newline
               + "                1. Si \"Mostrar Java en barra de tareas\" está activado, el icono de Java aparecerá en la barra de tareas aunque \"No iniciar"
               + newline
               + "                consola\" esté seleccionado."
               + newline
               + newline
               + "                2. Para activar el icono de Java tras ser desactivado, inicie el Panel de Control de Java Plug-in, active \"Mostrar Java"
               + newline
               + "                en la barra de tareas\", y presione \"Aplicar\"."
               + newline
               + newline
               + "                3. Si se está ejecutando alguna otra máquina virtual de Java (Java VM) y se han agregado otros iconos de Java a la barra de tareas, los cambios"
               + newline
               + "                de configuración en el Panel de Control de Java Plug-in no afectarán a estos iconos."
               + newline
               + "                La configuración sólo afectará al comportamiento del icono de Java si la máquina virtual de Java (Java VM) se inicia después."
               + newline
               + newline
               + newline
               + " Avanzado"
               + newline
               + newline
               + newline
               + "Java Run Time Environment"
               + newline
               + newline
               + "      Permite ejecutar Java Plug-in con cualquier versión Java 2 JRE o SDK, Standard Edition v 1.3 o 1.4 que haya instalada en su equipo."
               + newline
               + "      Java Plug-in 1.3/1.4 se suministra con un JRE predeterminado."
               + newline
               + "      Sin embargo, se puede sobreescribir este JRE predeterminado y utilizar una versión anterior o posterior. El Panel de Control detecta automáticamente"
               + newline
               + "      todas las versiones de Java 2 SDK o JRE que haya instaladas en el equipo. En el cuadro de texto se muestran todas las versiones que"
               + newline
               + "      pueden utilizarse."
               + newline
               + "      El primer elemento de la lista será siempre el JRE predeterminado; el último será siempre Otros. Si elige Otros, deberá"
               + newline
               + "      especificar la ruta de acceso a Java 2 JRE o SDK, Standard Edition v 1.3/1.4."
               + newline
               + newline
               + "                Nota"
               + newline
               + newline
               + "                Esta opción sólo deben modificarla los usuarios avanzados. No se recomienda cambiar el JRE predeterminado."
               + newline
               + newline
               + newline
               + "Parámetros de Runtime de Java"
               + newline
               + newline
               + "      Con esta opción se sobreescriben los parámetros iniciales predeterminados de Java Plug-in mediante la especificación de opciones personalizadas. La sintaxis es igual que la de los"
               + newline
               + "      parámetros que se utilizan para invocar la línea de comandos. Consulte la documentación de Java 2 Standard Edition (J2SE),"
               + newline
               + "      donde figura una lista completa de opciones de la línea de comandos."
               + newline
               + "      La URL incluida a continuación está sujeta a cambios:"
               + newline
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/tooldocs/<platform>/java.html"
               + newline
               + newline
               + "            donde <platforma> es uno de los sistemas operativos: solaris, linux, win32."
               + newline
               + newline
               + "      A continuación se incluyen varios ejemplos de parámetros del runtime de Java."
               + newline
               + newline
               + "      Activar y desactivar soporte de confirmación"
               + newline
               + newline
               + "            Para activar el soporte de confirmación, debe especificarse la siguiente propiedad del sistema en Parámetros del Runtime de Java:"
               + newline
               + newline
               + "                  -D[ enableassertions | ea ][:<nombre de paquete>\"...\" | : <nombre de clase> ]"
               + newline
               + newline
               + "            Para desactivar la confirmación en Java Plug-in, debe especificarse lo siguiente en Parámetros del Runtime de Java:"
               + newline
               + newline
               + "                  -D[ disableassertions | da ][:<nombre de paquete>\"...\" | : <nombre de clase> ]"
               + newline
               + newline
               + "            Consulte Facilidad de confirmación para obtener más información sobre activación/desactivación de confirmaciones."
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/guide/lang/assert.html (URL sujeta a cambios)."
               + newline
               + newline
               + "            De forma predeterminada, la Facilidad de Confirmación está desactivada en Java Plug-in. Dado que el efecto de la confirmación se determina al iniciarse Java Plug-in,"
               + newline
               + "            para modificar los valores de confirmación en el Panel de Control de Java Plug-in será necesario reiniciar un navegador para que entren en vigor"
               + newline
               + "            los nuevos valores."
               + newline
               + newline
               + "            Puesto que el código de Java en Java Plug-in también tiene una facilidad de confirmación incorporada, es posible activar la confirmación en"
               + newline
               + "            el código de Java Plug-in haciendo lo siguiente:"
               + newline
               + newline
               + "                  -D[ enableassertions | ea ]:sun.plugin"
               + newline
               + newline
               + "      Soporte de rastreo y registro"
               + newline
               + newline
               + "            La facilidad de rastreo permite redireccionar una salida de la consola de Java a un archivo de rastreo (.plugin<versión>.trace)."
               + newline
               + newline
               + "                  -Djavaplugin.trace=true"
               + newline
               + "                  -Djavaplugin.trace.option=basic|net|security|ext|liveconnect"
               + newline
               + newline
               + "            Si no desea utilizar el nombre predeterminado del archivo de rastreo:"
               + newline
               + newline
               + "                  -Djavaplugin.trace.filename=<nombre de archivo de rastreo>"
               + newline
               + newline
               + "            A semejanza de la facilidad de rastreo, la de registro permite redireccionar una salida de la consola de Java a un archivo de registro (.plugin<versión>.log)"
               + newline
               + "            mediante API Java Logging."
               + newline
               + "            La facilidad de registro se puede activar habilitando la propiedad javaplugin.logging."
               + newline
               + newline
               + "                  -Djavaplugin.logging=true"
               + newline
               + newline
               + "            Si no desea utilizar el nombre predeterminado del archivo de registro:"
               + newline
               + newline
               + "                  -Djavaplugin.log.filename=<nombre de archivo de registro>"
               + newline
               + newline
               + "            Igualmente, si no desea sobreescribir los archivos de rastreo y de registro en cada sesión, puede establecer la propiedad:"
               + newline
               + newline
               + "                  -Djavaplugin.outputfiles.overwrite=false."
               + newline
               + newline
               + "            Si la propiedad se establece en el valor false, los nombres de los archivos de rastreo y de registro serán únicos para cada sesión. Si se utilizan los nombres predeterminados"
               + newline
               + "            de los archivos de rastreo y de registro, los nombres de los archivos serán los siguientes:"
               + newline
               + newline
               + "                  .plugin<nombre de usuario><date hash code>.trace"
               + newline
               + "                  .plugin<nombre de usuario><date hash code>.log"
               + newline
               + newline
               + "            Las facilidades de rastreo y registro establecidas en el Panel de Control entrarán en vigor al iniciar el Plug-in, pero los cambios"
               + newline
               + "            introducidos en el Panel de Control mientras ejecuta un Plug-in no entrarán en vigor hasta que éste no se reinicie."
               + newline
               + newline
               + "            Para obtener más información sobre las facilidades de rastreo y registro, véase Rastreo y Registro en la Guía del Desarrollador de Java Plug-in."
               + newline
               + newline
               + "      Depurar subprogramas en Java Plug-in"
               + newline
               + newline
               + "            Las siguientes opciones se utilizan para depurar subprogramas en Java Plug-in."
               + newline
               + "            Para obtener más información sobre este tema consulte Soporte de depuración en la Guía del Desarrollador de Java Plug-in."
               + newline
               + newline
               + "                  -Djava.compiler=NONE"
               + newline
               + "                  -Xnoagent"
               + newline
               + "                  -Xdebug"
               + newline
               + "                  -Xrunjdwp:transport=dt_shmem,address=<dirección-conexión>,server=y,suspend=n"
               + newline
               + newline
               + "            <dirección-conexión> puede ser cualquier cadena (ejemplo: 2502) que utilizará Java Debugger (jdb) posteriormente"
               + newline
               + "            para conectarse al JVM."
               + newline
               + newline
               + "      Temporización predeterminada"
               + newline
               + newline
               + "            Cuando un subprograma se conecta a un servidor y el servidor no responde correctamente, el subprograma puede quedar"
               + newline
               + "            aparentemente bloqueado y también puede dejar bloqueado el navegador, puesto que no se ha establecido temporización para la conexión"
               + newline
               + "            (el valor predeterminado es -1, que significa que no hay temporización)."
               + newline
               + newline
               + "            Para evitar este problema, Java Plug-in ha agregado un valor predeterminado de temporización de red (2 minutos) para todas las conexiones HTTP.:"
               + newline
               + "            Este valor se puede anular en Parámetro del Runtime de Java:"
               + newline
               + newline
               + "                  -Dsun.net.client.defaultConnectTimeout=valor en milisegundos"
               + newline
               + newline
               + "            Otra propiedad que puede establecerse para las conexiones en red es sun.net.client.defaultReadTimeout."
               + newline
               + newline
               + "                  -Dsun.net.client.defaultReadTimeout=valor en milisegundos"
               + newline
               + newline
               + "                  Nota"
               + newline
               + newline
               + "                  Java Plug-in no establece sun.net.client.defaultReadTimeout de forma predeterminada. Si desea establecer esta opción, debe hacerlo"
               + newline
               + "                  en Parámetros del Runtime de Java de la forma indicada anteriormente."
               + newline
               + newline
               + newline
               + "            Descripción de las propiedades de la conexión en red:"
               + newline
               + newline
               + "            sun.net.client.defaultConnectTimeout"
               + newline
               + "            sun.net.client.defaultReadTimeout"
               + newline
               + newline
               + "                  Estas propiedades especifican, respectivamente, los valores predeterminados de temporización de conexión y lectura para los controladores de protocolos utilizados"
               + newline
               + "                  por java.net.URLConnection. El valor predeterminado establecido por los controladores de protocolo es -1, que significa"
               + newline
               + "                  que no se ha establecido temporización."
               + newline
               + newline
               + "                  sun.net.client.defaultConnectTimeout especifica la temporización (en milisegundos) para establecer la conexión con el sistema."
               + newline
               + "                  Por ejemplo, para conexiones http, es la temporización para establecer la conexión con el servidor http."
               + newline
               + "                  Para conexiones ftp, es la temporización para establecer la conexión con los servidores ftp."
               + newline
               + newline
               + "                  sun.net.client.defaultReadTimeout especifica la temporización (en milisegundos) cuando se lee desde una entrada"
               + newline
               + "                  y se establece una conexión con un recurso."
               + newline
               + newline
               + "            Para obtener la descripción oficial de estas propiedades de conexión en red, consulte"
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/guide/net/properties.html."
               + newline
               + newline
               + newline
               + " Navegador"
               + newline
               + newline
               + newline
               + "Este panel está relacionado con la instalación de Microsoft Windows. No se muestra en otras instalaciones. Active las casillas"
               + newline
               + "correspondientes a los navegadores para los que desea que Java Plug-in sea el Runtime predeterminado de Java, en vez de la JVM interna del navegador."
               + newline
               + "Esto sirve para habilitar el soporte de etiquetas APPLET en Internet Explorer y Netscape 6 mediante Java Plug-in."
               + newline
               + newline
               + newline
               + " Proxies"
               + newline
               + newline
               + newline
               + "Utilice el panel Proxies para usar los valores por omisión del navegador o para omitir la dirección y puerto del proxy para los distintos protocolos."
               + newline
               + newline
               + "Utilizar valores de navegador"
               + newline
               + newline
               + "      Active esta casilla para utilizar la configuración predeterminada del proxy. El valor predeterminado de esta casilla es activado."
               + newline
               + newline
               + "Tabla de información del Proxy"
               + newline
               + newline
               + "      Puede ignorar los valores predeterminados desactivando la casilla de verificación \"Utilizar valores de navegador\" y rellenando la tabla de información"
               + newline
               + "      del proxy que se muestra debajo de la casilla de verificación. Puede escribir la dirección y puerto del proxy correspondiente a cada uno de los protocolos"
               + newline
               + "      admitidos: HTTP, Seguro (HTTPS), FTP, Gopher y Zócalos."
               + newline
               + newline
               + "No hay sistema delegado"
               + newline
               + newline
               + "      Corresponde a una lista de sistemas para los que no se utilizan proxies. Los sistemas sin proxy se suelen utilizar para"
               + newline
               + "      entornos de tipo intranet."
               + newline
               + newline
               + "URL de configuración delegada automática"
               + newline
               + "      Es la URL correspondiente al archivo JavaScript (con extensión .js o .pac) que contiene la función FindProxyForURL."
               + newline
               + "      FindProxyForURL dispone de la lógica necesaria para determinar el servidor proxy que se va a utilizar para una petición de conexión."
               + newline
               + newline
               + "Para obtener información adicional sobre la configuración del proxy, consulte el capítulo Configuración del Proxy en la Guía del"
               + newline
               + "Desarrollador de Java Plug-in."
               + newline
               + newline
               + newline
               + " Antememoria"
               + newline
               + newline
               + newline
               + "           Nota"
               + newline
               + newline
               + "           La antememoria que se describe en este apartado es de tipo sticky, es decir, la antememoria que Java Plug-in crea y controla en el disco y que"
               + newline
               + "           el navegador no puede sobreescribir. Para obtener más información, consulte Antememorias de subprograma en la Guía del Desarrollador de Java Plug-in."
               + newline
               + newline
               + newline
               + "Habilitar colocación en antememoria"
               + newline
               + newline
               + "      Active esta casilla para habilitar la colocación en antememoria. El valor predeterminado de esta casilla es activado. El rendimiento aumenta cuando esta opción está activada,"
               + newline
               + "      ya que una vez que un subprograma se coloca en antememoria ya no es necesario volver a cargarlo cuando se hace referencia a él."
               + newline
               + newline
               + "      Java Plug-in coloca en antememoria los archivos de los tipos siguientes (descargados mediante HTTP/HTTPS):"
               + newline
               + newline
               + "            .jar (archivo jar)"
               + newline
               + "            .zip (archivo zip)"
               + newline
               + "            .class (archivo de clase java)"
               + newline
               + "            .au (archivo de audio)"
               + newline
               + "            .wav (archivo de audio)"
               + newline
               + "            .jpg (archivo de imagen)"
               + newline
               + "            .gif (archivo de imagen)"
               + newline
               + newline
               + "Ver antememoria"
               + newline
               + newline
               + "      Presione aquí para ver el contenido de la antememoria. Se abre otro cuadro de diálogo (Visor de antememoria de Java Plug-in) que muestra los archivos que se encuentran en la antememoria."
               + newline
               + "      El Visor de la antememoria muestra la siguiente información acerca de los archivos contenidos en la antememoria: Nombre, Tipo, Tamaño, Fecha de expiración,"
               + newline
               + "      Última modificación, Versión y URL. El Visor de la antememoria permite eliminar archivos seleccionados de la antememoria."
               + newline
               + "      Este procedimiento es una alternativa a la opción Borrar antememoria que se describe a continuación y que elimina todos los archivos de la antememoria."
               + newline
               + newline
               + "Borrar antememoria"
               + newline
               + newline
               + "      Presione aquí para borrar todos los archivos de la antememoria. Se le preguntará (¿Está seguro de que desea borrar todos los archivos ... _de la antememoria?) antes de eliminar los archivos."
               + newline
               + newline
               + "Ubicación"
               + newline
               + newline
               + "      Puede utilizar esta opción para especificar la ubicación de la antememoria. La ubicación predeterminada de la antememoria es <user home>/.jpi_cache, donde"
               + newline
               + "      <user home> es el valor correspondiente al propietario del sistema user.home. Este valor depende del sistema operativo."
               + newline
               + newline
               + "Tamaño"
               + newline
               + newline
               + "      Puede seleccionar Ilimitado para que la antememoria no tenga límite de espacio o bien establecer el tamaño Máximo de la antememoria."
               + newline
               + "      Si la antememoria excede el tamaño especificado se borrarán los archivos más antiguos hasta que el tamaño de la memoria"
               + newline
               + "      esté dentro del límite."
               + newline
               + newline
               + "Compresión"
               + newline
               + newline
               + "      Puede establecer la compresión de los archivos JAR de la antememoria entre Ninguno o Alta. Si decide ahorrar memoria"
               + newline
               + "      especificando una compresión alta, disminuirá el rendimiento y, por el contrario, conseguirá un mayor rendimiento si"
               + newline
               + "      decide no comprimir."
               + newline
               + newline
               + newline
               + " Certificados"
               + newline
               + newline
               + newline
               + "Puede seleccionar entre cuatro tipos de certificados:"
               + newline
               + newline
               + "      Applet firmado"
               + newline
               + "      Sitio seguro"
               + newline
               + "      Firmante de CA"
               + newline
               + "      Sitio seguro de CA"
               + newline
               + newline
               + "Applet firmado"
               + newline
               + newline
               + "      Son los certificados correspondientes a los applets firmados en los que confía el usuario. Los certificados que se muestran en la lista de applets"
               + newline
               + "      firmados proceden del archivo de certificados jpicerts<version> ubicado en el directorio <user home>/.java."
               + newline
               + newline
               + "Sitio seguro"
               + newline
               + newline
               + "      Son los certificados que corresponden a sitios seguros. Los certificados que se muestran en la lista de sitios seguros proceden del archivo de"
               + newline
               + "      certificados jpihttpscerts<version> ubicado en el directorio <user home>/.java."
               + newline
               + newline
               + "Firmante de CA"
               + newline
               + newline
               + "      Son los certificados procedentes de las Autoridades de certificación (CA) para los applets firmados. Estas entidades emiten los certificados para"
               + newline
               + "       los firmantes de los applets firmados. Los certificados que se muestran en la lista Firmante de CA proceden del archivo de certificados"
               + newline
               + "       cacerts ubicado en el directorio <jre>/lib/security."
               + newline
               + newline
               + "Sitio seguro de CA"
               + newline
               + newline
               + "      Son los certificados procedentes de las Autoridades de certificación (CA) para los sitios seguros. Estas entidades emiten los certificados"
               + newline
               + "      correspondientes a los sitios seguros. Los certificados que se muestran en la lista Sitio seguro de CA proceden del archivo de certificados jssecacerts ubicado"
               + newline
               + "      en el directorio <jre>/lib/security."
               + newline
               + newline
               + "Para los certificados de tipo Applet firmado y Sitio seguro hay cuatro opciones: Importar, Exportar, Eliminar y Detalles."
               + newline
               + "El usuario puede importar, exportar, eliminar y ver los detalles de un certificado."
               + newline
               + newline
               + "Para los certificados de tipo Firmante de CA y Sitio seguro de CA, sólo hay una opción: Detalles. El usuario sólo puede ver los detalles de un certificado."
               + newline
               + newline
               + newline
               + " Actualizar"
               + newline
               + newline
               + newline
               + "En este panel, hay un botón \"Actualizar ahora\" que permite al usuario obtener la última actualización de Java Runtime"
               + newline
               + "Environment desde el sitio web de Java Update. Este panel sólo está relacionado con la instalación en plataformas de Microsoft Windows. No se muestra para otras plataformas"
               + newline
               + "(por ejemplo para Solaris/Linux)."
      }
   };

   public Object[][] getContents() {
      return contents;
   }
}
