package sun.plugin.resources;

import java.util.ListResourceBundle;

public class ControlPanelHelp_ko extends ListResourceBundle {
   private static String newline = "\n";
   static final Object[][] contents = new Object[][]{
      {
            "help.file",
            newline
               + "Java Plug-in 제어판 도움말"
               + newline
               + newline
               + newline
               + "본 도움말의 내용은 아래와 같습니다."
               + newline
               + "      개요"
               + newline
               + "      옵션 저장"
               + newline
               + "      제어판 옵션 설정"
               + newline
               + "      기본 패널"
               + newline
               + "      고급 패널"
               + newline
               + "      브라우저 패널"
               + newline
               + "      프록시 패널"
               + newline
               + "      캐시 패널"
               + newline
               + "      인증서 패널"
               + newline
               + "      업데이트  패널"
               + newline
               + newline
               + "개요"
               + newline
               + newline
               + "Java Plug-in 제어판을 사용하면 시작 단계에서 Java Plug-in에서 사용하는 기본 설정값을 변경할 수 있습니다."
               + newline
               + "Java Plug-in 작동 중에 실행되는 모든 애플릿은 이 설정값을 사용하게 됩니다."
               + newline
               + "여기서 말하는 Java Plug-in Developer Guide는 다음 사이트에서 받을 수 있습니다 (URL은 변경될 수 있습니다)."
               + newline
               + "http://java.sun.com/j2se/1.4/docs/guide/plugin/developer_guide/contents.html"
               + newline
               + newline
               + "옵션 저장"
               + newline
               + newline
               + "제어판 옵션을 변경한 후 적용을 눌러 변경을 저장하십시오."
               + newline
               + "재설정을 클릭하면 변경 내용이 취소되고 마지막으로 설정된 값으로 되돌아갑니다."
               + newline
               + "하지만 이 경우 Java Plug-in 설치시 원래 설정한 기본값과는 다르다는 점을 유의하십시오."
               + newline
               + newline
               + "제어판 옵션 설정"
               + newline
               + newline
               + "Java Plug-in 제어판 내에는 다양한 옵션을 설정할 수 있는 6개 패널이 있습니다."
               + newline
               + "패널의 이름은 다음과 같습니다. "
               + newline
               + "      기본"
               + newline
               + "      고급"
               + newline
               + "      브라우저"
               + newline
               + "      프록시"
               + newline
               + "      캐시"
               + newline
               + "      인증서"
               + newline
               + "      업데이트"
               + newline
               + newline
               + "아래는 각 패널에 대한 설명입니다."
               + newline
               + newline
               + newline
               + " 기본"
               + newline
               + "Java 콘솔 표시"
               + newline
               + newline
               + "      애플릿 실행 중에 Java 콘솔을 표시합니다. 이 콘솔은 System.out 및 System.err에 의해 인쇄되는 모든 메시지를 표시합니다."
               + newline
               + "      이 기능은 문제점을 디버깅하는데 유용합니다."
               + newline
               + newline
               + "콘솔 숨기기"
               + newline
               + newline
               + "      Java 콘솔이 실행되지만 숨겨집니다. 기본 설정은 Java 콘솔 숨기기(체크됨)입니다."
               + newline
               + newline
               + "콘솔을 시작하지 마십시오"
               + newline
               + newline
               + "      Java 콘솔이 시작되지 않습니다."
               + newline
               + newline
               + "예외 대화 상자 표시"
               + newline
               + newline
               + "      예외 발생시 예외 대화 상자가 나타납니다. 기본 설정은 예외 대화 상자를 표시하지 않는 것(체크되지 않음)입니다."
               + newline
               + newline
               + "시스템 트레이에 Java 표시(Windows에만 해당)"
               + newline
               + newline
               + "      이 옵션을 사용하면 Java Plug-in이 시작될 때 시스템 트레이에 커피잔 모양의 Java 로고가 표시되고"
               + newline
               + "      Java Plug-in을 끝내면 시스템 트레이에서 로고가 제거됩니다."
               + newline
               + "      Java 커피잔 로고는 Java VM이 실행 중임을 사용자에게 알려 주고 Java 릴리스에 대한 정보를 제공하며"
               + newline
               + "      Java 콘솔을 제어합니다."
               + newline
               + "      이 옵션은 기본적으로 설정(체크됨)되어 있습니다."
               + newline
               + newline
               + "      Java 시스템 트레이 기능:"
               + newline
               + newline
               + "      Java 커피잔 로고 위에 마우스를 놓으면 \"Java\" 텍스트가 표시됩니다."
               + newline
               + newline
               + "      Java 시스템 트레이 아이콘을 마우스 왼쪽 버튼으로 두 번 클릭하면 Java 콘솔 창이 나타납니다."
               + newline
               + newline
               + "      Java 시스템 트레이 아이콘을 마우스 오른쪽 버튼으로 클릭하면 다음 팝업 메뉴가 나타납니다."
               + newline
               + newline
               + "            콘솔 열기/닫기"
               + newline
               + "            Java 정보"
               + newline
               + "            사용 불가능"
               + newline
               + "            종료"
               + newline
               + newline
               + "      콘솔 열기/닫기는 Java 콘솔 창을 열거나 닫습니다. Java 콘솔이 숨겨져 있으면"
               + newline
               + "      메뉴 항목에 콘솔 열기가 표시되고 Java 콘솔이 표시되어 있으면 콘솔 닫기가 나타납니다."
               + newline
               + newline
               + "      Java 정보를 누르면 Java 2 Standard Edition의 정보 상자가 나타납니다."
               + newline
               + newline
               + "      사용 불가능을 누르면 이 세션과 이후 세션동안 시스템 트레이에서 Java 아이콘을 제거하여 사용할 수 없습니다. Java Plug-in을 다시"
               + newline
               + "      시작하면 시스템 트레이에 Java 아이콘이 나타나지 않습니다."
               + newline
               + "      사용 불가능으로 설정한 후에 시스템 트레이에 Java 아이콘을 표시하는 방법에 대해서는 아래 주의를 참조하십시오."
               + newline
               + newline
               + "      종료는 현재 세션 동안만 시스템 트레이에서 Java 아이콘을 제거합니다. Java Plug-in이 다시 시작되면"
               + newline
               + "      시스템 트레이에 Java 아이콘이 다시 나타납니다."
               + newline
               + newline
               + newline
               + "                주의"
               + newline
               + newline
               + "                1. \"시스템 트레이에 Java 표시\"를 선택하면 \"콘솔을 다시 시작 안 함\"이 선택되어 있어도"
               + newline
               + "                Java 아이콘이 시스템 트레이에 나타납니다."
               + newline
               + newline
               + "                2. 사용 불가능으로 설정한 다음 Java 아이콘을 사용 가능하게 하려면 Java Plug-in 제어판을 시작하고 \"시스템 트레이에 Java"
               + newline
               + "                표시\"를 선택한 다음 \"적용\"을 누릅니다."
               + newline
               + newline
               + "                3. 다른 Java VM이 이미 실행 중이고 시스템 트레이에 다른 Java 아이콘이 이미 추가되어 있는 경우에"
               + newline
               + "                Java Plug-in 제어판에서 설정을 변경하면 변경한 설정은 이미 추가된 아이콘에는 적용되지 않습니다."
               + newline
               + "                나중에 Java VM이 시작될 때 Java 아이콘 동작에만 적용됩니다."
               + newline
               + newline
               + newline
               + " 고급"
               + newline
               + newline
               + newline
               + "Java Run Time Environment"
               + newline
               + newline
               + "      Java Plug-in이 컴퓨터에 설치된 Java 2 JRE 또는 SDK, Standard Edition v 1.3 또는 1.4와 함께 실행될 수 있도록 하는 옵션입니다."
               + newline
               + "      Java Plug-in 1.3/1.4은 기본 JRE과 함께 제공됩니다."
               + newline
               + "      그러나 이 기본 JRE를 무효화한 후 이전 버전이나 새 버전을 사용할 수 있습니다. 제어판은 자동으로"
               + newline
               + "      컴퓨터에 설치된 모든 Java 2 SDK 또는 JRE 버전을 검색하여 사용할 수 있는"
               + newline
               + "      모든 버전을 목록 상자에 표시합니다."
               + newline
               + "      목록의 첫 번째 항목은 기본 JRE이며 마지막 항목은 항상 기타입니다. 기타를 선택하면"
               + newline
               + "      Java 2 JRE 또는 SDK, Standard Edition v 1.3/1.4의 경로를 지정해야 합니다."
               + newline
               + newline
               + "                주의"
               + newline
               + newline
               + "                이 옵션 변경은 고급 사용자에게만 권장됩니다. 기본 JRE는 변경하지 않는 것이 좋습니다."
               + newline
               + newline
               + newline
               + "Java 런타임 매개변수"
               + newline
               + newline
               + "      사용자 정의 옵션을 지정하여 Java Plug-in 기본 시작 매개변수를 무효화합니다. 구문은 Java"
               + newline
               + "      명령행 호출 매개변수와 같습니다. 명령행 옵션 전체 목록은 Java 2 Standard Edition(J2SE)"
               + newline
               + "      문서를 참조하십시오."
               + newline
               + "      아래 URL은 변경될 수 있습니다"
               + newline
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/tooldocs/<platform>/java.html"
               + newline
               + newline
               + "            여기서 <platform>은 Solaris, Linux 및 Win32 운영체제 중 하나입니다."
               + newline
               + newline
               + "      Java 런타임 매개변수 중 일부를 예로 들면 다음과 같습니다."
               + newline
               + newline
               + "      표명(assertion) 지원 사용 가능 및 사용 불가능"
               + newline
               + newline
               + "            표명 지원을 사용하게 하려면 Java 런타임 매개변수에 시스템 속성을 아래와 같이 지정해야 합니다."
               + newline
               + newline
               + "                  -D[ enableassertions | ea ][:<package name>\"...\" | : <class name> ]"
               + newline
               + newline
               + "            Java Plug-in에서 표명을 사용하지 못하게 하려면 Java 런타임 매개변수에 아래와 같이 지정해야 합니다."
               + newline
               + newline
               + "                  -D[ disableassertions | da ][:<package name>\"...\" | : <class name> ]"
               + newline
               + newline
               + "            표명 사용 가능 및 사용 불가능에 대한 상세 정보는 아래 주소의 표명 기능(Assertion Facility)을 참조하십시오."
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/guide/lang/assert.html(URL은 변경될 수 있습니다)."
               + newline
               + newline
               + "            기본 설정은 Java Plug-in 코드에서는 표명을 사용하지 못하도록 되어 있습니다. 표명 사용 여부는 Java Plug-in을 시작할 때 결정되기 때문에"
               + newline
               + "            Java Plug-in 제어판에서 표명 설정을 변경하는 경우 브라우저를 다시 시작해야"
               + newline
               + "            새로운 설정이 적용됩니다."
               + newline
               + newline
               + "            Java Plug-in의 Java 코드는 내장형 표명 기능이 있으므로 아래와 같은 방법으로 Java Plug-in 코드의 표명을"
               + newline
               + "            사용 가능으로 설정할 수 있습니다."
               + newline
               + newline
               + "                  -D[ enableassertions | ea ]:sun.plugin"
               + newline
               + newline
               + "      추적 및 로깅 지원"
               + newline
               + newline
               + "            추적은 Java 콘솔의 출력 정보를 추적 파일(.plugin<version>.trace)로 다시 보내는 기능입니다."
               + newline
               + newline
               + "                  -Djavaplugin.trace=true"
               + newline
               + "                  -Djavaplugin.trace.option=basic|net|security|ext|liveconnect"
               + newline
               + newline
               + "            기본 추적 파일명 대신 다른 파일명을 사용하려면 아래와 같이 입력하십시오."
               + newline
               + newline
               + "                  -Djavaplugin.trace.filename=<tracefilename>"
               + newline
               + newline
               + "            추적과 마찬가지로 로깅은 Java Logging API를 사용해 Java 콘솔의 출력 정보를 로그 파일(.plugin<version>.log)로"
               + newline
               + "            다시 보내는 기능입니다."
               + newline
               + "            javaplugin.logging 속성을 사용하여 로깅 기능을 켤 수 있습니다."
               + newline
               + newline
               + "                  -Djavaplugin.logging=true"
               + newline
               + newline
               + "            기본 로그 파일명 대신 다른 파일명을 사용하려면 아래와 같이 입력하십시오."
               + newline
               + newline
               + "                  -Djavaplugin.log.filename=<logfilename>"
               + newline
               + newline
               + "            또한 세션별로 추적 파일과 로그 파일을 덮어쓰지 않으려면 속성을 다음과 같이 설정하십시오."
               + newline
               + newline
               + "                  -Djavaplugin.outputfiles.overwrite=false."
               + newline
               + newline
               + "            속성을 false로 설정하면 추적 및 로그 파일은 세션마다 다른 파일명을 갖게 됩니다. 기본 추적 및"
               + newline
               + "            로그 파일명을 사용하는 경우 다음과 같은 파일명이 부여됩니다."
               + newline
               + newline
               + "                  .plugin<username><date hash code>.trace"
               + newline
               + "                  .plugin<username><date hash code>.log"
               + newline
               + newline
               + "            제어판을 통해 추적 및 로깅 설정을 변경한 경우 Plug-in이 시작될 때 변경이 적용됩니다. 하지만"
               + newline
               + "            Plug-in 실행 중 제어판을 통해 변경한 경우에는 컴퓨터를 다시 시작해야 변경이 적용됩니다."
               + newline
               + newline
               + "            추적 및 로깅에 대한 상세 정보는 Java Plug-in Developer Guide의 Tracing and Logging을 참조하십시오."
               + newline
               + newline
               + "      Java Plug-in에서 애플릿 디버깅"
               + newline
               + newline
               + "            Java Plug-in에서 애플릿을 디버깅할 때 아래 옵션을 사용합니다."
               + newline
               + "            디버깅에 대한 상세 정보는 Java Plug-in Developer Guide의 Debugging Support를 참조하십시오."
               + newline
               + newline
               + "                  -Djava.compiler=NONE"
               + newline
               + "                  -Xnoagent"
               + newline
               + "                  -Xdebug"
               + newline
               + "                  -Xrunjdwp:transport=dt_shmem,address=<connect-address>,server=y,suspend=n"
               + newline
               + newline
               + "            <connect-address>는 문자열이면 됩니다(예: 2502). 이 문자열은 Java Debugger (jdb)가"
               + newline
               + "            나중에 JVM에 접속할 때 사용합니다."
               + newline
               + newline
               + "      기본 접속 타임아웃"
               + newline
               + newline
               + "            애플릿을 통해 서버에 접속했는데 서버가 제대로 응답하지 않는 경우, 애플릿이"
               + newline
               + "            정지되거나 브라우저가 정지될 수도 있습니다. 네트워크 접속 타임아웃이 없기 때문입니다"
               + newline
               + "            (기본값은 -1로 설정되어 있는데 타임아웃 설정이 없다는 뜻입니다)."
               + newline
               + newline
               + "            이런 문제를 방지하기 위해 Java Plug-in은 모든 HTTP 접속에 대해 기본 네트워크 타임아웃 값(2분)을 추가했습니다."
               + newline
               + "            이 설정은 Java 런타임 매개변수에서 무효화할 수 있습니다."
               + newline
               + newline
               + "                  -Dsun.net.client.defaultConnectTimeout=value in milliseconds"
               + newline
               + newline
               + "            그외 설정이 가능한 네트워크 속성은 sun.net.client.defaultReadTimeout입니다."
               + newline
               + newline
               + "                  -Dsun.net.client.defaultReadTimeout=value in milliseconds"
               + newline
               + newline
               + "                  주의"
               + newline
               + newline
               + "                  Java Plug-in은 기본값으로 sun.net.client.defaultReadTimeout을 설정하지 않습니다. 이 설정을 원할 경우 앞에서 설명한 대로"
               + newline
               + "                   Java 런타임 매개변수에서 설정하십시오."
               + newline
               + newline
               + newline
               + "            네트워크 속성 설명:"
               + newline
               + newline
               + "            sun.net.client.defaultConnectTimeout"
               + newline
               + "            sun.net.client.defaultReadTimeout"
               + newline
               + newline
               + "                  이 두 속성은 java.net.URLConnection에서 사용하는 프로토콜 핸들러에 대한 기본 접속값과"
               + newline
               + "                  읽기 타임아웃값을 각각 지정합니다. 프로토콜 핸들러가 설정하는 기본값은 -1이고"
               + newline
               + "                  타임아웃 설정이 없다는 뜻입니다."
               + newline
               + newline
               + "                  sun.net.client.defaultConnectTimeout은 호스트에 접속하는 타임아웃(밀리초 단위)을 지정합니다."
               + newline
               + "                  예를 들어 http 접속의 경우 http 서버에 접속되면 타임아웃입니다."
               + newline
               + "                  ftp 접속의 경우 ftp 서버에 접속되면 타임아웃입니다."
               + newline
               + newline
               + "                  sun.net.client.defaultReadTimeout은 자원에 접속되어 입력 스트림에서 읽어 올 때"
               + newline
               + "                  타임아웃(밀리초 단위)을 지정합니다."
               + newline
               + newline
               + "            이 네트워크 속성에 대한 공식 설명은"
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/guide/net/properties.html을 참조하십시오."
               + newline
               + newline
               + newline
               + " 브라우저"
               + newline
               + newline
               + newline
               + "이 패널은 Microsoft Windows 설치에서만 지원되며 다른 설치에서는 나타나지 않습니다. 브라우저의 내부 JVM 대신"
               + newline
               + "Java Plug-in을 기본 Java 런타임으로 사용할 브라우저를 체크하십시오."
               + newline
               + "Java Plug-in을 통해 Internet Explorer 및 Netscape 6에서 APPLET 태그 지원을 사용할 수 있습니다."
               + newline
               + newline
               + newline
               + " 프록시"
               + newline
               + newline
               + newline
               + "프록시 패널은 브라우저 기본 설정을 사용하거나 다른 프로토콜에 대한 프록시 주소 및 포트를 무효화하는데 사용됩니다."
               + newline
               + newline
               + "브라우저 설정 사용"
               + newline
               + newline
               + "      브라우저 기본 프록시 설정을 사용하려면 이 항목에 체크하십시오. 기본 설정은 브라우저 기본 프록시 설정 사용(체크됨)입니다."
               + newline
               + newline
               + "프록시 정보 테이블"
               + newline
               + newline
               + "      \"브라우저 설정 사용\"을 선택 해제한 다음 선택란 아래"
               + newline
               + "      프록시 정보를 입력하여 기본 설정을 무효화할 수 있습니다. 지원되는 프로토콜: HTTP, Secure (HTTPS), FTP, Gopher, 및 Socks에 대한 "
               + newline
               + "      각각의 프록시 주소 및 포트를 입력할 수 있습니다."
               + newline
               + newline
               + "프록시 호스트 없음"
               + newline
               + newline
               + "      프록시가 사용되지 않을 호스트(들) 목록입니다. 주로 인트라넷 환경의 내부 서버에"
               + newline
               + "       프록시 호스트 없음이 사용됩니다."
               + newline
               + newline
               + "자동 프록시 구성 URL"
               + newline
               + "      FindProxyForURL 함수가 있는 JavaScript 파일(.js 또는 .pac 확장자)의 URL입니다."
               + newline
               + "      FindProxyForURL은 연결 요청시 사용할 프록시 서버를 결정하는 논리를 갖습니다."
               + newline
               + newline
               + "프록시 구성에 대한 추가 정보는 Java Plug-in Developer Guide의 Proxy Configuration"
               + newline
               + "장을 참조하십시오."
               + newline
               + newline
               + newline
               + " 캐시"
               + newline
               + newline
               + newline
               + "           주의"
               + newline
               + newline
               + "           여기서 말하는 캐시란 스티키(sticky) 캐시를 말합니다. 즉 Java Plug-in이 생성, 제어해 브라우저가 덮어쓸 수 없는"
               + newline
               + "           디스크 캐시입니다. 상세 정보는 Java Plug-in Developer Guide의 Applet Caching을 참조하십시오."
               + newline
               + newline
               + newline
               + "캐싱 사용"
               + newline
               + newline
               + "      캐싱을 사용하려면 이 선택란을 체크하십시오. 기본 설정은 캐싱 사용(체크됨)입니다. 애플릿 캐싱 사용이 가능하면 성능이"
               + newline
               + "       향상됩니다. 애플릿이 캐시되어 다시 참조할 때 다운로드할 필요가 없어지기 때문입니다."
               + newline
               + newline
               + "      다음 종류의 Java Plug-in 캐시 파일이 HTTP/HTTPS를 통해 다운로드되었습니다."
               + newline
               + newline
               + "            .jar (jar 파일)"
               + newline
               + "            .zip (zip 파일)"
               + newline
               + "            .class (java 클래스 파일)"
               + newline
               + "            .au (오디오 파일)"
               + newline
               + "            .wav (오디오 파일)"
               + newline
               + "            .jpg (이미지 파일)"
               + newline
               + "            .gif (이미지 파일)"
               + newline
               + newline
               + "캐시에서 파일 보기"
               + newline
               + newline
               + "      이 상자를 누르면 캐시된 파일을 볼 수 있습니다. 다른 대화 상자(Java Plug-in 캐시 뷰어)가 뜨면서 캐시 파일이 표시됩니다."
               + newline
               + "      캐시 뷰어는 캐시에 있는 파일의 이름, 종류, 크기, 만기일, 최종 수정일,"
               + newline
               + "       버전 및 URL 정보를 표시합니다. 캐시 뷰어에서 캐시에 있는 파일을 선택적으로 삭제할 수도 있습니다."
               + newline
               + "      아래에서 설명할 캐시 지우기 옵션 대신 사용할 수 있는 옵션입니다. 캐시 지우기 옵션은 캐시에 있는 모든 파일을 삭제합니다."
               + newline
               + newline
               + "캐시 지우기"
               + newline
               + newline
               + "      이 상자를 누르면 캐시에 있는 모든 파일이 삭제됩니다. 파일을 삭제하기 전에 ..._cache에 있는 모든 파일을 삭제하시겠습니까?라는 확인 대화 상자가 나타나 삭제 여부를 묻습니다."
               + newline
               + newline
               + "위치"
               + newline
               + newline
               + "      캐시의 위치를 지정할 수 있습니다. 캐시의 기본 위치는 <user home>/.jpi_cache입니다. 여기서"
               + newline
               + "      <user home>은 user.home 시스템 속성값입니다. 이 값은 운영체제에 따라 다릅니다."
               + newline
               + newline
               + "크기"
               + newline
               + newline
               + "      제한 없음을 체크해 캐시 크기에 제한을 두지 않을 수도 있고 캐시의 최대 크기를 설정할 수도 있습니다."
               + newline
               + "      캐시 크기가 지정된 제한선을 넘는 경우 캐시 크기가 제한선에 들어올 때까지 캐시된 파일 중 가장 오래된 파일부터"
               + newline
               + "      삭제합니다."
               + newline
               + newline
               + "압축"
               + newline
               + newline
               + "      없음과 높음 사이에서 JAR 캐시 파일 압축을 설정할 수 있습니다. 압축도를 높일 수록"
               + newline
               + "      메모리는 절약되지만 성능은 떨어집니다. 압축이 없는 경우"
               + newline
               + "      최상의 성능을 얻을 수 있습니다."
               + newline
               + newline
               + newline
               + " 인증서"
               + newline
               + newline
               + newline
               + "인증서에는 네 종류가 있습니다."
               + newline
               + newline
               + "      서명된 애플릿"
               + newline
               + "      보안 사이트"
               + newline
               + "      서명자 CA"
               + newline
               + "      보안 사이트 CA"
               + newline
               + newline
               + "서명된 애플릿"
               + newline
               + newline
               + "      사용자의 위탁을 받아 서명된 인증서입니다. 서명된 애플릿에 나타나는 인증서는"
               + newline
               + "      <user home>/.java 디렉토리에 위치한 인증서 파일 jpicerts<version>에서 읽어옵니다."
               + newline
               + newline
               + "보안 사이트"
               + newline
               + newline
               + "      보안 사이트용 인증서입니다. 보안 사이트에 나타나는 인증서는 <user home>/.java 디렉토리에 위치한 인증서 파일"
               + newline
               + "      jpihttpscerts<version>에서 읽어옵니다."
               + newline
               + newline
               + "서명자 CA"
               + newline
               + newline
               + "      서명된 애플릿을 위한 CA(인증기관)의 인증서입니다. CA는 서명된 애플릿의 서명자에게 인증서를"
               + newline
               + "       발급하는 기관입니다. 서명자 CA 목록에 나타나는 인증서는 <jre>/lib/security 디렉토리에 위치한 인증서 파일"
               + newline
               + "       cacerts에서 읽어옵니다."
               + newline
               + newline
               + "보안 사이트 CA"
               + newline
               + newline
               + "      보안 사이트를 위한 CA(인증기관)의 인증서입니다. CA는 보안 사이트에 인증서를 발급하는"
               + newline
               + "      기관입니다. 보안 사이트 CA 목록에 나타나는 인증서는 <jre>/lib/security 디렉토리에 위치한 인증서 파일"
               + newline
               + "      jssecacerts에서 읽어옵니다."
               + newline
               + newline
               + "서명된 애플릿 및 보안 사이트 인증서의 경우 네 가지 옵션(가져오기, 내보내기, 제거 및 자세히)이 있어"
               + newline
               + "사용자가 인증서를 가져오고, 내보내고, 제거하고, 자세한 내용을 볼 수 있습니다."
               + newline
               + newline
               + "서명자 CA 및 보안 사이트 CA의 경우 옵션이 한 가지(자세히) 밖에 없어 사용자는 인증서를 자세히 볼 수만 있습니다."
               + newline
               + newline
               + newline
               + " 업데이트"
               + newline
               + newline
               + newline
               + "이 패널에는 \"지금 업데이트\" 버튼이 있어 Java 업데이트 웹 사이트에서"
               + newline
               + "Java Runtime Environment의 최신 업데이트 버전을 받을 수 있습니다. 이 패널은 Microsoft Windows 플랫폼에서만 지원되며 다른"
               + newline
               + "플랫폼(예: Solaris/Linux)에서는 나타나지 않습니다."
      }
   };

   public Object[][] getContents() {
      return contents;
   }
}
