package sun.plugin.resources;

import java.util.ListResourceBundle;

public class ControlPanelHelp_sv extends ListResourceBundle {
   private static String newline = "\n";
   static final Object[][] contents = new Object[][]{
      {
            "help.file",
            newline
               + "Kontrollpanelen för Java Plug-in Hjälp"
               + newline
               + newline
               + newline
               + "Följande ämnen berörs:"
               + newline
               + "      Översikt"
               + newline
               + "      Sparalternativ"
               + newline
               + "      Ställa in alternativ i Kontrollpanelen"
               + newline
               + "      Baspanel"
               + newline
               + "      Avancerad panel"
               + newline
               + "      Webbläsarpanel"
               + newline
               + "      Proxy-panel"
               + newline
               + "      Cache-panel"
               + newline
               + "      Certifikatpanel"
               + newline
               + "      Uppdateringspanel"
               + newline
               + newline
               + "Översikt"
               + newline
               + newline
               + "Kontrollpanelen för Java Plug-in gör det möjligt att ändra de standardinställningar som Java Plug-in använder vid uppstart."
               + newline
               + "Alla appletar som körs av Java Plug-in använder sig av dessa inställningar."
               + newline
               + "Java Plug-in Developer Guide, som nämns i texten, finns på (ändringar av URL kan förekomma):"
               + newline
               + "http://java.sun.com/j2se/1.4/docs/guide/plugin/developer_guide/contents.html"
               + newline
               + newline
               + "Sparalternativ"
               + newline
               + newline
               + "När du är färdig med dina ändringar i kontrollpanelen ska du klicka på Tillämpa för att spara ändringarna."
               + newline
               + "Klicka Återställ för att avbryta ändringarna och ladda om de värden som senast skrevs in och sparades."
               + newline
               + "Observera att det inte är samma set av standardvärden som ursprungligen ställdes in för Java Plug-in när det installerades."
               + newline
               + newline
               + "Ställa in alternativ i Kontrollpanelen"
               + newline
               + newline
               + "Det finns sex paneler i kontrollpanelen där du kan ställa in olika alternativ."
               + newline
               + "Dessa paneler benämns: "
               + newline
               + "      Bas"
               + newline
               + "      Avancerad"
               + newline
               + "      Webbläsare"
               + newline
               + "      Proxies"
               + newline
               + "      Cache"
               + newline
               + "      Certifikat"
               + newline
               + "      Uppdatering"
               + newline
               + newline
               + "Var och en beskrivs separat i texten nedan."
               + newline
               + newline
               + newline
               + " Bas"
               + newline
               + "Visa Java-systemfönster"
               + newline
               + newline
               + "      Visar Java-systemfönster medan appletar körs. Systemfönstret visar meddelanden som skrivs ut av System.out och System.err."
               + newline
               + "      Det är användbart när problem ska återställas."
               + newline
               + newline
               + "Dölj systemfönster"
               + newline
               + newline
               + "      Java-systemfönstret kör men visas ej. Detta är standardinställningen (ikryssad)."
               + newline
               + newline
               + "Starta ej systemfönster"
               + newline
               + newline
               + "      Java-systemfönster startas ej."
               + newline
               + newline
               + "Visa dialogruta för undantag"
               + newline
               + newline
               + "      Visar en dialogruta för undantag när dessa sker. Standard är att inte visa dialogrutan för undantag (ej ikryssad)."
               + newline
               + newline
               + "Visa Java i Aktivitetsfältet (gäller endast Windows)"
               + newline
               + newline
               + "      Visar Java-logotypen (kaffekoppen) i Aktivitetsfältet när Java Plug-in-programmet är startat"
               + newline
               + "      och tar bort den från Aktivitetsfältet när Java Plug-in-programmet är stängt."
               + newline
               + "      Java-logotypen (kaffekoppen) med kaffekoppen visar för användaren att en Java VM körs. Logotypen innehåller "
               + newline
               + "      information om den aktuella Java-versionen och gör att du kan kontrollera Java-systemfönstret."
               + newline
               + "      Det här alternativet är aktiverat som standard (ikryssad)."
               + newline
               + newline
               + "      Java-funktioner i Aktivitetsfältet:"
               + newline
               + newline
               + "      När musen pekar på Java-logotypen (kaffekoppen) visas texten \"Java\"."
               + newline
               + newline
               + "      När du dubbelklickar med vänster musknapp på Java-ikonen i Aktivitetsfältet öppnas Java-systemfönstret."
               + newline
               + newline
               + "      När du högerklickar på Java-ikonen visas en popup-meny med följande menyalternativ:"
               + newline
               + newline
               + "            Öppna/stäng systemfönster"
               + newline
               + "            Om Java"
               + newline
               + "            Stäng av"
               + newline
               + "            Avsluta"
               + newline
               + newline
               + "      Öppna/stäng systemfönster öppnar och stänger Java-systemfönstret. Menyalternativet visar Öppna systemfönstret om"
               + newline
               + "       Java-systemfönstret är dold och Stäng systemfönstret om Java-systemfönstret visas."
               + newline
               + newline
               + "      Om Java visar dialogrutan Om för Java 2 Standard Edition."
               + newline
               + newline
               + "      Stäng av stänger av och tar bort Java-ikonen från Aktivitetsfältet under både den aktuella sessionen och framtida sessioner. När Java Plug-in startas"
               + newline
               + "      om visas inte Java-ikonen i Aktivitetsfältet."
               + newline
               + "      Information om hur du visar Java-ikonen i Aktivitetsfältet efter att den har inaktiverats finns i kommentaren nedan."
               + newline
               + newline
               + "      Avsluta tar enbart bort Java-ikonen från Aktivitetsfältet under den aktuella sessionen. När Java Plug-in startas om visas"
               + newline
               + "      Java-ikonen i Aktivitetsfältet igen."
               + newline
               + newline
               + newline
               + "                Obs"
               + newline
               + newline
               + "                1. Om \"Visa Java i Aktivitetsfältet\" är ikryssad visas Java-ikonen i Aktivitetsfältet även om \"Starta inte"
               + newline
               + "                systemfönstret\" är ikryssad."
               + newline
               + newline
               + "                2. Starta kontrollpanelen för Java Plug-in, kryssa i \"Visa Java i Aktivitetsfältet\" och tryck på \"Använd\" om du"
               + newline
               + "                vill aktivera Java-ikonen igen efter att den har inaktiverats."
               + newline
               + newline
               + "                3. Om andra Java VM-sessioner redan körs och andra Java-ikoner har lagts till i Aktivitetsfältet påverkas inte dessa"
               + newline
               + "                ikoner när du ändrar inställningen i kontrollpanelen för Java Plug-in."
               + newline
               + "                Inställningen påverkar bara ikoner för Java VM-sessioner som startas efter ändringen."
               + newline
               + newline
               + newline
               + " Avancerad"
               + newline
               + newline
               + newline
               + "Java Run Time Environment"
               + newline
               + newline
               + "      Gör det möjligt för Java Plug-in att köra med vilken Java 2 JRE eller SDK, Standard Edition v 1.3 eller 1.4 som helst installerad på din dator."
               + newline
               + "      Java Plug-in 1.3/1.4 levereras med en standard-JRE."
               + newline
               + "      Du kan dock åsidosätta standard-JRE och använda en äldre eller nyare version. Kontrollpanelen upptäcker automatiskt"
               + newline
               + "      alla versioner av Java 2 SDK eller JRE som finns installerade på dator. I listrutan visas alla de versioner"
               + newline
               + "      du kan använda."
               + newline
               + "      Den första posten i listan är alltid standard-JRE; den sista är alltid Annan. Om du väljer Annan, måste du ange"
               + newline
               + "      sökvägen till Java 2 JRE eller SDK, Standard Edition v 1.3/1.4."
               + newline
               + newline
               + "                Obs"
               + newline
               + newline
               + "                Endast användare med tillräckliga kunskaper bör använda detta alternativ. Att ändra standard-JRE är inte att rekommendera."
               + newline
               + newline
               + newline
               + "Java Runtime-parametrar"
               + newline
               + newline
               + "      Åsidosätter standardparametrarna i Java Plug-in genom att ange andra alternativ. Samma syntax används till"
               + newline
               + "      parametrarna som till Javas kommandolinjer. Se dokumentation för Java 2 Standard Edition (J2SE)"
               + newline
               + "      för en fullständig lista över kommandolinjealternativ."
               + newline
               + "      Ändringar av URL kan förekomma:"
               + newline
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/tooldocs/<platform>/java.html"
               + newline
               + newline
               + "            där <platform> är ett av följande operativsystem: Solaris, Linux, Win32."
               + newline
               + newline
               + "      Nedan finns några exempel på Java Runtime-parametrar."
               + newline
               + newline
               + "      Aktivera och deaktivera försäkransupport"
               + newline
               + newline
               + "            Följande systemegenskaper måste anges i Java Runtime-parametrarna för att försäkransupporten ska aktiveras:"
               + newline
               + newline
               + "                  -D[ enableassertions | ea ][:<package name>\"...\" | : <class name> ]"
               + newline
               + newline
               + "            Ange följande Java Runtime-parametrar för att deaktivera försäkran i Java Plug-in:"
               + newline
               + newline
               + "                  -D[ disableassertions | da ][:<package name>\"...\" | : <class name> ]"
               + newline
               + newline
               + "            Se Assertion Facility för mer detaljer om att aktivera/deaktivera försäkran."
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/guide/lang/assert.html (Ändringar av URL kan förekomma)."
               + newline
               + newline
               + "            Försäkran deaktiveras som standard i Java Plug-inkod. Eftersom effekten av försäkran bestäms under uppstarten av Java Plug-in"
               + newline
               + "            så kräver en ändring av försäkransinställningarna i Kontrollpanelen för Java Plug-in att webbläsaren startas"
               + newline
               + "            om för att de nya inställningarna ska ge effekt."
               + newline
               + newline
               + "            Eftersom Java-koden i Java Plug-in även har inbyggd försäkran, så är det möjligt att aktivera försäkran i"
               + newline
               + "            Java Plug-inkod genom:"
               + newline
               + newline
               + "                  -D[ enableassertions | ea ]:sun.plugin"
               + newline
               + newline
               + "      Spåra och logga support"
               + newline
               + newline
               + "            Spårning används för att omdirigera utdata i Java-systemfönstret till en spårfil (.plugin<version>.trace)."
               + newline
               + newline
               + "                  -Djavaplugin.trace=true"
               + newline
               + "                  -Djavaplugin.trace.option=basic|net|security|ext|liveconnect"
               + newline
               + newline
               + "            Om du inte vill använda standardnamnet på spårfilen:"
               + newline
               + newline
               + "                  -Djavaplugin.trace.filename=<tracefilename>"
               + newline
               + newline
               + "            Liksom spårning, används loggning för att omdirigera utdata i Java-systemfönstret till en loggfil (.plugin<version>.log)"
               + newline
               + "            med hjälp av Java Logging API."
               + newline
               + "            Loggning kan startas genom att aktivera egenskapen javaplugin.logging."
               + newline
               + newline
               + "                  -Djavaplugin.logging=true"
               + newline
               + newline
               + "            Om du inte vill använda standardnamnet på loggfilen:"
               + newline
               + newline
               + "                  -Djavaplugin.log.filename=<logfilename>"
               + newline
               + newline
               + "            Dessutom, om du inte vill skriva över spår- eller loggfilerna vid varje session, kan du ställa in egenskapen:"
               + newline
               + newline
               + "                  -Djavaplugin.outputfiles.overwrite=false."
               + newline
               + newline
               + "            Om egenskapen ställs in som false, kommer spår- och loggfiler att få unika namn vid varje session. Om standardnamnen på spår-"
               + newline
               + "            och loggfilerna används, kommer filerna att namnges så här:"
               + newline
               + newline
               + "                  .plugin<username><date hash code>.trace"
               + newline
               + "                  .plugin<username><date hash code>.log"
               + newline
               + newline
               + "            Spårning och loggning som ställts in med hjälp av kontrollpanelen ger effekt när Plug-in startas"
               + newline
               + "            men ändringar som utförs medan Plug-in kör har ingen effekt förrän efter omstart."
               + newline
               + newline
               + "            För mer information om spårning och loggning, se Tracing and Logging i Java Plug-in Developer Guide."
               + newline
               + newline
               + "      Debugga program i Java Plug-in"
               + newline
               + newline
               + "            Följande alternativ används när program debuggas i Java Plug-in."
               + newline
               + "            För mer information om detta ämne, se Debugging Support i Java Plug-in Developer Guide."
               + newline
               + newline
               + "                  -Djava.compiler=NONE"
               + newline
               + "                  -Xnoagent"
               + newline
               + "                  -Xdebug"
               + newline
               + "                  -Xrunjdwp:transport=dt_shmem,address=<connect-address>,server=y,suspend=n"
               + newline
               + newline
               + "            <connect-address> kan vara vilken sträng som helst (exempel: 2502) som används av Java Debugger (jdb) för"
               + newline
               + "            att senare ansluta till JVM."
               + newline
               + newline
               + "      Standard för anslutningstimeout"
               + newline
               + newline
               + "            När en anslutning till en server utförs av ett program och servern inte svarar, kan programmet hänga sig"
               + newline
               + "            och dessutom orsaka att webbläsaren hänger sig eftersom det inte finns någon anslutningstimeout i nätverket"
               + newline
               + "            (som standard är den inställd till -1 vilket innebär att det inte finns någon timeout)."
               + newline
               + newline
               + "            För att undvika det här problemet har Java Plug-in lagt in ett standardvärde på timeout (2 minuter) för alla HTTP-anslutningar.:"
               + newline
               + "            Du kan åsidosätta denna inställning i Java Runtime-parametrarna:"
               + newline
               + newline
               + "                  -Dsun.net.client.defaultConnectTimeout=value in milliseconds"
               + newline
               + newline
               + "            En annan nätverksegenskap som du kan ställa in är sun.net.client.defaultReadTimeout."
               + newline
               + newline
               + "                  -Dsun.net.client.defaultReadTimeout=value in milliseconds"
               + newline
               + newline
               + "                  Obs"
               + newline
               + newline
               + "                  Java Plug-in ställer inte in sun.net.client.defaultReadTimeout som standard. Om du vill göra en sådan inställning"
               + newline
               + "                  gör du det med hjälp av de Java Runtime-parametrar som visats ovan."
               + newline
               + newline
               + newline
               + "            Beskrivning av nätverksegenskaper:"
               + newline
               + newline
               + "            sun.net.client.defaultConnectTimeout"
               + newline
               + "            sun.net.client.defaultReadTimeout"
               + newline
               + newline
               + "                  Dessa egenskaper anger standardvärdena för anslutnings- respektive lästimeout för de protokollhanterare som används"
               + newline
               + "                  av java.net.URLConnection. Det standardvärde som ställts in av protokollhanterarna är -1, vilket innebär"
               + newline
               + "                  att det inte finns någon timeout inställd."
               + newline
               + newline
               + "                  sun.net.client.defaultConnectTimeout anger timeout (i millisekunder) för att etablera kontakt med värden."
               + newline
               + "                  För http-anslutningar är det till exempel timeout för anslutningen till http-servern."
               + newline
               + "                  För ftp-anslutningar är det timeout för anslutningen till ftp-servrar."
               + newline
               + newline
               + "                  sun.net.client.defaultReadTimeout anger timeout (i millisekunder) när man läser från en indataström då en"
               + newline
               + "                  anslutning etablerats med en resurs."
               + newline
               + newline
               + "            Den officiella beskrivningen av dessa nätverksegenskaper finns"
               + newline
               + "            på http://java.sun.com/j2se/1.4/docs/guide/net/properties.html."
               + newline
               + newline
               + newline
               + " Webbläsare"
               + newline
               + newline
               + newline
               + "Den här panelen hänvisar endast till Microsoft Windows-installationer; den förekommer inte i andra installationer. Kryssa för den webbläsare"
               + newline
               + "för vilken du vill att Java Plug-in ska vara standard Java-körtid, istället för läsarens interna JVM."
               + newline
               + "Det är för att aktivera APPLET tag support i Internet Explorer och Netscape 6 via Java Plug-in."
               + newline
               + newline
               + newline
               + " Proxies"
               + newline
               + newline
               + newline
               + "Använd Proxy-panelen för att använda webbläsarens standardinställningar eller för att åsidosätta proxy-adress och -port för de olika protokollen."
               + newline
               + newline
               + "Använd webbläsarinställningar"
               + newline
               + newline
               + "      Kryssa i här för att använda webbläsarens standardinställningar för proxy. Detta är standardinställningen (ikryssad)."
               + newline
               + newline
               + "Informationstabell för proxy"
               + newline
               + newline
               + "      Du kan åsidosätta standardinställningarna genom att klicka bort krysset ur kryssrutan \"Använd webbläsarinställningar\" och sedan"
               + newline
               + "      göra färdig informationstabellen nedanför kryssrutan. Du kan skriva in proxy-adress och -port för var och"
               + newline
               + "      en av de understödda protokollen: HTTP, Secure (HTTPS), FTP, Gopher och Socks."
               + newline
               + newline
               + "Ingen proxy-värd"
               + newline
               + newline
               + "      Detta är en värd eller lista över värdar för vilka inga proxy/proxies ska användas. \"Ingen proxy-värd\" används"
               + newline
               + "      oftast för en intern värd i en intranet-miljö."
               + newline
               + newline
               + "Automatisk proxykonfigurations-URL"
               + newline
               + "      Detta är en URL för JavaScript-filen (.js eller .pac suffix) som innehåller FindProxyForURL-funktionen."
               + newline
               + "      FindProxyForURL bestämmer vilken proxy-server som kan användas för en anslutningsförfrågan."
               + newline
               + newline
               + "För mer information om proxy-konfiguration, se Proxy Configuration i Java Plug-in"
               + newline
               + "Developer Guide."
               + newline
               + newline
               + newline
               + " Cache"
               + newline
               + newline
               + newline
               + "           Obs"
               + newline
               + newline
               + "           Cachen som det hänvisas till här är sticky cache; dvs den disk-cache som skapats och kontrolleras av Java Plug-in och som"
               + newline
               + "           webbläsaren inte kan skriva över. Se Applet Caching i Java Plug-in Developer Guide för mer information."
               + newline
               + newline
               + newline
               + "Aktivera Caching"
               + newline
               + newline
               + "      Kryssa i här för att aktivera caching. Detta är standardinställningen (ikryssad). Med Applet Caching aktiverad"
               + newline
               + "      förbättras prestanda eftersom en applet som en gång blivit cachad inte längre behöver laddas ner när man hänvisar till den igen."
               + newline
               + newline
               + "      Java Plug-in cachar följande typer av filer som laddas ner via HTTP/HTTPS:"
               + newline
               + newline
               + "            .jar (jar-fil)"
               + newline
               + "            .zip (zip-fil)"
               + newline
               + "            .class (java-klassfil)"
               + newline
               + "            .au (ljudfil)"
               + newline
               + "            .wav (ljudfil)"
               + newline
               + "            .jpg (bilddfil)"
               + newline
               + "            .gif (bilddfil)"
               + newline
               + newline
               + "Visa filer i cachen"
               + newline
               + newline
               + "      Tryck här för att se de cachade filerna. En annan dialog (Java Plug-in Cache Viewer) dyker upp som visar de cachade filerna."
               + newline
               + "      Cache Viewer visar följande information om filer i cache: Namn, Typ, Storlek, Förfallodatum,"
               + newline
               + "      Senast ändrad, Version och URL. I Cache Viewer kan du också selektivt ta bort filer i cachen."
               + newline
               + "      Detta är ett alternativ till Töm cache-alternativet (beskrivs nedan), som tar bort alla filer i cachen."
               + newline
               + newline
               + "Töm cachen"
               + newline
               + newline
               + "      Tryck här för att ta bort alla filer i cachen. Du kommer att bli tillfrågad (Ta bort alla filer i ... _cachen?) innan filerna tas bort."
               + newline
               + newline
               + "Läge"
               + newline
               + newline
               + "      Du kan använda följande för att ange cachens läge. Cachens standardläge är <user home>/.jpi_cache där <user home>"
               + newline
               + "      är värdet på systemegenskapen user.home. Dess värde beror på operativsystemet."
               + newline
               + newline
               + "Storlek"
               + newline
               + newline
               + "      Du kan kryssa för Obegränsad för att göra cachen obegränsat stor eller ställa in Maxstorlek för cachen."
               + newline
               + "      Om cachestorleken överskrider den gräns som angivits, kommer de äldsta filerna att tas bort tills cachestorleken"
               + newline
               + "      är innanför gränsen."
               + newline
               + newline
               + "Kompression"
               + newline
               + newline
               + "      Du kan ställa in JAR-cachefilernas kompression mellan Ingen och Hög. Medan du sparar minne genom att"
               + newline
               + "      ange högre kompression, minskar du samtidigt prestandan. Bäst prestanda uppnås"
               + newline
               + "      utan kompression."
               + newline
               + newline
               + newline
               + " Certifikat"
               + newline
               + newline
               + newline
               + "Fyra typer av certifikat kan väljas:"
               + newline
               + newline
               + "      Signerad applet"
               + newline
               + "      Säker site"
               + newline
               + "      Signerar-CA"
               + newline
               + "      Säker site CA"
               + newline
               + newline
               + "Signerad applet"
               + newline
               + newline
               + "      Dessa är certifikat för signerade appletar som användaren accepterar. Certifikaten som visar sig i listan över appletar, läses"
               + newline
               + "      från certifikatfilen jpicerts<version> som finns i <user home>/.java-katalogen."
               + newline
               + newline
               + "Säker site"
               + newline
               + newline
               + "      Dessa är certifikat för säkra sites. Certifikaten som visar sig i den listan över Säkra sites läses från certifikatfilen"
               + newline
               + "      jpicerts<version> som finns i <user home>/.java -katalogen."
               + newline
               + newline
               + "Signerar-CA"
               + newline
               + newline
               + "      Dessa är certifikat från Certificate Authorities (CAs) för signerade appletar. Det är de som ger ut certifikaten till"
               + newline
               + "       signerarna. Certifikaten som visar sig i listan över Signerar-CA läses från certifikatfilen cacerts som finns"
               + newline
               + "       i <jre>/lib/security-katalogen."
               + newline
               + newline
               + "Säker site CA"
               + newline
               + newline
               + "      Dessa är certifikat från Certificate Authorities (CAs) för säkra sites. Det är de som ger ut certifikaten för"
               + newline
               + "      säkra sites. Certifikaten som visar sig i Säkra sites CA-listan läses från certifikatfilen jssecacerts som finns"
               + newline
               + "      i <jre>/lib/security-katalogen."
               + newline
               + newline
               + "För Signerad applet- och Säker site-certifikat finns det fyra alternativ: Importera, Exportera, Ta bort och Detaljer."
               + newline
               + "Användaren kan importera, exportera, ta bort och se detaljer om ett certifikat."
               + newline
               + newline
               + "För Signerar- CA- och Säker site CA-certifikat finns det bara ett alternativ: Detaljer. Användaren kan endast se detaljer om ett certifikat."
               + newline
               + newline
               + newline
               + " Uppdatera"
               + newline
               + newline
               + newline
               + "I den här panelen finns det en \"Uppdatera nu\"-knapp som låter användare få den senaste versionen för Java Runtime"
               + newline
               + "Environment från webbsidan Java Update. Den här panelen hänvisar endast till Microsoft Windows-plattformen; den förekommer inte"
               + newline
               + "i andra plattformar (t ex Solaris/Linux)."
      }
   };

   public Object[][] getContents() {
      return contents;
   }
}
