package sun.plugin.resources;

import java.util.ListResourceBundle;

public class ControlPanelHelp_zh_TW extends ListResourceBundle {
   private static String newline = "\n";
   static final Object[][] contents = new Object[][]{
      {
            "help.file",
            newline
               + "Java Plug-in 控制面板說明"
               + newline
               + newline
               + newline
               + "在說明中涵蓋下列的主題："
               + newline
               + "      概觀"
               + newline
               + "      儲存選項"
               + newline
               + "      設定控制面板選項"
               + newline
               + "      基本"
               + newline
               + "      進階"
               + newline
               + "      瀏覽器"
               + newline
               + "      代理"
               + newline
               + "      快取"
               + newline
               + "      證書"
               + newline
               + "      更新"
               + newline
               + newline
               + "概觀"
               + newline
               + newline
               + "Java Plug-in 控制面板可以讓您變更 Java Plug-in 在啟動時所使用的預設值。"
               + newline
               + "所有在 Java Plug-in 作用中實例中執行的 Applet，都會使用這些設定。"
               + newline
               + "本文件中所提及的 Java Plug-in Developer Guide，可以在下列網站上找到（URL 會隨時變更）："
               + newline
               + "http://java.sun.com/j2se/1.4/docs/guide/plugin/developer_guide/contents.html"
               + newline
               + newline
               + "儲存選項"
               + newline
               + newline
               + "當您完成「控制面板」選項的變更之後，請按一下「套用」來儲存所做的變更。"
               + newline
               + "按一下「重設」，可以取消所做的變更，並重新載入最後輸入且套用的值。"
               + newline
               + "請注意，此值與安裝 Java Plug-in 之後最初所設定的預設值不同。"
               + newline
               + newline
               + "設定控制面板選項"
               + newline
               + newline
               + "在 Java Plug-in 控制面板中，共有六個面板可讓您設定各種的選項。"
               + newline
               + "這些面板的標籤如下："
               + newline
               + "      基本"
               + newline
               + "      進階"
               + newline
               + "      瀏覽器"
               + newline
               + "      代理"
               + newline
               + "      快取"
               + newline
               + "      證書"
               + newline
               + "      更新"
               + newline
               + newline
               + "每一項均在下面分別說明。"
               + newline
               + newline
               + newline
               + " 基本"
               + newline
               + "顯示主控台"
               + newline
               + newline
               + "      在執行 Applet 時，會顯示 Java 主控台。在主控台中，會顯示由 System.out 及 System.err 所列印的訊息。"
               + newline
               + "      它在問題除錯方面非常有用。"
               + newline
               + newline
               + "隱藏主控台"
               + newline
               + newline
               + "      Java 主控台雖然在執行中，但是是隱藏的。此為預設的設定（已勾選）。"
               + newline
               + newline
               + "不啟動主控台"
               + newline
               + newline
               + "      Java 主控台不會啟動。"
               + newline
               + newline
               + "顯示異常對話方塊"
               + newline
               + newline
               + "      當發生異常時，會顯示異常對話方塊。預設值為不顯示異常對話方塊（已取消勾選）。"
               + newline
               + newline
               + "在系統匣中顯示 Java（僅限於 Windows）"
               + newline
               + newline
               + "      若啟用此選項，當啟動 Java Plug-in 時，系統匣中會顯示 Java 咖啡杯標誌，"
               + newline
               + "      當 Java Plug-in 關閉時，此標誌會從系統匣中移除。"
               + newline
               + "      Java 咖啡杯標誌指示使用者 Java VM 正在執行，並提供"
               + newline
               + "      有關 Java 的版次資訊，還可透過 Java 主控台執行控制。"
               + newline
               + "      依預設，會啟用此選項（已勾選）。"
               + newline
               + newline
               + "      Java 系統匣功能如下："
               + newline
               + newline
               + "      當滑鼠指向 Java 咖啡杯標誌時，會顯示文字「Java」。"
               + newline
               + newline
               + "      當用滑鼠左鍵按兩下 Java 系統匣圖示時，將出現「Java 主控台」視窗。"
               + newline
               + newline
               + "      當用滑鼠右鍵按兩下 Java 系統匣圖示時，將顯示具有如下功能表項目的即現式功能表："
               + newline
               + newline
               + "            開啟/關閉主控台"
               + newline
               + "            關於 Java"
               + newline
               + "            停用"
               + newline
               + "            結束"
               + newline
               + newline
               + "      「開啟/關閉主控台」會開啟/關閉「Java 主控台」視窗。如果 Java 主控台為隱藏狀態，此功能表項目為「開啟主控台」，"
               + newline
               + "       如果 Java 主控台為顯示狀態，則為「關閉主控台」。"
               + newline
               + newline
               + "      「關於 Java」將顯示 Java 2 標準版的「關於」方塊。"
               + newline
               + newline
               + "      「停用」將在目前以及將來的階段作業中停用 Java 圖示，並從系統匣中移除該圖示。當重新啟動 Java Plug-in 時，"
               + newline
               + "      系統匣中不會再出現 Java 圖示。"
               + newline
               + "      有關如何在系統匣中顯示停用的 Java 圖示的資訊，請參閱下面的附註。"
               + newline
               + newline
               + "      「結束」僅會從目前的階段作業移除系統匣中的 Java 圖示。當重新啟動 Java Plug-in 時，"
               + newline
               + "      Java 圖示會再次出現在系統匣中。"
               + newline
               + newline
               + newline
               + "                附註"
               + newline
               + newline
               + "                1. 如果勾選了「在系統匣中顯示 Java」，則即使選取了「不要啟動主控台」，Java 圖示也會"
               + newline
               + "                顯示在系統匣中。"
               + newline
               + newline
               + "                2. 若要啟用已停用的 Java 圖示，請啟動 Java Plug-in 控制面板，勾選「在系統匣"
               + newline
               + "                中顯示 Java」，然後按下「套用」。"
               + newline
               + newline
               + "                3. 如果正在執行其他 Java VM，且其他的 Java 圖示已加入到系統匣中，變更 "
               + newline
               + "                Java Plug-in 控制面板中的設定不會影響這些圖示。"
               + newline
               + "                此設定僅會影響以後 Java VM 啟動時 Java 圖示的顯示方式。"
               + newline
               + newline
               + newline
               + " 進階"
               + newline
               + newline
               + newline
               + "Java Run Time Environment"
               + newline
               + newline
               + "      讓 Java Plug-in 可以在您機器上所安裝的任何 Java 2 JRE 或 SDK 標準版 v 1.3 或 1.4 中執行。"
               + newline
               + "      Java Plug-in 1.3/1.4 在發送時，會隨附預設的 JRE。"
               + newline
               + "      不過，您可以置換此預設的 JRE，使用較舊或較新的版本。「控制面板」可以自動偵測"
               + newline
               + "      在機器上，已安裝之所有版本的 Java 2 SDK 或 JRE。在此清單方塊中，會顯示"
               + newline
               + "      您可以使用的所有版本。"
               + newline
               + "      清單中第一個項目永遠是預設的 JRE；最後一項則永遠是個為「其他」。如果您選擇「其他」，則必須"
               + newline
               + "      指定到 Java 2 JRE 或 SDK 標準版 v 1.3/1.4 的路徑。"
               + newline
               + newline
               + "                附註"
               + newline
               + newline
               + "                只有進階使用者才可變更此選項。不建議變更預設的 JRE。"
               + newline
               + newline
               + newline
               + "Java Run Time 參數"
               + newline
               + newline
               + "      利用指定自訂選項，來置換 Java Plug-in 預設的啟動參數。此語法與 java 指令"
               + newline
               + "      行呼叫的參數所使用的語法相同。請參閱 Java 2 標準版 (J2SE) 文件，"
               + newline
               + "      以取得完整的指令行選項清單。"
               + newline
               + "      以下的 URL 會隨時變更："
               + newline
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/tooldocs/<platform>/java.html"
               + newline
               + newline
               + "            其中 <platform> 為下列其中一項作業系統：solaris、linux 及 win32。"
               + newline
               + newline
               + "      以下為一些 Java runtime 參數的範例。"
               + newline
               + newline
               + "      啟用與停用假設支援"
               + newline
               + newline
               + "            如果要啟用假設支援，必須在 Java Runtime 參數中，指定下列的系統屬性："
               + newline
               + newline
               + "                  -D[ enableassertions | ea ][:<package name>\"...\" | : <class name> ]"
               + newline
               + newline
               + "            如果要停用 Java Plug-in 中的假設，請於 Java Plug-in 中指定下列項目："
               + newline
               + newline
               + "                  -D[ disableassertions | da ][:<package name>\"...\" | : <class name> ]"
               + newline
               + newline
               + "            請參閱「假設機能」，以取得啟用/停用假設相關的詳細資訊："
               + newline
               + "            http://java.sun.com/j2se/1.4/docs/guide/lang/assert.html（URL 可能隨時會變更）。"
               + newline
               + newline
               + "            依預設，在 Java Plug-in 程式碼中會停用假設。因為假設的影響是在 Java Plug-in 啟動時決定的，"
               + newline
               + "            所以變更 Java Plug-in 控制面板中假設的設定時，將會需要重新啟動瀏覽器，"
               + newline
               + "            以便新的設定能生效。"
               + newline
               + newline
               + "            因為 Java Plug-in 中 Java 程式碼也具有內建的假設，所以可以透過下列項目，"
               + newline
               + "            來啟用 Java Plug-in 程式碼中的假設："
               + newline
               + newline
               + "                  -D[ enableassertions | ea ]:sun.plugin"
               + newline
               + newline
               + "      追蹤與記載支援"
               + newline
               + newline
               + "            追蹤是一項機能，可以將 Java 主控台中任何的輸出，重新導向至追蹤檔 (.plugin<version>.trace)。"
               + newline
               + newline
               + "                  -Djavaplugin.trace=true"
               + newline
               + "                  -Djavaplugin.trace.option=basic|net|security|ext|liveconnect"
               + newline
               + newline
               + "            如果您不想使用預設追蹤檔的名稱："
               + newline
               + newline
               + "                  -Djavaplugin.trace.filename=<tracefilename>"
               + newline
               + newline
               + "            與追蹤相似的是，記載也是一項機能，可以將 Java 主控台中任何的輸出，使用 Java Logging API 來"
               + newline
               + "            重新導向至日誌檔 (.plugin<version>.log)。"
               + newline
               + "            可以利用啟用屬性 javaplugin.logging 來啟動記載。"
               + newline
               + newline
               + "                  -Djavaplugin.logging=true"
               + newline
               + newline
               + "            如果您不想使用預設的日誌檔名稱，請輸入："
               + newline
               + newline
               + "                  -Djavaplugin.log.filename=<logfilename>"
               + newline
               + newline
               + "            此外，如果您不想改寫每一階段作業的追蹤及日誌檔，您可以設定下列的屬性："
               + newline
               + newline
               + "                  -Djavaplugin.outputfiles.overwrite=false."
               + newline
               + newline
               + "            如果此屬性設成 false，則在每一個階段作業中，將會對追蹤及日誌檔以唯一的名稱來命名。如果"
               + newline
               + "            已使用預設的追蹤及日誌檔，則檔案的命名方式如下所示："
               + newline
               + newline
               + "                  .plugin<username><date hash code>.trace"
               + newline
               + "                  .plugin<username><date hash code>.log"
               + newline
               + newline
               + "            透過「控制面板」來設定的追蹤及記載，當 Plug-in 啟動時便會生效，但是如果在 Plug-in "
               + newline
               + "            執行時，便透過「控制面板」來進行變更，則要到重新啟動之後，變更才會生效。"
               + newline
               + newline
               + "            如需其他關於追蹤及記載的資訊，請參閱 Java Plug-in Developer Guide 中的 Tracing and Logging。"
               + newline
               + newline
               + "      除錯 Java Plug-in 中的 Applet"
               + newline
               + newline
               + "            在除錯 Java Plug-in 中的 Applet 時，會使用下列的選項。"
               + newline
               + "            如需其他關於這項主題的資訊，請參閱 Java Plug-in Developer Guide 中的 Debugging Support。"
               + newline
               + newline
               + "                  -Djava.compiler=NONE"
               + newline
               + "                  -Xnoagent"
               + newline
               + "                  -Xdebug"
               + newline
               + "                  -Xrunjdwp:transport=dt_shmem,address=<connect-address>,server=y,suspend=n"
               + newline
               + newline
               + "            <connect-address> 可以是任意的字串（範例：2502），稍後 Java 除錯程式 (jdb) 便會"
               + newline
               + "            使用此項目來連接到 JVM。"
               + newline
               + newline
               + "      預設的連線逾時"
               + newline
               + newline
               + "            如果到伺服器的連線是由 Applet 所完成，而且伺服器並未適當地回應時，則這項 Applet "
               + newline
               + "            可能看起來已經當機，而且可能也會造成瀏覽器當機，因為沒有網路連線逾時"
               + newline
               + "            （依預設此項目設成 -1，表示沒有逾時設定）。"
               + newline
               + newline
               + "            如果要避免此問題，Java Plug-in 已經對所有的 HTTP 連線，新增預設的網路逾時值（2 分鐘）。"
               + newline
               + "            您可以置換 Java Runtime 參數中的這項設定："
               + newline
               + newline
               + "                  -Dsun.net.client.defaultConnectTimeout=value in milliseconds"
               + newline
               + newline
               + "            另一項您可以設定的網路屬性為 sun.net.client.defaultReadTimeout。"
               + newline
               + newline
               + "                  -Dsun.net.client.defaultReadTimeout=value in milliseconds"
               + newline
               + newline
               + "                  附註"
               + newline
               + newline
               + "                  依預設，Java Plug-in 不會設定 sun.net.client.defaultReadTimeout。如果您想要設定此項目，"
               + newline
               + "                  可以透過上述的 Java Runtime 參數來完成此作業。"
               + newline
               + newline
               + newline
               + "            網路屬性描述："
               + newline
               + newline
               + "            sun.net.client.defaultConnectTimeout"
               + newline
               + "            sun.net.client.defaultReadTimeout"
               + newline
               + newline
               + "                  這些屬性分別指定 java.net.URLConnection 所使用之"
               + newline
               + "                  協定處理器的預設連線及讀取逾時值。由協定處理器所設定的預設值為 -1，"
               + newline
               + "                  表示沒有逾時設定。"
               + newline
               + newline
               + "                  sun.net.client.defaultConnectTimeout 可指定逾時（以毫秒為單位），以便建立到主機的連線。"
               + newline
               + "                  例如，針對 http 連線而言，它便是在建立到 http 伺服器連線時的逾時。"
               + newline
               + "                  針對 ftp 連線而言，它便是在建立到 ftp 伺服器連線時的逾時。"
               + newline
               + newline
               + "                  sun.net.client.defaultReadTimeout 可以指定當完成建立到資源的連線之後，"
               + newline
               + "                  從輸出串流中讀取時的逾時（以毫秒為單位）。"
               + newline
               + newline
               + "            如需關於這些網路屬性的描述，"
               + newline
               + "            請參閱：http://java.sun.com/j2se/1.4/docs/guide/net/properties.html 。"
               + newline
               + newline
               + newline
               + " 瀏覽器"
               + newline
               + newline
               + newline
               + "此面板只關聯到 Microsoft Windows 的安裝作業；它不會出現在其他的安裝作業中。請勾選任何"
               + newline
               + "您希望 Java Plug-in 為其預設 Java runtime 的瀏覽器，而不是該瀏覽器的內部 JVM。"
               + newline
               + "這便是在 Internet Explorer 與 Netscape 6 中，透過 Java Plug-in 來啟用 Applet 標籤支援。"
               + newline
               + newline
               + newline
               + " 代理"
               + newline
               + newline
               + newline
               + "使用「代理」面板來使用瀏覽器預設值，或置換不同協定的代理位址和通訊埠。"
               + newline
               + newline
               + "使用瀏覽器預設值"
               + newline
               + newline
               + "      請勾選此項目，使用瀏覽器預設的代理設定。此為預設的設定（已勾選）。"
               + newline
               + newline
               + "Proxy 資訊表"
               + newline
               + newline
               + "      您可以利用取消勾選「使用瀏覽器預設值」核取方塊，來置換預設設定，然後再"
               + newline
               + "      完成核取方塊下方的代理資訊。您可以對每一個支援的協定，輸入代理位址和通訊埠"
               + newline
               + "      ：HTTP、Secure (HTTPS)、FTP、Gopher 和 Socks。"
               + newline
               + newline
               + "無代理主機"
               + newline
               + newline
               + "      這是一部主機或主機清單，其中不使用代理。「無代理主機」通常是用於"
               + newline
               + "      企業網路環境中的內部主機。"
               + newline
               + newline
               + "自動代理配置 URL"
               + newline
               + "      這是 JavaScript 檔（副檔名為 .js 或 .pac）的 URL，其中包含 FindProxyForURL 函數。"
               + newline
               + "      FindProxyForURL 具有一項邏輯，可決定對連線要求應使用的代理伺服器。"
               + newline
               + newline
               + "如需其他關於代理配置的詳細資訊，請參閱 Java Plug-in Developer Guide 中名稱為 Proxy Configuration 的"
               + newline
               + "一章。"
               + newline
               + newline
               + newline
               + " 快取"
               + newline
               + newline
               + newline
               + "           附註"
               + newline
               + newline
               + "           這些處所指的快取為sticky快取；如 Java Plug-in 所建立和控制的磁碟快取，"
               + newline
               + "           瀏覽器無法加以改寫。請參閱 Java Plug-in Developer Guide 中的 Applet Caching，以取得其他資訊。"
               + newline
               + newline
               + newline
               + " 啟用快取"
               + newline
               + newline
               + "      請勾選此項目來啟用快取。此為預設的設定（已勾選）。在啟動 Applet 快取之後，"
               + newline
               + "      效能便會改進，因為一旦快取 Applet 之後，當再次參照時，便不需要再下載。"
               + newline
               + newline
               + "      下列類型為透過 HTTP/HTTPS 來下載的 Java Plug-in 快取檔："
               + newline
               + newline
               + "            .jar（jar 檔案）"
               + newline
               + "            .zip（zip 檔案）"
               + newline
               + "            .class（java 類別檔）"
               + newline
               + "            .au（音訊檔案）"
               + newline
               + "            .wav（音訊檔案）"
               + newline
               + "            .jpg（影像檔）"
               + newline
               + "            .gif（影像檔）"
               + newline
               + newline
               + "檢視快取中的檔案"
               + newline
               + newline
               + "      請按下此項目來檢視快取的檔案。這時會彈出另一個對話方塊（Java Plug-in 快取檢視器），其中會顯示快取的檔案。"
               + newline
               + "      「快取檢視器」中會顯示下列關於快取中檔案的資訊：名稱、類型、大小、過期日、"
               + newline
               + "      最後修改時間、版本及 URL。在「快取檢視器」中，您也可以選擇性地刪除快取中的檔案。"
               + newline
               + "      這是以下所說明的「清除快取」選項的另替代作法，可以刪除快取中所有的檔案。"
               + newline
               + newline
               + "清除快取"
               + newline
               + newline
               + "      請按下此項目來清除快取中所有的檔案。在移除檔案之前，系統會提示您：「清除 ... 中全部的檔案？」。"
               + newline
               + newline
               + " 位置"
               + newline
               + newline
               + "      您可以使用此項目，來指定快取的位置。快取的預設位置為 <user home>/.jpi_cache，"
               + newline
               + "      其中 <user home> 為系統屬性 user.home 的值。其值視 OS 而定。"
               + newline
               + newline
               + "大小"
               + newline
               + newline
               + "      您可以勾選「無限制」來進行無限制大小的快取；或是您可以設定快取的「最大值」大小。"
               + newline
               + "      如果快取大小超出指定的限制，便會將已快取的最舊檔案移除，直到快取大小"
               + newline
               + "      不超過限制為止。"
               + newline
               + newline
               + "壓縮"
               + newline
               + newline
               + "      您可以將 JAR 快取檔案的壓縮設成「無」或「高」。當您指定較高的壓縮時，"
               + newline
               + "      雖可節省記憶體，但是效能便會降級；最佳的效能將會"
               + newline
               + "      是以不壓縮才能達成。"
               + newline
               + newline
               + newline
               + " 證書"
               + newline
               + newline
               + newline
               + "可以選取四種類型的憑證："
               + newline
               + newline
               + "      帶簽名的 Applet"
               + newline
               + "      安全網站"
               + newline
               + "      簽署者 CA"
               + newline
               + "      安全網站 CA"
               + newline
               + newline
               + "帶簽名的 Applet"
               + newline
               + newline
               + "      這些為使用者所信任帶簽名的 Applet 的證書。這些顯示於帶簽名 Applet 清單中的證書，"
               + newline
               + "      是從位於 <user home>/.java 目錄中的證書檔 jpicerts<version> 來讀取的。"
               + newline
               + newline
               + "安全網站"
               + newline
               + newline
               + "      這些為安全網站的證書。這些顯示於安全網站清單中的證書，是從位於 <user home>/.java 目錄中的"
               + newline
               + "      證書檔 jpihttpscerts<version> 來讀取的。"
               + newline
               + newline
               + "簽署者 CA"
               + newline
               + newline
               + "      這些為「認證中心 (CA)」 發出給帶簽名的 Applet 的證書；這些認證中心發出證書給"
               + newline
               + "      帶簽名的 Applet 的簽署者。這些顯示於「簽署者 CA」清單中的證書，"
               + newline
               + "      是從位於 <jre>/lib/security 目錄中的證書檔 cacerts 來讀取的。"
               + newline
               + newline
               + "安全網站 CA"
               + newline
               + newline
               + "      這些為安全網站之「認證中心 (CA)」的證書；這些便是發出安全網站證書的使用者。"
               + newline
               + "      這些顯示於「安全網站 CA」清單中的證書，是從位於 <jre>/lib/security 目錄中的"
               + newline
               + "      證書檔 jssecacerts 來讀取的。"
               + newline
               + newline
               + "對於帶簽名的 Applet 及 安全網站證書而言，共有四種選項：「匯入」、「匯出」、「移除」和「明細」。"
               + newline
               + "使用者可以匯入、匯出、移除及檢視證書的明細。"
               + newline
               + newline
               + "對於簽署程式 CA 及安全網站 CA 而言，只有「明細」一種選項。使用者只能檢視證書的明細。"
               + newline
               + newline
               + newline
               + " 更新"
               + newline
               + newline
               + newline
               + "在此面板中，具有一個「立即更新」按鈕，可允許使用者從 Java Update 網站來取得 Java Runtime Environment 最新"
               + newline
               + "的更新項目。此面板只關聯到 Microsoft Windows 平台；它不會出現在"
               + newline
               + "其他的平台中（如 Solaris/Linux）。"
      }
   };

   public Object[][] getContents() {
      return contents;
   }
}
