package sun.plugin.resources;

import java.util.ListResourceBundle;

public class ControlPanel_de extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"advanced.jre_format", "JRE {0} in {1}"},
      {"advanced.jdk_format", "SDK {0} in {1}"},
      {"panel.about", "Info"},
      {"panel.basic", "Standard"},
      {"panel.advanced", "Erweitert"},
      {"panel.browser", "Browser"},
      {"panel.proxies", "Proxies"},
      {"panel.cache", "Cache"},
      {"panel.cert", "Zertifikate"},
      {"panel.update", "Aktualisieren"},
      {"panel.apply", "Übernehmen"},
      {"panel.apply.acceleratorKey", new Integer(66)},
      {"panel.cancel", "Zurücksetzen"},
      {"panel.cancel.acceleratorKey", new Integer(90)},
      {"panel.apply_failed", "Eigenschaftendatei konnte nicht geschrieben werden."},
      {"panel.apply_failed_title", "Übernehmen nicht möglich"},
      {"panel.help", "Hilfe"},
      {"panel.help.acceleratorKey", new Integer(72)},
      {"panel.help_title", "Hilfe - Java Plug-in Bedienungsfeld"},
      {"panel.help_close", "Schließen"},
      {"panel.help_close.acceleratorKey", new Integer(83)},
      {"panel.help.error.text", "<html><b>Datei nicht vorhanden</b></html>Hilfedatei kann nicht geladen werden.\n"},
      {"panel.help.error.caption", "Fehler - Java Plug-in Bedienungsfeld"},
      {"basic.show_exception", "Ausnahmedialogfeld anzeigen"},
      {"basic.recycle_classloader", "Klassenlader wiederverwenden"},
      {"basic.java_console", "Java-Konsole"},
      {"basic.show_console", "Konsole einblenden"},
      {"basic.hide_console", "Konsole ausblenden"},
      {"basic.no_console", "Konsole nicht starten"},
      {"basic.show_systray", "Java im System Tray anzeigen"},
      {"advanced.jre_name", "Java Runtime Environment"},
      {"advanced.path", "Anderes SDK/JRE "},
      {"advanced.other_jdk", "Sonstige..."},
      {"advanced.default_jdk", "Java Plug-in-Standard verwenden"},
      {
            "advanced.jre_selection_warning.info",
            "<html><b>Operation nicht unterstützt</b></html>Von der Auswahl eines anderen Java-Laufzeitprogramms als \"Default\" wird abgeraten.\n"
      },
      {"advanced.jre_selection_warning.caption", "Warnung - Erweitert"},
      {"advanced.error.caption", "Fehler - Erweitert"},
      {
            "advanced.error.text",
            "<html><b>Verzeichnis nicht vorhanden</b></html>Stellen Sie sicher, dass nicht eine Datei oder ein nicht vorhandenes Verzeichnis ausgewählt ist.\n"
      },
      {"advanced.java_parms", "Java-Laufzeitparameter"},
      {"advanced.warning_popup_ok", "OK"},
      {"advanced.warning_popup_cancel", "Abbrechen"},
      {"browser.settings", "Einstellungen"},
      {"browser.desc.text", "Java(TM) Plug-in wird als Standard-Java-Laufzeitprogramm bei folgenden Browsern verwendet:"},
      {"browser.ie.text", "Microsoft Internet Explorer"},
      {"browser.ns6.text", "Netscape 6 oder höher"},
      {"browser.moz.text", "Mozilla 1.1 oder höher"},
      {"browser.settings.success.caption", "Erfolg - Browser"},
      {"browser.settings.fail.caption", "Warnung - Browser"},
      {"browser.settings.success.text", "<html><b>Browser-Einstellungen geändert</b></html>Sie sind nach einem Neustart des/der Browser(s) gültig.\n"},
      {
            "browser.settings.fail.ie.text",
            "<html><b>Browser-Einstellungen konnten nicht geändert werden</b></html>Prüfen Sie, ob Sie ausreichende Rechte zum Ändern von Systemeinstellungen haben.\n"
      },
      {
            "browser.settings.fail.ns6.text",
            "<html><b>Browser-Einstellungen konnten nicht geändert werden</b></html>Prüfen Sie, ob Netscape 6 ordnungsgemäß auf dem System installiert ist und/oder ob Sie ausreichende Rechte zum Ändern von Systemeinstellungen haben.\n"
      },
      {
            "browser.settings.fail.moz.text",
            "<html><b>Browser-Einstellungen konnten nicht geändert werden</b></html>Prüfen Sie, ob Mozilla ordnungsgemäß auf dem System installiert ist und/oder ob Sie ausreichende Rechte zum Ändern von Systemeinstellungen haben.\n"
      },
      {
            "browser.settings.alert.text",
            "<html><b>Neueres Java-Laufzeitprogramm vorhanden</b></html>Internet Explorer verfügt bereits über eine neuere Version des Java-Laufzeitprogramms. Möchten Sie sie ersetzen?\n"
      },
      {"proxy.use_browser", "Browser-Einstellungen verwenden"},
      {"proxy.proxy_settings", "Proxy-Einstellungen"},
      {"proxy.protocol_type", "Typ"},
      {"proxy.proxy_protocol", "Protokoll"},
      {"proxy.proxy_address", "Adresse"},
      {"proxy.proxy_port", "Anschluss"},
      {"proxy.http", "HTTP"},
      {"proxy.ftp", "FTP"},
      {"proxy.gopher", "Gopher"},
      {"proxy.https", "Sichern"},
      {"proxy.socks", "Socks"},
      {"proxy.same_for_all_protocols", "Identischer Proxy-Server für alle Protokolle"},
      {"proxy.bypass", "Kein Proxy-Host (mehrere Hosts mit Kommata voneinander trennen)"},
      {"proxy.autourl", "URL der automatischen Proxy-Konfiguration "},
      {"cert.remove_button", "Entfernen"},
      {"cert.remove_button.acceleratorKey", new Integer(70)},
      {"cert.import_button", "Importieren"},
      {"cert.import_button.acceleratorKey", new Integer(73)},
      {"cert.export_button", "Exportieren"},
      {"cert.export_button.acceleratorKey", new Integer(69)},
      {"cert.details_button", "Details"},
      {"cert.details_button.acceleratorKey", new Integer(68)},
      {"cert.viewcert_button", "Zertifikat anzeigen"},
      {"cert.viewcert_button.acceleratorKey", new Integer(65)},
      {"cert.rbutton_signed_applet", "Signiertes Applet"},
      {"cert.rbutton_secure_site", "Sichere Site"},
      {"cert.rbutton_signer_ca", "Zertifizierungsstellen-Signierer"},
      {"cert.rbutton_secure_site_ca", "Zertifizierungsstelle der sicheren Site"},
      {"cert.SignedApplet_value", "SignedApplet"},
      {"cert.SecureSite_value", "SecureSite"},
      {"cert.SignerCA_value", "SignerCA"},
      {"cert.SecureSiteCA_value", "SecureSiteCA"},
      {"cert.settings", "Zertifikate"},
      {"cert.dialog.import.error.caption", "Fehler - Import des Zertifikats"},
      {"cert.dialog.import.format.text", "<html><b>Unbekanntes Dateiformat</b></html>Es wird kein Zertifikat importiert."},
      {"cert.dialog.import.file.text", "<html><b>Datei nicht vorhanden</b></html>Es wird kein Zertifikat importiert."},
      {"cert.dialog.import.password.text", "<html><b>Ungültiges Passwort</b></html>Das eingegebene Passwort ist falsch."},
      {"cert.dialog.password.caption", "Passwort - Import"},
      {"cert.dialog.password.text", "<html><b>Geben Sie ein Passwort ein für den Zugriff auf diese Datei:<b></html>"},
      {"cert.dialog.password.okButton", "OK"},
      {"cert.dialog.password.cancelButton", "Abbrechen"},
      {"cert.dialog.export.error.caption", "Fehler - Export des Zertifikats"},
      {"cert.dialog.export.text", "<html><b>Exportieren nicht möglich</b></html>Kein Zertifikat exportiert."},
      {"main.control_panel_caption", "Java(TM) Plug-in Bedienungsfeld"},
      {
            "config.property_file_header",
            "# Java(TM) Plug-in-Eigenschaften\n# BEARBEITEN SIE DIESE DATEI NICHT. Sie wird automatisch generiert.\n# Verwenden Sie das Control Panel des Activators, um die Eigenschaften zu bearbeiten."
      },
      {"config.unknownSubject", "Unbekannter Betreff"},
      {"config.unknownIssuer", "Unbekannter Aussteller"},
      {"config.certShowName", "{0}({1})"},
      {"config.certShowOOU", "{0} {1}"},
      {"config.proxy.autourl.invalid.text", "<html><b>URL-Format fehlerhaft</b></html>URL der automatischen Proxy-Konfiguration ist ungültig."},
      {"config.proxy.autourl.invalid.caption", "Fehler - Proxies"},
      {"jarcache.location", "Speicherort"},
      {"jarcache.select", "Auswählen"},
      {"jarcache.kb", "KB"},
      {"jarcache.bytes", "Byte"},
      {"jarcache.clear", "Löschen"},
      {"jarcache.clear.acceleratorKey", new Integer(76)},
      {"jarcache.view", "Anzeigen"},
      {"jarcache.view.acceleratorKey", new Integer(78)},
      {"jarcache.browseDirectory.acceleratorKey", new Integer(79)},
      {"jarcache.no_compression", "Keine"},
      {"jarcache.select_tooltip", "Ausgewählten Speicherort verwenden"},
      {"jarcache.select_mnemonic", "S"},
      {"jarcache.maximum", "Maximal"},
      {"jarcache.unlimited", "Unbegrenzt"},
      {"jarcache.high_compression", "Hoch"},
      {"jarcache.compression", "JAR-Kompression"},
      {"jarcache.mb", "MB"},
      {"jarcache.size", "Größe"},
      {"jarcache.settings", "Cache-Einstellungen"},
      {"jarcache.erase.confirm.caption", "Bestätigung erforderlich - Cache"},
      {"jarcache.erase.confirm.text", "Alle Dateien in {0} löschen?"},
      {"jarcache.select_title", "Speicherort des Cache"},
      {"jarcache.enabled", "Cache aktivieren"},
      {"update.update_button.text", "Jetzt aktualisieren"},
      {"update.advanced_button.text", "Erweitert..."},
      {
            "update.desc.text",
            "<html>Der Java(TM)-Update-Mechanismus gewährleistet, dass Sie stets über die aktuelle Version der Java-Plattform verfügen.<br>Mit den Optionen unten können Sie festlegen, wie Updates bezogen und in Ihr System übernommen werden.</html>"
      },
      {"update.notify.text", "Benachrichtigen:"},
      {"update.notify_install.text", "Vor der Installation"},
      {"update.notify_download.text", "Vor dem Herunterladen und vor der Installation"},
      {"update.autoupdate.text", "Automatisch nach Updates suchen"},
      {"update.advanced_title.text", "Erweiterte Einstellungen für die automatische Aktualisierung"},
      {"update.advanced_title1.text", "Wählen Sie aus, wie oft und zu welchem Zeitpunkt gesucht werden soll."},
      {"update.advanced_title2.text", "Häufigkeit"},
      {"update.advanced_title3.text", "Zeitpunkt"},
      {"update.advanced_desc1.text", "Jeden Tag um {0} suchen"},
      {"update.advanced_desc2.text", "Jeden {0} um {1} suchen"},
      {"update.advanced_desc3.text", "An Tag {0} jedes Monats um {1} suchen"},
      {"update.check_daily.text", "Täglich"},
      {"update.check_weekly.text", "Wöchentlich"},
      {"update.check_monthly.text", "Monatlich"},
      {"update.check_date.text", "Tag:"},
      {"update.check_day.text", "Jeden:"},
      {"update.check_time.text", "Um:"},
      {"update.lastrun.text", "Java-Update wurde zuletzt um {0} am {1} ausgeführt."},
      {
            "update.desc_autooff.text",
            "<html>Klicken Sie unten auf die Schaltfläche \"Jetzt aktualisieren\", um auf aktuelle Versionen zu prüfen. Eine verfügbare<br>Aktualisierung wirddurch ein Symbol in der Systemablage angezeigt. Bewegen Sie den Cursor über das Symbol,<br>um den Status der Aktualisierung anzuzeigen.</html>"
      },
      {"update.desc_check_daily.text", "<html>Jeden Tag um {0} sucht Java-Update nach Updates. "},
      {"update.desc_check_weekly.text", "<html>Jeden {0} um {1} sucht Java-Update nach Updates. "},
      {"update.desc_check_monthly.text", "<html>An Tag {0} jedes Monats um {1} sucht Java-Update nach Updates. "},
      {
            "update.desc_systrayicon.text",
            "Eine verfügbare Aktualisierung wird durch ein Symbol<br>in der Systemablage gekennzeichnet. Bewegen Sie den Cursor über das Symbol, im den Status der Aktualisierung<br>anzuzeigen. "
      },
      {"update.desc_notify_install.text", "Sie werden vor der Installation der Aktualisierung benachrichtigt.</html>"},
      {"update.desc_notify_download.text", "Sie werden vor dem Herunterladen und der Installation der Aktualisierung benachrichtigt.</html>"},
      {
            "update.launchbrowser.error.text",
            "<html><b>Java Update Checker kann nicht ausgeführt werden.</b></html>Um das neueste Java(TM)-Update zu erhalten, besuchen Sie http://java.sun.com/getjava/javaupdate"
      },
      {"update.launchbrowser.error.caption", "Fehler - Update"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
