package sun.plugin.resources;

import java.util.ListResourceBundle;

public class ControlPanel_es extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"advanced.jre_format", "JRE {0} en {1}"},
      {"advanced.jdk_format", "SDK {0} en {1}"},
      {"panel.basic", "Básico"},
      {"panel.about", "Acerca de"},
      {"panel.advanced", "Avanzado"},
      {"panel.browser", "Navegador"},
      {"panel.proxies", "Proxies"},
      {"panel.cache", "Antememoria"},
      {"panel.cert", "Certificados"},
      {"panel.update", "Actualizar"},
      {"panel.apply", "Aplicar"},
      {"panel.apply.acceleratorKey", new Integer(65)},
      {"panel.cancel", "Restablecer"},
      {"panel.cancel.acceleratorKey", new Integer(82)},
      {"panel.apply_failed", "No se pudo escribir el archivo de propiedades"},
      {"panel.apply_failed_title", "No se pudo aplicar"},
      {"panel.help", "Ayuda"},
      {"panel.help.acceleratorKey", new Integer(89)},
      {"panel.help_title", "Ayuda - Panel de control de Java Plug-in"},
      {"panel.help_close", "Cerrar"},
      {"panel.help_close.acceleratorKey", new Integer(67)},
      {"panel.help.error.text", "<html><b>El archivo no existe</b></html>No se puede cargar el archivo de ayuda.\n"},
      {"panel.help.error.caption", "Error - Panel de control de Java Plug-in"},
      {"basic.show_exception", "Cuadro de diálogo Mostrar excepción"},
      {"basic.recycle_classloader", "Reciclar cargador de clase"},
      {"basic.java_console", "Consola de Java"},
      {"basic.show_console", "Mostrar consola"},
      {"basic.hide_console", "Ocultar consola"},
      {"basic.no_console", "No iniciar consola"},
      {"basic.show_systray", "Mostrar Java en la bandeja del sistema"},
      {"advanced.jre_name", "Java Runtime Environment"},
      {"advanced.path", "Otros SDK/JRE "},
      {"advanced.other_jdk", "Otro..."},
      {"advanced.default_jdk", "Utilizar el valor predeterminado del Java Plug-in"},
      {
            "advanced.jre_selection_warning.info",
            "<html><b>Operación no admitida</b></html>No se recomienda seleccionar un Runtime de Java distinto al \"Predeterminado\".\n"
      },
      {"advanced.jre_selection_warning.caption", "Advertencia - Avanzado"},
      {"advanced.error.caption", "Error - Avanzado"},
      {"advanced.error.text", "<html><b>El directorio no existe</b></html>Asegúrese de no haber seleccionado un archivo o un directorio inexistente.\n"},
      {"advanced.java_parms", "Parámetros del Runtime de Java"},
      {"advanced.warning_popup_ok", "Aceptar"},
      {"advanced.warning_popup_cancel", "Cancelar"},
      {"browser.settings", "Valores"},
      {"browser.desc.text", "Java(TM) Plug-in se utilizará como valor predeterminado del Runtime de Java en los siguientes navegadores:"},
      {"browser.ie.text", " Microsoft Internet Explorer "},
      {"browser.ns6.text", "Netscape 6 o superior"},
      {"browser.moz.text", "Mozilla 1.1 o superior"},
      {"browser.settings.success.caption", "Satisfactorio - Navegador"},
      {"browser.settings.fail.caption", "Advertencia - Navegador"},
      {
            "browser.settings.success.text",
            "<html><b>Los valores del navegador han cambiado.</b></html>Los cambios entrarán en vigor después de reiniciar el navegador o los navegadores.\n"
      },
      {
            "browser.settings.fail.ie.text",
            "<html><b>Imposible cambiar los valores del navegador</b></html>Compruebe si tiene permiso para modificar los valores del sistema.\n"
      },
      {
            "browser.settings.fail.ns6.text",
            "<html><b>Imposible cambiar los valores del navegador</b></html>Compruebe si Netscape 6 está instalado correctamente en el sistema y/o si tiene permiso para modificar los valores del sistema.\n"
      },
      {
            "browser.settings.fail.moz.text",
            "<html><b>No se pueden cambiar los valores del navegador</b></html>Compruebe si Mozilla está instalado correctamente en el sistema y/o  si tiene permisos suficientes para modificar los valores del sistema.\n"
      },
      {
            "browser.settings.alert.text",
            "<html><b>Existe una versión más reciente del Runtime de Java</b></html>Internet Explorer ya tiene una versión más reciente del Runtime de Java. ¿Desea sustituirla?\n"
      },
      {"proxy.use_browser", "Utilizar valores de navegador"},
      {"proxy.proxy_settings", "Valores proxy"},
      {"proxy.protocol_type", "Tipo"},
      {"proxy.proxy_protocol", "Protocolo"},
      {"proxy.proxy_address", "Dirección"},
      {"proxy.proxy_port", "Puerto"},
      {"proxy.http", "HTTP"},
      {"proxy.ftp", "FTP"},
      {"proxy.gopher", "Gopher"},
      {"proxy.https", "Seguro"},
      {"proxy.socks", "Zócalos"},
      {"proxy.same_for_all_protocols", "El mismo servidor proxy para todos los protocolos"},
      {"proxy.bypass", "No hay ningún servidor proxy. (Los host deben ir separados por comas)"},
      {"proxy.autourl", "URL de configuración delegada automática"},
      {"cert.remove_button", "Eliminar"},
      {"cert.remove_button.acceleratorKey", new Integer(76)},
      {"cert.import_button", "Importar"},
      {"cert.import_button.acceleratorKey", new Integer(73)},
      {"cert.export_button", "Exportar"},
      {"cert.export_button.acceleratorKey", new Integer(69)},
      {"cert.details_button", "Detalles"},
      {"cert.details_button.acceleratorKey", new Integer(68)},
      {"cert.viewcert_button", "Ver certificado"},
      {"cert.viewcert_button.acceleratorKey", new Integer(84)},
      {"cert.rbutton_signed_applet", "Applet firmado"},
      {"cert.rbutton_secure_site", "Sitio seguro"},
      {"cert.rbutton_signer_ca", "Firmante de CA"},
      {"cert.rbutton_secure_site_ca", "Sitio seguro de CA"},
      {"cert.SignedApplet_value", "SignedApplet"},
      {"cert.SecureSite_value", "SecureSite"},
      {"cert.SignerCA_value", "SignerCA"},
      {"cert.SecureSiteCA_value", "SecureSiteCA"},
      {"cert.settings", "Certificados"},
      {"cert.dialog.import.error.caption", "Error - Importar certificado"},
      {"cert.dialog.import.format.text", "<html><b>No se reconoce el formato del archivo</b></html>No se importará ningún certificado."},
      {"cert.dialog.import.file.text", "<html><b>El archivo no existe</b></html>No se importará ningún certificado."},
      {"cert.dialog.import.password.text", "<html><b>La contraseña no es válida</b></html>La contraseña que ha introducido no es correcta."},
      {"cert.dialog.password.caption", "Contraseña - Importar"},
      {"cert.dialog.password.text", "<html><b>Introduzca una contraseña para acceder a este archivo:<b></html>"},
      {"cert.dialog.password.okButton", "Aceptar"},
      {"cert.dialog.password.cancelButton", "Cancelar"},
      {"cert.dialog.export.error.caption", "Error - Exportar certificado"},
      {"cert.dialog.export.text", "<html><b>No se puede exportar</b></html>No se ha exportado el certificado."},
      {"main.control_panel_caption", "Panel de control de Java(TM) Plug-in"},
      {
            "config.property_file_header",
            "# Propiedades Java(TM) Plug-in\n# NO MODIFICAR ESTE ARCHIVO. Se generó automáticamente.\n# Utilice el Panel de control del activador para editar las propiedades."
      },
      {"config.unknownSubject", "Tema desconocido"},
      {"config.unknownIssuer", "Emisor desconocido"},
      {"config.certShowName", "{0}({1})"},
      {"config.certShowOOU", "{0} {1}"},
      {"config.proxy.autourl.invalid.text", "<html><b>URL mal construida</b></html>La URL de configuración automática del proxy no es válida."},
      {"config.proxy.autourl.invalid.caption", "Error - Proxys"},
      {"jarcache.location", "Ubicación"},
      {"jarcache.select", "Seleccionar"},
      {"jarcache.kb", "KB"},
      {"jarcache.bytes", "bytes"},
      {"jarcache.clear", "Borrar"},
      {"jarcache.clear.acceleratorKey", new Integer(66)},
      {"jarcache.view", "Ver"},
      {"jarcache.view.acceleratorKey", new Integer(86)},
      {"jarcache.browseDirectory.acceleratorKey", new Integer(79)},
      {"jarcache.no_compression", "Ninguno"},
      {"jarcache.select_tooltip", "Utilizar ubicación seleccionada"},
      {"jarcache.select_mnemonic", "S"},
      {"jarcache.maximum", "Máximo"},
      {"jarcache.unlimited", "Ilimitado"},
      {"jarcache.high_compression", "Alta"},
      {"jarcache.compression", "Compresión de JAR"},
      {"jarcache.mb", "Mb"},
      {"jarcache.size", "Tamaño"},
      {"jarcache.settings", "Valores de antememoria"},
      {"jarcache.erase.confirm.caption", "Se necesita cofirmación - Antememoria"},
      {"jarcache.erase.confirm.text", "¿Desea borrar todos los archivos de {0}?"},
      {"jarcache.select_title", "Ubicación de antememoria"},
      {"jarcache.enabled", "Habilitar colocación en antememoria"},
      {"update.update_button.text", "Actualizar ahora"},
      {"update.advanced_button.text", "Avanzado..."},
      {
            "update.desc.text",
            "<html>Gracias al mecanismo Java(TM) Update tendrá la seguridad de que dispone de la versión más actualizada de la plataforma Java.<br>Las opciones que aparecen a continuación permiten controlar el proceso de obtención y aplicación de las actualizaciones.</html>"
      },
      {"update.notify.text", "Notificar:"},
      {"update.notify_install.text", "Antes de instalar"},
      {"update.notify_download.text", "Antes de descargar y antes de instalar"},
      {"update.autoupdate.text", "Comprobar automáticamente si existen actualizaciones"},
      {"update.advanced_title.text", "Configuración avanzada de la actualización automática"},
      {"update.advanced_title1.text", "Seleccione con qué frecuencia y cuándo desea que se realice el análisis."},
      {"update.advanced_title2.text", "Frecuencia"},
      {"update.advanced_title3.text", "Cuándo"},
      {"update.advanced_desc1.text", "Realizar análisis todos los días a las {0}"},
      {"update.advanced_desc2.text", "Realizar análisis cada {0} a las {1}"},
      {"update.advanced_desc3.text", "Realizar análisis el día {0} de cada mes a las {1}"},
      {"update.check_daily.text", "Cada día"},
      {"update.check_weekly.text", "Cada semana"},
      {"update.check_monthly.text", "Cada mes"},
      {"update.check_date.text", "Día:"},
      {"update.check_day.text", "Cada:"},
      {"update.check_time.text", "A las:"},
      {"update.lastrun.text", "Java Update se ha ejecutado por última vez a las {0} del {1}."},
      {
            "update.desc_autooff.text",
            "<html>Pulse sobre el botón \"Actualizar ahora\" para revisar las actualizaciones. Si existen actualizaciones se visualizará<br>un icono en la bandeja del sistema. Para ver el estado de la actualización, desplace el cursor sobre el icono.</html>"
      },
      {"update.desc_check_daily.text", "<html>Todos los días a las {0}, Java Update comprobará si existen actualizaciones. "},
      {"update.desc_check_weekly.text", "<html>Cada {0} a las {1}, Java Update comprobará si existen actualizaciones. "},
      {"update.desc_check_monthly.text", "<html>El día {0} de cada mes a las {1}, Java Update comprobará si existen actualizaciones. "},
      {
            "update.desc_systrayicon.text",
            "Si hubiese alguna actualización<br>disponible aparecerá un icono en la bandeja del sistema. Desplace el cursor sobre el icono para ver el estado<br>de la actualización. "
      },
      {"update.desc_notify_install.text", "Se le notificará antes de que se haya instalado la actualización.</html>"},
      {"update.desc_notify_download.text", "Se le notificará antes de que se haya descargado e instalado la actualización.</html>"},
      {
            "update.launchbrowser.error.text",
            "<html><b>No se puede ejecutar Java Update Checker</b></html>Para obtener la última actualización de Java(TM), diríjase a la página http://java.sun.com/getjava/javaupdate"
      },
      {"update.launchbrowser.error.caption", "Error - Actualización"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
