package sun.plugin.resources;

import java.util.ListResourceBundle;

public class ControlPanel_fr extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"advanced.jre_format", "JRE {0} dans {1}"},
      {"advanced.jdk_format", "SDK {0} dans {1}"},
      {"panel.about", "À propos"},
      {"panel.basic", "Propriétés de base"},
      {"panel.advanced", "Propriétés avancées"},
      {"panel.browser", "Navigateur"},
      {"panel.proxies", "Proxies"},
      {"panel.cache", "Cache"},
      {"panel.cert", "Certificats"},
      {"panel.update", "Mettre à jour"},
      {"panel.apply", "Appliquer"},
      {"panel.apply.acceleratorKey", new Integer(65)},
      {"panel.cancel", "Restaurer"},
      {"panel.cancel.acceleratorKey", new Integer(84)},
      {"panel.apply_failed", "Impossible d'écrire le fichier de propriétés"},
      {"panel.apply_failed_title", "Echec de la commande Appliquer"},
      {"panel.help", "Aide"},
      {"panel.help.acceleratorKey", new Integer(73)},
      {"panel.help_title", "Aide - Panneau de configuration Java Plug-in"},
      {"panel.help_close", "Fermer"},
      {"panel.help_close.acceleratorKey", new Integer(82)},
      {"panel.help.error.text", "<html><b>Le fichier n'existe pas</b></html>Impossible de charger le fichier d'aide.\n"},
      {"panel.help.error.caption", "Erreur - Panneau de configuration Java Plug-in"},
      {"basic.show_exception", "Afficher la boîte de dialogue Exception"},
      {"basic.recycle_classloader", "Recycler le chargeur de classes"},
      {"basic.java_console", "Console Java"},
      {"basic.show_console", "Afficher la console"},
      {"basic.hide_console", "Masquer la console"},
      {"basic.no_console", "Ne pas démarrer la console"},
      {"basic.show_systray", "Afficher Java dans la barre d'état du système"},
      {"advanced.jre_name", "Java Runtime Environment"},
      {"advanced.path", "Autre SDK/JRE "},
      {"advanced.other_jdk", "Autres..."},
      {"advanced.default_jdk", "Utiliser le plug-in Java par défaut"},
      {
            "advanced.jre_selection_warning.info",
            "<html><b>Opération non prise en charge</b></html>La sélection d'un Java Runtime autre que \"celui par défaut\" n'est pas recommandée.\n"
      },
      {"advanced.jre_selection_warning.caption", "Avertissement - Propriétés avancées"},
      {"advanced.error.caption", "Erreur - Propriétés avancées"},
      {
            "advanced.error.text",
            "<html><b>Le répertoire n'existe pas</b></html>Assurez-vous que la sélection n'est pas un fichier ou un répertoire qui n'existe pas.\n"
      },
      {"advanced.java_parms", "Paramètres de Java Runtime"},
      {"advanced.warning_popup_ok", "OK"},
      {"advanced.warning_popup_cancel", "Annuler"},
      {"browser.settings", "Paramètres"},
      {"browser.desc.text", "Java(TM) Plug-in sera utilisé en tant que Java Runtime par défaut dans le(s) navigateur(s) suivant(s) :"},
      {"browser.ie.text", "Microsoft Internet Explorer"},
      {"browser.ns6.text", "Netscape 6 ou version ultérieure"},
      {"browser.moz.text", "Mozilla 1.1 ou version ultérieure"},
      {"browser.settings.success.caption", "Succès - Navigateur"},
      {"browser.settings.fail.caption", "Avertissement - Navigateur"},
      {
            "browser.settings.success.text",
            "<html><b>Les paramètres du navigateur ont été modifiés</b></html>Ces modifications prendront effet une fois le(s) navigateur(s) redémarré(s).\n"
      },
      {
            "browser.settings.fail.ie.text",
            "<html><b>Impossible de modifier les paramètres du navigateur</b></html>Assurez-vous de disposer de droits suffisants pour effectuer cette opération.\n"
      },
      {
            "browser.settings.fail.ns6.text",
            "<html><b>Impossible de modifier les paramètres du navigateur</b></html>Vérifiez que Netscape 6 est correctement installé sur votre système et/ou que vous disposez de droits suffisants pour effectuer cette opération.\n"
      },
      {
            "browser.settings.fail.moz.text",
            "<html><b>Impossible de modifier les paramètres du navigateur</b></html>Vérifiez que Mozilla est correctement installé sur votre système et/ou que vous disposez de droits suffisants pour effectuer cette opération.\n"
      },
      {
            "browser.settings.alert.text",
            "<html><b>Une version plus récente de Java Runtime existe</b></html>Internet Explorer dispose déjà d'une version plus récente de Java Runtime. Souhaitez-vous la remplacer ?\n"
      },
      {"proxy.use_browser", "Utiliser les paramètres du navigateur"},
      {"proxy.proxy_settings", "Paramètres du proxy"},
      {"proxy.protocol_type", "Type"},
      {"proxy.proxy_protocol", "Protocole"},
      {"proxy.proxy_address", "Adresse"},
      {"proxy.proxy_port", "Port"},
      {"proxy.http", "HTTP"},
      {"proxy.ftp", "FTP"},
      {"proxy.gopher", "Gopher"},
      {"proxy.https", "Secure"},
      {"proxy.socks", "Socks"},
      {"proxy.same_for_all_protocols", "Même serveur proxy pour tous les protocoles"},
      {"proxy.bypass", "Pas d'hôte proxy (utilisez des virgules pour séparer plusieurs hôtes.)"},
      {"proxy.autourl", "URL de configuration automatique du proxy"},
      {"cert.remove_button", "Supprimer"},
      {"cert.remove_button.acceleratorKey", new Integer(77)},
      {"cert.import_button", "Importer"},
      {"cert.import_button.acceleratorKey", new Integer(73)},
      {"cert.export_button", "Exporter"},
      {"cert.export_button.acceleratorKey", new Integer(88)},
      {"cert.details_button", "Détails"},
      {"cert.details_button.acceleratorKey", new Integer(68)},
      {"cert.viewcert_button", "Afficher le certificat"},
      {"cert.viewcert_button.acceleratorKey", new Integer(67)},
      {"cert.rbutton_signed_applet", "Applet signé"},
      {"cert.rbutton_secure_site", "Site sécurisé"},
      {"cert.rbutton_signer_ca", "CA signataire"},
      {"cert.rbutton_secure_site_ca", "CA de site sécurisé"},
      {"cert.SignedApplet_value", "SignedApplet"},
      {"cert.SecureSite_value", "SecureSite"},
      {"cert.SignerCA_value", "SignerCA"},
      {"cert.SecureSiteCA_value", "SecureSiteCA"},
      {"cert.settings", "Certificats"},
      {"cert.dialog.import.error.caption", "Erreur - Importer un certificat"},
      {"cert.dialog.import.format.text", "<html><b>Format de fichier non reconnu</b></html>Aucun certificat ne sera importé."},
      {"cert.dialog.import.file.text", "<html><b>Le fichier n'existe pas</b></html>Aucun certificat ne sera importé."},
      {"cert.dialog.import.password.text", "<html><b>Mot de passe incorrect.</b></html>Le mot de passe que vous avez entré est incorrect."},
      {"cert.dialog.password.caption", "Mot de passe - Importer"},
      {"cert.dialog.password.text", "<html><b>Entrez un mot de passe pour accéder à ce fichier :<b></html>"},
      {"cert.dialog.password.okButton", "OK"},
      {"cert.dialog.password.cancelButton", "Annuler"},
      {"cert.dialog.export.error.caption", "Erreur - Exporter un certificat"},
      {"cert.dialog.export.text", "<html><b>Impossible d'exporter</b></html>Aucun certificat n'est exporté."},
      {"main.control_panel_caption", "Panneau de configuration du plug-in Java(TM)"},
      {
            "config.property_file_header",
            "# Propriétés du plug-in Java(TM)\n# NE MODIFIEZ PAS CE FICHIER. Il est généré automatiquement.\n# Utilisez le panneau de configuration de l'activateur pour modifier les propriétés."
      },
      {"config.unknownSubject", "Sujet inconnu"},
      {"config.unknownIssuer", "Emetteur inconnu"},
      {"config.certShowName", "{0}({1})"},
      {"config.certShowOOU", "{0} {1}"},
      {"config.proxy.autourl.invalid.text", "<html><b>URL mal formée</b></html>L'URL de configuration automatique du proxy n'est pas valide."},
      {"config.proxy.autourl.invalid.caption", "Erreur - Proxies"},
      {"jarcache.location", "Emplacement"},
      {"jarcache.select", "Sélectionner"},
      {"jarcache.kb", "Ko"},
      {"jarcache.bytes", "octets"},
      {"jarcache.clear", "Effacer"},
      {"jarcache.clear.acceleratorKey", new Integer(69)},
      {"jarcache.view", "Afficher"},
      {"jarcache.view.acceleratorKey", new Integer(70)},
      {"jarcache.browseDirectory.acceleratorKey", new Integer(79)},
      {"jarcache.no_compression", "Aucune"},
      {"jarcache.select_tooltip", "Utiliser l'emplacement sélectionné"},
      {"jarcache.select_mnemonic", "S"},
      {"jarcache.maximum", "Maximum"},
      {"jarcache.unlimited", "Illimitée"},
      {"jarcache.high_compression", "Elevée"},
      {"jarcache.compression", "Compression JAR"},
      {"jarcache.mb", "Mo"},
      {"jarcache.size", "Taille"},
      {"jarcache.settings", "Paramètres du cache"},
      {"jarcache.erase.confirm.caption", "Confirmation requise - Cache"},
      {"jarcache.erase.confirm.text", "Effacer tous les fichiers contenus dans {0}?"},
      {"jarcache.select_title", "Emplacement du cache"},
      {"jarcache.enabled", "Activer la mise en cache"},
      {"update.update_button.text", "Mettre à jour maintenant"},
      {"update.advanced_button.text", "Avancé..."},
      {
            "update.desc.text",
            "<html>Le mécanisme de Java(TM) Update vous offre la dernière version de la plateforme Java.<br>Les options ci-dessous vous permettent de contrôler le processus d'obtention et d'application des mises à jour.</html>"
      },
      {"update.notify.text", "Me prévenir :"},
      {"update.notify_install.text", "Avant d'installer"},
      {"update.notify_download.text", "Avant de téléchager et d'installer"},
      {"update.autoupdate.text", "Vérification automatique des mises à jour"},
      {"update.advanced_title.text", "Paramètres avancés de mise à jour automatique"},
      {"update.advanced_title1.text", "Choisissez la fréquence et le moment de la numérisation."},
      {"update.advanced_title2.text", "Fréquence"},
      {"update.advanced_title3.text", "Quand"},
      {"update.advanced_desc1.text", "Effectuer la numérisation tous les jours à {0} "},
      {"update.advanced_desc2.text", "Effectuer la numérisation tous les {0} à {1} "},
      {"update.advanced_desc3.text", "Effectuez la numérisation le {0} de chaque mois à {1}"},
      {"update.check_daily.text", "Quotidien"},
      {"update.check_weekly.text", "Hebdomadaire"},
      {"update.check_monthly.text", "Mensuel"},
      {"update.check_date.text", "Jour :"},
      {"update.check_day.text", "Tous les :"},
      {"update.check_time.text", "A :"},
      {"update.lastrun.text", "La dernière exécution de Java Update a eu lieu à {0} le {1}."},
      {
            "update.desc_autooff.text",
            "<html>Cliquez sur le bouton \"Mettre à jour maintenant\" (ci-dessous) pour détecter d'éventuelles mises à jour. Une icône<br>s'affichera dans la zone de notification (system tray) si une mise à jour existe. Pour obtenir les informations<br>correspondantes, placez le curseur sur l'icône en question.</html>"
      },
      {"update.desc_check_daily.text", "<html>Tous les jours à {0}, Java Update va vérifier l'existence des mises à jour. "},
      {"update.desc_check_weekly.text", "<html>Tous les {0} à {1}, Java Update va vérifier l'existence des mises à jour. "},
      {"update.desc_check_monthly.text", "<html>Le {0} de chaque mois à {1}, Java Update va vérifier l'existence des mises à jour. "},
      {
            "update.desc_systrayicon.text",
            "Une icône s'affichera dans<br>la zone de notification (system tray) si une mise à jour existe. Pour obtenir les informations correspondantes,<br>placez le curseur sur l'icône en question. "
      },
      {"update.desc_notify_install.text", "Vous recevrez une notification avant l'installation de la mise à jour.<br>&nbsp;</html>"},
      {
            "update.desc_notify_download.text",
            "Vous recevrez une notification avant le téléchargement, mais aussi<br>avant l'installation de la mise à jour.</html>"
      },
      {
            "update.launchbrowser.error.text",
            "<html><b>Impossible de lancer Java Update Checker</b></html>Pour obtenir la dernière version de Java(TM) Update, veuillez consulter le site Web http://java.sun.com/getjava/javaupdate"
      },
      {"update.launchbrowser.error.caption", "Erreur - Mise à jour"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
