package sun.plugin.resources;

import java.util.ListResourceBundle;

public class ControlPanel_zh_CN extends ListResourceBundle {
   static final Object[][] contents = new Object[][]{
      {"advanced.jre_format", "JRE {0} 在 {1} 中"},
      {"advanced.jdk_format", "SDK {0} 在 {1} 中"},
      {"panel.about", "关于"},
      {"panel.basic", "初级"},
      {"panel.advanced", "高级"},
      {"panel.browser", "浏览器"},
      {"panel.proxies", "代理"},
      {"panel.cache", "高速缓存"},
      {"panel.cert", "证书"},
      {"panel.update", "更新"},
      {"panel.apply", "应用(A)"},
      {"panel.apply.acceleratorKey", new Integer(65)},
      {"panel.cancel", "重设(R)"},
      {"panel.cancel.acceleratorKey", new Integer(82)},
      {"panel.apply_failed", "写属性文件失败"},
      {"panel.apply_failed_title", "应用失败"},
      {"panel.help", "帮助(H)"},
      {"panel.help.acceleratorKey", new Integer(72)},
      {"panel.help_title", "帮助 - Java Plug-in 控制面板"},
      {"panel.help_close", "关闭(C)"},
      {"panel.help_close.acceleratorKey", new Integer(67)},
      {"panel.help.error.text", "<html><b>文件不存在</b></html>不能载入帮助文件。\n"},
      {"panel.help.error.caption", "错误 - Java Plug-in 控制面板"},
      {"basic.show_exception", "显示异常对话框"},
      {"basic.recycle_classloader", "回收类载入程序"},
      {"basic.java_console", "Java 控制台"},
      {"basic.show_console", "显示控制台"},
      {"basic.hide_console", "隐藏控制台"},
      {"basic.no_console", "不要启动控制台"},
      {"basic.show_systray", "在任务栏状态区显示 Java 图标"},
      {"advanced.jre_name", "Java Runtime Environment"},
      {"advanced.path", "其他 SDK/JRE"},
      {"advanced.other_jdk", "其它..."},
      {"advanced.default_jdk", "使用 Java Plug-in 缺省值"},
      {"advanced.jre_selection_warning.info", "<html><b>不支持操作</b></html>不推荐选择非\"缺省\"的 Java Runtime\n"},
      {"advanced.jre_selection_warning.caption", "警告 - 高级"},
      {"advanced.error.caption", "错误 - 高级"},
      {"advanced.error.text", "<html><b>目录不存在</b></html>请确定选择的不是文件或不存在的目录。\n"},
      {"advanced.java_parms", "Java Runtime 参数"},
      {"advanced.warning_popup_ok", "确定"},
      {"advanced.warning_popup_cancel", "取消"},
      {"browser.settings", "设置"},
      {"browser.desc.text", "Java(TM) Plug-in 将用作以下浏览器的缺省 Java Runtime:"},
      {"browser.ie.text", "Microsoft Internet Explorer"},
      {"browser.ns6.text", "Netscape 6 或更高版本"},
      {"browser.moz.text", "Mozilla 1.1 或更高版本"},
      {"browser.settings.success.caption", "成功 - 浏览器"},
      {"browser.settings.fail.caption", "警告 - 浏览器"},
      {"browser.settings.success.text", "<html><b>浏览器设置已更改</b></html>更改的设置在浏览器重新启动后生效。\n"},
      {"browser.settings.fail.ie.text", "<html><b>不能更改浏览器设置 </b></html>请检查您是否有足够的权限更改系统设置\n"},
      {"browser.settings.fail.ns6.text", "<html><b>不能更改浏览器设置</b></html>请检查是否在系统中正确安装了 Netscape 6，或您是否具有足够的权限更改系统设置。\n"},
      {"browser.settings.fail.moz.text", "<html><b>无法更改浏览器设置</b></html>请检查是否在系统上正确安装了 Mozilla 和/或 您是否具有更改系统设置的足够权限。\n"},
      {"browser.settings.alert.text", "<html><b>较新的 Java Runtime 存在</b></html>Internet Explorer 已有较新版本的 Java Runtime。您愿意替换它吗？\n"},
      {"proxy.use_browser", "使用浏览器设置"},
      {"proxy.proxy_settings", "代理设置"},
      {"proxy.protocol_type", "类型"},
      {"proxy.proxy_protocol", "协议"},
      {"proxy.proxy_address", "地址"},
      {"proxy.proxy_port", "端口"},
      {"proxy.http", "HTTP"},
      {"proxy.ftp", "FTP"},
      {"proxy.gopher", "Gopher"},
      {"proxy.https", "Secure"},
      {"proxy.socks", "Socks"},
      {"proxy.same_for_all_protocols", "支持所有协议的相同代理服务器"},
      {"proxy.bypass", "无代理主机 （使用逗号分隔多个主机）"},
      {"proxy.autourl", "自动代理配置 URL"},
      {"cert.remove_button", "删除(M)"},
      {"cert.remove_button.acceleratorKey", new Integer(77)},
      {"cert.import_button", "导入(I)"},
      {"cert.import_button.acceleratorKey", new Integer(73)},
      {"cert.export_button", "导出(E)"},
      {"cert.export_button.acceleratorKey", new Integer(69)},
      {"cert.details_button", "详细信息(D)"},
      {"cert.details_button.acceleratorKey", new Integer(68)},
      {"cert.viewcert_button", "查看证书(V)"},
      {"cert.viewcert_button.acceleratorKey", new Integer(86)},
      {"cert.rbutton_signed_applet", "带签名的小程序"},
      {"cert.rbutton_secure_site", "安全站点"},
      {"cert.rbutton_signer_ca", "签名者 CA"},
      {"cert.rbutton_secure_site_ca", "安全站点 CA"},
      {"cert.SignedApplet_value", "带签名的小程序"},
      {"cert.SecureSite_value", "安全站点"},
      {"cert.SignerCA_value", "签名者 CA"},
      {"cert.SecureSiteCA_value", "安全站点 CA"},
      {"cert.settings", "证书"},
      {"cert.dialog.import.error.caption", "错误 - 导入证书"},
      {"cert.dialog.import.format.text", "<html><b>不能识别的文件格式</b></html>没有导入证书。"},
      {"cert.dialog.import.file.text", "<html><b>文件不存在</b></html>没有导入证书 。"},
      {"cert.dialog.import.password.text", "<html><b>口令无效</b></html>输入的口令不正确 。"},
      {"cert.dialog.password.caption", "口令 - 导入"},
      {"cert.dialog.password.text", "<html><b>输入口令以访问此文件：<b></html>"},
      {"cert.dialog.password.okButton", "确定"},
      {"cert.dialog.password.cancelButton", "取消"},
      {"cert.dialog.export.error.caption", "错误 - 导出证书"},
      {"cert.dialog.export.text", "<html><b>不能导出</b></html>没有导出证书。"},
      {"main.control_panel_caption", "Java(TM) Plug-in 控制面板"},
      {"config.property_file_header", "# Java(TM) Plug-in 属性\n# 不要编辑此文件。这是由机器生成的。\n# 使用“激活程序”控制面板来编辑属性。"},
      {"config.unknownSubject", "未知主题"},
      {"config.unknownIssuer", "未知发行方"},
      {"config.certShowName", "{0}({1})"},
      {"config.certShowOOU", "{0} {1}"},
      {"config.proxy.autourl.invalid.text", "<html><b>残缺的 URL</b></html>自动代理配置 URL 无效。"},
      {"config.proxy.autourl.invalid.caption", "错误 - 代理"},
      {"jarcache.location", "位置"},
      {"jarcache.select", "选择"},
      {"jarcache.kb", "KB"},
      {"jarcache.bytes", "字节"},
      {"jarcache.clear", "清除(C)"},
      {"jarcache.clear.acceleratorKey", new Integer(67)},
      {"jarcache.view", "查看(V)"},
      {"jarcache.view.acceleratorKey", new Integer(86)},
      {"jarcache.browseDirectory.acceleratorKey", new Integer(79)},
      {"jarcache.no_compression", "无"},
      {"jarcache.select_tooltip", "使用选择的位置"},
      {"jarcache.select_mnemonic", "S"},
      {"jarcache.maximum", "最大"},
      {"jarcache.unlimited", "无限制的"},
      {"jarcache.high_compression", "高"},
      {"jarcache.compression", "Jar 压缩"},
      {"jarcache.mb", "MB"},
      {"jarcache.size", "大小"},
      {"jarcache.settings", "高速缓存设置"},
      {"jarcache.erase.confirm.caption", "需要确认 - 高速缓存"},
      {"jarcache.erase.confirm.text", "清除 {0} 中的所有文件?"},
      {"jarcache.select_title", "高速缓存位置"},
      {"jarcache.enabled", "启用高速缓存"},
      {"update.update_button.text", "立即更新"},
      {"update.advanced_button.text", "高级..."},
      {"update.desc.text", "<html>Java(TM) Update 机制确保您具有最新的 Java 平台版本。<br>您可以使用下面的选项来控制获取和应用更新的过程。</html>"},
      {"update.notify.text", "通知我："},
      {"update.notify_install.text", "安装之前"},
      {"update.notify_download.text", "下载之前和安装之前"},
      {"update.autoupdate.text", "自动检查更新"},
      {"update.advanced_title.text", "自动更新高级设置"},
      {"update.advanced_title1.text", "请选择扫描的频率和时间。"},
      {"update.advanced_title2.text", "频率"},
      {"update.advanced_title3.text", "时间"},
      {"update.advanced_desc1.text", "每天的 {0} 执行扫描"},
      {"update.advanced_desc2.text", "每{0}的 {1} 执行扫描"},
      {"update.advanced_desc3.text", "每月 {0} 日的 {1} 执行扫描"},
      {"update.check_daily.text", "每天"},
      {"update.check_weekly.text", "每周"},
      {"update.check_monthly.text", "每月"},
      {"update.check_date.text", "日期："},
      {"update.check_day.text", "每："},
      {"update.check_time.text", "在："},
      {"update.lastrun.text", "Java Update 最后于 {1} 的 {0} 运行。"},
      {"update.desc_autooff.text", "<html>单击下面的“立即更新”按钮以检查是否有更新版本。<br> 如果更新版本存在，在系统面板中会出现一个图标。<br> 将鼠标移至该图标之上即可查看该更新版本的状态。</html>"},
      {"update.desc_check_daily.text", "<html>每天的{0}, Java Update 将会查寻最新版本。"},
      {"update.desc_check_weekly.text", "<html>每{0}的 {1}, Java Update 将会查寻最新版本。"},
      {"update.desc_check_monthly.text", "<html>每月 {0} 日的 {1}, Java Update 将会查寻最新版本。"},
      {"update.desc_systrayicon.text", "如有软件可供更新安装，<br>一个图标就会显示在系统任务栏中。将光标移到此图标上，即可查看其更新状态。<br>"},
      {"update.desc_notify_install.text", "在安装最新版本之前会通知您。</html>"},
      {"update.desc_notify_download.text", "在下载和安装最新版本之前会通知您。</html>"},
      {"update.launchbrowser.error.text", "<html><b>无法启动 Java Update 检查程序</b></html>要获得最新的 Java(TM) Update，请转至 http://java.sun.com/getjava/javaupdate"},
      {"update.launchbrowser.error.caption", "错误 － 更新"}
   };

   public Object[][] getContents() {
      return contents;
   }
}
