package sun.plugin.resources;

import java.text.MessageFormat;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class ResourceHandler {
   private static ResourceBundle rb = ResourceBundle.getBundle("sun.plugin.resources.Activator");

   public static int getAcceleratorKey(String var0) {
      Integer var1 = (Integer)rb.getObject(var0 + ".acceleratorKey");
      return var1;
   }

   public static String getMessage(String var0) {
      try {
         return rb.getString(var0);
      } catch (MissingResourceException var2) {
         return var0;
      }
   }

   public static String[] getMessageArray(String var0) {
      try {
         return rb.getStringArray(var0);
      } catch (MissingResourceException var2) {
         return new String[]{var0};
      }
   }

   public static String getFormattedMessage(String var0, Object[] var1) {
      try {
         MessageFormat var2 = new MessageFormat(rb.getString(var0));
         return var2.format(var1);
      } catch (MissingResourceException var3) {
         return var0;
      }
   }
}
