package sun.plugin.services;

import sun.plugin.net.cookie.CookieHandler;
import sun.plugin.net.cookie.Netscape4CookieHandler;
import sun.plugin.net.proxy.BrowserProxyConfig;
import sun.plugin.net.proxy.MNetscape4ProxyConfig;
import sun.plugin.viewer.context.NetscapeAppletContext;
import sun.plugin.viewer.context.PluginAppletContext;
import sun.plugin.viewer.context.PluginBeansContext;

public final class MNetscape4BrowserService implements BrowserService {
   public float getBrowserVersion() {
      return 4.0F;
   }

   public boolean installBrowserEventListener() {
      return true;
   }

   public boolean isConsoleIconifiedOnClose() {
      return true;
   }

   public boolean isIExplorer() {
      return false;
   }

   public boolean isNetscape() {
      return true;
   }

   public CookieHandler getCookieHandler() {
      return new Netscape4CookieHandler();
   }

   public BrowserProxyConfig getProxyConfig() {
      return new MNetscape4ProxyConfig();
   }

   public BrowserAuthenticator getBrowserAuthenticator() {
      return null;
   }

   public PluginAppletContext getAppletContext() {
      return new NetscapeAppletContext();
   }

   public PluginBeansContext getBeansContext() {
      PluginBeansContext var1 = new PluginBeansContext();
      var1.setPluginAppletContext(new NetscapeAppletContext());
      return var1;
   }
}
