package sun.plugin.services;

import sun.plugin.net.cookie.CookieHandler;
import sun.plugin.net.cookie.MNetscape6CookieHandler;
import sun.plugin.net.proxy.BrowserProxyConfig;
import sun.plugin.net.proxy.MNetscape6ProxyConfig;
import sun.plugin.viewer.context.MNetscape6AppletContext;
import sun.plugin.viewer.context.PluginAppletContext;
import sun.plugin.viewer.context.PluginBeansContext;

public final class MNetscape6BrowserService implements BrowserService {
   public float getBrowserVersion() {
      return 6.0F;
   }

   public boolean installBrowserEventListener() {
      return true;
   }

   public boolean isConsoleIconifiedOnClose() {
      return false;
   }

   public boolean isIExplorer() {
      return false;
   }

   public boolean isNetscape() {
      return true;
   }

   public CookieHandler getCookieHandler() {
      return new MNetscape6CookieHandler();
   }

   public BrowserProxyConfig getProxyConfig() {
      return new MNetscape6ProxyConfig();
   }

   public BrowserAuthenticator getBrowserAuthenticator() {
      return null;
   }

   public PluginAppletContext getAppletContext() {
      return new MNetscape6AppletContext();
   }

   public PluginBeansContext getBeansContext() {
      PluginBeansContext var1 = new PluginBeansContext();
      var1.setPluginAppletContext(new MNetscape6AppletContext());
      return var1;
   }
}
