package sun.plugin.services;

import java.io.File;
import java.security.AccessController;
import sun.security.action.GetPropertyAction;

public final class MPlatformService extends PlatformService {
   public String getInfrastructurePath() {
      return ".java" + File.separator + "deployment";
   }

   public String getSystemProfilePath() {
      return "/etc";
   }

   public String getUserProfilePath() {
      return AccessController.doPrivileged(new GetPropertyAction("user.home"));
   }
}
