package sun.plugin.util;

import java.awt.Component;
import java.awt.Dimension;
import java.awt.Toolkit;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JOptionPane;

class DialogFactory$12 implements Runnable {
   private final JOptionPane val$pane;
   private final Component val$parentComponent;
   private final String val$title;
   private final Object val$msg;
   private final boolean val$fModal;
   private final boolean val$preload;

   public void run() {
      JDialog var1 = this.val$pane.createDialog(this.val$parentComponent, this.val$title);
      Object[] var2 = this.val$pane.getOptions();
      if (null != var2) {
         DefaultActionListener var3 = new DefaultActionListener(var1, this.val$pane);

         for (int var5 = 0; var5 < var2.length; var5++) {
            if (var2[var5] instanceof JButton) {
               JButton var4 = (JButton)var2[var5];
               ActionListener[] var6 = var4.getActionListeners();

               for (int var7 = 0; var7 < var6.length; var7++) {
                  if (var6[var7] instanceof DefaultActionListener) {
                     var4.removeActionListener((DefaultActionListener)var6[var7]);
                  }
               }

               if (var4.getActionListeners().length == 0) {
                  var4.addActionListener(var3);
               }
            }
         }
      }

      this.val$pane.setMessage(this.val$msg);
      var1.pack();
      DialogFactory.access$1000(this.val$msg);
      var1.pack();
      var1.setResizable(false);
      var1.setModal(this.val$fModal);
      Dimension var8 = var1.getSize();
      Dimension var9 = Toolkit.getDefaultToolkit().getScreenSize();
      var8.width += 30;
      var1.setLocation((var9.width - var8.width) / 2, (var9.height - var8.height) / 2);
      if (!this.val$preload) {
         var1.show();
         var1.pack();
         var1.toFront();
      }
   }

   DialogFactory$12(JOptionPane var1, Component var2, String var3, Object var4, boolean var5, boolean var6) {
      this.val$pane = var1;
      this.val$parentComponent = var2;
      this.val$title = var3;
      this.val$msg = var4;
      this.val$fModal = var5;
      this.val$preload = var6;
   }
}
