package sun.plugin.viewer;

public class MNetscapePluginContext {
   private static String PLUGIN_UNIQUE_ID = "A8F70EB5-AAEF-11d6-95A4-0050BAAC8BD3";

   private MNetscapePluginContext() {
   }

   static native int getWidget(int var0, int var1, int var2, int var3, int var4);

   static native int mapWidget(int var0, int var1, int var2, int var3, int var4);

   public static MNetscapePluginObject createPluginObject(boolean var0, String[] var1, String[] var2, int var3) {
      MNetscapePluginObject var4 = new MNetscapePluginObject(var3, var0, LifeCycleManager.getIdentifier(var1, var2));

      for (int var5 = 0; var5 < var1.length; var5++) {
         if (var1[var5] != null && !PLUGIN_UNIQUE_ID.equals(var1[var5])) {
            var4.setParameter(var1[var5], var2[var5]);
         }
      }

      var4.setBoxColors();
      return var4;
   }
}
