package sun.plugin.viewer.context;

import netscape.javascript.JSObject;
import sun.plugin.javascript.navig.Window;
import sun.plugin.services.BrowserService;
import sun.plugin.services.ServiceProvider;

public class NetscapeAppletContext extends DefaultPluginAppletContext {
   protected int instance = -1;

   public int getAppletContextHandle() {
      return this.instance;
   }

   public void setAppletContextHandle(int var1) {
      this.instance = var1;
   }

   public JSObject getJSObject() {
      if (this.instance < 0) {
         return null;
      } else {
         BrowserService var1 = ServiceProvider.getService();
         if (var1.getBrowserVersion() >= 5.0F) {
            sun.plugin.javascript.navig5.JSObject var2 = new sun.plugin.javascript.navig5.JSObject(this.instance);
            var2.setNetscapeAppletContext(this);
            return var2;
         } else {
            return (JSObject)(var1.getBrowserVersion() < 4.0F ? new Window(this.instance) : new sun.plugin.javascript.navig4.Window(this.instance));
         }
      }
   }
}
